(set-info :smt-lib-version 2.6)
(set-info :source |
Generated by: Allegro DVT (certif@allegrodvt.com)
Generated on: 2023-03-30
Generator: Custom
Application: Maximization of equations with constraints to highlight bugs in picture compression standard implementations.
Target solver: yices2

Characteristics: We remarked that solvers were significantly faster without incremental mode
(i.e. instead of having N check-sat in one single file, having 1 check-sat in N files that describe the same problem).

Our goal is to find optimums for some equations described in a picture
compression standards.

For example consider this computation for an inverse discrete cosinus
transform:

iDCT2_B2(int src[], int dst[], int line, int iSkipLine, int iSkipLine2) {
  auto maxLineIdx = line - iSkipLine;
  auto maxColIdx = 2 - iSkipLine2;
  for (int i = 0; i < maxLineIdx; i++) {
    for (int k = 0; k < maxColIdx; k++) {
      dst[i * 2 + (0)] += src[k * line + i] * DCT2P2[k * 2];
    }
  }
  for (int i = 0; i < maxLineIdx; i++) {
    for (int k = 0; k < maxColIdx; k++) {
      dst[i * 2 + (0 + 1)] += src[k * line + i] * DCT2P2[k * 2 + 1];
    }
  }
}

We want to find the input src[] that maximizes src[k * line + i] *
DCT2P2[k * 2 + (0)], the input src[] that maximizes src[k * line + i] *
DCT2P2[k * 2 + 1], and finally the input src[] that globally maximizes
each element of dst[] at the end of the process.

They are not shown here, but there are some constraints on input src[]
(in this case, each element of src[] shall be in [-131072; 131071]). There
might be as well some constraints on dst[], or any intermediate variable.

We represent such issues with SMT problems, and try to maximize by
successively checking if a solution greater than a given threshold exists.

For the previous example, to find input that maximize dst[0], we
first test (dst[0] ⩾ MAX_BOUND / 2) && (dst[0] ⩽ MAX_BOUND).
Then depending on the result, we test either (dst[0] ⩾ MAX_BOUND /
4) && (dst[0] ⩽ MAX_BOUND / 2) or (dst[0] ⩾ 3 * MAX_BOUND / 4) &&
(dst[0] ⩽ MAX_BOUND).

                                                                          ┌───► ...
                                SAT    ┌───────────────────────────────┐  │
                                ┌─────►│(dst[0] ⩾ 3 * MAX_BOUND / 4) &&├──┤
┌────────────────────────────┐  │      │(dst[0] ⩽ MAX_BOUND            │  │
│(dst[0] ⩾ MAX_BOUND / 2) && │  │      └───────────────────────────────┘  └───► ...
│(dst[0] ⩽ MAX_BOUND)        ├──┤
└────────────────────────────┘  │
                                │      ┌───────────────────────────────┐  ┌───► ...
                                └─────►│(dst[0] ⩾ MAX_BOUND / 4) &&    │  │
                               UNSAT   │(dst[0] ⩽ MAX_BOUND / 2)       ├──┤
                                       └───────────────────────────────┘  │
                                                                          └───► ...
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(set-logic QF_NIA)
(declare-const func_Clip3__value Int)
(declare-const func_Clip3_variant_100__value Int)
(declare-const func_Clip3_variant_101__value Int)
(declare-const func_Clip3_variant_102__value Int)
(declare-const func_Clip3_variant_103__value Int)
(declare-const func_Clip3_variant_104__value Int)
(declare-const func_Clip3_variant_105__value Int)
(declare-const func_Clip3_variant_106__value Int)
(declare-const func_Clip3_variant_107__value Int)
(declare-const func_Clip3_variant_108__value Int)
(declare-const func_Clip3_variant_109__value Int)
(declare-const func_Clip3_variant_10__value Int)
(declare-const func_Clip3_variant_110__value Int)
(declare-const func_Clip3_variant_111__value Int)
(declare-const func_Clip3_variant_112__value Int)
(declare-const func_Clip3_variant_113__value Int)
(declare-const func_Clip3_variant_114__value Int)
(declare-const func_Clip3_variant_115__value Int)
(declare-const func_Clip3_variant_116__value Int)
(declare-const func_Clip3_variant_117__value Int)
(declare-const func_Clip3_variant_118__value Int)
(declare-const func_Clip3_variant_119__value Int)
(declare-const func_Clip3_variant_11__value Int)
(declare-const func_Clip3_variant_120__value Int)
(declare-const func_Clip3_variant_121__value Int)
(declare-const func_Clip3_variant_122__value Int)
(declare-const func_Clip3_variant_123__value Int)
(declare-const func_Clip3_variant_124__value Int)
(declare-const func_Clip3_variant_125__value Int)
(declare-const func_Clip3_variant_126__value Int)
(declare-const func_Clip3_variant_127__value Int)
(declare-const func_Clip3_variant_128__value Int)
(declare-const func_Clip3_variant_129__value Int)
(declare-const func_Clip3_variant_12__value Int)
(declare-const func_Clip3_variant_130__value Int)
(declare-const func_Clip3_variant_131__value Int)
(declare-const func_Clip3_variant_132__value Int)
(declare-const func_Clip3_variant_133__value Int)
(declare-const func_Clip3_variant_134__value Int)
(declare-const func_Clip3_variant_135__value Int)
(declare-const func_Clip3_variant_136__value Int)
(declare-const func_Clip3_variant_137__value Int)
(declare-const func_Clip3_variant_138__value Int)
(declare-const func_Clip3_variant_139__value Int)
(declare-const func_Clip3_variant_13__value Int)
(declare-const func_Clip3_variant_140__value Int)
(declare-const func_Clip3_variant_141__value Int)
(declare-const func_Clip3_variant_142__value Int)
(declare-const func_Clip3_variant_143__value Int)
(declare-const func_Clip3_variant_144__value Int)
(declare-const func_Clip3_variant_145__value Int)
(declare-const func_Clip3_variant_146__value Int)
(declare-const func_Clip3_variant_147__value Int)
(declare-const func_Clip3_variant_148__value Int)
(declare-const func_Clip3_variant_149__value Int)
(declare-const func_Clip3_variant_14__value Int)
(declare-const func_Clip3_variant_150__value Int)
(declare-const func_Clip3_variant_151__value Int)
(declare-const func_Clip3_variant_152__value Int)
(declare-const func_Clip3_variant_153__value Int)
(declare-const func_Clip3_variant_154__value Int)
(declare-const func_Clip3_variant_155__value Int)
(declare-const func_Clip3_variant_156__value Int)
(declare-const func_Clip3_variant_157__value Int)
(declare-const func_Clip3_variant_158__value Int)
(declare-const func_Clip3_variant_159__value Int)
(declare-const func_Clip3_variant_15__value Int)
(declare-const func_Clip3_variant_160__value Int)
(declare-const func_Clip3_variant_161__value Int)
(declare-const func_Clip3_variant_162__value Int)
(declare-const func_Clip3_variant_163__value Int)
(declare-const func_Clip3_variant_164__value Int)
(declare-const func_Clip3_variant_165__value Int)
(declare-const func_Clip3_variant_166__value Int)
(declare-const func_Clip3_variant_167__value Int)
(declare-const func_Clip3_variant_168__value Int)
(declare-const func_Clip3_variant_169__value Int)
(declare-const func_Clip3_variant_16__value Int)
(declare-const func_Clip3_variant_170__value Int)
(declare-const func_Clip3_variant_171__value Int)
(declare-const func_Clip3_variant_172__value Int)
(declare-const func_Clip3_variant_173__value Int)
(declare-const func_Clip3_variant_174__value Int)
(declare-const func_Clip3_variant_175__value Int)
(declare-const func_Clip3_variant_176__value Int)
(declare-const func_Clip3_variant_177__value Int)
(declare-const func_Clip3_variant_178__value Int)
(declare-const func_Clip3_variant_179__value Int)
(declare-const func_Clip3_variant_17__value Int)
(declare-const func_Clip3_variant_180__value Int)
(declare-const func_Clip3_variant_181__value Int)
(declare-const func_Clip3_variant_182__value Int)
(declare-const func_Clip3_variant_183__value Int)
(declare-const func_Clip3_variant_184__value Int)
(declare-const func_Clip3_variant_185__value Int)
(declare-const func_Clip3_variant_186__value Int)
(declare-const func_Clip3_variant_187__value Int)
(declare-const func_Clip3_variant_188__value Int)
(declare-const func_Clip3_variant_189__value Int)
(declare-const func_Clip3_variant_18__value Int)
(declare-const func_Clip3_variant_190__value Int)
(declare-const func_Clip3_variant_191__value Int)
(declare-const func_Clip3_variant_192__value Int)
(declare-const func_Clip3_variant_193__value Int)
(declare-const func_Clip3_variant_194__value Int)
(declare-const func_Clip3_variant_195__value Int)
(declare-const func_Clip3_variant_196__value Int)
(declare-const func_Clip3_variant_197__value Int)
(declare-const func_Clip3_variant_198__value Int)
(declare-const func_Clip3_variant_199__value Int)
(declare-const func_Clip3_variant_19__value Int)
(declare-const func_Clip3_variant_1__value Int)
(declare-const func_Clip3_variant_20__value Int)
(declare-const func_Clip3_variant_21__value Int)
(declare-const func_Clip3_variant_22__value Int)
(declare-const func_Clip3_variant_23__value Int)
(declare-const func_Clip3_variant_24__value Int)
(declare-const func_Clip3_variant_25__value Int)
(declare-const func_Clip3_variant_26__value Int)
(declare-const func_Clip3_variant_27__value Int)
(declare-const func_Clip3_variant_28__value Int)
(declare-const func_Clip3_variant_29__value Int)
(declare-const func_Clip3_variant_2__value Int)
(declare-const func_Clip3_variant_30__value Int)
(declare-const func_Clip3_variant_31__value Int)
(declare-const func_Clip3_variant_32__value Int)
(declare-const func_Clip3_variant_33__value Int)
(declare-const func_Clip3_variant_34__value Int)
(declare-const func_Clip3_variant_35__value Int)
(declare-const func_Clip3_variant_36__value Int)
(declare-const func_Clip3_variant_37__value Int)
(declare-const func_Clip3_variant_38__value Int)
(declare-const func_Clip3_variant_39__value Int)
(declare-const func_Clip3_variant_3__value Int)
(declare-const func_Clip3_variant_40__value Int)
(declare-const func_Clip3_variant_41__value Int)
(declare-const func_Clip3_variant_42__value Int)
(declare-const func_Clip3_variant_43__value Int)
(declare-const func_Clip3_variant_44__value Int)
(declare-const func_Clip3_variant_45__value Int)
(declare-const func_Clip3_variant_46__value Int)
(declare-const func_Clip3_variant_47__value Int)
(declare-const func_Clip3_variant_48__value Int)
(declare-const func_Clip3_variant_49__value Int)
(declare-const func_Clip3_variant_4__value Int)
(declare-const func_Clip3_variant_50__value Int)
(declare-const func_Clip3_variant_51__value Int)
(declare-const func_Clip3_variant_52__value Int)
(declare-const func_Clip3_variant_53__value Int)
(declare-const func_Clip3_variant_54__value Int)
(declare-const func_Clip3_variant_55__value Int)
(declare-const func_Clip3_variant_56__value Int)
(declare-const func_Clip3_variant_57__value Int)
(declare-const func_Clip3_variant_58__value Int)
(declare-const func_Clip3_variant_59__value Int)
(declare-const func_Clip3_variant_5__value Int)
(declare-const func_Clip3_variant_60__value Int)
(declare-const func_Clip3_variant_61__value Int)
(declare-const func_Clip3_variant_62__value Int)
(declare-const func_Clip3_variant_63__value Int)
(declare-const func_Clip3_variant_64__value Int)
(declare-const func_Clip3_variant_65__value Int)
(declare-const func_Clip3_variant_66__value Int)
(declare-const func_Clip3_variant_67__value Int)
(declare-const func_Clip3_variant_68__value Int)
(declare-const func_Clip3_variant_69__value Int)
(declare-const func_Clip3_variant_6__value Int)
(declare-const func_Clip3_variant_70__value Int)
(declare-const func_Clip3_variant_71__value Int)
(declare-const func_Clip3_variant_72__value Int)
(declare-const func_Clip3_variant_73__value Int)
(declare-const func_Clip3_variant_74__value Int)
(declare-const func_Clip3_variant_75__value Int)
(declare-const func_Clip3_variant_76__value Int)
(declare-const func_Clip3_variant_77__value Int)
(declare-const func_Clip3_variant_78__value Int)
(declare-const func_Clip3_variant_79__value Int)
(declare-const func_Clip3_variant_7__value Int)
(declare-const func_Clip3_variant_80__value Int)
(declare-const func_Clip3_variant_81__value Int)
(declare-const func_Clip3_variant_82__value Int)
(declare-const func_Clip3_variant_83__value Int)
(declare-const func_Clip3_variant_84__value Int)
(declare-const func_Clip3_variant_85__value Int)
(declare-const func_Clip3_variant_86__value Int)
(declare-const func_Clip3_variant_87__value Int)
(declare-const func_Clip3_variant_88__value Int)
(declare-const func_Clip3_variant_89__value Int)
(declare-const func_Clip3_variant_8__value Int)
(declare-const func_Clip3_variant_90__value Int)
(declare-const func_Clip3_variant_91__value Int)
(declare-const func_Clip3_variant_92__value Int)
(declare-const func_Clip3_variant_93__value Int)
(declare-const func_Clip3_variant_94__value Int)
(declare-const func_Clip3_variant_95__value Int)
(declare-const func_Clip3_variant_96__value Int)
(declare-const func_Clip3_variant_97__value Int)
(declare-const func_Clip3_variant_98__value Int)
(declare-const func_Clip3_variant_99__value Int)
(declare-const func_Clip3_variant_9__value Int)
(declare-const func__return__Clip3 Int)
(declare-const func__return__Clip3_variant_1 Int)
(declare-const func__return__Clip3_variant_10 Int)
(declare-const func__return__Clip3_variant_100 Int)
(declare-const func__return__Clip3_variant_101 Int)
(declare-const func__return__Clip3_variant_102 Int)
(declare-const func__return__Clip3_variant_103 Int)
(declare-const func__return__Clip3_variant_104 Int)
(declare-const func__return__Clip3_variant_105 Int)
(declare-const func__return__Clip3_variant_106 Int)
(declare-const func__return__Clip3_variant_107 Int)
(declare-const func__return__Clip3_variant_108 Int)
(declare-const func__return__Clip3_variant_109 Int)
(declare-const func__return__Clip3_variant_11 Int)
(declare-const func__return__Clip3_variant_110 Int)
(declare-const func__return__Clip3_variant_111 Int)
(declare-const func__return__Clip3_variant_112 Int)
(declare-const func__return__Clip3_variant_113 Int)
(declare-const func__return__Clip3_variant_114 Int)
(declare-const func__return__Clip3_variant_115 Int)
(declare-const func__return__Clip3_variant_116 Int)
(declare-const func__return__Clip3_variant_117 Int)
(declare-const func__return__Clip3_variant_118 Int)
(declare-const func__return__Clip3_variant_119 Int)
(declare-const func__return__Clip3_variant_12 Int)
(declare-const func__return__Clip3_variant_120 Int)
(declare-const func__return__Clip3_variant_121 Int)
(declare-const func__return__Clip3_variant_122 Int)
(declare-const func__return__Clip3_variant_123 Int)
(declare-const func__return__Clip3_variant_124 Int)
(declare-const func__return__Clip3_variant_125 Int)
(declare-const func__return__Clip3_variant_126 Int)
(declare-const func__return__Clip3_variant_127 Int)
(declare-const func__return__Clip3_variant_128 Int)
(declare-const func__return__Clip3_variant_129 Int)
(declare-const func__return__Clip3_variant_13 Int)
(declare-const func__return__Clip3_variant_130 Int)
(declare-const func__return__Clip3_variant_131 Int)
(declare-const func__return__Clip3_variant_132 Int)
(declare-const func__return__Clip3_variant_133 Int)
(declare-const func__return__Clip3_variant_134 Int)
(declare-const func__return__Clip3_variant_135 Int)
(declare-const func__return__Clip3_variant_136 Int)
(declare-const func__return__Clip3_variant_137 Int)
(declare-const func__return__Clip3_variant_138 Int)
(declare-const func__return__Clip3_variant_139 Int)
(declare-const func__return__Clip3_variant_14 Int)
(declare-const func__return__Clip3_variant_140 Int)
(declare-const func__return__Clip3_variant_141 Int)
(declare-const func__return__Clip3_variant_142 Int)
(declare-const func__return__Clip3_variant_143 Int)
(declare-const func__return__Clip3_variant_144 Int)
(declare-const func__return__Clip3_variant_145 Int)
(declare-const func__return__Clip3_variant_146 Int)
(declare-const func__return__Clip3_variant_147 Int)
(declare-const func__return__Clip3_variant_148 Int)
(declare-const func__return__Clip3_variant_149 Int)
(declare-const func__return__Clip3_variant_15 Int)
(declare-const func__return__Clip3_variant_150 Int)
(declare-const func__return__Clip3_variant_151 Int)
(declare-const func__return__Clip3_variant_152 Int)
(declare-const func__return__Clip3_variant_153 Int)
(declare-const func__return__Clip3_variant_154 Int)
(declare-const func__return__Clip3_variant_155 Int)
(declare-const func__return__Clip3_variant_156 Int)
(declare-const func__return__Clip3_variant_157 Int)
(declare-const func__return__Clip3_variant_158 Int)
(declare-const func__return__Clip3_variant_159 Int)
(declare-const func__return__Clip3_variant_16 Int)
(declare-const func__return__Clip3_variant_160 Int)
(declare-const func__return__Clip3_variant_161 Int)
(declare-const func__return__Clip3_variant_162 Int)
(declare-const func__return__Clip3_variant_163 Int)
(declare-const func__return__Clip3_variant_164 Int)
(declare-const func__return__Clip3_variant_165 Int)
(declare-const func__return__Clip3_variant_166 Int)
(declare-const func__return__Clip3_variant_167 Int)
(declare-const func__return__Clip3_variant_168 Int)
(declare-const func__return__Clip3_variant_169 Int)
(declare-const func__return__Clip3_variant_17 Int)
(declare-const func__return__Clip3_variant_170 Int)
(declare-const func__return__Clip3_variant_171 Int)
(declare-const func__return__Clip3_variant_172 Int)
(declare-const func__return__Clip3_variant_173 Int)
(declare-const func__return__Clip3_variant_174 Int)
(declare-const func__return__Clip3_variant_175 Int)
(declare-const func__return__Clip3_variant_176 Int)
(declare-const func__return__Clip3_variant_177 Int)
(declare-const func__return__Clip3_variant_178 Int)
(declare-const func__return__Clip3_variant_179 Int)
(declare-const func__return__Clip3_variant_18 Int)
(declare-const func__return__Clip3_variant_180 Int)
(declare-const func__return__Clip3_variant_181 Int)
(declare-const func__return__Clip3_variant_182 Int)
(declare-const func__return__Clip3_variant_183 Int)
(declare-const func__return__Clip3_variant_184 Int)
(declare-const func__return__Clip3_variant_185 Int)
(declare-const func__return__Clip3_variant_186 Int)
(declare-const func__return__Clip3_variant_187 Int)
(declare-const func__return__Clip3_variant_188 Int)
(declare-const func__return__Clip3_variant_189 Int)
(declare-const func__return__Clip3_variant_19 Int)
(declare-const func__return__Clip3_variant_190 Int)
(declare-const func__return__Clip3_variant_191 Int)
(declare-const func__return__Clip3_variant_192 Int)
(declare-const func__return__Clip3_variant_193 Int)
(declare-const func__return__Clip3_variant_194 Int)
(declare-const func__return__Clip3_variant_195 Int)
(declare-const func__return__Clip3_variant_196 Int)
(declare-const func__return__Clip3_variant_197 Int)
(declare-const func__return__Clip3_variant_198 Int)
(declare-const func__return__Clip3_variant_199 Int)
(declare-const func__return__Clip3_variant_2 Int)
(declare-const func__return__Clip3_variant_20 Int)
(declare-const func__return__Clip3_variant_21 Int)
(declare-const func__return__Clip3_variant_22 Int)
(declare-const func__return__Clip3_variant_23 Int)
(declare-const func__return__Clip3_variant_24 Int)
(declare-const func__return__Clip3_variant_25 Int)
(declare-const func__return__Clip3_variant_26 Int)
(declare-const func__return__Clip3_variant_27 Int)
(declare-const func__return__Clip3_variant_28 Int)
(declare-const func__return__Clip3_variant_29 Int)
(declare-const func__return__Clip3_variant_3 Int)
(declare-const func__return__Clip3_variant_30 Int)
(declare-const func__return__Clip3_variant_31 Int)
(declare-const func__return__Clip3_variant_32 Int)
(declare-const func__return__Clip3_variant_33 Int)
(declare-const func__return__Clip3_variant_34 Int)
(declare-const func__return__Clip3_variant_35 Int)
(declare-const func__return__Clip3_variant_36 Int)
(declare-const func__return__Clip3_variant_37 Int)
(declare-const func__return__Clip3_variant_38 Int)
(declare-const func__return__Clip3_variant_39 Int)
(declare-const func__return__Clip3_variant_4 Int)
(declare-const func__return__Clip3_variant_40 Int)
(declare-const func__return__Clip3_variant_41 Int)
(declare-const func__return__Clip3_variant_42 Int)
(declare-const func__return__Clip3_variant_43 Int)
(declare-const func__return__Clip3_variant_44 Int)
(declare-const func__return__Clip3_variant_45 Int)
(declare-const func__return__Clip3_variant_46 Int)
(declare-const func__return__Clip3_variant_47 Int)
(declare-const func__return__Clip3_variant_48 Int)
(declare-const func__return__Clip3_variant_49 Int)
(declare-const func__return__Clip3_variant_5 Int)
(declare-const func__return__Clip3_variant_50 Int)
(declare-const func__return__Clip3_variant_51 Int)
(declare-const func__return__Clip3_variant_52 Int)
(declare-const func__return__Clip3_variant_53 Int)
(declare-const func__return__Clip3_variant_54 Int)
(declare-const func__return__Clip3_variant_55 Int)
(declare-const func__return__Clip3_variant_56 Int)
(declare-const func__return__Clip3_variant_57 Int)
(declare-const func__return__Clip3_variant_58 Int)
(declare-const func__return__Clip3_variant_59 Int)
(declare-const func__return__Clip3_variant_6 Int)
(declare-const func__return__Clip3_variant_60 Int)
(declare-const func__return__Clip3_variant_61 Int)
(declare-const func__return__Clip3_variant_62 Int)
(declare-const func__return__Clip3_variant_63 Int)
(declare-const func__return__Clip3_variant_64 Int)
(declare-const func__return__Clip3_variant_65 Int)
(declare-const func__return__Clip3_variant_66 Int)
(declare-const func__return__Clip3_variant_67 Int)
(declare-const func__return__Clip3_variant_68 Int)
(declare-const func__return__Clip3_variant_69 Int)
(declare-const func__return__Clip3_variant_7 Int)
(declare-const func__return__Clip3_variant_70 Int)
(declare-const func__return__Clip3_variant_71 Int)
(declare-const func__return__Clip3_variant_72 Int)
(declare-const func__return__Clip3_variant_73 Int)
(declare-const func__return__Clip3_variant_74 Int)
(declare-const func__return__Clip3_variant_75 Int)
(declare-const func__return__Clip3_variant_76 Int)
(declare-const func__return__Clip3_variant_77 Int)
(declare-const func__return__Clip3_variant_78 Int)
(declare-const func__return__Clip3_variant_79 Int)
(declare-const func__return__Clip3_variant_8 Int)
(declare-const func__return__Clip3_variant_80 Int)
(declare-const func__return__Clip3_variant_81 Int)
(declare-const func__return__Clip3_variant_82 Int)
(declare-const func__return__Clip3_variant_83 Int)
(declare-const func__return__Clip3_variant_84 Int)
(declare-const func__return__Clip3_variant_85 Int)
(declare-const func__return__Clip3_variant_86 Int)
(declare-const func__return__Clip3_variant_87 Int)
(declare-const func__return__Clip3_variant_88 Int)
(declare-const func__return__Clip3_variant_89 Int)
(declare-const func__return__Clip3_variant_9 Int)
(declare-const func__return__Clip3_variant_90 Int)
(declare-const func__return__Clip3_variant_91 Int)
(declare-const func__return__Clip3_variant_92 Int)
(declare-const func__return__Clip3_variant_93 Int)
(declare-const func__return__Clip3_variant_94 Int)
(declare-const func__return__Clip3_variant_95 Int)
(declare-const func__return__Clip3_variant_96 Int)
(declare-const func__return__Clip3_variant_97 Int)
(declare-const func__return__Clip3_variant_98 Int)
(declare-const func__return__Clip3_variant_99 Int)
(declare-const func_bio_opt__b Int)
(declare-const func_bio_opt__t Int)
(declare-const func_bio_opt__t1 Int)
(declare-const func_bio_opt__t2 Int)
(declare-const func_bio_opt__t3 Int)
(declare-const func_bio_opt__t4 Int)
(declare-const func_bio_opt__t5 Int)
(declare-const func_bio_opt__tx Int)
(declare-const func_bio_opt__ty Int)
(declare-const func_bio_opt__vx Int)
(declare-const func_bio_opt__vy Int)
(declare-const func_com_grad_x_l_nn__val Int)
(declare-const func_com_grad_x_l_nn_variant_1__val Int)
(declare-const func_com_grad_y_l_nn__val Int)
(declare-const func_com_grad_y_l_nn_variant_1__val Int)
(declare-const func_com_mc_l_nn__val Int)
(declare-const func_com_mc_l_nn_variant_1__val Int)
(declare-const global__0__instrumented__ Int)
(declare-const global__10__instrumented__ Int)
(declare-const global__11__instrumented__ Int)
(declare-const global__12__instrumented__ Int)
(declare-const global__13__instrumented__ Int)
(declare-const global__14__instrumented__ Int)
(declare-const global__15__instrumented__ Int)
(declare-const global__16__instrumented__ Int)
(declare-const global__17__instrumented__ Int)
(declare-const global__18__instrumented__ Int)
(declare-const global__19__instrumented__ Int)
(declare-const global__1__instrumented__ Int)
(declare-const global__20__instrumented__ Int)
(declare-const global__21__instrumented__ Int)
(declare-const global__22__instrumented__ Int)
(declare-const global__23__instrumented__ Int)
(declare-const global__24__instrumented__ Int)
(declare-const global__25__instrumented__ Int)
(declare-const global__26__instrumented__ Int)
(declare-const global__27__instrumented__ Int)
(declare-const global__28__instrumented__ Int)
(declare-const global__29__instrumented__ Int)
(declare-const global__2__instrumented__ Int)
(declare-const global__30__instrumented__ Int)
(declare-const global__31__instrumented__ Int)
(declare-const global__3__instrumented__ Int)
(declare-const global__4__instrumented__ Int)
(declare-const global__5__instrumented__ Int)
(declare-const global__6__instrumented__ Int)
(declare-const global__7__instrumented__ Int)
(declare-const global__8__instrumented__ Int)
(declare-const global__9__instrumented__ Int)
(declare-const global__buf_0 Int)
(declare-const global__buf_1 Int)
(declare-const global__buf_10 Int)
(declare-const global__buf_100 Int)
(declare-const global__buf_101 Int)
(declare-const global__buf_102 Int)
(declare-const global__buf_103 Int)
(declare-const global__buf_104 Int)
(declare-const global__buf_105 Int)
(declare-const global__buf_106 Int)
(declare-const global__buf_107 Int)
(declare-const global__buf_108 Int)
(declare-const global__buf_109 Int)
(declare-const global__buf_11 Int)
(declare-const global__buf_110 Int)
(declare-const global__buf_111 Int)
(declare-const global__buf_112 Int)
(declare-const global__buf_113 Int)
(declare-const global__buf_114 Int)
(declare-const global__buf_115 Int)
(declare-const global__buf_116 Int)
(declare-const global__buf_117 Int)
(declare-const global__buf_118 Int)
(declare-const global__buf_119 Int)
(declare-const global__buf_12 Int)
(declare-const global__buf_13 Int)
(declare-const global__buf_14 Int)
(declare-const global__buf_15 Int)
(declare-const global__buf_16 Int)
(declare-const global__buf_17 Int)
(declare-const global__buf_18 Int)
(declare-const global__buf_19 Int)
(declare-const global__buf_2 Int)
(declare-const global__buf_20 Int)
(declare-const global__buf_21 Int)
(declare-const global__buf_22 Int)
(declare-const global__buf_23 Int)
(declare-const global__buf_24 Int)
(declare-const global__buf_25 Int)
(declare-const global__buf_26 Int)
(declare-const global__buf_27 Int)
(declare-const global__buf_28 Int)
(declare-const global__buf_29 Int)
(declare-const global__buf_3 Int)
(declare-const global__buf_30 Int)
(declare-const global__buf_31 Int)
(declare-const global__buf_32 Int)
(declare-const global__buf_33 Int)
(declare-const global__buf_34 Int)
(declare-const global__buf_35 Int)
(declare-const global__buf_36 Int)
(declare-const global__buf_37 Int)
(declare-const global__buf_38 Int)
(declare-const global__buf_39 Int)
(declare-const global__buf_4 Int)
(declare-const global__buf_40 Int)
(declare-const global__buf_41 Int)
(declare-const global__buf_42 Int)
(declare-const global__buf_43 Int)
(declare-const global__buf_44 Int)
(declare-const global__buf_45 Int)
(declare-const global__buf_46 Int)
(declare-const global__buf_47 Int)
(declare-const global__buf_48 Int)
(declare-const global__buf_49 Int)
(declare-const global__buf_5 Int)
(declare-const global__buf_50 Int)
(declare-const global__buf_51 Int)
(declare-const global__buf_52 Int)
(declare-const global__buf_53 Int)
(declare-const global__buf_54 Int)
(declare-const global__buf_55 Int)
(declare-const global__buf_56 Int)
(declare-const global__buf_57 Int)
(declare-const global__buf_58 Int)
(declare-const global__buf_59 Int)
(declare-const global__buf_6 Int)
(declare-const global__buf_60 Int)
(declare-const global__buf_61 Int)
(declare-const global__buf_62 Int)
(declare-const global__buf_63 Int)
(declare-const global__buf_64 Int)
(declare-const global__buf_65 Int)
(declare-const global__buf_66 Int)
(declare-const global__buf_67 Int)
(declare-const global__buf_68 Int)
(declare-const global__buf_69 Int)
(declare-const global__buf_7 Int)
(declare-const global__buf_70 Int)
(declare-const global__buf_71 Int)
(declare-const global__buf_72 Int)
(declare-const global__buf_73 Int)
(declare-const global__buf_74 Int)
(declare-const global__buf_75 Int)
(declare-const global__buf_76 Int)
(declare-const global__buf_77 Int)
(declare-const global__buf_78 Int)
(declare-const global__buf_79 Int)
(declare-const global__buf_8 Int)
(declare-const global__buf_80 Int)
(declare-const global__buf_81 Int)
(declare-const global__buf_82 Int)
(declare-const global__buf_83 Int)
(declare-const global__buf_84 Int)
(declare-const global__buf_85 Int)
(declare-const global__buf_86 Int)
(declare-const global__buf_87 Int)
(declare-const global__buf_88 Int)
(declare-const global__buf_89 Int)
(declare-const global__buf_9 Int)
(declare-const global__buf_90 Int)
(declare-const global__buf_91 Int)
(declare-const global__buf_92 Int)
(declare-const global__buf_93 Int)
(declare-const global__buf_94 Int)
(declare-const global__buf_95 Int)
(declare-const global__buf_96 Int)
(declare-const global__buf_97 Int)
(declare-const global__buf_98 Int)
(declare-const global__buf_99 Int)
(declare-const global__gradXL0_0 Int)
(declare-const global__gradXL0_1 Int)
(declare-const global__gradXL0_10 Int)
(declare-const global__gradXL0_11 Int)
(declare-const global__gradXL0_12 Int)
(declare-const global__gradXL0_13 Int)
(declare-const global__gradXL0_14 Int)
(declare-const global__gradXL0_15 Int)
(declare-const global__gradXL0_16 Int)
(declare-const global__gradXL0_17 Int)
(declare-const global__gradXL0_18 Int)
(declare-const global__gradXL0_19 Int)
(declare-const global__gradXL0_2 Int)
(declare-const global__gradXL0_20 Int)
(declare-const global__gradXL0_21 Int)
(declare-const global__gradXL0_22 Int)
(declare-const global__gradXL0_23 Int)
(declare-const global__gradXL0_24 Int)
(declare-const global__gradXL0_25 Int)
(declare-const global__gradXL0_26 Int)
(declare-const global__gradXL0_27 Int)
(declare-const global__gradXL0_28 Int)
(declare-const global__gradXL0_29 Int)
(declare-const global__gradXL0_3 Int)
(declare-const global__gradXL0_30 Int)
(declare-const global__gradXL0_31 Int)
(declare-const global__gradXL0_32 Int)
(declare-const global__gradXL0_33 Int)
(declare-const global__gradXL0_34 Int)
(declare-const global__gradXL0_35 Int)
(declare-const global__gradXL0_36 Int)
(declare-const global__gradXL0_37 Int)
(declare-const global__gradXL0_38 Int)
(declare-const global__gradXL0_39 Int)
(declare-const global__gradXL0_4 Int)
(declare-const global__gradXL0_40 Int)
(declare-const global__gradXL0_41 Int)
(declare-const global__gradXL0_42 Int)
(declare-const global__gradXL0_43 Int)
(declare-const global__gradXL0_44 Int)
(declare-const global__gradXL0_45 Int)
(declare-const global__gradXL0_46 Int)
(declare-const global__gradXL0_47 Int)
(declare-const global__gradXL0_48 Int)
(declare-const global__gradXL0_49 Int)
(declare-const global__gradXL0_5 Int)
(declare-const global__gradXL0_50 Int)
(declare-const global__gradXL0_51 Int)
(declare-const global__gradXL0_52 Int)
(declare-const global__gradXL0_53 Int)
(declare-const global__gradXL0_54 Int)
(declare-const global__gradXL0_55 Int)
(declare-const global__gradXL0_56 Int)
(declare-const global__gradXL0_57 Int)
(declare-const global__gradXL0_58 Int)
(declare-const global__gradXL0_59 Int)
(declare-const global__gradXL0_6 Int)
(declare-const global__gradXL0_60 Int)
(declare-const global__gradXL0_61 Int)
(declare-const global__gradXL0_62 Int)
(declare-const global__gradXL0_63 Int)
(declare-const global__gradXL0_7 Int)
(declare-const global__gradXL0_8 Int)
(declare-const global__gradXL0_9 Int)
(declare-const global__gradXL1_0 Int)
(declare-const global__gradXL1_1 Int)
(declare-const global__gradXL1_10 Int)
(declare-const global__gradXL1_11 Int)
(declare-const global__gradXL1_12 Int)
(declare-const global__gradXL1_13 Int)
(declare-const global__gradXL1_14 Int)
(declare-const global__gradXL1_15 Int)
(declare-const global__gradXL1_16 Int)
(declare-const global__gradXL1_17 Int)
(declare-const global__gradXL1_18 Int)
(declare-const global__gradXL1_19 Int)
(declare-const global__gradXL1_2 Int)
(declare-const global__gradXL1_20 Int)
(declare-const global__gradXL1_21 Int)
(declare-const global__gradXL1_22 Int)
(declare-const global__gradXL1_23 Int)
(declare-const global__gradXL1_24 Int)
(declare-const global__gradXL1_25 Int)
(declare-const global__gradXL1_26 Int)
(declare-const global__gradXL1_27 Int)
(declare-const global__gradXL1_28 Int)
(declare-const global__gradXL1_29 Int)
(declare-const global__gradXL1_3 Int)
(declare-const global__gradXL1_30 Int)
(declare-const global__gradXL1_31 Int)
(declare-const global__gradXL1_32 Int)
(declare-const global__gradXL1_33 Int)
(declare-const global__gradXL1_34 Int)
(declare-const global__gradXL1_35 Int)
(declare-const global__gradXL1_36 Int)
(declare-const global__gradXL1_37 Int)
(declare-const global__gradXL1_38 Int)
(declare-const global__gradXL1_39 Int)
(declare-const global__gradXL1_4 Int)
(declare-const global__gradXL1_40 Int)
(declare-const global__gradXL1_41 Int)
(declare-const global__gradXL1_42 Int)
(declare-const global__gradXL1_43 Int)
(declare-const global__gradXL1_44 Int)
(declare-const global__gradXL1_45 Int)
(declare-const global__gradXL1_46 Int)
(declare-const global__gradXL1_47 Int)
(declare-const global__gradXL1_48 Int)
(declare-const global__gradXL1_49 Int)
(declare-const global__gradXL1_5 Int)
(declare-const global__gradXL1_50 Int)
(declare-const global__gradXL1_51 Int)
(declare-const global__gradXL1_52 Int)
(declare-const global__gradXL1_53 Int)
(declare-const global__gradXL1_54 Int)
(declare-const global__gradXL1_55 Int)
(declare-const global__gradXL1_56 Int)
(declare-const global__gradXL1_57 Int)
(declare-const global__gradXL1_58 Int)
(declare-const global__gradXL1_59 Int)
(declare-const global__gradXL1_6 Int)
(declare-const global__gradXL1_60 Int)
(declare-const global__gradXL1_61 Int)
(declare-const global__gradXL1_62 Int)
(declare-const global__gradXL1_63 Int)
(declare-const global__gradXL1_7 Int)
(declare-const global__gradXL1_8 Int)
(declare-const global__gradXL1_9 Int)
(declare-const global__gradYL0_0 Int)
(declare-const global__gradYL0_1 Int)
(declare-const global__gradYL0_10 Int)
(declare-const global__gradYL0_11 Int)
(declare-const global__gradYL0_12 Int)
(declare-const global__gradYL0_13 Int)
(declare-const global__gradYL0_14 Int)
(declare-const global__gradYL0_15 Int)
(declare-const global__gradYL0_16 Int)
(declare-const global__gradYL0_17 Int)
(declare-const global__gradYL0_18 Int)
(declare-const global__gradYL0_19 Int)
(declare-const global__gradYL0_2 Int)
(declare-const global__gradYL0_20 Int)
(declare-const global__gradYL0_21 Int)
(declare-const global__gradYL0_22 Int)
(declare-const global__gradYL0_23 Int)
(declare-const global__gradYL0_24 Int)
(declare-const global__gradYL0_25 Int)
(declare-const global__gradYL0_26 Int)
(declare-const global__gradYL0_27 Int)
(declare-const global__gradYL0_28 Int)
(declare-const global__gradYL0_29 Int)
(declare-const global__gradYL0_3 Int)
(declare-const global__gradYL0_30 Int)
(declare-const global__gradYL0_31 Int)
(declare-const global__gradYL0_32 Int)
(declare-const global__gradYL0_33 Int)
(declare-const global__gradYL0_34 Int)
(declare-const global__gradYL0_35 Int)
(declare-const global__gradYL0_36 Int)
(declare-const global__gradYL0_37 Int)
(declare-const global__gradYL0_38 Int)
(declare-const global__gradYL0_39 Int)
(declare-const global__gradYL0_4 Int)
(declare-const global__gradYL0_40 Int)
(declare-const global__gradYL0_41 Int)
(declare-const global__gradYL0_42 Int)
(declare-const global__gradYL0_43 Int)
(declare-const global__gradYL0_44 Int)
(declare-const global__gradYL0_45 Int)
(declare-const global__gradYL0_46 Int)
(declare-const global__gradYL0_47 Int)
(declare-const global__gradYL0_48 Int)
(declare-const global__gradYL0_49 Int)
(declare-const global__gradYL0_5 Int)
(declare-const global__gradYL0_50 Int)
(declare-const global__gradYL0_51 Int)
(declare-const global__gradYL0_52 Int)
(declare-const global__gradYL0_53 Int)
(declare-const global__gradYL0_54 Int)
(declare-const global__gradYL0_55 Int)
(declare-const global__gradYL0_56 Int)
(declare-const global__gradYL0_57 Int)
(declare-const global__gradYL0_58 Int)
(declare-const global__gradYL0_59 Int)
(declare-const global__gradYL0_6 Int)
(declare-const global__gradYL0_60 Int)
(declare-const global__gradYL0_61 Int)
(declare-const global__gradYL0_62 Int)
(declare-const global__gradYL0_63 Int)
(declare-const global__gradYL0_7 Int)
(declare-const global__gradYL0_8 Int)
(declare-const global__gradYL0_9 Int)
(declare-const global__gradYL1_0 Int)
(declare-const global__gradYL1_1 Int)
(declare-const global__gradYL1_10 Int)
(declare-const global__gradYL1_11 Int)
(declare-const global__gradYL1_12 Int)
(declare-const global__gradYL1_13 Int)
(declare-const global__gradYL1_14 Int)
(declare-const global__gradYL1_15 Int)
(declare-const global__gradYL1_16 Int)
(declare-const global__gradYL1_17 Int)
(declare-const global__gradYL1_18 Int)
(declare-const global__gradYL1_19 Int)
(declare-const global__gradYL1_2 Int)
(declare-const global__gradYL1_20 Int)
(declare-const global__gradYL1_21 Int)
(declare-const global__gradYL1_22 Int)
(declare-const global__gradYL1_23 Int)
(declare-const global__gradYL1_24 Int)
(declare-const global__gradYL1_25 Int)
(declare-const global__gradYL1_26 Int)
(declare-const global__gradYL1_27 Int)
(declare-const global__gradYL1_28 Int)
(declare-const global__gradYL1_29 Int)
(declare-const global__gradYL1_3 Int)
(declare-const global__gradYL1_30 Int)
(declare-const global__gradYL1_31 Int)
(declare-const global__gradYL1_32 Int)
(declare-const global__gradYL1_33 Int)
(declare-const global__gradYL1_34 Int)
(declare-const global__gradYL1_35 Int)
(declare-const global__gradYL1_36 Int)
(declare-const global__gradYL1_37 Int)
(declare-const global__gradYL1_38 Int)
(declare-const global__gradYL1_39 Int)
(declare-const global__gradYL1_4 Int)
(declare-const global__gradYL1_40 Int)
(declare-const global__gradYL1_41 Int)
(declare-const global__gradYL1_42 Int)
(declare-const global__gradYL1_43 Int)
(declare-const global__gradYL1_44 Int)
(declare-const global__gradYL1_45 Int)
(declare-const global__gradYL1_46 Int)
(declare-const global__gradYL1_47 Int)
(declare-const global__gradYL1_48 Int)
(declare-const global__gradYL1_49 Int)
(declare-const global__gradYL1_5 Int)
(declare-const global__gradYL1_50 Int)
(declare-const global__gradYL1_51 Int)
(declare-const global__gradYL1_52 Int)
(declare-const global__gradYL1_53 Int)
(declare-const global__gradYL1_54 Int)
(declare-const global__gradYL1_55 Int)
(declare-const global__gradYL1_56 Int)
(declare-const global__gradYL1_57 Int)
(declare-const global__gradYL1_58 Int)
(declare-const global__gradYL1_59 Int)
(declare-const global__gradYL1_6 Int)
(declare-const global__gradYL1_60 Int)
(declare-const global__gradYL1_61 Int)
(declare-const global__gradYL1_62 Int)
(declare-const global__gradYL1_63 Int)
(declare-const global__gradYL1_7 Int)
(declare-const global__gradYL1_8 Int)
(declare-const global__gradYL1_9 Int)
(declare-const global__inputVector_0 Int)
(declare-const global__inputVector_1 Int)
(declare-const global__inputVector_10 Int)
(declare-const global__inputVector_100 Int)
(declare-const global__inputVector_101 Int)
(declare-const global__inputVector_102 Int)
(declare-const global__inputVector_103 Int)
(declare-const global__inputVector_104 Int)
(declare-const global__inputVector_105 Int)
(declare-const global__inputVector_106 Int)
(declare-const global__inputVector_107 Int)
(declare-const global__inputVector_108 Int)
(declare-const global__inputVector_109 Int)
(declare-const global__inputVector_11 Int)
(declare-const global__inputVector_110 Int)
(declare-const global__inputVector_111 Int)
(declare-const global__inputVector_112 Int)
(declare-const global__inputVector_113 Int)
(declare-const global__inputVector_114 Int)
(declare-const global__inputVector_115 Int)
(declare-const global__inputVector_116 Int)
(declare-const global__inputVector_117 Int)
(declare-const global__inputVector_118 Int)
(declare-const global__inputVector_119 Int)
(declare-const global__inputVector_12 Int)
(declare-const global__inputVector_120 Int)
(declare-const global__inputVector_121 Int)
(declare-const global__inputVector_122 Int)
(declare-const global__inputVector_123 Int)
(declare-const global__inputVector_124 Int)
(declare-const global__inputVector_125 Int)
(declare-const global__inputVector_126 Int)
(declare-const global__inputVector_127 Int)
(declare-const global__inputVector_128 Int)
(declare-const global__inputVector_129 Int)
(declare-const global__inputVector_13 Int)
(declare-const global__inputVector_130 Int)
(declare-const global__inputVector_131 Int)
(declare-const global__inputVector_132 Int)
(declare-const global__inputVector_133 Int)
(declare-const global__inputVector_134 Int)
(declare-const global__inputVector_135 Int)
(declare-const global__inputVector_136 Int)
(declare-const global__inputVector_137 Int)
(declare-const global__inputVector_138 Int)
(declare-const global__inputVector_139 Int)
(declare-const global__inputVector_14 Int)
(declare-const global__inputVector_140 Int)
(declare-const global__inputVector_141 Int)
(declare-const global__inputVector_142 Int)
(declare-const global__inputVector_143 Int)
(declare-const global__inputVector_144 Int)
(declare-const global__inputVector_145 Int)
(declare-const global__inputVector_146 Int)
(declare-const global__inputVector_147 Int)
(declare-const global__inputVector_148 Int)
(declare-const global__inputVector_149 Int)
(declare-const global__inputVector_15 Int)
(declare-const global__inputVector_150 Int)
(declare-const global__inputVector_151 Int)
(declare-const global__inputVector_152 Int)
(declare-const global__inputVector_153 Int)
(declare-const global__inputVector_154 Int)
(declare-const global__inputVector_155 Int)
(declare-const global__inputVector_156 Int)
(declare-const global__inputVector_157 Int)
(declare-const global__inputVector_158 Int)
(declare-const global__inputVector_159 Int)
(declare-const global__inputVector_16 Int)
(declare-const global__inputVector_160 Int)
(declare-const global__inputVector_161 Int)
(declare-const global__inputVector_162 Int)
(declare-const global__inputVector_163 Int)
(declare-const global__inputVector_164 Int)
(declare-const global__inputVector_165 Int)
(declare-const global__inputVector_166 Int)
(declare-const global__inputVector_167 Int)
(declare-const global__inputVector_168 Int)
(declare-const global__inputVector_169 Int)
(declare-const global__inputVector_17 Int)
(declare-const global__inputVector_170 Int)
(declare-const global__inputVector_171 Int)
(declare-const global__inputVector_172 Int)
(declare-const global__inputVector_173 Int)
(declare-const global__inputVector_174 Int)
(declare-const global__inputVector_175 Int)
(declare-const global__inputVector_176 Int)
(declare-const global__inputVector_177 Int)
(declare-const global__inputVector_178 Int)
(declare-const global__inputVector_179 Int)
(declare-const global__inputVector_18 Int)
(declare-const global__inputVector_180 Int)
(declare-const global__inputVector_181 Int)
(declare-const global__inputVector_182 Int)
(declare-const global__inputVector_183 Int)
(declare-const global__inputVector_184 Int)
(declare-const global__inputVector_185 Int)
(declare-const global__inputVector_186 Int)
(declare-const global__inputVector_187 Int)
(declare-const global__inputVector_188 Int)
(declare-const global__inputVector_189 Int)
(declare-const global__inputVector_19 Int)
(declare-const global__inputVector_190 Int)
(declare-const global__inputVector_191 Int)
(declare-const global__inputVector_192 Int)
(declare-const global__inputVector_193 Int)
(declare-const global__inputVector_194 Int)
(declare-const global__inputVector_195 Int)
(declare-const global__inputVector_196 Int)
(declare-const global__inputVector_197 Int)
(declare-const global__inputVector_198 Int)
(declare-const global__inputVector_199 Int)
(declare-const global__inputVector_2 Int)
(declare-const global__inputVector_20 Int)
(declare-const global__inputVector_200 Int)
(declare-const global__inputVector_201 Int)
(declare-const global__inputVector_202 Int)
(declare-const global__inputVector_203 Int)
(declare-const global__inputVector_204 Int)
(declare-const global__inputVector_205 Int)
(declare-const global__inputVector_206 Int)
(declare-const global__inputVector_207 Int)
(declare-const global__inputVector_208 Int)
(declare-const global__inputVector_209 Int)
(declare-const global__inputVector_21 Int)
(declare-const global__inputVector_210 Int)
(declare-const global__inputVector_211 Int)
(declare-const global__inputVector_212 Int)
(declare-const global__inputVector_213 Int)
(declare-const global__inputVector_214 Int)
(declare-const global__inputVector_215 Int)
(declare-const global__inputVector_216 Int)
(declare-const global__inputVector_217 Int)
(declare-const global__inputVector_218 Int)
(declare-const global__inputVector_219 Int)
(declare-const global__inputVector_22 Int)
(declare-const global__inputVector_220 Int)
(declare-const global__inputVector_221 Int)
(declare-const global__inputVector_222 Int)
(declare-const global__inputVector_223 Int)
(declare-const global__inputVector_224 Int)
(declare-const global__inputVector_225 Int)
(declare-const global__inputVector_226 Int)
(declare-const global__inputVector_227 Int)
(declare-const global__inputVector_228 Int)
(declare-const global__inputVector_229 Int)
(declare-const global__inputVector_23 Int)
(declare-const global__inputVector_230 Int)
(declare-const global__inputVector_231 Int)
(declare-const global__inputVector_232 Int)
(declare-const global__inputVector_233 Int)
(declare-const global__inputVector_234 Int)
(declare-const global__inputVector_235 Int)
(declare-const global__inputVector_236 Int)
(declare-const global__inputVector_237 Int)
(declare-const global__inputVector_238 Int)
(declare-const global__inputVector_239 Int)
(declare-const global__inputVector_24 Int)
(declare-const global__inputVector_240 Int)
(declare-const global__inputVector_241 Int)
(declare-const global__inputVector_242 Int)
(declare-const global__inputVector_243 Int)
(declare-const global__inputVector_244 Int)
(declare-const global__inputVector_245 Int)
(declare-const global__inputVector_246 Int)
(declare-const global__inputVector_247 Int)
(declare-const global__inputVector_248 Int)
(declare-const global__inputVector_249 Int)
(declare-const global__inputVector_25 Int)
(declare-const global__inputVector_250 Int)
(declare-const global__inputVector_251 Int)
(declare-const global__inputVector_252 Int)
(declare-const global__inputVector_253 Int)
(declare-const global__inputVector_254 Int)
(declare-const global__inputVector_255 Int)
(declare-const global__inputVector_256 Int)
(declare-const global__inputVector_257 Int)
(declare-const global__inputVector_258 Int)
(declare-const global__inputVector_259 Int)
(declare-const global__inputVector_26 Int)
(declare-const global__inputVector_260 Int)
(declare-const global__inputVector_261 Int)
(declare-const global__inputVector_262 Int)
(declare-const global__inputVector_263 Int)
(declare-const global__inputVector_264 Int)
(declare-const global__inputVector_265 Int)
(declare-const global__inputVector_266 Int)
(declare-const global__inputVector_267 Int)
(declare-const global__inputVector_268 Int)
(declare-const global__inputVector_269 Int)
(declare-const global__inputVector_27 Int)
(declare-const global__inputVector_270 Int)
(declare-const global__inputVector_271 Int)
(declare-const global__inputVector_272 Int)
(declare-const global__inputVector_273 Int)
(declare-const global__inputVector_274 Int)
(declare-const global__inputVector_275 Int)
(declare-const global__inputVector_276 Int)
(declare-const global__inputVector_277 Int)
(declare-const global__inputVector_278 Int)
(declare-const global__inputVector_279 Int)
(declare-const global__inputVector_28 Int)
(declare-const global__inputVector_280 Int)
(declare-const global__inputVector_281 Int)
(declare-const global__inputVector_282 Int)
(declare-const global__inputVector_283 Int)
(declare-const global__inputVector_284 Int)
(declare-const global__inputVector_285 Int)
(declare-const global__inputVector_286 Int)
(declare-const global__inputVector_287 Int)
(declare-const global__inputVector_288 Int)
(declare-const global__inputVector_289 Int)
(declare-const global__inputVector_29 Int)
(declare-const global__inputVector_290 Int)
(declare-const global__inputVector_291 Int)
(declare-const global__inputVector_292 Int)
(declare-const global__inputVector_293 Int)
(declare-const global__inputVector_294 Int)
(declare-const global__inputVector_295 Int)
(declare-const global__inputVector_296 Int)
(declare-const global__inputVector_297 Int)
(declare-const global__inputVector_298 Int)
(declare-const global__inputVector_299 Int)
(declare-const global__inputVector_3 Int)
(declare-const global__inputVector_30 Int)
(declare-const global__inputVector_300 Int)
(declare-const global__inputVector_301 Int)
(declare-const global__inputVector_302 Int)
(declare-const global__inputVector_303 Int)
(declare-const global__inputVector_304 Int)
(declare-const global__inputVector_305 Int)
(declare-const global__inputVector_306 Int)
(declare-const global__inputVector_307 Int)
(declare-const global__inputVector_308 Int)
(declare-const global__inputVector_309 Int)
(declare-const global__inputVector_31 Int)
(declare-const global__inputVector_310 Int)
(declare-const global__inputVector_311 Int)
(declare-const global__inputVector_312 Int)
(declare-const global__inputVector_313 Int)
(declare-const global__inputVector_314 Int)
(declare-const global__inputVector_315 Int)
(declare-const global__inputVector_316 Int)
(declare-const global__inputVector_317 Int)
(declare-const global__inputVector_318 Int)
(declare-const global__inputVector_319 Int)
(declare-const global__inputVector_32 Int)
(declare-const global__inputVector_320 Int)
(declare-const global__inputVector_321 Int)
(declare-const global__inputVector_322 Int)
(declare-const global__inputVector_323 Int)
(declare-const global__inputVector_324 Int)
(declare-const global__inputVector_325 Int)
(declare-const global__inputVector_326 Int)
(declare-const global__inputVector_327 Int)
(declare-const global__inputVector_328 Int)
(declare-const global__inputVector_329 Int)
(declare-const global__inputVector_33 Int)
(declare-const global__inputVector_330 Int)
(declare-const global__inputVector_331 Int)
(declare-const global__inputVector_332 Int)
(declare-const global__inputVector_333 Int)
(declare-const global__inputVector_334 Int)
(declare-const global__inputVector_335 Int)
(declare-const global__inputVector_336 Int)
(declare-const global__inputVector_337 Int)
(declare-const global__inputVector_338 Int)
(declare-const global__inputVector_339 Int)
(declare-const global__inputVector_34 Int)
(declare-const global__inputVector_340 Int)
(declare-const global__inputVector_341 Int)
(declare-const global__inputVector_342 Int)
(declare-const global__inputVector_343 Int)
(declare-const global__inputVector_344 Int)
(declare-const global__inputVector_345 Int)
(declare-const global__inputVector_346 Int)
(declare-const global__inputVector_347 Int)
(declare-const global__inputVector_348 Int)
(declare-const global__inputVector_349 Int)
(declare-const global__inputVector_35 Int)
(declare-const global__inputVector_350 Int)
(declare-const global__inputVector_351 Int)
(declare-const global__inputVector_352 Int)
(declare-const global__inputVector_353 Int)
(declare-const global__inputVector_354 Int)
(declare-const global__inputVector_355 Int)
(declare-const global__inputVector_356 Int)
(declare-const global__inputVector_357 Int)
(declare-const global__inputVector_358 Int)
(declare-const global__inputVector_359 Int)
(declare-const global__inputVector_36 Int)
(declare-const global__inputVector_360 Int)
(declare-const global__inputVector_361 Int)
(declare-const global__inputVector_362 Int)
(declare-const global__inputVector_363 Int)
(declare-const global__inputVector_364 Int)
(declare-const global__inputVector_365 Int)
(declare-const global__inputVector_366 Int)
(declare-const global__inputVector_367 Int)
(declare-const global__inputVector_368 Int)
(declare-const global__inputVector_369 Int)
(declare-const global__inputVector_37 Int)
(declare-const global__inputVector_370 Int)
(declare-const global__inputVector_371 Int)
(declare-const global__inputVector_372 Int)
(declare-const global__inputVector_373 Int)
(declare-const global__inputVector_374 Int)
(declare-const global__inputVector_375 Int)
(declare-const global__inputVector_376 Int)
(declare-const global__inputVector_377 Int)
(declare-const global__inputVector_378 Int)
(declare-const global__inputVector_379 Int)
(declare-const global__inputVector_38 Int)
(declare-const global__inputVector_380 Int)
(declare-const global__inputVector_381 Int)
(declare-const global__inputVector_382 Int)
(declare-const global__inputVector_383 Int)
(declare-const global__inputVector_384 Int)
(declare-const global__inputVector_385 Int)
(declare-const global__inputVector_386 Int)
(declare-const global__inputVector_387 Int)
(declare-const global__inputVector_388 Int)
(declare-const global__inputVector_389 Int)
(declare-const global__inputVector_39 Int)
(declare-const global__inputVector_390 Int)
(declare-const global__inputVector_391 Int)
(declare-const global__inputVector_392 Int)
(declare-const global__inputVector_393 Int)
(declare-const global__inputVector_394 Int)
(declare-const global__inputVector_395 Int)
(declare-const global__inputVector_396 Int)
(declare-const global__inputVector_397 Int)
(declare-const global__inputVector_398 Int)
(declare-const global__inputVector_399 Int)
(declare-const global__inputVector_4 Int)
(declare-const global__inputVector_40 Int)
(declare-const global__inputVector_400 Int)
(declare-const global__inputVector_401 Int)
(declare-const global__inputVector_402 Int)
(declare-const global__inputVector_403 Int)
(declare-const global__inputVector_404 Int)
(declare-const global__inputVector_405 Int)
(declare-const global__inputVector_406 Int)
(declare-const global__inputVector_407 Int)
(declare-const global__inputVector_408 Int)
(declare-const global__inputVector_409 Int)
(declare-const global__inputVector_41 Int)
(declare-const global__inputVector_410 Int)
(declare-const global__inputVector_411 Int)
(declare-const global__inputVector_412 Int)
(declare-const global__inputVector_413 Int)
(declare-const global__inputVector_414 Int)
(declare-const global__inputVector_415 Int)
(declare-const global__inputVector_416 Int)
(declare-const global__inputVector_417 Int)
(declare-const global__inputVector_418 Int)
(declare-const global__inputVector_419 Int)
(declare-const global__inputVector_42 Int)
(declare-const global__inputVector_420 Int)
(declare-const global__inputVector_421 Int)
(declare-const global__inputVector_422 Int)
(declare-const global__inputVector_423 Int)
(declare-const global__inputVector_424 Int)
(declare-const global__inputVector_425 Int)
(declare-const global__inputVector_426 Int)
(declare-const global__inputVector_427 Int)
(declare-const global__inputVector_428 Int)
(declare-const global__inputVector_429 Int)
(declare-const global__inputVector_43 Int)
(declare-const global__inputVector_430 Int)
(declare-const global__inputVector_431 Int)
(declare-const global__inputVector_432 Int)
(declare-const global__inputVector_433 Int)
(declare-const global__inputVector_434 Int)
(declare-const global__inputVector_435 Int)
(declare-const global__inputVector_436 Int)
(declare-const global__inputVector_437 Int)
(declare-const global__inputVector_438 Int)
(declare-const global__inputVector_439 Int)
(declare-const global__inputVector_44 Int)
(declare-const global__inputVector_440 Int)
(declare-const global__inputVector_441 Int)
(declare-const global__inputVector_442 Int)
(declare-const global__inputVector_443 Int)
(declare-const global__inputVector_444 Int)
(declare-const global__inputVector_445 Int)
(declare-const global__inputVector_446 Int)
(declare-const global__inputVector_447 Int)
(declare-const global__inputVector_448 Int)
(declare-const global__inputVector_449 Int)
(declare-const global__inputVector_45 Int)
(declare-const global__inputVector_46 Int)
(declare-const global__inputVector_47 Int)
(declare-const global__inputVector_48 Int)
(declare-const global__inputVector_49 Int)
(declare-const global__inputVector_5 Int)
(declare-const global__inputVector_50 Int)
(declare-const global__inputVector_51 Int)
(declare-const global__inputVector_52 Int)
(declare-const global__inputVector_53 Int)
(declare-const global__inputVector_54 Int)
(declare-const global__inputVector_55 Int)
(declare-const global__inputVector_56 Int)
(declare-const global__inputVector_57 Int)
(declare-const global__inputVector_58 Int)
(declare-const global__inputVector_59 Int)
(declare-const global__inputVector_6 Int)
(declare-const global__inputVector_60 Int)
(declare-const global__inputVector_61 Int)
(declare-const global__inputVector_62 Int)
(declare-const global__inputVector_63 Int)
(declare-const global__inputVector_64 Int)
(declare-const global__inputVector_65 Int)
(declare-const global__inputVector_66 Int)
(declare-const global__inputVector_67 Int)
(declare-const global__inputVector_68 Int)
(declare-const global__inputVector_69 Int)
(declare-const global__inputVector_7 Int)
(declare-const global__inputVector_70 Int)
(declare-const global__inputVector_71 Int)
(declare-const global__inputVector_72 Int)
(declare-const global__inputVector_73 Int)
(declare-const global__inputVector_74 Int)
(declare-const global__inputVector_75 Int)
(declare-const global__inputVector_76 Int)
(declare-const global__inputVector_77 Int)
(declare-const global__inputVector_78 Int)
(declare-const global__inputVector_79 Int)
(declare-const global__inputVector_8 Int)
(declare-const global__inputVector_80 Int)
(declare-const global__inputVector_81 Int)
(declare-const global__inputVector_82 Int)
(declare-const global__inputVector_83 Int)
(declare-const global__inputVector_84 Int)
(declare-const global__inputVector_85 Int)
(declare-const global__inputVector_86 Int)
(declare-const global__inputVector_87 Int)
(declare-const global__inputVector_88 Int)
(declare-const global__inputVector_89 Int)
(declare-const global__inputVector_9 Int)
(declare-const global__inputVector_90 Int)
(declare-const global__inputVector_91 Int)
(declare-const global__inputVector_92 Int)
(declare-const global__inputVector_93 Int)
(declare-const global__inputVector_94 Int)
(declare-const global__inputVector_95 Int)
(declare-const global__inputVector_96 Int)
(declare-const global__inputVector_97 Int)
(declare-const global__inputVector_98 Int)
(declare-const global__inputVector_99 Int)
(declare-const global__input__val__0 Int)
(declare-const global__input__val__1 Int)
(declare-const global__input__val__10 Int)
(declare-const global__input__val__100 Int)
(declare-const global__input__val__101 Int)
(declare-const global__input__val__102 Int)
(declare-const global__input__val__103 Int)
(declare-const global__input__val__104 Int)
(declare-const global__input__val__105 Int)
(declare-const global__input__val__106 Int)
(declare-const global__input__val__107 Int)
(declare-const global__input__val__108 Int)
(declare-const global__input__val__109 Int)
(declare-const global__input__val__11 Int)
(declare-const global__input__val__110 Int)
(declare-const global__input__val__111 Int)
(declare-const global__input__val__112 Int)
(declare-const global__input__val__113 Int)
(declare-const global__input__val__114 Int)
(declare-const global__input__val__115 Int)
(declare-const global__input__val__116 Int)
(declare-const global__input__val__117 Int)
(declare-const global__input__val__118 Int)
(declare-const global__input__val__119 Int)
(declare-const global__input__val__12 Int)
(declare-const global__input__val__120 Int)
(declare-const global__input__val__121 Int)
(declare-const global__input__val__122 Int)
(declare-const global__input__val__123 Int)
(declare-const global__input__val__124 Int)
(declare-const global__input__val__125 Int)
(declare-const global__input__val__126 Int)
(declare-const global__input__val__127 Int)
(declare-const global__input__val__128 Int)
(declare-const global__input__val__129 Int)
(declare-const global__input__val__13 Int)
(declare-const global__input__val__130 Int)
(declare-const global__input__val__131 Int)
(declare-const global__input__val__132 Int)
(declare-const global__input__val__133 Int)
(declare-const global__input__val__134 Int)
(declare-const global__input__val__135 Int)
(declare-const global__input__val__136 Int)
(declare-const global__input__val__137 Int)
(declare-const global__input__val__138 Int)
(declare-const global__input__val__139 Int)
(declare-const global__input__val__14 Int)
(declare-const global__input__val__140 Int)
(declare-const global__input__val__141 Int)
(declare-const global__input__val__142 Int)
(declare-const global__input__val__143 Int)
(declare-const global__input__val__144 Int)
(declare-const global__input__val__145 Int)
(declare-const global__input__val__146 Int)
(declare-const global__input__val__147 Int)
(declare-const global__input__val__148 Int)
(declare-const global__input__val__149 Int)
(declare-const global__input__val__15 Int)
(declare-const global__input__val__150 Int)
(declare-const global__input__val__151 Int)
(declare-const global__input__val__152 Int)
(declare-const global__input__val__153 Int)
(declare-const global__input__val__154 Int)
(declare-const global__input__val__155 Int)
(declare-const global__input__val__156 Int)
(declare-const global__input__val__157 Int)
(declare-const global__input__val__158 Int)
(declare-const global__input__val__159 Int)
(declare-const global__input__val__16 Int)
(declare-const global__input__val__160 Int)
(declare-const global__input__val__161 Int)
(declare-const global__input__val__162 Int)
(declare-const global__input__val__163 Int)
(declare-const global__input__val__164 Int)
(declare-const global__input__val__165 Int)
(declare-const global__input__val__166 Int)
(declare-const global__input__val__167 Int)
(declare-const global__input__val__168 Int)
(declare-const global__input__val__169 Int)
(declare-const global__input__val__17 Int)
(declare-const global__input__val__170 Int)
(declare-const global__input__val__171 Int)
(declare-const global__input__val__172 Int)
(declare-const global__input__val__173 Int)
(declare-const global__input__val__174 Int)
(declare-const global__input__val__175 Int)
(declare-const global__input__val__176 Int)
(declare-const global__input__val__177 Int)
(declare-const global__input__val__178 Int)
(declare-const global__input__val__179 Int)
(declare-const global__input__val__18 Int)
(declare-const global__input__val__180 Int)
(declare-const global__input__val__181 Int)
(declare-const global__input__val__182 Int)
(declare-const global__input__val__183 Int)
(declare-const global__input__val__184 Int)
(declare-const global__input__val__185 Int)
(declare-const global__input__val__186 Int)
(declare-const global__input__val__187 Int)
(declare-const global__input__val__188 Int)
(declare-const global__input__val__189 Int)
(declare-const global__input__val__19 Int)
(declare-const global__input__val__190 Int)
(declare-const global__input__val__191 Int)
(declare-const global__input__val__192 Int)
(declare-const global__input__val__193 Int)
(declare-const global__input__val__194 Int)
(declare-const global__input__val__195 Int)
(declare-const global__input__val__196 Int)
(declare-const global__input__val__197 Int)
(declare-const global__input__val__198 Int)
(declare-const global__input__val__199 Int)
(declare-const global__input__val__2 Int)
(declare-const global__input__val__20 Int)
(declare-const global__input__val__200 Int)
(declare-const global__input__val__201 Int)
(declare-const global__input__val__202 Int)
(declare-const global__input__val__203 Int)
(declare-const global__input__val__204 Int)
(declare-const global__input__val__205 Int)
(declare-const global__input__val__206 Int)
(declare-const global__input__val__207 Int)
(declare-const global__input__val__208 Int)
(declare-const global__input__val__209 Int)
(declare-const global__input__val__21 Int)
(declare-const global__input__val__210 Int)
(declare-const global__input__val__211 Int)
(declare-const global__input__val__212 Int)
(declare-const global__input__val__213 Int)
(declare-const global__input__val__214 Int)
(declare-const global__input__val__215 Int)
(declare-const global__input__val__216 Int)
(declare-const global__input__val__217 Int)
(declare-const global__input__val__218 Int)
(declare-const global__input__val__219 Int)
(declare-const global__input__val__22 Int)
(declare-const global__input__val__220 Int)
(declare-const global__input__val__221 Int)
(declare-const global__input__val__222 Int)
(declare-const global__input__val__223 Int)
(declare-const global__input__val__224 Int)
(declare-const global__input__val__225 Int)
(declare-const global__input__val__226 Int)
(declare-const global__input__val__227 Int)
(declare-const global__input__val__228 Int)
(declare-const global__input__val__229 Int)
(declare-const global__input__val__23 Int)
(declare-const global__input__val__230 Int)
(declare-const global__input__val__231 Int)
(declare-const global__input__val__232 Int)
(declare-const global__input__val__233 Int)
(declare-const global__input__val__234 Int)
(declare-const global__input__val__235 Int)
(declare-const global__input__val__236 Int)
(declare-const global__input__val__237 Int)
(declare-const global__input__val__238 Int)
(declare-const global__input__val__239 Int)
(declare-const global__input__val__24 Int)
(declare-const global__input__val__240 Int)
(declare-const global__input__val__241 Int)
(declare-const global__input__val__242 Int)
(declare-const global__input__val__243 Int)
(declare-const global__input__val__244 Int)
(declare-const global__input__val__245 Int)
(declare-const global__input__val__246 Int)
(declare-const global__input__val__247 Int)
(declare-const global__input__val__248 Int)
(declare-const global__input__val__249 Int)
(declare-const global__input__val__25 Int)
(declare-const global__input__val__250 Int)
(declare-const global__input__val__251 Int)
(declare-const global__input__val__252 Int)
(declare-const global__input__val__253 Int)
(declare-const global__input__val__254 Int)
(declare-const global__input__val__255 Int)
(declare-const global__input__val__256 Int)
(declare-const global__input__val__257 Int)
(declare-const global__input__val__258 Int)
(declare-const global__input__val__259 Int)
(declare-const global__input__val__26 Int)
(declare-const global__input__val__260 Int)
(declare-const global__input__val__261 Int)
(declare-const global__input__val__262 Int)
(declare-const global__input__val__263 Int)
(declare-const global__input__val__264 Int)
(declare-const global__input__val__265 Int)
(declare-const global__input__val__266 Int)
(declare-const global__input__val__267 Int)
(declare-const global__input__val__268 Int)
(declare-const global__input__val__269 Int)
(declare-const global__input__val__27 Int)
(declare-const global__input__val__270 Int)
(declare-const global__input__val__271 Int)
(declare-const global__input__val__272 Int)
(declare-const global__input__val__273 Int)
(declare-const global__input__val__274 Int)
(declare-const global__input__val__275 Int)
(declare-const global__input__val__276 Int)
(declare-const global__input__val__277 Int)
(declare-const global__input__val__278 Int)
(declare-const global__input__val__279 Int)
(declare-const global__input__val__28 Int)
(declare-const global__input__val__280 Int)
(declare-const global__input__val__281 Int)
(declare-const global__input__val__282 Int)
(declare-const global__input__val__283 Int)
(declare-const global__input__val__284 Int)
(declare-const global__input__val__285 Int)
(declare-const global__input__val__286 Int)
(declare-const global__input__val__287 Int)
(declare-const global__input__val__288 Int)
(declare-const global__input__val__289 Int)
(declare-const global__input__val__29 Int)
(declare-const global__input__val__290 Int)
(declare-const global__input__val__291 Int)
(declare-const global__input__val__292 Int)
(declare-const global__input__val__293 Int)
(declare-const global__input__val__294 Int)
(declare-const global__input__val__295 Int)
(declare-const global__input__val__296 Int)
(declare-const global__input__val__297 Int)
(declare-const global__input__val__298 Int)
(declare-const global__input__val__299 Int)
(declare-const global__input__val__3 Int)
(declare-const global__input__val__30 Int)
(declare-const global__input__val__300 Int)
(declare-const global__input__val__301 Int)
(declare-const global__input__val__302 Int)
(declare-const global__input__val__303 Int)
(declare-const global__input__val__304 Int)
(declare-const global__input__val__305 Int)
(declare-const global__input__val__306 Int)
(declare-const global__input__val__307 Int)
(declare-const global__input__val__308 Int)
(declare-const global__input__val__309 Int)
(declare-const global__input__val__31 Int)
(declare-const global__input__val__310 Int)
(declare-const global__input__val__311 Int)
(declare-const global__input__val__312 Int)
(declare-const global__input__val__313 Int)
(declare-const global__input__val__314 Int)
(declare-const global__input__val__315 Int)
(declare-const global__input__val__316 Int)
(declare-const global__input__val__317 Int)
(declare-const global__input__val__318 Int)
(declare-const global__input__val__319 Int)
(declare-const global__input__val__32 Int)
(declare-const global__input__val__320 Int)
(declare-const global__input__val__321 Int)
(declare-const global__input__val__322 Int)
(declare-const global__input__val__323 Int)
(declare-const global__input__val__324 Int)
(declare-const global__input__val__325 Int)
(declare-const global__input__val__326 Int)
(declare-const global__input__val__327 Int)
(declare-const global__input__val__328 Int)
(declare-const global__input__val__329 Int)
(declare-const global__input__val__33 Int)
(declare-const global__input__val__330 Int)
(declare-const global__input__val__331 Int)
(declare-const global__input__val__332 Int)
(declare-const global__input__val__333 Int)
(declare-const global__input__val__334 Int)
(declare-const global__input__val__335 Int)
(declare-const global__input__val__336 Int)
(declare-const global__input__val__337 Int)
(declare-const global__input__val__338 Int)
(declare-const global__input__val__339 Int)
(declare-const global__input__val__34 Int)
(declare-const global__input__val__340 Int)
(declare-const global__input__val__341 Int)
(declare-const global__input__val__342 Int)
(declare-const global__input__val__343 Int)
(declare-const global__input__val__344 Int)
(declare-const global__input__val__345 Int)
(declare-const global__input__val__346 Int)
(declare-const global__input__val__347 Int)
(declare-const global__input__val__348 Int)
(declare-const global__input__val__349 Int)
(declare-const global__input__val__35 Int)
(declare-const global__input__val__350 Int)
(declare-const global__input__val__351 Int)
(declare-const global__input__val__352 Int)
(declare-const global__input__val__353 Int)
(declare-const global__input__val__354 Int)
(declare-const global__input__val__355 Int)
(declare-const global__input__val__356 Int)
(declare-const global__input__val__357 Int)
(declare-const global__input__val__358 Int)
(declare-const global__input__val__359 Int)
(declare-const global__input__val__36 Int)
(declare-const global__input__val__360 Int)
(declare-const global__input__val__361 Int)
(declare-const global__input__val__362 Int)
(declare-const global__input__val__363 Int)
(declare-const global__input__val__364 Int)
(declare-const global__input__val__365 Int)
(declare-const global__input__val__366 Int)
(declare-const global__input__val__367 Int)
(declare-const global__input__val__368 Int)
(declare-const global__input__val__369 Int)
(declare-const global__input__val__37 Int)
(declare-const global__input__val__370 Int)
(declare-const global__input__val__371 Int)
(declare-const global__input__val__372 Int)
(declare-const global__input__val__373 Int)
(declare-const global__input__val__374 Int)
(declare-const global__input__val__375 Int)
(declare-const global__input__val__376 Int)
(declare-const global__input__val__377 Int)
(declare-const global__input__val__378 Int)
(declare-const global__input__val__379 Int)
(declare-const global__input__val__38 Int)
(declare-const global__input__val__380 Int)
(declare-const global__input__val__381 Int)
(declare-const global__input__val__382 Int)
(declare-const global__input__val__383 Int)
(declare-const global__input__val__384 Int)
(declare-const global__input__val__385 Int)
(declare-const global__input__val__386 Int)
(declare-const global__input__val__387 Int)
(declare-const global__input__val__388 Int)
(declare-const global__input__val__389 Int)
(declare-const global__input__val__39 Int)
(declare-const global__input__val__390 Int)
(declare-const global__input__val__391 Int)
(declare-const global__input__val__392 Int)
(declare-const global__input__val__393 Int)
(declare-const global__input__val__394 Int)
(declare-const global__input__val__395 Int)
(declare-const global__input__val__396 Int)
(declare-const global__input__val__397 Int)
(declare-const global__input__val__398 Int)
(declare-const global__input__val__399 Int)
(declare-const global__input__val__4 Int)
(declare-const global__input__val__40 Int)
(declare-const global__input__val__400 Int)
(declare-const global__input__val__401 Int)
(declare-const global__input__val__402 Int)
(declare-const global__input__val__403 Int)
(declare-const global__input__val__404 Int)
(declare-const global__input__val__405 Int)
(declare-const global__input__val__406 Int)
(declare-const global__input__val__407 Int)
(declare-const global__input__val__408 Int)
(declare-const global__input__val__409 Int)
(declare-const global__input__val__41 Int)
(declare-const global__input__val__410 Int)
(declare-const global__input__val__411 Int)
(declare-const global__input__val__412 Int)
(declare-const global__input__val__413 Int)
(declare-const global__input__val__414 Int)
(declare-const global__input__val__415 Int)
(declare-const global__input__val__416 Int)
(declare-const global__input__val__417 Int)
(declare-const global__input__val__418 Int)
(declare-const global__input__val__419 Int)
(declare-const global__input__val__42 Int)
(declare-const global__input__val__420 Int)
(declare-const global__input__val__421 Int)
(declare-const global__input__val__422 Int)
(declare-const global__input__val__423 Int)
(declare-const global__input__val__424 Int)
(declare-const global__input__val__425 Int)
(declare-const global__input__val__426 Int)
(declare-const global__input__val__427 Int)
(declare-const global__input__val__428 Int)
(declare-const global__input__val__429 Int)
(declare-const global__input__val__43 Int)
(declare-const global__input__val__430 Int)
(declare-const global__input__val__431 Int)
(declare-const global__input__val__432 Int)
(declare-const global__input__val__433 Int)
(declare-const global__input__val__434 Int)
(declare-const global__input__val__435 Int)
(declare-const global__input__val__436 Int)
(declare-const global__input__val__437 Int)
(declare-const global__input__val__438 Int)
(declare-const global__input__val__439 Int)
(declare-const global__input__val__44 Int)
(declare-const global__input__val__440 Int)
(declare-const global__input__val__441 Int)
(declare-const global__input__val__442 Int)
(declare-const global__input__val__443 Int)
(declare-const global__input__val__444 Int)
(declare-const global__input__val__445 Int)
(declare-const global__input__val__446 Int)
(declare-const global__input__val__447 Int)
(declare-const global__input__val__448 Int)
(declare-const global__input__val__449 Int)
(declare-const global__input__val__45 Int)
(declare-const global__input__val__46 Int)
(declare-const global__input__val__47 Int)
(declare-const global__input__val__48 Int)
(declare-const global__input__val__49 Int)
(declare-const global__input__val__5 Int)
(declare-const global__input__val__50 Int)
(declare-const global__input__val__51 Int)
(declare-const global__input__val__52 Int)
(declare-const global__input__val__53 Int)
(declare-const global__input__val__54 Int)
(declare-const global__input__val__55 Int)
(declare-const global__input__val__56 Int)
(declare-const global__input__val__57 Int)
(declare-const global__input__val__58 Int)
(declare-const global__input__val__59 Int)
(declare-const global__input__val__6 Int)
(declare-const global__input__val__60 Int)
(declare-const global__input__val__61 Int)
(declare-const global__input__val__62 Int)
(declare-const global__input__val__63 Int)
(declare-const global__input__val__64 Int)
(declare-const global__input__val__65 Int)
(declare-const global__input__val__66 Int)
(declare-const global__input__val__67 Int)
(declare-const global__input__val__68 Int)
(declare-const global__input__val__69 Int)
(declare-const global__input__val__7 Int)
(declare-const global__input__val__70 Int)
(declare-const global__input__val__71 Int)
(declare-const global__input__val__72 Int)
(declare-const global__input__val__73 Int)
(declare-const global__input__val__74 Int)
(declare-const global__input__val__75 Int)
(declare-const global__input__val__76 Int)
(declare-const global__input__val__77 Int)
(declare-const global__input__val__78 Int)
(declare-const global__input__val__79 Int)
(declare-const global__input__val__8 Int)
(declare-const global__input__val__80 Int)
(declare-const global__input__val__81 Int)
(declare-const global__input__val__82 Int)
(declare-const global__input__val__83 Int)
(declare-const global__input__val__84 Int)
(declare-const global__input__val__85 Int)
(declare-const global__input__val__86 Int)
(declare-const global__input__val__87 Int)
(declare-const global__input__val__88 Int)
(declare-const global__input__val__89 Int)
(declare-const global__input__val__9 Int)
(declare-const global__input__val__90 Int)
(declare-const global__input__val__91 Int)
(declare-const global__input__val__92 Int)
(declare-const global__input__val__93 Int)
(declare-const global__input__val__94 Int)
(declare-const global__input__val__95 Int)
(declare-const global__input__val__96 Int)
(declare-const global__input__val__97 Int)
(declare-const global__input__val__98 Int)
(declare-const global__input__val__99 Int)
(declare-const global__outputVector_0 Int)
(declare-const global__outputVector_1 Int)
(declare-const global__outputVector_10 Int)
(declare-const global__outputVector_11 Int)
(declare-const global__outputVector_12 Int)
(declare-const global__outputVector_13 Int)
(declare-const global__outputVector_14 Int)
(declare-const global__outputVector_15 Int)
(declare-const global__outputVector_16 Int)
(declare-const global__outputVector_17 Int)
(declare-const global__outputVector_18 Int)
(declare-const global__outputVector_19 Int)
(declare-const global__outputVector_2 Int)
(declare-const global__outputVector_20 Int)
(declare-const global__outputVector_21 Int)
(declare-const global__outputVector_22 Int)
(declare-const global__outputVector_23 Int)
(declare-const global__outputVector_24 Int)
(declare-const global__outputVector_25 Int)
(declare-const global__outputVector_26 Int)
(declare-const global__outputVector_27 Int)
(declare-const global__outputVector_28 Int)
(declare-const global__outputVector_29 Int)
(declare-const global__outputVector_3 Int)
(declare-const global__outputVector_30 Int)
(declare-const global__outputVector_31 Int)
(declare-const global__outputVector_32 Int)
(declare-const global__outputVector_33 Int)
(declare-const global__outputVector_34 Int)
(declare-const global__outputVector_35 Int)
(declare-const global__outputVector_36 Int)
(declare-const global__outputVector_37 Int)
(declare-const global__outputVector_38 Int)
(declare-const global__outputVector_39 Int)
(declare-const global__outputVector_4 Int)
(declare-const global__outputVector_40 Int)
(declare-const global__outputVector_41 Int)
(declare-const global__outputVector_42 Int)
(declare-const global__outputVector_43 Int)
(declare-const global__outputVector_44 Int)
(declare-const global__outputVector_45 Int)
(declare-const global__outputVector_46 Int)
(declare-const global__outputVector_47 Int)
(declare-const global__outputVector_48 Int)
(declare-const global__outputVector_49 Int)
(declare-const global__outputVector_5 Int)
(declare-const global__outputVector_50 Int)
(declare-const global__outputVector_51 Int)
(declare-const global__outputVector_52 Int)
(declare-const global__outputVector_53 Int)
(declare-const global__outputVector_54 Int)
(declare-const global__outputVector_55 Int)
(declare-const global__outputVector_56 Int)
(declare-const global__outputVector_57 Int)
(declare-const global__outputVector_58 Int)
(declare-const global__outputVector_59 Int)
(declare-const global__outputVector_6 Int)
(declare-const global__outputVector_60 Int)
(declare-const global__outputVector_61 Int)
(declare-const global__outputVector_62 Int)
(declare-const global__outputVector_63 Int)
(declare-const global__outputVector_7 Int)
(declare-const global__outputVector_8 Int)
(declare-const global__outputVector_9 Int)
(declare-const global__predL0_0 Int)
(declare-const global__predL0_1 Int)
(declare-const global__predL0_10 Int)
(declare-const global__predL0_11 Int)
(declare-const global__predL0_12 Int)
(declare-const global__predL0_13 Int)
(declare-const global__predL0_14 Int)
(declare-const global__predL0_15 Int)
(declare-const global__predL0_16 Int)
(declare-const global__predL0_17 Int)
(declare-const global__predL0_18 Int)
(declare-const global__predL0_19 Int)
(declare-const global__predL0_2 Int)
(declare-const global__predL0_20 Int)
(declare-const global__predL0_21 Int)
(declare-const global__predL0_22 Int)
(declare-const global__predL0_23 Int)
(declare-const global__predL0_24 Int)
(declare-const global__predL0_25 Int)
(declare-const global__predL0_26 Int)
(declare-const global__predL0_27 Int)
(declare-const global__predL0_28 Int)
(declare-const global__predL0_29 Int)
(declare-const global__predL0_3 Int)
(declare-const global__predL0_30 Int)
(declare-const global__predL0_31 Int)
(declare-const global__predL0_32 Int)
(declare-const global__predL0_33 Int)
(declare-const global__predL0_34 Int)
(declare-const global__predL0_35 Int)
(declare-const global__predL0_36 Int)
(declare-const global__predL0_37 Int)
(declare-const global__predL0_38 Int)
(declare-const global__predL0_39 Int)
(declare-const global__predL0_4 Int)
(declare-const global__predL0_40 Int)
(declare-const global__predL0_41 Int)
(declare-const global__predL0_42 Int)
(declare-const global__predL0_43 Int)
(declare-const global__predL0_44 Int)
(declare-const global__predL0_45 Int)
(declare-const global__predL0_46 Int)
(declare-const global__predL0_47 Int)
(declare-const global__predL0_48 Int)
(declare-const global__predL0_49 Int)
(declare-const global__predL0_5 Int)
(declare-const global__predL0_50 Int)
(declare-const global__predL0_51 Int)
(declare-const global__predL0_52 Int)
(declare-const global__predL0_53 Int)
(declare-const global__predL0_54 Int)
(declare-const global__predL0_55 Int)
(declare-const global__predL0_56 Int)
(declare-const global__predL0_57 Int)
(declare-const global__predL0_58 Int)
(declare-const global__predL0_59 Int)
(declare-const global__predL0_6 Int)
(declare-const global__predL0_60 Int)
(declare-const global__predL0_61 Int)
(declare-const global__predL0_62 Int)
(declare-const global__predL0_63 Int)
(declare-const global__predL0_7 Int)
(declare-const global__predL0_8 Int)
(declare-const global__predL0_9 Int)
(declare-const global__predL1_0 Int)
(declare-const global__predL1_1 Int)
(declare-const global__predL1_10 Int)
(declare-const global__predL1_11 Int)
(declare-const global__predL1_12 Int)
(declare-const global__predL1_13 Int)
(declare-const global__predL1_14 Int)
(declare-const global__predL1_15 Int)
(declare-const global__predL1_16 Int)
(declare-const global__predL1_17 Int)
(declare-const global__predL1_18 Int)
(declare-const global__predL1_19 Int)
(declare-const global__predL1_2 Int)
(declare-const global__predL1_20 Int)
(declare-const global__predL1_21 Int)
(declare-const global__predL1_22 Int)
(declare-const global__predL1_23 Int)
(declare-const global__predL1_24 Int)
(declare-const global__predL1_25 Int)
(declare-const global__predL1_26 Int)
(declare-const global__predL1_27 Int)
(declare-const global__predL1_28 Int)
(declare-const global__predL1_29 Int)
(declare-const global__predL1_3 Int)
(declare-const global__predL1_30 Int)
(declare-const global__predL1_31 Int)
(declare-const global__predL1_32 Int)
(declare-const global__predL1_33 Int)
(declare-const global__predL1_34 Int)
(declare-const global__predL1_35 Int)
(declare-const global__predL1_36 Int)
(declare-const global__predL1_37 Int)
(declare-const global__predL1_38 Int)
(declare-const global__predL1_39 Int)
(declare-const global__predL1_4 Int)
(declare-const global__predL1_40 Int)
(declare-const global__predL1_41 Int)
(declare-const global__predL1_42 Int)
(declare-const global__predL1_43 Int)
(declare-const global__predL1_44 Int)
(declare-const global__predL1_45 Int)
(declare-const global__predL1_46 Int)
(declare-const global__predL1_47 Int)
(declare-const global__predL1_48 Int)
(declare-const global__predL1_49 Int)
(declare-const global__predL1_5 Int)
(declare-const global__predL1_50 Int)
(declare-const global__predL1_51 Int)
(declare-const global__predL1_52 Int)
(declare-const global__predL1_53 Int)
(declare-const global__predL1_54 Int)
(declare-const global__predL1_55 Int)
(declare-const global__predL1_56 Int)
(declare-const global__predL1_57 Int)
(declare-const global__predL1_58 Int)
(declare-const global__predL1_59 Int)
(declare-const global__predL1_6 Int)
(declare-const global__predL1_60 Int)
(declare-const global__predL1_61 Int)
(declare-const global__predL1_62 Int)
(declare-const global__predL1_63 Int)
(declare-const global__predL1_7 Int)
(declare-const global__predL1_8 Int)
(declare-const global__predL1_9 Int)
(declare-const global__ref0_0 Int)
(declare-const global__ref0_1 Int)
(declare-const global__ref0_10 Int)
(declare-const global__ref0_100 Int)
(declare-const global__ref0_101 Int)
(declare-const global__ref0_102 Int)
(declare-const global__ref0_103 Int)
(declare-const global__ref0_104 Int)
(declare-const global__ref0_105 Int)
(declare-const global__ref0_106 Int)
(declare-const global__ref0_107 Int)
(declare-const global__ref0_108 Int)
(declare-const global__ref0_109 Int)
(declare-const global__ref0_11 Int)
(declare-const global__ref0_110 Int)
(declare-const global__ref0_111 Int)
(declare-const global__ref0_112 Int)
(declare-const global__ref0_113 Int)
(declare-const global__ref0_114 Int)
(declare-const global__ref0_115 Int)
(declare-const global__ref0_116 Int)
(declare-const global__ref0_117 Int)
(declare-const global__ref0_118 Int)
(declare-const global__ref0_119 Int)
(declare-const global__ref0_12 Int)
(declare-const global__ref0_120 Int)
(declare-const global__ref0_121 Int)
(declare-const global__ref0_122 Int)
(declare-const global__ref0_123 Int)
(declare-const global__ref0_124 Int)
(declare-const global__ref0_125 Int)
(declare-const global__ref0_126 Int)
(declare-const global__ref0_127 Int)
(declare-const global__ref0_128 Int)
(declare-const global__ref0_129 Int)
(declare-const global__ref0_13 Int)
(declare-const global__ref0_130 Int)
(declare-const global__ref0_131 Int)
(declare-const global__ref0_132 Int)
(declare-const global__ref0_133 Int)
(declare-const global__ref0_134 Int)
(declare-const global__ref0_135 Int)
(declare-const global__ref0_136 Int)
(declare-const global__ref0_137 Int)
(declare-const global__ref0_138 Int)
(declare-const global__ref0_139 Int)
(declare-const global__ref0_14 Int)
(declare-const global__ref0_140 Int)
(declare-const global__ref0_141 Int)
(declare-const global__ref0_142 Int)
(declare-const global__ref0_143 Int)
(declare-const global__ref0_144 Int)
(declare-const global__ref0_145 Int)
(declare-const global__ref0_146 Int)
(declare-const global__ref0_147 Int)
(declare-const global__ref0_148 Int)
(declare-const global__ref0_149 Int)
(declare-const global__ref0_15 Int)
(declare-const global__ref0_150 Int)
(declare-const global__ref0_151 Int)
(declare-const global__ref0_152 Int)
(declare-const global__ref0_153 Int)
(declare-const global__ref0_154 Int)
(declare-const global__ref0_155 Int)
(declare-const global__ref0_156 Int)
(declare-const global__ref0_157 Int)
(declare-const global__ref0_158 Int)
(declare-const global__ref0_159 Int)
(declare-const global__ref0_16 Int)
(declare-const global__ref0_160 Int)
(declare-const global__ref0_161 Int)
(declare-const global__ref0_162 Int)
(declare-const global__ref0_163 Int)
(declare-const global__ref0_164 Int)
(declare-const global__ref0_165 Int)
(declare-const global__ref0_166 Int)
(declare-const global__ref0_167 Int)
(declare-const global__ref0_168 Int)
(declare-const global__ref0_169 Int)
(declare-const global__ref0_17 Int)
(declare-const global__ref0_170 Int)
(declare-const global__ref0_171 Int)
(declare-const global__ref0_172 Int)
(declare-const global__ref0_173 Int)
(declare-const global__ref0_174 Int)
(declare-const global__ref0_175 Int)
(declare-const global__ref0_176 Int)
(declare-const global__ref0_177 Int)
(declare-const global__ref0_178 Int)
(declare-const global__ref0_179 Int)
(declare-const global__ref0_18 Int)
(declare-const global__ref0_180 Int)
(declare-const global__ref0_181 Int)
(declare-const global__ref0_182 Int)
(declare-const global__ref0_183 Int)
(declare-const global__ref0_184 Int)
(declare-const global__ref0_185 Int)
(declare-const global__ref0_186 Int)
(declare-const global__ref0_187 Int)
(declare-const global__ref0_188 Int)
(declare-const global__ref0_189 Int)
(declare-const global__ref0_19 Int)
(declare-const global__ref0_190 Int)
(declare-const global__ref0_191 Int)
(declare-const global__ref0_192 Int)
(declare-const global__ref0_193 Int)
(declare-const global__ref0_194 Int)
(declare-const global__ref0_195 Int)
(declare-const global__ref0_196 Int)
(declare-const global__ref0_197 Int)
(declare-const global__ref0_198 Int)
(declare-const global__ref0_199 Int)
(declare-const global__ref0_2 Int)
(declare-const global__ref0_20 Int)
(declare-const global__ref0_200 Int)
(declare-const global__ref0_201 Int)
(declare-const global__ref0_202 Int)
(declare-const global__ref0_203 Int)
(declare-const global__ref0_204 Int)
(declare-const global__ref0_205 Int)
(declare-const global__ref0_206 Int)
(declare-const global__ref0_207 Int)
(declare-const global__ref0_208 Int)
(declare-const global__ref0_209 Int)
(declare-const global__ref0_21 Int)
(declare-const global__ref0_210 Int)
(declare-const global__ref0_211 Int)
(declare-const global__ref0_212 Int)
(declare-const global__ref0_213 Int)
(declare-const global__ref0_214 Int)
(declare-const global__ref0_215 Int)
(declare-const global__ref0_216 Int)
(declare-const global__ref0_217 Int)
(declare-const global__ref0_218 Int)
(declare-const global__ref0_219 Int)
(declare-const global__ref0_22 Int)
(declare-const global__ref0_220 Int)
(declare-const global__ref0_221 Int)
(declare-const global__ref0_222 Int)
(declare-const global__ref0_223 Int)
(declare-const global__ref0_224 Int)
(declare-const global__ref0_23 Int)
(declare-const global__ref0_24 Int)
(declare-const global__ref0_25 Int)
(declare-const global__ref0_26 Int)
(declare-const global__ref0_27 Int)
(declare-const global__ref0_28 Int)
(declare-const global__ref0_29 Int)
(declare-const global__ref0_3 Int)
(declare-const global__ref0_30 Int)
(declare-const global__ref0_31 Int)
(declare-const global__ref0_32 Int)
(declare-const global__ref0_33 Int)
(declare-const global__ref0_34 Int)
(declare-const global__ref0_35 Int)
(declare-const global__ref0_36 Int)
(declare-const global__ref0_37 Int)
(declare-const global__ref0_38 Int)
(declare-const global__ref0_39 Int)
(declare-const global__ref0_4 Int)
(declare-const global__ref0_40 Int)
(declare-const global__ref0_41 Int)
(declare-const global__ref0_42 Int)
(declare-const global__ref0_43 Int)
(declare-const global__ref0_44 Int)
(declare-const global__ref0_45 Int)
(declare-const global__ref0_46 Int)
(declare-const global__ref0_47 Int)
(declare-const global__ref0_48 Int)
(declare-const global__ref0_49 Int)
(declare-const global__ref0_5 Int)
(declare-const global__ref0_50 Int)
(declare-const global__ref0_51 Int)
(declare-const global__ref0_52 Int)
(declare-const global__ref0_53 Int)
(declare-const global__ref0_54 Int)
(declare-const global__ref0_55 Int)
(declare-const global__ref0_56 Int)
(declare-const global__ref0_57 Int)
(declare-const global__ref0_58 Int)
(declare-const global__ref0_59 Int)
(declare-const global__ref0_6 Int)
(declare-const global__ref0_60 Int)
(declare-const global__ref0_61 Int)
(declare-const global__ref0_62 Int)
(declare-const global__ref0_63 Int)
(declare-const global__ref0_64 Int)
(declare-const global__ref0_65 Int)
(declare-const global__ref0_66 Int)
(declare-const global__ref0_67 Int)
(declare-const global__ref0_68 Int)
(declare-const global__ref0_69 Int)
(declare-const global__ref0_7 Int)
(declare-const global__ref0_70 Int)
(declare-const global__ref0_71 Int)
(declare-const global__ref0_72 Int)
(declare-const global__ref0_73 Int)
(declare-const global__ref0_74 Int)
(declare-const global__ref0_75 Int)
(declare-const global__ref0_76 Int)
(declare-const global__ref0_77 Int)
(declare-const global__ref0_78 Int)
(declare-const global__ref0_79 Int)
(declare-const global__ref0_8 Int)
(declare-const global__ref0_80 Int)
(declare-const global__ref0_81 Int)
(declare-const global__ref0_82 Int)
(declare-const global__ref0_83 Int)
(declare-const global__ref0_84 Int)
(declare-const global__ref0_85 Int)
(declare-const global__ref0_86 Int)
(declare-const global__ref0_87 Int)
(declare-const global__ref0_88 Int)
(declare-const global__ref0_89 Int)
(declare-const global__ref0_9 Int)
(declare-const global__ref0_90 Int)
(declare-const global__ref0_91 Int)
(declare-const global__ref0_92 Int)
(declare-const global__ref0_93 Int)
(declare-const global__ref0_94 Int)
(declare-const global__ref0_95 Int)
(declare-const global__ref0_96 Int)
(declare-const global__ref0_97 Int)
(declare-const global__ref0_98 Int)
(declare-const global__ref0_99 Int)
(declare-const global__ref1_0 Int)
(declare-const global__ref1_1 Int)
(declare-const global__ref1_10 Int)
(declare-const global__ref1_100 Int)
(declare-const global__ref1_101 Int)
(declare-const global__ref1_102 Int)
(declare-const global__ref1_103 Int)
(declare-const global__ref1_104 Int)
(declare-const global__ref1_105 Int)
(declare-const global__ref1_106 Int)
(declare-const global__ref1_107 Int)
(declare-const global__ref1_108 Int)
(declare-const global__ref1_109 Int)
(declare-const global__ref1_11 Int)
(declare-const global__ref1_110 Int)
(declare-const global__ref1_111 Int)
(declare-const global__ref1_112 Int)
(declare-const global__ref1_113 Int)
(declare-const global__ref1_114 Int)
(declare-const global__ref1_115 Int)
(declare-const global__ref1_116 Int)
(declare-const global__ref1_117 Int)
(declare-const global__ref1_118 Int)
(declare-const global__ref1_119 Int)
(declare-const global__ref1_12 Int)
(declare-const global__ref1_120 Int)
(declare-const global__ref1_121 Int)
(declare-const global__ref1_122 Int)
(declare-const global__ref1_123 Int)
(declare-const global__ref1_124 Int)
(declare-const global__ref1_125 Int)
(declare-const global__ref1_126 Int)
(declare-const global__ref1_127 Int)
(declare-const global__ref1_128 Int)
(declare-const global__ref1_129 Int)
(declare-const global__ref1_13 Int)
(declare-const global__ref1_130 Int)
(declare-const global__ref1_131 Int)
(declare-const global__ref1_132 Int)
(declare-const global__ref1_133 Int)
(declare-const global__ref1_134 Int)
(declare-const global__ref1_135 Int)
(declare-const global__ref1_136 Int)
(declare-const global__ref1_137 Int)
(declare-const global__ref1_138 Int)
(declare-const global__ref1_139 Int)
(declare-const global__ref1_14 Int)
(declare-const global__ref1_140 Int)
(declare-const global__ref1_141 Int)
(declare-const global__ref1_142 Int)
(declare-const global__ref1_143 Int)
(declare-const global__ref1_144 Int)
(declare-const global__ref1_145 Int)
(declare-const global__ref1_146 Int)
(declare-const global__ref1_147 Int)
(declare-const global__ref1_148 Int)
(declare-const global__ref1_149 Int)
(declare-const global__ref1_15 Int)
(declare-const global__ref1_150 Int)
(declare-const global__ref1_151 Int)
(declare-const global__ref1_152 Int)
(declare-const global__ref1_153 Int)
(declare-const global__ref1_154 Int)
(declare-const global__ref1_155 Int)
(declare-const global__ref1_156 Int)
(declare-const global__ref1_157 Int)
(declare-const global__ref1_158 Int)
(declare-const global__ref1_159 Int)
(declare-const global__ref1_16 Int)
(declare-const global__ref1_160 Int)
(declare-const global__ref1_161 Int)
(declare-const global__ref1_162 Int)
(declare-const global__ref1_163 Int)
(declare-const global__ref1_164 Int)
(declare-const global__ref1_165 Int)
(declare-const global__ref1_166 Int)
(declare-const global__ref1_167 Int)
(declare-const global__ref1_168 Int)
(declare-const global__ref1_169 Int)
(declare-const global__ref1_17 Int)
(declare-const global__ref1_170 Int)
(declare-const global__ref1_171 Int)
(declare-const global__ref1_172 Int)
(declare-const global__ref1_173 Int)
(declare-const global__ref1_174 Int)
(declare-const global__ref1_175 Int)
(declare-const global__ref1_176 Int)
(declare-const global__ref1_177 Int)
(declare-const global__ref1_178 Int)
(declare-const global__ref1_179 Int)
(declare-const global__ref1_18 Int)
(declare-const global__ref1_180 Int)
(declare-const global__ref1_181 Int)
(declare-const global__ref1_182 Int)
(declare-const global__ref1_183 Int)
(declare-const global__ref1_184 Int)
(declare-const global__ref1_185 Int)
(declare-const global__ref1_186 Int)
(declare-const global__ref1_187 Int)
(declare-const global__ref1_188 Int)
(declare-const global__ref1_189 Int)
(declare-const global__ref1_19 Int)
(declare-const global__ref1_190 Int)
(declare-const global__ref1_191 Int)
(declare-const global__ref1_192 Int)
(declare-const global__ref1_193 Int)
(declare-const global__ref1_194 Int)
(declare-const global__ref1_195 Int)
(declare-const global__ref1_196 Int)
(declare-const global__ref1_197 Int)
(declare-const global__ref1_198 Int)
(declare-const global__ref1_199 Int)
(declare-const global__ref1_2 Int)
(declare-const global__ref1_20 Int)
(declare-const global__ref1_200 Int)
(declare-const global__ref1_201 Int)
(declare-const global__ref1_202 Int)
(declare-const global__ref1_203 Int)
(declare-const global__ref1_204 Int)
(declare-const global__ref1_205 Int)
(declare-const global__ref1_206 Int)
(declare-const global__ref1_207 Int)
(declare-const global__ref1_208 Int)
(declare-const global__ref1_209 Int)
(declare-const global__ref1_21 Int)
(declare-const global__ref1_210 Int)
(declare-const global__ref1_211 Int)
(declare-const global__ref1_212 Int)
(declare-const global__ref1_213 Int)
(declare-const global__ref1_214 Int)
(declare-const global__ref1_215 Int)
(declare-const global__ref1_216 Int)
(declare-const global__ref1_217 Int)
(declare-const global__ref1_218 Int)
(declare-const global__ref1_219 Int)
(declare-const global__ref1_22 Int)
(declare-const global__ref1_220 Int)
(declare-const global__ref1_221 Int)
(declare-const global__ref1_222 Int)
(declare-const global__ref1_223 Int)
(declare-const global__ref1_224 Int)
(declare-const global__ref1_23 Int)
(declare-const global__ref1_24 Int)
(declare-const global__ref1_25 Int)
(declare-const global__ref1_26 Int)
(declare-const global__ref1_27 Int)
(declare-const global__ref1_28 Int)
(declare-const global__ref1_29 Int)
(declare-const global__ref1_3 Int)
(declare-const global__ref1_30 Int)
(declare-const global__ref1_31 Int)
(declare-const global__ref1_32 Int)
(declare-const global__ref1_33 Int)
(declare-const global__ref1_34 Int)
(declare-const global__ref1_35 Int)
(declare-const global__ref1_36 Int)
(declare-const global__ref1_37 Int)
(declare-const global__ref1_38 Int)
(declare-const global__ref1_39 Int)
(declare-const global__ref1_4 Int)
(declare-const global__ref1_40 Int)
(declare-const global__ref1_41 Int)
(declare-const global__ref1_42 Int)
(declare-const global__ref1_43 Int)
(declare-const global__ref1_44 Int)
(declare-const global__ref1_45 Int)
(declare-const global__ref1_46 Int)
(declare-const global__ref1_47 Int)
(declare-const global__ref1_48 Int)
(declare-const global__ref1_49 Int)
(declare-const global__ref1_5 Int)
(declare-const global__ref1_50 Int)
(declare-const global__ref1_51 Int)
(declare-const global__ref1_52 Int)
(declare-const global__ref1_53 Int)
(declare-const global__ref1_54 Int)
(declare-const global__ref1_55 Int)
(declare-const global__ref1_56 Int)
(declare-const global__ref1_57 Int)
(declare-const global__ref1_58 Int)
(declare-const global__ref1_59 Int)
(declare-const global__ref1_6 Int)
(declare-const global__ref1_60 Int)
(declare-const global__ref1_61 Int)
(declare-const global__ref1_62 Int)
(declare-const global__ref1_63 Int)
(declare-const global__ref1_64 Int)
(declare-const global__ref1_65 Int)
(declare-const global__ref1_66 Int)
(declare-const global__ref1_67 Int)
(declare-const global__ref1_68 Int)
(declare-const global__ref1_69 Int)
(declare-const global__ref1_7 Int)
(declare-const global__ref1_70 Int)
(declare-const global__ref1_71 Int)
(declare-const global__ref1_72 Int)
(declare-const global__ref1_73 Int)
(declare-const global__ref1_74 Int)
(declare-const global__ref1_75 Int)
(declare-const global__ref1_76 Int)
(declare-const global__ref1_77 Int)
(declare-const global__ref1_78 Int)
(declare-const global__ref1_79 Int)
(declare-const global__ref1_8 Int)
(declare-const global__ref1_80 Int)
(declare-const global__ref1_81 Int)
(declare-const global__ref1_82 Int)
(declare-const global__ref1_83 Int)
(declare-const global__ref1_84 Int)
(declare-const global__ref1_85 Int)
(declare-const global__ref1_86 Int)
(declare-const global__ref1_87 Int)
(declare-const global__ref1_88 Int)
(declare-const global__ref1_89 Int)
(declare-const global__ref1_9 Int)
(declare-const global__ref1_90 Int)
(declare-const global__ref1_91 Int)
(declare-const global__ref1_92 Int)
(declare-const global__ref1_93 Int)
(declare-const global__ref1_94 Int)
(declare-const global__ref1_95 Int)
(declare-const global__ref1_96 Int)
(declare-const global__ref1_97 Int)
(declare-const global__ref1_98 Int)
(declare-const global__ref1_99 Int)
(declare-const global__s1_0 Int)
(declare-const global__s1_1 Int)
(declare-const global__s1_10 Int)
(declare-const global__s1_11 Int)
(declare-const global__s1_12 Int)
(declare-const global__s1_13 Int)
(declare-const global__s1_14 Int)
(declare-const global__s1_15 Int)
(declare-const global__s1_16 Int)
(declare-const global__s1_17 Int)
(declare-const global__s1_18 Int)
(declare-const global__s1_19 Int)
(declare-const global__s1_2 Int)
(declare-const global__s1_20 Int)
(declare-const global__s1_21 Int)
(declare-const global__s1_22 Int)
(declare-const global__s1_23 Int)
(declare-const global__s1_24 Int)
(declare-const global__s1_25 Int)
(declare-const global__s1_26 Int)
(declare-const global__s1_27 Int)
(declare-const global__s1_28 Int)
(declare-const global__s1_29 Int)
(declare-const global__s1_3 Int)
(declare-const global__s1_30 Int)
(declare-const global__s1_31 Int)
(declare-const global__s1_32 Int)
(declare-const global__s1_33 Int)
(declare-const global__s1_34 Int)
(declare-const global__s1_35 Int)
(declare-const global__s1_36 Int)
(declare-const global__s1_37 Int)
(declare-const global__s1_38 Int)
(declare-const global__s1_39 Int)
(declare-const global__s1_4 Int)
(declare-const global__s1_40 Int)
(declare-const global__s1_41 Int)
(declare-const global__s1_42 Int)
(declare-const global__s1_43 Int)
(declare-const global__s1_44 Int)
(declare-const global__s1_45 Int)
(declare-const global__s1_46 Int)
(declare-const global__s1_47 Int)
(declare-const global__s1_48 Int)
(declare-const global__s1_49 Int)
(declare-const global__s1_5 Int)
(declare-const global__s1_50 Int)
(declare-const global__s1_51 Int)
(declare-const global__s1_52 Int)
(declare-const global__s1_53 Int)
(declare-const global__s1_54 Int)
(declare-const global__s1_55 Int)
(declare-const global__s1_56 Int)
(declare-const global__s1_57 Int)
(declare-const global__s1_58 Int)
(declare-const global__s1_59 Int)
(declare-const global__s1_6 Int)
(declare-const global__s1_60 Int)
(declare-const global__s1_61 Int)
(declare-const global__s1_62 Int)
(declare-const global__s1_63 Int)
(declare-const global__s1_7 Int)
(declare-const global__s1_8 Int)
(declare-const global__s1_9 Int)
(declare-const global__s2_0 Int)
(declare-const global__s2_1 Int)
(declare-const global__s2_10 Int)
(declare-const global__s2_11 Int)
(declare-const global__s2_12 Int)
(declare-const global__s2_13 Int)
(declare-const global__s2_14 Int)
(declare-const global__s2_15 Int)
(declare-const global__s2_16 Int)
(declare-const global__s2_17 Int)
(declare-const global__s2_18 Int)
(declare-const global__s2_19 Int)
(declare-const global__s2_2 Int)
(declare-const global__s2_20 Int)
(declare-const global__s2_21 Int)
(declare-const global__s2_22 Int)
(declare-const global__s2_23 Int)
(declare-const global__s2_24 Int)
(declare-const global__s2_25 Int)
(declare-const global__s2_26 Int)
(declare-const global__s2_27 Int)
(declare-const global__s2_28 Int)
(declare-const global__s2_29 Int)
(declare-const global__s2_3 Int)
(declare-const global__s2_30 Int)
(declare-const global__s2_31 Int)
(declare-const global__s2_32 Int)
(declare-const global__s2_33 Int)
(declare-const global__s2_34 Int)
(declare-const global__s2_35 Int)
(declare-const global__s2_36 Int)
(declare-const global__s2_37 Int)
(declare-const global__s2_38 Int)
(declare-const global__s2_39 Int)
(declare-const global__s2_4 Int)
(declare-const global__s2_40 Int)
(declare-const global__s2_41 Int)
(declare-const global__s2_42 Int)
(declare-const global__s2_43 Int)
(declare-const global__s2_44 Int)
(declare-const global__s2_45 Int)
(declare-const global__s2_46 Int)
(declare-const global__s2_47 Int)
(declare-const global__s2_48 Int)
(declare-const global__s2_49 Int)
(declare-const global__s2_5 Int)
(declare-const global__s2_50 Int)
(declare-const global__s2_51 Int)
(declare-const global__s2_52 Int)
(declare-const global__s2_53 Int)
(declare-const global__s2_54 Int)
(declare-const global__s2_55 Int)
(declare-const global__s2_56 Int)
(declare-const global__s2_57 Int)
(declare-const global__s2_58 Int)
(declare-const global__s2_59 Int)
(declare-const global__s2_6 Int)
(declare-const global__s2_60 Int)
(declare-const global__s2_61 Int)
(declare-const global__s2_62 Int)
(declare-const global__s2_63 Int)
(declare-const global__s2_7 Int)
(declare-const global__s2_8 Int)
(declare-const global__s2_9 Int)
(declare-const global__s3_0 Int)
(declare-const global__s3_1 Int)
(declare-const global__s3_10 Int)
(declare-const global__s3_11 Int)
(declare-const global__s3_12 Int)
(declare-const global__s3_13 Int)
(declare-const global__s3_14 Int)
(declare-const global__s3_15 Int)
(declare-const global__s3_16 Int)
(declare-const global__s3_17 Int)
(declare-const global__s3_18 Int)
(declare-const global__s3_19 Int)
(declare-const global__s3_2 Int)
(declare-const global__s3_20 Int)
(declare-const global__s3_21 Int)
(declare-const global__s3_22 Int)
(declare-const global__s3_23 Int)
(declare-const global__s3_24 Int)
(declare-const global__s3_25 Int)
(declare-const global__s3_26 Int)
(declare-const global__s3_27 Int)
(declare-const global__s3_28 Int)
(declare-const global__s3_29 Int)
(declare-const global__s3_3 Int)
(declare-const global__s3_30 Int)
(declare-const global__s3_31 Int)
(declare-const global__s3_32 Int)
(declare-const global__s3_33 Int)
(declare-const global__s3_34 Int)
(declare-const global__s3_35 Int)
(declare-const global__s3_36 Int)
(declare-const global__s3_37 Int)
(declare-const global__s3_38 Int)
(declare-const global__s3_39 Int)
(declare-const global__s3_4 Int)
(declare-const global__s3_40 Int)
(declare-const global__s3_41 Int)
(declare-const global__s3_42 Int)
(declare-const global__s3_43 Int)
(declare-const global__s3_44 Int)
(declare-const global__s3_45 Int)
(declare-const global__s3_46 Int)
(declare-const global__s3_47 Int)
(declare-const global__s3_48 Int)
(declare-const global__s3_49 Int)
(declare-const global__s3_5 Int)
(declare-const global__s3_50 Int)
(declare-const global__s3_51 Int)
(declare-const global__s3_52 Int)
(declare-const global__s3_53 Int)
(declare-const global__s3_54 Int)
(declare-const global__s3_55 Int)
(declare-const global__s3_56 Int)
(declare-const global__s3_57 Int)
(declare-const global__s3_58 Int)
(declare-const global__s3_59 Int)
(declare-const global__s3_6 Int)
(declare-const global__s3_60 Int)
(declare-const global__s3_61 Int)
(declare-const global__s3_62 Int)
(declare-const global__s3_63 Int)
(declare-const global__s3_7 Int)
(declare-const global__s3_8 Int)
(declare-const global__s3_9 Int)
(declare-const global__s4_0 Int)
(declare-const global__s4_1 Int)
(declare-const global__s4_10 Int)
(declare-const global__s4_11 Int)
(declare-const global__s4_12 Int)
(declare-const global__s4_13 Int)
(declare-const global__s4_14 Int)
(declare-const global__s4_15 Int)
(declare-const global__s4_16 Int)
(declare-const global__s4_17 Int)
(declare-const global__s4_18 Int)
(declare-const global__s4_19 Int)
(declare-const global__s4_2 Int)
(declare-const global__s4_20 Int)
(declare-const global__s4_21 Int)
(declare-const global__s4_22 Int)
(declare-const global__s4_23 Int)
(declare-const global__s4_24 Int)
(declare-const global__s4_25 Int)
(declare-const global__s4_26 Int)
(declare-const global__s4_27 Int)
(declare-const global__s4_28 Int)
(declare-const global__s4_29 Int)
(declare-const global__s4_3 Int)
(declare-const global__s4_30 Int)
(declare-const global__s4_31 Int)
(declare-const global__s4_32 Int)
(declare-const global__s4_33 Int)
(declare-const global__s4_34 Int)
(declare-const global__s4_35 Int)
(declare-const global__s4_36 Int)
(declare-const global__s4_37 Int)
(declare-const global__s4_38 Int)
(declare-const global__s4_39 Int)
(declare-const global__s4_4 Int)
(declare-const global__s4_40 Int)
(declare-const global__s4_41 Int)
(declare-const global__s4_42 Int)
(declare-const global__s4_43 Int)
(declare-const global__s4_44 Int)
(declare-const global__s4_45 Int)
(declare-const global__s4_46 Int)
(declare-const global__s4_47 Int)
(declare-const global__s4_48 Int)
(declare-const global__s4_49 Int)
(declare-const global__s4_5 Int)
(declare-const global__s4_50 Int)
(declare-const global__s4_51 Int)
(declare-const global__s4_52 Int)
(declare-const global__s4_53 Int)
(declare-const global__s4_54 Int)
(declare-const global__s4_55 Int)
(declare-const global__s4_56 Int)
(declare-const global__s4_57 Int)
(declare-const global__s4_58 Int)
(declare-const global__s4_59 Int)
(declare-const global__s4_6 Int)
(declare-const global__s4_60 Int)
(declare-const global__s4_61 Int)
(declare-const global__s4_62 Int)
(declare-const global__s4_63 Int)
(declare-const global__s4_7 Int)
(declare-const global__s4_8 Int)
(declare-const global__s4_9 Int)
(declare-const global__s5_0 Int)
(declare-const global__s5_1 Int)
(declare-const global__s5_10 Int)
(declare-const global__s5_11 Int)
(declare-const global__s5_12 Int)
(declare-const global__s5_13 Int)
(declare-const global__s5_14 Int)
(declare-const global__s5_15 Int)
(declare-const global__s5_16 Int)
(declare-const global__s5_17 Int)
(declare-const global__s5_18 Int)
(declare-const global__s5_19 Int)
(declare-const global__s5_2 Int)
(declare-const global__s5_20 Int)
(declare-const global__s5_21 Int)
(declare-const global__s5_22 Int)
(declare-const global__s5_23 Int)
(declare-const global__s5_24 Int)
(declare-const global__s5_25 Int)
(declare-const global__s5_26 Int)
(declare-const global__s5_27 Int)
(declare-const global__s5_28 Int)
(declare-const global__s5_29 Int)
(declare-const global__s5_3 Int)
(declare-const global__s5_30 Int)
(declare-const global__s5_31 Int)
(declare-const global__s5_32 Int)
(declare-const global__s5_33 Int)
(declare-const global__s5_34 Int)
(declare-const global__s5_35 Int)
(declare-const global__s5_36 Int)
(declare-const global__s5_37 Int)
(declare-const global__s5_38 Int)
(declare-const global__s5_39 Int)
(declare-const global__s5_4 Int)
(declare-const global__s5_40 Int)
(declare-const global__s5_41 Int)
(declare-const global__s5_42 Int)
(declare-const global__s5_43 Int)
(declare-const global__s5_44 Int)
(declare-const global__s5_45 Int)
(declare-const global__s5_46 Int)
(declare-const global__s5_47 Int)
(declare-const global__s5_48 Int)
(declare-const global__s5_49 Int)
(declare-const global__s5_5 Int)
(declare-const global__s5_50 Int)
(declare-const global__s5_51 Int)
(declare-const global__s5_52 Int)
(declare-const global__s5_53 Int)
(declare-const global__s5_54 Int)
(declare-const global__s5_55 Int)
(declare-const global__s5_56 Int)
(declare-const global__s5_57 Int)
(declare-const global__s5_58 Int)
(declare-const global__s5_59 Int)
(declare-const global__s5_6 Int)
(declare-const global__s5_60 Int)
(declare-const global__s5_61 Int)
(declare-const global__s5_62 Int)
(declare-const global__s5_63 Int)
(declare-const global__s5_7 Int)
(declare-const global__s5_8 Int)
(declare-const global__s5_9 Int)
(declare-const tmp0__global__input__val__0 Int)
(declare-const tmp0__global__input__val__1 Int)
(declare-const tmp0__global__input__val__10 Int)
(declare-const tmp0__global__input__val__100 Int)
(declare-const tmp0__global__input__val__101 Int)
(declare-const tmp0__global__input__val__102 Int)
(declare-const tmp0__global__input__val__103 Int)
(declare-const tmp0__global__input__val__104 Int)
(declare-const tmp0__global__input__val__105 Int)
(declare-const tmp0__global__input__val__106 Int)
(declare-const tmp0__global__input__val__107 Int)
(declare-const tmp0__global__input__val__108 Int)
(declare-const tmp0__global__input__val__109 Int)
(declare-const tmp0__global__input__val__11 Int)
(declare-const tmp0__global__input__val__110 Int)
(declare-const tmp0__global__input__val__111 Int)
(declare-const tmp0__global__input__val__112 Int)
(declare-const tmp0__global__input__val__113 Int)
(declare-const tmp0__global__input__val__114 Int)
(declare-const tmp0__global__input__val__115 Int)
(declare-const tmp0__global__input__val__116 Int)
(declare-const tmp0__global__input__val__117 Int)
(declare-const tmp0__global__input__val__118 Int)
(declare-const tmp0__global__input__val__119 Int)
(declare-const tmp0__global__input__val__12 Int)
(declare-const tmp0__global__input__val__120 Int)
(declare-const tmp0__global__input__val__121 Int)
(declare-const tmp0__global__input__val__122 Int)
(declare-const tmp0__global__input__val__123 Int)
(declare-const tmp0__global__input__val__124 Int)
(declare-const tmp0__global__input__val__125 Int)
(declare-const tmp0__global__input__val__126 Int)
(declare-const tmp0__global__input__val__127 Int)
(declare-const tmp0__global__input__val__128 Int)
(declare-const tmp0__global__input__val__129 Int)
(declare-const tmp0__global__input__val__13 Int)
(declare-const tmp0__global__input__val__130 Int)
(declare-const tmp0__global__input__val__131 Int)
(declare-const tmp0__global__input__val__132 Int)
(declare-const tmp0__global__input__val__133 Int)
(declare-const tmp0__global__input__val__134 Int)
(declare-const tmp0__global__input__val__135 Int)
(declare-const tmp0__global__input__val__136 Int)
(declare-const tmp0__global__input__val__137 Int)
(declare-const tmp0__global__input__val__138 Int)
(declare-const tmp0__global__input__val__139 Int)
(declare-const tmp0__global__input__val__14 Int)
(declare-const tmp0__global__input__val__140 Int)
(declare-const tmp0__global__input__val__141 Int)
(declare-const tmp0__global__input__val__142 Int)
(declare-const tmp0__global__input__val__143 Int)
(declare-const tmp0__global__input__val__144 Int)
(declare-const tmp0__global__input__val__145 Int)
(declare-const tmp0__global__input__val__146 Int)
(declare-const tmp0__global__input__val__147 Int)
(declare-const tmp0__global__input__val__148 Int)
(declare-const tmp0__global__input__val__149 Int)
(declare-const tmp0__global__input__val__15 Int)
(declare-const tmp0__global__input__val__150 Int)
(declare-const tmp0__global__input__val__151 Int)
(declare-const tmp0__global__input__val__152 Int)
(declare-const tmp0__global__input__val__153 Int)
(declare-const tmp0__global__input__val__154 Int)
(declare-const tmp0__global__input__val__155 Int)
(declare-const tmp0__global__input__val__156 Int)
(declare-const tmp0__global__input__val__157 Int)
(declare-const tmp0__global__input__val__158 Int)
(declare-const tmp0__global__input__val__159 Int)
(declare-const tmp0__global__input__val__16 Int)
(declare-const tmp0__global__input__val__160 Int)
(declare-const tmp0__global__input__val__161 Int)
(declare-const tmp0__global__input__val__162 Int)
(declare-const tmp0__global__input__val__163 Int)
(declare-const tmp0__global__input__val__164 Int)
(declare-const tmp0__global__input__val__165 Int)
(declare-const tmp0__global__input__val__166 Int)
(declare-const tmp0__global__input__val__167 Int)
(declare-const tmp0__global__input__val__168 Int)
(declare-const tmp0__global__input__val__169 Int)
(declare-const tmp0__global__input__val__17 Int)
(declare-const tmp0__global__input__val__170 Int)
(declare-const tmp0__global__input__val__171 Int)
(declare-const tmp0__global__input__val__172 Int)
(declare-const tmp0__global__input__val__173 Int)
(declare-const tmp0__global__input__val__174 Int)
(declare-const tmp0__global__input__val__175 Int)
(declare-const tmp0__global__input__val__176 Int)
(declare-const tmp0__global__input__val__177 Int)
(declare-const tmp0__global__input__val__178 Int)
(declare-const tmp0__global__input__val__179 Int)
(declare-const tmp0__global__input__val__18 Int)
(declare-const tmp0__global__input__val__180 Int)
(declare-const tmp0__global__input__val__181 Int)
(declare-const tmp0__global__input__val__182 Int)
(declare-const tmp0__global__input__val__183 Int)
(declare-const tmp0__global__input__val__184 Int)
(declare-const tmp0__global__input__val__185 Int)
(declare-const tmp0__global__input__val__186 Int)
(declare-const tmp0__global__input__val__187 Int)
(declare-const tmp0__global__input__val__188 Int)
(declare-const tmp0__global__input__val__189 Int)
(declare-const tmp0__global__input__val__19 Int)
(declare-const tmp0__global__input__val__190 Int)
(declare-const tmp0__global__input__val__191 Int)
(declare-const tmp0__global__input__val__192 Int)
(declare-const tmp0__global__input__val__193 Int)
(declare-const tmp0__global__input__val__194 Int)
(declare-const tmp0__global__input__val__195 Int)
(declare-const tmp0__global__input__val__196 Int)
(declare-const tmp0__global__input__val__197 Int)
(declare-const tmp0__global__input__val__198 Int)
(declare-const tmp0__global__input__val__199 Int)
(declare-const tmp0__global__input__val__2 Int)
(declare-const tmp0__global__input__val__20 Int)
(declare-const tmp0__global__input__val__200 Int)
(declare-const tmp0__global__input__val__201 Int)
(declare-const tmp0__global__input__val__202 Int)
(declare-const tmp0__global__input__val__203 Int)
(declare-const tmp0__global__input__val__204 Int)
(declare-const tmp0__global__input__val__205 Int)
(declare-const tmp0__global__input__val__206 Int)
(declare-const tmp0__global__input__val__207 Int)
(declare-const tmp0__global__input__val__208 Int)
(declare-const tmp0__global__input__val__209 Int)
(declare-const tmp0__global__input__val__21 Int)
(declare-const tmp0__global__input__val__210 Int)
(declare-const tmp0__global__input__val__211 Int)
(declare-const tmp0__global__input__val__212 Int)
(declare-const tmp0__global__input__val__213 Int)
(declare-const tmp0__global__input__val__214 Int)
(declare-const tmp0__global__input__val__215 Int)
(declare-const tmp0__global__input__val__216 Int)
(declare-const tmp0__global__input__val__217 Int)
(declare-const tmp0__global__input__val__218 Int)
(declare-const tmp0__global__input__val__219 Int)
(declare-const tmp0__global__input__val__22 Int)
(declare-const tmp0__global__input__val__220 Int)
(declare-const tmp0__global__input__val__221 Int)
(declare-const tmp0__global__input__val__222 Int)
(declare-const tmp0__global__input__val__223 Int)
(declare-const tmp0__global__input__val__224 Int)
(declare-const tmp0__global__input__val__225 Int)
(declare-const tmp0__global__input__val__226 Int)
(declare-const tmp0__global__input__val__227 Int)
(declare-const tmp0__global__input__val__228 Int)
(declare-const tmp0__global__input__val__229 Int)
(declare-const tmp0__global__input__val__23 Int)
(declare-const tmp0__global__input__val__230 Int)
(declare-const tmp0__global__input__val__231 Int)
(declare-const tmp0__global__input__val__232 Int)
(declare-const tmp0__global__input__val__233 Int)
(declare-const tmp0__global__input__val__234 Int)
(declare-const tmp0__global__input__val__235 Int)
(declare-const tmp0__global__input__val__236 Int)
(declare-const tmp0__global__input__val__237 Int)
(declare-const tmp0__global__input__val__238 Int)
(declare-const tmp0__global__input__val__239 Int)
(declare-const tmp0__global__input__val__24 Int)
(declare-const tmp0__global__input__val__240 Int)
(declare-const tmp0__global__input__val__241 Int)
(declare-const tmp0__global__input__val__242 Int)
(declare-const tmp0__global__input__val__243 Int)
(declare-const tmp0__global__input__val__244 Int)
(declare-const tmp0__global__input__val__245 Int)
(declare-const tmp0__global__input__val__246 Int)
(declare-const tmp0__global__input__val__247 Int)
(declare-const tmp0__global__input__val__248 Int)
(declare-const tmp0__global__input__val__249 Int)
(declare-const tmp0__global__input__val__25 Int)
(declare-const tmp0__global__input__val__250 Int)
(declare-const tmp0__global__input__val__251 Int)
(declare-const tmp0__global__input__val__252 Int)
(declare-const tmp0__global__input__val__253 Int)
(declare-const tmp0__global__input__val__254 Int)
(declare-const tmp0__global__input__val__255 Int)
(declare-const tmp0__global__input__val__256 Int)
(declare-const tmp0__global__input__val__257 Int)
(declare-const tmp0__global__input__val__258 Int)
(declare-const tmp0__global__input__val__259 Int)
(declare-const tmp0__global__input__val__26 Int)
(declare-const tmp0__global__input__val__260 Int)
(declare-const tmp0__global__input__val__261 Int)
(declare-const tmp0__global__input__val__262 Int)
(declare-const tmp0__global__input__val__263 Int)
(declare-const tmp0__global__input__val__264 Int)
(declare-const tmp0__global__input__val__265 Int)
(declare-const tmp0__global__input__val__266 Int)
(declare-const tmp0__global__input__val__267 Int)
(declare-const tmp0__global__input__val__268 Int)
(declare-const tmp0__global__input__val__269 Int)
(declare-const tmp0__global__input__val__27 Int)
(declare-const tmp0__global__input__val__270 Int)
(declare-const tmp0__global__input__val__271 Int)
(declare-const tmp0__global__input__val__272 Int)
(declare-const tmp0__global__input__val__273 Int)
(declare-const tmp0__global__input__val__274 Int)
(declare-const tmp0__global__input__val__275 Int)
(declare-const tmp0__global__input__val__276 Int)
(declare-const tmp0__global__input__val__277 Int)
(declare-const tmp0__global__input__val__278 Int)
(declare-const tmp0__global__input__val__279 Int)
(declare-const tmp0__global__input__val__28 Int)
(declare-const tmp0__global__input__val__280 Int)
(declare-const tmp0__global__input__val__281 Int)
(declare-const tmp0__global__input__val__282 Int)
(declare-const tmp0__global__input__val__283 Int)
(declare-const tmp0__global__input__val__284 Int)
(declare-const tmp0__global__input__val__285 Int)
(declare-const tmp0__global__input__val__286 Int)
(declare-const tmp0__global__input__val__287 Int)
(declare-const tmp0__global__input__val__288 Int)
(declare-const tmp0__global__input__val__289 Int)
(declare-const tmp0__global__input__val__29 Int)
(declare-const tmp0__global__input__val__290 Int)
(declare-const tmp0__global__input__val__291 Int)
(declare-const tmp0__global__input__val__292 Int)
(declare-const tmp0__global__input__val__293 Int)
(declare-const tmp0__global__input__val__294 Int)
(declare-const tmp0__global__input__val__295 Int)
(declare-const tmp0__global__input__val__296 Int)
(declare-const tmp0__global__input__val__297 Int)
(declare-const tmp0__global__input__val__298 Int)
(declare-const tmp0__global__input__val__299 Int)
(declare-const tmp0__global__input__val__3 Int)
(declare-const tmp0__global__input__val__30 Int)
(declare-const tmp0__global__input__val__300 Int)
(declare-const tmp0__global__input__val__301 Int)
(declare-const tmp0__global__input__val__302 Int)
(declare-const tmp0__global__input__val__303 Int)
(declare-const tmp0__global__input__val__304 Int)
(declare-const tmp0__global__input__val__305 Int)
(declare-const tmp0__global__input__val__306 Int)
(declare-const tmp0__global__input__val__307 Int)
(declare-const tmp0__global__input__val__308 Int)
(declare-const tmp0__global__input__val__309 Int)
(declare-const tmp0__global__input__val__31 Int)
(declare-const tmp0__global__input__val__310 Int)
(declare-const tmp0__global__input__val__311 Int)
(declare-const tmp0__global__input__val__312 Int)
(declare-const tmp0__global__input__val__313 Int)
(declare-const tmp0__global__input__val__314 Int)
(declare-const tmp0__global__input__val__315 Int)
(declare-const tmp0__global__input__val__316 Int)
(declare-const tmp0__global__input__val__317 Int)
(declare-const tmp0__global__input__val__318 Int)
(declare-const tmp0__global__input__val__319 Int)
(declare-const tmp0__global__input__val__32 Int)
(declare-const tmp0__global__input__val__320 Int)
(declare-const tmp0__global__input__val__321 Int)
(declare-const tmp0__global__input__val__322 Int)
(declare-const tmp0__global__input__val__323 Int)
(declare-const tmp0__global__input__val__324 Int)
(declare-const tmp0__global__input__val__325 Int)
(declare-const tmp0__global__input__val__326 Int)
(declare-const tmp0__global__input__val__327 Int)
(declare-const tmp0__global__input__val__328 Int)
(declare-const tmp0__global__input__val__329 Int)
(declare-const tmp0__global__input__val__33 Int)
(declare-const tmp0__global__input__val__330 Int)
(declare-const tmp0__global__input__val__331 Int)
(declare-const tmp0__global__input__val__332 Int)
(declare-const tmp0__global__input__val__333 Int)
(declare-const tmp0__global__input__val__334 Int)
(declare-const tmp0__global__input__val__335 Int)
(declare-const tmp0__global__input__val__336 Int)
(declare-const tmp0__global__input__val__337 Int)
(declare-const tmp0__global__input__val__338 Int)
(declare-const tmp0__global__input__val__339 Int)
(declare-const tmp0__global__input__val__34 Int)
(declare-const tmp0__global__input__val__340 Int)
(declare-const tmp0__global__input__val__341 Int)
(declare-const tmp0__global__input__val__342 Int)
(declare-const tmp0__global__input__val__343 Int)
(declare-const tmp0__global__input__val__344 Int)
(declare-const tmp0__global__input__val__345 Int)
(declare-const tmp0__global__input__val__346 Int)
(declare-const tmp0__global__input__val__347 Int)
(declare-const tmp0__global__input__val__348 Int)
(declare-const tmp0__global__input__val__349 Int)
(declare-const tmp0__global__input__val__35 Int)
(declare-const tmp0__global__input__val__350 Int)
(declare-const tmp0__global__input__val__351 Int)
(declare-const tmp0__global__input__val__352 Int)
(declare-const tmp0__global__input__val__353 Int)
(declare-const tmp0__global__input__val__354 Int)
(declare-const tmp0__global__input__val__355 Int)
(declare-const tmp0__global__input__val__356 Int)
(declare-const tmp0__global__input__val__357 Int)
(declare-const tmp0__global__input__val__358 Int)
(declare-const tmp0__global__input__val__359 Int)
(declare-const tmp0__global__input__val__36 Int)
(declare-const tmp0__global__input__val__360 Int)
(declare-const tmp0__global__input__val__361 Int)
(declare-const tmp0__global__input__val__362 Int)
(declare-const tmp0__global__input__val__363 Int)
(declare-const tmp0__global__input__val__364 Int)
(declare-const tmp0__global__input__val__365 Int)
(declare-const tmp0__global__input__val__366 Int)
(declare-const tmp0__global__input__val__367 Int)
(declare-const tmp0__global__input__val__368 Int)
(declare-const tmp0__global__input__val__369 Int)
(declare-const tmp0__global__input__val__37 Int)
(declare-const tmp0__global__input__val__370 Int)
(declare-const tmp0__global__input__val__371 Int)
(declare-const tmp0__global__input__val__372 Int)
(declare-const tmp0__global__input__val__373 Int)
(declare-const tmp0__global__input__val__374 Int)
(declare-const tmp0__global__input__val__375 Int)
(declare-const tmp0__global__input__val__376 Int)
(declare-const tmp0__global__input__val__377 Int)
(declare-const tmp0__global__input__val__378 Int)
(declare-const tmp0__global__input__val__379 Int)
(declare-const tmp0__global__input__val__38 Int)
(declare-const tmp0__global__input__val__380 Int)
(declare-const tmp0__global__input__val__381 Int)
(declare-const tmp0__global__input__val__382 Int)
(declare-const tmp0__global__input__val__383 Int)
(declare-const tmp0__global__input__val__384 Int)
(declare-const tmp0__global__input__val__385 Int)
(declare-const tmp0__global__input__val__386 Int)
(declare-const tmp0__global__input__val__387 Int)
(declare-const tmp0__global__input__val__388 Int)
(declare-const tmp0__global__input__val__389 Int)
(declare-const tmp0__global__input__val__39 Int)
(declare-const tmp0__global__input__val__390 Int)
(declare-const tmp0__global__input__val__391 Int)
(declare-const tmp0__global__input__val__392 Int)
(declare-const tmp0__global__input__val__393 Int)
(declare-const tmp0__global__input__val__394 Int)
(declare-const tmp0__global__input__val__395 Int)
(declare-const tmp0__global__input__val__396 Int)
(declare-const tmp0__global__input__val__397 Int)
(declare-const tmp0__global__input__val__398 Int)
(declare-const tmp0__global__input__val__399 Int)
(declare-const tmp0__global__input__val__4 Int)
(declare-const tmp0__global__input__val__40 Int)
(declare-const tmp0__global__input__val__400 Int)
(declare-const tmp0__global__input__val__401 Int)
(declare-const tmp0__global__input__val__402 Int)
(declare-const tmp0__global__input__val__403 Int)
(declare-const tmp0__global__input__val__404 Int)
(declare-const tmp0__global__input__val__405 Int)
(declare-const tmp0__global__input__val__406 Int)
(declare-const tmp0__global__input__val__407 Int)
(declare-const tmp0__global__input__val__408 Int)
(declare-const tmp0__global__input__val__409 Int)
(declare-const tmp0__global__input__val__41 Int)
(declare-const tmp0__global__input__val__410 Int)
(declare-const tmp0__global__input__val__411 Int)
(declare-const tmp0__global__input__val__412 Int)
(declare-const tmp0__global__input__val__413 Int)
(declare-const tmp0__global__input__val__414 Int)
(declare-const tmp0__global__input__val__415 Int)
(declare-const tmp0__global__input__val__416 Int)
(declare-const tmp0__global__input__val__417 Int)
(declare-const tmp0__global__input__val__418 Int)
(declare-const tmp0__global__input__val__419 Int)
(declare-const tmp0__global__input__val__42 Int)
(declare-const tmp0__global__input__val__420 Int)
(declare-const tmp0__global__input__val__421 Int)
(declare-const tmp0__global__input__val__422 Int)
(declare-const tmp0__global__input__val__423 Int)
(declare-const tmp0__global__input__val__424 Int)
(declare-const tmp0__global__input__val__425 Int)
(declare-const tmp0__global__input__val__426 Int)
(declare-const tmp0__global__input__val__427 Int)
(declare-const tmp0__global__input__val__428 Int)
(declare-const tmp0__global__input__val__429 Int)
(declare-const tmp0__global__input__val__43 Int)
(declare-const tmp0__global__input__val__430 Int)
(declare-const tmp0__global__input__val__431 Int)
(declare-const tmp0__global__input__val__432 Int)
(declare-const tmp0__global__input__val__433 Int)
(declare-const tmp0__global__input__val__434 Int)
(declare-const tmp0__global__input__val__435 Int)
(declare-const tmp0__global__input__val__436 Int)
(declare-const tmp0__global__input__val__437 Int)
(declare-const tmp0__global__input__val__438 Int)
(declare-const tmp0__global__input__val__439 Int)
(declare-const tmp0__global__input__val__44 Int)
(declare-const tmp0__global__input__val__440 Int)
(declare-const tmp0__global__input__val__441 Int)
(declare-const tmp0__global__input__val__442 Int)
(declare-const tmp0__global__input__val__443 Int)
(declare-const tmp0__global__input__val__444 Int)
(declare-const tmp0__global__input__val__445 Int)
(declare-const tmp0__global__input__val__446 Int)
(declare-const tmp0__global__input__val__447 Int)
(declare-const tmp0__global__input__val__448 Int)
(declare-const tmp0__global__input__val__449 Int)
(declare-const tmp0__global__input__val__45 Int)
(declare-const tmp0__global__input__val__46 Int)
(declare-const tmp0__global__input__val__47 Int)
(declare-const tmp0__global__input__val__48 Int)
(declare-const tmp0__global__input__val__49 Int)
(declare-const tmp0__global__input__val__5 Int)
(declare-const tmp0__global__input__val__50 Int)
(declare-const tmp0__global__input__val__51 Int)
(declare-const tmp0__global__input__val__52 Int)
(declare-const tmp0__global__input__val__53 Int)
(declare-const tmp0__global__input__val__54 Int)
(declare-const tmp0__global__input__val__55 Int)
(declare-const tmp0__global__input__val__56 Int)
(declare-const tmp0__global__input__val__57 Int)
(declare-const tmp0__global__input__val__58 Int)
(declare-const tmp0__global__input__val__59 Int)
(declare-const tmp0__global__input__val__6 Int)
(declare-const tmp0__global__input__val__60 Int)
(declare-const tmp0__global__input__val__61 Int)
(declare-const tmp0__global__input__val__62 Int)
(declare-const tmp0__global__input__val__63 Int)
(declare-const tmp0__global__input__val__64 Int)
(declare-const tmp0__global__input__val__65 Int)
(declare-const tmp0__global__input__val__66 Int)
(declare-const tmp0__global__input__val__67 Int)
(declare-const tmp0__global__input__val__68 Int)
(declare-const tmp0__global__input__val__69 Int)
(declare-const tmp0__global__input__val__7 Int)
(declare-const tmp0__global__input__val__70 Int)
(declare-const tmp0__global__input__val__71 Int)
(declare-const tmp0__global__input__val__72 Int)
(declare-const tmp0__global__input__val__73 Int)
(declare-const tmp0__global__input__val__74 Int)
(declare-const tmp0__global__input__val__75 Int)
(declare-const tmp0__global__input__val__76 Int)
(declare-const tmp0__global__input__val__77 Int)
(declare-const tmp0__global__input__val__78 Int)
(declare-const tmp0__global__input__val__79 Int)
(declare-const tmp0__global__input__val__8 Int)
(declare-const tmp0__global__input__val__80 Int)
(declare-const tmp0__global__input__val__81 Int)
(declare-const tmp0__global__input__val__82 Int)
(declare-const tmp0__global__input__val__83 Int)
(declare-const tmp0__global__input__val__84 Int)
(declare-const tmp0__global__input__val__85 Int)
(declare-const tmp0__global__input__val__86 Int)
(declare-const tmp0__global__input__val__87 Int)
(declare-const tmp0__global__input__val__88 Int)
(declare-const tmp0__global__input__val__89 Int)
(declare-const tmp0__global__input__val__9 Int)
(declare-const tmp0__global__input__val__90 Int)
(declare-const tmp0__global__input__val__91 Int)
(declare-const tmp0__global__input__val__92 Int)
(declare-const tmp0__global__input__val__93 Int)
(declare-const tmp0__global__input__val__94 Int)
(declare-const tmp0__global__input__val__95 Int)
(declare-const tmp0__global__input__val__96 Int)
(declare-const tmp0__global__input__val__97 Int)
(declare-const tmp0__global__input__val__98 Int)
(declare-const tmp0__global__input__val__99 Int)
(declare-const tmp100__func_bio_opt__b Int)
(declare-const tmp100__func_com_grad_x_l_nn__val Int)
(declare-const tmp100__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp100__func_com_grad_y_l_nn__val Int)
(declare-const tmp100__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp100__func_com_mc_l_nn__val Int)
(declare-const tmp100__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp101__func_bio_opt__b Int)
(declare-const tmp101__func_com_grad_x_l_nn__val Int)
(declare-const tmp101__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp101__func_com_grad_y_l_nn__val Int)
(declare-const tmp101__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp101__func_com_mc_l_nn__val Int)
(declare-const tmp101__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp102__func_bio_opt__b Int)
(declare-const tmp102__func_com_grad_x_l_nn__val Int)
(declare-const tmp102__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp102__func_com_grad_y_l_nn__val Int)
(declare-const tmp102__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp102__func_com_mc_l_nn__val Int)
(declare-const tmp102__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp103__func_bio_opt__b Int)
(declare-const tmp103__func_com_grad_x_l_nn__val Int)
(declare-const tmp103__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp103__func_com_grad_y_l_nn__val Int)
(declare-const tmp103__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp103__func_com_mc_l_nn__val Int)
(declare-const tmp103__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp104__func_bio_opt__b Int)
(declare-const tmp104__func_com_grad_x_l_nn__val Int)
(declare-const tmp104__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp104__func_com_grad_y_l_nn__val Int)
(declare-const tmp104__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp104__func_com_mc_l_nn__val Int)
(declare-const tmp104__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp105__func_bio_opt__b Int)
(declare-const tmp105__func_com_grad_x_l_nn__val Int)
(declare-const tmp105__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp105__func_com_grad_y_l_nn__val Int)
(declare-const tmp105__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp105__func_com_mc_l_nn__val Int)
(declare-const tmp105__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp106__func_bio_opt__b Int)
(declare-const tmp106__func_com_grad_x_l_nn__val Int)
(declare-const tmp106__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp106__func_com_grad_y_l_nn__val Int)
(declare-const tmp106__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp106__func_com_mc_l_nn__val Int)
(declare-const tmp106__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp107__func_bio_opt__b Int)
(declare-const tmp107__func_com_grad_x_l_nn__val Int)
(declare-const tmp107__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp107__func_com_grad_y_l_nn__val Int)
(declare-const tmp107__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp107__func_com_mc_l_nn__val Int)
(declare-const tmp107__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp108__func_bio_opt__b Int)
(declare-const tmp108__func_com_grad_x_l_nn__val Int)
(declare-const tmp108__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp108__func_com_grad_y_l_nn__val Int)
(declare-const tmp108__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp108__func_com_mc_l_nn__val Int)
(declare-const tmp108__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp109__func_bio_opt__b Int)
(declare-const tmp109__func_com_grad_x_l_nn__val Int)
(declare-const tmp109__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp109__func_com_grad_y_l_nn__val Int)
(declare-const tmp109__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp109__func_com_mc_l_nn__val Int)
(declare-const tmp109__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp10__func_bio_opt__b Int)
(declare-const tmp10__func_bio_opt__t Int)
(declare-const tmp10__func_bio_opt__t1 Int)
(declare-const tmp10__func_bio_opt__t2 Int)
(declare-const tmp10__func_bio_opt__t3 Int)
(declare-const tmp10__func_bio_opt__t4 Int)
(declare-const tmp10__func_bio_opt__t5 Int)
(declare-const tmp10__func_bio_opt__tx Int)
(declare-const tmp10__func_bio_opt__ty Int)
(declare-const tmp10__func_bio_opt__vx Int)
(declare-const tmp10__func_bio_opt__vy Int)
(declare-const tmp10__func_com_grad_x_l_nn__val Int)
(declare-const tmp10__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp10__func_com_grad_y_l_nn__val Int)
(declare-const tmp10__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp10__func_com_mc_l_nn__val Int)
(declare-const tmp10__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp10__global__0__instrumented__ Int)
(declare-const tmp10__global__10__instrumented__ Int)
(declare-const tmp10__global__11__instrumented__ Int)
(declare-const tmp10__global__12__instrumented__ Int)
(declare-const tmp10__global__13__instrumented__ Int)
(declare-const tmp10__global__14__instrumented__ Int)
(declare-const tmp10__global__1__instrumented__ Int)
(declare-const tmp10__global__21__instrumented__ Int)
(declare-const tmp10__global__22__instrumented__ Int)
(declare-const tmp10__global__23__instrumented__ Int)
(declare-const tmp10__global__24__instrumented__ Int)
(declare-const tmp10__global__25__instrumented__ Int)
(declare-const tmp10__global__26__instrumented__ Int)
(declare-const tmp10__global__27__instrumented__ Int)
(declare-const tmp10__global__28__instrumented__ Int)
(declare-const tmp10__global__29__instrumented__ Int)
(declare-const tmp10__global__2__instrumented__ Int)
(declare-const tmp10__global__30__instrumented__ Int)
(declare-const tmp10__global__31__instrumented__ Int)
(declare-const tmp10__global__3__instrumented__ Int)
(declare-const tmp10__global__4__instrumented__ Int)
(declare-const tmp10__global__5__instrumented__ Int)
(declare-const tmp10__global__6__instrumented__ Int)
(declare-const tmp10__global__7__instrumented__ Int)
(declare-const tmp10__global__8__instrumented__ Int)
(declare-const tmp10__global__9__instrumented__ Int)
(declare-const tmp110__func_bio_opt__b Int)
(declare-const tmp110__func_com_grad_x_l_nn__val Int)
(declare-const tmp110__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp110__func_com_grad_y_l_nn__val Int)
(declare-const tmp110__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp110__func_com_mc_l_nn__val Int)
(declare-const tmp110__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp111__func_bio_opt__b Int)
(declare-const tmp111__func_com_grad_x_l_nn__val Int)
(declare-const tmp111__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp111__func_com_grad_y_l_nn__val Int)
(declare-const tmp111__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp111__func_com_mc_l_nn__val Int)
(declare-const tmp111__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp112__func_bio_opt__b Int)
(declare-const tmp112__func_com_grad_x_l_nn__val Int)
(declare-const tmp112__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp112__func_com_grad_y_l_nn__val Int)
(declare-const tmp112__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp112__func_com_mc_l_nn__val Int)
(declare-const tmp112__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp113__func_bio_opt__b Int)
(declare-const tmp113__func_com_grad_x_l_nn__val Int)
(declare-const tmp113__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp113__func_com_grad_y_l_nn__val Int)
(declare-const tmp113__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp113__func_com_mc_l_nn__val Int)
(declare-const tmp113__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp114__func_bio_opt__b Int)
(declare-const tmp114__func_com_grad_x_l_nn__val Int)
(declare-const tmp114__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp114__func_com_grad_y_l_nn__val Int)
(declare-const tmp114__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp114__func_com_mc_l_nn__val Int)
(declare-const tmp114__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp115__func_bio_opt__b Int)
(declare-const tmp115__func_com_grad_x_l_nn__val Int)
(declare-const tmp115__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp115__func_com_grad_y_l_nn__val Int)
(declare-const tmp115__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp115__func_com_mc_l_nn__val Int)
(declare-const tmp115__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp116__func_bio_opt__b Int)
(declare-const tmp116__func_com_grad_x_l_nn__val Int)
(declare-const tmp116__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp116__func_com_grad_y_l_nn__val Int)
(declare-const tmp116__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp116__func_com_mc_l_nn__val Int)
(declare-const tmp116__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp117__func_bio_opt__b Int)
(declare-const tmp117__func_com_grad_x_l_nn__val Int)
(declare-const tmp117__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp117__func_com_grad_y_l_nn__val Int)
(declare-const tmp117__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp117__func_com_mc_l_nn__val Int)
(declare-const tmp117__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp118__func_bio_opt__b Int)
(declare-const tmp118__func_com_grad_x_l_nn__val Int)
(declare-const tmp118__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp118__func_com_grad_y_l_nn__val Int)
(declare-const tmp118__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp118__func_com_mc_l_nn__val Int)
(declare-const tmp118__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp119__func_bio_opt__b Int)
(declare-const tmp119__func_com_grad_x_l_nn__val Int)
(declare-const tmp119__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp119__func_com_grad_y_l_nn__val Int)
(declare-const tmp119__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp119__func_com_mc_l_nn__val Int)
(declare-const tmp119__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp11__func_bio_opt__b Int)
(declare-const tmp11__func_bio_opt__t Int)
(declare-const tmp11__func_bio_opt__t1 Int)
(declare-const tmp11__func_bio_opt__t2 Int)
(declare-const tmp11__func_bio_opt__t3 Int)
(declare-const tmp11__func_bio_opt__t4 Int)
(declare-const tmp11__func_bio_opt__t5 Int)
(declare-const tmp11__func_bio_opt__tx Int)
(declare-const tmp11__func_bio_opt__ty Int)
(declare-const tmp11__func_bio_opt__vx Int)
(declare-const tmp11__func_bio_opt__vy Int)
(declare-const tmp11__func_com_grad_x_l_nn__val Int)
(declare-const tmp11__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp11__func_com_grad_y_l_nn__val Int)
(declare-const tmp11__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp11__func_com_mc_l_nn__val Int)
(declare-const tmp11__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp11__global__0__instrumented__ Int)
(declare-const tmp11__global__10__instrumented__ Int)
(declare-const tmp11__global__11__instrumented__ Int)
(declare-const tmp11__global__12__instrumented__ Int)
(declare-const tmp11__global__13__instrumented__ Int)
(declare-const tmp11__global__14__instrumented__ Int)
(declare-const tmp11__global__1__instrumented__ Int)
(declare-const tmp11__global__21__instrumented__ Int)
(declare-const tmp11__global__22__instrumented__ Int)
(declare-const tmp11__global__23__instrumented__ Int)
(declare-const tmp11__global__24__instrumented__ Int)
(declare-const tmp11__global__25__instrumented__ Int)
(declare-const tmp11__global__26__instrumented__ Int)
(declare-const tmp11__global__27__instrumented__ Int)
(declare-const tmp11__global__28__instrumented__ Int)
(declare-const tmp11__global__29__instrumented__ Int)
(declare-const tmp11__global__2__instrumented__ Int)
(declare-const tmp11__global__30__instrumented__ Int)
(declare-const tmp11__global__31__instrumented__ Int)
(declare-const tmp11__global__3__instrumented__ Int)
(declare-const tmp11__global__4__instrumented__ Int)
(declare-const tmp11__global__5__instrumented__ Int)
(declare-const tmp11__global__6__instrumented__ Int)
(declare-const tmp11__global__7__instrumented__ Int)
(declare-const tmp11__global__8__instrumented__ Int)
(declare-const tmp11__global__9__instrumented__ Int)
(declare-const tmp120__func_bio_opt__b Int)
(declare-const tmp120__func_com_grad_x_l_nn__val Int)
(declare-const tmp120__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp120__func_com_grad_y_l_nn__val Int)
(declare-const tmp120__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp120__func_com_mc_l_nn__val Int)
(declare-const tmp120__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp121__func_bio_opt__b Int)
(declare-const tmp121__func_com_grad_x_l_nn__val Int)
(declare-const tmp121__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp121__func_com_grad_y_l_nn__val Int)
(declare-const tmp121__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp121__func_com_mc_l_nn__val Int)
(declare-const tmp121__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp122__func_bio_opt__b Int)
(declare-const tmp122__func_com_grad_x_l_nn__val Int)
(declare-const tmp122__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp122__func_com_grad_y_l_nn__val Int)
(declare-const tmp122__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp122__func_com_mc_l_nn__val Int)
(declare-const tmp122__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp123__func_bio_opt__b Int)
(declare-const tmp123__func_com_grad_x_l_nn__val Int)
(declare-const tmp123__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp123__func_com_grad_y_l_nn__val Int)
(declare-const tmp123__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp123__func_com_mc_l_nn__val Int)
(declare-const tmp123__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp124__func_bio_opt__b Int)
(declare-const tmp124__func_com_grad_x_l_nn__val Int)
(declare-const tmp124__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp124__func_com_grad_y_l_nn__val Int)
(declare-const tmp124__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp124__func_com_mc_l_nn__val Int)
(declare-const tmp124__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp125__func_bio_opt__b Int)
(declare-const tmp125__func_com_grad_x_l_nn__val Int)
(declare-const tmp125__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp125__func_com_grad_y_l_nn__val Int)
(declare-const tmp125__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp125__func_com_mc_l_nn__val Int)
(declare-const tmp125__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp126__func_bio_opt__b Int)
(declare-const tmp126__func_com_grad_x_l_nn__val Int)
(declare-const tmp126__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp126__func_com_grad_y_l_nn__val Int)
(declare-const tmp126__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp126__func_com_mc_l_nn__val Int)
(declare-const tmp126__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp127__func_bio_opt__b Int)
(declare-const tmp127__func_com_grad_x_l_nn__val Int)
(declare-const tmp127__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp127__func_com_grad_y_l_nn__val Int)
(declare-const tmp127__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp127__func_com_mc_l_nn__val Int)
(declare-const tmp127__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp128__func_bio_opt__b Int)
(declare-const tmp128__func_com_grad_x_l_nn__val Int)
(declare-const tmp128__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp128__func_com_grad_y_l_nn__val Int)
(declare-const tmp128__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp128__func_com_mc_l_nn__val Int)
(declare-const tmp128__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp129__func_com_grad_x_l_nn__val Int)
(declare-const tmp129__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp129__func_com_grad_y_l_nn__val Int)
(declare-const tmp129__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp129__func_com_mc_l_nn__val Int)
(declare-const tmp129__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp12__func_bio_opt__b Int)
(declare-const tmp12__func_bio_opt__t Int)
(declare-const tmp12__func_bio_opt__t1 Int)
(declare-const tmp12__func_bio_opt__t2 Int)
(declare-const tmp12__func_bio_opt__t3 Int)
(declare-const tmp12__func_bio_opt__t4 Int)
(declare-const tmp12__func_bio_opt__t5 Int)
(declare-const tmp12__func_bio_opt__tx Int)
(declare-const tmp12__func_bio_opt__ty Int)
(declare-const tmp12__func_bio_opt__vx Int)
(declare-const tmp12__func_bio_opt__vy Int)
(declare-const tmp12__func_com_grad_x_l_nn__val Int)
(declare-const tmp12__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp12__func_com_grad_y_l_nn__val Int)
(declare-const tmp12__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp12__func_com_mc_l_nn__val Int)
(declare-const tmp12__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp12__global__0__instrumented__ Int)
(declare-const tmp12__global__10__instrumented__ Int)
(declare-const tmp12__global__11__instrumented__ Int)
(declare-const tmp12__global__12__instrumented__ Int)
(declare-const tmp12__global__13__instrumented__ Int)
(declare-const tmp12__global__14__instrumented__ Int)
(declare-const tmp12__global__1__instrumented__ Int)
(declare-const tmp12__global__21__instrumented__ Int)
(declare-const tmp12__global__22__instrumented__ Int)
(declare-const tmp12__global__23__instrumented__ Int)
(declare-const tmp12__global__24__instrumented__ Int)
(declare-const tmp12__global__25__instrumented__ Int)
(declare-const tmp12__global__26__instrumented__ Int)
(declare-const tmp12__global__27__instrumented__ Int)
(declare-const tmp12__global__28__instrumented__ Int)
(declare-const tmp12__global__29__instrumented__ Int)
(declare-const tmp12__global__2__instrumented__ Int)
(declare-const tmp12__global__30__instrumented__ Int)
(declare-const tmp12__global__31__instrumented__ Int)
(declare-const tmp12__global__3__instrumented__ Int)
(declare-const tmp12__global__4__instrumented__ Int)
(declare-const tmp12__global__5__instrumented__ Int)
(declare-const tmp12__global__6__instrumented__ Int)
(declare-const tmp12__global__7__instrumented__ Int)
(declare-const tmp12__global__8__instrumented__ Int)
(declare-const tmp12__global__9__instrumented__ Int)
(declare-const tmp130__func_com_grad_x_l_nn__val Int)
(declare-const tmp130__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp130__func_com_grad_y_l_nn__val Int)
(declare-const tmp130__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp130__func_com_mc_l_nn__val Int)
(declare-const tmp130__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp131__func_com_grad_x_l_nn__val Int)
(declare-const tmp131__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp131__func_com_grad_y_l_nn__val Int)
(declare-const tmp131__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp131__func_com_mc_l_nn__val Int)
(declare-const tmp131__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp132__func_com_grad_x_l_nn__val Int)
(declare-const tmp132__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp132__func_com_grad_y_l_nn__val Int)
(declare-const tmp132__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp132__func_com_mc_l_nn__val Int)
(declare-const tmp132__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp133__func_com_grad_x_l_nn__val Int)
(declare-const tmp133__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp133__func_com_grad_y_l_nn__val Int)
(declare-const tmp133__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp133__func_com_mc_l_nn__val Int)
(declare-const tmp133__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp134__func_com_grad_x_l_nn__val Int)
(declare-const tmp134__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp134__func_com_grad_y_l_nn__val Int)
(declare-const tmp134__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp134__func_com_mc_l_nn__val Int)
(declare-const tmp134__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp135__func_com_grad_x_l_nn__val Int)
(declare-const tmp135__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp135__func_com_grad_y_l_nn__val Int)
(declare-const tmp135__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp135__func_com_mc_l_nn__val Int)
(declare-const tmp135__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp136__func_com_grad_x_l_nn__val Int)
(declare-const tmp136__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp136__func_com_grad_y_l_nn__val Int)
(declare-const tmp136__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp136__func_com_mc_l_nn__val Int)
(declare-const tmp136__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp137__func_com_grad_x_l_nn__val Int)
(declare-const tmp137__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp137__func_com_grad_y_l_nn__val Int)
(declare-const tmp137__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp137__func_com_mc_l_nn__val Int)
(declare-const tmp137__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp138__func_com_grad_x_l_nn__val Int)
(declare-const tmp138__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp138__func_com_grad_y_l_nn__val Int)
(declare-const tmp138__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp138__func_com_mc_l_nn__val Int)
(declare-const tmp138__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp139__func_com_grad_x_l_nn__val Int)
(declare-const tmp139__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp139__func_com_grad_y_l_nn__val Int)
(declare-const tmp139__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp139__func_com_mc_l_nn__val Int)
(declare-const tmp139__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp13__func_bio_opt__b Int)
(declare-const tmp13__func_bio_opt__t Int)
(declare-const tmp13__func_bio_opt__t1 Int)
(declare-const tmp13__func_bio_opt__t2 Int)
(declare-const tmp13__func_bio_opt__t3 Int)
(declare-const tmp13__func_bio_opt__t4 Int)
(declare-const tmp13__func_bio_opt__t5 Int)
(declare-const tmp13__func_bio_opt__tx Int)
(declare-const tmp13__func_bio_opt__ty Int)
(declare-const tmp13__func_bio_opt__vx Int)
(declare-const tmp13__func_bio_opt__vy Int)
(declare-const tmp13__func_com_grad_x_l_nn__val Int)
(declare-const tmp13__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp13__func_com_grad_y_l_nn__val Int)
(declare-const tmp13__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp13__func_com_mc_l_nn__val Int)
(declare-const tmp13__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp13__global__0__instrumented__ Int)
(declare-const tmp13__global__10__instrumented__ Int)
(declare-const tmp13__global__11__instrumented__ Int)
(declare-const tmp13__global__12__instrumented__ Int)
(declare-const tmp13__global__13__instrumented__ Int)
(declare-const tmp13__global__14__instrumented__ Int)
(declare-const tmp13__global__1__instrumented__ Int)
(declare-const tmp13__global__21__instrumented__ Int)
(declare-const tmp13__global__22__instrumented__ Int)
(declare-const tmp13__global__23__instrumented__ Int)
(declare-const tmp13__global__24__instrumented__ Int)
(declare-const tmp13__global__25__instrumented__ Int)
(declare-const tmp13__global__26__instrumented__ Int)
(declare-const tmp13__global__27__instrumented__ Int)
(declare-const tmp13__global__28__instrumented__ Int)
(declare-const tmp13__global__29__instrumented__ Int)
(declare-const tmp13__global__2__instrumented__ Int)
(declare-const tmp13__global__30__instrumented__ Int)
(declare-const tmp13__global__31__instrumented__ Int)
(declare-const tmp13__global__3__instrumented__ Int)
(declare-const tmp13__global__4__instrumented__ Int)
(declare-const tmp13__global__5__instrumented__ Int)
(declare-const tmp13__global__6__instrumented__ Int)
(declare-const tmp13__global__7__instrumented__ Int)
(declare-const tmp13__global__8__instrumented__ Int)
(declare-const tmp13__global__9__instrumented__ Int)
(declare-const tmp140__func_com_grad_x_l_nn__val Int)
(declare-const tmp140__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp140__func_com_grad_y_l_nn__val Int)
(declare-const tmp140__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp140__func_com_mc_l_nn__val Int)
(declare-const tmp140__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp141__func_com_grad_x_l_nn__val Int)
(declare-const tmp141__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp141__func_com_grad_y_l_nn__val Int)
(declare-const tmp141__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp141__func_com_mc_l_nn__val Int)
(declare-const tmp141__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp142__func_com_grad_x_l_nn__val Int)
(declare-const tmp142__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp142__func_com_grad_y_l_nn__val Int)
(declare-const tmp142__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp142__func_com_mc_l_nn__val Int)
(declare-const tmp142__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp143__func_com_grad_x_l_nn__val Int)
(declare-const tmp143__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp143__func_com_grad_y_l_nn__val Int)
(declare-const tmp143__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp143__func_com_mc_l_nn__val Int)
(declare-const tmp143__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp144__func_com_grad_x_l_nn__val Int)
(declare-const tmp144__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp144__func_com_grad_y_l_nn__val Int)
(declare-const tmp144__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp144__func_com_mc_l_nn__val Int)
(declare-const tmp144__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp145__func_com_grad_x_l_nn__val Int)
(declare-const tmp145__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp145__func_com_grad_y_l_nn__val Int)
(declare-const tmp145__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp145__func_com_mc_l_nn__val Int)
(declare-const tmp145__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp146__func_com_grad_x_l_nn__val Int)
(declare-const tmp146__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp146__func_com_grad_y_l_nn__val Int)
(declare-const tmp146__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp146__func_com_mc_l_nn__val Int)
(declare-const tmp146__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp147__func_com_grad_x_l_nn__val Int)
(declare-const tmp147__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp147__func_com_grad_y_l_nn__val Int)
(declare-const tmp147__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp147__func_com_mc_l_nn__val Int)
(declare-const tmp147__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp148__func_com_grad_x_l_nn__val Int)
(declare-const tmp148__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp148__func_com_grad_y_l_nn__val Int)
(declare-const tmp148__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp148__func_com_mc_l_nn__val Int)
(declare-const tmp148__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp149__func_com_grad_x_l_nn__val Int)
(declare-const tmp149__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp149__func_com_grad_y_l_nn__val Int)
(declare-const tmp149__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp149__func_com_mc_l_nn__val Int)
(declare-const tmp149__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp14__func_bio_opt__b Int)
(declare-const tmp14__func_bio_opt__t Int)
(declare-const tmp14__func_bio_opt__t1 Int)
(declare-const tmp14__func_bio_opt__t2 Int)
(declare-const tmp14__func_bio_opt__t3 Int)
(declare-const tmp14__func_bio_opt__t4 Int)
(declare-const tmp14__func_bio_opt__t5 Int)
(declare-const tmp14__func_bio_opt__tx Int)
(declare-const tmp14__func_bio_opt__ty Int)
(declare-const tmp14__func_bio_opt__vx Int)
(declare-const tmp14__func_bio_opt__vy Int)
(declare-const tmp14__func_com_grad_x_l_nn__val Int)
(declare-const tmp14__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp14__func_com_grad_y_l_nn__val Int)
(declare-const tmp14__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp14__func_com_mc_l_nn__val Int)
(declare-const tmp14__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp14__global__0__instrumented__ Int)
(declare-const tmp14__global__10__instrumented__ Int)
(declare-const tmp14__global__11__instrumented__ Int)
(declare-const tmp14__global__12__instrumented__ Int)
(declare-const tmp14__global__13__instrumented__ Int)
(declare-const tmp14__global__14__instrumented__ Int)
(declare-const tmp14__global__1__instrumented__ Int)
(declare-const tmp14__global__21__instrumented__ Int)
(declare-const tmp14__global__22__instrumented__ Int)
(declare-const tmp14__global__23__instrumented__ Int)
(declare-const tmp14__global__24__instrumented__ Int)
(declare-const tmp14__global__25__instrumented__ Int)
(declare-const tmp14__global__26__instrumented__ Int)
(declare-const tmp14__global__27__instrumented__ Int)
(declare-const tmp14__global__28__instrumented__ Int)
(declare-const tmp14__global__29__instrumented__ Int)
(declare-const tmp14__global__2__instrumented__ Int)
(declare-const tmp14__global__30__instrumented__ Int)
(declare-const tmp14__global__31__instrumented__ Int)
(declare-const tmp14__global__3__instrumented__ Int)
(declare-const tmp14__global__4__instrumented__ Int)
(declare-const tmp14__global__5__instrumented__ Int)
(declare-const tmp14__global__6__instrumented__ Int)
(declare-const tmp14__global__7__instrumented__ Int)
(declare-const tmp14__global__8__instrumented__ Int)
(declare-const tmp14__global__9__instrumented__ Int)
(declare-const tmp150__func_com_grad_x_l_nn__val Int)
(declare-const tmp150__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp150__func_com_grad_y_l_nn__val Int)
(declare-const tmp150__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp150__func_com_mc_l_nn__val Int)
(declare-const tmp150__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp151__func_com_grad_x_l_nn__val Int)
(declare-const tmp151__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp151__func_com_grad_y_l_nn__val Int)
(declare-const tmp151__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp151__func_com_mc_l_nn__val Int)
(declare-const tmp151__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp152__func_com_grad_x_l_nn__val Int)
(declare-const tmp152__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp152__func_com_grad_y_l_nn__val Int)
(declare-const tmp152__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp152__func_com_mc_l_nn__val Int)
(declare-const tmp152__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp153__func_com_grad_x_l_nn__val Int)
(declare-const tmp153__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp153__func_com_grad_y_l_nn__val Int)
(declare-const tmp153__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp153__func_com_mc_l_nn__val Int)
(declare-const tmp153__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp154__func_com_grad_x_l_nn__val Int)
(declare-const tmp154__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp154__func_com_grad_y_l_nn__val Int)
(declare-const tmp154__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp154__func_com_mc_l_nn__val Int)
(declare-const tmp154__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp155__func_com_grad_x_l_nn__val Int)
(declare-const tmp155__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp155__func_com_grad_y_l_nn__val Int)
(declare-const tmp155__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp155__func_com_mc_l_nn__val Int)
(declare-const tmp155__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp156__func_com_grad_x_l_nn__val Int)
(declare-const tmp156__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp156__func_com_grad_y_l_nn__val Int)
(declare-const tmp156__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp156__func_com_mc_l_nn__val Int)
(declare-const tmp156__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp157__func_com_grad_x_l_nn__val Int)
(declare-const tmp157__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp157__func_com_grad_y_l_nn__val Int)
(declare-const tmp157__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp157__func_com_mc_l_nn__val Int)
(declare-const tmp157__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp158__func_com_grad_x_l_nn__val Int)
(declare-const tmp158__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp158__func_com_grad_y_l_nn__val Int)
(declare-const tmp158__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp158__func_com_mc_l_nn__val Int)
(declare-const tmp158__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp159__func_com_grad_x_l_nn__val Int)
(declare-const tmp159__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp159__func_com_grad_y_l_nn__val Int)
(declare-const tmp159__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp159__func_com_mc_l_nn__val Int)
(declare-const tmp159__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp15__func_bio_opt__b Int)
(declare-const tmp15__func_bio_opt__t Int)
(declare-const tmp15__func_bio_opt__t1 Int)
(declare-const tmp15__func_bio_opt__t2 Int)
(declare-const tmp15__func_bio_opt__t3 Int)
(declare-const tmp15__func_bio_opt__t4 Int)
(declare-const tmp15__func_bio_opt__t5 Int)
(declare-const tmp15__func_bio_opt__tx Int)
(declare-const tmp15__func_bio_opt__ty Int)
(declare-const tmp15__func_bio_opt__vx Int)
(declare-const tmp15__func_bio_opt__vy Int)
(declare-const tmp15__func_com_grad_x_l_nn__val Int)
(declare-const tmp15__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp15__func_com_grad_y_l_nn__val Int)
(declare-const tmp15__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp15__func_com_mc_l_nn__val Int)
(declare-const tmp15__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp15__global__0__instrumented__ Int)
(declare-const tmp15__global__10__instrumented__ Int)
(declare-const tmp15__global__11__instrumented__ Int)
(declare-const tmp15__global__12__instrumented__ Int)
(declare-const tmp15__global__13__instrumented__ Int)
(declare-const tmp15__global__14__instrumented__ Int)
(declare-const tmp15__global__1__instrumented__ Int)
(declare-const tmp15__global__21__instrumented__ Int)
(declare-const tmp15__global__22__instrumented__ Int)
(declare-const tmp15__global__23__instrumented__ Int)
(declare-const tmp15__global__24__instrumented__ Int)
(declare-const tmp15__global__25__instrumented__ Int)
(declare-const tmp15__global__26__instrumented__ Int)
(declare-const tmp15__global__27__instrumented__ Int)
(declare-const tmp15__global__28__instrumented__ Int)
(declare-const tmp15__global__29__instrumented__ Int)
(declare-const tmp15__global__2__instrumented__ Int)
(declare-const tmp15__global__30__instrumented__ Int)
(declare-const tmp15__global__31__instrumented__ Int)
(declare-const tmp15__global__3__instrumented__ Int)
(declare-const tmp15__global__4__instrumented__ Int)
(declare-const tmp15__global__5__instrumented__ Int)
(declare-const tmp15__global__6__instrumented__ Int)
(declare-const tmp15__global__7__instrumented__ Int)
(declare-const tmp15__global__8__instrumented__ Int)
(declare-const tmp15__global__9__instrumented__ Int)
(declare-const tmp160__func_com_grad_x_l_nn__val Int)
(declare-const tmp160__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp160__func_com_grad_y_l_nn__val Int)
(declare-const tmp160__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp160__func_com_mc_l_nn__val Int)
(declare-const tmp160__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp161__func_com_grad_x_l_nn__val Int)
(declare-const tmp161__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp161__func_com_grad_y_l_nn__val Int)
(declare-const tmp161__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp161__func_com_mc_l_nn__val Int)
(declare-const tmp161__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp162__func_com_grad_x_l_nn__val Int)
(declare-const tmp162__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp162__func_com_grad_y_l_nn__val Int)
(declare-const tmp162__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp162__func_com_mc_l_nn__val Int)
(declare-const tmp162__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp163__func_com_grad_x_l_nn__val Int)
(declare-const tmp163__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp163__func_com_grad_y_l_nn__val Int)
(declare-const tmp163__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp163__func_com_mc_l_nn__val Int)
(declare-const tmp163__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp164__func_com_grad_x_l_nn__val Int)
(declare-const tmp164__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp164__func_com_grad_y_l_nn__val Int)
(declare-const tmp164__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp164__func_com_mc_l_nn__val Int)
(declare-const tmp164__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp165__func_com_grad_x_l_nn__val Int)
(declare-const tmp165__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp165__func_com_grad_y_l_nn__val Int)
(declare-const tmp165__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp165__func_com_mc_l_nn__val Int)
(declare-const tmp165__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp166__func_com_grad_x_l_nn__val Int)
(declare-const tmp166__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp166__func_com_grad_y_l_nn__val Int)
(declare-const tmp166__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp166__func_com_mc_l_nn__val Int)
(declare-const tmp166__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp167__func_com_grad_x_l_nn__val Int)
(declare-const tmp167__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp167__func_com_grad_y_l_nn__val Int)
(declare-const tmp167__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp167__func_com_mc_l_nn__val Int)
(declare-const tmp167__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp168__func_com_grad_x_l_nn__val Int)
(declare-const tmp168__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp168__func_com_grad_y_l_nn__val Int)
(declare-const tmp168__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp168__func_com_mc_l_nn__val Int)
(declare-const tmp168__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp169__func_com_grad_x_l_nn__val Int)
(declare-const tmp169__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp169__func_com_grad_y_l_nn__val Int)
(declare-const tmp169__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp169__func_com_mc_l_nn__val Int)
(declare-const tmp169__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp16__func_bio_opt__b Int)
(declare-const tmp16__func_bio_opt__t Int)
(declare-const tmp16__func_bio_opt__t1 Int)
(declare-const tmp16__func_bio_opt__t2 Int)
(declare-const tmp16__func_bio_opt__t3 Int)
(declare-const tmp16__func_bio_opt__t4 Int)
(declare-const tmp16__func_bio_opt__t5 Int)
(declare-const tmp16__func_bio_opt__tx Int)
(declare-const tmp16__func_bio_opt__ty Int)
(declare-const tmp16__func_bio_opt__vx Int)
(declare-const tmp16__func_bio_opt__vy Int)
(declare-const tmp16__func_com_grad_x_l_nn__val Int)
(declare-const tmp16__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp16__func_com_grad_y_l_nn__val Int)
(declare-const tmp16__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp16__func_com_mc_l_nn__val Int)
(declare-const tmp16__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp16__global__0__instrumented__ Int)
(declare-const tmp16__global__10__instrumented__ Int)
(declare-const tmp16__global__11__instrumented__ Int)
(declare-const tmp16__global__12__instrumented__ Int)
(declare-const tmp16__global__13__instrumented__ Int)
(declare-const tmp16__global__14__instrumented__ Int)
(declare-const tmp16__global__1__instrumented__ Int)
(declare-const tmp16__global__21__instrumented__ Int)
(declare-const tmp16__global__22__instrumented__ Int)
(declare-const tmp16__global__23__instrumented__ Int)
(declare-const tmp16__global__24__instrumented__ Int)
(declare-const tmp16__global__25__instrumented__ Int)
(declare-const tmp16__global__26__instrumented__ Int)
(declare-const tmp16__global__27__instrumented__ Int)
(declare-const tmp16__global__28__instrumented__ Int)
(declare-const tmp16__global__29__instrumented__ Int)
(declare-const tmp16__global__2__instrumented__ Int)
(declare-const tmp16__global__30__instrumented__ Int)
(declare-const tmp16__global__31__instrumented__ Int)
(declare-const tmp16__global__3__instrumented__ Int)
(declare-const tmp16__global__4__instrumented__ Int)
(declare-const tmp16__global__5__instrumented__ Int)
(declare-const tmp16__global__6__instrumented__ Int)
(declare-const tmp16__global__7__instrumented__ Int)
(declare-const tmp16__global__8__instrumented__ Int)
(declare-const tmp16__global__9__instrumented__ Int)
(declare-const tmp170__func_com_grad_x_l_nn__val Int)
(declare-const tmp170__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp170__func_com_grad_y_l_nn__val Int)
(declare-const tmp170__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp170__func_com_mc_l_nn__val Int)
(declare-const tmp170__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp171__func_com_grad_x_l_nn__val Int)
(declare-const tmp171__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp171__func_com_grad_y_l_nn__val Int)
(declare-const tmp171__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp171__func_com_mc_l_nn__val Int)
(declare-const tmp171__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp172__func_com_grad_x_l_nn__val Int)
(declare-const tmp172__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp172__func_com_grad_y_l_nn__val Int)
(declare-const tmp172__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp172__func_com_mc_l_nn__val Int)
(declare-const tmp172__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp173__func_com_grad_x_l_nn__val Int)
(declare-const tmp173__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp173__func_com_grad_y_l_nn__val Int)
(declare-const tmp173__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp173__func_com_mc_l_nn__val Int)
(declare-const tmp173__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp174__func_com_grad_x_l_nn__val Int)
(declare-const tmp174__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp174__func_com_grad_y_l_nn__val Int)
(declare-const tmp174__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp174__func_com_mc_l_nn__val Int)
(declare-const tmp174__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp175__func_com_grad_x_l_nn__val Int)
(declare-const tmp175__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp175__func_com_grad_y_l_nn__val Int)
(declare-const tmp175__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp175__func_com_mc_l_nn__val Int)
(declare-const tmp175__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp176__func_com_grad_x_l_nn__val Int)
(declare-const tmp176__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp176__func_com_grad_y_l_nn__val Int)
(declare-const tmp176__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp176__func_com_mc_l_nn__val Int)
(declare-const tmp176__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp177__func_com_grad_x_l_nn__val Int)
(declare-const tmp177__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp177__func_com_grad_y_l_nn__val Int)
(declare-const tmp177__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp177__func_com_mc_l_nn__val Int)
(declare-const tmp177__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp178__func_com_grad_x_l_nn__val Int)
(declare-const tmp178__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp178__func_com_grad_y_l_nn__val Int)
(declare-const tmp178__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp178__func_com_mc_l_nn__val Int)
(declare-const tmp178__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp179__func_com_grad_x_l_nn__val Int)
(declare-const tmp179__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp179__func_com_grad_y_l_nn__val Int)
(declare-const tmp179__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp179__func_com_mc_l_nn__val Int)
(declare-const tmp179__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp17__func_bio_opt__b Int)
(declare-const tmp17__func_bio_opt__t Int)
(declare-const tmp17__func_bio_opt__t1 Int)
(declare-const tmp17__func_bio_opt__t2 Int)
(declare-const tmp17__func_bio_opt__t3 Int)
(declare-const tmp17__func_bio_opt__t4 Int)
(declare-const tmp17__func_bio_opt__t5 Int)
(declare-const tmp17__func_bio_opt__tx Int)
(declare-const tmp17__func_bio_opt__ty Int)
(declare-const tmp17__func_bio_opt__vx Int)
(declare-const tmp17__func_bio_opt__vy Int)
(declare-const tmp17__func_com_grad_x_l_nn__val Int)
(declare-const tmp17__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp17__func_com_grad_y_l_nn__val Int)
(declare-const tmp17__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp17__func_com_mc_l_nn__val Int)
(declare-const tmp17__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp17__global__0__instrumented__ Int)
(declare-const tmp17__global__10__instrumented__ Int)
(declare-const tmp17__global__11__instrumented__ Int)
(declare-const tmp17__global__12__instrumented__ Int)
(declare-const tmp17__global__13__instrumented__ Int)
(declare-const tmp17__global__14__instrumented__ Int)
(declare-const tmp17__global__1__instrumented__ Int)
(declare-const tmp17__global__21__instrumented__ Int)
(declare-const tmp17__global__22__instrumented__ Int)
(declare-const tmp17__global__23__instrumented__ Int)
(declare-const tmp17__global__24__instrumented__ Int)
(declare-const tmp17__global__25__instrumented__ Int)
(declare-const tmp17__global__26__instrumented__ Int)
(declare-const tmp17__global__27__instrumented__ Int)
(declare-const tmp17__global__28__instrumented__ Int)
(declare-const tmp17__global__29__instrumented__ Int)
(declare-const tmp17__global__2__instrumented__ Int)
(declare-const tmp17__global__30__instrumented__ Int)
(declare-const tmp17__global__31__instrumented__ Int)
(declare-const tmp17__global__3__instrumented__ Int)
(declare-const tmp17__global__4__instrumented__ Int)
(declare-const tmp17__global__5__instrumented__ Int)
(declare-const tmp17__global__6__instrumented__ Int)
(declare-const tmp17__global__7__instrumented__ Int)
(declare-const tmp17__global__8__instrumented__ Int)
(declare-const tmp17__global__9__instrumented__ Int)
(declare-const tmp180__func_com_grad_x_l_nn__val Int)
(declare-const tmp180__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp180__func_com_grad_y_l_nn__val Int)
(declare-const tmp180__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp180__func_com_mc_l_nn__val Int)
(declare-const tmp180__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp181__func_com_grad_x_l_nn__val Int)
(declare-const tmp181__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp181__func_com_grad_y_l_nn__val Int)
(declare-const tmp181__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp181__func_com_mc_l_nn__val Int)
(declare-const tmp181__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp182__func_com_grad_x_l_nn__val Int)
(declare-const tmp182__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp182__func_com_grad_y_l_nn__val Int)
(declare-const tmp182__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp182__func_com_mc_l_nn__val Int)
(declare-const tmp182__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp183__func_com_grad_x_l_nn__val Int)
(declare-const tmp183__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp183__func_com_grad_y_l_nn__val Int)
(declare-const tmp183__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp183__func_com_mc_l_nn__val Int)
(declare-const tmp183__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp184__func_com_grad_x_l_nn__val Int)
(declare-const tmp184__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp184__func_com_grad_y_l_nn__val Int)
(declare-const tmp184__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp184__func_com_mc_l_nn__val Int)
(declare-const tmp184__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp18__func_bio_opt__b Int)
(declare-const tmp18__func_bio_opt__t Int)
(declare-const tmp18__func_bio_opt__t1 Int)
(declare-const tmp18__func_bio_opt__t2 Int)
(declare-const tmp18__func_bio_opt__t3 Int)
(declare-const tmp18__func_bio_opt__t4 Int)
(declare-const tmp18__func_bio_opt__t5 Int)
(declare-const tmp18__func_bio_opt__tx Int)
(declare-const tmp18__func_bio_opt__ty Int)
(declare-const tmp18__func_bio_opt__vx Int)
(declare-const tmp18__func_bio_opt__vy Int)
(declare-const tmp18__func_com_grad_x_l_nn__val Int)
(declare-const tmp18__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp18__func_com_grad_y_l_nn__val Int)
(declare-const tmp18__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp18__func_com_mc_l_nn__val Int)
(declare-const tmp18__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp18__global__0__instrumented__ Int)
(declare-const tmp18__global__10__instrumented__ Int)
(declare-const tmp18__global__11__instrumented__ Int)
(declare-const tmp18__global__12__instrumented__ Int)
(declare-const tmp18__global__13__instrumented__ Int)
(declare-const tmp18__global__14__instrumented__ Int)
(declare-const tmp18__global__1__instrumented__ Int)
(declare-const tmp18__global__21__instrumented__ Int)
(declare-const tmp18__global__22__instrumented__ Int)
(declare-const tmp18__global__23__instrumented__ Int)
(declare-const tmp18__global__24__instrumented__ Int)
(declare-const tmp18__global__25__instrumented__ Int)
(declare-const tmp18__global__26__instrumented__ Int)
(declare-const tmp18__global__27__instrumented__ Int)
(declare-const tmp18__global__28__instrumented__ Int)
(declare-const tmp18__global__29__instrumented__ Int)
(declare-const tmp18__global__2__instrumented__ Int)
(declare-const tmp18__global__30__instrumented__ Int)
(declare-const tmp18__global__31__instrumented__ Int)
(declare-const tmp18__global__3__instrumented__ Int)
(declare-const tmp18__global__4__instrumented__ Int)
(declare-const tmp18__global__5__instrumented__ Int)
(declare-const tmp18__global__6__instrumented__ Int)
(declare-const tmp18__global__7__instrumented__ Int)
(declare-const tmp18__global__8__instrumented__ Int)
(declare-const tmp18__global__9__instrumented__ Int)
(declare-const tmp19__func_bio_opt__b Int)
(declare-const tmp19__func_bio_opt__t Int)
(declare-const tmp19__func_bio_opt__t1 Int)
(declare-const tmp19__func_bio_opt__t2 Int)
(declare-const tmp19__func_bio_opt__t3 Int)
(declare-const tmp19__func_bio_opt__t4 Int)
(declare-const tmp19__func_bio_opt__t5 Int)
(declare-const tmp19__func_bio_opt__tx Int)
(declare-const tmp19__func_bio_opt__ty Int)
(declare-const tmp19__func_bio_opt__vx Int)
(declare-const tmp19__func_bio_opt__vy Int)
(declare-const tmp19__func_com_grad_x_l_nn__val Int)
(declare-const tmp19__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp19__func_com_grad_y_l_nn__val Int)
(declare-const tmp19__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp19__func_com_mc_l_nn__val Int)
(declare-const tmp19__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp19__global__0__instrumented__ Int)
(declare-const tmp19__global__10__instrumented__ Int)
(declare-const tmp19__global__11__instrumented__ Int)
(declare-const tmp19__global__12__instrumented__ Int)
(declare-const tmp19__global__13__instrumented__ Int)
(declare-const tmp19__global__14__instrumented__ Int)
(declare-const tmp19__global__1__instrumented__ Int)
(declare-const tmp19__global__21__instrumented__ Int)
(declare-const tmp19__global__22__instrumented__ Int)
(declare-const tmp19__global__23__instrumented__ Int)
(declare-const tmp19__global__24__instrumented__ Int)
(declare-const tmp19__global__25__instrumented__ Int)
(declare-const tmp19__global__26__instrumented__ Int)
(declare-const tmp19__global__27__instrumented__ Int)
(declare-const tmp19__global__28__instrumented__ Int)
(declare-const tmp19__global__29__instrumented__ Int)
(declare-const tmp19__global__2__instrumented__ Int)
(declare-const tmp19__global__30__instrumented__ Int)
(declare-const tmp19__global__31__instrumented__ Int)
(declare-const tmp19__global__3__instrumented__ Int)
(declare-const tmp19__global__4__instrumented__ Int)
(declare-const tmp19__global__5__instrumented__ Int)
(declare-const tmp19__global__6__instrumented__ Int)
(declare-const tmp19__global__7__instrumented__ Int)
(declare-const tmp19__global__8__instrumented__ Int)
(declare-const tmp19__global__9__instrumented__ Int)
(declare-const tmp1__func_Clip3__value Int)
(declare-const tmp1__func_Clip3_variant_100__value Int)
(declare-const tmp1__func_Clip3_variant_101__value Int)
(declare-const tmp1__func_Clip3_variant_102__value Int)
(declare-const tmp1__func_Clip3_variant_103__value Int)
(declare-const tmp1__func_Clip3_variant_104__value Int)
(declare-const tmp1__func_Clip3_variant_105__value Int)
(declare-const tmp1__func_Clip3_variant_106__value Int)
(declare-const tmp1__func_Clip3_variant_107__value Int)
(declare-const tmp1__func_Clip3_variant_108__value Int)
(declare-const tmp1__func_Clip3_variant_109__value Int)
(declare-const tmp1__func_Clip3_variant_10__value Int)
(declare-const tmp1__func_Clip3_variant_110__value Int)
(declare-const tmp1__func_Clip3_variant_111__value Int)
(declare-const tmp1__func_Clip3_variant_112__value Int)
(declare-const tmp1__func_Clip3_variant_113__value Int)
(declare-const tmp1__func_Clip3_variant_114__value Int)
(declare-const tmp1__func_Clip3_variant_115__value Int)
(declare-const tmp1__func_Clip3_variant_116__value Int)
(declare-const tmp1__func_Clip3_variant_117__value Int)
(declare-const tmp1__func_Clip3_variant_118__value Int)
(declare-const tmp1__func_Clip3_variant_119__value Int)
(declare-const tmp1__func_Clip3_variant_11__value Int)
(declare-const tmp1__func_Clip3_variant_120__value Int)
(declare-const tmp1__func_Clip3_variant_121__value Int)
(declare-const tmp1__func_Clip3_variant_122__value Int)
(declare-const tmp1__func_Clip3_variant_123__value Int)
(declare-const tmp1__func_Clip3_variant_124__value Int)
(declare-const tmp1__func_Clip3_variant_125__value Int)
(declare-const tmp1__func_Clip3_variant_126__value Int)
(declare-const tmp1__func_Clip3_variant_127__value Int)
(declare-const tmp1__func_Clip3_variant_128__value Int)
(declare-const tmp1__func_Clip3_variant_129__value Int)
(declare-const tmp1__func_Clip3_variant_12__value Int)
(declare-const tmp1__func_Clip3_variant_130__value Int)
(declare-const tmp1__func_Clip3_variant_131__value Int)
(declare-const tmp1__func_Clip3_variant_132__value Int)
(declare-const tmp1__func_Clip3_variant_133__value Int)
(declare-const tmp1__func_Clip3_variant_134__value Int)
(declare-const tmp1__func_Clip3_variant_135__value Int)
(declare-const tmp1__func_Clip3_variant_136__value Int)
(declare-const tmp1__func_Clip3_variant_137__value Int)
(declare-const tmp1__func_Clip3_variant_138__value Int)
(declare-const tmp1__func_Clip3_variant_139__value Int)
(declare-const tmp1__func_Clip3_variant_13__value Int)
(declare-const tmp1__func_Clip3_variant_140__value Int)
(declare-const tmp1__func_Clip3_variant_141__value Int)
(declare-const tmp1__func_Clip3_variant_142__value Int)
(declare-const tmp1__func_Clip3_variant_143__value Int)
(declare-const tmp1__func_Clip3_variant_144__value Int)
(declare-const tmp1__func_Clip3_variant_145__value Int)
(declare-const tmp1__func_Clip3_variant_146__value Int)
(declare-const tmp1__func_Clip3_variant_147__value Int)
(declare-const tmp1__func_Clip3_variant_148__value Int)
(declare-const tmp1__func_Clip3_variant_149__value Int)
(declare-const tmp1__func_Clip3_variant_14__value Int)
(declare-const tmp1__func_Clip3_variant_150__value Int)
(declare-const tmp1__func_Clip3_variant_151__value Int)
(declare-const tmp1__func_Clip3_variant_152__value Int)
(declare-const tmp1__func_Clip3_variant_153__value Int)
(declare-const tmp1__func_Clip3_variant_154__value Int)
(declare-const tmp1__func_Clip3_variant_155__value Int)
(declare-const tmp1__func_Clip3_variant_156__value Int)
(declare-const tmp1__func_Clip3_variant_157__value Int)
(declare-const tmp1__func_Clip3_variant_158__value Int)
(declare-const tmp1__func_Clip3_variant_159__value Int)
(declare-const tmp1__func_Clip3_variant_15__value Int)
(declare-const tmp1__func_Clip3_variant_160__value Int)
(declare-const tmp1__func_Clip3_variant_161__value Int)
(declare-const tmp1__func_Clip3_variant_162__value Int)
(declare-const tmp1__func_Clip3_variant_163__value Int)
(declare-const tmp1__func_Clip3_variant_164__value Int)
(declare-const tmp1__func_Clip3_variant_165__value Int)
(declare-const tmp1__func_Clip3_variant_166__value Int)
(declare-const tmp1__func_Clip3_variant_167__value Int)
(declare-const tmp1__func_Clip3_variant_168__value Int)
(declare-const tmp1__func_Clip3_variant_169__value Int)
(declare-const tmp1__func_Clip3_variant_16__value Int)
(declare-const tmp1__func_Clip3_variant_170__value Int)
(declare-const tmp1__func_Clip3_variant_171__value Int)
(declare-const tmp1__func_Clip3_variant_172__value Int)
(declare-const tmp1__func_Clip3_variant_173__value Int)
(declare-const tmp1__func_Clip3_variant_174__value Int)
(declare-const tmp1__func_Clip3_variant_175__value Int)
(declare-const tmp1__func_Clip3_variant_176__value Int)
(declare-const tmp1__func_Clip3_variant_177__value Int)
(declare-const tmp1__func_Clip3_variant_178__value Int)
(declare-const tmp1__func_Clip3_variant_179__value Int)
(declare-const tmp1__func_Clip3_variant_17__value Int)
(declare-const tmp1__func_Clip3_variant_180__value Int)
(declare-const tmp1__func_Clip3_variant_181__value Int)
(declare-const tmp1__func_Clip3_variant_182__value Int)
(declare-const tmp1__func_Clip3_variant_183__value Int)
(declare-const tmp1__func_Clip3_variant_184__value Int)
(declare-const tmp1__func_Clip3_variant_185__value Int)
(declare-const tmp1__func_Clip3_variant_186__value Int)
(declare-const tmp1__func_Clip3_variant_187__value Int)
(declare-const tmp1__func_Clip3_variant_188__value Int)
(declare-const tmp1__func_Clip3_variant_189__value Int)
(declare-const tmp1__func_Clip3_variant_18__value Int)
(declare-const tmp1__func_Clip3_variant_190__value Int)
(declare-const tmp1__func_Clip3_variant_191__value Int)
(declare-const tmp1__func_Clip3_variant_192__value Int)
(declare-const tmp1__func_Clip3_variant_193__value Int)
(declare-const tmp1__func_Clip3_variant_194__value Int)
(declare-const tmp1__func_Clip3_variant_195__value Int)
(declare-const tmp1__func_Clip3_variant_196__value Int)
(declare-const tmp1__func_Clip3_variant_197__value Int)
(declare-const tmp1__func_Clip3_variant_198__value Int)
(declare-const tmp1__func_Clip3_variant_199__value Int)
(declare-const tmp1__func_Clip3_variant_19__value Int)
(declare-const tmp1__func_Clip3_variant_1__value Int)
(declare-const tmp1__func_Clip3_variant_20__value Int)
(declare-const tmp1__func_Clip3_variant_21__value Int)
(declare-const tmp1__func_Clip3_variant_22__value Int)
(declare-const tmp1__func_Clip3_variant_23__value Int)
(declare-const tmp1__func_Clip3_variant_24__value Int)
(declare-const tmp1__func_Clip3_variant_25__value Int)
(declare-const tmp1__func_Clip3_variant_26__value Int)
(declare-const tmp1__func_Clip3_variant_27__value Int)
(declare-const tmp1__func_Clip3_variant_28__value Int)
(declare-const tmp1__func_Clip3_variant_29__value Int)
(declare-const tmp1__func_Clip3_variant_2__value Int)
(declare-const tmp1__func_Clip3_variant_30__value Int)
(declare-const tmp1__func_Clip3_variant_31__value Int)
(declare-const tmp1__func_Clip3_variant_32__value Int)
(declare-const tmp1__func_Clip3_variant_33__value Int)
(declare-const tmp1__func_Clip3_variant_34__value Int)
(declare-const tmp1__func_Clip3_variant_35__value Int)
(declare-const tmp1__func_Clip3_variant_36__value Int)
(declare-const tmp1__func_Clip3_variant_37__value Int)
(declare-const tmp1__func_Clip3_variant_38__value Int)
(declare-const tmp1__func_Clip3_variant_39__value Int)
(declare-const tmp1__func_Clip3_variant_3__value Int)
(declare-const tmp1__func_Clip3_variant_40__value Int)
(declare-const tmp1__func_Clip3_variant_41__value Int)
(declare-const tmp1__func_Clip3_variant_42__value Int)
(declare-const tmp1__func_Clip3_variant_43__value Int)
(declare-const tmp1__func_Clip3_variant_44__value Int)
(declare-const tmp1__func_Clip3_variant_45__value Int)
(declare-const tmp1__func_Clip3_variant_46__value Int)
(declare-const tmp1__func_Clip3_variant_47__value Int)
(declare-const tmp1__func_Clip3_variant_48__value Int)
(declare-const tmp1__func_Clip3_variant_49__value Int)
(declare-const tmp1__func_Clip3_variant_4__value Int)
(declare-const tmp1__func_Clip3_variant_50__value Int)
(declare-const tmp1__func_Clip3_variant_51__value Int)
(declare-const tmp1__func_Clip3_variant_52__value Int)
(declare-const tmp1__func_Clip3_variant_53__value Int)
(declare-const tmp1__func_Clip3_variant_54__value Int)
(declare-const tmp1__func_Clip3_variant_55__value Int)
(declare-const tmp1__func_Clip3_variant_56__value Int)
(declare-const tmp1__func_Clip3_variant_57__value Int)
(declare-const tmp1__func_Clip3_variant_58__value Int)
(declare-const tmp1__func_Clip3_variant_59__value Int)
(declare-const tmp1__func_Clip3_variant_5__value Int)
(declare-const tmp1__func_Clip3_variant_60__value Int)
(declare-const tmp1__func_Clip3_variant_61__value Int)
(declare-const tmp1__func_Clip3_variant_62__value Int)
(declare-const tmp1__func_Clip3_variant_63__value Int)
(declare-const tmp1__func_Clip3_variant_64__value Int)
(declare-const tmp1__func_Clip3_variant_65__value Int)
(declare-const tmp1__func_Clip3_variant_66__value Int)
(declare-const tmp1__func_Clip3_variant_67__value Int)
(declare-const tmp1__func_Clip3_variant_68__value Int)
(declare-const tmp1__func_Clip3_variant_69__value Int)
(declare-const tmp1__func_Clip3_variant_6__value Int)
(declare-const tmp1__func_Clip3_variant_70__value Int)
(declare-const tmp1__func_Clip3_variant_71__value Int)
(declare-const tmp1__func_Clip3_variant_72__value Int)
(declare-const tmp1__func_Clip3_variant_73__value Int)
(declare-const tmp1__func_Clip3_variant_74__value Int)
(declare-const tmp1__func_Clip3_variant_75__value Int)
(declare-const tmp1__func_Clip3_variant_76__value Int)
(declare-const tmp1__func_Clip3_variant_77__value Int)
(declare-const tmp1__func_Clip3_variant_78__value Int)
(declare-const tmp1__func_Clip3_variant_79__value Int)
(declare-const tmp1__func_Clip3_variant_7__value Int)
(declare-const tmp1__func_Clip3_variant_80__value Int)
(declare-const tmp1__func_Clip3_variant_81__value Int)
(declare-const tmp1__func_Clip3_variant_82__value Int)
(declare-const tmp1__func_Clip3_variant_83__value Int)
(declare-const tmp1__func_Clip3_variant_84__value Int)
(declare-const tmp1__func_Clip3_variant_85__value Int)
(declare-const tmp1__func_Clip3_variant_86__value Int)
(declare-const tmp1__func_Clip3_variant_87__value Int)
(declare-const tmp1__func_Clip3_variant_88__value Int)
(declare-const tmp1__func_Clip3_variant_89__value Int)
(declare-const tmp1__func_Clip3_variant_8__value Int)
(declare-const tmp1__func_Clip3_variant_90__value Int)
(declare-const tmp1__func_Clip3_variant_91__value Int)
(declare-const tmp1__func_Clip3_variant_92__value Int)
(declare-const tmp1__func_Clip3_variant_93__value Int)
(declare-const tmp1__func_Clip3_variant_94__value Int)
(declare-const tmp1__func_Clip3_variant_95__value Int)
(declare-const tmp1__func_Clip3_variant_96__value Int)
(declare-const tmp1__func_Clip3_variant_97__value Int)
(declare-const tmp1__func_Clip3_variant_98__value Int)
(declare-const tmp1__func_Clip3_variant_99__value Int)
(declare-const tmp1__func_Clip3_variant_9__value Int)
(declare-const tmp1__func__return__Clip3 Int)
(declare-const tmp1__func__return__Clip3_variant_1 Int)
(declare-const tmp1__func__return__Clip3_variant_10 Int)
(declare-const tmp1__func__return__Clip3_variant_100 Int)
(declare-const tmp1__func__return__Clip3_variant_101 Int)
(declare-const tmp1__func__return__Clip3_variant_102 Int)
(declare-const tmp1__func__return__Clip3_variant_103 Int)
(declare-const tmp1__func__return__Clip3_variant_104 Int)
(declare-const tmp1__func__return__Clip3_variant_105 Int)
(declare-const tmp1__func__return__Clip3_variant_106 Int)
(declare-const tmp1__func__return__Clip3_variant_107 Int)
(declare-const tmp1__func__return__Clip3_variant_108 Int)
(declare-const tmp1__func__return__Clip3_variant_109 Int)
(declare-const tmp1__func__return__Clip3_variant_11 Int)
(declare-const tmp1__func__return__Clip3_variant_110 Int)
(declare-const tmp1__func__return__Clip3_variant_111 Int)
(declare-const tmp1__func__return__Clip3_variant_112 Int)
(declare-const tmp1__func__return__Clip3_variant_113 Int)
(declare-const tmp1__func__return__Clip3_variant_114 Int)
(declare-const tmp1__func__return__Clip3_variant_115 Int)
(declare-const tmp1__func__return__Clip3_variant_116 Int)
(declare-const tmp1__func__return__Clip3_variant_117 Int)
(declare-const tmp1__func__return__Clip3_variant_118 Int)
(declare-const tmp1__func__return__Clip3_variant_119 Int)
(declare-const tmp1__func__return__Clip3_variant_12 Int)
(declare-const tmp1__func__return__Clip3_variant_120 Int)
(declare-const tmp1__func__return__Clip3_variant_121 Int)
(declare-const tmp1__func__return__Clip3_variant_122 Int)
(declare-const tmp1__func__return__Clip3_variant_123 Int)
(declare-const tmp1__func__return__Clip3_variant_124 Int)
(declare-const tmp1__func__return__Clip3_variant_125 Int)
(declare-const tmp1__func__return__Clip3_variant_126 Int)
(declare-const tmp1__func__return__Clip3_variant_127 Int)
(declare-const tmp1__func__return__Clip3_variant_128 Int)
(declare-const tmp1__func__return__Clip3_variant_129 Int)
(declare-const tmp1__func__return__Clip3_variant_13 Int)
(declare-const tmp1__func__return__Clip3_variant_130 Int)
(declare-const tmp1__func__return__Clip3_variant_131 Int)
(declare-const tmp1__func__return__Clip3_variant_132 Int)
(declare-const tmp1__func__return__Clip3_variant_133 Int)
(declare-const tmp1__func__return__Clip3_variant_134 Int)
(declare-const tmp1__func__return__Clip3_variant_135 Int)
(declare-const tmp1__func__return__Clip3_variant_136 Int)
(declare-const tmp1__func__return__Clip3_variant_137 Int)
(declare-const tmp1__func__return__Clip3_variant_138 Int)
(declare-const tmp1__func__return__Clip3_variant_139 Int)
(declare-const tmp1__func__return__Clip3_variant_14 Int)
(declare-const tmp1__func__return__Clip3_variant_140 Int)
(declare-const tmp1__func__return__Clip3_variant_141 Int)
(declare-const tmp1__func__return__Clip3_variant_142 Int)
(declare-const tmp1__func__return__Clip3_variant_143 Int)
(declare-const tmp1__func__return__Clip3_variant_144 Int)
(declare-const tmp1__func__return__Clip3_variant_145 Int)
(declare-const tmp1__func__return__Clip3_variant_146 Int)
(declare-const tmp1__func__return__Clip3_variant_147 Int)
(declare-const tmp1__func__return__Clip3_variant_148 Int)
(declare-const tmp1__func__return__Clip3_variant_149 Int)
(declare-const tmp1__func__return__Clip3_variant_15 Int)
(declare-const tmp1__func__return__Clip3_variant_150 Int)
(declare-const tmp1__func__return__Clip3_variant_151 Int)
(declare-const tmp1__func__return__Clip3_variant_152 Int)
(declare-const tmp1__func__return__Clip3_variant_153 Int)
(declare-const tmp1__func__return__Clip3_variant_154 Int)
(declare-const tmp1__func__return__Clip3_variant_155 Int)
(declare-const tmp1__func__return__Clip3_variant_156 Int)
(declare-const tmp1__func__return__Clip3_variant_157 Int)
(declare-const tmp1__func__return__Clip3_variant_158 Int)
(declare-const tmp1__func__return__Clip3_variant_159 Int)
(declare-const tmp1__func__return__Clip3_variant_16 Int)
(declare-const tmp1__func__return__Clip3_variant_160 Int)
(declare-const tmp1__func__return__Clip3_variant_161 Int)
(declare-const tmp1__func__return__Clip3_variant_162 Int)
(declare-const tmp1__func__return__Clip3_variant_163 Int)
(declare-const tmp1__func__return__Clip3_variant_164 Int)
(declare-const tmp1__func__return__Clip3_variant_165 Int)
(declare-const tmp1__func__return__Clip3_variant_166 Int)
(declare-const tmp1__func__return__Clip3_variant_167 Int)
(declare-const tmp1__func__return__Clip3_variant_168 Int)
(declare-const tmp1__func__return__Clip3_variant_169 Int)
(declare-const tmp1__func__return__Clip3_variant_17 Int)
(declare-const tmp1__func__return__Clip3_variant_170 Int)
(declare-const tmp1__func__return__Clip3_variant_171 Int)
(declare-const tmp1__func__return__Clip3_variant_172 Int)
(declare-const tmp1__func__return__Clip3_variant_173 Int)
(declare-const tmp1__func__return__Clip3_variant_174 Int)
(declare-const tmp1__func__return__Clip3_variant_175 Int)
(declare-const tmp1__func__return__Clip3_variant_176 Int)
(declare-const tmp1__func__return__Clip3_variant_177 Int)
(declare-const tmp1__func__return__Clip3_variant_178 Int)
(declare-const tmp1__func__return__Clip3_variant_179 Int)
(declare-const tmp1__func__return__Clip3_variant_18 Int)
(declare-const tmp1__func__return__Clip3_variant_180 Int)
(declare-const tmp1__func__return__Clip3_variant_181 Int)
(declare-const tmp1__func__return__Clip3_variant_182 Int)
(declare-const tmp1__func__return__Clip3_variant_183 Int)
(declare-const tmp1__func__return__Clip3_variant_184 Int)
(declare-const tmp1__func__return__Clip3_variant_185 Int)
(declare-const tmp1__func__return__Clip3_variant_186 Int)
(declare-const tmp1__func__return__Clip3_variant_187 Int)
(declare-const tmp1__func__return__Clip3_variant_188 Int)
(declare-const tmp1__func__return__Clip3_variant_189 Int)
(declare-const tmp1__func__return__Clip3_variant_19 Int)
(declare-const tmp1__func__return__Clip3_variant_190 Int)
(declare-const tmp1__func__return__Clip3_variant_191 Int)
(declare-const tmp1__func__return__Clip3_variant_192 Int)
(declare-const tmp1__func__return__Clip3_variant_193 Int)
(declare-const tmp1__func__return__Clip3_variant_194 Int)
(declare-const tmp1__func__return__Clip3_variant_195 Int)
(declare-const tmp1__func__return__Clip3_variant_196 Int)
(declare-const tmp1__func__return__Clip3_variant_197 Int)
(declare-const tmp1__func__return__Clip3_variant_198 Int)
(declare-const tmp1__func__return__Clip3_variant_199 Int)
(declare-const tmp1__func__return__Clip3_variant_2 Int)
(declare-const tmp1__func__return__Clip3_variant_20 Int)
(declare-const tmp1__func__return__Clip3_variant_21 Int)
(declare-const tmp1__func__return__Clip3_variant_22 Int)
(declare-const tmp1__func__return__Clip3_variant_23 Int)
(declare-const tmp1__func__return__Clip3_variant_24 Int)
(declare-const tmp1__func__return__Clip3_variant_25 Int)
(declare-const tmp1__func__return__Clip3_variant_26 Int)
(declare-const tmp1__func__return__Clip3_variant_27 Int)
(declare-const tmp1__func__return__Clip3_variant_28 Int)
(declare-const tmp1__func__return__Clip3_variant_29 Int)
(declare-const tmp1__func__return__Clip3_variant_3 Int)
(declare-const tmp1__func__return__Clip3_variant_30 Int)
(declare-const tmp1__func__return__Clip3_variant_31 Int)
(declare-const tmp1__func__return__Clip3_variant_32 Int)
(declare-const tmp1__func__return__Clip3_variant_33 Int)
(declare-const tmp1__func__return__Clip3_variant_34 Int)
(declare-const tmp1__func__return__Clip3_variant_35 Int)
(declare-const tmp1__func__return__Clip3_variant_36 Int)
(declare-const tmp1__func__return__Clip3_variant_37 Int)
(declare-const tmp1__func__return__Clip3_variant_38 Int)
(declare-const tmp1__func__return__Clip3_variant_39 Int)
(declare-const tmp1__func__return__Clip3_variant_4 Int)
(declare-const tmp1__func__return__Clip3_variant_40 Int)
(declare-const tmp1__func__return__Clip3_variant_41 Int)
(declare-const tmp1__func__return__Clip3_variant_42 Int)
(declare-const tmp1__func__return__Clip3_variant_43 Int)
(declare-const tmp1__func__return__Clip3_variant_44 Int)
(declare-const tmp1__func__return__Clip3_variant_45 Int)
(declare-const tmp1__func__return__Clip3_variant_46 Int)
(declare-const tmp1__func__return__Clip3_variant_47 Int)
(declare-const tmp1__func__return__Clip3_variant_48 Int)
(declare-const tmp1__func__return__Clip3_variant_49 Int)
(declare-const tmp1__func__return__Clip3_variant_5 Int)
(declare-const tmp1__func__return__Clip3_variant_50 Int)
(declare-const tmp1__func__return__Clip3_variant_51 Int)
(declare-const tmp1__func__return__Clip3_variant_52 Int)
(declare-const tmp1__func__return__Clip3_variant_53 Int)
(declare-const tmp1__func__return__Clip3_variant_54 Int)
(declare-const tmp1__func__return__Clip3_variant_55 Int)
(declare-const tmp1__func__return__Clip3_variant_56 Int)
(declare-const tmp1__func__return__Clip3_variant_57 Int)
(declare-const tmp1__func__return__Clip3_variant_58 Int)
(declare-const tmp1__func__return__Clip3_variant_59 Int)
(declare-const tmp1__func__return__Clip3_variant_6 Int)
(declare-const tmp1__func__return__Clip3_variant_60 Int)
(declare-const tmp1__func__return__Clip3_variant_61 Int)
(declare-const tmp1__func__return__Clip3_variant_62 Int)
(declare-const tmp1__func__return__Clip3_variant_63 Int)
(declare-const tmp1__func__return__Clip3_variant_64 Int)
(declare-const tmp1__func__return__Clip3_variant_65 Int)
(declare-const tmp1__func__return__Clip3_variant_66 Int)
(declare-const tmp1__func__return__Clip3_variant_67 Int)
(declare-const tmp1__func__return__Clip3_variant_68 Int)
(declare-const tmp1__func__return__Clip3_variant_69 Int)
(declare-const tmp1__func__return__Clip3_variant_7 Int)
(declare-const tmp1__func__return__Clip3_variant_70 Int)
(declare-const tmp1__func__return__Clip3_variant_71 Int)
(declare-const tmp1__func__return__Clip3_variant_72 Int)
(declare-const tmp1__func__return__Clip3_variant_73 Int)
(declare-const tmp1__func__return__Clip3_variant_74 Int)
(declare-const tmp1__func__return__Clip3_variant_75 Int)
(declare-const tmp1__func__return__Clip3_variant_76 Int)
(declare-const tmp1__func__return__Clip3_variant_77 Int)
(declare-const tmp1__func__return__Clip3_variant_78 Int)
(declare-const tmp1__func__return__Clip3_variant_79 Int)
(declare-const tmp1__func__return__Clip3_variant_8 Int)
(declare-const tmp1__func__return__Clip3_variant_80 Int)
(declare-const tmp1__func__return__Clip3_variant_81 Int)
(declare-const tmp1__func__return__Clip3_variant_82 Int)
(declare-const tmp1__func__return__Clip3_variant_83 Int)
(declare-const tmp1__func__return__Clip3_variant_84 Int)
(declare-const tmp1__func__return__Clip3_variant_85 Int)
(declare-const tmp1__func__return__Clip3_variant_86 Int)
(declare-const tmp1__func__return__Clip3_variant_87 Int)
(declare-const tmp1__func__return__Clip3_variant_88 Int)
(declare-const tmp1__func__return__Clip3_variant_89 Int)
(declare-const tmp1__func__return__Clip3_variant_9 Int)
(declare-const tmp1__func__return__Clip3_variant_90 Int)
(declare-const tmp1__func__return__Clip3_variant_91 Int)
(declare-const tmp1__func__return__Clip3_variant_92 Int)
(declare-const tmp1__func__return__Clip3_variant_93 Int)
(declare-const tmp1__func__return__Clip3_variant_94 Int)
(declare-const tmp1__func__return__Clip3_variant_95 Int)
(declare-const tmp1__func__return__Clip3_variant_96 Int)
(declare-const tmp1__func__return__Clip3_variant_97 Int)
(declare-const tmp1__func__return__Clip3_variant_98 Int)
(declare-const tmp1__func__return__Clip3_variant_99 Int)
(declare-const tmp1__func_bio_opt__b Int)
(declare-const tmp1__func_bio_opt__t Int)
(declare-const tmp1__func_bio_opt__t1 Int)
(declare-const tmp1__func_bio_opt__t2 Int)
(declare-const tmp1__func_bio_opt__t3 Int)
(declare-const tmp1__func_bio_opt__t4 Int)
(declare-const tmp1__func_bio_opt__t5 Int)
(declare-const tmp1__func_bio_opt__tx Int)
(declare-const tmp1__func_bio_opt__ty Int)
(declare-const tmp1__func_bio_opt__vx Int)
(declare-const tmp1__func_bio_opt__vy Int)
(declare-const tmp1__func_com_grad_x_l_nn__val Int)
(declare-const tmp1__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp1__func_com_grad_y_l_nn__val Int)
(declare-const tmp1__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp1__func_com_mc_l_nn__val Int)
(declare-const tmp1__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp1__global__0__instrumented__ Int)
(declare-const tmp1__global__10__instrumented__ Int)
(declare-const tmp1__global__11__instrumented__ Int)
(declare-const tmp1__global__12__instrumented__ Int)
(declare-const tmp1__global__13__instrumented__ Int)
(declare-const tmp1__global__14__instrumented__ Int)
(declare-const tmp1__global__15__instrumented__ Int)
(declare-const tmp1__global__16__instrumented__ Int)
(declare-const tmp1__global__17__instrumented__ Int)
(declare-const tmp1__global__18__instrumented__ Int)
(declare-const tmp1__global__19__instrumented__ Int)
(declare-const tmp1__global__1__instrumented__ Int)
(declare-const tmp1__global__20__instrumented__ Int)
(declare-const tmp1__global__21__instrumented__ Int)
(declare-const tmp1__global__22__instrumented__ Int)
(declare-const tmp1__global__23__instrumented__ Int)
(declare-const tmp1__global__24__instrumented__ Int)
(declare-const tmp1__global__25__instrumented__ Int)
(declare-const tmp1__global__26__instrumented__ Int)
(declare-const tmp1__global__27__instrumented__ Int)
(declare-const tmp1__global__28__instrumented__ Int)
(declare-const tmp1__global__29__instrumented__ Int)
(declare-const tmp1__global__2__instrumented__ Int)
(declare-const tmp1__global__30__instrumented__ Int)
(declare-const tmp1__global__31__instrumented__ Int)
(declare-const tmp1__global__3__instrumented__ Int)
(declare-const tmp1__global__4__instrumented__ Int)
(declare-const tmp1__global__5__instrumented__ Int)
(declare-const tmp1__global__6__instrumented__ Int)
(declare-const tmp1__global__7__instrumented__ Int)
(declare-const tmp1__global__8__instrumented__ Int)
(declare-const tmp1__global__9__instrumented__ Int)
(declare-const tmp1__global__buf_0 Int)
(declare-const tmp1__global__buf_1 Int)
(declare-const tmp1__global__buf_10 Int)
(declare-const tmp1__global__buf_100 Int)
(declare-const tmp1__global__buf_101 Int)
(declare-const tmp1__global__buf_102 Int)
(declare-const tmp1__global__buf_103 Int)
(declare-const tmp1__global__buf_104 Int)
(declare-const tmp1__global__buf_105 Int)
(declare-const tmp1__global__buf_106 Int)
(declare-const tmp1__global__buf_107 Int)
(declare-const tmp1__global__buf_108 Int)
(declare-const tmp1__global__buf_109 Int)
(declare-const tmp1__global__buf_11 Int)
(declare-const tmp1__global__buf_110 Int)
(declare-const tmp1__global__buf_111 Int)
(declare-const tmp1__global__buf_112 Int)
(declare-const tmp1__global__buf_113 Int)
(declare-const tmp1__global__buf_114 Int)
(declare-const tmp1__global__buf_115 Int)
(declare-const tmp1__global__buf_116 Int)
(declare-const tmp1__global__buf_117 Int)
(declare-const tmp1__global__buf_118 Int)
(declare-const tmp1__global__buf_119 Int)
(declare-const tmp1__global__buf_12 Int)
(declare-const tmp1__global__buf_13 Int)
(declare-const tmp1__global__buf_14 Int)
(declare-const tmp1__global__buf_15 Int)
(declare-const tmp1__global__buf_16 Int)
(declare-const tmp1__global__buf_17 Int)
(declare-const tmp1__global__buf_18 Int)
(declare-const tmp1__global__buf_19 Int)
(declare-const tmp1__global__buf_2 Int)
(declare-const tmp1__global__buf_20 Int)
(declare-const tmp1__global__buf_21 Int)
(declare-const tmp1__global__buf_22 Int)
(declare-const tmp1__global__buf_23 Int)
(declare-const tmp1__global__buf_24 Int)
(declare-const tmp1__global__buf_25 Int)
(declare-const tmp1__global__buf_26 Int)
(declare-const tmp1__global__buf_27 Int)
(declare-const tmp1__global__buf_28 Int)
(declare-const tmp1__global__buf_29 Int)
(declare-const tmp1__global__buf_3 Int)
(declare-const tmp1__global__buf_30 Int)
(declare-const tmp1__global__buf_31 Int)
(declare-const tmp1__global__buf_32 Int)
(declare-const tmp1__global__buf_33 Int)
(declare-const tmp1__global__buf_34 Int)
(declare-const tmp1__global__buf_35 Int)
(declare-const tmp1__global__buf_36 Int)
(declare-const tmp1__global__buf_37 Int)
(declare-const tmp1__global__buf_38 Int)
(declare-const tmp1__global__buf_39 Int)
(declare-const tmp1__global__buf_4 Int)
(declare-const tmp1__global__buf_40 Int)
(declare-const tmp1__global__buf_41 Int)
(declare-const tmp1__global__buf_42 Int)
(declare-const tmp1__global__buf_43 Int)
(declare-const tmp1__global__buf_44 Int)
(declare-const tmp1__global__buf_45 Int)
(declare-const tmp1__global__buf_46 Int)
(declare-const tmp1__global__buf_47 Int)
(declare-const tmp1__global__buf_48 Int)
(declare-const tmp1__global__buf_49 Int)
(declare-const tmp1__global__buf_5 Int)
(declare-const tmp1__global__buf_50 Int)
(declare-const tmp1__global__buf_51 Int)
(declare-const tmp1__global__buf_52 Int)
(declare-const tmp1__global__buf_53 Int)
(declare-const tmp1__global__buf_54 Int)
(declare-const tmp1__global__buf_55 Int)
(declare-const tmp1__global__buf_56 Int)
(declare-const tmp1__global__buf_57 Int)
(declare-const tmp1__global__buf_58 Int)
(declare-const tmp1__global__buf_59 Int)
(declare-const tmp1__global__buf_6 Int)
(declare-const tmp1__global__buf_60 Int)
(declare-const tmp1__global__buf_61 Int)
(declare-const tmp1__global__buf_62 Int)
(declare-const tmp1__global__buf_63 Int)
(declare-const tmp1__global__buf_64 Int)
(declare-const tmp1__global__buf_65 Int)
(declare-const tmp1__global__buf_66 Int)
(declare-const tmp1__global__buf_67 Int)
(declare-const tmp1__global__buf_68 Int)
(declare-const tmp1__global__buf_69 Int)
(declare-const tmp1__global__buf_7 Int)
(declare-const tmp1__global__buf_70 Int)
(declare-const tmp1__global__buf_71 Int)
(declare-const tmp1__global__buf_72 Int)
(declare-const tmp1__global__buf_73 Int)
(declare-const tmp1__global__buf_74 Int)
(declare-const tmp1__global__buf_75 Int)
(declare-const tmp1__global__buf_76 Int)
(declare-const tmp1__global__buf_77 Int)
(declare-const tmp1__global__buf_78 Int)
(declare-const tmp1__global__buf_79 Int)
(declare-const tmp1__global__buf_8 Int)
(declare-const tmp1__global__buf_80 Int)
(declare-const tmp1__global__buf_81 Int)
(declare-const tmp1__global__buf_82 Int)
(declare-const tmp1__global__buf_83 Int)
(declare-const tmp1__global__buf_84 Int)
(declare-const tmp1__global__buf_85 Int)
(declare-const tmp1__global__buf_86 Int)
(declare-const tmp1__global__buf_87 Int)
(declare-const tmp1__global__buf_88 Int)
(declare-const tmp1__global__buf_89 Int)
(declare-const tmp1__global__buf_9 Int)
(declare-const tmp1__global__buf_90 Int)
(declare-const tmp1__global__buf_91 Int)
(declare-const tmp1__global__buf_92 Int)
(declare-const tmp1__global__buf_93 Int)
(declare-const tmp1__global__buf_94 Int)
(declare-const tmp1__global__buf_95 Int)
(declare-const tmp1__global__buf_96 Int)
(declare-const tmp1__global__buf_97 Int)
(declare-const tmp1__global__buf_98 Int)
(declare-const tmp1__global__buf_99 Int)
(declare-const tmp1__global__gradXL0_0 Int)
(declare-const tmp1__global__gradXL0_1 Int)
(declare-const tmp1__global__gradXL0_10 Int)
(declare-const tmp1__global__gradXL0_11 Int)
(declare-const tmp1__global__gradXL0_12 Int)
(declare-const tmp1__global__gradXL0_13 Int)
(declare-const tmp1__global__gradXL0_14 Int)
(declare-const tmp1__global__gradXL0_15 Int)
(declare-const tmp1__global__gradXL0_16 Int)
(declare-const tmp1__global__gradXL0_17 Int)
(declare-const tmp1__global__gradXL0_18 Int)
(declare-const tmp1__global__gradXL0_19 Int)
(declare-const tmp1__global__gradXL0_2 Int)
(declare-const tmp1__global__gradXL0_20 Int)
(declare-const tmp1__global__gradXL0_21 Int)
(declare-const tmp1__global__gradXL0_22 Int)
(declare-const tmp1__global__gradXL0_23 Int)
(declare-const tmp1__global__gradXL0_24 Int)
(declare-const tmp1__global__gradXL0_25 Int)
(declare-const tmp1__global__gradXL0_26 Int)
(declare-const tmp1__global__gradXL0_27 Int)
(declare-const tmp1__global__gradXL0_28 Int)
(declare-const tmp1__global__gradXL0_29 Int)
(declare-const tmp1__global__gradXL0_3 Int)
(declare-const tmp1__global__gradXL0_30 Int)
(declare-const tmp1__global__gradXL0_31 Int)
(declare-const tmp1__global__gradXL0_32 Int)
(declare-const tmp1__global__gradXL0_33 Int)
(declare-const tmp1__global__gradXL0_34 Int)
(declare-const tmp1__global__gradXL0_35 Int)
(declare-const tmp1__global__gradXL0_36 Int)
(declare-const tmp1__global__gradXL0_37 Int)
(declare-const tmp1__global__gradXL0_38 Int)
(declare-const tmp1__global__gradXL0_39 Int)
(declare-const tmp1__global__gradXL0_4 Int)
(declare-const tmp1__global__gradXL0_40 Int)
(declare-const tmp1__global__gradXL0_41 Int)
(declare-const tmp1__global__gradXL0_42 Int)
(declare-const tmp1__global__gradXL0_43 Int)
(declare-const tmp1__global__gradXL0_44 Int)
(declare-const tmp1__global__gradXL0_45 Int)
(declare-const tmp1__global__gradXL0_46 Int)
(declare-const tmp1__global__gradXL0_47 Int)
(declare-const tmp1__global__gradXL0_48 Int)
(declare-const tmp1__global__gradXL0_49 Int)
(declare-const tmp1__global__gradXL0_5 Int)
(declare-const tmp1__global__gradXL0_50 Int)
(declare-const tmp1__global__gradXL0_51 Int)
(declare-const tmp1__global__gradXL0_52 Int)
(declare-const tmp1__global__gradXL0_53 Int)
(declare-const tmp1__global__gradXL0_54 Int)
(declare-const tmp1__global__gradXL0_55 Int)
(declare-const tmp1__global__gradXL0_56 Int)
(declare-const tmp1__global__gradXL0_57 Int)
(declare-const tmp1__global__gradXL0_58 Int)
(declare-const tmp1__global__gradXL0_59 Int)
(declare-const tmp1__global__gradXL0_6 Int)
(declare-const tmp1__global__gradXL0_60 Int)
(declare-const tmp1__global__gradXL0_61 Int)
(declare-const tmp1__global__gradXL0_62 Int)
(declare-const tmp1__global__gradXL0_63 Int)
(declare-const tmp1__global__gradXL0_7 Int)
(declare-const tmp1__global__gradXL0_8 Int)
(declare-const tmp1__global__gradXL0_9 Int)
(declare-const tmp1__global__gradXL1_0 Int)
(declare-const tmp1__global__gradXL1_1 Int)
(declare-const tmp1__global__gradXL1_10 Int)
(declare-const tmp1__global__gradXL1_11 Int)
(declare-const tmp1__global__gradXL1_12 Int)
(declare-const tmp1__global__gradXL1_13 Int)
(declare-const tmp1__global__gradXL1_14 Int)
(declare-const tmp1__global__gradXL1_15 Int)
(declare-const tmp1__global__gradXL1_16 Int)
(declare-const tmp1__global__gradXL1_17 Int)
(declare-const tmp1__global__gradXL1_18 Int)
(declare-const tmp1__global__gradXL1_19 Int)
(declare-const tmp1__global__gradXL1_2 Int)
(declare-const tmp1__global__gradXL1_20 Int)
(declare-const tmp1__global__gradXL1_21 Int)
(declare-const tmp1__global__gradXL1_22 Int)
(declare-const tmp1__global__gradXL1_23 Int)
(declare-const tmp1__global__gradXL1_24 Int)
(declare-const tmp1__global__gradXL1_25 Int)
(declare-const tmp1__global__gradXL1_26 Int)
(declare-const tmp1__global__gradXL1_27 Int)
(declare-const tmp1__global__gradXL1_28 Int)
(declare-const tmp1__global__gradXL1_29 Int)
(declare-const tmp1__global__gradXL1_3 Int)
(declare-const tmp1__global__gradXL1_30 Int)
(declare-const tmp1__global__gradXL1_31 Int)
(declare-const tmp1__global__gradXL1_32 Int)
(declare-const tmp1__global__gradXL1_33 Int)
(declare-const tmp1__global__gradXL1_34 Int)
(declare-const tmp1__global__gradXL1_35 Int)
(declare-const tmp1__global__gradXL1_36 Int)
(declare-const tmp1__global__gradXL1_37 Int)
(declare-const tmp1__global__gradXL1_38 Int)
(declare-const tmp1__global__gradXL1_39 Int)
(declare-const tmp1__global__gradXL1_4 Int)
(declare-const tmp1__global__gradXL1_40 Int)
(declare-const tmp1__global__gradXL1_41 Int)
(declare-const tmp1__global__gradXL1_42 Int)
(declare-const tmp1__global__gradXL1_43 Int)
(declare-const tmp1__global__gradXL1_44 Int)
(declare-const tmp1__global__gradXL1_45 Int)
(declare-const tmp1__global__gradXL1_46 Int)
(declare-const tmp1__global__gradXL1_47 Int)
(declare-const tmp1__global__gradXL1_48 Int)
(declare-const tmp1__global__gradXL1_49 Int)
(declare-const tmp1__global__gradXL1_5 Int)
(declare-const tmp1__global__gradXL1_50 Int)
(declare-const tmp1__global__gradXL1_51 Int)
(declare-const tmp1__global__gradXL1_52 Int)
(declare-const tmp1__global__gradXL1_53 Int)
(declare-const tmp1__global__gradXL1_54 Int)
(declare-const tmp1__global__gradXL1_55 Int)
(declare-const tmp1__global__gradXL1_56 Int)
(declare-const tmp1__global__gradXL1_57 Int)
(declare-const tmp1__global__gradXL1_58 Int)
(declare-const tmp1__global__gradXL1_59 Int)
(declare-const tmp1__global__gradXL1_6 Int)
(declare-const tmp1__global__gradXL1_60 Int)
(declare-const tmp1__global__gradXL1_61 Int)
(declare-const tmp1__global__gradXL1_62 Int)
(declare-const tmp1__global__gradXL1_63 Int)
(declare-const tmp1__global__gradXL1_7 Int)
(declare-const tmp1__global__gradXL1_8 Int)
(declare-const tmp1__global__gradXL1_9 Int)
(declare-const tmp1__global__gradYL0_0 Int)
(declare-const tmp1__global__gradYL0_1 Int)
(declare-const tmp1__global__gradYL0_10 Int)
(declare-const tmp1__global__gradYL0_11 Int)
(declare-const tmp1__global__gradYL0_12 Int)
(declare-const tmp1__global__gradYL0_13 Int)
(declare-const tmp1__global__gradYL0_14 Int)
(declare-const tmp1__global__gradYL0_15 Int)
(declare-const tmp1__global__gradYL0_16 Int)
(declare-const tmp1__global__gradYL0_17 Int)
(declare-const tmp1__global__gradYL0_18 Int)
(declare-const tmp1__global__gradYL0_19 Int)
(declare-const tmp1__global__gradYL0_2 Int)
(declare-const tmp1__global__gradYL0_20 Int)
(declare-const tmp1__global__gradYL0_21 Int)
(declare-const tmp1__global__gradYL0_22 Int)
(declare-const tmp1__global__gradYL0_23 Int)
(declare-const tmp1__global__gradYL0_24 Int)
(declare-const tmp1__global__gradYL0_25 Int)
(declare-const tmp1__global__gradYL0_26 Int)
(declare-const tmp1__global__gradYL0_27 Int)
(declare-const tmp1__global__gradYL0_28 Int)
(declare-const tmp1__global__gradYL0_29 Int)
(declare-const tmp1__global__gradYL0_3 Int)
(declare-const tmp1__global__gradYL0_30 Int)
(declare-const tmp1__global__gradYL0_31 Int)
(declare-const tmp1__global__gradYL0_32 Int)
(declare-const tmp1__global__gradYL0_33 Int)
(declare-const tmp1__global__gradYL0_34 Int)
(declare-const tmp1__global__gradYL0_35 Int)
(declare-const tmp1__global__gradYL0_36 Int)
(declare-const tmp1__global__gradYL0_37 Int)
(declare-const tmp1__global__gradYL0_38 Int)
(declare-const tmp1__global__gradYL0_39 Int)
(declare-const tmp1__global__gradYL0_4 Int)
(declare-const tmp1__global__gradYL0_40 Int)
(declare-const tmp1__global__gradYL0_41 Int)
(declare-const tmp1__global__gradYL0_42 Int)
(declare-const tmp1__global__gradYL0_43 Int)
(declare-const tmp1__global__gradYL0_44 Int)
(declare-const tmp1__global__gradYL0_45 Int)
(declare-const tmp1__global__gradYL0_46 Int)
(declare-const tmp1__global__gradYL0_47 Int)
(declare-const tmp1__global__gradYL0_48 Int)
(declare-const tmp1__global__gradYL0_49 Int)
(declare-const tmp1__global__gradYL0_5 Int)
(declare-const tmp1__global__gradYL0_50 Int)
(declare-const tmp1__global__gradYL0_51 Int)
(declare-const tmp1__global__gradYL0_52 Int)
(declare-const tmp1__global__gradYL0_53 Int)
(declare-const tmp1__global__gradYL0_54 Int)
(declare-const tmp1__global__gradYL0_55 Int)
(declare-const tmp1__global__gradYL0_56 Int)
(declare-const tmp1__global__gradYL0_57 Int)
(declare-const tmp1__global__gradYL0_58 Int)
(declare-const tmp1__global__gradYL0_59 Int)
(declare-const tmp1__global__gradYL0_6 Int)
(declare-const tmp1__global__gradYL0_60 Int)
(declare-const tmp1__global__gradYL0_61 Int)
(declare-const tmp1__global__gradYL0_62 Int)
(declare-const tmp1__global__gradYL0_63 Int)
(declare-const tmp1__global__gradYL0_7 Int)
(declare-const tmp1__global__gradYL0_8 Int)
(declare-const tmp1__global__gradYL0_9 Int)
(declare-const tmp1__global__gradYL1_0 Int)
(declare-const tmp1__global__gradYL1_1 Int)
(declare-const tmp1__global__gradYL1_10 Int)
(declare-const tmp1__global__gradYL1_11 Int)
(declare-const tmp1__global__gradYL1_12 Int)
(declare-const tmp1__global__gradYL1_13 Int)
(declare-const tmp1__global__gradYL1_14 Int)
(declare-const tmp1__global__gradYL1_15 Int)
(declare-const tmp1__global__gradYL1_16 Int)
(declare-const tmp1__global__gradYL1_17 Int)
(declare-const tmp1__global__gradYL1_18 Int)
(declare-const tmp1__global__gradYL1_19 Int)
(declare-const tmp1__global__gradYL1_2 Int)
(declare-const tmp1__global__gradYL1_20 Int)
(declare-const tmp1__global__gradYL1_21 Int)
(declare-const tmp1__global__gradYL1_22 Int)
(declare-const tmp1__global__gradYL1_23 Int)
(declare-const tmp1__global__gradYL1_24 Int)
(declare-const tmp1__global__gradYL1_25 Int)
(declare-const tmp1__global__gradYL1_26 Int)
(declare-const tmp1__global__gradYL1_27 Int)
(declare-const tmp1__global__gradYL1_28 Int)
(declare-const tmp1__global__gradYL1_29 Int)
(declare-const tmp1__global__gradYL1_3 Int)
(declare-const tmp1__global__gradYL1_30 Int)
(declare-const tmp1__global__gradYL1_31 Int)
(declare-const tmp1__global__gradYL1_32 Int)
(declare-const tmp1__global__gradYL1_33 Int)
(declare-const tmp1__global__gradYL1_34 Int)
(declare-const tmp1__global__gradYL1_35 Int)
(declare-const tmp1__global__gradYL1_36 Int)
(declare-const tmp1__global__gradYL1_37 Int)
(declare-const tmp1__global__gradYL1_38 Int)
(declare-const tmp1__global__gradYL1_39 Int)
(declare-const tmp1__global__gradYL1_4 Int)
(declare-const tmp1__global__gradYL1_40 Int)
(declare-const tmp1__global__gradYL1_41 Int)
(declare-const tmp1__global__gradYL1_42 Int)
(declare-const tmp1__global__gradYL1_43 Int)
(declare-const tmp1__global__gradYL1_44 Int)
(declare-const tmp1__global__gradYL1_45 Int)
(declare-const tmp1__global__gradYL1_46 Int)
(declare-const tmp1__global__gradYL1_47 Int)
(declare-const tmp1__global__gradYL1_48 Int)
(declare-const tmp1__global__gradYL1_49 Int)
(declare-const tmp1__global__gradYL1_5 Int)
(declare-const tmp1__global__gradYL1_50 Int)
(declare-const tmp1__global__gradYL1_51 Int)
(declare-const tmp1__global__gradYL1_52 Int)
(declare-const tmp1__global__gradYL1_53 Int)
(declare-const tmp1__global__gradYL1_54 Int)
(declare-const tmp1__global__gradYL1_55 Int)
(declare-const tmp1__global__gradYL1_56 Int)
(declare-const tmp1__global__gradYL1_57 Int)
(declare-const tmp1__global__gradYL1_58 Int)
(declare-const tmp1__global__gradYL1_59 Int)
(declare-const tmp1__global__gradYL1_6 Int)
(declare-const tmp1__global__gradYL1_60 Int)
(declare-const tmp1__global__gradYL1_61 Int)
(declare-const tmp1__global__gradYL1_62 Int)
(declare-const tmp1__global__gradYL1_63 Int)
(declare-const tmp1__global__gradYL1_7 Int)
(declare-const tmp1__global__gradYL1_8 Int)
(declare-const tmp1__global__gradYL1_9 Int)
(declare-const tmp1__global__outputVector_0 Int)
(declare-const tmp1__global__outputVector_1 Int)
(declare-const tmp1__global__outputVector_10 Int)
(declare-const tmp1__global__outputVector_11 Int)
(declare-const tmp1__global__outputVector_12 Int)
(declare-const tmp1__global__outputVector_13 Int)
(declare-const tmp1__global__outputVector_14 Int)
(declare-const tmp1__global__outputVector_15 Int)
(declare-const tmp1__global__outputVector_16 Int)
(declare-const tmp1__global__outputVector_17 Int)
(declare-const tmp1__global__outputVector_18 Int)
(declare-const tmp1__global__outputVector_19 Int)
(declare-const tmp1__global__outputVector_2 Int)
(declare-const tmp1__global__outputVector_20 Int)
(declare-const tmp1__global__outputVector_21 Int)
(declare-const tmp1__global__outputVector_22 Int)
(declare-const tmp1__global__outputVector_23 Int)
(declare-const tmp1__global__outputVector_24 Int)
(declare-const tmp1__global__outputVector_25 Int)
(declare-const tmp1__global__outputVector_26 Int)
(declare-const tmp1__global__outputVector_27 Int)
(declare-const tmp1__global__outputVector_28 Int)
(declare-const tmp1__global__outputVector_29 Int)
(declare-const tmp1__global__outputVector_3 Int)
(declare-const tmp1__global__outputVector_30 Int)
(declare-const tmp1__global__outputVector_31 Int)
(declare-const tmp1__global__outputVector_32 Int)
(declare-const tmp1__global__outputVector_33 Int)
(declare-const tmp1__global__outputVector_34 Int)
(declare-const tmp1__global__outputVector_35 Int)
(declare-const tmp1__global__outputVector_36 Int)
(declare-const tmp1__global__outputVector_37 Int)
(declare-const tmp1__global__outputVector_38 Int)
(declare-const tmp1__global__outputVector_39 Int)
(declare-const tmp1__global__outputVector_4 Int)
(declare-const tmp1__global__outputVector_40 Int)
(declare-const tmp1__global__outputVector_41 Int)
(declare-const tmp1__global__outputVector_42 Int)
(declare-const tmp1__global__outputVector_43 Int)
(declare-const tmp1__global__outputVector_44 Int)
(declare-const tmp1__global__outputVector_45 Int)
(declare-const tmp1__global__outputVector_46 Int)
(declare-const tmp1__global__outputVector_47 Int)
(declare-const tmp1__global__outputVector_48 Int)
(declare-const tmp1__global__outputVector_49 Int)
(declare-const tmp1__global__outputVector_5 Int)
(declare-const tmp1__global__outputVector_50 Int)
(declare-const tmp1__global__outputVector_51 Int)
(declare-const tmp1__global__outputVector_52 Int)
(declare-const tmp1__global__outputVector_53 Int)
(declare-const tmp1__global__outputVector_54 Int)
(declare-const tmp1__global__outputVector_55 Int)
(declare-const tmp1__global__outputVector_56 Int)
(declare-const tmp1__global__outputVector_57 Int)
(declare-const tmp1__global__outputVector_58 Int)
(declare-const tmp1__global__outputVector_59 Int)
(declare-const tmp1__global__outputVector_6 Int)
(declare-const tmp1__global__outputVector_60 Int)
(declare-const tmp1__global__outputVector_61 Int)
(declare-const tmp1__global__outputVector_62 Int)
(declare-const tmp1__global__outputVector_63 Int)
(declare-const tmp1__global__outputVector_7 Int)
(declare-const tmp1__global__outputVector_8 Int)
(declare-const tmp1__global__outputVector_9 Int)
(declare-const tmp1__global__predL0_0 Int)
(declare-const tmp1__global__predL0_1 Int)
(declare-const tmp1__global__predL0_10 Int)
(declare-const tmp1__global__predL0_11 Int)
(declare-const tmp1__global__predL0_12 Int)
(declare-const tmp1__global__predL0_13 Int)
(declare-const tmp1__global__predL0_14 Int)
(declare-const tmp1__global__predL0_15 Int)
(declare-const tmp1__global__predL0_16 Int)
(declare-const tmp1__global__predL0_17 Int)
(declare-const tmp1__global__predL0_18 Int)
(declare-const tmp1__global__predL0_19 Int)
(declare-const tmp1__global__predL0_2 Int)
(declare-const tmp1__global__predL0_20 Int)
(declare-const tmp1__global__predL0_21 Int)
(declare-const tmp1__global__predL0_22 Int)
(declare-const tmp1__global__predL0_23 Int)
(declare-const tmp1__global__predL0_24 Int)
(declare-const tmp1__global__predL0_25 Int)
(declare-const tmp1__global__predL0_26 Int)
(declare-const tmp1__global__predL0_27 Int)
(declare-const tmp1__global__predL0_28 Int)
(declare-const tmp1__global__predL0_29 Int)
(declare-const tmp1__global__predL0_3 Int)
(declare-const tmp1__global__predL0_30 Int)
(declare-const tmp1__global__predL0_31 Int)
(declare-const tmp1__global__predL0_32 Int)
(declare-const tmp1__global__predL0_33 Int)
(declare-const tmp1__global__predL0_34 Int)
(declare-const tmp1__global__predL0_35 Int)
(declare-const tmp1__global__predL0_36 Int)
(declare-const tmp1__global__predL0_37 Int)
(declare-const tmp1__global__predL0_38 Int)
(declare-const tmp1__global__predL0_39 Int)
(declare-const tmp1__global__predL0_4 Int)
(declare-const tmp1__global__predL0_40 Int)
(declare-const tmp1__global__predL0_41 Int)
(declare-const tmp1__global__predL0_42 Int)
(declare-const tmp1__global__predL0_43 Int)
(declare-const tmp1__global__predL0_44 Int)
(declare-const tmp1__global__predL0_45 Int)
(declare-const tmp1__global__predL0_46 Int)
(declare-const tmp1__global__predL0_47 Int)
(declare-const tmp1__global__predL0_48 Int)
(declare-const tmp1__global__predL0_49 Int)
(declare-const tmp1__global__predL0_5 Int)
(declare-const tmp1__global__predL0_50 Int)
(declare-const tmp1__global__predL0_51 Int)
(declare-const tmp1__global__predL0_52 Int)
(declare-const tmp1__global__predL0_53 Int)
(declare-const tmp1__global__predL0_54 Int)
(declare-const tmp1__global__predL0_55 Int)
(declare-const tmp1__global__predL0_56 Int)
(declare-const tmp1__global__predL0_57 Int)
(declare-const tmp1__global__predL0_58 Int)
(declare-const tmp1__global__predL0_59 Int)
(declare-const tmp1__global__predL0_6 Int)
(declare-const tmp1__global__predL0_60 Int)
(declare-const tmp1__global__predL0_61 Int)
(declare-const tmp1__global__predL0_62 Int)
(declare-const tmp1__global__predL0_63 Int)
(declare-const tmp1__global__predL0_7 Int)
(declare-const tmp1__global__predL0_8 Int)
(declare-const tmp1__global__predL0_9 Int)
(declare-const tmp1__global__predL1_0 Int)
(declare-const tmp1__global__predL1_1 Int)
(declare-const tmp1__global__predL1_10 Int)
(declare-const tmp1__global__predL1_11 Int)
(declare-const tmp1__global__predL1_12 Int)
(declare-const tmp1__global__predL1_13 Int)
(declare-const tmp1__global__predL1_14 Int)
(declare-const tmp1__global__predL1_15 Int)
(declare-const tmp1__global__predL1_16 Int)
(declare-const tmp1__global__predL1_17 Int)
(declare-const tmp1__global__predL1_18 Int)
(declare-const tmp1__global__predL1_19 Int)
(declare-const tmp1__global__predL1_2 Int)
(declare-const tmp1__global__predL1_20 Int)
(declare-const tmp1__global__predL1_21 Int)
(declare-const tmp1__global__predL1_22 Int)
(declare-const tmp1__global__predL1_23 Int)
(declare-const tmp1__global__predL1_24 Int)
(declare-const tmp1__global__predL1_25 Int)
(declare-const tmp1__global__predL1_26 Int)
(declare-const tmp1__global__predL1_27 Int)
(declare-const tmp1__global__predL1_28 Int)
(declare-const tmp1__global__predL1_29 Int)
(declare-const tmp1__global__predL1_3 Int)
(declare-const tmp1__global__predL1_30 Int)
(declare-const tmp1__global__predL1_31 Int)
(declare-const tmp1__global__predL1_32 Int)
(declare-const tmp1__global__predL1_33 Int)
(declare-const tmp1__global__predL1_34 Int)
(declare-const tmp1__global__predL1_35 Int)
(declare-const tmp1__global__predL1_36 Int)
(declare-const tmp1__global__predL1_37 Int)
(declare-const tmp1__global__predL1_38 Int)
(declare-const tmp1__global__predL1_39 Int)
(declare-const tmp1__global__predL1_4 Int)
(declare-const tmp1__global__predL1_40 Int)
(declare-const tmp1__global__predL1_41 Int)
(declare-const tmp1__global__predL1_42 Int)
(declare-const tmp1__global__predL1_43 Int)
(declare-const tmp1__global__predL1_44 Int)
(declare-const tmp1__global__predL1_45 Int)
(declare-const tmp1__global__predL1_46 Int)
(declare-const tmp1__global__predL1_47 Int)
(declare-const tmp1__global__predL1_48 Int)
(declare-const tmp1__global__predL1_49 Int)
(declare-const tmp1__global__predL1_5 Int)
(declare-const tmp1__global__predL1_50 Int)
(declare-const tmp1__global__predL1_51 Int)
(declare-const tmp1__global__predL1_52 Int)
(declare-const tmp1__global__predL1_53 Int)
(declare-const tmp1__global__predL1_54 Int)
(declare-const tmp1__global__predL1_55 Int)
(declare-const tmp1__global__predL1_56 Int)
(declare-const tmp1__global__predL1_57 Int)
(declare-const tmp1__global__predL1_58 Int)
(declare-const tmp1__global__predL1_59 Int)
(declare-const tmp1__global__predL1_6 Int)
(declare-const tmp1__global__predL1_60 Int)
(declare-const tmp1__global__predL1_61 Int)
(declare-const tmp1__global__predL1_62 Int)
(declare-const tmp1__global__predL1_63 Int)
(declare-const tmp1__global__predL1_7 Int)
(declare-const tmp1__global__predL1_8 Int)
(declare-const tmp1__global__predL1_9 Int)
(declare-const tmp1__global__ref0_0 Int)
(declare-const tmp1__global__ref0_1 Int)
(declare-const tmp1__global__ref0_10 Int)
(declare-const tmp1__global__ref0_100 Int)
(declare-const tmp1__global__ref0_101 Int)
(declare-const tmp1__global__ref0_102 Int)
(declare-const tmp1__global__ref0_103 Int)
(declare-const tmp1__global__ref0_104 Int)
(declare-const tmp1__global__ref0_105 Int)
(declare-const tmp1__global__ref0_106 Int)
(declare-const tmp1__global__ref0_107 Int)
(declare-const tmp1__global__ref0_108 Int)
(declare-const tmp1__global__ref0_109 Int)
(declare-const tmp1__global__ref0_11 Int)
(declare-const tmp1__global__ref0_110 Int)
(declare-const tmp1__global__ref0_111 Int)
(declare-const tmp1__global__ref0_112 Int)
(declare-const tmp1__global__ref0_113 Int)
(declare-const tmp1__global__ref0_114 Int)
(declare-const tmp1__global__ref0_115 Int)
(declare-const tmp1__global__ref0_116 Int)
(declare-const tmp1__global__ref0_117 Int)
(declare-const tmp1__global__ref0_118 Int)
(declare-const tmp1__global__ref0_119 Int)
(declare-const tmp1__global__ref0_12 Int)
(declare-const tmp1__global__ref0_120 Int)
(declare-const tmp1__global__ref0_121 Int)
(declare-const tmp1__global__ref0_122 Int)
(declare-const tmp1__global__ref0_123 Int)
(declare-const tmp1__global__ref0_124 Int)
(declare-const tmp1__global__ref0_125 Int)
(declare-const tmp1__global__ref0_126 Int)
(declare-const tmp1__global__ref0_127 Int)
(declare-const tmp1__global__ref0_128 Int)
(declare-const tmp1__global__ref0_129 Int)
(declare-const tmp1__global__ref0_13 Int)
(declare-const tmp1__global__ref0_130 Int)
(declare-const tmp1__global__ref0_131 Int)
(declare-const tmp1__global__ref0_132 Int)
(declare-const tmp1__global__ref0_133 Int)
(declare-const tmp1__global__ref0_134 Int)
(declare-const tmp1__global__ref0_135 Int)
(declare-const tmp1__global__ref0_136 Int)
(declare-const tmp1__global__ref0_137 Int)
(declare-const tmp1__global__ref0_138 Int)
(declare-const tmp1__global__ref0_139 Int)
(declare-const tmp1__global__ref0_14 Int)
(declare-const tmp1__global__ref0_140 Int)
(declare-const tmp1__global__ref0_141 Int)
(declare-const tmp1__global__ref0_142 Int)
(declare-const tmp1__global__ref0_143 Int)
(declare-const tmp1__global__ref0_144 Int)
(declare-const tmp1__global__ref0_145 Int)
(declare-const tmp1__global__ref0_146 Int)
(declare-const tmp1__global__ref0_147 Int)
(declare-const tmp1__global__ref0_148 Int)
(declare-const tmp1__global__ref0_149 Int)
(declare-const tmp1__global__ref0_15 Int)
(declare-const tmp1__global__ref0_150 Int)
(declare-const tmp1__global__ref0_151 Int)
(declare-const tmp1__global__ref0_152 Int)
(declare-const tmp1__global__ref0_153 Int)
(declare-const tmp1__global__ref0_154 Int)
(declare-const tmp1__global__ref0_155 Int)
(declare-const tmp1__global__ref0_156 Int)
(declare-const tmp1__global__ref0_157 Int)
(declare-const tmp1__global__ref0_158 Int)
(declare-const tmp1__global__ref0_159 Int)
(declare-const tmp1__global__ref0_16 Int)
(declare-const tmp1__global__ref0_160 Int)
(declare-const tmp1__global__ref0_161 Int)
(declare-const tmp1__global__ref0_162 Int)
(declare-const tmp1__global__ref0_163 Int)
(declare-const tmp1__global__ref0_164 Int)
(declare-const tmp1__global__ref0_165 Int)
(declare-const tmp1__global__ref0_166 Int)
(declare-const tmp1__global__ref0_167 Int)
(declare-const tmp1__global__ref0_168 Int)
(declare-const tmp1__global__ref0_169 Int)
(declare-const tmp1__global__ref0_17 Int)
(declare-const tmp1__global__ref0_170 Int)
(declare-const tmp1__global__ref0_171 Int)
(declare-const tmp1__global__ref0_172 Int)
(declare-const tmp1__global__ref0_173 Int)
(declare-const tmp1__global__ref0_174 Int)
(declare-const tmp1__global__ref0_175 Int)
(declare-const tmp1__global__ref0_176 Int)
(declare-const tmp1__global__ref0_177 Int)
(declare-const tmp1__global__ref0_178 Int)
(declare-const tmp1__global__ref0_179 Int)
(declare-const tmp1__global__ref0_18 Int)
(declare-const tmp1__global__ref0_180 Int)
(declare-const tmp1__global__ref0_181 Int)
(declare-const tmp1__global__ref0_182 Int)
(declare-const tmp1__global__ref0_183 Int)
(declare-const tmp1__global__ref0_184 Int)
(declare-const tmp1__global__ref0_185 Int)
(declare-const tmp1__global__ref0_186 Int)
(declare-const tmp1__global__ref0_187 Int)
(declare-const tmp1__global__ref0_188 Int)
(declare-const tmp1__global__ref0_189 Int)
(declare-const tmp1__global__ref0_19 Int)
(declare-const tmp1__global__ref0_190 Int)
(declare-const tmp1__global__ref0_191 Int)
(declare-const tmp1__global__ref0_192 Int)
(declare-const tmp1__global__ref0_193 Int)
(declare-const tmp1__global__ref0_194 Int)
(declare-const tmp1__global__ref0_195 Int)
(declare-const tmp1__global__ref0_196 Int)
(declare-const tmp1__global__ref0_197 Int)
(declare-const tmp1__global__ref0_198 Int)
(declare-const tmp1__global__ref0_199 Int)
(declare-const tmp1__global__ref0_2 Int)
(declare-const tmp1__global__ref0_20 Int)
(declare-const tmp1__global__ref0_200 Int)
(declare-const tmp1__global__ref0_201 Int)
(declare-const tmp1__global__ref0_202 Int)
(declare-const tmp1__global__ref0_203 Int)
(declare-const tmp1__global__ref0_204 Int)
(declare-const tmp1__global__ref0_205 Int)
(declare-const tmp1__global__ref0_206 Int)
(declare-const tmp1__global__ref0_207 Int)
(declare-const tmp1__global__ref0_208 Int)
(declare-const tmp1__global__ref0_209 Int)
(declare-const tmp1__global__ref0_21 Int)
(declare-const tmp1__global__ref0_210 Int)
(declare-const tmp1__global__ref0_211 Int)
(declare-const tmp1__global__ref0_212 Int)
(declare-const tmp1__global__ref0_213 Int)
(declare-const tmp1__global__ref0_214 Int)
(declare-const tmp1__global__ref0_215 Int)
(declare-const tmp1__global__ref0_216 Int)
(declare-const tmp1__global__ref0_217 Int)
(declare-const tmp1__global__ref0_218 Int)
(declare-const tmp1__global__ref0_219 Int)
(declare-const tmp1__global__ref0_22 Int)
(declare-const tmp1__global__ref0_220 Int)
(declare-const tmp1__global__ref0_221 Int)
(declare-const tmp1__global__ref0_222 Int)
(declare-const tmp1__global__ref0_223 Int)
(declare-const tmp1__global__ref0_224 Int)
(declare-const tmp1__global__ref0_23 Int)
(declare-const tmp1__global__ref0_24 Int)
(declare-const tmp1__global__ref0_25 Int)
(declare-const tmp1__global__ref0_26 Int)
(declare-const tmp1__global__ref0_27 Int)
(declare-const tmp1__global__ref0_28 Int)
(declare-const tmp1__global__ref0_29 Int)
(declare-const tmp1__global__ref0_3 Int)
(declare-const tmp1__global__ref0_30 Int)
(declare-const tmp1__global__ref0_31 Int)
(declare-const tmp1__global__ref0_32 Int)
(declare-const tmp1__global__ref0_33 Int)
(declare-const tmp1__global__ref0_34 Int)
(declare-const tmp1__global__ref0_35 Int)
(declare-const tmp1__global__ref0_36 Int)
(declare-const tmp1__global__ref0_37 Int)
(declare-const tmp1__global__ref0_38 Int)
(declare-const tmp1__global__ref0_39 Int)
(declare-const tmp1__global__ref0_4 Int)
(declare-const tmp1__global__ref0_40 Int)
(declare-const tmp1__global__ref0_41 Int)
(declare-const tmp1__global__ref0_42 Int)
(declare-const tmp1__global__ref0_43 Int)
(declare-const tmp1__global__ref0_44 Int)
(declare-const tmp1__global__ref0_45 Int)
(declare-const tmp1__global__ref0_46 Int)
(declare-const tmp1__global__ref0_47 Int)
(declare-const tmp1__global__ref0_48 Int)
(declare-const tmp1__global__ref0_49 Int)
(declare-const tmp1__global__ref0_5 Int)
(declare-const tmp1__global__ref0_50 Int)
(declare-const tmp1__global__ref0_51 Int)
(declare-const tmp1__global__ref0_52 Int)
(declare-const tmp1__global__ref0_53 Int)
(declare-const tmp1__global__ref0_54 Int)
(declare-const tmp1__global__ref0_55 Int)
(declare-const tmp1__global__ref0_56 Int)
(declare-const tmp1__global__ref0_57 Int)
(declare-const tmp1__global__ref0_58 Int)
(declare-const tmp1__global__ref0_59 Int)
(declare-const tmp1__global__ref0_6 Int)
(declare-const tmp1__global__ref0_60 Int)
(declare-const tmp1__global__ref0_61 Int)
(declare-const tmp1__global__ref0_62 Int)
(declare-const tmp1__global__ref0_63 Int)
(declare-const tmp1__global__ref0_64 Int)
(declare-const tmp1__global__ref0_65 Int)
(declare-const tmp1__global__ref0_66 Int)
(declare-const tmp1__global__ref0_67 Int)
(declare-const tmp1__global__ref0_68 Int)
(declare-const tmp1__global__ref0_69 Int)
(declare-const tmp1__global__ref0_7 Int)
(declare-const tmp1__global__ref0_70 Int)
(declare-const tmp1__global__ref0_71 Int)
(declare-const tmp1__global__ref0_72 Int)
(declare-const tmp1__global__ref0_73 Int)
(declare-const tmp1__global__ref0_74 Int)
(declare-const tmp1__global__ref0_75 Int)
(declare-const tmp1__global__ref0_76 Int)
(declare-const tmp1__global__ref0_77 Int)
(declare-const tmp1__global__ref0_78 Int)
(declare-const tmp1__global__ref0_79 Int)
(declare-const tmp1__global__ref0_8 Int)
(declare-const tmp1__global__ref0_80 Int)
(declare-const tmp1__global__ref0_81 Int)
(declare-const tmp1__global__ref0_82 Int)
(declare-const tmp1__global__ref0_83 Int)
(declare-const tmp1__global__ref0_84 Int)
(declare-const tmp1__global__ref0_85 Int)
(declare-const tmp1__global__ref0_86 Int)
(declare-const tmp1__global__ref0_87 Int)
(declare-const tmp1__global__ref0_88 Int)
(declare-const tmp1__global__ref0_89 Int)
(declare-const tmp1__global__ref0_9 Int)
(declare-const tmp1__global__ref0_90 Int)
(declare-const tmp1__global__ref0_91 Int)
(declare-const tmp1__global__ref0_92 Int)
(declare-const tmp1__global__ref0_93 Int)
(declare-const tmp1__global__ref0_94 Int)
(declare-const tmp1__global__ref0_95 Int)
(declare-const tmp1__global__ref0_96 Int)
(declare-const tmp1__global__ref0_97 Int)
(declare-const tmp1__global__ref0_98 Int)
(declare-const tmp1__global__ref0_99 Int)
(declare-const tmp1__global__ref1_0 Int)
(declare-const tmp1__global__ref1_1 Int)
(declare-const tmp1__global__ref1_10 Int)
(declare-const tmp1__global__ref1_100 Int)
(declare-const tmp1__global__ref1_101 Int)
(declare-const tmp1__global__ref1_102 Int)
(declare-const tmp1__global__ref1_103 Int)
(declare-const tmp1__global__ref1_104 Int)
(declare-const tmp1__global__ref1_105 Int)
(declare-const tmp1__global__ref1_106 Int)
(declare-const tmp1__global__ref1_107 Int)
(declare-const tmp1__global__ref1_108 Int)
(declare-const tmp1__global__ref1_109 Int)
(declare-const tmp1__global__ref1_11 Int)
(declare-const tmp1__global__ref1_110 Int)
(declare-const tmp1__global__ref1_111 Int)
(declare-const tmp1__global__ref1_112 Int)
(declare-const tmp1__global__ref1_113 Int)
(declare-const tmp1__global__ref1_114 Int)
(declare-const tmp1__global__ref1_115 Int)
(declare-const tmp1__global__ref1_116 Int)
(declare-const tmp1__global__ref1_117 Int)
(declare-const tmp1__global__ref1_118 Int)
(declare-const tmp1__global__ref1_119 Int)
(declare-const tmp1__global__ref1_12 Int)
(declare-const tmp1__global__ref1_120 Int)
(declare-const tmp1__global__ref1_121 Int)
(declare-const tmp1__global__ref1_122 Int)
(declare-const tmp1__global__ref1_123 Int)
(declare-const tmp1__global__ref1_124 Int)
(declare-const tmp1__global__ref1_125 Int)
(declare-const tmp1__global__ref1_126 Int)
(declare-const tmp1__global__ref1_127 Int)
(declare-const tmp1__global__ref1_128 Int)
(declare-const tmp1__global__ref1_129 Int)
(declare-const tmp1__global__ref1_13 Int)
(declare-const tmp1__global__ref1_130 Int)
(declare-const tmp1__global__ref1_131 Int)
(declare-const tmp1__global__ref1_132 Int)
(declare-const tmp1__global__ref1_133 Int)
(declare-const tmp1__global__ref1_134 Int)
(declare-const tmp1__global__ref1_135 Int)
(declare-const tmp1__global__ref1_136 Int)
(declare-const tmp1__global__ref1_137 Int)
(declare-const tmp1__global__ref1_138 Int)
(declare-const tmp1__global__ref1_139 Int)
(declare-const tmp1__global__ref1_14 Int)
(declare-const tmp1__global__ref1_140 Int)
(declare-const tmp1__global__ref1_141 Int)
(declare-const tmp1__global__ref1_142 Int)
(declare-const tmp1__global__ref1_143 Int)
(declare-const tmp1__global__ref1_144 Int)
(declare-const tmp1__global__ref1_145 Int)
(declare-const tmp1__global__ref1_146 Int)
(declare-const tmp1__global__ref1_147 Int)
(declare-const tmp1__global__ref1_148 Int)
(declare-const tmp1__global__ref1_149 Int)
(declare-const tmp1__global__ref1_15 Int)
(declare-const tmp1__global__ref1_150 Int)
(declare-const tmp1__global__ref1_151 Int)
(declare-const tmp1__global__ref1_152 Int)
(declare-const tmp1__global__ref1_153 Int)
(declare-const tmp1__global__ref1_154 Int)
(declare-const tmp1__global__ref1_155 Int)
(declare-const tmp1__global__ref1_156 Int)
(declare-const tmp1__global__ref1_157 Int)
(declare-const tmp1__global__ref1_158 Int)
(declare-const tmp1__global__ref1_159 Int)
(declare-const tmp1__global__ref1_16 Int)
(declare-const tmp1__global__ref1_160 Int)
(declare-const tmp1__global__ref1_161 Int)
(declare-const tmp1__global__ref1_162 Int)
(declare-const tmp1__global__ref1_163 Int)
(declare-const tmp1__global__ref1_164 Int)
(declare-const tmp1__global__ref1_165 Int)
(declare-const tmp1__global__ref1_166 Int)
(declare-const tmp1__global__ref1_167 Int)
(declare-const tmp1__global__ref1_168 Int)
(declare-const tmp1__global__ref1_169 Int)
(declare-const tmp1__global__ref1_17 Int)
(declare-const tmp1__global__ref1_170 Int)
(declare-const tmp1__global__ref1_171 Int)
(declare-const tmp1__global__ref1_172 Int)
(declare-const tmp1__global__ref1_173 Int)
(declare-const tmp1__global__ref1_174 Int)
(declare-const tmp1__global__ref1_175 Int)
(declare-const tmp1__global__ref1_176 Int)
(declare-const tmp1__global__ref1_177 Int)
(declare-const tmp1__global__ref1_178 Int)
(declare-const tmp1__global__ref1_179 Int)
(declare-const tmp1__global__ref1_18 Int)
(declare-const tmp1__global__ref1_180 Int)
(declare-const tmp1__global__ref1_181 Int)
(declare-const tmp1__global__ref1_182 Int)
(declare-const tmp1__global__ref1_183 Int)
(declare-const tmp1__global__ref1_184 Int)
(declare-const tmp1__global__ref1_185 Int)
(declare-const tmp1__global__ref1_186 Int)
(declare-const tmp1__global__ref1_187 Int)
(declare-const tmp1__global__ref1_188 Int)
(declare-const tmp1__global__ref1_189 Int)
(declare-const tmp1__global__ref1_19 Int)
(declare-const tmp1__global__ref1_190 Int)
(declare-const tmp1__global__ref1_191 Int)
(declare-const tmp1__global__ref1_192 Int)
(declare-const tmp1__global__ref1_193 Int)
(declare-const tmp1__global__ref1_194 Int)
(declare-const tmp1__global__ref1_195 Int)
(declare-const tmp1__global__ref1_196 Int)
(declare-const tmp1__global__ref1_197 Int)
(declare-const tmp1__global__ref1_198 Int)
(declare-const tmp1__global__ref1_199 Int)
(declare-const tmp1__global__ref1_2 Int)
(declare-const tmp1__global__ref1_20 Int)
(declare-const tmp1__global__ref1_200 Int)
(declare-const tmp1__global__ref1_201 Int)
(declare-const tmp1__global__ref1_202 Int)
(declare-const tmp1__global__ref1_203 Int)
(declare-const tmp1__global__ref1_204 Int)
(declare-const tmp1__global__ref1_205 Int)
(declare-const tmp1__global__ref1_206 Int)
(declare-const tmp1__global__ref1_207 Int)
(declare-const tmp1__global__ref1_208 Int)
(declare-const tmp1__global__ref1_209 Int)
(declare-const tmp1__global__ref1_21 Int)
(declare-const tmp1__global__ref1_210 Int)
(declare-const tmp1__global__ref1_211 Int)
(declare-const tmp1__global__ref1_212 Int)
(declare-const tmp1__global__ref1_213 Int)
(declare-const tmp1__global__ref1_214 Int)
(declare-const tmp1__global__ref1_215 Int)
(declare-const tmp1__global__ref1_216 Int)
(declare-const tmp1__global__ref1_217 Int)
(declare-const tmp1__global__ref1_218 Int)
(declare-const tmp1__global__ref1_219 Int)
(declare-const tmp1__global__ref1_22 Int)
(declare-const tmp1__global__ref1_220 Int)
(declare-const tmp1__global__ref1_221 Int)
(declare-const tmp1__global__ref1_222 Int)
(declare-const tmp1__global__ref1_223 Int)
(declare-const tmp1__global__ref1_224 Int)
(declare-const tmp1__global__ref1_23 Int)
(declare-const tmp1__global__ref1_24 Int)
(declare-const tmp1__global__ref1_25 Int)
(declare-const tmp1__global__ref1_26 Int)
(declare-const tmp1__global__ref1_27 Int)
(declare-const tmp1__global__ref1_28 Int)
(declare-const tmp1__global__ref1_29 Int)
(declare-const tmp1__global__ref1_3 Int)
(declare-const tmp1__global__ref1_30 Int)
(declare-const tmp1__global__ref1_31 Int)
(declare-const tmp1__global__ref1_32 Int)
(declare-const tmp1__global__ref1_33 Int)
(declare-const tmp1__global__ref1_34 Int)
(declare-const tmp1__global__ref1_35 Int)
(declare-const tmp1__global__ref1_36 Int)
(declare-const tmp1__global__ref1_37 Int)
(declare-const tmp1__global__ref1_38 Int)
(declare-const tmp1__global__ref1_39 Int)
(declare-const tmp1__global__ref1_4 Int)
(declare-const tmp1__global__ref1_40 Int)
(declare-const tmp1__global__ref1_41 Int)
(declare-const tmp1__global__ref1_42 Int)
(declare-const tmp1__global__ref1_43 Int)
(declare-const tmp1__global__ref1_44 Int)
(declare-const tmp1__global__ref1_45 Int)
(declare-const tmp1__global__ref1_46 Int)
(declare-const tmp1__global__ref1_47 Int)
(declare-const tmp1__global__ref1_48 Int)
(declare-const tmp1__global__ref1_49 Int)
(declare-const tmp1__global__ref1_5 Int)
(declare-const tmp1__global__ref1_50 Int)
(declare-const tmp1__global__ref1_51 Int)
(declare-const tmp1__global__ref1_52 Int)
(declare-const tmp1__global__ref1_53 Int)
(declare-const tmp1__global__ref1_54 Int)
(declare-const tmp1__global__ref1_55 Int)
(declare-const tmp1__global__ref1_56 Int)
(declare-const tmp1__global__ref1_57 Int)
(declare-const tmp1__global__ref1_58 Int)
(declare-const tmp1__global__ref1_59 Int)
(declare-const tmp1__global__ref1_6 Int)
(declare-const tmp1__global__ref1_60 Int)
(declare-const tmp1__global__ref1_61 Int)
(declare-const tmp1__global__ref1_62 Int)
(declare-const tmp1__global__ref1_63 Int)
(declare-const tmp1__global__ref1_64 Int)
(declare-const tmp1__global__ref1_65 Int)
(declare-const tmp1__global__ref1_66 Int)
(declare-const tmp1__global__ref1_67 Int)
(declare-const tmp1__global__ref1_68 Int)
(declare-const tmp1__global__ref1_69 Int)
(declare-const tmp1__global__ref1_7 Int)
(declare-const tmp1__global__ref1_70 Int)
(declare-const tmp1__global__ref1_71 Int)
(declare-const tmp1__global__ref1_72 Int)
(declare-const tmp1__global__ref1_73 Int)
(declare-const tmp1__global__ref1_74 Int)
(declare-const tmp1__global__ref1_75 Int)
(declare-const tmp1__global__ref1_76 Int)
(declare-const tmp1__global__ref1_77 Int)
(declare-const tmp1__global__ref1_78 Int)
(declare-const tmp1__global__ref1_79 Int)
(declare-const tmp1__global__ref1_8 Int)
(declare-const tmp1__global__ref1_80 Int)
(declare-const tmp1__global__ref1_81 Int)
(declare-const tmp1__global__ref1_82 Int)
(declare-const tmp1__global__ref1_83 Int)
(declare-const tmp1__global__ref1_84 Int)
(declare-const tmp1__global__ref1_85 Int)
(declare-const tmp1__global__ref1_86 Int)
(declare-const tmp1__global__ref1_87 Int)
(declare-const tmp1__global__ref1_88 Int)
(declare-const tmp1__global__ref1_89 Int)
(declare-const tmp1__global__ref1_9 Int)
(declare-const tmp1__global__ref1_90 Int)
(declare-const tmp1__global__ref1_91 Int)
(declare-const tmp1__global__ref1_92 Int)
(declare-const tmp1__global__ref1_93 Int)
(declare-const tmp1__global__ref1_94 Int)
(declare-const tmp1__global__ref1_95 Int)
(declare-const tmp1__global__ref1_96 Int)
(declare-const tmp1__global__ref1_97 Int)
(declare-const tmp1__global__ref1_98 Int)
(declare-const tmp1__global__ref1_99 Int)
(declare-const tmp1__global__s1_0 Int)
(declare-const tmp1__global__s1_1 Int)
(declare-const tmp1__global__s1_10 Int)
(declare-const tmp1__global__s1_11 Int)
(declare-const tmp1__global__s1_12 Int)
(declare-const tmp1__global__s1_13 Int)
(declare-const tmp1__global__s1_14 Int)
(declare-const tmp1__global__s1_15 Int)
(declare-const tmp1__global__s1_16 Int)
(declare-const tmp1__global__s1_17 Int)
(declare-const tmp1__global__s1_18 Int)
(declare-const tmp1__global__s1_19 Int)
(declare-const tmp1__global__s1_2 Int)
(declare-const tmp1__global__s1_20 Int)
(declare-const tmp1__global__s1_21 Int)
(declare-const tmp1__global__s1_22 Int)
(declare-const tmp1__global__s1_23 Int)
(declare-const tmp1__global__s1_24 Int)
(declare-const tmp1__global__s1_25 Int)
(declare-const tmp1__global__s1_26 Int)
(declare-const tmp1__global__s1_27 Int)
(declare-const tmp1__global__s1_28 Int)
(declare-const tmp1__global__s1_29 Int)
(declare-const tmp1__global__s1_3 Int)
(declare-const tmp1__global__s1_30 Int)
(declare-const tmp1__global__s1_31 Int)
(declare-const tmp1__global__s1_32 Int)
(declare-const tmp1__global__s1_33 Int)
(declare-const tmp1__global__s1_34 Int)
(declare-const tmp1__global__s1_35 Int)
(declare-const tmp1__global__s1_36 Int)
(declare-const tmp1__global__s1_37 Int)
(declare-const tmp1__global__s1_38 Int)
(declare-const tmp1__global__s1_39 Int)
(declare-const tmp1__global__s1_4 Int)
(declare-const tmp1__global__s1_40 Int)
(declare-const tmp1__global__s1_41 Int)
(declare-const tmp1__global__s1_42 Int)
(declare-const tmp1__global__s1_43 Int)
(declare-const tmp1__global__s1_44 Int)
(declare-const tmp1__global__s1_45 Int)
(declare-const tmp1__global__s1_46 Int)
(declare-const tmp1__global__s1_47 Int)
(declare-const tmp1__global__s1_48 Int)
(declare-const tmp1__global__s1_49 Int)
(declare-const tmp1__global__s1_5 Int)
(declare-const tmp1__global__s1_50 Int)
(declare-const tmp1__global__s1_51 Int)
(declare-const tmp1__global__s1_52 Int)
(declare-const tmp1__global__s1_53 Int)
(declare-const tmp1__global__s1_54 Int)
(declare-const tmp1__global__s1_55 Int)
(declare-const tmp1__global__s1_56 Int)
(declare-const tmp1__global__s1_57 Int)
(declare-const tmp1__global__s1_58 Int)
(declare-const tmp1__global__s1_59 Int)
(declare-const tmp1__global__s1_6 Int)
(declare-const tmp1__global__s1_60 Int)
(declare-const tmp1__global__s1_61 Int)
(declare-const tmp1__global__s1_62 Int)
(declare-const tmp1__global__s1_63 Int)
(declare-const tmp1__global__s1_7 Int)
(declare-const tmp1__global__s1_8 Int)
(declare-const tmp1__global__s1_9 Int)
(declare-const tmp1__global__s2_0 Int)
(declare-const tmp1__global__s2_1 Int)
(declare-const tmp1__global__s2_10 Int)
(declare-const tmp1__global__s2_11 Int)
(declare-const tmp1__global__s2_12 Int)
(declare-const tmp1__global__s2_13 Int)
(declare-const tmp1__global__s2_14 Int)
(declare-const tmp1__global__s2_15 Int)
(declare-const tmp1__global__s2_16 Int)
(declare-const tmp1__global__s2_17 Int)
(declare-const tmp1__global__s2_18 Int)
(declare-const tmp1__global__s2_19 Int)
(declare-const tmp1__global__s2_2 Int)
(declare-const tmp1__global__s2_20 Int)
(declare-const tmp1__global__s2_21 Int)
(declare-const tmp1__global__s2_22 Int)
(declare-const tmp1__global__s2_23 Int)
(declare-const tmp1__global__s2_24 Int)
(declare-const tmp1__global__s2_25 Int)
(declare-const tmp1__global__s2_26 Int)
(declare-const tmp1__global__s2_27 Int)
(declare-const tmp1__global__s2_28 Int)
(declare-const tmp1__global__s2_29 Int)
(declare-const tmp1__global__s2_3 Int)
(declare-const tmp1__global__s2_30 Int)
(declare-const tmp1__global__s2_31 Int)
(declare-const tmp1__global__s2_32 Int)
(declare-const tmp1__global__s2_33 Int)
(declare-const tmp1__global__s2_34 Int)
(declare-const tmp1__global__s2_35 Int)
(declare-const tmp1__global__s2_36 Int)
(declare-const tmp1__global__s2_37 Int)
(declare-const tmp1__global__s2_38 Int)
(declare-const tmp1__global__s2_39 Int)
(declare-const tmp1__global__s2_4 Int)
(declare-const tmp1__global__s2_40 Int)
(declare-const tmp1__global__s2_41 Int)
(declare-const tmp1__global__s2_42 Int)
(declare-const tmp1__global__s2_43 Int)
(declare-const tmp1__global__s2_44 Int)
(declare-const tmp1__global__s2_45 Int)
(declare-const tmp1__global__s2_46 Int)
(declare-const tmp1__global__s2_47 Int)
(declare-const tmp1__global__s2_48 Int)
(declare-const tmp1__global__s2_49 Int)
(declare-const tmp1__global__s2_5 Int)
(declare-const tmp1__global__s2_50 Int)
(declare-const tmp1__global__s2_51 Int)
(declare-const tmp1__global__s2_52 Int)
(declare-const tmp1__global__s2_53 Int)
(declare-const tmp1__global__s2_54 Int)
(declare-const tmp1__global__s2_55 Int)
(declare-const tmp1__global__s2_56 Int)
(declare-const tmp1__global__s2_57 Int)
(declare-const tmp1__global__s2_58 Int)
(declare-const tmp1__global__s2_59 Int)
(declare-const tmp1__global__s2_6 Int)
(declare-const tmp1__global__s2_60 Int)
(declare-const tmp1__global__s2_61 Int)
(declare-const tmp1__global__s2_62 Int)
(declare-const tmp1__global__s2_63 Int)
(declare-const tmp1__global__s2_7 Int)
(declare-const tmp1__global__s2_8 Int)
(declare-const tmp1__global__s2_9 Int)
(declare-const tmp1__global__s3_0 Int)
(declare-const tmp1__global__s3_1 Int)
(declare-const tmp1__global__s3_10 Int)
(declare-const tmp1__global__s3_11 Int)
(declare-const tmp1__global__s3_12 Int)
(declare-const tmp1__global__s3_13 Int)
(declare-const tmp1__global__s3_14 Int)
(declare-const tmp1__global__s3_15 Int)
(declare-const tmp1__global__s3_16 Int)
(declare-const tmp1__global__s3_17 Int)
(declare-const tmp1__global__s3_18 Int)
(declare-const tmp1__global__s3_19 Int)
(declare-const tmp1__global__s3_2 Int)
(declare-const tmp1__global__s3_20 Int)
(declare-const tmp1__global__s3_21 Int)
(declare-const tmp1__global__s3_22 Int)
(declare-const tmp1__global__s3_23 Int)
(declare-const tmp1__global__s3_24 Int)
(declare-const tmp1__global__s3_25 Int)
(declare-const tmp1__global__s3_26 Int)
(declare-const tmp1__global__s3_27 Int)
(declare-const tmp1__global__s3_28 Int)
(declare-const tmp1__global__s3_29 Int)
(declare-const tmp1__global__s3_3 Int)
(declare-const tmp1__global__s3_30 Int)
(declare-const tmp1__global__s3_31 Int)
(declare-const tmp1__global__s3_32 Int)
(declare-const tmp1__global__s3_33 Int)
(declare-const tmp1__global__s3_34 Int)
(declare-const tmp1__global__s3_35 Int)
(declare-const tmp1__global__s3_36 Int)
(declare-const tmp1__global__s3_37 Int)
(declare-const tmp1__global__s3_38 Int)
(declare-const tmp1__global__s3_39 Int)
(declare-const tmp1__global__s3_4 Int)
(declare-const tmp1__global__s3_40 Int)
(declare-const tmp1__global__s3_41 Int)
(declare-const tmp1__global__s3_42 Int)
(declare-const tmp1__global__s3_43 Int)
(declare-const tmp1__global__s3_44 Int)
(declare-const tmp1__global__s3_45 Int)
(declare-const tmp1__global__s3_46 Int)
(declare-const tmp1__global__s3_47 Int)
(declare-const tmp1__global__s3_48 Int)
(declare-const tmp1__global__s3_49 Int)
(declare-const tmp1__global__s3_5 Int)
(declare-const tmp1__global__s3_50 Int)
(declare-const tmp1__global__s3_51 Int)
(declare-const tmp1__global__s3_52 Int)
(declare-const tmp1__global__s3_53 Int)
(declare-const tmp1__global__s3_54 Int)
(declare-const tmp1__global__s3_55 Int)
(declare-const tmp1__global__s3_56 Int)
(declare-const tmp1__global__s3_57 Int)
(declare-const tmp1__global__s3_58 Int)
(declare-const tmp1__global__s3_59 Int)
(declare-const tmp1__global__s3_6 Int)
(declare-const tmp1__global__s3_60 Int)
(declare-const tmp1__global__s3_61 Int)
(declare-const tmp1__global__s3_62 Int)
(declare-const tmp1__global__s3_63 Int)
(declare-const tmp1__global__s3_7 Int)
(declare-const tmp1__global__s3_8 Int)
(declare-const tmp1__global__s3_9 Int)
(declare-const tmp1__global__s4_0 Int)
(declare-const tmp1__global__s4_1 Int)
(declare-const tmp1__global__s4_10 Int)
(declare-const tmp1__global__s4_11 Int)
(declare-const tmp1__global__s4_12 Int)
(declare-const tmp1__global__s4_13 Int)
(declare-const tmp1__global__s4_14 Int)
(declare-const tmp1__global__s4_15 Int)
(declare-const tmp1__global__s4_16 Int)
(declare-const tmp1__global__s4_17 Int)
(declare-const tmp1__global__s4_18 Int)
(declare-const tmp1__global__s4_19 Int)
(declare-const tmp1__global__s4_2 Int)
(declare-const tmp1__global__s4_20 Int)
(declare-const tmp1__global__s4_21 Int)
(declare-const tmp1__global__s4_22 Int)
(declare-const tmp1__global__s4_23 Int)
(declare-const tmp1__global__s4_24 Int)
(declare-const tmp1__global__s4_25 Int)
(declare-const tmp1__global__s4_26 Int)
(declare-const tmp1__global__s4_27 Int)
(declare-const tmp1__global__s4_28 Int)
(declare-const tmp1__global__s4_29 Int)
(declare-const tmp1__global__s4_3 Int)
(declare-const tmp1__global__s4_30 Int)
(declare-const tmp1__global__s4_31 Int)
(declare-const tmp1__global__s4_32 Int)
(declare-const tmp1__global__s4_33 Int)
(declare-const tmp1__global__s4_34 Int)
(declare-const tmp1__global__s4_35 Int)
(declare-const tmp1__global__s4_36 Int)
(declare-const tmp1__global__s4_37 Int)
(declare-const tmp1__global__s4_38 Int)
(declare-const tmp1__global__s4_39 Int)
(declare-const tmp1__global__s4_4 Int)
(declare-const tmp1__global__s4_40 Int)
(declare-const tmp1__global__s4_41 Int)
(declare-const tmp1__global__s4_42 Int)
(declare-const tmp1__global__s4_43 Int)
(declare-const tmp1__global__s4_44 Int)
(declare-const tmp1__global__s4_45 Int)
(declare-const tmp1__global__s4_46 Int)
(declare-const tmp1__global__s4_47 Int)
(declare-const tmp1__global__s4_48 Int)
(declare-const tmp1__global__s4_49 Int)
(declare-const tmp1__global__s4_5 Int)
(declare-const tmp1__global__s4_50 Int)
(declare-const tmp1__global__s4_51 Int)
(declare-const tmp1__global__s4_52 Int)
(declare-const tmp1__global__s4_53 Int)
(declare-const tmp1__global__s4_54 Int)
(declare-const tmp1__global__s4_55 Int)
(declare-const tmp1__global__s4_56 Int)
(declare-const tmp1__global__s4_57 Int)
(declare-const tmp1__global__s4_58 Int)
(declare-const tmp1__global__s4_59 Int)
(declare-const tmp1__global__s4_6 Int)
(declare-const tmp1__global__s4_60 Int)
(declare-const tmp1__global__s4_61 Int)
(declare-const tmp1__global__s4_62 Int)
(declare-const tmp1__global__s4_63 Int)
(declare-const tmp1__global__s4_7 Int)
(declare-const tmp1__global__s4_8 Int)
(declare-const tmp1__global__s4_9 Int)
(declare-const tmp1__global__s5_0 Int)
(declare-const tmp1__global__s5_1 Int)
(declare-const tmp1__global__s5_10 Int)
(declare-const tmp1__global__s5_11 Int)
(declare-const tmp1__global__s5_12 Int)
(declare-const tmp1__global__s5_13 Int)
(declare-const tmp1__global__s5_14 Int)
(declare-const tmp1__global__s5_15 Int)
(declare-const tmp1__global__s5_16 Int)
(declare-const tmp1__global__s5_17 Int)
(declare-const tmp1__global__s5_18 Int)
(declare-const tmp1__global__s5_19 Int)
(declare-const tmp1__global__s5_2 Int)
(declare-const tmp1__global__s5_20 Int)
(declare-const tmp1__global__s5_21 Int)
(declare-const tmp1__global__s5_22 Int)
(declare-const tmp1__global__s5_23 Int)
(declare-const tmp1__global__s5_24 Int)
(declare-const tmp1__global__s5_25 Int)
(declare-const tmp1__global__s5_26 Int)
(declare-const tmp1__global__s5_27 Int)
(declare-const tmp1__global__s5_28 Int)
(declare-const tmp1__global__s5_29 Int)
(declare-const tmp1__global__s5_3 Int)
(declare-const tmp1__global__s5_30 Int)
(declare-const tmp1__global__s5_31 Int)
(declare-const tmp1__global__s5_32 Int)
(declare-const tmp1__global__s5_33 Int)
(declare-const tmp1__global__s5_34 Int)
(declare-const tmp1__global__s5_35 Int)
(declare-const tmp1__global__s5_36 Int)
(declare-const tmp1__global__s5_37 Int)
(declare-const tmp1__global__s5_38 Int)
(declare-const tmp1__global__s5_39 Int)
(declare-const tmp1__global__s5_4 Int)
(declare-const tmp1__global__s5_40 Int)
(declare-const tmp1__global__s5_41 Int)
(declare-const tmp1__global__s5_42 Int)
(declare-const tmp1__global__s5_43 Int)
(declare-const tmp1__global__s5_44 Int)
(declare-const tmp1__global__s5_45 Int)
(declare-const tmp1__global__s5_46 Int)
(declare-const tmp1__global__s5_47 Int)
(declare-const tmp1__global__s5_48 Int)
(declare-const tmp1__global__s5_49 Int)
(declare-const tmp1__global__s5_5 Int)
(declare-const tmp1__global__s5_50 Int)
(declare-const tmp1__global__s5_51 Int)
(declare-const tmp1__global__s5_52 Int)
(declare-const tmp1__global__s5_53 Int)
(declare-const tmp1__global__s5_54 Int)
(declare-const tmp1__global__s5_55 Int)
(declare-const tmp1__global__s5_56 Int)
(declare-const tmp1__global__s5_57 Int)
(declare-const tmp1__global__s5_58 Int)
(declare-const tmp1__global__s5_59 Int)
(declare-const tmp1__global__s5_6 Int)
(declare-const tmp1__global__s5_60 Int)
(declare-const tmp1__global__s5_61 Int)
(declare-const tmp1__global__s5_62 Int)
(declare-const tmp1__global__s5_63 Int)
(declare-const tmp1__global__s5_7 Int)
(declare-const tmp1__global__s5_8 Int)
(declare-const tmp1__global__s5_9 Int)
(declare-const tmp20__func_bio_opt__b Int)
(declare-const tmp20__func_bio_opt__t Int)
(declare-const tmp20__func_bio_opt__t1 Int)
(declare-const tmp20__func_bio_opt__t2 Int)
(declare-const tmp20__func_bio_opt__t3 Int)
(declare-const tmp20__func_bio_opt__t4 Int)
(declare-const tmp20__func_bio_opt__t5 Int)
(declare-const tmp20__func_bio_opt__tx Int)
(declare-const tmp20__func_bio_opt__ty Int)
(declare-const tmp20__func_bio_opt__vx Int)
(declare-const tmp20__func_bio_opt__vy Int)
(declare-const tmp20__func_com_grad_x_l_nn__val Int)
(declare-const tmp20__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp20__func_com_grad_y_l_nn__val Int)
(declare-const tmp20__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp20__func_com_mc_l_nn__val Int)
(declare-const tmp20__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp20__global__0__instrumented__ Int)
(declare-const tmp20__global__10__instrumented__ Int)
(declare-const tmp20__global__11__instrumented__ Int)
(declare-const tmp20__global__12__instrumented__ Int)
(declare-const tmp20__global__13__instrumented__ Int)
(declare-const tmp20__global__14__instrumented__ Int)
(declare-const tmp20__global__1__instrumented__ Int)
(declare-const tmp20__global__21__instrumented__ Int)
(declare-const tmp20__global__22__instrumented__ Int)
(declare-const tmp20__global__23__instrumented__ Int)
(declare-const tmp20__global__24__instrumented__ Int)
(declare-const tmp20__global__25__instrumented__ Int)
(declare-const tmp20__global__26__instrumented__ Int)
(declare-const tmp20__global__27__instrumented__ Int)
(declare-const tmp20__global__28__instrumented__ Int)
(declare-const tmp20__global__29__instrumented__ Int)
(declare-const tmp20__global__2__instrumented__ Int)
(declare-const tmp20__global__30__instrumented__ Int)
(declare-const tmp20__global__31__instrumented__ Int)
(declare-const tmp20__global__3__instrumented__ Int)
(declare-const tmp20__global__4__instrumented__ Int)
(declare-const tmp20__global__5__instrumented__ Int)
(declare-const tmp20__global__6__instrumented__ Int)
(declare-const tmp20__global__7__instrumented__ Int)
(declare-const tmp20__global__8__instrumented__ Int)
(declare-const tmp20__global__9__instrumented__ Int)
(declare-const tmp21__func_bio_opt__b Int)
(declare-const tmp21__func_bio_opt__t Int)
(declare-const tmp21__func_bio_opt__t1 Int)
(declare-const tmp21__func_bio_opt__t2 Int)
(declare-const tmp21__func_bio_opt__t3 Int)
(declare-const tmp21__func_bio_opt__t4 Int)
(declare-const tmp21__func_bio_opt__t5 Int)
(declare-const tmp21__func_bio_opt__tx Int)
(declare-const tmp21__func_bio_opt__ty Int)
(declare-const tmp21__func_com_grad_x_l_nn__val Int)
(declare-const tmp21__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp21__func_com_grad_y_l_nn__val Int)
(declare-const tmp21__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp21__func_com_mc_l_nn__val Int)
(declare-const tmp21__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp21__global__0__instrumented__ Int)
(declare-const tmp21__global__10__instrumented__ Int)
(declare-const tmp21__global__11__instrumented__ Int)
(declare-const tmp21__global__12__instrumented__ Int)
(declare-const tmp21__global__13__instrumented__ Int)
(declare-const tmp21__global__14__instrumented__ Int)
(declare-const tmp21__global__1__instrumented__ Int)
(declare-const tmp21__global__21__instrumented__ Int)
(declare-const tmp21__global__22__instrumented__ Int)
(declare-const tmp21__global__23__instrumented__ Int)
(declare-const tmp21__global__24__instrumented__ Int)
(declare-const tmp21__global__25__instrumented__ Int)
(declare-const tmp21__global__26__instrumented__ Int)
(declare-const tmp21__global__27__instrumented__ Int)
(declare-const tmp21__global__28__instrumented__ Int)
(declare-const tmp21__global__29__instrumented__ Int)
(declare-const tmp21__global__2__instrumented__ Int)
(declare-const tmp21__global__30__instrumented__ Int)
(declare-const tmp21__global__31__instrumented__ Int)
(declare-const tmp21__global__3__instrumented__ Int)
(declare-const tmp21__global__4__instrumented__ Int)
(declare-const tmp21__global__5__instrumented__ Int)
(declare-const tmp21__global__6__instrumented__ Int)
(declare-const tmp21__global__7__instrumented__ Int)
(declare-const tmp21__global__8__instrumented__ Int)
(declare-const tmp21__global__9__instrumented__ Int)
(declare-const tmp22__func_bio_opt__b Int)
(declare-const tmp22__func_bio_opt__t Int)
(declare-const tmp22__func_bio_opt__t1 Int)
(declare-const tmp22__func_bio_opt__t2 Int)
(declare-const tmp22__func_bio_opt__t3 Int)
(declare-const tmp22__func_bio_opt__t4 Int)
(declare-const tmp22__func_bio_opt__t5 Int)
(declare-const tmp22__func_bio_opt__tx Int)
(declare-const tmp22__func_bio_opt__ty Int)
(declare-const tmp22__func_com_grad_x_l_nn__val Int)
(declare-const tmp22__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp22__func_com_grad_y_l_nn__val Int)
(declare-const tmp22__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp22__func_com_mc_l_nn__val Int)
(declare-const tmp22__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp22__global__0__instrumented__ Int)
(declare-const tmp22__global__10__instrumented__ Int)
(declare-const tmp22__global__11__instrumented__ Int)
(declare-const tmp22__global__12__instrumented__ Int)
(declare-const tmp22__global__13__instrumented__ Int)
(declare-const tmp22__global__14__instrumented__ Int)
(declare-const tmp22__global__1__instrumented__ Int)
(declare-const tmp22__global__21__instrumented__ Int)
(declare-const tmp22__global__22__instrumented__ Int)
(declare-const tmp22__global__23__instrumented__ Int)
(declare-const tmp22__global__24__instrumented__ Int)
(declare-const tmp22__global__25__instrumented__ Int)
(declare-const tmp22__global__26__instrumented__ Int)
(declare-const tmp22__global__27__instrumented__ Int)
(declare-const tmp22__global__28__instrumented__ Int)
(declare-const tmp22__global__29__instrumented__ Int)
(declare-const tmp22__global__2__instrumented__ Int)
(declare-const tmp22__global__30__instrumented__ Int)
(declare-const tmp22__global__31__instrumented__ Int)
(declare-const tmp22__global__3__instrumented__ Int)
(declare-const tmp22__global__4__instrumented__ Int)
(declare-const tmp22__global__5__instrumented__ Int)
(declare-const tmp22__global__6__instrumented__ Int)
(declare-const tmp22__global__7__instrumented__ Int)
(declare-const tmp22__global__8__instrumented__ Int)
(declare-const tmp22__global__9__instrumented__ Int)
(declare-const tmp23__func_bio_opt__b Int)
(declare-const tmp23__func_bio_opt__t Int)
(declare-const tmp23__func_bio_opt__t1 Int)
(declare-const tmp23__func_bio_opt__t2 Int)
(declare-const tmp23__func_bio_opt__t3 Int)
(declare-const tmp23__func_bio_opt__t4 Int)
(declare-const tmp23__func_bio_opt__t5 Int)
(declare-const tmp23__func_bio_opt__tx Int)
(declare-const tmp23__func_bio_opt__ty Int)
(declare-const tmp23__func_com_grad_x_l_nn__val Int)
(declare-const tmp23__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp23__func_com_grad_y_l_nn__val Int)
(declare-const tmp23__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp23__func_com_mc_l_nn__val Int)
(declare-const tmp23__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp23__global__0__instrumented__ Int)
(declare-const tmp23__global__10__instrumented__ Int)
(declare-const tmp23__global__11__instrumented__ Int)
(declare-const tmp23__global__12__instrumented__ Int)
(declare-const tmp23__global__13__instrumented__ Int)
(declare-const tmp23__global__14__instrumented__ Int)
(declare-const tmp23__global__1__instrumented__ Int)
(declare-const tmp23__global__21__instrumented__ Int)
(declare-const tmp23__global__22__instrumented__ Int)
(declare-const tmp23__global__23__instrumented__ Int)
(declare-const tmp23__global__24__instrumented__ Int)
(declare-const tmp23__global__25__instrumented__ Int)
(declare-const tmp23__global__26__instrumented__ Int)
(declare-const tmp23__global__27__instrumented__ Int)
(declare-const tmp23__global__28__instrumented__ Int)
(declare-const tmp23__global__29__instrumented__ Int)
(declare-const tmp23__global__2__instrumented__ Int)
(declare-const tmp23__global__30__instrumented__ Int)
(declare-const tmp23__global__31__instrumented__ Int)
(declare-const tmp23__global__3__instrumented__ Int)
(declare-const tmp23__global__4__instrumented__ Int)
(declare-const tmp23__global__5__instrumented__ Int)
(declare-const tmp23__global__6__instrumented__ Int)
(declare-const tmp23__global__7__instrumented__ Int)
(declare-const tmp23__global__8__instrumented__ Int)
(declare-const tmp23__global__9__instrumented__ Int)
(declare-const tmp24__func_bio_opt__b Int)
(declare-const tmp24__func_bio_opt__t Int)
(declare-const tmp24__func_bio_opt__t1 Int)
(declare-const tmp24__func_bio_opt__t2 Int)
(declare-const tmp24__func_bio_opt__t3 Int)
(declare-const tmp24__func_bio_opt__t4 Int)
(declare-const tmp24__func_bio_opt__t5 Int)
(declare-const tmp24__func_bio_opt__tx Int)
(declare-const tmp24__func_bio_opt__ty Int)
(declare-const tmp24__func_com_grad_x_l_nn__val Int)
(declare-const tmp24__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp24__func_com_grad_y_l_nn__val Int)
(declare-const tmp24__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp24__func_com_mc_l_nn__val Int)
(declare-const tmp24__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp24__global__0__instrumented__ Int)
(declare-const tmp24__global__10__instrumented__ Int)
(declare-const tmp24__global__11__instrumented__ Int)
(declare-const tmp24__global__12__instrumented__ Int)
(declare-const tmp24__global__13__instrumented__ Int)
(declare-const tmp24__global__14__instrumented__ Int)
(declare-const tmp24__global__1__instrumented__ Int)
(declare-const tmp24__global__21__instrumented__ Int)
(declare-const tmp24__global__22__instrumented__ Int)
(declare-const tmp24__global__23__instrumented__ Int)
(declare-const tmp24__global__24__instrumented__ Int)
(declare-const tmp24__global__25__instrumented__ Int)
(declare-const tmp24__global__26__instrumented__ Int)
(declare-const tmp24__global__27__instrumented__ Int)
(declare-const tmp24__global__28__instrumented__ Int)
(declare-const tmp24__global__29__instrumented__ Int)
(declare-const tmp24__global__2__instrumented__ Int)
(declare-const tmp24__global__30__instrumented__ Int)
(declare-const tmp24__global__31__instrumented__ Int)
(declare-const tmp24__global__3__instrumented__ Int)
(declare-const tmp24__global__4__instrumented__ Int)
(declare-const tmp24__global__5__instrumented__ Int)
(declare-const tmp24__global__6__instrumented__ Int)
(declare-const tmp24__global__7__instrumented__ Int)
(declare-const tmp24__global__8__instrumented__ Int)
(declare-const tmp24__global__9__instrumented__ Int)
(declare-const tmp25__func_bio_opt__b Int)
(declare-const tmp25__func_bio_opt__t Int)
(declare-const tmp25__func_bio_opt__t1 Int)
(declare-const tmp25__func_bio_opt__t2 Int)
(declare-const tmp25__func_bio_opt__t3 Int)
(declare-const tmp25__func_bio_opt__t4 Int)
(declare-const tmp25__func_bio_opt__t5 Int)
(declare-const tmp25__func_bio_opt__tx Int)
(declare-const tmp25__func_bio_opt__ty Int)
(declare-const tmp25__func_com_grad_x_l_nn__val Int)
(declare-const tmp25__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp25__func_com_grad_y_l_nn__val Int)
(declare-const tmp25__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp25__func_com_mc_l_nn__val Int)
(declare-const tmp25__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp25__global__0__instrumented__ Int)
(declare-const tmp25__global__10__instrumented__ Int)
(declare-const tmp25__global__11__instrumented__ Int)
(declare-const tmp25__global__12__instrumented__ Int)
(declare-const tmp25__global__13__instrumented__ Int)
(declare-const tmp25__global__14__instrumented__ Int)
(declare-const tmp25__global__1__instrumented__ Int)
(declare-const tmp25__global__21__instrumented__ Int)
(declare-const tmp25__global__22__instrumented__ Int)
(declare-const tmp25__global__23__instrumented__ Int)
(declare-const tmp25__global__24__instrumented__ Int)
(declare-const tmp25__global__25__instrumented__ Int)
(declare-const tmp25__global__26__instrumented__ Int)
(declare-const tmp25__global__27__instrumented__ Int)
(declare-const tmp25__global__28__instrumented__ Int)
(declare-const tmp25__global__29__instrumented__ Int)
(declare-const tmp25__global__2__instrumented__ Int)
(declare-const tmp25__global__30__instrumented__ Int)
(declare-const tmp25__global__31__instrumented__ Int)
(declare-const tmp25__global__3__instrumented__ Int)
(declare-const tmp25__global__4__instrumented__ Int)
(declare-const tmp25__global__5__instrumented__ Int)
(declare-const tmp25__global__6__instrumented__ Int)
(declare-const tmp25__global__7__instrumented__ Int)
(declare-const tmp25__global__8__instrumented__ Int)
(declare-const tmp25__global__9__instrumented__ Int)
(declare-const tmp26__func_bio_opt__b Int)
(declare-const tmp26__func_bio_opt__t Int)
(declare-const tmp26__func_bio_opt__t1 Int)
(declare-const tmp26__func_bio_opt__t2 Int)
(declare-const tmp26__func_bio_opt__t3 Int)
(declare-const tmp26__func_bio_opt__t4 Int)
(declare-const tmp26__func_bio_opt__t5 Int)
(declare-const tmp26__func_bio_opt__tx Int)
(declare-const tmp26__func_bio_opt__ty Int)
(declare-const tmp26__func_com_grad_x_l_nn__val Int)
(declare-const tmp26__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp26__func_com_grad_y_l_nn__val Int)
(declare-const tmp26__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp26__func_com_mc_l_nn__val Int)
(declare-const tmp26__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp26__global__0__instrumented__ Int)
(declare-const tmp26__global__10__instrumented__ Int)
(declare-const tmp26__global__11__instrumented__ Int)
(declare-const tmp26__global__12__instrumented__ Int)
(declare-const tmp26__global__13__instrumented__ Int)
(declare-const tmp26__global__14__instrumented__ Int)
(declare-const tmp26__global__1__instrumented__ Int)
(declare-const tmp26__global__21__instrumented__ Int)
(declare-const tmp26__global__22__instrumented__ Int)
(declare-const tmp26__global__23__instrumented__ Int)
(declare-const tmp26__global__24__instrumented__ Int)
(declare-const tmp26__global__25__instrumented__ Int)
(declare-const tmp26__global__26__instrumented__ Int)
(declare-const tmp26__global__27__instrumented__ Int)
(declare-const tmp26__global__28__instrumented__ Int)
(declare-const tmp26__global__29__instrumented__ Int)
(declare-const tmp26__global__2__instrumented__ Int)
(declare-const tmp26__global__30__instrumented__ Int)
(declare-const tmp26__global__31__instrumented__ Int)
(declare-const tmp26__global__3__instrumented__ Int)
(declare-const tmp26__global__4__instrumented__ Int)
(declare-const tmp26__global__5__instrumented__ Int)
(declare-const tmp26__global__6__instrumented__ Int)
(declare-const tmp26__global__7__instrumented__ Int)
(declare-const tmp26__global__8__instrumented__ Int)
(declare-const tmp26__global__9__instrumented__ Int)
(declare-const tmp27__func_bio_opt__b Int)
(declare-const tmp27__func_bio_opt__t Int)
(declare-const tmp27__func_bio_opt__t1 Int)
(declare-const tmp27__func_bio_opt__t2 Int)
(declare-const tmp27__func_bio_opt__t3 Int)
(declare-const tmp27__func_bio_opt__t4 Int)
(declare-const tmp27__func_bio_opt__t5 Int)
(declare-const tmp27__func_bio_opt__tx Int)
(declare-const tmp27__func_bio_opt__ty Int)
(declare-const tmp27__func_com_grad_x_l_nn__val Int)
(declare-const tmp27__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp27__func_com_grad_y_l_nn__val Int)
(declare-const tmp27__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp27__func_com_mc_l_nn__val Int)
(declare-const tmp27__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp27__global__0__instrumented__ Int)
(declare-const tmp27__global__10__instrumented__ Int)
(declare-const tmp27__global__11__instrumented__ Int)
(declare-const tmp27__global__12__instrumented__ Int)
(declare-const tmp27__global__13__instrumented__ Int)
(declare-const tmp27__global__14__instrumented__ Int)
(declare-const tmp27__global__1__instrumented__ Int)
(declare-const tmp27__global__21__instrumented__ Int)
(declare-const tmp27__global__22__instrumented__ Int)
(declare-const tmp27__global__23__instrumented__ Int)
(declare-const tmp27__global__24__instrumented__ Int)
(declare-const tmp27__global__25__instrumented__ Int)
(declare-const tmp27__global__26__instrumented__ Int)
(declare-const tmp27__global__27__instrumented__ Int)
(declare-const tmp27__global__28__instrumented__ Int)
(declare-const tmp27__global__29__instrumented__ Int)
(declare-const tmp27__global__2__instrumented__ Int)
(declare-const tmp27__global__30__instrumented__ Int)
(declare-const tmp27__global__31__instrumented__ Int)
(declare-const tmp27__global__3__instrumented__ Int)
(declare-const tmp27__global__4__instrumented__ Int)
(declare-const tmp27__global__5__instrumented__ Int)
(declare-const tmp27__global__6__instrumented__ Int)
(declare-const tmp27__global__7__instrumented__ Int)
(declare-const tmp27__global__8__instrumented__ Int)
(declare-const tmp27__global__9__instrumented__ Int)
(declare-const tmp28__func_bio_opt__b Int)
(declare-const tmp28__func_bio_opt__t Int)
(declare-const tmp28__func_bio_opt__t1 Int)
(declare-const tmp28__func_bio_opt__t2 Int)
(declare-const tmp28__func_bio_opt__t3 Int)
(declare-const tmp28__func_bio_opt__t4 Int)
(declare-const tmp28__func_bio_opt__t5 Int)
(declare-const tmp28__func_bio_opt__tx Int)
(declare-const tmp28__func_bio_opt__ty Int)
(declare-const tmp28__func_com_grad_x_l_nn__val Int)
(declare-const tmp28__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp28__func_com_grad_y_l_nn__val Int)
(declare-const tmp28__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp28__func_com_mc_l_nn__val Int)
(declare-const tmp28__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp28__global__0__instrumented__ Int)
(declare-const tmp28__global__10__instrumented__ Int)
(declare-const tmp28__global__11__instrumented__ Int)
(declare-const tmp28__global__12__instrumented__ Int)
(declare-const tmp28__global__13__instrumented__ Int)
(declare-const tmp28__global__14__instrumented__ Int)
(declare-const tmp28__global__1__instrumented__ Int)
(declare-const tmp28__global__21__instrumented__ Int)
(declare-const tmp28__global__22__instrumented__ Int)
(declare-const tmp28__global__23__instrumented__ Int)
(declare-const tmp28__global__24__instrumented__ Int)
(declare-const tmp28__global__25__instrumented__ Int)
(declare-const tmp28__global__26__instrumented__ Int)
(declare-const tmp28__global__27__instrumented__ Int)
(declare-const tmp28__global__28__instrumented__ Int)
(declare-const tmp28__global__29__instrumented__ Int)
(declare-const tmp28__global__2__instrumented__ Int)
(declare-const tmp28__global__30__instrumented__ Int)
(declare-const tmp28__global__31__instrumented__ Int)
(declare-const tmp28__global__3__instrumented__ Int)
(declare-const tmp28__global__4__instrumented__ Int)
(declare-const tmp28__global__5__instrumented__ Int)
(declare-const tmp28__global__6__instrumented__ Int)
(declare-const tmp28__global__7__instrumented__ Int)
(declare-const tmp28__global__8__instrumented__ Int)
(declare-const tmp28__global__9__instrumented__ Int)
(declare-const tmp29__func_bio_opt__b Int)
(declare-const tmp29__func_bio_opt__t Int)
(declare-const tmp29__func_bio_opt__t1 Int)
(declare-const tmp29__func_bio_opt__t2 Int)
(declare-const tmp29__func_bio_opt__t3 Int)
(declare-const tmp29__func_bio_opt__t4 Int)
(declare-const tmp29__func_bio_opt__t5 Int)
(declare-const tmp29__func_bio_opt__tx Int)
(declare-const tmp29__func_bio_opt__ty Int)
(declare-const tmp29__func_com_grad_x_l_nn__val Int)
(declare-const tmp29__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp29__func_com_grad_y_l_nn__val Int)
(declare-const tmp29__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp29__func_com_mc_l_nn__val Int)
(declare-const tmp29__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp29__global__0__instrumented__ Int)
(declare-const tmp29__global__10__instrumented__ Int)
(declare-const tmp29__global__11__instrumented__ Int)
(declare-const tmp29__global__12__instrumented__ Int)
(declare-const tmp29__global__13__instrumented__ Int)
(declare-const tmp29__global__14__instrumented__ Int)
(declare-const tmp29__global__1__instrumented__ Int)
(declare-const tmp29__global__21__instrumented__ Int)
(declare-const tmp29__global__22__instrumented__ Int)
(declare-const tmp29__global__23__instrumented__ Int)
(declare-const tmp29__global__24__instrumented__ Int)
(declare-const tmp29__global__25__instrumented__ Int)
(declare-const tmp29__global__26__instrumented__ Int)
(declare-const tmp29__global__27__instrumented__ Int)
(declare-const tmp29__global__28__instrumented__ Int)
(declare-const tmp29__global__29__instrumented__ Int)
(declare-const tmp29__global__2__instrumented__ Int)
(declare-const tmp29__global__30__instrumented__ Int)
(declare-const tmp29__global__31__instrumented__ Int)
(declare-const tmp29__global__3__instrumented__ Int)
(declare-const tmp29__global__4__instrumented__ Int)
(declare-const tmp29__global__5__instrumented__ Int)
(declare-const tmp29__global__6__instrumented__ Int)
(declare-const tmp29__global__7__instrumented__ Int)
(declare-const tmp29__global__8__instrumented__ Int)
(declare-const tmp29__global__9__instrumented__ Int)
(declare-const tmp2__func_bio_opt__b Int)
(declare-const tmp2__func_bio_opt__t Int)
(declare-const tmp2__func_bio_opt__t1 Int)
(declare-const tmp2__func_bio_opt__t2 Int)
(declare-const tmp2__func_bio_opt__t3 Int)
(declare-const tmp2__func_bio_opt__t4 Int)
(declare-const tmp2__func_bio_opt__t5 Int)
(declare-const tmp2__func_bio_opt__tx Int)
(declare-const tmp2__func_bio_opt__ty Int)
(declare-const tmp2__func_bio_opt__vx Int)
(declare-const tmp2__func_bio_opt__vy Int)
(declare-const tmp2__func_com_grad_x_l_nn__val Int)
(declare-const tmp2__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp2__func_com_grad_y_l_nn__val Int)
(declare-const tmp2__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp2__func_com_mc_l_nn__val Int)
(declare-const tmp2__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp2__global__0__instrumented__ Int)
(declare-const tmp2__global__10__instrumented__ Int)
(declare-const tmp2__global__11__instrumented__ Int)
(declare-const tmp2__global__12__instrumented__ Int)
(declare-const tmp2__global__13__instrumented__ Int)
(declare-const tmp2__global__14__instrumented__ Int)
(declare-const tmp2__global__15__instrumented__ Int)
(declare-const tmp2__global__16__instrumented__ Int)
(declare-const tmp2__global__17__instrumented__ Int)
(declare-const tmp2__global__18__instrumented__ Int)
(declare-const tmp2__global__19__instrumented__ Int)
(declare-const tmp2__global__1__instrumented__ Int)
(declare-const tmp2__global__20__instrumented__ Int)
(declare-const tmp2__global__21__instrumented__ Int)
(declare-const tmp2__global__22__instrumented__ Int)
(declare-const tmp2__global__23__instrumented__ Int)
(declare-const tmp2__global__24__instrumented__ Int)
(declare-const tmp2__global__25__instrumented__ Int)
(declare-const tmp2__global__26__instrumented__ Int)
(declare-const tmp2__global__27__instrumented__ Int)
(declare-const tmp2__global__28__instrumented__ Int)
(declare-const tmp2__global__29__instrumented__ Int)
(declare-const tmp2__global__2__instrumented__ Int)
(declare-const tmp2__global__30__instrumented__ Int)
(declare-const tmp2__global__31__instrumented__ Int)
(declare-const tmp2__global__3__instrumented__ Int)
(declare-const tmp2__global__4__instrumented__ Int)
(declare-const tmp2__global__5__instrumented__ Int)
(declare-const tmp2__global__6__instrumented__ Int)
(declare-const tmp2__global__7__instrumented__ Int)
(declare-const tmp2__global__8__instrumented__ Int)
(declare-const tmp2__global__9__instrumented__ Int)
(declare-const tmp2__global__buf_0 Int)
(declare-const tmp2__global__buf_1 Int)
(declare-const tmp2__global__buf_10 Int)
(declare-const tmp2__global__buf_100 Int)
(declare-const tmp2__global__buf_101 Int)
(declare-const tmp2__global__buf_102 Int)
(declare-const tmp2__global__buf_103 Int)
(declare-const tmp2__global__buf_104 Int)
(declare-const tmp2__global__buf_105 Int)
(declare-const tmp2__global__buf_106 Int)
(declare-const tmp2__global__buf_107 Int)
(declare-const tmp2__global__buf_108 Int)
(declare-const tmp2__global__buf_109 Int)
(declare-const tmp2__global__buf_11 Int)
(declare-const tmp2__global__buf_110 Int)
(declare-const tmp2__global__buf_111 Int)
(declare-const tmp2__global__buf_112 Int)
(declare-const tmp2__global__buf_113 Int)
(declare-const tmp2__global__buf_114 Int)
(declare-const tmp2__global__buf_115 Int)
(declare-const tmp2__global__buf_116 Int)
(declare-const tmp2__global__buf_117 Int)
(declare-const tmp2__global__buf_118 Int)
(declare-const tmp2__global__buf_119 Int)
(declare-const tmp2__global__buf_12 Int)
(declare-const tmp2__global__buf_13 Int)
(declare-const tmp2__global__buf_14 Int)
(declare-const tmp2__global__buf_15 Int)
(declare-const tmp2__global__buf_16 Int)
(declare-const tmp2__global__buf_17 Int)
(declare-const tmp2__global__buf_18 Int)
(declare-const tmp2__global__buf_19 Int)
(declare-const tmp2__global__buf_2 Int)
(declare-const tmp2__global__buf_20 Int)
(declare-const tmp2__global__buf_21 Int)
(declare-const tmp2__global__buf_22 Int)
(declare-const tmp2__global__buf_23 Int)
(declare-const tmp2__global__buf_24 Int)
(declare-const tmp2__global__buf_25 Int)
(declare-const tmp2__global__buf_26 Int)
(declare-const tmp2__global__buf_27 Int)
(declare-const tmp2__global__buf_28 Int)
(declare-const tmp2__global__buf_29 Int)
(declare-const tmp2__global__buf_3 Int)
(declare-const tmp2__global__buf_30 Int)
(declare-const tmp2__global__buf_31 Int)
(declare-const tmp2__global__buf_32 Int)
(declare-const tmp2__global__buf_33 Int)
(declare-const tmp2__global__buf_34 Int)
(declare-const tmp2__global__buf_35 Int)
(declare-const tmp2__global__buf_36 Int)
(declare-const tmp2__global__buf_37 Int)
(declare-const tmp2__global__buf_38 Int)
(declare-const tmp2__global__buf_39 Int)
(declare-const tmp2__global__buf_4 Int)
(declare-const tmp2__global__buf_40 Int)
(declare-const tmp2__global__buf_41 Int)
(declare-const tmp2__global__buf_42 Int)
(declare-const tmp2__global__buf_43 Int)
(declare-const tmp2__global__buf_44 Int)
(declare-const tmp2__global__buf_45 Int)
(declare-const tmp2__global__buf_46 Int)
(declare-const tmp2__global__buf_47 Int)
(declare-const tmp2__global__buf_48 Int)
(declare-const tmp2__global__buf_49 Int)
(declare-const tmp2__global__buf_5 Int)
(declare-const tmp2__global__buf_50 Int)
(declare-const tmp2__global__buf_51 Int)
(declare-const tmp2__global__buf_52 Int)
(declare-const tmp2__global__buf_53 Int)
(declare-const tmp2__global__buf_54 Int)
(declare-const tmp2__global__buf_55 Int)
(declare-const tmp2__global__buf_56 Int)
(declare-const tmp2__global__buf_57 Int)
(declare-const tmp2__global__buf_58 Int)
(declare-const tmp2__global__buf_59 Int)
(declare-const tmp2__global__buf_6 Int)
(declare-const tmp2__global__buf_60 Int)
(declare-const tmp2__global__buf_61 Int)
(declare-const tmp2__global__buf_62 Int)
(declare-const tmp2__global__buf_63 Int)
(declare-const tmp2__global__buf_64 Int)
(declare-const tmp2__global__buf_65 Int)
(declare-const tmp2__global__buf_66 Int)
(declare-const tmp2__global__buf_67 Int)
(declare-const tmp2__global__buf_68 Int)
(declare-const tmp2__global__buf_69 Int)
(declare-const tmp2__global__buf_7 Int)
(declare-const tmp2__global__buf_70 Int)
(declare-const tmp2__global__buf_71 Int)
(declare-const tmp2__global__buf_72 Int)
(declare-const tmp2__global__buf_73 Int)
(declare-const tmp2__global__buf_74 Int)
(declare-const tmp2__global__buf_75 Int)
(declare-const tmp2__global__buf_76 Int)
(declare-const tmp2__global__buf_77 Int)
(declare-const tmp2__global__buf_78 Int)
(declare-const tmp2__global__buf_79 Int)
(declare-const tmp2__global__buf_8 Int)
(declare-const tmp2__global__buf_80 Int)
(declare-const tmp2__global__buf_81 Int)
(declare-const tmp2__global__buf_82 Int)
(declare-const tmp2__global__buf_83 Int)
(declare-const tmp2__global__buf_84 Int)
(declare-const tmp2__global__buf_85 Int)
(declare-const tmp2__global__buf_86 Int)
(declare-const tmp2__global__buf_87 Int)
(declare-const tmp2__global__buf_88 Int)
(declare-const tmp2__global__buf_89 Int)
(declare-const tmp2__global__buf_9 Int)
(declare-const tmp2__global__buf_90 Int)
(declare-const tmp2__global__buf_91 Int)
(declare-const tmp2__global__buf_92 Int)
(declare-const tmp2__global__buf_93 Int)
(declare-const tmp2__global__buf_94 Int)
(declare-const tmp2__global__buf_95 Int)
(declare-const tmp2__global__buf_96 Int)
(declare-const tmp2__global__buf_97 Int)
(declare-const tmp2__global__buf_98 Int)
(declare-const tmp2__global__buf_99 Int)
(declare-const tmp2__global__s1_0 Int)
(declare-const tmp2__global__s1_1 Int)
(declare-const tmp2__global__s1_10 Int)
(declare-const tmp2__global__s1_11 Int)
(declare-const tmp2__global__s1_12 Int)
(declare-const tmp2__global__s1_13 Int)
(declare-const tmp2__global__s1_14 Int)
(declare-const tmp2__global__s1_15 Int)
(declare-const tmp2__global__s1_16 Int)
(declare-const tmp2__global__s1_17 Int)
(declare-const tmp2__global__s1_18 Int)
(declare-const tmp2__global__s1_19 Int)
(declare-const tmp2__global__s1_2 Int)
(declare-const tmp2__global__s1_20 Int)
(declare-const tmp2__global__s1_21 Int)
(declare-const tmp2__global__s1_22 Int)
(declare-const tmp2__global__s1_23 Int)
(declare-const tmp2__global__s1_24 Int)
(declare-const tmp2__global__s1_25 Int)
(declare-const tmp2__global__s1_26 Int)
(declare-const tmp2__global__s1_27 Int)
(declare-const tmp2__global__s1_28 Int)
(declare-const tmp2__global__s1_29 Int)
(declare-const tmp2__global__s1_3 Int)
(declare-const tmp2__global__s1_30 Int)
(declare-const tmp2__global__s1_31 Int)
(declare-const tmp2__global__s1_32 Int)
(declare-const tmp2__global__s1_33 Int)
(declare-const tmp2__global__s1_34 Int)
(declare-const tmp2__global__s1_35 Int)
(declare-const tmp2__global__s1_36 Int)
(declare-const tmp2__global__s1_37 Int)
(declare-const tmp2__global__s1_38 Int)
(declare-const tmp2__global__s1_39 Int)
(declare-const tmp2__global__s1_4 Int)
(declare-const tmp2__global__s1_40 Int)
(declare-const tmp2__global__s1_41 Int)
(declare-const tmp2__global__s1_42 Int)
(declare-const tmp2__global__s1_43 Int)
(declare-const tmp2__global__s1_44 Int)
(declare-const tmp2__global__s1_45 Int)
(declare-const tmp2__global__s1_46 Int)
(declare-const tmp2__global__s1_47 Int)
(declare-const tmp2__global__s1_48 Int)
(declare-const tmp2__global__s1_49 Int)
(declare-const tmp2__global__s1_5 Int)
(declare-const tmp2__global__s1_50 Int)
(declare-const tmp2__global__s1_51 Int)
(declare-const tmp2__global__s1_52 Int)
(declare-const tmp2__global__s1_53 Int)
(declare-const tmp2__global__s1_54 Int)
(declare-const tmp2__global__s1_55 Int)
(declare-const tmp2__global__s1_56 Int)
(declare-const tmp2__global__s1_57 Int)
(declare-const tmp2__global__s1_58 Int)
(declare-const tmp2__global__s1_59 Int)
(declare-const tmp2__global__s1_6 Int)
(declare-const tmp2__global__s1_60 Int)
(declare-const tmp2__global__s1_61 Int)
(declare-const tmp2__global__s1_62 Int)
(declare-const tmp2__global__s1_63 Int)
(declare-const tmp2__global__s1_7 Int)
(declare-const tmp2__global__s1_8 Int)
(declare-const tmp2__global__s1_9 Int)
(declare-const tmp2__global__s2_0 Int)
(declare-const tmp2__global__s2_1 Int)
(declare-const tmp2__global__s2_10 Int)
(declare-const tmp2__global__s2_11 Int)
(declare-const tmp2__global__s2_12 Int)
(declare-const tmp2__global__s2_13 Int)
(declare-const tmp2__global__s2_14 Int)
(declare-const tmp2__global__s2_15 Int)
(declare-const tmp2__global__s2_16 Int)
(declare-const tmp2__global__s2_17 Int)
(declare-const tmp2__global__s2_18 Int)
(declare-const tmp2__global__s2_19 Int)
(declare-const tmp2__global__s2_2 Int)
(declare-const tmp2__global__s2_20 Int)
(declare-const tmp2__global__s2_21 Int)
(declare-const tmp2__global__s2_22 Int)
(declare-const tmp2__global__s2_23 Int)
(declare-const tmp2__global__s2_24 Int)
(declare-const tmp2__global__s2_25 Int)
(declare-const tmp2__global__s2_26 Int)
(declare-const tmp2__global__s2_27 Int)
(declare-const tmp2__global__s2_28 Int)
(declare-const tmp2__global__s2_29 Int)
(declare-const tmp2__global__s2_3 Int)
(declare-const tmp2__global__s2_30 Int)
(declare-const tmp2__global__s2_31 Int)
(declare-const tmp2__global__s2_32 Int)
(declare-const tmp2__global__s2_33 Int)
(declare-const tmp2__global__s2_34 Int)
(declare-const tmp2__global__s2_35 Int)
(declare-const tmp2__global__s2_36 Int)
(declare-const tmp2__global__s2_37 Int)
(declare-const tmp2__global__s2_38 Int)
(declare-const tmp2__global__s2_39 Int)
(declare-const tmp2__global__s2_4 Int)
(declare-const tmp2__global__s2_40 Int)
(declare-const tmp2__global__s2_41 Int)
(declare-const tmp2__global__s2_42 Int)
(declare-const tmp2__global__s2_43 Int)
(declare-const tmp2__global__s2_44 Int)
(declare-const tmp2__global__s2_45 Int)
(declare-const tmp2__global__s2_46 Int)
(declare-const tmp2__global__s2_47 Int)
(declare-const tmp2__global__s2_48 Int)
(declare-const tmp2__global__s2_49 Int)
(declare-const tmp2__global__s2_5 Int)
(declare-const tmp2__global__s2_50 Int)
(declare-const tmp2__global__s2_51 Int)
(declare-const tmp2__global__s2_52 Int)
(declare-const tmp2__global__s2_53 Int)
(declare-const tmp2__global__s2_54 Int)
(declare-const tmp2__global__s2_55 Int)
(declare-const tmp2__global__s2_56 Int)
(declare-const tmp2__global__s2_57 Int)
(declare-const tmp2__global__s2_58 Int)
(declare-const tmp2__global__s2_59 Int)
(declare-const tmp2__global__s2_6 Int)
(declare-const tmp2__global__s2_60 Int)
(declare-const tmp2__global__s2_61 Int)
(declare-const tmp2__global__s2_62 Int)
(declare-const tmp2__global__s2_63 Int)
(declare-const tmp2__global__s2_7 Int)
(declare-const tmp2__global__s2_8 Int)
(declare-const tmp2__global__s2_9 Int)
(declare-const tmp2__global__s3_0 Int)
(declare-const tmp2__global__s3_1 Int)
(declare-const tmp2__global__s3_10 Int)
(declare-const tmp2__global__s3_11 Int)
(declare-const tmp2__global__s3_12 Int)
(declare-const tmp2__global__s3_13 Int)
(declare-const tmp2__global__s3_14 Int)
(declare-const tmp2__global__s3_15 Int)
(declare-const tmp2__global__s3_16 Int)
(declare-const tmp2__global__s3_17 Int)
(declare-const tmp2__global__s3_18 Int)
(declare-const tmp2__global__s3_19 Int)
(declare-const tmp2__global__s3_2 Int)
(declare-const tmp2__global__s3_20 Int)
(declare-const tmp2__global__s3_21 Int)
(declare-const tmp2__global__s3_22 Int)
(declare-const tmp2__global__s3_23 Int)
(declare-const tmp2__global__s3_24 Int)
(declare-const tmp2__global__s3_25 Int)
(declare-const tmp2__global__s3_26 Int)
(declare-const tmp2__global__s3_27 Int)
(declare-const tmp2__global__s3_28 Int)
(declare-const tmp2__global__s3_29 Int)
(declare-const tmp2__global__s3_3 Int)
(declare-const tmp2__global__s3_30 Int)
(declare-const tmp2__global__s3_31 Int)
(declare-const tmp2__global__s3_32 Int)
(declare-const tmp2__global__s3_33 Int)
(declare-const tmp2__global__s3_34 Int)
(declare-const tmp2__global__s3_35 Int)
(declare-const tmp2__global__s3_36 Int)
(declare-const tmp2__global__s3_37 Int)
(declare-const tmp2__global__s3_38 Int)
(declare-const tmp2__global__s3_39 Int)
(declare-const tmp2__global__s3_4 Int)
(declare-const tmp2__global__s3_40 Int)
(declare-const tmp2__global__s3_41 Int)
(declare-const tmp2__global__s3_42 Int)
(declare-const tmp2__global__s3_43 Int)
(declare-const tmp2__global__s3_44 Int)
(declare-const tmp2__global__s3_45 Int)
(declare-const tmp2__global__s3_46 Int)
(declare-const tmp2__global__s3_47 Int)
(declare-const tmp2__global__s3_48 Int)
(declare-const tmp2__global__s3_49 Int)
(declare-const tmp2__global__s3_5 Int)
(declare-const tmp2__global__s3_50 Int)
(declare-const tmp2__global__s3_51 Int)
(declare-const tmp2__global__s3_52 Int)
(declare-const tmp2__global__s3_53 Int)
(declare-const tmp2__global__s3_54 Int)
(declare-const tmp2__global__s3_55 Int)
(declare-const tmp2__global__s3_56 Int)
(declare-const tmp2__global__s3_57 Int)
(declare-const tmp2__global__s3_58 Int)
(declare-const tmp2__global__s3_59 Int)
(declare-const tmp2__global__s3_6 Int)
(declare-const tmp2__global__s3_60 Int)
(declare-const tmp2__global__s3_61 Int)
(declare-const tmp2__global__s3_62 Int)
(declare-const tmp2__global__s3_63 Int)
(declare-const tmp2__global__s3_7 Int)
(declare-const tmp2__global__s3_8 Int)
(declare-const tmp2__global__s3_9 Int)
(declare-const tmp2__global__s4_0 Int)
(declare-const tmp2__global__s4_1 Int)
(declare-const tmp2__global__s4_10 Int)
(declare-const tmp2__global__s4_11 Int)
(declare-const tmp2__global__s4_12 Int)
(declare-const tmp2__global__s4_13 Int)
(declare-const tmp2__global__s4_14 Int)
(declare-const tmp2__global__s4_15 Int)
(declare-const tmp2__global__s4_16 Int)
(declare-const tmp2__global__s4_17 Int)
(declare-const tmp2__global__s4_18 Int)
(declare-const tmp2__global__s4_19 Int)
(declare-const tmp2__global__s4_2 Int)
(declare-const tmp2__global__s4_20 Int)
(declare-const tmp2__global__s4_21 Int)
(declare-const tmp2__global__s4_22 Int)
(declare-const tmp2__global__s4_23 Int)
(declare-const tmp2__global__s4_24 Int)
(declare-const tmp2__global__s4_25 Int)
(declare-const tmp2__global__s4_26 Int)
(declare-const tmp2__global__s4_27 Int)
(declare-const tmp2__global__s4_28 Int)
(declare-const tmp2__global__s4_29 Int)
(declare-const tmp2__global__s4_3 Int)
(declare-const tmp2__global__s4_30 Int)
(declare-const tmp2__global__s4_31 Int)
(declare-const tmp2__global__s4_32 Int)
(declare-const tmp2__global__s4_33 Int)
(declare-const tmp2__global__s4_34 Int)
(declare-const tmp2__global__s4_35 Int)
(declare-const tmp2__global__s4_36 Int)
(declare-const tmp2__global__s4_37 Int)
(declare-const tmp2__global__s4_38 Int)
(declare-const tmp2__global__s4_39 Int)
(declare-const tmp2__global__s4_4 Int)
(declare-const tmp2__global__s4_40 Int)
(declare-const tmp2__global__s4_41 Int)
(declare-const tmp2__global__s4_42 Int)
(declare-const tmp2__global__s4_43 Int)
(declare-const tmp2__global__s4_44 Int)
(declare-const tmp2__global__s4_45 Int)
(declare-const tmp2__global__s4_46 Int)
(declare-const tmp2__global__s4_47 Int)
(declare-const tmp2__global__s4_48 Int)
(declare-const tmp2__global__s4_49 Int)
(declare-const tmp2__global__s4_5 Int)
(declare-const tmp2__global__s4_50 Int)
(declare-const tmp2__global__s4_51 Int)
(declare-const tmp2__global__s4_52 Int)
(declare-const tmp2__global__s4_53 Int)
(declare-const tmp2__global__s4_54 Int)
(declare-const tmp2__global__s4_55 Int)
(declare-const tmp2__global__s4_56 Int)
(declare-const tmp2__global__s4_57 Int)
(declare-const tmp2__global__s4_58 Int)
(declare-const tmp2__global__s4_59 Int)
(declare-const tmp2__global__s4_6 Int)
(declare-const tmp2__global__s4_60 Int)
(declare-const tmp2__global__s4_61 Int)
(declare-const tmp2__global__s4_62 Int)
(declare-const tmp2__global__s4_63 Int)
(declare-const tmp2__global__s4_7 Int)
(declare-const tmp2__global__s4_8 Int)
(declare-const tmp2__global__s4_9 Int)
(declare-const tmp2__global__s5_0 Int)
(declare-const tmp2__global__s5_1 Int)
(declare-const tmp2__global__s5_10 Int)
(declare-const tmp2__global__s5_11 Int)
(declare-const tmp2__global__s5_12 Int)
(declare-const tmp2__global__s5_13 Int)
(declare-const tmp2__global__s5_14 Int)
(declare-const tmp2__global__s5_15 Int)
(declare-const tmp2__global__s5_16 Int)
(declare-const tmp2__global__s5_17 Int)
(declare-const tmp2__global__s5_18 Int)
(declare-const tmp2__global__s5_19 Int)
(declare-const tmp2__global__s5_2 Int)
(declare-const tmp2__global__s5_20 Int)
(declare-const tmp2__global__s5_21 Int)
(declare-const tmp2__global__s5_22 Int)
(declare-const tmp2__global__s5_23 Int)
(declare-const tmp2__global__s5_24 Int)
(declare-const tmp2__global__s5_25 Int)
(declare-const tmp2__global__s5_26 Int)
(declare-const tmp2__global__s5_27 Int)
(declare-const tmp2__global__s5_28 Int)
(declare-const tmp2__global__s5_29 Int)
(declare-const tmp2__global__s5_3 Int)
(declare-const tmp2__global__s5_30 Int)
(declare-const tmp2__global__s5_31 Int)
(declare-const tmp2__global__s5_32 Int)
(declare-const tmp2__global__s5_33 Int)
(declare-const tmp2__global__s5_34 Int)
(declare-const tmp2__global__s5_35 Int)
(declare-const tmp2__global__s5_36 Int)
(declare-const tmp2__global__s5_37 Int)
(declare-const tmp2__global__s5_38 Int)
(declare-const tmp2__global__s5_39 Int)
(declare-const tmp2__global__s5_4 Int)
(declare-const tmp2__global__s5_40 Int)
(declare-const tmp2__global__s5_41 Int)
(declare-const tmp2__global__s5_42 Int)
(declare-const tmp2__global__s5_43 Int)
(declare-const tmp2__global__s5_44 Int)
(declare-const tmp2__global__s5_45 Int)
(declare-const tmp2__global__s5_46 Int)
(declare-const tmp2__global__s5_47 Int)
(declare-const tmp2__global__s5_48 Int)
(declare-const tmp2__global__s5_49 Int)
(declare-const tmp2__global__s5_5 Int)
(declare-const tmp2__global__s5_50 Int)
(declare-const tmp2__global__s5_51 Int)
(declare-const tmp2__global__s5_52 Int)
(declare-const tmp2__global__s5_53 Int)
(declare-const tmp2__global__s5_54 Int)
(declare-const tmp2__global__s5_55 Int)
(declare-const tmp2__global__s5_56 Int)
(declare-const tmp2__global__s5_57 Int)
(declare-const tmp2__global__s5_58 Int)
(declare-const tmp2__global__s5_59 Int)
(declare-const tmp2__global__s5_6 Int)
(declare-const tmp2__global__s5_60 Int)
(declare-const tmp2__global__s5_61 Int)
(declare-const tmp2__global__s5_62 Int)
(declare-const tmp2__global__s5_63 Int)
(declare-const tmp2__global__s5_7 Int)
(declare-const tmp2__global__s5_8 Int)
(declare-const tmp2__global__s5_9 Int)
(declare-const tmp30__func_bio_opt__b Int)
(declare-const tmp30__func_bio_opt__t Int)
(declare-const tmp30__func_bio_opt__t1 Int)
(declare-const tmp30__func_bio_opt__t2 Int)
(declare-const tmp30__func_bio_opt__t3 Int)
(declare-const tmp30__func_bio_opt__t4 Int)
(declare-const tmp30__func_bio_opt__t5 Int)
(declare-const tmp30__func_bio_opt__tx Int)
(declare-const tmp30__func_bio_opt__ty Int)
(declare-const tmp30__func_com_grad_x_l_nn__val Int)
(declare-const tmp30__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp30__func_com_grad_y_l_nn__val Int)
(declare-const tmp30__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp30__func_com_mc_l_nn__val Int)
(declare-const tmp30__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp30__global__0__instrumented__ Int)
(declare-const tmp30__global__10__instrumented__ Int)
(declare-const tmp30__global__11__instrumented__ Int)
(declare-const tmp30__global__12__instrumented__ Int)
(declare-const tmp30__global__13__instrumented__ Int)
(declare-const tmp30__global__14__instrumented__ Int)
(declare-const tmp30__global__1__instrumented__ Int)
(declare-const tmp30__global__21__instrumented__ Int)
(declare-const tmp30__global__22__instrumented__ Int)
(declare-const tmp30__global__23__instrumented__ Int)
(declare-const tmp30__global__24__instrumented__ Int)
(declare-const tmp30__global__25__instrumented__ Int)
(declare-const tmp30__global__26__instrumented__ Int)
(declare-const tmp30__global__27__instrumented__ Int)
(declare-const tmp30__global__28__instrumented__ Int)
(declare-const tmp30__global__29__instrumented__ Int)
(declare-const tmp30__global__2__instrumented__ Int)
(declare-const tmp30__global__30__instrumented__ Int)
(declare-const tmp30__global__31__instrumented__ Int)
(declare-const tmp30__global__3__instrumented__ Int)
(declare-const tmp30__global__4__instrumented__ Int)
(declare-const tmp30__global__5__instrumented__ Int)
(declare-const tmp30__global__6__instrumented__ Int)
(declare-const tmp30__global__7__instrumented__ Int)
(declare-const tmp30__global__8__instrumented__ Int)
(declare-const tmp30__global__9__instrumented__ Int)
(declare-const tmp31__func_bio_opt__b Int)
(declare-const tmp31__func_bio_opt__t Int)
(declare-const tmp31__func_bio_opt__t1 Int)
(declare-const tmp31__func_bio_opt__t2 Int)
(declare-const tmp31__func_bio_opt__t3 Int)
(declare-const tmp31__func_bio_opt__t4 Int)
(declare-const tmp31__func_bio_opt__t5 Int)
(declare-const tmp31__func_bio_opt__tx Int)
(declare-const tmp31__func_bio_opt__ty Int)
(declare-const tmp31__func_com_grad_x_l_nn__val Int)
(declare-const tmp31__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp31__func_com_grad_y_l_nn__val Int)
(declare-const tmp31__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp31__func_com_mc_l_nn__val Int)
(declare-const tmp31__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp31__global__0__instrumented__ Int)
(declare-const tmp31__global__10__instrumented__ Int)
(declare-const tmp31__global__11__instrumented__ Int)
(declare-const tmp31__global__12__instrumented__ Int)
(declare-const tmp31__global__13__instrumented__ Int)
(declare-const tmp31__global__14__instrumented__ Int)
(declare-const tmp31__global__1__instrumented__ Int)
(declare-const tmp31__global__21__instrumented__ Int)
(declare-const tmp31__global__22__instrumented__ Int)
(declare-const tmp31__global__23__instrumented__ Int)
(declare-const tmp31__global__24__instrumented__ Int)
(declare-const tmp31__global__25__instrumented__ Int)
(declare-const tmp31__global__26__instrumented__ Int)
(declare-const tmp31__global__27__instrumented__ Int)
(declare-const tmp31__global__28__instrumented__ Int)
(declare-const tmp31__global__29__instrumented__ Int)
(declare-const tmp31__global__2__instrumented__ Int)
(declare-const tmp31__global__30__instrumented__ Int)
(declare-const tmp31__global__31__instrumented__ Int)
(declare-const tmp31__global__3__instrumented__ Int)
(declare-const tmp31__global__4__instrumented__ Int)
(declare-const tmp31__global__5__instrumented__ Int)
(declare-const tmp31__global__6__instrumented__ Int)
(declare-const tmp31__global__7__instrumented__ Int)
(declare-const tmp31__global__8__instrumented__ Int)
(declare-const tmp31__global__9__instrumented__ Int)
(declare-const tmp32__func_bio_opt__b Int)
(declare-const tmp32__func_bio_opt__t Int)
(declare-const tmp32__func_bio_opt__t1 Int)
(declare-const tmp32__func_bio_opt__t2 Int)
(declare-const tmp32__func_bio_opt__t3 Int)
(declare-const tmp32__func_bio_opt__t4 Int)
(declare-const tmp32__func_bio_opt__t5 Int)
(declare-const tmp32__func_bio_opt__tx Int)
(declare-const tmp32__func_bio_opt__ty Int)
(declare-const tmp32__func_com_grad_x_l_nn__val Int)
(declare-const tmp32__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp32__func_com_grad_y_l_nn__val Int)
(declare-const tmp32__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp32__func_com_mc_l_nn__val Int)
(declare-const tmp32__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp32__global__0__instrumented__ Int)
(declare-const tmp32__global__10__instrumented__ Int)
(declare-const tmp32__global__11__instrumented__ Int)
(declare-const tmp32__global__12__instrumented__ Int)
(declare-const tmp32__global__13__instrumented__ Int)
(declare-const tmp32__global__14__instrumented__ Int)
(declare-const tmp32__global__1__instrumented__ Int)
(declare-const tmp32__global__21__instrumented__ Int)
(declare-const tmp32__global__22__instrumented__ Int)
(declare-const tmp32__global__23__instrumented__ Int)
(declare-const tmp32__global__24__instrumented__ Int)
(declare-const tmp32__global__25__instrumented__ Int)
(declare-const tmp32__global__26__instrumented__ Int)
(declare-const tmp32__global__27__instrumented__ Int)
(declare-const tmp32__global__28__instrumented__ Int)
(declare-const tmp32__global__29__instrumented__ Int)
(declare-const tmp32__global__2__instrumented__ Int)
(declare-const tmp32__global__30__instrumented__ Int)
(declare-const tmp32__global__31__instrumented__ Int)
(declare-const tmp32__global__3__instrumented__ Int)
(declare-const tmp32__global__4__instrumented__ Int)
(declare-const tmp32__global__5__instrumented__ Int)
(declare-const tmp32__global__6__instrumented__ Int)
(declare-const tmp32__global__7__instrumented__ Int)
(declare-const tmp32__global__8__instrumented__ Int)
(declare-const tmp32__global__9__instrumented__ Int)
(declare-const tmp33__func_bio_opt__b Int)
(declare-const tmp33__func_bio_opt__t Int)
(declare-const tmp33__func_bio_opt__t1 Int)
(declare-const tmp33__func_bio_opt__t2 Int)
(declare-const tmp33__func_bio_opt__t3 Int)
(declare-const tmp33__func_bio_opt__t4 Int)
(declare-const tmp33__func_bio_opt__t5 Int)
(declare-const tmp33__func_bio_opt__tx Int)
(declare-const tmp33__func_bio_opt__ty Int)
(declare-const tmp33__func_com_grad_x_l_nn__val Int)
(declare-const tmp33__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp33__func_com_grad_y_l_nn__val Int)
(declare-const tmp33__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp33__func_com_mc_l_nn__val Int)
(declare-const tmp33__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp33__global__0__instrumented__ Int)
(declare-const tmp33__global__10__instrumented__ Int)
(declare-const tmp33__global__11__instrumented__ Int)
(declare-const tmp33__global__12__instrumented__ Int)
(declare-const tmp33__global__13__instrumented__ Int)
(declare-const tmp33__global__14__instrumented__ Int)
(declare-const tmp33__global__1__instrumented__ Int)
(declare-const tmp33__global__21__instrumented__ Int)
(declare-const tmp33__global__22__instrumented__ Int)
(declare-const tmp33__global__23__instrumented__ Int)
(declare-const tmp33__global__24__instrumented__ Int)
(declare-const tmp33__global__25__instrumented__ Int)
(declare-const tmp33__global__26__instrumented__ Int)
(declare-const tmp33__global__27__instrumented__ Int)
(declare-const tmp33__global__28__instrumented__ Int)
(declare-const tmp33__global__29__instrumented__ Int)
(declare-const tmp33__global__2__instrumented__ Int)
(declare-const tmp33__global__30__instrumented__ Int)
(declare-const tmp33__global__31__instrumented__ Int)
(declare-const tmp33__global__3__instrumented__ Int)
(declare-const tmp33__global__4__instrumented__ Int)
(declare-const tmp33__global__5__instrumented__ Int)
(declare-const tmp33__global__6__instrumented__ Int)
(declare-const tmp33__global__7__instrumented__ Int)
(declare-const tmp33__global__8__instrumented__ Int)
(declare-const tmp33__global__9__instrumented__ Int)
(declare-const tmp34__func_bio_opt__b Int)
(declare-const tmp34__func_bio_opt__t Int)
(declare-const tmp34__func_bio_opt__t1 Int)
(declare-const tmp34__func_bio_opt__t2 Int)
(declare-const tmp34__func_bio_opt__t3 Int)
(declare-const tmp34__func_bio_opt__t4 Int)
(declare-const tmp34__func_bio_opt__t5 Int)
(declare-const tmp34__func_bio_opt__tx Int)
(declare-const tmp34__func_bio_opt__ty Int)
(declare-const tmp34__func_com_grad_x_l_nn__val Int)
(declare-const tmp34__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp34__func_com_grad_y_l_nn__val Int)
(declare-const tmp34__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp34__func_com_mc_l_nn__val Int)
(declare-const tmp34__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp34__global__0__instrumented__ Int)
(declare-const tmp34__global__10__instrumented__ Int)
(declare-const tmp34__global__11__instrumented__ Int)
(declare-const tmp34__global__12__instrumented__ Int)
(declare-const tmp34__global__13__instrumented__ Int)
(declare-const tmp34__global__14__instrumented__ Int)
(declare-const tmp34__global__1__instrumented__ Int)
(declare-const tmp34__global__21__instrumented__ Int)
(declare-const tmp34__global__22__instrumented__ Int)
(declare-const tmp34__global__23__instrumented__ Int)
(declare-const tmp34__global__24__instrumented__ Int)
(declare-const tmp34__global__25__instrumented__ Int)
(declare-const tmp34__global__26__instrumented__ Int)
(declare-const tmp34__global__27__instrumented__ Int)
(declare-const tmp34__global__28__instrumented__ Int)
(declare-const tmp34__global__29__instrumented__ Int)
(declare-const tmp34__global__2__instrumented__ Int)
(declare-const tmp34__global__30__instrumented__ Int)
(declare-const tmp34__global__31__instrumented__ Int)
(declare-const tmp34__global__3__instrumented__ Int)
(declare-const tmp34__global__4__instrumented__ Int)
(declare-const tmp34__global__5__instrumented__ Int)
(declare-const tmp34__global__6__instrumented__ Int)
(declare-const tmp34__global__7__instrumented__ Int)
(declare-const tmp34__global__8__instrumented__ Int)
(declare-const tmp34__global__9__instrumented__ Int)
(declare-const tmp35__func_bio_opt__b Int)
(declare-const tmp35__func_bio_opt__t Int)
(declare-const tmp35__func_bio_opt__t1 Int)
(declare-const tmp35__func_bio_opt__t2 Int)
(declare-const tmp35__func_bio_opt__t3 Int)
(declare-const tmp35__func_bio_opt__t4 Int)
(declare-const tmp35__func_bio_opt__t5 Int)
(declare-const tmp35__func_bio_opt__tx Int)
(declare-const tmp35__func_bio_opt__ty Int)
(declare-const tmp35__func_com_grad_x_l_nn__val Int)
(declare-const tmp35__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp35__func_com_grad_y_l_nn__val Int)
(declare-const tmp35__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp35__func_com_mc_l_nn__val Int)
(declare-const tmp35__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp35__global__0__instrumented__ Int)
(declare-const tmp35__global__10__instrumented__ Int)
(declare-const tmp35__global__11__instrumented__ Int)
(declare-const tmp35__global__12__instrumented__ Int)
(declare-const tmp35__global__13__instrumented__ Int)
(declare-const tmp35__global__14__instrumented__ Int)
(declare-const tmp35__global__1__instrumented__ Int)
(declare-const tmp35__global__21__instrumented__ Int)
(declare-const tmp35__global__22__instrumented__ Int)
(declare-const tmp35__global__23__instrumented__ Int)
(declare-const tmp35__global__24__instrumented__ Int)
(declare-const tmp35__global__25__instrumented__ Int)
(declare-const tmp35__global__26__instrumented__ Int)
(declare-const tmp35__global__27__instrumented__ Int)
(declare-const tmp35__global__28__instrumented__ Int)
(declare-const tmp35__global__29__instrumented__ Int)
(declare-const tmp35__global__2__instrumented__ Int)
(declare-const tmp35__global__30__instrumented__ Int)
(declare-const tmp35__global__31__instrumented__ Int)
(declare-const tmp35__global__3__instrumented__ Int)
(declare-const tmp35__global__4__instrumented__ Int)
(declare-const tmp35__global__5__instrumented__ Int)
(declare-const tmp35__global__6__instrumented__ Int)
(declare-const tmp35__global__7__instrumented__ Int)
(declare-const tmp35__global__8__instrumented__ Int)
(declare-const tmp35__global__9__instrumented__ Int)
(declare-const tmp36__func_bio_opt__b Int)
(declare-const tmp36__func_bio_opt__t Int)
(declare-const tmp36__func_bio_opt__t1 Int)
(declare-const tmp36__func_bio_opt__t2 Int)
(declare-const tmp36__func_bio_opt__t3 Int)
(declare-const tmp36__func_bio_opt__t4 Int)
(declare-const tmp36__func_bio_opt__t5 Int)
(declare-const tmp36__func_bio_opt__tx Int)
(declare-const tmp36__func_bio_opt__ty Int)
(declare-const tmp36__func_com_grad_x_l_nn__val Int)
(declare-const tmp36__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp36__func_com_grad_y_l_nn__val Int)
(declare-const tmp36__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp36__func_com_mc_l_nn__val Int)
(declare-const tmp36__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp36__global__0__instrumented__ Int)
(declare-const tmp36__global__10__instrumented__ Int)
(declare-const tmp36__global__11__instrumented__ Int)
(declare-const tmp36__global__12__instrumented__ Int)
(declare-const tmp36__global__13__instrumented__ Int)
(declare-const tmp36__global__14__instrumented__ Int)
(declare-const tmp36__global__1__instrumented__ Int)
(declare-const tmp36__global__21__instrumented__ Int)
(declare-const tmp36__global__22__instrumented__ Int)
(declare-const tmp36__global__23__instrumented__ Int)
(declare-const tmp36__global__24__instrumented__ Int)
(declare-const tmp36__global__25__instrumented__ Int)
(declare-const tmp36__global__26__instrumented__ Int)
(declare-const tmp36__global__27__instrumented__ Int)
(declare-const tmp36__global__28__instrumented__ Int)
(declare-const tmp36__global__29__instrumented__ Int)
(declare-const tmp36__global__2__instrumented__ Int)
(declare-const tmp36__global__30__instrumented__ Int)
(declare-const tmp36__global__31__instrumented__ Int)
(declare-const tmp36__global__3__instrumented__ Int)
(declare-const tmp36__global__4__instrumented__ Int)
(declare-const tmp36__global__5__instrumented__ Int)
(declare-const tmp36__global__6__instrumented__ Int)
(declare-const tmp36__global__7__instrumented__ Int)
(declare-const tmp36__global__8__instrumented__ Int)
(declare-const tmp36__global__9__instrumented__ Int)
(declare-const tmp37__func_bio_opt__b Int)
(declare-const tmp37__func_bio_opt__t Int)
(declare-const tmp37__func_bio_opt__t1 Int)
(declare-const tmp37__func_bio_opt__t2 Int)
(declare-const tmp37__func_bio_opt__t3 Int)
(declare-const tmp37__func_bio_opt__t4 Int)
(declare-const tmp37__func_bio_opt__t5 Int)
(declare-const tmp37__func_bio_opt__tx Int)
(declare-const tmp37__func_bio_opt__ty Int)
(declare-const tmp37__func_com_grad_x_l_nn__val Int)
(declare-const tmp37__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp37__func_com_grad_y_l_nn__val Int)
(declare-const tmp37__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp37__func_com_mc_l_nn__val Int)
(declare-const tmp37__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp37__global__0__instrumented__ Int)
(declare-const tmp37__global__10__instrumented__ Int)
(declare-const tmp37__global__11__instrumented__ Int)
(declare-const tmp37__global__12__instrumented__ Int)
(declare-const tmp37__global__13__instrumented__ Int)
(declare-const tmp37__global__14__instrumented__ Int)
(declare-const tmp37__global__1__instrumented__ Int)
(declare-const tmp37__global__21__instrumented__ Int)
(declare-const tmp37__global__22__instrumented__ Int)
(declare-const tmp37__global__23__instrumented__ Int)
(declare-const tmp37__global__24__instrumented__ Int)
(declare-const tmp37__global__25__instrumented__ Int)
(declare-const tmp37__global__26__instrumented__ Int)
(declare-const tmp37__global__27__instrumented__ Int)
(declare-const tmp37__global__28__instrumented__ Int)
(declare-const tmp37__global__29__instrumented__ Int)
(declare-const tmp37__global__2__instrumented__ Int)
(declare-const tmp37__global__30__instrumented__ Int)
(declare-const tmp37__global__31__instrumented__ Int)
(declare-const tmp37__global__3__instrumented__ Int)
(declare-const tmp37__global__4__instrumented__ Int)
(declare-const tmp37__global__5__instrumented__ Int)
(declare-const tmp37__global__6__instrumented__ Int)
(declare-const tmp37__global__7__instrumented__ Int)
(declare-const tmp37__global__8__instrumented__ Int)
(declare-const tmp37__global__9__instrumented__ Int)
(declare-const tmp38__func_bio_opt__b Int)
(declare-const tmp38__func_bio_opt__t Int)
(declare-const tmp38__func_bio_opt__t1 Int)
(declare-const tmp38__func_bio_opt__t2 Int)
(declare-const tmp38__func_bio_opt__t3 Int)
(declare-const tmp38__func_bio_opt__t4 Int)
(declare-const tmp38__func_bio_opt__t5 Int)
(declare-const tmp38__func_bio_opt__tx Int)
(declare-const tmp38__func_bio_opt__ty Int)
(declare-const tmp38__func_com_grad_x_l_nn__val Int)
(declare-const tmp38__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp38__func_com_grad_y_l_nn__val Int)
(declare-const tmp38__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp38__func_com_mc_l_nn__val Int)
(declare-const tmp38__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp38__global__0__instrumented__ Int)
(declare-const tmp38__global__10__instrumented__ Int)
(declare-const tmp38__global__11__instrumented__ Int)
(declare-const tmp38__global__12__instrumented__ Int)
(declare-const tmp38__global__13__instrumented__ Int)
(declare-const tmp38__global__14__instrumented__ Int)
(declare-const tmp38__global__1__instrumented__ Int)
(declare-const tmp38__global__21__instrumented__ Int)
(declare-const tmp38__global__22__instrumented__ Int)
(declare-const tmp38__global__23__instrumented__ Int)
(declare-const tmp38__global__24__instrumented__ Int)
(declare-const tmp38__global__25__instrumented__ Int)
(declare-const tmp38__global__26__instrumented__ Int)
(declare-const tmp38__global__27__instrumented__ Int)
(declare-const tmp38__global__28__instrumented__ Int)
(declare-const tmp38__global__29__instrumented__ Int)
(declare-const tmp38__global__2__instrumented__ Int)
(declare-const tmp38__global__30__instrumented__ Int)
(declare-const tmp38__global__31__instrumented__ Int)
(declare-const tmp38__global__3__instrumented__ Int)
(declare-const tmp38__global__4__instrumented__ Int)
(declare-const tmp38__global__5__instrumented__ Int)
(declare-const tmp38__global__6__instrumented__ Int)
(declare-const tmp38__global__7__instrumented__ Int)
(declare-const tmp38__global__8__instrumented__ Int)
(declare-const tmp38__global__9__instrumented__ Int)
(declare-const tmp39__func_bio_opt__b Int)
(declare-const tmp39__func_bio_opt__t Int)
(declare-const tmp39__func_bio_opt__t1 Int)
(declare-const tmp39__func_bio_opt__t2 Int)
(declare-const tmp39__func_bio_opt__t3 Int)
(declare-const tmp39__func_bio_opt__t4 Int)
(declare-const tmp39__func_bio_opt__t5 Int)
(declare-const tmp39__func_bio_opt__tx Int)
(declare-const tmp39__func_bio_opt__ty Int)
(declare-const tmp39__func_com_grad_x_l_nn__val Int)
(declare-const tmp39__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp39__func_com_grad_y_l_nn__val Int)
(declare-const tmp39__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp39__func_com_mc_l_nn__val Int)
(declare-const tmp39__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp39__global__0__instrumented__ Int)
(declare-const tmp39__global__10__instrumented__ Int)
(declare-const tmp39__global__11__instrumented__ Int)
(declare-const tmp39__global__12__instrumented__ Int)
(declare-const tmp39__global__13__instrumented__ Int)
(declare-const tmp39__global__14__instrumented__ Int)
(declare-const tmp39__global__1__instrumented__ Int)
(declare-const tmp39__global__21__instrumented__ Int)
(declare-const tmp39__global__22__instrumented__ Int)
(declare-const tmp39__global__23__instrumented__ Int)
(declare-const tmp39__global__24__instrumented__ Int)
(declare-const tmp39__global__25__instrumented__ Int)
(declare-const tmp39__global__26__instrumented__ Int)
(declare-const tmp39__global__27__instrumented__ Int)
(declare-const tmp39__global__28__instrumented__ Int)
(declare-const tmp39__global__29__instrumented__ Int)
(declare-const tmp39__global__2__instrumented__ Int)
(declare-const tmp39__global__30__instrumented__ Int)
(declare-const tmp39__global__31__instrumented__ Int)
(declare-const tmp39__global__3__instrumented__ Int)
(declare-const tmp39__global__4__instrumented__ Int)
(declare-const tmp39__global__5__instrumented__ Int)
(declare-const tmp39__global__6__instrumented__ Int)
(declare-const tmp39__global__7__instrumented__ Int)
(declare-const tmp39__global__8__instrumented__ Int)
(declare-const tmp39__global__9__instrumented__ Int)
(declare-const tmp3__func_bio_opt__b Int)
(declare-const tmp3__func_bio_opt__t Int)
(declare-const tmp3__func_bio_opt__t1 Int)
(declare-const tmp3__func_bio_opt__t2 Int)
(declare-const tmp3__func_bio_opt__t3 Int)
(declare-const tmp3__func_bio_opt__t4 Int)
(declare-const tmp3__func_bio_opt__t5 Int)
(declare-const tmp3__func_bio_opt__tx Int)
(declare-const tmp3__func_bio_opt__ty Int)
(declare-const tmp3__func_bio_opt__vx Int)
(declare-const tmp3__func_bio_opt__vy Int)
(declare-const tmp3__func_com_grad_x_l_nn__val Int)
(declare-const tmp3__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp3__func_com_grad_y_l_nn__val Int)
(declare-const tmp3__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp3__func_com_mc_l_nn__val Int)
(declare-const tmp3__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp3__global__0__instrumented__ Int)
(declare-const tmp3__global__10__instrumented__ Int)
(declare-const tmp3__global__11__instrumented__ Int)
(declare-const tmp3__global__12__instrumented__ Int)
(declare-const tmp3__global__13__instrumented__ Int)
(declare-const tmp3__global__14__instrumented__ Int)
(declare-const tmp3__global__15__instrumented__ Int)
(declare-const tmp3__global__16__instrumented__ Int)
(declare-const tmp3__global__17__instrumented__ Int)
(declare-const tmp3__global__18__instrumented__ Int)
(declare-const tmp3__global__19__instrumented__ Int)
(declare-const tmp3__global__1__instrumented__ Int)
(declare-const tmp3__global__20__instrumented__ Int)
(declare-const tmp3__global__21__instrumented__ Int)
(declare-const tmp3__global__22__instrumented__ Int)
(declare-const tmp3__global__23__instrumented__ Int)
(declare-const tmp3__global__24__instrumented__ Int)
(declare-const tmp3__global__25__instrumented__ Int)
(declare-const tmp3__global__26__instrumented__ Int)
(declare-const tmp3__global__27__instrumented__ Int)
(declare-const tmp3__global__28__instrumented__ Int)
(declare-const tmp3__global__29__instrumented__ Int)
(declare-const tmp3__global__2__instrumented__ Int)
(declare-const tmp3__global__30__instrumented__ Int)
(declare-const tmp3__global__31__instrumented__ Int)
(declare-const tmp3__global__3__instrumented__ Int)
(declare-const tmp3__global__4__instrumented__ Int)
(declare-const tmp3__global__5__instrumented__ Int)
(declare-const tmp3__global__6__instrumented__ Int)
(declare-const tmp3__global__7__instrumented__ Int)
(declare-const tmp3__global__8__instrumented__ Int)
(declare-const tmp3__global__9__instrumented__ Int)
(declare-const tmp3__global__buf_0 Int)
(declare-const tmp3__global__buf_1 Int)
(declare-const tmp3__global__buf_10 Int)
(declare-const tmp3__global__buf_100 Int)
(declare-const tmp3__global__buf_101 Int)
(declare-const tmp3__global__buf_102 Int)
(declare-const tmp3__global__buf_103 Int)
(declare-const tmp3__global__buf_104 Int)
(declare-const tmp3__global__buf_105 Int)
(declare-const tmp3__global__buf_106 Int)
(declare-const tmp3__global__buf_107 Int)
(declare-const tmp3__global__buf_108 Int)
(declare-const tmp3__global__buf_109 Int)
(declare-const tmp3__global__buf_11 Int)
(declare-const tmp3__global__buf_110 Int)
(declare-const tmp3__global__buf_111 Int)
(declare-const tmp3__global__buf_112 Int)
(declare-const tmp3__global__buf_113 Int)
(declare-const tmp3__global__buf_114 Int)
(declare-const tmp3__global__buf_115 Int)
(declare-const tmp3__global__buf_116 Int)
(declare-const tmp3__global__buf_117 Int)
(declare-const tmp3__global__buf_118 Int)
(declare-const tmp3__global__buf_119 Int)
(declare-const tmp3__global__buf_12 Int)
(declare-const tmp3__global__buf_13 Int)
(declare-const tmp3__global__buf_14 Int)
(declare-const tmp3__global__buf_15 Int)
(declare-const tmp3__global__buf_16 Int)
(declare-const tmp3__global__buf_17 Int)
(declare-const tmp3__global__buf_18 Int)
(declare-const tmp3__global__buf_19 Int)
(declare-const tmp3__global__buf_2 Int)
(declare-const tmp3__global__buf_20 Int)
(declare-const tmp3__global__buf_21 Int)
(declare-const tmp3__global__buf_22 Int)
(declare-const tmp3__global__buf_23 Int)
(declare-const tmp3__global__buf_24 Int)
(declare-const tmp3__global__buf_25 Int)
(declare-const tmp3__global__buf_26 Int)
(declare-const tmp3__global__buf_27 Int)
(declare-const tmp3__global__buf_28 Int)
(declare-const tmp3__global__buf_29 Int)
(declare-const tmp3__global__buf_3 Int)
(declare-const tmp3__global__buf_30 Int)
(declare-const tmp3__global__buf_31 Int)
(declare-const tmp3__global__buf_32 Int)
(declare-const tmp3__global__buf_33 Int)
(declare-const tmp3__global__buf_34 Int)
(declare-const tmp3__global__buf_35 Int)
(declare-const tmp3__global__buf_36 Int)
(declare-const tmp3__global__buf_37 Int)
(declare-const tmp3__global__buf_38 Int)
(declare-const tmp3__global__buf_39 Int)
(declare-const tmp3__global__buf_4 Int)
(declare-const tmp3__global__buf_40 Int)
(declare-const tmp3__global__buf_41 Int)
(declare-const tmp3__global__buf_42 Int)
(declare-const tmp3__global__buf_43 Int)
(declare-const tmp3__global__buf_44 Int)
(declare-const tmp3__global__buf_45 Int)
(declare-const tmp3__global__buf_46 Int)
(declare-const tmp3__global__buf_47 Int)
(declare-const tmp3__global__buf_48 Int)
(declare-const tmp3__global__buf_49 Int)
(declare-const tmp3__global__buf_5 Int)
(declare-const tmp3__global__buf_50 Int)
(declare-const tmp3__global__buf_51 Int)
(declare-const tmp3__global__buf_52 Int)
(declare-const tmp3__global__buf_53 Int)
(declare-const tmp3__global__buf_54 Int)
(declare-const tmp3__global__buf_55 Int)
(declare-const tmp3__global__buf_56 Int)
(declare-const tmp3__global__buf_57 Int)
(declare-const tmp3__global__buf_58 Int)
(declare-const tmp3__global__buf_59 Int)
(declare-const tmp3__global__buf_6 Int)
(declare-const tmp3__global__buf_60 Int)
(declare-const tmp3__global__buf_61 Int)
(declare-const tmp3__global__buf_62 Int)
(declare-const tmp3__global__buf_63 Int)
(declare-const tmp3__global__buf_64 Int)
(declare-const tmp3__global__buf_65 Int)
(declare-const tmp3__global__buf_66 Int)
(declare-const tmp3__global__buf_67 Int)
(declare-const tmp3__global__buf_68 Int)
(declare-const tmp3__global__buf_69 Int)
(declare-const tmp3__global__buf_7 Int)
(declare-const tmp3__global__buf_70 Int)
(declare-const tmp3__global__buf_71 Int)
(declare-const tmp3__global__buf_72 Int)
(declare-const tmp3__global__buf_73 Int)
(declare-const tmp3__global__buf_74 Int)
(declare-const tmp3__global__buf_75 Int)
(declare-const tmp3__global__buf_76 Int)
(declare-const tmp3__global__buf_77 Int)
(declare-const tmp3__global__buf_78 Int)
(declare-const tmp3__global__buf_79 Int)
(declare-const tmp3__global__buf_8 Int)
(declare-const tmp3__global__buf_80 Int)
(declare-const tmp3__global__buf_81 Int)
(declare-const tmp3__global__buf_82 Int)
(declare-const tmp3__global__buf_83 Int)
(declare-const tmp3__global__buf_84 Int)
(declare-const tmp3__global__buf_85 Int)
(declare-const tmp3__global__buf_86 Int)
(declare-const tmp3__global__buf_87 Int)
(declare-const tmp3__global__buf_88 Int)
(declare-const tmp3__global__buf_89 Int)
(declare-const tmp3__global__buf_9 Int)
(declare-const tmp3__global__buf_90 Int)
(declare-const tmp3__global__buf_91 Int)
(declare-const tmp3__global__buf_92 Int)
(declare-const tmp3__global__buf_93 Int)
(declare-const tmp3__global__buf_94 Int)
(declare-const tmp3__global__buf_95 Int)
(declare-const tmp3__global__buf_96 Int)
(declare-const tmp3__global__buf_97 Int)
(declare-const tmp3__global__buf_98 Int)
(declare-const tmp3__global__buf_99 Int)
(declare-const tmp40__func_bio_opt__b Int)
(declare-const tmp40__func_bio_opt__t Int)
(declare-const tmp40__func_bio_opt__t1 Int)
(declare-const tmp40__func_bio_opt__t2 Int)
(declare-const tmp40__func_bio_opt__t3 Int)
(declare-const tmp40__func_bio_opt__t4 Int)
(declare-const tmp40__func_bio_opt__t5 Int)
(declare-const tmp40__func_bio_opt__tx Int)
(declare-const tmp40__func_bio_opt__ty Int)
(declare-const tmp40__func_com_grad_x_l_nn__val Int)
(declare-const tmp40__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp40__func_com_grad_y_l_nn__val Int)
(declare-const tmp40__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp40__func_com_mc_l_nn__val Int)
(declare-const tmp40__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp40__global__0__instrumented__ Int)
(declare-const tmp40__global__10__instrumented__ Int)
(declare-const tmp40__global__11__instrumented__ Int)
(declare-const tmp40__global__12__instrumented__ Int)
(declare-const tmp40__global__13__instrumented__ Int)
(declare-const tmp40__global__14__instrumented__ Int)
(declare-const tmp40__global__1__instrumented__ Int)
(declare-const tmp40__global__21__instrumented__ Int)
(declare-const tmp40__global__22__instrumented__ Int)
(declare-const tmp40__global__23__instrumented__ Int)
(declare-const tmp40__global__24__instrumented__ Int)
(declare-const tmp40__global__25__instrumented__ Int)
(declare-const tmp40__global__26__instrumented__ Int)
(declare-const tmp40__global__27__instrumented__ Int)
(declare-const tmp40__global__28__instrumented__ Int)
(declare-const tmp40__global__29__instrumented__ Int)
(declare-const tmp40__global__2__instrumented__ Int)
(declare-const tmp40__global__30__instrumented__ Int)
(declare-const tmp40__global__31__instrumented__ Int)
(declare-const tmp40__global__3__instrumented__ Int)
(declare-const tmp40__global__4__instrumented__ Int)
(declare-const tmp40__global__5__instrumented__ Int)
(declare-const tmp40__global__6__instrumented__ Int)
(declare-const tmp40__global__7__instrumented__ Int)
(declare-const tmp40__global__8__instrumented__ Int)
(declare-const tmp40__global__9__instrumented__ Int)
(declare-const tmp41__func_bio_opt__b Int)
(declare-const tmp41__func_bio_opt__t Int)
(declare-const tmp41__func_bio_opt__t1 Int)
(declare-const tmp41__func_bio_opt__t2 Int)
(declare-const tmp41__func_bio_opt__t3 Int)
(declare-const tmp41__func_bio_opt__t4 Int)
(declare-const tmp41__func_bio_opt__t5 Int)
(declare-const tmp41__func_bio_opt__tx Int)
(declare-const tmp41__func_bio_opt__ty Int)
(declare-const tmp41__func_com_grad_x_l_nn__val Int)
(declare-const tmp41__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp41__func_com_grad_y_l_nn__val Int)
(declare-const tmp41__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp41__func_com_mc_l_nn__val Int)
(declare-const tmp41__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp41__global__0__instrumented__ Int)
(declare-const tmp41__global__10__instrumented__ Int)
(declare-const tmp41__global__11__instrumented__ Int)
(declare-const tmp41__global__12__instrumented__ Int)
(declare-const tmp41__global__13__instrumented__ Int)
(declare-const tmp41__global__14__instrumented__ Int)
(declare-const tmp41__global__1__instrumented__ Int)
(declare-const tmp41__global__21__instrumented__ Int)
(declare-const tmp41__global__22__instrumented__ Int)
(declare-const tmp41__global__23__instrumented__ Int)
(declare-const tmp41__global__24__instrumented__ Int)
(declare-const tmp41__global__25__instrumented__ Int)
(declare-const tmp41__global__26__instrumented__ Int)
(declare-const tmp41__global__27__instrumented__ Int)
(declare-const tmp41__global__28__instrumented__ Int)
(declare-const tmp41__global__29__instrumented__ Int)
(declare-const tmp41__global__2__instrumented__ Int)
(declare-const tmp41__global__30__instrumented__ Int)
(declare-const tmp41__global__31__instrumented__ Int)
(declare-const tmp41__global__3__instrumented__ Int)
(declare-const tmp41__global__4__instrumented__ Int)
(declare-const tmp41__global__5__instrumented__ Int)
(declare-const tmp41__global__6__instrumented__ Int)
(declare-const tmp41__global__7__instrumented__ Int)
(declare-const tmp41__global__8__instrumented__ Int)
(declare-const tmp41__global__9__instrumented__ Int)
(declare-const tmp42__func_bio_opt__b Int)
(declare-const tmp42__func_bio_opt__t Int)
(declare-const tmp42__func_bio_opt__t1 Int)
(declare-const tmp42__func_bio_opt__t2 Int)
(declare-const tmp42__func_bio_opt__t3 Int)
(declare-const tmp42__func_bio_opt__t4 Int)
(declare-const tmp42__func_bio_opt__t5 Int)
(declare-const tmp42__func_bio_opt__tx Int)
(declare-const tmp42__func_bio_opt__ty Int)
(declare-const tmp42__func_com_grad_x_l_nn__val Int)
(declare-const tmp42__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp42__func_com_grad_y_l_nn__val Int)
(declare-const tmp42__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp42__func_com_mc_l_nn__val Int)
(declare-const tmp42__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp42__global__0__instrumented__ Int)
(declare-const tmp42__global__10__instrumented__ Int)
(declare-const tmp42__global__11__instrumented__ Int)
(declare-const tmp42__global__12__instrumented__ Int)
(declare-const tmp42__global__13__instrumented__ Int)
(declare-const tmp42__global__14__instrumented__ Int)
(declare-const tmp42__global__1__instrumented__ Int)
(declare-const tmp42__global__21__instrumented__ Int)
(declare-const tmp42__global__22__instrumented__ Int)
(declare-const tmp42__global__23__instrumented__ Int)
(declare-const tmp42__global__24__instrumented__ Int)
(declare-const tmp42__global__25__instrumented__ Int)
(declare-const tmp42__global__26__instrumented__ Int)
(declare-const tmp42__global__27__instrumented__ Int)
(declare-const tmp42__global__28__instrumented__ Int)
(declare-const tmp42__global__29__instrumented__ Int)
(declare-const tmp42__global__2__instrumented__ Int)
(declare-const tmp42__global__30__instrumented__ Int)
(declare-const tmp42__global__31__instrumented__ Int)
(declare-const tmp42__global__3__instrumented__ Int)
(declare-const tmp42__global__4__instrumented__ Int)
(declare-const tmp42__global__5__instrumented__ Int)
(declare-const tmp42__global__6__instrumented__ Int)
(declare-const tmp42__global__7__instrumented__ Int)
(declare-const tmp42__global__8__instrumented__ Int)
(declare-const tmp42__global__9__instrumented__ Int)
(declare-const tmp43__func_bio_opt__b Int)
(declare-const tmp43__func_bio_opt__t Int)
(declare-const tmp43__func_bio_opt__t1 Int)
(declare-const tmp43__func_bio_opt__t2 Int)
(declare-const tmp43__func_bio_opt__t3 Int)
(declare-const tmp43__func_bio_opt__t4 Int)
(declare-const tmp43__func_bio_opt__t5 Int)
(declare-const tmp43__func_bio_opt__tx Int)
(declare-const tmp43__func_bio_opt__ty Int)
(declare-const tmp43__func_com_grad_x_l_nn__val Int)
(declare-const tmp43__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp43__func_com_grad_y_l_nn__val Int)
(declare-const tmp43__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp43__func_com_mc_l_nn__val Int)
(declare-const tmp43__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp43__global__0__instrumented__ Int)
(declare-const tmp43__global__10__instrumented__ Int)
(declare-const tmp43__global__11__instrumented__ Int)
(declare-const tmp43__global__12__instrumented__ Int)
(declare-const tmp43__global__13__instrumented__ Int)
(declare-const tmp43__global__14__instrumented__ Int)
(declare-const tmp43__global__1__instrumented__ Int)
(declare-const tmp43__global__21__instrumented__ Int)
(declare-const tmp43__global__22__instrumented__ Int)
(declare-const tmp43__global__23__instrumented__ Int)
(declare-const tmp43__global__24__instrumented__ Int)
(declare-const tmp43__global__25__instrumented__ Int)
(declare-const tmp43__global__26__instrumented__ Int)
(declare-const tmp43__global__27__instrumented__ Int)
(declare-const tmp43__global__28__instrumented__ Int)
(declare-const tmp43__global__29__instrumented__ Int)
(declare-const tmp43__global__2__instrumented__ Int)
(declare-const tmp43__global__30__instrumented__ Int)
(declare-const tmp43__global__31__instrumented__ Int)
(declare-const tmp43__global__3__instrumented__ Int)
(declare-const tmp43__global__4__instrumented__ Int)
(declare-const tmp43__global__5__instrumented__ Int)
(declare-const tmp43__global__6__instrumented__ Int)
(declare-const tmp43__global__7__instrumented__ Int)
(declare-const tmp43__global__8__instrumented__ Int)
(declare-const tmp43__global__9__instrumented__ Int)
(declare-const tmp44__func_bio_opt__b Int)
(declare-const tmp44__func_bio_opt__t Int)
(declare-const tmp44__func_bio_opt__t1 Int)
(declare-const tmp44__func_bio_opt__t2 Int)
(declare-const tmp44__func_bio_opt__t3 Int)
(declare-const tmp44__func_bio_opt__t4 Int)
(declare-const tmp44__func_bio_opt__t5 Int)
(declare-const tmp44__func_bio_opt__tx Int)
(declare-const tmp44__func_bio_opt__ty Int)
(declare-const tmp44__func_com_grad_x_l_nn__val Int)
(declare-const tmp44__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp44__func_com_grad_y_l_nn__val Int)
(declare-const tmp44__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp44__func_com_mc_l_nn__val Int)
(declare-const tmp44__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp44__global__0__instrumented__ Int)
(declare-const tmp44__global__10__instrumented__ Int)
(declare-const tmp44__global__11__instrumented__ Int)
(declare-const tmp44__global__12__instrumented__ Int)
(declare-const tmp44__global__13__instrumented__ Int)
(declare-const tmp44__global__14__instrumented__ Int)
(declare-const tmp44__global__1__instrumented__ Int)
(declare-const tmp44__global__21__instrumented__ Int)
(declare-const tmp44__global__22__instrumented__ Int)
(declare-const tmp44__global__23__instrumented__ Int)
(declare-const tmp44__global__24__instrumented__ Int)
(declare-const tmp44__global__25__instrumented__ Int)
(declare-const tmp44__global__26__instrumented__ Int)
(declare-const tmp44__global__27__instrumented__ Int)
(declare-const tmp44__global__28__instrumented__ Int)
(declare-const tmp44__global__29__instrumented__ Int)
(declare-const tmp44__global__2__instrumented__ Int)
(declare-const tmp44__global__30__instrumented__ Int)
(declare-const tmp44__global__31__instrumented__ Int)
(declare-const tmp44__global__3__instrumented__ Int)
(declare-const tmp44__global__4__instrumented__ Int)
(declare-const tmp44__global__5__instrumented__ Int)
(declare-const tmp44__global__6__instrumented__ Int)
(declare-const tmp44__global__7__instrumented__ Int)
(declare-const tmp44__global__8__instrumented__ Int)
(declare-const tmp44__global__9__instrumented__ Int)
(declare-const tmp45__func_bio_opt__b Int)
(declare-const tmp45__func_bio_opt__t Int)
(declare-const tmp45__func_bio_opt__t1 Int)
(declare-const tmp45__func_bio_opt__t2 Int)
(declare-const tmp45__func_bio_opt__t3 Int)
(declare-const tmp45__func_bio_opt__t4 Int)
(declare-const tmp45__func_bio_opt__t5 Int)
(declare-const tmp45__func_bio_opt__tx Int)
(declare-const tmp45__func_bio_opt__ty Int)
(declare-const tmp45__func_com_grad_x_l_nn__val Int)
(declare-const tmp45__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp45__func_com_grad_y_l_nn__val Int)
(declare-const tmp45__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp45__func_com_mc_l_nn__val Int)
(declare-const tmp45__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp45__global__0__instrumented__ Int)
(declare-const tmp45__global__10__instrumented__ Int)
(declare-const tmp45__global__11__instrumented__ Int)
(declare-const tmp45__global__12__instrumented__ Int)
(declare-const tmp45__global__13__instrumented__ Int)
(declare-const tmp45__global__14__instrumented__ Int)
(declare-const tmp45__global__1__instrumented__ Int)
(declare-const tmp45__global__21__instrumented__ Int)
(declare-const tmp45__global__22__instrumented__ Int)
(declare-const tmp45__global__23__instrumented__ Int)
(declare-const tmp45__global__24__instrumented__ Int)
(declare-const tmp45__global__25__instrumented__ Int)
(declare-const tmp45__global__26__instrumented__ Int)
(declare-const tmp45__global__27__instrumented__ Int)
(declare-const tmp45__global__28__instrumented__ Int)
(declare-const tmp45__global__29__instrumented__ Int)
(declare-const tmp45__global__2__instrumented__ Int)
(declare-const tmp45__global__30__instrumented__ Int)
(declare-const tmp45__global__31__instrumented__ Int)
(declare-const tmp45__global__3__instrumented__ Int)
(declare-const tmp45__global__4__instrumented__ Int)
(declare-const tmp45__global__5__instrumented__ Int)
(declare-const tmp45__global__6__instrumented__ Int)
(declare-const tmp45__global__7__instrumented__ Int)
(declare-const tmp45__global__8__instrumented__ Int)
(declare-const tmp45__global__9__instrumented__ Int)
(declare-const tmp46__func_bio_opt__b Int)
(declare-const tmp46__func_bio_opt__t Int)
(declare-const tmp46__func_bio_opt__t1 Int)
(declare-const tmp46__func_bio_opt__t2 Int)
(declare-const tmp46__func_bio_opt__t3 Int)
(declare-const tmp46__func_bio_opt__t4 Int)
(declare-const tmp46__func_bio_opt__t5 Int)
(declare-const tmp46__func_bio_opt__tx Int)
(declare-const tmp46__func_bio_opt__ty Int)
(declare-const tmp46__func_com_grad_x_l_nn__val Int)
(declare-const tmp46__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp46__func_com_grad_y_l_nn__val Int)
(declare-const tmp46__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp46__func_com_mc_l_nn__val Int)
(declare-const tmp46__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp46__global__0__instrumented__ Int)
(declare-const tmp46__global__10__instrumented__ Int)
(declare-const tmp46__global__11__instrumented__ Int)
(declare-const tmp46__global__12__instrumented__ Int)
(declare-const tmp46__global__13__instrumented__ Int)
(declare-const tmp46__global__14__instrumented__ Int)
(declare-const tmp46__global__1__instrumented__ Int)
(declare-const tmp46__global__21__instrumented__ Int)
(declare-const tmp46__global__22__instrumented__ Int)
(declare-const tmp46__global__23__instrumented__ Int)
(declare-const tmp46__global__24__instrumented__ Int)
(declare-const tmp46__global__25__instrumented__ Int)
(declare-const tmp46__global__26__instrumented__ Int)
(declare-const tmp46__global__27__instrumented__ Int)
(declare-const tmp46__global__28__instrumented__ Int)
(declare-const tmp46__global__29__instrumented__ Int)
(declare-const tmp46__global__2__instrumented__ Int)
(declare-const tmp46__global__30__instrumented__ Int)
(declare-const tmp46__global__31__instrumented__ Int)
(declare-const tmp46__global__3__instrumented__ Int)
(declare-const tmp46__global__4__instrumented__ Int)
(declare-const tmp46__global__5__instrumented__ Int)
(declare-const tmp46__global__6__instrumented__ Int)
(declare-const tmp46__global__7__instrumented__ Int)
(declare-const tmp46__global__8__instrumented__ Int)
(declare-const tmp46__global__9__instrumented__ Int)
(declare-const tmp47__func_bio_opt__b Int)
(declare-const tmp47__func_bio_opt__t Int)
(declare-const tmp47__func_bio_opt__t1 Int)
(declare-const tmp47__func_bio_opt__t2 Int)
(declare-const tmp47__func_bio_opt__t3 Int)
(declare-const tmp47__func_bio_opt__t4 Int)
(declare-const tmp47__func_bio_opt__t5 Int)
(declare-const tmp47__func_bio_opt__tx Int)
(declare-const tmp47__func_bio_opt__ty Int)
(declare-const tmp47__func_com_grad_x_l_nn__val Int)
(declare-const tmp47__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp47__func_com_grad_y_l_nn__val Int)
(declare-const tmp47__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp47__func_com_mc_l_nn__val Int)
(declare-const tmp47__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp47__global__0__instrumented__ Int)
(declare-const tmp47__global__10__instrumented__ Int)
(declare-const tmp47__global__11__instrumented__ Int)
(declare-const tmp47__global__12__instrumented__ Int)
(declare-const tmp47__global__13__instrumented__ Int)
(declare-const tmp47__global__14__instrumented__ Int)
(declare-const tmp47__global__1__instrumented__ Int)
(declare-const tmp47__global__21__instrumented__ Int)
(declare-const tmp47__global__22__instrumented__ Int)
(declare-const tmp47__global__23__instrumented__ Int)
(declare-const tmp47__global__24__instrumented__ Int)
(declare-const tmp47__global__25__instrumented__ Int)
(declare-const tmp47__global__26__instrumented__ Int)
(declare-const tmp47__global__27__instrumented__ Int)
(declare-const tmp47__global__28__instrumented__ Int)
(declare-const tmp47__global__29__instrumented__ Int)
(declare-const tmp47__global__2__instrumented__ Int)
(declare-const tmp47__global__30__instrumented__ Int)
(declare-const tmp47__global__31__instrumented__ Int)
(declare-const tmp47__global__3__instrumented__ Int)
(declare-const tmp47__global__4__instrumented__ Int)
(declare-const tmp47__global__5__instrumented__ Int)
(declare-const tmp47__global__6__instrumented__ Int)
(declare-const tmp47__global__7__instrumented__ Int)
(declare-const tmp47__global__8__instrumented__ Int)
(declare-const tmp47__global__9__instrumented__ Int)
(declare-const tmp48__func_bio_opt__b Int)
(declare-const tmp48__func_bio_opt__t Int)
(declare-const tmp48__func_bio_opt__t1 Int)
(declare-const tmp48__func_bio_opt__t2 Int)
(declare-const tmp48__func_bio_opt__t3 Int)
(declare-const tmp48__func_bio_opt__t4 Int)
(declare-const tmp48__func_bio_opt__t5 Int)
(declare-const tmp48__func_bio_opt__tx Int)
(declare-const tmp48__func_bio_opt__ty Int)
(declare-const tmp48__func_com_grad_x_l_nn__val Int)
(declare-const tmp48__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp48__func_com_grad_y_l_nn__val Int)
(declare-const tmp48__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp48__func_com_mc_l_nn__val Int)
(declare-const tmp48__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp48__global__0__instrumented__ Int)
(declare-const tmp48__global__10__instrumented__ Int)
(declare-const tmp48__global__11__instrumented__ Int)
(declare-const tmp48__global__12__instrumented__ Int)
(declare-const tmp48__global__13__instrumented__ Int)
(declare-const tmp48__global__14__instrumented__ Int)
(declare-const tmp48__global__1__instrumented__ Int)
(declare-const tmp48__global__21__instrumented__ Int)
(declare-const tmp48__global__22__instrumented__ Int)
(declare-const tmp48__global__23__instrumented__ Int)
(declare-const tmp48__global__24__instrumented__ Int)
(declare-const tmp48__global__25__instrumented__ Int)
(declare-const tmp48__global__26__instrumented__ Int)
(declare-const tmp48__global__27__instrumented__ Int)
(declare-const tmp48__global__28__instrumented__ Int)
(declare-const tmp48__global__29__instrumented__ Int)
(declare-const tmp48__global__2__instrumented__ Int)
(declare-const tmp48__global__30__instrumented__ Int)
(declare-const tmp48__global__31__instrumented__ Int)
(declare-const tmp48__global__3__instrumented__ Int)
(declare-const tmp48__global__4__instrumented__ Int)
(declare-const tmp48__global__5__instrumented__ Int)
(declare-const tmp48__global__6__instrumented__ Int)
(declare-const tmp48__global__7__instrumented__ Int)
(declare-const tmp48__global__8__instrumented__ Int)
(declare-const tmp48__global__9__instrumented__ Int)
(declare-const tmp49__func_bio_opt__b Int)
(declare-const tmp49__func_bio_opt__t Int)
(declare-const tmp49__func_bio_opt__t1 Int)
(declare-const tmp49__func_bio_opt__t2 Int)
(declare-const tmp49__func_bio_opt__t3 Int)
(declare-const tmp49__func_bio_opt__t4 Int)
(declare-const tmp49__func_bio_opt__t5 Int)
(declare-const tmp49__func_bio_opt__tx Int)
(declare-const tmp49__func_bio_opt__ty Int)
(declare-const tmp49__func_com_grad_x_l_nn__val Int)
(declare-const tmp49__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp49__func_com_grad_y_l_nn__val Int)
(declare-const tmp49__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp49__func_com_mc_l_nn__val Int)
(declare-const tmp49__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp49__global__0__instrumented__ Int)
(declare-const tmp49__global__10__instrumented__ Int)
(declare-const tmp49__global__11__instrumented__ Int)
(declare-const tmp49__global__12__instrumented__ Int)
(declare-const tmp49__global__13__instrumented__ Int)
(declare-const tmp49__global__14__instrumented__ Int)
(declare-const tmp49__global__1__instrumented__ Int)
(declare-const tmp49__global__21__instrumented__ Int)
(declare-const tmp49__global__22__instrumented__ Int)
(declare-const tmp49__global__23__instrumented__ Int)
(declare-const tmp49__global__24__instrumented__ Int)
(declare-const tmp49__global__25__instrumented__ Int)
(declare-const tmp49__global__26__instrumented__ Int)
(declare-const tmp49__global__27__instrumented__ Int)
(declare-const tmp49__global__28__instrumented__ Int)
(declare-const tmp49__global__29__instrumented__ Int)
(declare-const tmp49__global__2__instrumented__ Int)
(declare-const tmp49__global__30__instrumented__ Int)
(declare-const tmp49__global__31__instrumented__ Int)
(declare-const tmp49__global__3__instrumented__ Int)
(declare-const tmp49__global__4__instrumented__ Int)
(declare-const tmp49__global__5__instrumented__ Int)
(declare-const tmp49__global__6__instrumented__ Int)
(declare-const tmp49__global__7__instrumented__ Int)
(declare-const tmp49__global__8__instrumented__ Int)
(declare-const tmp49__global__9__instrumented__ Int)
(declare-const tmp4__func_bio_opt__b Int)
(declare-const tmp4__func_bio_opt__t Int)
(declare-const tmp4__func_bio_opt__t1 Int)
(declare-const tmp4__func_bio_opt__t2 Int)
(declare-const tmp4__func_bio_opt__t3 Int)
(declare-const tmp4__func_bio_opt__t4 Int)
(declare-const tmp4__func_bio_opt__t5 Int)
(declare-const tmp4__func_bio_opt__tx Int)
(declare-const tmp4__func_bio_opt__ty Int)
(declare-const tmp4__func_bio_opt__vx Int)
(declare-const tmp4__func_bio_opt__vy Int)
(declare-const tmp4__func_com_grad_x_l_nn__val Int)
(declare-const tmp4__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp4__func_com_grad_y_l_nn__val Int)
(declare-const tmp4__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp4__func_com_mc_l_nn__val Int)
(declare-const tmp4__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp4__global__0__instrumented__ Int)
(declare-const tmp4__global__10__instrumented__ Int)
(declare-const tmp4__global__11__instrumented__ Int)
(declare-const tmp4__global__12__instrumented__ Int)
(declare-const tmp4__global__13__instrumented__ Int)
(declare-const tmp4__global__14__instrumented__ Int)
(declare-const tmp4__global__15__instrumented__ Int)
(declare-const tmp4__global__16__instrumented__ Int)
(declare-const tmp4__global__17__instrumented__ Int)
(declare-const tmp4__global__18__instrumented__ Int)
(declare-const tmp4__global__19__instrumented__ Int)
(declare-const tmp4__global__1__instrumented__ Int)
(declare-const tmp4__global__20__instrumented__ Int)
(declare-const tmp4__global__21__instrumented__ Int)
(declare-const tmp4__global__22__instrumented__ Int)
(declare-const tmp4__global__23__instrumented__ Int)
(declare-const tmp4__global__24__instrumented__ Int)
(declare-const tmp4__global__25__instrumented__ Int)
(declare-const tmp4__global__26__instrumented__ Int)
(declare-const tmp4__global__27__instrumented__ Int)
(declare-const tmp4__global__28__instrumented__ Int)
(declare-const tmp4__global__29__instrumented__ Int)
(declare-const tmp4__global__2__instrumented__ Int)
(declare-const tmp4__global__30__instrumented__ Int)
(declare-const tmp4__global__31__instrumented__ Int)
(declare-const tmp4__global__3__instrumented__ Int)
(declare-const tmp4__global__4__instrumented__ Int)
(declare-const tmp4__global__5__instrumented__ Int)
(declare-const tmp4__global__6__instrumented__ Int)
(declare-const tmp4__global__7__instrumented__ Int)
(declare-const tmp4__global__8__instrumented__ Int)
(declare-const tmp4__global__9__instrumented__ Int)
(declare-const tmp4__global__buf_0 Int)
(declare-const tmp4__global__buf_1 Int)
(declare-const tmp4__global__buf_10 Int)
(declare-const tmp4__global__buf_100 Int)
(declare-const tmp4__global__buf_101 Int)
(declare-const tmp4__global__buf_102 Int)
(declare-const tmp4__global__buf_103 Int)
(declare-const tmp4__global__buf_104 Int)
(declare-const tmp4__global__buf_105 Int)
(declare-const tmp4__global__buf_106 Int)
(declare-const tmp4__global__buf_107 Int)
(declare-const tmp4__global__buf_108 Int)
(declare-const tmp4__global__buf_109 Int)
(declare-const tmp4__global__buf_11 Int)
(declare-const tmp4__global__buf_110 Int)
(declare-const tmp4__global__buf_111 Int)
(declare-const tmp4__global__buf_112 Int)
(declare-const tmp4__global__buf_113 Int)
(declare-const tmp4__global__buf_114 Int)
(declare-const tmp4__global__buf_115 Int)
(declare-const tmp4__global__buf_116 Int)
(declare-const tmp4__global__buf_117 Int)
(declare-const tmp4__global__buf_118 Int)
(declare-const tmp4__global__buf_119 Int)
(declare-const tmp4__global__buf_12 Int)
(declare-const tmp4__global__buf_13 Int)
(declare-const tmp4__global__buf_14 Int)
(declare-const tmp4__global__buf_15 Int)
(declare-const tmp4__global__buf_16 Int)
(declare-const tmp4__global__buf_17 Int)
(declare-const tmp4__global__buf_18 Int)
(declare-const tmp4__global__buf_19 Int)
(declare-const tmp4__global__buf_2 Int)
(declare-const tmp4__global__buf_20 Int)
(declare-const tmp4__global__buf_21 Int)
(declare-const tmp4__global__buf_22 Int)
(declare-const tmp4__global__buf_23 Int)
(declare-const tmp4__global__buf_24 Int)
(declare-const tmp4__global__buf_25 Int)
(declare-const tmp4__global__buf_26 Int)
(declare-const tmp4__global__buf_27 Int)
(declare-const tmp4__global__buf_28 Int)
(declare-const tmp4__global__buf_29 Int)
(declare-const tmp4__global__buf_3 Int)
(declare-const tmp4__global__buf_30 Int)
(declare-const tmp4__global__buf_31 Int)
(declare-const tmp4__global__buf_32 Int)
(declare-const tmp4__global__buf_33 Int)
(declare-const tmp4__global__buf_34 Int)
(declare-const tmp4__global__buf_35 Int)
(declare-const tmp4__global__buf_36 Int)
(declare-const tmp4__global__buf_37 Int)
(declare-const tmp4__global__buf_38 Int)
(declare-const tmp4__global__buf_39 Int)
(declare-const tmp4__global__buf_4 Int)
(declare-const tmp4__global__buf_40 Int)
(declare-const tmp4__global__buf_41 Int)
(declare-const tmp4__global__buf_42 Int)
(declare-const tmp4__global__buf_43 Int)
(declare-const tmp4__global__buf_44 Int)
(declare-const tmp4__global__buf_45 Int)
(declare-const tmp4__global__buf_46 Int)
(declare-const tmp4__global__buf_47 Int)
(declare-const tmp4__global__buf_48 Int)
(declare-const tmp4__global__buf_49 Int)
(declare-const tmp4__global__buf_5 Int)
(declare-const tmp4__global__buf_50 Int)
(declare-const tmp4__global__buf_51 Int)
(declare-const tmp4__global__buf_52 Int)
(declare-const tmp4__global__buf_53 Int)
(declare-const tmp4__global__buf_54 Int)
(declare-const tmp4__global__buf_55 Int)
(declare-const tmp4__global__buf_56 Int)
(declare-const tmp4__global__buf_57 Int)
(declare-const tmp4__global__buf_58 Int)
(declare-const tmp4__global__buf_59 Int)
(declare-const tmp4__global__buf_6 Int)
(declare-const tmp4__global__buf_60 Int)
(declare-const tmp4__global__buf_61 Int)
(declare-const tmp4__global__buf_62 Int)
(declare-const tmp4__global__buf_63 Int)
(declare-const tmp4__global__buf_64 Int)
(declare-const tmp4__global__buf_65 Int)
(declare-const tmp4__global__buf_66 Int)
(declare-const tmp4__global__buf_67 Int)
(declare-const tmp4__global__buf_68 Int)
(declare-const tmp4__global__buf_69 Int)
(declare-const tmp4__global__buf_7 Int)
(declare-const tmp4__global__buf_70 Int)
(declare-const tmp4__global__buf_71 Int)
(declare-const tmp4__global__buf_72 Int)
(declare-const tmp4__global__buf_73 Int)
(declare-const tmp4__global__buf_74 Int)
(declare-const tmp4__global__buf_75 Int)
(declare-const tmp4__global__buf_76 Int)
(declare-const tmp4__global__buf_77 Int)
(declare-const tmp4__global__buf_78 Int)
(declare-const tmp4__global__buf_79 Int)
(declare-const tmp4__global__buf_8 Int)
(declare-const tmp4__global__buf_80 Int)
(declare-const tmp4__global__buf_81 Int)
(declare-const tmp4__global__buf_82 Int)
(declare-const tmp4__global__buf_83 Int)
(declare-const tmp4__global__buf_84 Int)
(declare-const tmp4__global__buf_85 Int)
(declare-const tmp4__global__buf_86 Int)
(declare-const tmp4__global__buf_87 Int)
(declare-const tmp4__global__buf_88 Int)
(declare-const tmp4__global__buf_89 Int)
(declare-const tmp4__global__buf_9 Int)
(declare-const tmp4__global__buf_90 Int)
(declare-const tmp4__global__buf_91 Int)
(declare-const tmp4__global__buf_92 Int)
(declare-const tmp4__global__buf_93 Int)
(declare-const tmp4__global__buf_94 Int)
(declare-const tmp4__global__buf_95 Int)
(declare-const tmp4__global__buf_96 Int)
(declare-const tmp4__global__buf_97 Int)
(declare-const tmp4__global__buf_98 Int)
(declare-const tmp4__global__buf_99 Int)
(declare-const tmp50__func_bio_opt__b Int)
(declare-const tmp50__func_bio_opt__t Int)
(declare-const tmp50__func_bio_opt__t1 Int)
(declare-const tmp50__func_bio_opt__t2 Int)
(declare-const tmp50__func_bio_opt__t3 Int)
(declare-const tmp50__func_bio_opt__t4 Int)
(declare-const tmp50__func_bio_opt__t5 Int)
(declare-const tmp50__func_bio_opt__tx Int)
(declare-const tmp50__func_bio_opt__ty Int)
(declare-const tmp50__func_com_grad_x_l_nn__val Int)
(declare-const tmp50__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp50__func_com_grad_y_l_nn__val Int)
(declare-const tmp50__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp50__func_com_mc_l_nn__val Int)
(declare-const tmp50__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp50__global__0__instrumented__ Int)
(declare-const tmp50__global__10__instrumented__ Int)
(declare-const tmp50__global__11__instrumented__ Int)
(declare-const tmp50__global__12__instrumented__ Int)
(declare-const tmp50__global__13__instrumented__ Int)
(declare-const tmp50__global__14__instrumented__ Int)
(declare-const tmp50__global__1__instrumented__ Int)
(declare-const tmp50__global__21__instrumented__ Int)
(declare-const tmp50__global__22__instrumented__ Int)
(declare-const tmp50__global__23__instrumented__ Int)
(declare-const tmp50__global__24__instrumented__ Int)
(declare-const tmp50__global__25__instrumented__ Int)
(declare-const tmp50__global__26__instrumented__ Int)
(declare-const tmp50__global__27__instrumented__ Int)
(declare-const tmp50__global__28__instrumented__ Int)
(declare-const tmp50__global__29__instrumented__ Int)
(declare-const tmp50__global__2__instrumented__ Int)
(declare-const tmp50__global__30__instrumented__ Int)
(declare-const tmp50__global__31__instrumented__ Int)
(declare-const tmp50__global__3__instrumented__ Int)
(declare-const tmp50__global__4__instrumented__ Int)
(declare-const tmp50__global__5__instrumented__ Int)
(declare-const tmp50__global__6__instrumented__ Int)
(declare-const tmp50__global__7__instrumented__ Int)
(declare-const tmp50__global__8__instrumented__ Int)
(declare-const tmp50__global__9__instrumented__ Int)
(declare-const tmp51__func_bio_opt__b Int)
(declare-const tmp51__func_bio_opt__t Int)
(declare-const tmp51__func_bio_opt__t1 Int)
(declare-const tmp51__func_bio_opt__t2 Int)
(declare-const tmp51__func_bio_opt__t3 Int)
(declare-const tmp51__func_bio_opt__t4 Int)
(declare-const tmp51__func_bio_opt__t5 Int)
(declare-const tmp51__func_bio_opt__tx Int)
(declare-const tmp51__func_bio_opt__ty Int)
(declare-const tmp51__func_com_grad_x_l_nn__val Int)
(declare-const tmp51__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp51__func_com_grad_y_l_nn__val Int)
(declare-const tmp51__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp51__func_com_mc_l_nn__val Int)
(declare-const tmp51__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp51__global__0__instrumented__ Int)
(declare-const tmp51__global__10__instrumented__ Int)
(declare-const tmp51__global__11__instrumented__ Int)
(declare-const tmp51__global__12__instrumented__ Int)
(declare-const tmp51__global__13__instrumented__ Int)
(declare-const tmp51__global__14__instrumented__ Int)
(declare-const tmp51__global__1__instrumented__ Int)
(declare-const tmp51__global__21__instrumented__ Int)
(declare-const tmp51__global__22__instrumented__ Int)
(declare-const tmp51__global__23__instrumented__ Int)
(declare-const tmp51__global__24__instrumented__ Int)
(declare-const tmp51__global__25__instrumented__ Int)
(declare-const tmp51__global__26__instrumented__ Int)
(declare-const tmp51__global__27__instrumented__ Int)
(declare-const tmp51__global__28__instrumented__ Int)
(declare-const tmp51__global__29__instrumented__ Int)
(declare-const tmp51__global__2__instrumented__ Int)
(declare-const tmp51__global__30__instrumented__ Int)
(declare-const tmp51__global__31__instrumented__ Int)
(declare-const tmp51__global__3__instrumented__ Int)
(declare-const tmp51__global__4__instrumented__ Int)
(declare-const tmp51__global__5__instrumented__ Int)
(declare-const tmp51__global__6__instrumented__ Int)
(declare-const tmp51__global__7__instrumented__ Int)
(declare-const tmp51__global__8__instrumented__ Int)
(declare-const tmp51__global__9__instrumented__ Int)
(declare-const tmp52__func_bio_opt__b Int)
(declare-const tmp52__func_bio_opt__t Int)
(declare-const tmp52__func_bio_opt__t1 Int)
(declare-const tmp52__func_bio_opt__t2 Int)
(declare-const tmp52__func_bio_opt__t3 Int)
(declare-const tmp52__func_bio_opt__t4 Int)
(declare-const tmp52__func_bio_opt__t5 Int)
(declare-const tmp52__func_bio_opt__tx Int)
(declare-const tmp52__func_bio_opt__ty Int)
(declare-const tmp52__func_com_grad_x_l_nn__val Int)
(declare-const tmp52__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp52__func_com_grad_y_l_nn__val Int)
(declare-const tmp52__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp52__func_com_mc_l_nn__val Int)
(declare-const tmp52__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp52__global__0__instrumented__ Int)
(declare-const tmp52__global__10__instrumented__ Int)
(declare-const tmp52__global__11__instrumented__ Int)
(declare-const tmp52__global__12__instrumented__ Int)
(declare-const tmp52__global__13__instrumented__ Int)
(declare-const tmp52__global__14__instrumented__ Int)
(declare-const tmp52__global__1__instrumented__ Int)
(declare-const tmp52__global__21__instrumented__ Int)
(declare-const tmp52__global__22__instrumented__ Int)
(declare-const tmp52__global__23__instrumented__ Int)
(declare-const tmp52__global__24__instrumented__ Int)
(declare-const tmp52__global__25__instrumented__ Int)
(declare-const tmp52__global__26__instrumented__ Int)
(declare-const tmp52__global__27__instrumented__ Int)
(declare-const tmp52__global__28__instrumented__ Int)
(declare-const tmp52__global__29__instrumented__ Int)
(declare-const tmp52__global__2__instrumented__ Int)
(declare-const tmp52__global__30__instrumented__ Int)
(declare-const tmp52__global__31__instrumented__ Int)
(declare-const tmp52__global__3__instrumented__ Int)
(declare-const tmp52__global__4__instrumented__ Int)
(declare-const tmp52__global__5__instrumented__ Int)
(declare-const tmp52__global__6__instrumented__ Int)
(declare-const tmp52__global__7__instrumented__ Int)
(declare-const tmp52__global__8__instrumented__ Int)
(declare-const tmp52__global__9__instrumented__ Int)
(declare-const tmp53__func_bio_opt__b Int)
(declare-const tmp53__func_bio_opt__t Int)
(declare-const tmp53__func_bio_opt__t1 Int)
(declare-const tmp53__func_bio_opt__t2 Int)
(declare-const tmp53__func_bio_opt__t3 Int)
(declare-const tmp53__func_bio_opt__t4 Int)
(declare-const tmp53__func_bio_opt__t5 Int)
(declare-const tmp53__func_bio_opt__tx Int)
(declare-const tmp53__func_bio_opt__ty Int)
(declare-const tmp53__func_com_grad_x_l_nn__val Int)
(declare-const tmp53__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp53__func_com_grad_y_l_nn__val Int)
(declare-const tmp53__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp53__func_com_mc_l_nn__val Int)
(declare-const tmp53__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp53__global__0__instrumented__ Int)
(declare-const tmp53__global__10__instrumented__ Int)
(declare-const tmp53__global__11__instrumented__ Int)
(declare-const tmp53__global__12__instrumented__ Int)
(declare-const tmp53__global__13__instrumented__ Int)
(declare-const tmp53__global__14__instrumented__ Int)
(declare-const tmp53__global__1__instrumented__ Int)
(declare-const tmp53__global__21__instrumented__ Int)
(declare-const tmp53__global__22__instrumented__ Int)
(declare-const tmp53__global__23__instrumented__ Int)
(declare-const tmp53__global__24__instrumented__ Int)
(declare-const tmp53__global__25__instrumented__ Int)
(declare-const tmp53__global__26__instrumented__ Int)
(declare-const tmp53__global__27__instrumented__ Int)
(declare-const tmp53__global__28__instrumented__ Int)
(declare-const tmp53__global__29__instrumented__ Int)
(declare-const tmp53__global__2__instrumented__ Int)
(declare-const tmp53__global__30__instrumented__ Int)
(declare-const tmp53__global__31__instrumented__ Int)
(declare-const tmp53__global__3__instrumented__ Int)
(declare-const tmp53__global__4__instrumented__ Int)
(declare-const tmp53__global__5__instrumented__ Int)
(declare-const tmp53__global__6__instrumented__ Int)
(declare-const tmp53__global__7__instrumented__ Int)
(declare-const tmp53__global__8__instrumented__ Int)
(declare-const tmp53__global__9__instrumented__ Int)
(declare-const tmp54__func_bio_opt__b Int)
(declare-const tmp54__func_bio_opt__t Int)
(declare-const tmp54__func_bio_opt__t1 Int)
(declare-const tmp54__func_bio_opt__t2 Int)
(declare-const tmp54__func_bio_opt__t3 Int)
(declare-const tmp54__func_bio_opt__t4 Int)
(declare-const tmp54__func_bio_opt__t5 Int)
(declare-const tmp54__func_bio_opt__tx Int)
(declare-const tmp54__func_bio_opt__ty Int)
(declare-const tmp54__func_com_grad_x_l_nn__val Int)
(declare-const tmp54__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp54__func_com_grad_y_l_nn__val Int)
(declare-const tmp54__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp54__func_com_mc_l_nn__val Int)
(declare-const tmp54__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp54__global__0__instrumented__ Int)
(declare-const tmp54__global__10__instrumented__ Int)
(declare-const tmp54__global__11__instrumented__ Int)
(declare-const tmp54__global__12__instrumented__ Int)
(declare-const tmp54__global__13__instrumented__ Int)
(declare-const tmp54__global__14__instrumented__ Int)
(declare-const tmp54__global__1__instrumented__ Int)
(declare-const tmp54__global__21__instrumented__ Int)
(declare-const tmp54__global__22__instrumented__ Int)
(declare-const tmp54__global__23__instrumented__ Int)
(declare-const tmp54__global__24__instrumented__ Int)
(declare-const tmp54__global__25__instrumented__ Int)
(declare-const tmp54__global__26__instrumented__ Int)
(declare-const tmp54__global__27__instrumented__ Int)
(declare-const tmp54__global__28__instrumented__ Int)
(declare-const tmp54__global__29__instrumented__ Int)
(declare-const tmp54__global__2__instrumented__ Int)
(declare-const tmp54__global__30__instrumented__ Int)
(declare-const tmp54__global__31__instrumented__ Int)
(declare-const tmp54__global__3__instrumented__ Int)
(declare-const tmp54__global__4__instrumented__ Int)
(declare-const tmp54__global__5__instrumented__ Int)
(declare-const tmp54__global__6__instrumented__ Int)
(declare-const tmp54__global__7__instrumented__ Int)
(declare-const tmp54__global__8__instrumented__ Int)
(declare-const tmp54__global__9__instrumented__ Int)
(declare-const tmp55__func_bio_opt__b Int)
(declare-const tmp55__func_bio_opt__t Int)
(declare-const tmp55__func_bio_opt__t1 Int)
(declare-const tmp55__func_bio_opt__t2 Int)
(declare-const tmp55__func_bio_opt__t3 Int)
(declare-const tmp55__func_bio_opt__t4 Int)
(declare-const tmp55__func_bio_opt__t5 Int)
(declare-const tmp55__func_bio_opt__tx Int)
(declare-const tmp55__func_bio_opt__ty Int)
(declare-const tmp55__func_com_grad_x_l_nn__val Int)
(declare-const tmp55__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp55__func_com_grad_y_l_nn__val Int)
(declare-const tmp55__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp55__func_com_mc_l_nn__val Int)
(declare-const tmp55__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp55__global__0__instrumented__ Int)
(declare-const tmp55__global__10__instrumented__ Int)
(declare-const tmp55__global__11__instrumented__ Int)
(declare-const tmp55__global__12__instrumented__ Int)
(declare-const tmp55__global__13__instrumented__ Int)
(declare-const tmp55__global__14__instrumented__ Int)
(declare-const tmp55__global__1__instrumented__ Int)
(declare-const tmp55__global__21__instrumented__ Int)
(declare-const tmp55__global__22__instrumented__ Int)
(declare-const tmp55__global__23__instrumented__ Int)
(declare-const tmp55__global__24__instrumented__ Int)
(declare-const tmp55__global__25__instrumented__ Int)
(declare-const tmp55__global__26__instrumented__ Int)
(declare-const tmp55__global__27__instrumented__ Int)
(declare-const tmp55__global__28__instrumented__ Int)
(declare-const tmp55__global__29__instrumented__ Int)
(declare-const tmp55__global__2__instrumented__ Int)
(declare-const tmp55__global__30__instrumented__ Int)
(declare-const tmp55__global__31__instrumented__ Int)
(declare-const tmp55__global__3__instrumented__ Int)
(declare-const tmp55__global__4__instrumented__ Int)
(declare-const tmp55__global__5__instrumented__ Int)
(declare-const tmp55__global__6__instrumented__ Int)
(declare-const tmp55__global__7__instrumented__ Int)
(declare-const tmp55__global__8__instrumented__ Int)
(declare-const tmp55__global__9__instrumented__ Int)
(declare-const tmp56__func_bio_opt__b Int)
(declare-const tmp56__func_bio_opt__t Int)
(declare-const tmp56__func_bio_opt__t1 Int)
(declare-const tmp56__func_bio_opt__t2 Int)
(declare-const tmp56__func_bio_opt__t3 Int)
(declare-const tmp56__func_bio_opt__t4 Int)
(declare-const tmp56__func_bio_opt__t5 Int)
(declare-const tmp56__func_bio_opt__tx Int)
(declare-const tmp56__func_bio_opt__ty Int)
(declare-const tmp56__func_com_grad_x_l_nn__val Int)
(declare-const tmp56__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp56__func_com_grad_y_l_nn__val Int)
(declare-const tmp56__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp56__func_com_mc_l_nn__val Int)
(declare-const tmp56__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp56__global__0__instrumented__ Int)
(declare-const tmp56__global__10__instrumented__ Int)
(declare-const tmp56__global__11__instrumented__ Int)
(declare-const tmp56__global__12__instrumented__ Int)
(declare-const tmp56__global__13__instrumented__ Int)
(declare-const tmp56__global__14__instrumented__ Int)
(declare-const tmp56__global__1__instrumented__ Int)
(declare-const tmp56__global__21__instrumented__ Int)
(declare-const tmp56__global__22__instrumented__ Int)
(declare-const tmp56__global__23__instrumented__ Int)
(declare-const tmp56__global__24__instrumented__ Int)
(declare-const tmp56__global__25__instrumented__ Int)
(declare-const tmp56__global__26__instrumented__ Int)
(declare-const tmp56__global__27__instrumented__ Int)
(declare-const tmp56__global__28__instrumented__ Int)
(declare-const tmp56__global__29__instrumented__ Int)
(declare-const tmp56__global__2__instrumented__ Int)
(declare-const tmp56__global__30__instrumented__ Int)
(declare-const tmp56__global__31__instrumented__ Int)
(declare-const tmp56__global__3__instrumented__ Int)
(declare-const tmp56__global__4__instrumented__ Int)
(declare-const tmp56__global__5__instrumented__ Int)
(declare-const tmp56__global__6__instrumented__ Int)
(declare-const tmp56__global__7__instrumented__ Int)
(declare-const tmp56__global__8__instrumented__ Int)
(declare-const tmp56__global__9__instrumented__ Int)
(declare-const tmp57__func_bio_opt__b Int)
(declare-const tmp57__func_bio_opt__t Int)
(declare-const tmp57__func_bio_opt__t1 Int)
(declare-const tmp57__func_bio_opt__t2 Int)
(declare-const tmp57__func_bio_opt__t3 Int)
(declare-const tmp57__func_bio_opt__t4 Int)
(declare-const tmp57__func_bio_opt__t5 Int)
(declare-const tmp57__func_bio_opt__tx Int)
(declare-const tmp57__func_bio_opt__ty Int)
(declare-const tmp57__func_com_grad_x_l_nn__val Int)
(declare-const tmp57__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp57__func_com_grad_y_l_nn__val Int)
(declare-const tmp57__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp57__func_com_mc_l_nn__val Int)
(declare-const tmp57__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp57__global__0__instrumented__ Int)
(declare-const tmp57__global__10__instrumented__ Int)
(declare-const tmp57__global__11__instrumented__ Int)
(declare-const tmp57__global__12__instrumented__ Int)
(declare-const tmp57__global__13__instrumented__ Int)
(declare-const tmp57__global__14__instrumented__ Int)
(declare-const tmp57__global__1__instrumented__ Int)
(declare-const tmp57__global__21__instrumented__ Int)
(declare-const tmp57__global__22__instrumented__ Int)
(declare-const tmp57__global__23__instrumented__ Int)
(declare-const tmp57__global__24__instrumented__ Int)
(declare-const tmp57__global__25__instrumented__ Int)
(declare-const tmp57__global__26__instrumented__ Int)
(declare-const tmp57__global__27__instrumented__ Int)
(declare-const tmp57__global__28__instrumented__ Int)
(declare-const tmp57__global__29__instrumented__ Int)
(declare-const tmp57__global__2__instrumented__ Int)
(declare-const tmp57__global__30__instrumented__ Int)
(declare-const tmp57__global__31__instrumented__ Int)
(declare-const tmp57__global__3__instrumented__ Int)
(declare-const tmp57__global__4__instrumented__ Int)
(declare-const tmp57__global__5__instrumented__ Int)
(declare-const tmp57__global__6__instrumented__ Int)
(declare-const tmp57__global__7__instrumented__ Int)
(declare-const tmp57__global__8__instrumented__ Int)
(declare-const tmp57__global__9__instrumented__ Int)
(declare-const tmp58__func_bio_opt__b Int)
(declare-const tmp58__func_bio_opt__t Int)
(declare-const tmp58__func_bio_opt__t1 Int)
(declare-const tmp58__func_bio_opt__t2 Int)
(declare-const tmp58__func_bio_opt__t3 Int)
(declare-const tmp58__func_bio_opt__t4 Int)
(declare-const tmp58__func_bio_opt__t5 Int)
(declare-const tmp58__func_bio_opt__tx Int)
(declare-const tmp58__func_bio_opt__ty Int)
(declare-const tmp58__func_com_grad_x_l_nn__val Int)
(declare-const tmp58__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp58__func_com_grad_y_l_nn__val Int)
(declare-const tmp58__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp58__func_com_mc_l_nn__val Int)
(declare-const tmp58__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp58__global__0__instrumented__ Int)
(declare-const tmp58__global__10__instrumented__ Int)
(declare-const tmp58__global__11__instrumented__ Int)
(declare-const tmp58__global__12__instrumented__ Int)
(declare-const tmp58__global__13__instrumented__ Int)
(declare-const tmp58__global__14__instrumented__ Int)
(declare-const tmp58__global__1__instrumented__ Int)
(declare-const tmp58__global__21__instrumented__ Int)
(declare-const tmp58__global__22__instrumented__ Int)
(declare-const tmp58__global__23__instrumented__ Int)
(declare-const tmp58__global__24__instrumented__ Int)
(declare-const tmp58__global__25__instrumented__ Int)
(declare-const tmp58__global__26__instrumented__ Int)
(declare-const tmp58__global__27__instrumented__ Int)
(declare-const tmp58__global__28__instrumented__ Int)
(declare-const tmp58__global__29__instrumented__ Int)
(declare-const tmp58__global__2__instrumented__ Int)
(declare-const tmp58__global__30__instrumented__ Int)
(declare-const tmp58__global__31__instrumented__ Int)
(declare-const tmp58__global__3__instrumented__ Int)
(declare-const tmp58__global__4__instrumented__ Int)
(declare-const tmp58__global__5__instrumented__ Int)
(declare-const tmp58__global__6__instrumented__ Int)
(declare-const tmp58__global__7__instrumented__ Int)
(declare-const tmp58__global__8__instrumented__ Int)
(declare-const tmp58__global__9__instrumented__ Int)
(declare-const tmp59__func_bio_opt__b Int)
(declare-const tmp59__func_bio_opt__t Int)
(declare-const tmp59__func_bio_opt__t1 Int)
(declare-const tmp59__func_bio_opt__t2 Int)
(declare-const tmp59__func_bio_opt__t3 Int)
(declare-const tmp59__func_bio_opt__t4 Int)
(declare-const tmp59__func_bio_opt__t5 Int)
(declare-const tmp59__func_bio_opt__tx Int)
(declare-const tmp59__func_bio_opt__ty Int)
(declare-const tmp59__func_com_grad_x_l_nn__val Int)
(declare-const tmp59__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp59__func_com_grad_y_l_nn__val Int)
(declare-const tmp59__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp59__func_com_mc_l_nn__val Int)
(declare-const tmp59__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp59__global__0__instrumented__ Int)
(declare-const tmp59__global__10__instrumented__ Int)
(declare-const tmp59__global__11__instrumented__ Int)
(declare-const tmp59__global__12__instrumented__ Int)
(declare-const tmp59__global__13__instrumented__ Int)
(declare-const tmp59__global__14__instrumented__ Int)
(declare-const tmp59__global__1__instrumented__ Int)
(declare-const tmp59__global__21__instrumented__ Int)
(declare-const tmp59__global__22__instrumented__ Int)
(declare-const tmp59__global__23__instrumented__ Int)
(declare-const tmp59__global__24__instrumented__ Int)
(declare-const tmp59__global__25__instrumented__ Int)
(declare-const tmp59__global__26__instrumented__ Int)
(declare-const tmp59__global__27__instrumented__ Int)
(declare-const tmp59__global__28__instrumented__ Int)
(declare-const tmp59__global__29__instrumented__ Int)
(declare-const tmp59__global__2__instrumented__ Int)
(declare-const tmp59__global__30__instrumented__ Int)
(declare-const tmp59__global__31__instrumented__ Int)
(declare-const tmp59__global__3__instrumented__ Int)
(declare-const tmp59__global__4__instrumented__ Int)
(declare-const tmp59__global__5__instrumented__ Int)
(declare-const tmp59__global__6__instrumented__ Int)
(declare-const tmp59__global__7__instrumented__ Int)
(declare-const tmp59__global__8__instrumented__ Int)
(declare-const tmp59__global__9__instrumented__ Int)
(declare-const tmp5__func_bio_opt__b Int)
(declare-const tmp5__func_bio_opt__t Int)
(declare-const tmp5__func_bio_opt__t1 Int)
(declare-const tmp5__func_bio_opt__t2 Int)
(declare-const tmp5__func_bio_opt__t3 Int)
(declare-const tmp5__func_bio_opt__t4 Int)
(declare-const tmp5__func_bio_opt__t5 Int)
(declare-const tmp5__func_bio_opt__tx Int)
(declare-const tmp5__func_bio_opt__ty Int)
(declare-const tmp5__func_bio_opt__vx Int)
(declare-const tmp5__func_bio_opt__vy Int)
(declare-const tmp5__func_com_grad_x_l_nn__val Int)
(declare-const tmp5__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp5__func_com_grad_y_l_nn__val Int)
(declare-const tmp5__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp5__func_com_mc_l_nn__val Int)
(declare-const tmp5__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp5__global__0__instrumented__ Int)
(declare-const tmp5__global__10__instrumented__ Int)
(declare-const tmp5__global__11__instrumented__ Int)
(declare-const tmp5__global__12__instrumented__ Int)
(declare-const tmp5__global__13__instrumented__ Int)
(declare-const tmp5__global__14__instrumented__ Int)
(declare-const tmp5__global__16__instrumented__ Int)
(declare-const tmp5__global__18__instrumented__ Int)
(declare-const tmp5__global__19__instrumented__ Int)
(declare-const tmp5__global__1__instrumented__ Int)
(declare-const tmp5__global__20__instrumented__ Int)
(declare-const tmp5__global__21__instrumented__ Int)
(declare-const tmp5__global__22__instrumented__ Int)
(declare-const tmp5__global__23__instrumented__ Int)
(declare-const tmp5__global__24__instrumented__ Int)
(declare-const tmp5__global__25__instrumented__ Int)
(declare-const tmp5__global__26__instrumented__ Int)
(declare-const tmp5__global__27__instrumented__ Int)
(declare-const tmp5__global__28__instrumented__ Int)
(declare-const tmp5__global__29__instrumented__ Int)
(declare-const tmp5__global__2__instrumented__ Int)
(declare-const tmp5__global__30__instrumented__ Int)
(declare-const tmp5__global__31__instrumented__ Int)
(declare-const tmp5__global__3__instrumented__ Int)
(declare-const tmp5__global__4__instrumented__ Int)
(declare-const tmp5__global__5__instrumented__ Int)
(declare-const tmp5__global__6__instrumented__ Int)
(declare-const tmp5__global__7__instrumented__ Int)
(declare-const tmp5__global__8__instrumented__ Int)
(declare-const tmp5__global__9__instrumented__ Int)
(declare-const tmp5__global__buf_0 Int)
(declare-const tmp5__global__buf_1 Int)
(declare-const tmp5__global__buf_10 Int)
(declare-const tmp5__global__buf_100 Int)
(declare-const tmp5__global__buf_101 Int)
(declare-const tmp5__global__buf_102 Int)
(declare-const tmp5__global__buf_103 Int)
(declare-const tmp5__global__buf_104 Int)
(declare-const tmp5__global__buf_105 Int)
(declare-const tmp5__global__buf_106 Int)
(declare-const tmp5__global__buf_107 Int)
(declare-const tmp5__global__buf_108 Int)
(declare-const tmp5__global__buf_109 Int)
(declare-const tmp5__global__buf_11 Int)
(declare-const tmp5__global__buf_110 Int)
(declare-const tmp5__global__buf_111 Int)
(declare-const tmp5__global__buf_112 Int)
(declare-const tmp5__global__buf_113 Int)
(declare-const tmp5__global__buf_114 Int)
(declare-const tmp5__global__buf_115 Int)
(declare-const tmp5__global__buf_116 Int)
(declare-const tmp5__global__buf_117 Int)
(declare-const tmp5__global__buf_118 Int)
(declare-const tmp5__global__buf_119 Int)
(declare-const tmp5__global__buf_12 Int)
(declare-const tmp5__global__buf_13 Int)
(declare-const tmp5__global__buf_14 Int)
(declare-const tmp5__global__buf_15 Int)
(declare-const tmp5__global__buf_16 Int)
(declare-const tmp5__global__buf_17 Int)
(declare-const tmp5__global__buf_18 Int)
(declare-const tmp5__global__buf_19 Int)
(declare-const tmp5__global__buf_2 Int)
(declare-const tmp5__global__buf_20 Int)
(declare-const tmp5__global__buf_21 Int)
(declare-const tmp5__global__buf_22 Int)
(declare-const tmp5__global__buf_23 Int)
(declare-const tmp5__global__buf_24 Int)
(declare-const tmp5__global__buf_25 Int)
(declare-const tmp5__global__buf_26 Int)
(declare-const tmp5__global__buf_27 Int)
(declare-const tmp5__global__buf_28 Int)
(declare-const tmp5__global__buf_29 Int)
(declare-const tmp5__global__buf_3 Int)
(declare-const tmp5__global__buf_30 Int)
(declare-const tmp5__global__buf_31 Int)
(declare-const tmp5__global__buf_32 Int)
(declare-const tmp5__global__buf_33 Int)
(declare-const tmp5__global__buf_34 Int)
(declare-const tmp5__global__buf_35 Int)
(declare-const tmp5__global__buf_36 Int)
(declare-const tmp5__global__buf_37 Int)
(declare-const tmp5__global__buf_38 Int)
(declare-const tmp5__global__buf_39 Int)
(declare-const tmp5__global__buf_4 Int)
(declare-const tmp5__global__buf_40 Int)
(declare-const tmp5__global__buf_41 Int)
(declare-const tmp5__global__buf_42 Int)
(declare-const tmp5__global__buf_43 Int)
(declare-const tmp5__global__buf_44 Int)
(declare-const tmp5__global__buf_45 Int)
(declare-const tmp5__global__buf_46 Int)
(declare-const tmp5__global__buf_47 Int)
(declare-const tmp5__global__buf_48 Int)
(declare-const tmp5__global__buf_49 Int)
(declare-const tmp5__global__buf_5 Int)
(declare-const tmp5__global__buf_50 Int)
(declare-const tmp5__global__buf_51 Int)
(declare-const tmp5__global__buf_52 Int)
(declare-const tmp5__global__buf_53 Int)
(declare-const tmp5__global__buf_54 Int)
(declare-const tmp5__global__buf_55 Int)
(declare-const tmp5__global__buf_56 Int)
(declare-const tmp5__global__buf_57 Int)
(declare-const tmp5__global__buf_58 Int)
(declare-const tmp5__global__buf_59 Int)
(declare-const tmp5__global__buf_6 Int)
(declare-const tmp5__global__buf_60 Int)
(declare-const tmp5__global__buf_61 Int)
(declare-const tmp5__global__buf_62 Int)
(declare-const tmp5__global__buf_63 Int)
(declare-const tmp5__global__buf_64 Int)
(declare-const tmp5__global__buf_65 Int)
(declare-const tmp5__global__buf_66 Int)
(declare-const tmp5__global__buf_67 Int)
(declare-const tmp5__global__buf_68 Int)
(declare-const tmp5__global__buf_69 Int)
(declare-const tmp5__global__buf_7 Int)
(declare-const tmp5__global__buf_70 Int)
(declare-const tmp5__global__buf_71 Int)
(declare-const tmp5__global__buf_72 Int)
(declare-const tmp5__global__buf_73 Int)
(declare-const tmp5__global__buf_74 Int)
(declare-const tmp5__global__buf_75 Int)
(declare-const tmp5__global__buf_76 Int)
(declare-const tmp5__global__buf_77 Int)
(declare-const tmp5__global__buf_78 Int)
(declare-const tmp5__global__buf_79 Int)
(declare-const tmp5__global__buf_8 Int)
(declare-const tmp5__global__buf_80 Int)
(declare-const tmp5__global__buf_81 Int)
(declare-const tmp5__global__buf_82 Int)
(declare-const tmp5__global__buf_83 Int)
(declare-const tmp5__global__buf_84 Int)
(declare-const tmp5__global__buf_85 Int)
(declare-const tmp5__global__buf_86 Int)
(declare-const tmp5__global__buf_87 Int)
(declare-const tmp5__global__buf_88 Int)
(declare-const tmp5__global__buf_89 Int)
(declare-const tmp5__global__buf_9 Int)
(declare-const tmp5__global__buf_90 Int)
(declare-const tmp5__global__buf_91 Int)
(declare-const tmp5__global__buf_92 Int)
(declare-const tmp5__global__buf_93 Int)
(declare-const tmp5__global__buf_94 Int)
(declare-const tmp5__global__buf_95 Int)
(declare-const tmp5__global__buf_96 Int)
(declare-const tmp5__global__buf_97 Int)
(declare-const tmp5__global__buf_98 Int)
(declare-const tmp5__global__buf_99 Int)
(declare-const tmp60__func_bio_opt__b Int)
(declare-const tmp60__func_bio_opt__t Int)
(declare-const tmp60__func_bio_opt__t1 Int)
(declare-const tmp60__func_bio_opt__t2 Int)
(declare-const tmp60__func_bio_opt__t3 Int)
(declare-const tmp60__func_bio_opt__t4 Int)
(declare-const tmp60__func_bio_opt__t5 Int)
(declare-const tmp60__func_bio_opt__tx Int)
(declare-const tmp60__func_bio_opt__ty Int)
(declare-const tmp60__func_com_grad_x_l_nn__val Int)
(declare-const tmp60__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp60__func_com_grad_y_l_nn__val Int)
(declare-const tmp60__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp60__func_com_mc_l_nn__val Int)
(declare-const tmp60__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp60__global__0__instrumented__ Int)
(declare-const tmp60__global__10__instrumented__ Int)
(declare-const tmp60__global__11__instrumented__ Int)
(declare-const tmp60__global__12__instrumented__ Int)
(declare-const tmp60__global__13__instrumented__ Int)
(declare-const tmp60__global__14__instrumented__ Int)
(declare-const tmp60__global__1__instrumented__ Int)
(declare-const tmp60__global__21__instrumented__ Int)
(declare-const tmp60__global__22__instrumented__ Int)
(declare-const tmp60__global__23__instrumented__ Int)
(declare-const tmp60__global__24__instrumented__ Int)
(declare-const tmp60__global__25__instrumented__ Int)
(declare-const tmp60__global__26__instrumented__ Int)
(declare-const tmp60__global__27__instrumented__ Int)
(declare-const tmp60__global__28__instrumented__ Int)
(declare-const tmp60__global__29__instrumented__ Int)
(declare-const tmp60__global__2__instrumented__ Int)
(declare-const tmp60__global__30__instrumented__ Int)
(declare-const tmp60__global__31__instrumented__ Int)
(declare-const tmp60__global__3__instrumented__ Int)
(declare-const tmp60__global__4__instrumented__ Int)
(declare-const tmp60__global__5__instrumented__ Int)
(declare-const tmp60__global__6__instrumented__ Int)
(declare-const tmp60__global__7__instrumented__ Int)
(declare-const tmp60__global__8__instrumented__ Int)
(declare-const tmp60__global__9__instrumented__ Int)
(declare-const tmp61__func_bio_opt__b Int)
(declare-const tmp61__func_bio_opt__t Int)
(declare-const tmp61__func_bio_opt__t1 Int)
(declare-const tmp61__func_bio_opt__t2 Int)
(declare-const tmp61__func_bio_opt__t3 Int)
(declare-const tmp61__func_bio_opt__t4 Int)
(declare-const tmp61__func_bio_opt__t5 Int)
(declare-const tmp61__func_bio_opt__tx Int)
(declare-const tmp61__func_bio_opt__ty Int)
(declare-const tmp61__func_com_grad_x_l_nn__val Int)
(declare-const tmp61__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp61__func_com_grad_y_l_nn__val Int)
(declare-const tmp61__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp61__func_com_mc_l_nn__val Int)
(declare-const tmp61__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp61__global__0__instrumented__ Int)
(declare-const tmp61__global__10__instrumented__ Int)
(declare-const tmp61__global__11__instrumented__ Int)
(declare-const tmp61__global__12__instrumented__ Int)
(declare-const tmp61__global__13__instrumented__ Int)
(declare-const tmp61__global__14__instrumented__ Int)
(declare-const tmp61__global__1__instrumented__ Int)
(declare-const tmp61__global__21__instrumented__ Int)
(declare-const tmp61__global__22__instrumented__ Int)
(declare-const tmp61__global__23__instrumented__ Int)
(declare-const tmp61__global__24__instrumented__ Int)
(declare-const tmp61__global__25__instrumented__ Int)
(declare-const tmp61__global__26__instrumented__ Int)
(declare-const tmp61__global__27__instrumented__ Int)
(declare-const tmp61__global__28__instrumented__ Int)
(declare-const tmp61__global__29__instrumented__ Int)
(declare-const tmp61__global__2__instrumented__ Int)
(declare-const tmp61__global__30__instrumented__ Int)
(declare-const tmp61__global__31__instrumented__ Int)
(declare-const tmp61__global__3__instrumented__ Int)
(declare-const tmp61__global__4__instrumented__ Int)
(declare-const tmp61__global__5__instrumented__ Int)
(declare-const tmp61__global__6__instrumented__ Int)
(declare-const tmp61__global__7__instrumented__ Int)
(declare-const tmp61__global__8__instrumented__ Int)
(declare-const tmp61__global__9__instrumented__ Int)
(declare-const tmp62__func_bio_opt__b Int)
(declare-const tmp62__func_bio_opt__t Int)
(declare-const tmp62__func_bio_opt__t1 Int)
(declare-const tmp62__func_bio_opt__t2 Int)
(declare-const tmp62__func_bio_opt__t3 Int)
(declare-const tmp62__func_bio_opt__t4 Int)
(declare-const tmp62__func_bio_opt__t5 Int)
(declare-const tmp62__func_bio_opt__tx Int)
(declare-const tmp62__func_bio_opt__ty Int)
(declare-const tmp62__func_com_grad_x_l_nn__val Int)
(declare-const tmp62__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp62__func_com_grad_y_l_nn__val Int)
(declare-const tmp62__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp62__func_com_mc_l_nn__val Int)
(declare-const tmp62__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp62__global__0__instrumented__ Int)
(declare-const tmp62__global__10__instrumented__ Int)
(declare-const tmp62__global__11__instrumented__ Int)
(declare-const tmp62__global__12__instrumented__ Int)
(declare-const tmp62__global__13__instrumented__ Int)
(declare-const tmp62__global__14__instrumented__ Int)
(declare-const tmp62__global__1__instrumented__ Int)
(declare-const tmp62__global__21__instrumented__ Int)
(declare-const tmp62__global__22__instrumented__ Int)
(declare-const tmp62__global__23__instrumented__ Int)
(declare-const tmp62__global__24__instrumented__ Int)
(declare-const tmp62__global__25__instrumented__ Int)
(declare-const tmp62__global__26__instrumented__ Int)
(declare-const tmp62__global__27__instrumented__ Int)
(declare-const tmp62__global__28__instrumented__ Int)
(declare-const tmp62__global__29__instrumented__ Int)
(declare-const tmp62__global__2__instrumented__ Int)
(declare-const tmp62__global__30__instrumented__ Int)
(declare-const tmp62__global__31__instrumented__ Int)
(declare-const tmp62__global__3__instrumented__ Int)
(declare-const tmp62__global__4__instrumented__ Int)
(declare-const tmp62__global__5__instrumented__ Int)
(declare-const tmp62__global__6__instrumented__ Int)
(declare-const tmp62__global__7__instrumented__ Int)
(declare-const tmp62__global__8__instrumented__ Int)
(declare-const tmp62__global__9__instrumented__ Int)
(declare-const tmp63__func_bio_opt__b Int)
(declare-const tmp63__func_bio_opt__t Int)
(declare-const tmp63__func_bio_opt__t1 Int)
(declare-const tmp63__func_bio_opt__t2 Int)
(declare-const tmp63__func_bio_opt__t3 Int)
(declare-const tmp63__func_bio_opt__t4 Int)
(declare-const tmp63__func_bio_opt__t5 Int)
(declare-const tmp63__func_bio_opt__tx Int)
(declare-const tmp63__func_bio_opt__ty Int)
(declare-const tmp63__func_com_grad_x_l_nn__val Int)
(declare-const tmp63__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp63__func_com_grad_y_l_nn__val Int)
(declare-const tmp63__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp63__func_com_mc_l_nn__val Int)
(declare-const tmp63__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp63__global__0__instrumented__ Int)
(declare-const tmp63__global__10__instrumented__ Int)
(declare-const tmp63__global__11__instrumented__ Int)
(declare-const tmp63__global__12__instrumented__ Int)
(declare-const tmp63__global__13__instrumented__ Int)
(declare-const tmp63__global__14__instrumented__ Int)
(declare-const tmp63__global__1__instrumented__ Int)
(declare-const tmp63__global__21__instrumented__ Int)
(declare-const tmp63__global__22__instrumented__ Int)
(declare-const tmp63__global__23__instrumented__ Int)
(declare-const tmp63__global__24__instrumented__ Int)
(declare-const tmp63__global__25__instrumented__ Int)
(declare-const tmp63__global__26__instrumented__ Int)
(declare-const tmp63__global__27__instrumented__ Int)
(declare-const tmp63__global__28__instrumented__ Int)
(declare-const tmp63__global__29__instrumented__ Int)
(declare-const tmp63__global__2__instrumented__ Int)
(declare-const tmp63__global__30__instrumented__ Int)
(declare-const tmp63__global__31__instrumented__ Int)
(declare-const tmp63__global__3__instrumented__ Int)
(declare-const tmp63__global__4__instrumented__ Int)
(declare-const tmp63__global__5__instrumented__ Int)
(declare-const tmp63__global__6__instrumented__ Int)
(declare-const tmp63__global__7__instrumented__ Int)
(declare-const tmp63__global__8__instrumented__ Int)
(declare-const tmp63__global__9__instrumented__ Int)
(declare-const tmp64__func_bio_opt__b Int)
(declare-const tmp64__func_bio_opt__t Int)
(declare-const tmp64__func_bio_opt__t1 Int)
(declare-const tmp64__func_bio_opt__t2 Int)
(declare-const tmp64__func_bio_opt__t3 Int)
(declare-const tmp64__func_bio_opt__t4 Int)
(declare-const tmp64__func_bio_opt__t5 Int)
(declare-const tmp64__func_bio_opt__tx Int)
(declare-const tmp64__func_bio_opt__ty Int)
(declare-const tmp64__func_com_grad_x_l_nn__val Int)
(declare-const tmp64__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp64__func_com_grad_y_l_nn__val Int)
(declare-const tmp64__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp64__func_com_mc_l_nn__val Int)
(declare-const tmp64__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp64__global__0__instrumented__ Int)
(declare-const tmp64__global__10__instrumented__ Int)
(declare-const tmp64__global__11__instrumented__ Int)
(declare-const tmp64__global__12__instrumented__ Int)
(declare-const tmp64__global__13__instrumented__ Int)
(declare-const tmp64__global__14__instrumented__ Int)
(declare-const tmp64__global__1__instrumented__ Int)
(declare-const tmp64__global__21__instrumented__ Int)
(declare-const tmp64__global__22__instrumented__ Int)
(declare-const tmp64__global__23__instrumented__ Int)
(declare-const tmp64__global__24__instrumented__ Int)
(declare-const tmp64__global__25__instrumented__ Int)
(declare-const tmp64__global__26__instrumented__ Int)
(declare-const tmp64__global__27__instrumented__ Int)
(declare-const tmp64__global__28__instrumented__ Int)
(declare-const tmp64__global__29__instrumented__ Int)
(declare-const tmp64__global__2__instrumented__ Int)
(declare-const tmp64__global__30__instrumented__ Int)
(declare-const tmp64__global__31__instrumented__ Int)
(declare-const tmp64__global__3__instrumented__ Int)
(declare-const tmp64__global__4__instrumented__ Int)
(declare-const tmp64__global__5__instrumented__ Int)
(declare-const tmp64__global__6__instrumented__ Int)
(declare-const tmp64__global__7__instrumented__ Int)
(declare-const tmp64__global__8__instrumented__ Int)
(declare-const tmp64__global__9__instrumented__ Int)
(declare-const tmp65__func_bio_opt__b Int)
(declare-const tmp65__func_com_grad_x_l_nn__val Int)
(declare-const tmp65__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp65__func_com_grad_y_l_nn__val Int)
(declare-const tmp65__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp65__func_com_mc_l_nn__val Int)
(declare-const tmp65__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp66__func_bio_opt__b Int)
(declare-const tmp66__func_com_grad_x_l_nn__val Int)
(declare-const tmp66__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp66__func_com_grad_y_l_nn__val Int)
(declare-const tmp66__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp66__func_com_mc_l_nn__val Int)
(declare-const tmp66__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp67__func_bio_opt__b Int)
(declare-const tmp67__func_com_grad_x_l_nn__val Int)
(declare-const tmp67__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp67__func_com_grad_y_l_nn__val Int)
(declare-const tmp67__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp67__func_com_mc_l_nn__val Int)
(declare-const tmp67__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp68__func_bio_opt__b Int)
(declare-const tmp68__func_com_grad_x_l_nn__val Int)
(declare-const tmp68__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp68__func_com_grad_y_l_nn__val Int)
(declare-const tmp68__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp68__func_com_mc_l_nn__val Int)
(declare-const tmp68__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp69__func_bio_opt__b Int)
(declare-const tmp69__func_com_grad_x_l_nn__val Int)
(declare-const tmp69__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp69__func_com_grad_y_l_nn__val Int)
(declare-const tmp69__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp69__func_com_mc_l_nn__val Int)
(declare-const tmp69__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp6__func_bio_opt__b Int)
(declare-const tmp6__func_bio_opt__t Int)
(declare-const tmp6__func_bio_opt__t1 Int)
(declare-const tmp6__func_bio_opt__t2 Int)
(declare-const tmp6__func_bio_opt__t3 Int)
(declare-const tmp6__func_bio_opt__t4 Int)
(declare-const tmp6__func_bio_opt__t5 Int)
(declare-const tmp6__func_bio_opt__tx Int)
(declare-const tmp6__func_bio_opt__ty Int)
(declare-const tmp6__func_bio_opt__vx Int)
(declare-const tmp6__func_bio_opt__vy Int)
(declare-const tmp6__func_com_grad_x_l_nn__val Int)
(declare-const tmp6__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp6__func_com_grad_y_l_nn__val Int)
(declare-const tmp6__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp6__func_com_mc_l_nn__val Int)
(declare-const tmp6__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp6__global__0__instrumented__ Int)
(declare-const tmp6__global__10__instrumented__ Int)
(declare-const tmp6__global__11__instrumented__ Int)
(declare-const tmp6__global__12__instrumented__ Int)
(declare-const tmp6__global__13__instrumented__ Int)
(declare-const tmp6__global__14__instrumented__ Int)
(declare-const tmp6__global__16__instrumented__ Int)
(declare-const tmp6__global__18__instrumented__ Int)
(declare-const tmp6__global__19__instrumented__ Int)
(declare-const tmp6__global__1__instrumented__ Int)
(declare-const tmp6__global__20__instrumented__ Int)
(declare-const tmp6__global__21__instrumented__ Int)
(declare-const tmp6__global__22__instrumented__ Int)
(declare-const tmp6__global__23__instrumented__ Int)
(declare-const tmp6__global__24__instrumented__ Int)
(declare-const tmp6__global__25__instrumented__ Int)
(declare-const tmp6__global__26__instrumented__ Int)
(declare-const tmp6__global__27__instrumented__ Int)
(declare-const tmp6__global__28__instrumented__ Int)
(declare-const tmp6__global__29__instrumented__ Int)
(declare-const tmp6__global__2__instrumented__ Int)
(declare-const tmp6__global__30__instrumented__ Int)
(declare-const tmp6__global__31__instrumented__ Int)
(declare-const tmp6__global__3__instrumented__ Int)
(declare-const tmp6__global__4__instrumented__ Int)
(declare-const tmp6__global__5__instrumented__ Int)
(declare-const tmp6__global__6__instrumented__ Int)
(declare-const tmp6__global__7__instrumented__ Int)
(declare-const tmp6__global__8__instrumented__ Int)
(declare-const tmp6__global__9__instrumented__ Int)
(declare-const tmp6__global__buf_0 Int)
(declare-const tmp6__global__buf_1 Int)
(declare-const tmp6__global__buf_10 Int)
(declare-const tmp6__global__buf_100 Int)
(declare-const tmp6__global__buf_101 Int)
(declare-const tmp6__global__buf_102 Int)
(declare-const tmp6__global__buf_103 Int)
(declare-const tmp6__global__buf_104 Int)
(declare-const tmp6__global__buf_105 Int)
(declare-const tmp6__global__buf_106 Int)
(declare-const tmp6__global__buf_107 Int)
(declare-const tmp6__global__buf_108 Int)
(declare-const tmp6__global__buf_109 Int)
(declare-const tmp6__global__buf_11 Int)
(declare-const tmp6__global__buf_110 Int)
(declare-const tmp6__global__buf_111 Int)
(declare-const tmp6__global__buf_112 Int)
(declare-const tmp6__global__buf_113 Int)
(declare-const tmp6__global__buf_114 Int)
(declare-const tmp6__global__buf_115 Int)
(declare-const tmp6__global__buf_116 Int)
(declare-const tmp6__global__buf_117 Int)
(declare-const tmp6__global__buf_118 Int)
(declare-const tmp6__global__buf_119 Int)
(declare-const tmp6__global__buf_12 Int)
(declare-const tmp6__global__buf_13 Int)
(declare-const tmp6__global__buf_14 Int)
(declare-const tmp6__global__buf_15 Int)
(declare-const tmp6__global__buf_16 Int)
(declare-const tmp6__global__buf_17 Int)
(declare-const tmp6__global__buf_18 Int)
(declare-const tmp6__global__buf_19 Int)
(declare-const tmp6__global__buf_2 Int)
(declare-const tmp6__global__buf_20 Int)
(declare-const tmp6__global__buf_21 Int)
(declare-const tmp6__global__buf_22 Int)
(declare-const tmp6__global__buf_23 Int)
(declare-const tmp6__global__buf_24 Int)
(declare-const tmp6__global__buf_25 Int)
(declare-const tmp6__global__buf_26 Int)
(declare-const tmp6__global__buf_27 Int)
(declare-const tmp6__global__buf_28 Int)
(declare-const tmp6__global__buf_29 Int)
(declare-const tmp6__global__buf_3 Int)
(declare-const tmp6__global__buf_30 Int)
(declare-const tmp6__global__buf_31 Int)
(declare-const tmp6__global__buf_32 Int)
(declare-const tmp6__global__buf_33 Int)
(declare-const tmp6__global__buf_34 Int)
(declare-const tmp6__global__buf_35 Int)
(declare-const tmp6__global__buf_36 Int)
(declare-const tmp6__global__buf_37 Int)
(declare-const tmp6__global__buf_38 Int)
(declare-const tmp6__global__buf_39 Int)
(declare-const tmp6__global__buf_4 Int)
(declare-const tmp6__global__buf_40 Int)
(declare-const tmp6__global__buf_41 Int)
(declare-const tmp6__global__buf_42 Int)
(declare-const tmp6__global__buf_43 Int)
(declare-const tmp6__global__buf_44 Int)
(declare-const tmp6__global__buf_45 Int)
(declare-const tmp6__global__buf_46 Int)
(declare-const tmp6__global__buf_47 Int)
(declare-const tmp6__global__buf_48 Int)
(declare-const tmp6__global__buf_49 Int)
(declare-const tmp6__global__buf_5 Int)
(declare-const tmp6__global__buf_50 Int)
(declare-const tmp6__global__buf_51 Int)
(declare-const tmp6__global__buf_52 Int)
(declare-const tmp6__global__buf_53 Int)
(declare-const tmp6__global__buf_54 Int)
(declare-const tmp6__global__buf_55 Int)
(declare-const tmp6__global__buf_56 Int)
(declare-const tmp6__global__buf_57 Int)
(declare-const tmp6__global__buf_58 Int)
(declare-const tmp6__global__buf_59 Int)
(declare-const tmp6__global__buf_6 Int)
(declare-const tmp6__global__buf_60 Int)
(declare-const tmp6__global__buf_61 Int)
(declare-const tmp6__global__buf_62 Int)
(declare-const tmp6__global__buf_63 Int)
(declare-const tmp6__global__buf_64 Int)
(declare-const tmp6__global__buf_65 Int)
(declare-const tmp6__global__buf_66 Int)
(declare-const tmp6__global__buf_67 Int)
(declare-const tmp6__global__buf_68 Int)
(declare-const tmp6__global__buf_69 Int)
(declare-const tmp6__global__buf_7 Int)
(declare-const tmp6__global__buf_70 Int)
(declare-const tmp6__global__buf_71 Int)
(declare-const tmp6__global__buf_72 Int)
(declare-const tmp6__global__buf_73 Int)
(declare-const tmp6__global__buf_74 Int)
(declare-const tmp6__global__buf_75 Int)
(declare-const tmp6__global__buf_76 Int)
(declare-const tmp6__global__buf_77 Int)
(declare-const tmp6__global__buf_78 Int)
(declare-const tmp6__global__buf_79 Int)
(declare-const tmp6__global__buf_8 Int)
(declare-const tmp6__global__buf_80 Int)
(declare-const tmp6__global__buf_81 Int)
(declare-const tmp6__global__buf_82 Int)
(declare-const tmp6__global__buf_83 Int)
(declare-const tmp6__global__buf_84 Int)
(declare-const tmp6__global__buf_85 Int)
(declare-const tmp6__global__buf_86 Int)
(declare-const tmp6__global__buf_87 Int)
(declare-const tmp6__global__buf_88 Int)
(declare-const tmp6__global__buf_89 Int)
(declare-const tmp6__global__buf_9 Int)
(declare-const tmp6__global__buf_90 Int)
(declare-const tmp6__global__buf_91 Int)
(declare-const tmp6__global__buf_92 Int)
(declare-const tmp6__global__buf_93 Int)
(declare-const tmp6__global__buf_94 Int)
(declare-const tmp6__global__buf_95 Int)
(declare-const tmp6__global__buf_96 Int)
(declare-const tmp6__global__buf_97 Int)
(declare-const tmp6__global__buf_98 Int)
(declare-const tmp6__global__buf_99 Int)
(declare-const tmp70__func_bio_opt__b Int)
(declare-const tmp70__func_com_grad_x_l_nn__val Int)
(declare-const tmp70__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp70__func_com_grad_y_l_nn__val Int)
(declare-const tmp70__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp70__func_com_mc_l_nn__val Int)
(declare-const tmp70__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp71__func_bio_opt__b Int)
(declare-const tmp71__func_com_grad_x_l_nn__val Int)
(declare-const tmp71__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp71__func_com_grad_y_l_nn__val Int)
(declare-const tmp71__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp71__func_com_mc_l_nn__val Int)
(declare-const tmp71__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp72__func_bio_opt__b Int)
(declare-const tmp72__func_com_grad_x_l_nn__val Int)
(declare-const tmp72__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp72__func_com_grad_y_l_nn__val Int)
(declare-const tmp72__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp72__func_com_mc_l_nn__val Int)
(declare-const tmp72__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp73__func_bio_opt__b Int)
(declare-const tmp73__func_com_grad_x_l_nn__val Int)
(declare-const tmp73__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp73__func_com_grad_y_l_nn__val Int)
(declare-const tmp73__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp73__func_com_mc_l_nn__val Int)
(declare-const tmp73__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp74__func_bio_opt__b Int)
(declare-const tmp74__func_com_grad_x_l_nn__val Int)
(declare-const tmp74__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp74__func_com_grad_y_l_nn__val Int)
(declare-const tmp74__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp74__func_com_mc_l_nn__val Int)
(declare-const tmp74__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp75__func_bio_opt__b Int)
(declare-const tmp75__func_com_grad_x_l_nn__val Int)
(declare-const tmp75__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp75__func_com_grad_y_l_nn__val Int)
(declare-const tmp75__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp75__func_com_mc_l_nn__val Int)
(declare-const tmp75__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp76__func_bio_opt__b Int)
(declare-const tmp76__func_com_grad_x_l_nn__val Int)
(declare-const tmp76__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp76__func_com_grad_y_l_nn__val Int)
(declare-const tmp76__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp76__func_com_mc_l_nn__val Int)
(declare-const tmp76__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp77__func_bio_opt__b Int)
(declare-const tmp77__func_com_grad_x_l_nn__val Int)
(declare-const tmp77__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp77__func_com_grad_y_l_nn__val Int)
(declare-const tmp77__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp77__func_com_mc_l_nn__val Int)
(declare-const tmp77__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp78__func_bio_opt__b Int)
(declare-const tmp78__func_com_grad_x_l_nn__val Int)
(declare-const tmp78__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp78__func_com_grad_y_l_nn__val Int)
(declare-const tmp78__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp78__func_com_mc_l_nn__val Int)
(declare-const tmp78__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp79__func_bio_opt__b Int)
(declare-const tmp79__func_com_grad_x_l_nn__val Int)
(declare-const tmp79__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp79__func_com_grad_y_l_nn__val Int)
(declare-const tmp79__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp79__func_com_mc_l_nn__val Int)
(declare-const tmp79__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp7__func_bio_opt__b Int)
(declare-const tmp7__func_bio_opt__t Int)
(declare-const tmp7__func_bio_opt__t1 Int)
(declare-const tmp7__func_bio_opt__t2 Int)
(declare-const tmp7__func_bio_opt__t3 Int)
(declare-const tmp7__func_bio_opt__t4 Int)
(declare-const tmp7__func_bio_opt__t5 Int)
(declare-const tmp7__func_bio_opt__tx Int)
(declare-const tmp7__func_bio_opt__ty Int)
(declare-const tmp7__func_bio_opt__vx Int)
(declare-const tmp7__func_bio_opt__vy Int)
(declare-const tmp7__func_com_grad_x_l_nn__val Int)
(declare-const tmp7__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp7__func_com_grad_y_l_nn__val Int)
(declare-const tmp7__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp7__func_com_mc_l_nn__val Int)
(declare-const tmp7__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp7__global__0__instrumented__ Int)
(declare-const tmp7__global__10__instrumented__ Int)
(declare-const tmp7__global__11__instrumented__ Int)
(declare-const tmp7__global__12__instrumented__ Int)
(declare-const tmp7__global__13__instrumented__ Int)
(declare-const tmp7__global__14__instrumented__ Int)
(declare-const tmp7__global__16__instrumented__ Int)
(declare-const tmp7__global__18__instrumented__ Int)
(declare-const tmp7__global__19__instrumented__ Int)
(declare-const tmp7__global__1__instrumented__ Int)
(declare-const tmp7__global__20__instrumented__ Int)
(declare-const tmp7__global__21__instrumented__ Int)
(declare-const tmp7__global__22__instrumented__ Int)
(declare-const tmp7__global__23__instrumented__ Int)
(declare-const tmp7__global__24__instrumented__ Int)
(declare-const tmp7__global__25__instrumented__ Int)
(declare-const tmp7__global__26__instrumented__ Int)
(declare-const tmp7__global__27__instrumented__ Int)
(declare-const tmp7__global__28__instrumented__ Int)
(declare-const tmp7__global__29__instrumented__ Int)
(declare-const tmp7__global__2__instrumented__ Int)
(declare-const tmp7__global__30__instrumented__ Int)
(declare-const tmp7__global__31__instrumented__ Int)
(declare-const tmp7__global__3__instrumented__ Int)
(declare-const tmp7__global__4__instrumented__ Int)
(declare-const tmp7__global__5__instrumented__ Int)
(declare-const tmp7__global__6__instrumented__ Int)
(declare-const tmp7__global__7__instrumented__ Int)
(declare-const tmp7__global__8__instrumented__ Int)
(declare-const tmp7__global__9__instrumented__ Int)
(declare-const tmp7__global__buf_0 Int)
(declare-const tmp7__global__buf_1 Int)
(declare-const tmp7__global__buf_10 Int)
(declare-const tmp7__global__buf_100 Int)
(declare-const tmp7__global__buf_101 Int)
(declare-const tmp7__global__buf_102 Int)
(declare-const tmp7__global__buf_103 Int)
(declare-const tmp7__global__buf_104 Int)
(declare-const tmp7__global__buf_105 Int)
(declare-const tmp7__global__buf_106 Int)
(declare-const tmp7__global__buf_107 Int)
(declare-const tmp7__global__buf_108 Int)
(declare-const tmp7__global__buf_109 Int)
(declare-const tmp7__global__buf_11 Int)
(declare-const tmp7__global__buf_110 Int)
(declare-const tmp7__global__buf_111 Int)
(declare-const tmp7__global__buf_112 Int)
(declare-const tmp7__global__buf_113 Int)
(declare-const tmp7__global__buf_114 Int)
(declare-const tmp7__global__buf_115 Int)
(declare-const tmp7__global__buf_116 Int)
(declare-const tmp7__global__buf_117 Int)
(declare-const tmp7__global__buf_118 Int)
(declare-const tmp7__global__buf_119 Int)
(declare-const tmp7__global__buf_12 Int)
(declare-const tmp7__global__buf_13 Int)
(declare-const tmp7__global__buf_14 Int)
(declare-const tmp7__global__buf_15 Int)
(declare-const tmp7__global__buf_16 Int)
(declare-const tmp7__global__buf_17 Int)
(declare-const tmp7__global__buf_18 Int)
(declare-const tmp7__global__buf_19 Int)
(declare-const tmp7__global__buf_2 Int)
(declare-const tmp7__global__buf_20 Int)
(declare-const tmp7__global__buf_21 Int)
(declare-const tmp7__global__buf_22 Int)
(declare-const tmp7__global__buf_23 Int)
(declare-const tmp7__global__buf_24 Int)
(declare-const tmp7__global__buf_25 Int)
(declare-const tmp7__global__buf_26 Int)
(declare-const tmp7__global__buf_27 Int)
(declare-const tmp7__global__buf_28 Int)
(declare-const tmp7__global__buf_29 Int)
(declare-const tmp7__global__buf_3 Int)
(declare-const tmp7__global__buf_30 Int)
(declare-const tmp7__global__buf_31 Int)
(declare-const tmp7__global__buf_32 Int)
(declare-const tmp7__global__buf_33 Int)
(declare-const tmp7__global__buf_34 Int)
(declare-const tmp7__global__buf_35 Int)
(declare-const tmp7__global__buf_36 Int)
(declare-const tmp7__global__buf_37 Int)
(declare-const tmp7__global__buf_38 Int)
(declare-const tmp7__global__buf_39 Int)
(declare-const tmp7__global__buf_4 Int)
(declare-const tmp7__global__buf_40 Int)
(declare-const tmp7__global__buf_41 Int)
(declare-const tmp7__global__buf_42 Int)
(declare-const tmp7__global__buf_43 Int)
(declare-const tmp7__global__buf_44 Int)
(declare-const tmp7__global__buf_45 Int)
(declare-const tmp7__global__buf_46 Int)
(declare-const tmp7__global__buf_47 Int)
(declare-const tmp7__global__buf_48 Int)
(declare-const tmp7__global__buf_49 Int)
(declare-const tmp7__global__buf_5 Int)
(declare-const tmp7__global__buf_50 Int)
(declare-const tmp7__global__buf_51 Int)
(declare-const tmp7__global__buf_52 Int)
(declare-const tmp7__global__buf_53 Int)
(declare-const tmp7__global__buf_54 Int)
(declare-const tmp7__global__buf_55 Int)
(declare-const tmp7__global__buf_56 Int)
(declare-const tmp7__global__buf_57 Int)
(declare-const tmp7__global__buf_58 Int)
(declare-const tmp7__global__buf_59 Int)
(declare-const tmp7__global__buf_6 Int)
(declare-const tmp7__global__buf_60 Int)
(declare-const tmp7__global__buf_61 Int)
(declare-const tmp7__global__buf_62 Int)
(declare-const tmp7__global__buf_63 Int)
(declare-const tmp7__global__buf_64 Int)
(declare-const tmp7__global__buf_65 Int)
(declare-const tmp7__global__buf_66 Int)
(declare-const tmp7__global__buf_67 Int)
(declare-const tmp7__global__buf_68 Int)
(declare-const tmp7__global__buf_69 Int)
(declare-const tmp7__global__buf_7 Int)
(declare-const tmp7__global__buf_70 Int)
(declare-const tmp7__global__buf_71 Int)
(declare-const tmp7__global__buf_72 Int)
(declare-const tmp7__global__buf_73 Int)
(declare-const tmp7__global__buf_74 Int)
(declare-const tmp7__global__buf_75 Int)
(declare-const tmp7__global__buf_76 Int)
(declare-const tmp7__global__buf_77 Int)
(declare-const tmp7__global__buf_78 Int)
(declare-const tmp7__global__buf_79 Int)
(declare-const tmp7__global__buf_8 Int)
(declare-const tmp7__global__buf_80 Int)
(declare-const tmp7__global__buf_81 Int)
(declare-const tmp7__global__buf_82 Int)
(declare-const tmp7__global__buf_83 Int)
(declare-const tmp7__global__buf_84 Int)
(declare-const tmp7__global__buf_85 Int)
(declare-const tmp7__global__buf_86 Int)
(declare-const tmp7__global__buf_87 Int)
(declare-const tmp7__global__buf_88 Int)
(declare-const tmp7__global__buf_89 Int)
(declare-const tmp7__global__buf_9 Int)
(declare-const tmp7__global__buf_90 Int)
(declare-const tmp7__global__buf_91 Int)
(declare-const tmp7__global__buf_92 Int)
(declare-const tmp7__global__buf_93 Int)
(declare-const tmp7__global__buf_94 Int)
(declare-const tmp7__global__buf_95 Int)
(declare-const tmp7__global__buf_96 Int)
(declare-const tmp7__global__buf_97 Int)
(declare-const tmp7__global__buf_98 Int)
(declare-const tmp7__global__buf_99 Int)
(declare-const tmp80__func_bio_opt__b Int)
(declare-const tmp80__func_com_grad_x_l_nn__val Int)
(declare-const tmp80__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp80__func_com_grad_y_l_nn__val Int)
(declare-const tmp80__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp80__func_com_mc_l_nn__val Int)
(declare-const tmp80__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp81__func_bio_opt__b Int)
(declare-const tmp81__func_com_grad_x_l_nn__val Int)
(declare-const tmp81__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp81__func_com_grad_y_l_nn__val Int)
(declare-const tmp81__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp81__func_com_mc_l_nn__val Int)
(declare-const tmp81__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp82__func_bio_opt__b Int)
(declare-const tmp82__func_com_grad_x_l_nn__val Int)
(declare-const tmp82__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp82__func_com_grad_y_l_nn__val Int)
(declare-const tmp82__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp82__func_com_mc_l_nn__val Int)
(declare-const tmp82__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp83__func_bio_opt__b Int)
(declare-const tmp83__func_com_grad_x_l_nn__val Int)
(declare-const tmp83__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp83__func_com_grad_y_l_nn__val Int)
(declare-const tmp83__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp83__func_com_mc_l_nn__val Int)
(declare-const tmp83__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp84__func_bio_opt__b Int)
(declare-const tmp84__func_com_grad_x_l_nn__val Int)
(declare-const tmp84__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp84__func_com_grad_y_l_nn__val Int)
(declare-const tmp84__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp84__func_com_mc_l_nn__val Int)
(declare-const tmp84__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp85__func_bio_opt__b Int)
(declare-const tmp85__func_com_grad_x_l_nn__val Int)
(declare-const tmp85__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp85__func_com_grad_y_l_nn__val Int)
(declare-const tmp85__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp85__func_com_mc_l_nn__val Int)
(declare-const tmp85__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp86__func_bio_opt__b Int)
(declare-const tmp86__func_com_grad_x_l_nn__val Int)
(declare-const tmp86__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp86__func_com_grad_y_l_nn__val Int)
(declare-const tmp86__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp86__func_com_mc_l_nn__val Int)
(declare-const tmp86__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp87__func_bio_opt__b Int)
(declare-const tmp87__func_com_grad_x_l_nn__val Int)
(declare-const tmp87__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp87__func_com_grad_y_l_nn__val Int)
(declare-const tmp87__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp87__func_com_mc_l_nn__val Int)
(declare-const tmp87__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp88__func_bio_opt__b Int)
(declare-const tmp88__func_com_grad_x_l_nn__val Int)
(declare-const tmp88__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp88__func_com_grad_y_l_nn__val Int)
(declare-const tmp88__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp88__func_com_mc_l_nn__val Int)
(declare-const tmp88__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp89__func_bio_opt__b Int)
(declare-const tmp89__func_com_grad_x_l_nn__val Int)
(declare-const tmp89__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp89__func_com_grad_y_l_nn__val Int)
(declare-const tmp89__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp89__func_com_mc_l_nn__val Int)
(declare-const tmp89__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp8__func_bio_opt__b Int)
(declare-const tmp8__func_bio_opt__t Int)
(declare-const tmp8__func_bio_opt__t1 Int)
(declare-const tmp8__func_bio_opt__t2 Int)
(declare-const tmp8__func_bio_opt__t3 Int)
(declare-const tmp8__func_bio_opt__t4 Int)
(declare-const tmp8__func_bio_opt__t5 Int)
(declare-const tmp8__func_bio_opt__tx Int)
(declare-const tmp8__func_bio_opt__ty Int)
(declare-const tmp8__func_bio_opt__vx Int)
(declare-const tmp8__func_bio_opt__vy Int)
(declare-const tmp8__func_com_grad_x_l_nn__val Int)
(declare-const tmp8__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp8__func_com_grad_y_l_nn__val Int)
(declare-const tmp8__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp8__func_com_mc_l_nn__val Int)
(declare-const tmp8__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp8__global__0__instrumented__ Int)
(declare-const tmp8__global__10__instrumented__ Int)
(declare-const tmp8__global__11__instrumented__ Int)
(declare-const tmp8__global__12__instrumented__ Int)
(declare-const tmp8__global__13__instrumented__ Int)
(declare-const tmp8__global__14__instrumented__ Int)
(declare-const tmp8__global__1__instrumented__ Int)
(declare-const tmp8__global__21__instrumented__ Int)
(declare-const tmp8__global__22__instrumented__ Int)
(declare-const tmp8__global__23__instrumented__ Int)
(declare-const tmp8__global__24__instrumented__ Int)
(declare-const tmp8__global__25__instrumented__ Int)
(declare-const tmp8__global__26__instrumented__ Int)
(declare-const tmp8__global__27__instrumented__ Int)
(declare-const tmp8__global__28__instrumented__ Int)
(declare-const tmp8__global__29__instrumented__ Int)
(declare-const tmp8__global__2__instrumented__ Int)
(declare-const tmp8__global__30__instrumented__ Int)
(declare-const tmp8__global__31__instrumented__ Int)
(declare-const tmp8__global__3__instrumented__ Int)
(declare-const tmp8__global__4__instrumented__ Int)
(declare-const tmp8__global__5__instrumented__ Int)
(declare-const tmp8__global__6__instrumented__ Int)
(declare-const tmp8__global__7__instrumented__ Int)
(declare-const tmp8__global__8__instrumented__ Int)
(declare-const tmp8__global__9__instrumented__ Int)
(declare-const tmp90__func_bio_opt__b Int)
(declare-const tmp90__func_com_grad_x_l_nn__val Int)
(declare-const tmp90__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp90__func_com_grad_y_l_nn__val Int)
(declare-const tmp90__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp90__func_com_mc_l_nn__val Int)
(declare-const tmp90__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp91__func_bio_opt__b Int)
(declare-const tmp91__func_com_grad_x_l_nn__val Int)
(declare-const tmp91__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp91__func_com_grad_y_l_nn__val Int)
(declare-const tmp91__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp91__func_com_mc_l_nn__val Int)
(declare-const tmp91__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp92__func_bio_opt__b Int)
(declare-const tmp92__func_com_grad_x_l_nn__val Int)
(declare-const tmp92__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp92__func_com_grad_y_l_nn__val Int)
(declare-const tmp92__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp92__func_com_mc_l_nn__val Int)
(declare-const tmp92__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp93__func_bio_opt__b Int)
(declare-const tmp93__func_com_grad_x_l_nn__val Int)
(declare-const tmp93__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp93__func_com_grad_y_l_nn__val Int)
(declare-const tmp93__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp93__func_com_mc_l_nn__val Int)
(declare-const tmp93__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp94__func_bio_opt__b Int)
(declare-const tmp94__func_com_grad_x_l_nn__val Int)
(declare-const tmp94__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp94__func_com_grad_y_l_nn__val Int)
(declare-const tmp94__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp94__func_com_mc_l_nn__val Int)
(declare-const tmp94__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp95__func_bio_opt__b Int)
(declare-const tmp95__func_com_grad_x_l_nn__val Int)
(declare-const tmp95__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp95__func_com_grad_y_l_nn__val Int)
(declare-const tmp95__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp95__func_com_mc_l_nn__val Int)
(declare-const tmp95__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp96__func_bio_opt__b Int)
(declare-const tmp96__func_com_grad_x_l_nn__val Int)
(declare-const tmp96__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp96__func_com_grad_y_l_nn__val Int)
(declare-const tmp96__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp96__func_com_mc_l_nn__val Int)
(declare-const tmp96__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp97__func_bio_opt__b Int)
(declare-const tmp97__func_com_grad_x_l_nn__val Int)
(declare-const tmp97__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp97__func_com_grad_y_l_nn__val Int)
(declare-const tmp97__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp97__func_com_mc_l_nn__val Int)
(declare-const tmp97__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp98__func_bio_opt__b Int)
(declare-const tmp98__func_com_grad_x_l_nn__val Int)
(declare-const tmp98__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp98__func_com_grad_y_l_nn__val Int)
(declare-const tmp98__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp98__func_com_mc_l_nn__val Int)
(declare-const tmp98__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp99__func_bio_opt__b Int)
(declare-const tmp99__func_com_grad_x_l_nn__val Int)
(declare-const tmp99__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp99__func_com_grad_y_l_nn__val Int)
(declare-const tmp99__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp99__func_com_mc_l_nn__val Int)
(declare-const tmp99__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp9__func_bio_opt__b Int)
(declare-const tmp9__func_bio_opt__t Int)
(declare-const tmp9__func_bio_opt__t1 Int)
(declare-const tmp9__func_bio_opt__t2 Int)
(declare-const tmp9__func_bio_opt__t3 Int)
(declare-const tmp9__func_bio_opt__t4 Int)
(declare-const tmp9__func_bio_opt__t5 Int)
(declare-const tmp9__func_bio_opt__tx Int)
(declare-const tmp9__func_bio_opt__ty Int)
(declare-const tmp9__func_bio_opt__vx Int)
(declare-const tmp9__func_bio_opt__vy Int)
(declare-const tmp9__func_com_grad_x_l_nn__val Int)
(declare-const tmp9__func_com_grad_x_l_nn_variant_1__val Int)
(declare-const tmp9__func_com_grad_y_l_nn__val Int)
(declare-const tmp9__func_com_grad_y_l_nn_variant_1__val Int)
(declare-const tmp9__func_com_mc_l_nn__val Int)
(declare-const tmp9__func_com_mc_l_nn_variant_1__val Int)
(declare-const tmp9__global__0__instrumented__ Int)
(declare-const tmp9__global__10__instrumented__ Int)
(declare-const tmp9__global__11__instrumented__ Int)
(declare-const tmp9__global__12__instrumented__ Int)
(declare-const tmp9__global__13__instrumented__ Int)
(declare-const tmp9__global__14__instrumented__ Int)
(declare-const tmp9__global__1__instrumented__ Int)
(declare-const tmp9__global__21__instrumented__ Int)
(declare-const tmp9__global__22__instrumented__ Int)
(declare-const tmp9__global__23__instrumented__ Int)
(declare-const tmp9__global__24__instrumented__ Int)
(declare-const tmp9__global__25__instrumented__ Int)
(declare-const tmp9__global__26__instrumented__ Int)
(declare-const tmp9__global__27__instrumented__ Int)
(declare-const tmp9__global__28__instrumented__ Int)
(declare-const tmp9__global__29__instrumented__ Int)
(declare-const tmp9__global__2__instrumented__ Int)
(declare-const tmp9__global__30__instrumented__ Int)
(declare-const tmp9__global__31__instrumented__ Int)
(declare-const tmp9__global__3__instrumented__ Int)
(declare-const tmp9__global__4__instrumented__ Int)
(declare-const tmp9__global__5__instrumented__ Int)
(declare-const tmp9__global__6__instrumented__ Int)
(declare-const tmp9__global__7__instrumented__ Int)
(declare-const tmp9__global__8__instrumented__ Int)
(declare-const tmp9__global__9__instrumented__ Int)
(assert (>= tmp0__global__input__val__0 0)) ; (tmp0__global__input__val__0 >= 0)
(assert (<= tmp0__global__input__val__0 255)) ; (tmp0__global__input__val__0 <= 255)
(assert (>= tmp0__global__input__val__1 0)) ; (tmp0__global__input__val__1 >= 0)
(assert (<= tmp0__global__input__val__1 255)) ; (tmp0__global__input__val__1 <= 255)
(assert (>= tmp0__global__input__val__2 0)) ; (tmp0__global__input__val__2 >= 0)
(assert (<= tmp0__global__input__val__2 255)) ; (tmp0__global__input__val__2 <= 255)
(assert (>= tmp0__global__input__val__3 0)) ; (tmp0__global__input__val__3 >= 0)
(assert (<= tmp0__global__input__val__3 255)) ; (tmp0__global__input__val__3 <= 255)
(assert (>= tmp0__global__input__val__4 0)) ; (tmp0__global__input__val__4 >= 0)
(assert (<= tmp0__global__input__val__4 255)) ; (tmp0__global__input__val__4 <= 255)
(assert (>= tmp0__global__input__val__5 0)) ; (tmp0__global__input__val__5 >= 0)
(assert (<= tmp0__global__input__val__5 255)) ; (tmp0__global__input__val__5 <= 255)
(assert (>= tmp0__global__input__val__6 0)) ; (tmp0__global__input__val__6 >= 0)
(assert (<= tmp0__global__input__val__6 255)) ; (tmp0__global__input__val__6 <= 255)
(assert (>= tmp0__global__input__val__7 0)) ; (tmp0__global__input__val__7 >= 0)
(assert (<= tmp0__global__input__val__7 255)) ; (tmp0__global__input__val__7 <= 255)
(assert (>= tmp0__global__input__val__8 0)) ; (tmp0__global__input__val__8 >= 0)
(assert (<= tmp0__global__input__val__8 255)) ; (tmp0__global__input__val__8 <= 255)
(assert (>= tmp0__global__input__val__9 0)) ; (tmp0__global__input__val__9 >= 0)
(assert (<= tmp0__global__input__val__9 255)) ; (tmp0__global__input__val__9 <= 255)
(assert (>= tmp0__global__input__val__10 0)) ; (tmp0__global__input__val__10 >= 0)
(assert (<= tmp0__global__input__val__10 255)) ; (tmp0__global__input__val__10 <= 255)
(assert (>= tmp0__global__input__val__11 0)) ; (tmp0__global__input__val__11 >= 0)
(assert (<= tmp0__global__input__val__11 255)) ; (tmp0__global__input__val__11 <= 255)
(assert (>= tmp0__global__input__val__12 0)) ; (tmp0__global__input__val__12 >= 0)
(assert (<= tmp0__global__input__val__12 255)) ; (tmp0__global__input__val__12 <= 255)
(assert (>= tmp0__global__input__val__13 0)) ; (tmp0__global__input__val__13 >= 0)
(assert (<= tmp0__global__input__val__13 255)) ; (tmp0__global__input__val__13 <= 255)
(assert (>= tmp0__global__input__val__14 0)) ; (tmp0__global__input__val__14 >= 0)
(assert (<= tmp0__global__input__val__14 255)) ; (tmp0__global__input__val__14 <= 255)
(assert (>= tmp0__global__input__val__15 0)) ; (tmp0__global__input__val__15 >= 0)
(assert (<= tmp0__global__input__val__15 255)) ; (tmp0__global__input__val__15 <= 255)
(assert (>= tmp0__global__input__val__16 0)) ; (tmp0__global__input__val__16 >= 0)
(assert (<= tmp0__global__input__val__16 255)) ; (tmp0__global__input__val__16 <= 255)
(assert (>= tmp0__global__input__val__17 0)) ; (tmp0__global__input__val__17 >= 0)
(assert (<= tmp0__global__input__val__17 255)) ; (tmp0__global__input__val__17 <= 255)
(assert (>= tmp0__global__input__val__18 0)) ; (tmp0__global__input__val__18 >= 0)
(assert (<= tmp0__global__input__val__18 255)) ; (tmp0__global__input__val__18 <= 255)
(assert (>= tmp0__global__input__val__19 0)) ; (tmp0__global__input__val__19 >= 0)
(assert (<= tmp0__global__input__val__19 255)) ; (tmp0__global__input__val__19 <= 255)
(assert (>= tmp0__global__input__val__20 0)) ; (tmp0__global__input__val__20 >= 0)
(assert (<= tmp0__global__input__val__20 255)) ; (tmp0__global__input__val__20 <= 255)
(assert (>= tmp0__global__input__val__21 0)) ; (tmp0__global__input__val__21 >= 0)
(assert (<= tmp0__global__input__val__21 255)) ; (tmp0__global__input__val__21 <= 255)
(assert (>= tmp0__global__input__val__22 0)) ; (tmp0__global__input__val__22 >= 0)
(assert (<= tmp0__global__input__val__22 255)) ; (tmp0__global__input__val__22 <= 255)
(assert (>= tmp0__global__input__val__23 0)) ; (tmp0__global__input__val__23 >= 0)
(assert (<= tmp0__global__input__val__23 255)) ; (tmp0__global__input__val__23 <= 255)
(assert (>= tmp0__global__input__val__24 0)) ; (tmp0__global__input__val__24 >= 0)
(assert (<= tmp0__global__input__val__24 255)) ; (tmp0__global__input__val__24 <= 255)
(assert (>= tmp0__global__input__val__25 0)) ; (tmp0__global__input__val__25 >= 0)
(assert (<= tmp0__global__input__val__25 255)) ; (tmp0__global__input__val__25 <= 255)
(assert (>= tmp0__global__input__val__26 0)) ; (tmp0__global__input__val__26 >= 0)
(assert (<= tmp0__global__input__val__26 255)) ; (tmp0__global__input__val__26 <= 255)
(assert (>= tmp0__global__input__val__27 0)) ; (tmp0__global__input__val__27 >= 0)
(assert (<= tmp0__global__input__val__27 255)) ; (tmp0__global__input__val__27 <= 255)
(assert (>= tmp0__global__input__val__28 0)) ; (tmp0__global__input__val__28 >= 0)
(assert (<= tmp0__global__input__val__28 255)) ; (tmp0__global__input__val__28 <= 255)
(assert (>= tmp0__global__input__val__29 0)) ; (tmp0__global__input__val__29 >= 0)
(assert (<= tmp0__global__input__val__29 255)) ; (tmp0__global__input__val__29 <= 255)
(assert (>= tmp0__global__input__val__30 0)) ; (tmp0__global__input__val__30 >= 0)
(assert (<= tmp0__global__input__val__30 255)) ; (tmp0__global__input__val__30 <= 255)
(assert (>= tmp0__global__input__val__31 0)) ; (tmp0__global__input__val__31 >= 0)
(assert (<= tmp0__global__input__val__31 255)) ; (tmp0__global__input__val__31 <= 255)
(assert (>= tmp0__global__input__val__32 0)) ; (tmp0__global__input__val__32 >= 0)
(assert (<= tmp0__global__input__val__32 255)) ; (tmp0__global__input__val__32 <= 255)
(assert (>= tmp0__global__input__val__33 0)) ; (tmp0__global__input__val__33 >= 0)
(assert (<= tmp0__global__input__val__33 255)) ; (tmp0__global__input__val__33 <= 255)
(assert (>= tmp0__global__input__val__34 0)) ; (tmp0__global__input__val__34 >= 0)
(assert (<= tmp0__global__input__val__34 255)) ; (tmp0__global__input__val__34 <= 255)
(assert (>= tmp0__global__input__val__35 0)) ; (tmp0__global__input__val__35 >= 0)
(assert (<= tmp0__global__input__val__35 255)) ; (tmp0__global__input__val__35 <= 255)
(assert (>= tmp0__global__input__val__36 0)) ; (tmp0__global__input__val__36 >= 0)
(assert (<= tmp0__global__input__val__36 255)) ; (tmp0__global__input__val__36 <= 255)
(assert (>= tmp0__global__input__val__37 0)) ; (tmp0__global__input__val__37 >= 0)
(assert (<= tmp0__global__input__val__37 255)) ; (tmp0__global__input__val__37 <= 255)
(assert (>= tmp0__global__input__val__38 0)) ; (tmp0__global__input__val__38 >= 0)
(assert (<= tmp0__global__input__val__38 255)) ; (tmp0__global__input__val__38 <= 255)
(assert (>= tmp0__global__input__val__39 0)) ; (tmp0__global__input__val__39 >= 0)
(assert (<= tmp0__global__input__val__39 255)) ; (tmp0__global__input__val__39 <= 255)
(assert (>= tmp0__global__input__val__40 0)) ; (tmp0__global__input__val__40 >= 0)
(assert (<= tmp0__global__input__val__40 255)) ; (tmp0__global__input__val__40 <= 255)
(assert (>= tmp0__global__input__val__41 0)) ; (tmp0__global__input__val__41 >= 0)
(assert (<= tmp0__global__input__val__41 255)) ; (tmp0__global__input__val__41 <= 255)
(assert (>= tmp0__global__input__val__42 0)) ; (tmp0__global__input__val__42 >= 0)
(assert (<= tmp0__global__input__val__42 255)) ; (tmp0__global__input__val__42 <= 255)
(assert (>= tmp0__global__input__val__43 0)) ; (tmp0__global__input__val__43 >= 0)
(assert (<= tmp0__global__input__val__43 255)) ; (tmp0__global__input__val__43 <= 255)
(assert (>= tmp0__global__input__val__44 0)) ; (tmp0__global__input__val__44 >= 0)
(assert (<= tmp0__global__input__val__44 255)) ; (tmp0__global__input__val__44 <= 255)
(assert (>= tmp0__global__input__val__45 0)) ; (tmp0__global__input__val__45 >= 0)
(assert (<= tmp0__global__input__val__45 255)) ; (tmp0__global__input__val__45 <= 255)
(assert (>= tmp0__global__input__val__46 0)) ; (tmp0__global__input__val__46 >= 0)
(assert (<= tmp0__global__input__val__46 255)) ; (tmp0__global__input__val__46 <= 255)
(assert (>= tmp0__global__input__val__47 0)) ; (tmp0__global__input__val__47 >= 0)
(assert (<= tmp0__global__input__val__47 255)) ; (tmp0__global__input__val__47 <= 255)
(assert (>= tmp0__global__input__val__48 0)) ; (tmp0__global__input__val__48 >= 0)
(assert (<= tmp0__global__input__val__48 255)) ; (tmp0__global__input__val__48 <= 255)
(assert (>= tmp0__global__input__val__49 0)) ; (tmp0__global__input__val__49 >= 0)
(assert (<= tmp0__global__input__val__49 255)) ; (tmp0__global__input__val__49 <= 255)
(assert (>= tmp0__global__input__val__50 0)) ; (tmp0__global__input__val__50 >= 0)
(assert (<= tmp0__global__input__val__50 255)) ; (tmp0__global__input__val__50 <= 255)
(assert (>= tmp0__global__input__val__51 0)) ; (tmp0__global__input__val__51 >= 0)
(assert (<= tmp0__global__input__val__51 255)) ; (tmp0__global__input__val__51 <= 255)
(assert (>= tmp0__global__input__val__52 0)) ; (tmp0__global__input__val__52 >= 0)
(assert (<= tmp0__global__input__val__52 255)) ; (tmp0__global__input__val__52 <= 255)
(assert (>= tmp0__global__input__val__53 0)) ; (tmp0__global__input__val__53 >= 0)
(assert (<= tmp0__global__input__val__53 255)) ; (tmp0__global__input__val__53 <= 255)
(assert (>= tmp0__global__input__val__54 0)) ; (tmp0__global__input__val__54 >= 0)
(assert (<= tmp0__global__input__val__54 255)) ; (tmp0__global__input__val__54 <= 255)
(assert (>= tmp0__global__input__val__55 0)) ; (tmp0__global__input__val__55 >= 0)
(assert (<= tmp0__global__input__val__55 255)) ; (tmp0__global__input__val__55 <= 255)
(assert (>= tmp0__global__input__val__56 0)) ; (tmp0__global__input__val__56 >= 0)
(assert (<= tmp0__global__input__val__56 255)) ; (tmp0__global__input__val__56 <= 255)
(assert (>= tmp0__global__input__val__57 0)) ; (tmp0__global__input__val__57 >= 0)
(assert (<= tmp0__global__input__val__57 255)) ; (tmp0__global__input__val__57 <= 255)
(assert (>= tmp0__global__input__val__58 0)) ; (tmp0__global__input__val__58 >= 0)
(assert (<= tmp0__global__input__val__58 255)) ; (tmp0__global__input__val__58 <= 255)
(assert (>= tmp0__global__input__val__59 0)) ; (tmp0__global__input__val__59 >= 0)
(assert (<= tmp0__global__input__val__59 255)) ; (tmp0__global__input__val__59 <= 255)
(assert (>= tmp0__global__input__val__60 0)) ; (tmp0__global__input__val__60 >= 0)
(assert (<= tmp0__global__input__val__60 255)) ; (tmp0__global__input__val__60 <= 255)
(assert (>= tmp0__global__input__val__61 0)) ; (tmp0__global__input__val__61 >= 0)
(assert (<= tmp0__global__input__val__61 255)) ; (tmp0__global__input__val__61 <= 255)
(assert (>= tmp0__global__input__val__62 0)) ; (tmp0__global__input__val__62 >= 0)
(assert (<= tmp0__global__input__val__62 255)) ; (tmp0__global__input__val__62 <= 255)
(assert (>= tmp0__global__input__val__63 0)) ; (tmp0__global__input__val__63 >= 0)
(assert (<= tmp0__global__input__val__63 255)) ; (tmp0__global__input__val__63 <= 255)
(assert (>= tmp0__global__input__val__64 0)) ; (tmp0__global__input__val__64 >= 0)
(assert (<= tmp0__global__input__val__64 255)) ; (tmp0__global__input__val__64 <= 255)
(assert (>= tmp0__global__input__val__65 0)) ; (tmp0__global__input__val__65 >= 0)
(assert (<= tmp0__global__input__val__65 255)) ; (tmp0__global__input__val__65 <= 255)
(assert (>= tmp0__global__input__val__66 0)) ; (tmp0__global__input__val__66 >= 0)
(assert (<= tmp0__global__input__val__66 255)) ; (tmp0__global__input__val__66 <= 255)
(assert (>= tmp0__global__input__val__67 0)) ; (tmp0__global__input__val__67 >= 0)
(assert (<= tmp0__global__input__val__67 255)) ; (tmp0__global__input__val__67 <= 255)
(assert (>= tmp0__global__input__val__68 0)) ; (tmp0__global__input__val__68 >= 0)
(assert (<= tmp0__global__input__val__68 255)) ; (tmp0__global__input__val__68 <= 255)
(assert (>= tmp0__global__input__val__69 0)) ; (tmp0__global__input__val__69 >= 0)
(assert (<= tmp0__global__input__val__69 255)) ; (tmp0__global__input__val__69 <= 255)
(assert (>= tmp0__global__input__val__70 0)) ; (tmp0__global__input__val__70 >= 0)
(assert (<= tmp0__global__input__val__70 255)) ; (tmp0__global__input__val__70 <= 255)
(assert (>= tmp0__global__input__val__71 0)) ; (tmp0__global__input__val__71 >= 0)
(assert (<= tmp0__global__input__val__71 255)) ; (tmp0__global__input__val__71 <= 255)
(assert (>= tmp0__global__input__val__72 0)) ; (tmp0__global__input__val__72 >= 0)
(assert (<= tmp0__global__input__val__72 255)) ; (tmp0__global__input__val__72 <= 255)
(assert (>= tmp0__global__input__val__73 0)) ; (tmp0__global__input__val__73 >= 0)
(assert (<= tmp0__global__input__val__73 255)) ; (tmp0__global__input__val__73 <= 255)
(assert (>= tmp0__global__input__val__74 0)) ; (tmp0__global__input__val__74 >= 0)
(assert (<= tmp0__global__input__val__74 255)) ; (tmp0__global__input__val__74 <= 255)
(assert (>= tmp0__global__input__val__75 0)) ; (tmp0__global__input__val__75 >= 0)
(assert (<= tmp0__global__input__val__75 255)) ; (tmp0__global__input__val__75 <= 255)
(assert (>= tmp0__global__input__val__76 0)) ; (tmp0__global__input__val__76 >= 0)
(assert (<= tmp0__global__input__val__76 255)) ; (tmp0__global__input__val__76 <= 255)
(assert (>= tmp0__global__input__val__77 0)) ; (tmp0__global__input__val__77 >= 0)
(assert (<= tmp0__global__input__val__77 255)) ; (tmp0__global__input__val__77 <= 255)
(assert (>= tmp0__global__input__val__78 0)) ; (tmp0__global__input__val__78 >= 0)
(assert (<= tmp0__global__input__val__78 255)) ; (tmp0__global__input__val__78 <= 255)
(assert (>= tmp0__global__input__val__79 0)) ; (tmp0__global__input__val__79 >= 0)
(assert (<= tmp0__global__input__val__79 255)) ; (tmp0__global__input__val__79 <= 255)
(assert (>= tmp0__global__input__val__80 0)) ; (tmp0__global__input__val__80 >= 0)
(assert (<= tmp0__global__input__val__80 255)) ; (tmp0__global__input__val__80 <= 255)
(assert (>= tmp0__global__input__val__81 0)) ; (tmp0__global__input__val__81 >= 0)
(assert (<= tmp0__global__input__val__81 255)) ; (tmp0__global__input__val__81 <= 255)
(assert (>= tmp0__global__input__val__82 0)) ; (tmp0__global__input__val__82 >= 0)
(assert (<= tmp0__global__input__val__82 255)) ; (tmp0__global__input__val__82 <= 255)
(assert (>= tmp0__global__input__val__83 0)) ; (tmp0__global__input__val__83 >= 0)
(assert (<= tmp0__global__input__val__83 255)) ; (tmp0__global__input__val__83 <= 255)
(assert (>= tmp0__global__input__val__84 0)) ; (tmp0__global__input__val__84 >= 0)
(assert (<= tmp0__global__input__val__84 255)) ; (tmp0__global__input__val__84 <= 255)
(assert (>= tmp0__global__input__val__85 0)) ; (tmp0__global__input__val__85 >= 0)
(assert (<= tmp0__global__input__val__85 255)) ; (tmp0__global__input__val__85 <= 255)
(assert (>= tmp0__global__input__val__86 0)) ; (tmp0__global__input__val__86 >= 0)
(assert (<= tmp0__global__input__val__86 255)) ; (tmp0__global__input__val__86 <= 255)
(assert (>= tmp0__global__input__val__87 0)) ; (tmp0__global__input__val__87 >= 0)
(assert (<= tmp0__global__input__val__87 255)) ; (tmp0__global__input__val__87 <= 255)
(assert (>= tmp0__global__input__val__88 0)) ; (tmp0__global__input__val__88 >= 0)
(assert (<= tmp0__global__input__val__88 255)) ; (tmp0__global__input__val__88 <= 255)
(assert (>= tmp0__global__input__val__89 0)) ; (tmp0__global__input__val__89 >= 0)
(assert (<= tmp0__global__input__val__89 255)) ; (tmp0__global__input__val__89 <= 255)
(assert (>= tmp0__global__input__val__90 0)) ; (tmp0__global__input__val__90 >= 0)
(assert (<= tmp0__global__input__val__90 255)) ; (tmp0__global__input__val__90 <= 255)
(assert (>= tmp0__global__input__val__91 0)) ; (tmp0__global__input__val__91 >= 0)
(assert (<= tmp0__global__input__val__91 255)) ; (tmp0__global__input__val__91 <= 255)
(assert (>= tmp0__global__input__val__92 0)) ; (tmp0__global__input__val__92 >= 0)
(assert (<= tmp0__global__input__val__92 255)) ; (tmp0__global__input__val__92 <= 255)
(assert (>= tmp0__global__input__val__93 0)) ; (tmp0__global__input__val__93 >= 0)
(assert (<= tmp0__global__input__val__93 255)) ; (tmp0__global__input__val__93 <= 255)
(assert (>= tmp0__global__input__val__94 0)) ; (tmp0__global__input__val__94 >= 0)
(assert (<= tmp0__global__input__val__94 255)) ; (tmp0__global__input__val__94 <= 255)
(assert (>= tmp0__global__input__val__95 0)) ; (tmp0__global__input__val__95 >= 0)
(assert (<= tmp0__global__input__val__95 255)) ; (tmp0__global__input__val__95 <= 255)
(assert (>= tmp0__global__input__val__96 0)) ; (tmp0__global__input__val__96 >= 0)
(assert (<= tmp0__global__input__val__96 255)) ; (tmp0__global__input__val__96 <= 255)
(assert (>= tmp0__global__input__val__97 0)) ; (tmp0__global__input__val__97 >= 0)
(assert (<= tmp0__global__input__val__97 255)) ; (tmp0__global__input__val__97 <= 255)
(assert (>= tmp0__global__input__val__98 0)) ; (tmp0__global__input__val__98 >= 0)
(assert (<= tmp0__global__input__val__98 255)) ; (tmp0__global__input__val__98 <= 255)
(assert (>= tmp0__global__input__val__99 0)) ; (tmp0__global__input__val__99 >= 0)
(assert (<= tmp0__global__input__val__99 255)) ; (tmp0__global__input__val__99 <= 255)
(assert (>= tmp0__global__input__val__100 0)) ; (tmp0__global__input__val__100 >= 0)
(assert (<= tmp0__global__input__val__100 255)) ; (tmp0__global__input__val__100 <= 255)
(assert (>= tmp0__global__input__val__101 0)) ; (tmp0__global__input__val__101 >= 0)
(assert (<= tmp0__global__input__val__101 255)) ; (tmp0__global__input__val__101 <= 255)
(assert (>= tmp0__global__input__val__102 0)) ; (tmp0__global__input__val__102 >= 0)
(assert (<= tmp0__global__input__val__102 255)) ; (tmp0__global__input__val__102 <= 255)
(assert (>= tmp0__global__input__val__103 0)) ; (tmp0__global__input__val__103 >= 0)
(assert (<= tmp0__global__input__val__103 255)) ; (tmp0__global__input__val__103 <= 255)
(assert (>= tmp0__global__input__val__104 0)) ; (tmp0__global__input__val__104 >= 0)
(assert (<= tmp0__global__input__val__104 255)) ; (tmp0__global__input__val__104 <= 255)
(assert (>= tmp0__global__input__val__105 0)) ; (tmp0__global__input__val__105 >= 0)
(assert (<= tmp0__global__input__val__105 255)) ; (tmp0__global__input__val__105 <= 255)
(assert (>= tmp0__global__input__val__106 0)) ; (tmp0__global__input__val__106 >= 0)
(assert (<= tmp0__global__input__val__106 255)) ; (tmp0__global__input__val__106 <= 255)
(assert (>= tmp0__global__input__val__107 0)) ; (tmp0__global__input__val__107 >= 0)
(assert (<= tmp0__global__input__val__107 255)) ; (tmp0__global__input__val__107 <= 255)
(assert (>= tmp0__global__input__val__108 0)) ; (tmp0__global__input__val__108 >= 0)
(assert (<= tmp0__global__input__val__108 255)) ; (tmp0__global__input__val__108 <= 255)
(assert (>= tmp0__global__input__val__109 0)) ; (tmp0__global__input__val__109 >= 0)
(assert (<= tmp0__global__input__val__109 255)) ; (tmp0__global__input__val__109 <= 255)
(assert (>= tmp0__global__input__val__110 0)) ; (tmp0__global__input__val__110 >= 0)
(assert (<= tmp0__global__input__val__110 255)) ; (tmp0__global__input__val__110 <= 255)
(assert (>= tmp0__global__input__val__111 0)) ; (tmp0__global__input__val__111 >= 0)
(assert (<= tmp0__global__input__val__111 255)) ; (tmp0__global__input__val__111 <= 255)
(assert (>= tmp0__global__input__val__112 0)) ; (tmp0__global__input__val__112 >= 0)
(assert (<= tmp0__global__input__val__112 255)) ; (tmp0__global__input__val__112 <= 255)
(assert (>= tmp0__global__input__val__113 0)) ; (tmp0__global__input__val__113 >= 0)
(assert (<= tmp0__global__input__val__113 255)) ; (tmp0__global__input__val__113 <= 255)
(assert (>= tmp0__global__input__val__114 0)) ; (tmp0__global__input__val__114 >= 0)
(assert (<= tmp0__global__input__val__114 255)) ; (tmp0__global__input__val__114 <= 255)
(assert (>= tmp0__global__input__val__115 0)) ; (tmp0__global__input__val__115 >= 0)
(assert (<= tmp0__global__input__val__115 255)) ; (tmp0__global__input__val__115 <= 255)
(assert (>= tmp0__global__input__val__116 0)) ; (tmp0__global__input__val__116 >= 0)
(assert (<= tmp0__global__input__val__116 255)) ; (tmp0__global__input__val__116 <= 255)
(assert (>= tmp0__global__input__val__117 0)) ; (tmp0__global__input__val__117 >= 0)
(assert (<= tmp0__global__input__val__117 255)) ; (tmp0__global__input__val__117 <= 255)
(assert (>= tmp0__global__input__val__118 0)) ; (tmp0__global__input__val__118 >= 0)
(assert (<= tmp0__global__input__val__118 255)) ; (tmp0__global__input__val__118 <= 255)
(assert (>= tmp0__global__input__val__119 0)) ; (tmp0__global__input__val__119 >= 0)
(assert (<= tmp0__global__input__val__119 255)) ; (tmp0__global__input__val__119 <= 255)
(assert (>= tmp0__global__input__val__120 0)) ; (tmp0__global__input__val__120 >= 0)
(assert (<= tmp0__global__input__val__120 255)) ; (tmp0__global__input__val__120 <= 255)
(assert (>= tmp0__global__input__val__121 0)) ; (tmp0__global__input__val__121 >= 0)
(assert (<= tmp0__global__input__val__121 255)) ; (tmp0__global__input__val__121 <= 255)
(assert (>= tmp0__global__input__val__122 0)) ; (tmp0__global__input__val__122 >= 0)
(assert (<= tmp0__global__input__val__122 255)) ; (tmp0__global__input__val__122 <= 255)
(assert (>= tmp0__global__input__val__123 0)) ; (tmp0__global__input__val__123 >= 0)
(assert (<= tmp0__global__input__val__123 255)) ; (tmp0__global__input__val__123 <= 255)
(assert (>= tmp0__global__input__val__124 0)) ; (tmp0__global__input__val__124 >= 0)
(assert (<= tmp0__global__input__val__124 255)) ; (tmp0__global__input__val__124 <= 255)
(assert (>= tmp0__global__input__val__125 0)) ; (tmp0__global__input__val__125 >= 0)
(assert (<= tmp0__global__input__val__125 255)) ; (tmp0__global__input__val__125 <= 255)
(assert (>= tmp0__global__input__val__126 0)) ; (tmp0__global__input__val__126 >= 0)
(assert (<= tmp0__global__input__val__126 255)) ; (tmp0__global__input__val__126 <= 255)
(assert (>= tmp0__global__input__val__127 0)) ; (tmp0__global__input__val__127 >= 0)
(assert (<= tmp0__global__input__val__127 255)) ; (tmp0__global__input__val__127 <= 255)
(assert (>= tmp0__global__input__val__128 0)) ; (tmp0__global__input__val__128 >= 0)
(assert (<= tmp0__global__input__val__128 255)) ; (tmp0__global__input__val__128 <= 255)
(assert (>= tmp0__global__input__val__129 0)) ; (tmp0__global__input__val__129 >= 0)
(assert (<= tmp0__global__input__val__129 255)) ; (tmp0__global__input__val__129 <= 255)
(assert (>= tmp0__global__input__val__130 0)) ; (tmp0__global__input__val__130 >= 0)
(assert (<= tmp0__global__input__val__130 255)) ; (tmp0__global__input__val__130 <= 255)
(assert (>= tmp0__global__input__val__131 0)) ; (tmp0__global__input__val__131 >= 0)
(assert (<= tmp0__global__input__val__131 255)) ; (tmp0__global__input__val__131 <= 255)
(assert (>= tmp0__global__input__val__132 0)) ; (tmp0__global__input__val__132 >= 0)
(assert (<= tmp0__global__input__val__132 255)) ; (tmp0__global__input__val__132 <= 255)
(assert (>= tmp0__global__input__val__133 0)) ; (tmp0__global__input__val__133 >= 0)
(assert (<= tmp0__global__input__val__133 255)) ; (tmp0__global__input__val__133 <= 255)
(assert (>= tmp0__global__input__val__134 0)) ; (tmp0__global__input__val__134 >= 0)
(assert (<= tmp0__global__input__val__134 255)) ; (tmp0__global__input__val__134 <= 255)
(assert (>= tmp0__global__input__val__135 0)) ; (tmp0__global__input__val__135 >= 0)
(assert (<= tmp0__global__input__val__135 255)) ; (tmp0__global__input__val__135 <= 255)
(assert (>= tmp0__global__input__val__136 0)) ; (tmp0__global__input__val__136 >= 0)
(assert (<= tmp0__global__input__val__136 255)) ; (tmp0__global__input__val__136 <= 255)
(assert (>= tmp0__global__input__val__137 0)) ; (tmp0__global__input__val__137 >= 0)
(assert (<= tmp0__global__input__val__137 255)) ; (tmp0__global__input__val__137 <= 255)
(assert (>= tmp0__global__input__val__138 0)) ; (tmp0__global__input__val__138 >= 0)
(assert (<= tmp0__global__input__val__138 255)) ; (tmp0__global__input__val__138 <= 255)
(assert (>= tmp0__global__input__val__139 0)) ; (tmp0__global__input__val__139 >= 0)
(assert (<= tmp0__global__input__val__139 255)) ; (tmp0__global__input__val__139 <= 255)
(assert (>= tmp0__global__input__val__140 0)) ; (tmp0__global__input__val__140 >= 0)
(assert (<= tmp0__global__input__val__140 255)) ; (tmp0__global__input__val__140 <= 255)
(assert (>= tmp0__global__input__val__141 0)) ; (tmp0__global__input__val__141 >= 0)
(assert (<= tmp0__global__input__val__141 255)) ; (tmp0__global__input__val__141 <= 255)
(assert (>= tmp0__global__input__val__142 0)) ; (tmp0__global__input__val__142 >= 0)
(assert (<= tmp0__global__input__val__142 255)) ; (tmp0__global__input__val__142 <= 255)
(assert (>= tmp0__global__input__val__143 0)) ; (tmp0__global__input__val__143 >= 0)
(assert (<= tmp0__global__input__val__143 255)) ; (tmp0__global__input__val__143 <= 255)
(assert (>= tmp0__global__input__val__144 0)) ; (tmp0__global__input__val__144 >= 0)
(assert (<= tmp0__global__input__val__144 255)) ; (tmp0__global__input__val__144 <= 255)
(assert (>= tmp0__global__input__val__145 0)) ; (tmp0__global__input__val__145 >= 0)
(assert (<= tmp0__global__input__val__145 255)) ; (tmp0__global__input__val__145 <= 255)
(assert (>= tmp0__global__input__val__146 0)) ; (tmp0__global__input__val__146 >= 0)
(assert (<= tmp0__global__input__val__146 255)) ; (tmp0__global__input__val__146 <= 255)
(assert (>= tmp0__global__input__val__147 0)) ; (tmp0__global__input__val__147 >= 0)
(assert (<= tmp0__global__input__val__147 255)) ; (tmp0__global__input__val__147 <= 255)
(assert (>= tmp0__global__input__val__148 0)) ; (tmp0__global__input__val__148 >= 0)
(assert (<= tmp0__global__input__val__148 255)) ; (tmp0__global__input__val__148 <= 255)
(assert (>= tmp0__global__input__val__149 0)) ; (tmp0__global__input__val__149 >= 0)
(assert (<= tmp0__global__input__val__149 255)) ; (tmp0__global__input__val__149 <= 255)
(assert (>= tmp0__global__input__val__150 0)) ; (tmp0__global__input__val__150 >= 0)
(assert (<= tmp0__global__input__val__150 255)) ; (tmp0__global__input__val__150 <= 255)
(assert (>= tmp0__global__input__val__151 0)) ; (tmp0__global__input__val__151 >= 0)
(assert (<= tmp0__global__input__val__151 255)) ; (tmp0__global__input__val__151 <= 255)
(assert (>= tmp0__global__input__val__152 0)) ; (tmp0__global__input__val__152 >= 0)
(assert (<= tmp0__global__input__val__152 255)) ; (tmp0__global__input__val__152 <= 255)
(assert (>= tmp0__global__input__val__153 0)) ; (tmp0__global__input__val__153 >= 0)
(assert (<= tmp0__global__input__val__153 255)) ; (tmp0__global__input__val__153 <= 255)
(assert (>= tmp0__global__input__val__154 0)) ; (tmp0__global__input__val__154 >= 0)
(assert (<= tmp0__global__input__val__154 255)) ; (tmp0__global__input__val__154 <= 255)
(assert (>= tmp0__global__input__val__155 0)) ; (tmp0__global__input__val__155 >= 0)
(assert (<= tmp0__global__input__val__155 255)) ; (tmp0__global__input__val__155 <= 255)
(assert (>= tmp0__global__input__val__156 0)) ; (tmp0__global__input__val__156 >= 0)
(assert (<= tmp0__global__input__val__156 255)) ; (tmp0__global__input__val__156 <= 255)
(assert (>= tmp0__global__input__val__157 0)) ; (tmp0__global__input__val__157 >= 0)
(assert (<= tmp0__global__input__val__157 255)) ; (tmp0__global__input__val__157 <= 255)
(assert (>= tmp0__global__input__val__158 0)) ; (tmp0__global__input__val__158 >= 0)
(assert (<= tmp0__global__input__val__158 255)) ; (tmp0__global__input__val__158 <= 255)
(assert (>= tmp0__global__input__val__159 0)) ; (tmp0__global__input__val__159 >= 0)
(assert (<= tmp0__global__input__val__159 255)) ; (tmp0__global__input__val__159 <= 255)
(assert (>= tmp0__global__input__val__160 0)) ; (tmp0__global__input__val__160 >= 0)
(assert (<= tmp0__global__input__val__160 255)) ; (tmp0__global__input__val__160 <= 255)
(assert (>= tmp0__global__input__val__161 0)) ; (tmp0__global__input__val__161 >= 0)
(assert (<= tmp0__global__input__val__161 255)) ; (tmp0__global__input__val__161 <= 255)
(assert (>= tmp0__global__input__val__162 0)) ; (tmp0__global__input__val__162 >= 0)
(assert (<= tmp0__global__input__val__162 255)) ; (tmp0__global__input__val__162 <= 255)
(assert (>= tmp0__global__input__val__163 0)) ; (tmp0__global__input__val__163 >= 0)
(assert (<= tmp0__global__input__val__163 255)) ; (tmp0__global__input__val__163 <= 255)
(assert (>= tmp0__global__input__val__164 0)) ; (tmp0__global__input__val__164 >= 0)
(assert (<= tmp0__global__input__val__164 255)) ; (tmp0__global__input__val__164 <= 255)
(assert (>= tmp0__global__input__val__165 0)) ; (tmp0__global__input__val__165 >= 0)
(assert (<= tmp0__global__input__val__165 255)) ; (tmp0__global__input__val__165 <= 255)
(assert (>= tmp0__global__input__val__166 0)) ; (tmp0__global__input__val__166 >= 0)
(assert (<= tmp0__global__input__val__166 255)) ; (tmp0__global__input__val__166 <= 255)
(assert (>= tmp0__global__input__val__167 0)) ; (tmp0__global__input__val__167 >= 0)
(assert (<= tmp0__global__input__val__167 255)) ; (tmp0__global__input__val__167 <= 255)
(assert (>= tmp0__global__input__val__168 0)) ; (tmp0__global__input__val__168 >= 0)
(assert (<= tmp0__global__input__val__168 255)) ; (tmp0__global__input__val__168 <= 255)
(assert (>= tmp0__global__input__val__169 0)) ; (tmp0__global__input__val__169 >= 0)
(assert (<= tmp0__global__input__val__169 255)) ; (tmp0__global__input__val__169 <= 255)
(assert (>= tmp0__global__input__val__170 0)) ; (tmp0__global__input__val__170 >= 0)
(assert (<= tmp0__global__input__val__170 255)) ; (tmp0__global__input__val__170 <= 255)
(assert (>= tmp0__global__input__val__171 0)) ; (tmp0__global__input__val__171 >= 0)
(assert (<= tmp0__global__input__val__171 255)) ; (tmp0__global__input__val__171 <= 255)
(assert (>= tmp0__global__input__val__172 0)) ; (tmp0__global__input__val__172 >= 0)
(assert (<= tmp0__global__input__val__172 255)) ; (tmp0__global__input__val__172 <= 255)
(assert (>= tmp0__global__input__val__173 0)) ; (tmp0__global__input__val__173 >= 0)
(assert (<= tmp0__global__input__val__173 255)) ; (tmp0__global__input__val__173 <= 255)
(assert (>= tmp0__global__input__val__174 0)) ; (tmp0__global__input__val__174 >= 0)
(assert (<= tmp0__global__input__val__174 255)) ; (tmp0__global__input__val__174 <= 255)
(assert (>= tmp0__global__input__val__175 0)) ; (tmp0__global__input__val__175 >= 0)
(assert (<= tmp0__global__input__val__175 255)) ; (tmp0__global__input__val__175 <= 255)
(assert (>= tmp0__global__input__val__176 0)) ; (tmp0__global__input__val__176 >= 0)
(assert (<= tmp0__global__input__val__176 255)) ; (tmp0__global__input__val__176 <= 255)
(assert (>= tmp0__global__input__val__177 0)) ; (tmp0__global__input__val__177 >= 0)
(assert (<= tmp0__global__input__val__177 255)) ; (tmp0__global__input__val__177 <= 255)
(assert (>= tmp0__global__input__val__178 0)) ; (tmp0__global__input__val__178 >= 0)
(assert (<= tmp0__global__input__val__178 255)) ; (tmp0__global__input__val__178 <= 255)
(assert (>= tmp0__global__input__val__179 0)) ; (tmp0__global__input__val__179 >= 0)
(assert (<= tmp0__global__input__val__179 255)) ; (tmp0__global__input__val__179 <= 255)
(assert (>= tmp0__global__input__val__180 0)) ; (tmp0__global__input__val__180 >= 0)
(assert (<= tmp0__global__input__val__180 255)) ; (tmp0__global__input__val__180 <= 255)
(assert (>= tmp0__global__input__val__181 0)) ; (tmp0__global__input__val__181 >= 0)
(assert (<= tmp0__global__input__val__181 255)) ; (tmp0__global__input__val__181 <= 255)
(assert (>= tmp0__global__input__val__182 0)) ; (tmp0__global__input__val__182 >= 0)
(assert (<= tmp0__global__input__val__182 255)) ; (tmp0__global__input__val__182 <= 255)
(assert (>= tmp0__global__input__val__183 0)) ; (tmp0__global__input__val__183 >= 0)
(assert (<= tmp0__global__input__val__183 255)) ; (tmp0__global__input__val__183 <= 255)
(assert (>= tmp0__global__input__val__184 0)) ; (tmp0__global__input__val__184 >= 0)
(assert (<= tmp0__global__input__val__184 255)) ; (tmp0__global__input__val__184 <= 255)
(assert (>= tmp0__global__input__val__185 0)) ; (tmp0__global__input__val__185 >= 0)
(assert (<= tmp0__global__input__val__185 255)) ; (tmp0__global__input__val__185 <= 255)
(assert (>= tmp0__global__input__val__186 0)) ; (tmp0__global__input__val__186 >= 0)
(assert (<= tmp0__global__input__val__186 255)) ; (tmp0__global__input__val__186 <= 255)
(assert (>= tmp0__global__input__val__187 0)) ; (tmp0__global__input__val__187 >= 0)
(assert (<= tmp0__global__input__val__187 255)) ; (tmp0__global__input__val__187 <= 255)
(assert (>= tmp0__global__input__val__188 0)) ; (tmp0__global__input__val__188 >= 0)
(assert (<= tmp0__global__input__val__188 255)) ; (tmp0__global__input__val__188 <= 255)
(assert (>= tmp0__global__input__val__189 0)) ; (tmp0__global__input__val__189 >= 0)
(assert (<= tmp0__global__input__val__189 255)) ; (tmp0__global__input__val__189 <= 255)
(assert (>= tmp0__global__input__val__190 0)) ; (tmp0__global__input__val__190 >= 0)
(assert (<= tmp0__global__input__val__190 255)) ; (tmp0__global__input__val__190 <= 255)
(assert (>= tmp0__global__input__val__191 0)) ; (tmp0__global__input__val__191 >= 0)
(assert (<= tmp0__global__input__val__191 255)) ; (tmp0__global__input__val__191 <= 255)
(assert (>= tmp0__global__input__val__192 0)) ; (tmp0__global__input__val__192 >= 0)
(assert (<= tmp0__global__input__val__192 255)) ; (tmp0__global__input__val__192 <= 255)
(assert (>= tmp0__global__input__val__193 0)) ; (tmp0__global__input__val__193 >= 0)
(assert (<= tmp0__global__input__val__193 255)) ; (tmp0__global__input__val__193 <= 255)
(assert (>= tmp0__global__input__val__194 0)) ; (tmp0__global__input__val__194 >= 0)
(assert (<= tmp0__global__input__val__194 255)) ; (tmp0__global__input__val__194 <= 255)
(assert (>= tmp0__global__input__val__195 0)) ; (tmp0__global__input__val__195 >= 0)
(assert (<= tmp0__global__input__val__195 255)) ; (tmp0__global__input__val__195 <= 255)
(assert (>= tmp0__global__input__val__196 0)) ; (tmp0__global__input__val__196 >= 0)
(assert (<= tmp0__global__input__val__196 255)) ; (tmp0__global__input__val__196 <= 255)
(assert (>= tmp0__global__input__val__197 0)) ; (tmp0__global__input__val__197 >= 0)
(assert (<= tmp0__global__input__val__197 255)) ; (tmp0__global__input__val__197 <= 255)
(assert (>= tmp0__global__input__val__198 0)) ; (tmp0__global__input__val__198 >= 0)
(assert (<= tmp0__global__input__val__198 255)) ; (tmp0__global__input__val__198 <= 255)
(assert (>= tmp0__global__input__val__199 0)) ; (tmp0__global__input__val__199 >= 0)
(assert (<= tmp0__global__input__val__199 255)) ; (tmp0__global__input__val__199 <= 255)
(assert (>= tmp0__global__input__val__200 0)) ; (tmp0__global__input__val__200 >= 0)
(assert (<= tmp0__global__input__val__200 255)) ; (tmp0__global__input__val__200 <= 255)
(assert (>= tmp0__global__input__val__201 0)) ; (tmp0__global__input__val__201 >= 0)
(assert (<= tmp0__global__input__val__201 255)) ; (tmp0__global__input__val__201 <= 255)
(assert (>= tmp0__global__input__val__202 0)) ; (tmp0__global__input__val__202 >= 0)
(assert (<= tmp0__global__input__val__202 255)) ; (tmp0__global__input__val__202 <= 255)
(assert (>= tmp0__global__input__val__203 0)) ; (tmp0__global__input__val__203 >= 0)
(assert (<= tmp0__global__input__val__203 255)) ; (tmp0__global__input__val__203 <= 255)
(assert (>= tmp0__global__input__val__204 0)) ; (tmp0__global__input__val__204 >= 0)
(assert (<= tmp0__global__input__val__204 255)) ; (tmp0__global__input__val__204 <= 255)
(assert (>= tmp0__global__input__val__205 0)) ; (tmp0__global__input__val__205 >= 0)
(assert (<= tmp0__global__input__val__205 255)) ; (tmp0__global__input__val__205 <= 255)
(assert (>= tmp0__global__input__val__206 0)) ; (tmp0__global__input__val__206 >= 0)
(assert (<= tmp0__global__input__val__206 255)) ; (tmp0__global__input__val__206 <= 255)
(assert (>= tmp0__global__input__val__207 0)) ; (tmp0__global__input__val__207 >= 0)
(assert (<= tmp0__global__input__val__207 255)) ; (tmp0__global__input__val__207 <= 255)
(assert (>= tmp0__global__input__val__208 0)) ; (tmp0__global__input__val__208 >= 0)
(assert (<= tmp0__global__input__val__208 255)) ; (tmp0__global__input__val__208 <= 255)
(assert (>= tmp0__global__input__val__209 0)) ; (tmp0__global__input__val__209 >= 0)
(assert (<= tmp0__global__input__val__209 255)) ; (tmp0__global__input__val__209 <= 255)
(assert (>= tmp0__global__input__val__210 0)) ; (tmp0__global__input__val__210 >= 0)
(assert (<= tmp0__global__input__val__210 255)) ; (tmp0__global__input__val__210 <= 255)
(assert (>= tmp0__global__input__val__211 0)) ; (tmp0__global__input__val__211 >= 0)
(assert (<= tmp0__global__input__val__211 255)) ; (tmp0__global__input__val__211 <= 255)
(assert (>= tmp0__global__input__val__212 0)) ; (tmp0__global__input__val__212 >= 0)
(assert (<= tmp0__global__input__val__212 255)) ; (tmp0__global__input__val__212 <= 255)
(assert (>= tmp0__global__input__val__213 0)) ; (tmp0__global__input__val__213 >= 0)
(assert (<= tmp0__global__input__val__213 255)) ; (tmp0__global__input__val__213 <= 255)
(assert (>= tmp0__global__input__val__214 0)) ; (tmp0__global__input__val__214 >= 0)
(assert (<= tmp0__global__input__val__214 255)) ; (tmp0__global__input__val__214 <= 255)
(assert (>= tmp0__global__input__val__215 0)) ; (tmp0__global__input__val__215 >= 0)
(assert (<= tmp0__global__input__val__215 255)) ; (tmp0__global__input__val__215 <= 255)
(assert (>= tmp0__global__input__val__216 0)) ; (tmp0__global__input__val__216 >= 0)
(assert (<= tmp0__global__input__val__216 255)) ; (tmp0__global__input__val__216 <= 255)
(assert (>= tmp0__global__input__val__217 0)) ; (tmp0__global__input__val__217 >= 0)
(assert (<= tmp0__global__input__val__217 255)) ; (tmp0__global__input__val__217 <= 255)
(assert (>= tmp0__global__input__val__218 0)) ; (tmp0__global__input__val__218 >= 0)
(assert (<= tmp0__global__input__val__218 255)) ; (tmp0__global__input__val__218 <= 255)
(assert (>= tmp0__global__input__val__219 0)) ; (tmp0__global__input__val__219 >= 0)
(assert (<= tmp0__global__input__val__219 255)) ; (tmp0__global__input__val__219 <= 255)
(assert (>= tmp0__global__input__val__220 0)) ; (tmp0__global__input__val__220 >= 0)
(assert (<= tmp0__global__input__val__220 255)) ; (tmp0__global__input__val__220 <= 255)
(assert (>= tmp0__global__input__val__221 0)) ; (tmp0__global__input__val__221 >= 0)
(assert (<= tmp0__global__input__val__221 255)) ; (tmp0__global__input__val__221 <= 255)
(assert (>= tmp0__global__input__val__222 0)) ; (tmp0__global__input__val__222 >= 0)
(assert (<= tmp0__global__input__val__222 255)) ; (tmp0__global__input__val__222 <= 255)
(assert (>= tmp0__global__input__val__223 0)) ; (tmp0__global__input__val__223 >= 0)
(assert (<= tmp0__global__input__val__223 255)) ; (tmp0__global__input__val__223 <= 255)
(assert (>= tmp0__global__input__val__224 0)) ; (tmp0__global__input__val__224 >= 0)
(assert (<= tmp0__global__input__val__224 255)) ; (tmp0__global__input__val__224 <= 255)
(assert (>= tmp0__global__input__val__225 0)) ; (tmp0__global__input__val__225 >= 0)
(assert (<= tmp0__global__input__val__225 255)) ; (tmp0__global__input__val__225 <= 255)
(assert (>= tmp0__global__input__val__226 0)) ; (tmp0__global__input__val__226 >= 0)
(assert (<= tmp0__global__input__val__226 255)) ; (tmp0__global__input__val__226 <= 255)
(assert (>= tmp0__global__input__val__227 0)) ; (tmp0__global__input__val__227 >= 0)
(assert (<= tmp0__global__input__val__227 255)) ; (tmp0__global__input__val__227 <= 255)
(assert (>= tmp0__global__input__val__228 0)) ; (tmp0__global__input__val__228 >= 0)
(assert (<= tmp0__global__input__val__228 255)) ; (tmp0__global__input__val__228 <= 255)
(assert (>= tmp0__global__input__val__229 0)) ; (tmp0__global__input__val__229 >= 0)
(assert (<= tmp0__global__input__val__229 255)) ; (tmp0__global__input__val__229 <= 255)
(assert (>= tmp0__global__input__val__230 0)) ; (tmp0__global__input__val__230 >= 0)
(assert (<= tmp0__global__input__val__230 255)) ; (tmp0__global__input__val__230 <= 255)
(assert (>= tmp0__global__input__val__231 0)) ; (tmp0__global__input__val__231 >= 0)
(assert (<= tmp0__global__input__val__231 255)) ; (tmp0__global__input__val__231 <= 255)
(assert (>= tmp0__global__input__val__232 0)) ; (tmp0__global__input__val__232 >= 0)
(assert (<= tmp0__global__input__val__232 255)) ; (tmp0__global__input__val__232 <= 255)
(assert (>= tmp0__global__input__val__233 0)) ; (tmp0__global__input__val__233 >= 0)
(assert (<= tmp0__global__input__val__233 255)) ; (tmp0__global__input__val__233 <= 255)
(assert (>= tmp0__global__input__val__234 0)) ; (tmp0__global__input__val__234 >= 0)
(assert (<= tmp0__global__input__val__234 255)) ; (tmp0__global__input__val__234 <= 255)
(assert (>= tmp0__global__input__val__235 0)) ; (tmp0__global__input__val__235 >= 0)
(assert (<= tmp0__global__input__val__235 255)) ; (tmp0__global__input__val__235 <= 255)
(assert (>= tmp0__global__input__val__236 0)) ; (tmp0__global__input__val__236 >= 0)
(assert (<= tmp0__global__input__val__236 255)) ; (tmp0__global__input__val__236 <= 255)
(assert (>= tmp0__global__input__val__237 0)) ; (tmp0__global__input__val__237 >= 0)
(assert (<= tmp0__global__input__val__237 255)) ; (tmp0__global__input__val__237 <= 255)
(assert (>= tmp0__global__input__val__238 0)) ; (tmp0__global__input__val__238 >= 0)
(assert (<= tmp0__global__input__val__238 255)) ; (tmp0__global__input__val__238 <= 255)
(assert (>= tmp0__global__input__val__239 0)) ; (tmp0__global__input__val__239 >= 0)
(assert (<= tmp0__global__input__val__239 255)) ; (tmp0__global__input__val__239 <= 255)
(assert (>= tmp0__global__input__val__240 0)) ; (tmp0__global__input__val__240 >= 0)
(assert (<= tmp0__global__input__val__240 255)) ; (tmp0__global__input__val__240 <= 255)
(assert (>= tmp0__global__input__val__241 0)) ; (tmp0__global__input__val__241 >= 0)
(assert (<= tmp0__global__input__val__241 255)) ; (tmp0__global__input__val__241 <= 255)
(assert (>= tmp0__global__input__val__242 0)) ; (tmp0__global__input__val__242 >= 0)
(assert (<= tmp0__global__input__val__242 255)) ; (tmp0__global__input__val__242 <= 255)
(assert (>= tmp0__global__input__val__243 0)) ; (tmp0__global__input__val__243 >= 0)
(assert (<= tmp0__global__input__val__243 255)) ; (tmp0__global__input__val__243 <= 255)
(assert (>= tmp0__global__input__val__244 0)) ; (tmp0__global__input__val__244 >= 0)
(assert (<= tmp0__global__input__val__244 255)) ; (tmp0__global__input__val__244 <= 255)
(assert (>= tmp0__global__input__val__245 0)) ; (tmp0__global__input__val__245 >= 0)
(assert (<= tmp0__global__input__val__245 255)) ; (tmp0__global__input__val__245 <= 255)
(assert (>= tmp0__global__input__val__246 0)) ; (tmp0__global__input__val__246 >= 0)
(assert (<= tmp0__global__input__val__246 255)) ; (tmp0__global__input__val__246 <= 255)
(assert (>= tmp0__global__input__val__247 0)) ; (tmp0__global__input__val__247 >= 0)
(assert (<= tmp0__global__input__val__247 255)) ; (tmp0__global__input__val__247 <= 255)
(assert (>= tmp0__global__input__val__248 0)) ; (tmp0__global__input__val__248 >= 0)
(assert (<= tmp0__global__input__val__248 255)) ; (tmp0__global__input__val__248 <= 255)
(assert (>= tmp0__global__input__val__249 0)) ; (tmp0__global__input__val__249 >= 0)
(assert (<= tmp0__global__input__val__249 255)) ; (tmp0__global__input__val__249 <= 255)
(assert (>= tmp0__global__input__val__250 0)) ; (tmp0__global__input__val__250 >= 0)
(assert (<= tmp0__global__input__val__250 255)) ; (tmp0__global__input__val__250 <= 255)
(assert (>= tmp0__global__input__val__251 0)) ; (tmp0__global__input__val__251 >= 0)
(assert (<= tmp0__global__input__val__251 255)) ; (tmp0__global__input__val__251 <= 255)
(assert (>= tmp0__global__input__val__252 0)) ; (tmp0__global__input__val__252 >= 0)
(assert (<= tmp0__global__input__val__252 255)) ; (tmp0__global__input__val__252 <= 255)
(assert (>= tmp0__global__input__val__253 0)) ; (tmp0__global__input__val__253 >= 0)
(assert (<= tmp0__global__input__val__253 255)) ; (tmp0__global__input__val__253 <= 255)
(assert (>= tmp0__global__input__val__254 0)) ; (tmp0__global__input__val__254 >= 0)
(assert (<= tmp0__global__input__val__254 255)) ; (tmp0__global__input__val__254 <= 255)
(assert (>= tmp0__global__input__val__255 0)) ; (tmp0__global__input__val__255 >= 0)
(assert (<= tmp0__global__input__val__255 255)) ; (tmp0__global__input__val__255 <= 255)
(assert (>= tmp0__global__input__val__256 0)) ; (tmp0__global__input__val__256 >= 0)
(assert (<= tmp0__global__input__val__256 255)) ; (tmp0__global__input__val__256 <= 255)
(assert (>= tmp0__global__input__val__257 0)) ; (tmp0__global__input__val__257 >= 0)
(assert (<= tmp0__global__input__val__257 255)) ; (tmp0__global__input__val__257 <= 255)
(assert (>= tmp0__global__input__val__258 0)) ; (tmp0__global__input__val__258 >= 0)
(assert (<= tmp0__global__input__val__258 255)) ; (tmp0__global__input__val__258 <= 255)
(assert (>= tmp0__global__input__val__259 0)) ; (tmp0__global__input__val__259 >= 0)
(assert (<= tmp0__global__input__val__259 255)) ; (tmp0__global__input__val__259 <= 255)
(assert (>= tmp0__global__input__val__260 0)) ; (tmp0__global__input__val__260 >= 0)
(assert (<= tmp0__global__input__val__260 255)) ; (tmp0__global__input__val__260 <= 255)
(assert (>= tmp0__global__input__val__261 0)) ; (tmp0__global__input__val__261 >= 0)
(assert (<= tmp0__global__input__val__261 255)) ; (tmp0__global__input__val__261 <= 255)
(assert (>= tmp0__global__input__val__262 0)) ; (tmp0__global__input__val__262 >= 0)
(assert (<= tmp0__global__input__val__262 255)) ; (tmp0__global__input__val__262 <= 255)
(assert (>= tmp0__global__input__val__263 0)) ; (tmp0__global__input__val__263 >= 0)
(assert (<= tmp0__global__input__val__263 255)) ; (tmp0__global__input__val__263 <= 255)
(assert (>= tmp0__global__input__val__264 0)) ; (tmp0__global__input__val__264 >= 0)
(assert (<= tmp0__global__input__val__264 255)) ; (tmp0__global__input__val__264 <= 255)
(assert (>= tmp0__global__input__val__265 0)) ; (tmp0__global__input__val__265 >= 0)
(assert (<= tmp0__global__input__val__265 255)) ; (tmp0__global__input__val__265 <= 255)
(assert (>= tmp0__global__input__val__266 0)) ; (tmp0__global__input__val__266 >= 0)
(assert (<= tmp0__global__input__val__266 255)) ; (tmp0__global__input__val__266 <= 255)
(assert (>= tmp0__global__input__val__267 0)) ; (tmp0__global__input__val__267 >= 0)
(assert (<= tmp0__global__input__val__267 255)) ; (tmp0__global__input__val__267 <= 255)
(assert (>= tmp0__global__input__val__268 0)) ; (tmp0__global__input__val__268 >= 0)
(assert (<= tmp0__global__input__val__268 255)) ; (tmp0__global__input__val__268 <= 255)
(assert (>= tmp0__global__input__val__269 0)) ; (tmp0__global__input__val__269 >= 0)
(assert (<= tmp0__global__input__val__269 255)) ; (tmp0__global__input__val__269 <= 255)
(assert (>= tmp0__global__input__val__270 0)) ; (tmp0__global__input__val__270 >= 0)
(assert (<= tmp0__global__input__val__270 255)) ; (tmp0__global__input__val__270 <= 255)
(assert (>= tmp0__global__input__val__271 0)) ; (tmp0__global__input__val__271 >= 0)
(assert (<= tmp0__global__input__val__271 255)) ; (tmp0__global__input__val__271 <= 255)
(assert (>= tmp0__global__input__val__272 0)) ; (tmp0__global__input__val__272 >= 0)
(assert (<= tmp0__global__input__val__272 255)) ; (tmp0__global__input__val__272 <= 255)
(assert (>= tmp0__global__input__val__273 0)) ; (tmp0__global__input__val__273 >= 0)
(assert (<= tmp0__global__input__val__273 255)) ; (tmp0__global__input__val__273 <= 255)
(assert (>= tmp0__global__input__val__274 0)) ; (tmp0__global__input__val__274 >= 0)
(assert (<= tmp0__global__input__val__274 255)) ; (tmp0__global__input__val__274 <= 255)
(assert (>= tmp0__global__input__val__275 0)) ; (tmp0__global__input__val__275 >= 0)
(assert (<= tmp0__global__input__val__275 255)) ; (tmp0__global__input__val__275 <= 255)
(assert (>= tmp0__global__input__val__276 0)) ; (tmp0__global__input__val__276 >= 0)
(assert (<= tmp0__global__input__val__276 255)) ; (tmp0__global__input__val__276 <= 255)
(assert (>= tmp0__global__input__val__277 0)) ; (tmp0__global__input__val__277 >= 0)
(assert (<= tmp0__global__input__val__277 255)) ; (tmp0__global__input__val__277 <= 255)
(assert (>= tmp0__global__input__val__278 0)) ; (tmp0__global__input__val__278 >= 0)
(assert (<= tmp0__global__input__val__278 255)) ; (tmp0__global__input__val__278 <= 255)
(assert (>= tmp0__global__input__val__279 0)) ; (tmp0__global__input__val__279 >= 0)
(assert (<= tmp0__global__input__val__279 255)) ; (tmp0__global__input__val__279 <= 255)
(assert (>= tmp0__global__input__val__280 0)) ; (tmp0__global__input__val__280 >= 0)
(assert (<= tmp0__global__input__val__280 255)) ; (tmp0__global__input__val__280 <= 255)
(assert (>= tmp0__global__input__val__281 0)) ; (tmp0__global__input__val__281 >= 0)
(assert (<= tmp0__global__input__val__281 255)) ; (tmp0__global__input__val__281 <= 255)
(assert (>= tmp0__global__input__val__282 0)) ; (tmp0__global__input__val__282 >= 0)
(assert (<= tmp0__global__input__val__282 255)) ; (tmp0__global__input__val__282 <= 255)
(assert (>= tmp0__global__input__val__283 0)) ; (tmp0__global__input__val__283 >= 0)
(assert (<= tmp0__global__input__val__283 255)) ; (tmp0__global__input__val__283 <= 255)
(assert (>= tmp0__global__input__val__284 0)) ; (tmp0__global__input__val__284 >= 0)
(assert (<= tmp0__global__input__val__284 255)) ; (tmp0__global__input__val__284 <= 255)
(assert (>= tmp0__global__input__val__285 0)) ; (tmp0__global__input__val__285 >= 0)
(assert (<= tmp0__global__input__val__285 255)) ; (tmp0__global__input__val__285 <= 255)
(assert (>= tmp0__global__input__val__286 0)) ; (tmp0__global__input__val__286 >= 0)
(assert (<= tmp0__global__input__val__286 255)) ; (tmp0__global__input__val__286 <= 255)
(assert (>= tmp0__global__input__val__287 0)) ; (tmp0__global__input__val__287 >= 0)
(assert (<= tmp0__global__input__val__287 255)) ; (tmp0__global__input__val__287 <= 255)
(assert (>= tmp0__global__input__val__288 0)) ; (tmp0__global__input__val__288 >= 0)
(assert (<= tmp0__global__input__val__288 255)) ; (tmp0__global__input__val__288 <= 255)
(assert (>= tmp0__global__input__val__289 0)) ; (tmp0__global__input__val__289 >= 0)
(assert (<= tmp0__global__input__val__289 255)) ; (tmp0__global__input__val__289 <= 255)
(assert (>= tmp0__global__input__val__290 0)) ; (tmp0__global__input__val__290 >= 0)
(assert (<= tmp0__global__input__val__290 255)) ; (tmp0__global__input__val__290 <= 255)
(assert (>= tmp0__global__input__val__291 0)) ; (tmp0__global__input__val__291 >= 0)
(assert (<= tmp0__global__input__val__291 255)) ; (tmp0__global__input__val__291 <= 255)
(assert (>= tmp0__global__input__val__292 0)) ; (tmp0__global__input__val__292 >= 0)
(assert (<= tmp0__global__input__val__292 255)) ; (tmp0__global__input__val__292 <= 255)
(assert (>= tmp0__global__input__val__293 0)) ; (tmp0__global__input__val__293 >= 0)
(assert (<= tmp0__global__input__val__293 255)) ; (tmp0__global__input__val__293 <= 255)
(assert (>= tmp0__global__input__val__294 0)) ; (tmp0__global__input__val__294 >= 0)
(assert (<= tmp0__global__input__val__294 255)) ; (tmp0__global__input__val__294 <= 255)
(assert (>= tmp0__global__input__val__295 0)) ; (tmp0__global__input__val__295 >= 0)
(assert (<= tmp0__global__input__val__295 255)) ; (tmp0__global__input__val__295 <= 255)
(assert (>= tmp0__global__input__val__296 0)) ; (tmp0__global__input__val__296 >= 0)
(assert (<= tmp0__global__input__val__296 255)) ; (tmp0__global__input__val__296 <= 255)
(assert (>= tmp0__global__input__val__297 0)) ; (tmp0__global__input__val__297 >= 0)
(assert (<= tmp0__global__input__val__297 255)) ; (tmp0__global__input__val__297 <= 255)
(assert (>= tmp0__global__input__val__298 0)) ; (tmp0__global__input__val__298 >= 0)
(assert (<= tmp0__global__input__val__298 255)) ; (tmp0__global__input__val__298 <= 255)
(assert (>= tmp0__global__input__val__299 0)) ; (tmp0__global__input__val__299 >= 0)
(assert (<= tmp0__global__input__val__299 255)) ; (tmp0__global__input__val__299 <= 255)
(assert (>= tmp0__global__input__val__300 0)) ; (tmp0__global__input__val__300 >= 0)
(assert (<= tmp0__global__input__val__300 255)) ; (tmp0__global__input__val__300 <= 255)
(assert (>= tmp0__global__input__val__301 0)) ; (tmp0__global__input__val__301 >= 0)
(assert (<= tmp0__global__input__val__301 255)) ; (tmp0__global__input__val__301 <= 255)
(assert (>= tmp0__global__input__val__302 0)) ; (tmp0__global__input__val__302 >= 0)
(assert (<= tmp0__global__input__val__302 255)) ; (tmp0__global__input__val__302 <= 255)
(assert (>= tmp0__global__input__val__303 0)) ; (tmp0__global__input__val__303 >= 0)
(assert (<= tmp0__global__input__val__303 255)) ; (tmp0__global__input__val__303 <= 255)
(assert (>= tmp0__global__input__val__304 0)) ; (tmp0__global__input__val__304 >= 0)
(assert (<= tmp0__global__input__val__304 255)) ; (tmp0__global__input__val__304 <= 255)
(assert (>= tmp0__global__input__val__305 0)) ; (tmp0__global__input__val__305 >= 0)
(assert (<= tmp0__global__input__val__305 255)) ; (tmp0__global__input__val__305 <= 255)
(assert (>= tmp0__global__input__val__306 0)) ; (tmp0__global__input__val__306 >= 0)
(assert (<= tmp0__global__input__val__306 255)) ; (tmp0__global__input__val__306 <= 255)
(assert (>= tmp0__global__input__val__307 0)) ; (tmp0__global__input__val__307 >= 0)
(assert (<= tmp0__global__input__val__307 255)) ; (tmp0__global__input__val__307 <= 255)
(assert (>= tmp0__global__input__val__308 0)) ; (tmp0__global__input__val__308 >= 0)
(assert (<= tmp0__global__input__val__308 255)) ; (tmp0__global__input__val__308 <= 255)
(assert (>= tmp0__global__input__val__309 0)) ; (tmp0__global__input__val__309 >= 0)
(assert (<= tmp0__global__input__val__309 255)) ; (tmp0__global__input__val__309 <= 255)
(assert (>= tmp0__global__input__val__310 0)) ; (tmp0__global__input__val__310 >= 0)
(assert (<= tmp0__global__input__val__310 255)) ; (tmp0__global__input__val__310 <= 255)
(assert (>= tmp0__global__input__val__311 0)) ; (tmp0__global__input__val__311 >= 0)
(assert (<= tmp0__global__input__val__311 255)) ; (tmp0__global__input__val__311 <= 255)
(assert (>= tmp0__global__input__val__312 0)) ; (tmp0__global__input__val__312 >= 0)
(assert (<= tmp0__global__input__val__312 255)) ; (tmp0__global__input__val__312 <= 255)
(assert (>= tmp0__global__input__val__313 0)) ; (tmp0__global__input__val__313 >= 0)
(assert (<= tmp0__global__input__val__313 255)) ; (tmp0__global__input__val__313 <= 255)
(assert (>= tmp0__global__input__val__314 0)) ; (tmp0__global__input__val__314 >= 0)
(assert (<= tmp0__global__input__val__314 255)) ; (tmp0__global__input__val__314 <= 255)
(assert (>= tmp0__global__input__val__315 0)) ; (tmp0__global__input__val__315 >= 0)
(assert (<= tmp0__global__input__val__315 255)) ; (tmp0__global__input__val__315 <= 255)
(assert (>= tmp0__global__input__val__316 0)) ; (tmp0__global__input__val__316 >= 0)
(assert (<= tmp0__global__input__val__316 255)) ; (tmp0__global__input__val__316 <= 255)
(assert (>= tmp0__global__input__val__317 0)) ; (tmp0__global__input__val__317 >= 0)
(assert (<= tmp0__global__input__val__317 255)) ; (tmp0__global__input__val__317 <= 255)
(assert (>= tmp0__global__input__val__318 0)) ; (tmp0__global__input__val__318 >= 0)
(assert (<= tmp0__global__input__val__318 255)) ; (tmp0__global__input__val__318 <= 255)
(assert (>= tmp0__global__input__val__319 0)) ; (tmp0__global__input__val__319 >= 0)
(assert (<= tmp0__global__input__val__319 255)) ; (tmp0__global__input__val__319 <= 255)
(assert (>= tmp0__global__input__val__320 0)) ; (tmp0__global__input__val__320 >= 0)
(assert (<= tmp0__global__input__val__320 255)) ; (tmp0__global__input__val__320 <= 255)
(assert (>= tmp0__global__input__val__321 0)) ; (tmp0__global__input__val__321 >= 0)
(assert (<= tmp0__global__input__val__321 255)) ; (tmp0__global__input__val__321 <= 255)
(assert (>= tmp0__global__input__val__322 0)) ; (tmp0__global__input__val__322 >= 0)
(assert (<= tmp0__global__input__val__322 255)) ; (tmp0__global__input__val__322 <= 255)
(assert (>= tmp0__global__input__val__323 0)) ; (tmp0__global__input__val__323 >= 0)
(assert (<= tmp0__global__input__val__323 255)) ; (tmp0__global__input__val__323 <= 255)
(assert (>= tmp0__global__input__val__324 0)) ; (tmp0__global__input__val__324 >= 0)
(assert (<= tmp0__global__input__val__324 255)) ; (tmp0__global__input__val__324 <= 255)
(assert (>= tmp0__global__input__val__325 0)) ; (tmp0__global__input__val__325 >= 0)
(assert (<= tmp0__global__input__val__325 255)) ; (tmp0__global__input__val__325 <= 255)
(assert (>= tmp0__global__input__val__326 0)) ; (tmp0__global__input__val__326 >= 0)
(assert (<= tmp0__global__input__val__326 255)) ; (tmp0__global__input__val__326 <= 255)
(assert (>= tmp0__global__input__val__327 0)) ; (tmp0__global__input__val__327 >= 0)
(assert (<= tmp0__global__input__val__327 255)) ; (tmp0__global__input__val__327 <= 255)
(assert (>= tmp0__global__input__val__328 0)) ; (tmp0__global__input__val__328 >= 0)
(assert (<= tmp0__global__input__val__328 255)) ; (tmp0__global__input__val__328 <= 255)
(assert (>= tmp0__global__input__val__329 0)) ; (tmp0__global__input__val__329 >= 0)
(assert (<= tmp0__global__input__val__329 255)) ; (tmp0__global__input__val__329 <= 255)
(assert (>= tmp0__global__input__val__330 0)) ; (tmp0__global__input__val__330 >= 0)
(assert (<= tmp0__global__input__val__330 255)) ; (tmp0__global__input__val__330 <= 255)
(assert (>= tmp0__global__input__val__331 0)) ; (tmp0__global__input__val__331 >= 0)
(assert (<= tmp0__global__input__val__331 255)) ; (tmp0__global__input__val__331 <= 255)
(assert (>= tmp0__global__input__val__332 0)) ; (tmp0__global__input__val__332 >= 0)
(assert (<= tmp0__global__input__val__332 255)) ; (tmp0__global__input__val__332 <= 255)
(assert (>= tmp0__global__input__val__333 0)) ; (tmp0__global__input__val__333 >= 0)
(assert (<= tmp0__global__input__val__333 255)) ; (tmp0__global__input__val__333 <= 255)
(assert (>= tmp0__global__input__val__334 0)) ; (tmp0__global__input__val__334 >= 0)
(assert (<= tmp0__global__input__val__334 255)) ; (tmp0__global__input__val__334 <= 255)
(assert (>= tmp0__global__input__val__335 0)) ; (tmp0__global__input__val__335 >= 0)
(assert (<= tmp0__global__input__val__335 255)) ; (tmp0__global__input__val__335 <= 255)
(assert (>= tmp0__global__input__val__336 0)) ; (tmp0__global__input__val__336 >= 0)
(assert (<= tmp0__global__input__val__336 255)) ; (tmp0__global__input__val__336 <= 255)
(assert (>= tmp0__global__input__val__337 0)) ; (tmp0__global__input__val__337 >= 0)
(assert (<= tmp0__global__input__val__337 255)) ; (tmp0__global__input__val__337 <= 255)
(assert (>= tmp0__global__input__val__338 0)) ; (tmp0__global__input__val__338 >= 0)
(assert (<= tmp0__global__input__val__338 255)) ; (tmp0__global__input__val__338 <= 255)
(assert (>= tmp0__global__input__val__339 0)) ; (tmp0__global__input__val__339 >= 0)
(assert (<= tmp0__global__input__val__339 255)) ; (tmp0__global__input__val__339 <= 255)
(assert (>= tmp0__global__input__val__340 0)) ; (tmp0__global__input__val__340 >= 0)
(assert (<= tmp0__global__input__val__340 255)) ; (tmp0__global__input__val__340 <= 255)
(assert (>= tmp0__global__input__val__341 0)) ; (tmp0__global__input__val__341 >= 0)
(assert (<= tmp0__global__input__val__341 255)) ; (tmp0__global__input__val__341 <= 255)
(assert (>= tmp0__global__input__val__342 0)) ; (tmp0__global__input__val__342 >= 0)
(assert (<= tmp0__global__input__val__342 255)) ; (tmp0__global__input__val__342 <= 255)
(assert (>= tmp0__global__input__val__343 0)) ; (tmp0__global__input__val__343 >= 0)
(assert (<= tmp0__global__input__val__343 255)) ; (tmp0__global__input__val__343 <= 255)
(assert (>= tmp0__global__input__val__344 0)) ; (tmp0__global__input__val__344 >= 0)
(assert (<= tmp0__global__input__val__344 255)) ; (tmp0__global__input__val__344 <= 255)
(assert (>= tmp0__global__input__val__345 0)) ; (tmp0__global__input__val__345 >= 0)
(assert (<= tmp0__global__input__val__345 255)) ; (tmp0__global__input__val__345 <= 255)
(assert (>= tmp0__global__input__val__346 0)) ; (tmp0__global__input__val__346 >= 0)
(assert (<= tmp0__global__input__val__346 255)) ; (tmp0__global__input__val__346 <= 255)
(assert (>= tmp0__global__input__val__347 0)) ; (tmp0__global__input__val__347 >= 0)
(assert (<= tmp0__global__input__val__347 255)) ; (tmp0__global__input__val__347 <= 255)
(assert (>= tmp0__global__input__val__348 0)) ; (tmp0__global__input__val__348 >= 0)
(assert (<= tmp0__global__input__val__348 255)) ; (tmp0__global__input__val__348 <= 255)
(assert (>= tmp0__global__input__val__349 0)) ; (tmp0__global__input__val__349 >= 0)
(assert (<= tmp0__global__input__val__349 255)) ; (tmp0__global__input__val__349 <= 255)
(assert (>= tmp0__global__input__val__350 0)) ; (tmp0__global__input__val__350 >= 0)
(assert (<= tmp0__global__input__val__350 255)) ; (tmp0__global__input__val__350 <= 255)
(assert (>= tmp0__global__input__val__351 0)) ; (tmp0__global__input__val__351 >= 0)
(assert (<= tmp0__global__input__val__351 255)) ; (tmp0__global__input__val__351 <= 255)
(assert (>= tmp0__global__input__val__352 0)) ; (tmp0__global__input__val__352 >= 0)
(assert (<= tmp0__global__input__val__352 255)) ; (tmp0__global__input__val__352 <= 255)
(assert (>= tmp0__global__input__val__353 0)) ; (tmp0__global__input__val__353 >= 0)
(assert (<= tmp0__global__input__val__353 255)) ; (tmp0__global__input__val__353 <= 255)
(assert (>= tmp0__global__input__val__354 0)) ; (tmp0__global__input__val__354 >= 0)
(assert (<= tmp0__global__input__val__354 255)) ; (tmp0__global__input__val__354 <= 255)
(assert (>= tmp0__global__input__val__355 0)) ; (tmp0__global__input__val__355 >= 0)
(assert (<= tmp0__global__input__val__355 255)) ; (tmp0__global__input__val__355 <= 255)
(assert (>= tmp0__global__input__val__356 0)) ; (tmp0__global__input__val__356 >= 0)
(assert (<= tmp0__global__input__val__356 255)) ; (tmp0__global__input__val__356 <= 255)
(assert (>= tmp0__global__input__val__357 0)) ; (tmp0__global__input__val__357 >= 0)
(assert (<= tmp0__global__input__val__357 255)) ; (tmp0__global__input__val__357 <= 255)
(assert (>= tmp0__global__input__val__358 0)) ; (tmp0__global__input__val__358 >= 0)
(assert (<= tmp0__global__input__val__358 255)) ; (tmp0__global__input__val__358 <= 255)
(assert (>= tmp0__global__input__val__359 0)) ; (tmp0__global__input__val__359 >= 0)
(assert (<= tmp0__global__input__val__359 255)) ; (tmp0__global__input__val__359 <= 255)
(assert (>= tmp0__global__input__val__360 0)) ; (tmp0__global__input__val__360 >= 0)
(assert (<= tmp0__global__input__val__360 255)) ; (tmp0__global__input__val__360 <= 255)
(assert (>= tmp0__global__input__val__361 0)) ; (tmp0__global__input__val__361 >= 0)
(assert (<= tmp0__global__input__val__361 255)) ; (tmp0__global__input__val__361 <= 255)
(assert (>= tmp0__global__input__val__362 0)) ; (tmp0__global__input__val__362 >= 0)
(assert (<= tmp0__global__input__val__362 255)) ; (tmp0__global__input__val__362 <= 255)
(assert (>= tmp0__global__input__val__363 0)) ; (tmp0__global__input__val__363 >= 0)
(assert (<= tmp0__global__input__val__363 255)) ; (tmp0__global__input__val__363 <= 255)
(assert (>= tmp0__global__input__val__364 0)) ; (tmp0__global__input__val__364 >= 0)
(assert (<= tmp0__global__input__val__364 255)) ; (tmp0__global__input__val__364 <= 255)
(assert (>= tmp0__global__input__val__365 0)) ; (tmp0__global__input__val__365 >= 0)
(assert (<= tmp0__global__input__val__365 255)) ; (tmp0__global__input__val__365 <= 255)
(assert (>= tmp0__global__input__val__366 0)) ; (tmp0__global__input__val__366 >= 0)
(assert (<= tmp0__global__input__val__366 255)) ; (tmp0__global__input__val__366 <= 255)
(assert (>= tmp0__global__input__val__367 0)) ; (tmp0__global__input__val__367 >= 0)
(assert (<= tmp0__global__input__val__367 255)) ; (tmp0__global__input__val__367 <= 255)
(assert (>= tmp0__global__input__val__368 0)) ; (tmp0__global__input__val__368 >= 0)
(assert (<= tmp0__global__input__val__368 255)) ; (tmp0__global__input__val__368 <= 255)
(assert (>= tmp0__global__input__val__369 0)) ; (tmp0__global__input__val__369 >= 0)
(assert (<= tmp0__global__input__val__369 255)) ; (tmp0__global__input__val__369 <= 255)
(assert (>= tmp0__global__input__val__370 0)) ; (tmp0__global__input__val__370 >= 0)
(assert (<= tmp0__global__input__val__370 255)) ; (tmp0__global__input__val__370 <= 255)
(assert (>= tmp0__global__input__val__371 0)) ; (tmp0__global__input__val__371 >= 0)
(assert (<= tmp0__global__input__val__371 255)) ; (tmp0__global__input__val__371 <= 255)
(assert (>= tmp0__global__input__val__372 0)) ; (tmp0__global__input__val__372 >= 0)
(assert (<= tmp0__global__input__val__372 255)) ; (tmp0__global__input__val__372 <= 255)
(assert (>= tmp0__global__input__val__373 0)) ; (tmp0__global__input__val__373 >= 0)
(assert (<= tmp0__global__input__val__373 255)) ; (tmp0__global__input__val__373 <= 255)
(assert (>= tmp0__global__input__val__374 0)) ; (tmp0__global__input__val__374 >= 0)
(assert (<= tmp0__global__input__val__374 255)) ; (tmp0__global__input__val__374 <= 255)
(assert (>= tmp0__global__input__val__375 0)) ; (tmp0__global__input__val__375 >= 0)
(assert (<= tmp0__global__input__val__375 255)) ; (tmp0__global__input__val__375 <= 255)
(assert (>= tmp0__global__input__val__376 0)) ; (tmp0__global__input__val__376 >= 0)
(assert (<= tmp0__global__input__val__376 255)) ; (tmp0__global__input__val__376 <= 255)
(assert (>= tmp0__global__input__val__377 0)) ; (tmp0__global__input__val__377 >= 0)
(assert (<= tmp0__global__input__val__377 255)) ; (tmp0__global__input__val__377 <= 255)
(assert (>= tmp0__global__input__val__378 0)) ; (tmp0__global__input__val__378 >= 0)
(assert (<= tmp0__global__input__val__378 255)) ; (tmp0__global__input__val__378 <= 255)
(assert (>= tmp0__global__input__val__379 0)) ; (tmp0__global__input__val__379 >= 0)
(assert (<= tmp0__global__input__val__379 255)) ; (tmp0__global__input__val__379 <= 255)
(assert (>= tmp0__global__input__val__380 0)) ; (tmp0__global__input__val__380 >= 0)
(assert (<= tmp0__global__input__val__380 255)) ; (tmp0__global__input__val__380 <= 255)
(assert (>= tmp0__global__input__val__381 0)) ; (tmp0__global__input__val__381 >= 0)
(assert (<= tmp0__global__input__val__381 255)) ; (tmp0__global__input__val__381 <= 255)
(assert (>= tmp0__global__input__val__382 0)) ; (tmp0__global__input__val__382 >= 0)
(assert (<= tmp0__global__input__val__382 255)) ; (tmp0__global__input__val__382 <= 255)
(assert (>= tmp0__global__input__val__383 0)) ; (tmp0__global__input__val__383 >= 0)
(assert (<= tmp0__global__input__val__383 255)) ; (tmp0__global__input__val__383 <= 255)
(assert (>= tmp0__global__input__val__384 0)) ; (tmp0__global__input__val__384 >= 0)
(assert (<= tmp0__global__input__val__384 255)) ; (tmp0__global__input__val__384 <= 255)
(assert (>= tmp0__global__input__val__385 0)) ; (tmp0__global__input__val__385 >= 0)
(assert (<= tmp0__global__input__val__385 255)) ; (tmp0__global__input__val__385 <= 255)
(assert (>= tmp0__global__input__val__386 0)) ; (tmp0__global__input__val__386 >= 0)
(assert (<= tmp0__global__input__val__386 255)) ; (tmp0__global__input__val__386 <= 255)
(assert (>= tmp0__global__input__val__387 0)) ; (tmp0__global__input__val__387 >= 0)
(assert (<= tmp0__global__input__val__387 255)) ; (tmp0__global__input__val__387 <= 255)
(assert (>= tmp0__global__input__val__388 0)) ; (tmp0__global__input__val__388 >= 0)
(assert (<= tmp0__global__input__val__388 255)) ; (tmp0__global__input__val__388 <= 255)
(assert (>= tmp0__global__input__val__389 0)) ; (tmp0__global__input__val__389 >= 0)
(assert (<= tmp0__global__input__val__389 255)) ; (tmp0__global__input__val__389 <= 255)
(assert (>= tmp0__global__input__val__390 0)) ; (tmp0__global__input__val__390 >= 0)
(assert (<= tmp0__global__input__val__390 255)) ; (tmp0__global__input__val__390 <= 255)
(assert (>= tmp0__global__input__val__391 0)) ; (tmp0__global__input__val__391 >= 0)
(assert (<= tmp0__global__input__val__391 255)) ; (tmp0__global__input__val__391 <= 255)
(assert (>= tmp0__global__input__val__392 0)) ; (tmp0__global__input__val__392 >= 0)
(assert (<= tmp0__global__input__val__392 255)) ; (tmp0__global__input__val__392 <= 255)
(assert (>= tmp0__global__input__val__393 0)) ; (tmp0__global__input__val__393 >= 0)
(assert (<= tmp0__global__input__val__393 255)) ; (tmp0__global__input__val__393 <= 255)
(assert (>= tmp0__global__input__val__394 0)) ; (tmp0__global__input__val__394 >= 0)
(assert (<= tmp0__global__input__val__394 255)) ; (tmp0__global__input__val__394 <= 255)
(assert (>= tmp0__global__input__val__395 0)) ; (tmp0__global__input__val__395 >= 0)
(assert (<= tmp0__global__input__val__395 255)) ; (tmp0__global__input__val__395 <= 255)
(assert (>= tmp0__global__input__val__396 0)) ; (tmp0__global__input__val__396 >= 0)
(assert (<= tmp0__global__input__val__396 255)) ; (tmp0__global__input__val__396 <= 255)
(assert (>= tmp0__global__input__val__397 0)) ; (tmp0__global__input__val__397 >= 0)
(assert (<= tmp0__global__input__val__397 255)) ; (tmp0__global__input__val__397 <= 255)
(assert (>= tmp0__global__input__val__398 0)) ; (tmp0__global__input__val__398 >= 0)
(assert (<= tmp0__global__input__val__398 255)) ; (tmp0__global__input__val__398 <= 255)
(assert (>= tmp0__global__input__val__399 0)) ; (tmp0__global__input__val__399 >= 0)
(assert (<= tmp0__global__input__val__399 255)) ; (tmp0__global__input__val__399 <= 255)
(assert (>= tmp0__global__input__val__400 0)) ; (tmp0__global__input__val__400 >= 0)
(assert (<= tmp0__global__input__val__400 255)) ; (tmp0__global__input__val__400 <= 255)
(assert (>= tmp0__global__input__val__401 0)) ; (tmp0__global__input__val__401 >= 0)
(assert (<= tmp0__global__input__val__401 255)) ; (tmp0__global__input__val__401 <= 255)
(assert (>= tmp0__global__input__val__402 0)) ; (tmp0__global__input__val__402 >= 0)
(assert (<= tmp0__global__input__val__402 255)) ; (tmp0__global__input__val__402 <= 255)
(assert (>= tmp0__global__input__val__403 0)) ; (tmp0__global__input__val__403 >= 0)
(assert (<= tmp0__global__input__val__403 255)) ; (tmp0__global__input__val__403 <= 255)
(assert (>= tmp0__global__input__val__404 0)) ; (tmp0__global__input__val__404 >= 0)
(assert (<= tmp0__global__input__val__404 255)) ; (tmp0__global__input__val__404 <= 255)
(assert (>= tmp0__global__input__val__405 0)) ; (tmp0__global__input__val__405 >= 0)
(assert (<= tmp0__global__input__val__405 255)) ; (tmp0__global__input__val__405 <= 255)
(assert (>= tmp0__global__input__val__406 0)) ; (tmp0__global__input__val__406 >= 0)
(assert (<= tmp0__global__input__val__406 255)) ; (tmp0__global__input__val__406 <= 255)
(assert (>= tmp0__global__input__val__407 0)) ; (tmp0__global__input__val__407 >= 0)
(assert (<= tmp0__global__input__val__407 255)) ; (tmp0__global__input__val__407 <= 255)
(assert (>= tmp0__global__input__val__408 0)) ; (tmp0__global__input__val__408 >= 0)
(assert (<= tmp0__global__input__val__408 255)) ; (tmp0__global__input__val__408 <= 255)
(assert (>= tmp0__global__input__val__409 0)) ; (tmp0__global__input__val__409 >= 0)
(assert (<= tmp0__global__input__val__409 255)) ; (tmp0__global__input__val__409 <= 255)
(assert (>= tmp0__global__input__val__410 0)) ; (tmp0__global__input__val__410 >= 0)
(assert (<= tmp0__global__input__val__410 255)) ; (tmp0__global__input__val__410 <= 255)
(assert (>= tmp0__global__input__val__411 0)) ; (tmp0__global__input__val__411 >= 0)
(assert (<= tmp0__global__input__val__411 255)) ; (tmp0__global__input__val__411 <= 255)
(assert (>= tmp0__global__input__val__412 0)) ; (tmp0__global__input__val__412 >= 0)
(assert (<= tmp0__global__input__val__412 255)) ; (tmp0__global__input__val__412 <= 255)
(assert (>= tmp0__global__input__val__413 0)) ; (tmp0__global__input__val__413 >= 0)
(assert (<= tmp0__global__input__val__413 255)) ; (tmp0__global__input__val__413 <= 255)
(assert (>= tmp0__global__input__val__414 0)) ; (tmp0__global__input__val__414 >= 0)
(assert (<= tmp0__global__input__val__414 255)) ; (tmp0__global__input__val__414 <= 255)
(assert (>= tmp0__global__input__val__415 0)) ; (tmp0__global__input__val__415 >= 0)
(assert (<= tmp0__global__input__val__415 255)) ; (tmp0__global__input__val__415 <= 255)
(assert (>= tmp0__global__input__val__416 0)) ; (tmp0__global__input__val__416 >= 0)
(assert (<= tmp0__global__input__val__416 255)) ; (tmp0__global__input__val__416 <= 255)
(assert (>= tmp0__global__input__val__417 0)) ; (tmp0__global__input__val__417 >= 0)
(assert (<= tmp0__global__input__val__417 255)) ; (tmp0__global__input__val__417 <= 255)
(assert (>= tmp0__global__input__val__418 0)) ; (tmp0__global__input__val__418 >= 0)
(assert (<= tmp0__global__input__val__418 255)) ; (tmp0__global__input__val__418 <= 255)
(assert (>= tmp0__global__input__val__419 0)) ; (tmp0__global__input__val__419 >= 0)
(assert (<= tmp0__global__input__val__419 255)) ; (tmp0__global__input__val__419 <= 255)
(assert (>= tmp0__global__input__val__420 0)) ; (tmp0__global__input__val__420 >= 0)
(assert (<= tmp0__global__input__val__420 255)) ; (tmp0__global__input__val__420 <= 255)
(assert (>= tmp0__global__input__val__421 0)) ; (tmp0__global__input__val__421 >= 0)
(assert (<= tmp0__global__input__val__421 255)) ; (tmp0__global__input__val__421 <= 255)
(assert (>= tmp0__global__input__val__422 0)) ; (tmp0__global__input__val__422 >= 0)
(assert (<= tmp0__global__input__val__422 255)) ; (tmp0__global__input__val__422 <= 255)
(assert (>= tmp0__global__input__val__423 0)) ; (tmp0__global__input__val__423 >= 0)
(assert (<= tmp0__global__input__val__423 255)) ; (tmp0__global__input__val__423 <= 255)
(assert (>= tmp0__global__input__val__424 0)) ; (tmp0__global__input__val__424 >= 0)
(assert (<= tmp0__global__input__val__424 255)) ; (tmp0__global__input__val__424 <= 255)
(assert (>= tmp0__global__input__val__425 0)) ; (tmp0__global__input__val__425 >= 0)
(assert (<= tmp0__global__input__val__425 255)) ; (tmp0__global__input__val__425 <= 255)
(assert (>= tmp0__global__input__val__426 0)) ; (tmp0__global__input__val__426 >= 0)
(assert (<= tmp0__global__input__val__426 255)) ; (tmp0__global__input__val__426 <= 255)
(assert (>= tmp0__global__input__val__427 0)) ; (tmp0__global__input__val__427 >= 0)
(assert (<= tmp0__global__input__val__427 255)) ; (tmp0__global__input__val__427 <= 255)
(assert (>= tmp0__global__input__val__428 0)) ; (tmp0__global__input__val__428 >= 0)
(assert (<= tmp0__global__input__val__428 255)) ; (tmp0__global__input__val__428 <= 255)
(assert (>= tmp0__global__input__val__429 0)) ; (tmp0__global__input__val__429 >= 0)
(assert (<= tmp0__global__input__val__429 255)) ; (tmp0__global__input__val__429 <= 255)
(assert (>= tmp0__global__input__val__430 0)) ; (tmp0__global__input__val__430 >= 0)
(assert (<= tmp0__global__input__val__430 255)) ; (tmp0__global__input__val__430 <= 255)
(assert (>= tmp0__global__input__val__431 0)) ; (tmp0__global__input__val__431 >= 0)
(assert (<= tmp0__global__input__val__431 255)) ; (tmp0__global__input__val__431 <= 255)
(assert (>= tmp0__global__input__val__432 0)) ; (tmp0__global__input__val__432 >= 0)
(assert (<= tmp0__global__input__val__432 255)) ; (tmp0__global__input__val__432 <= 255)
(assert (>= tmp0__global__input__val__433 0)) ; (tmp0__global__input__val__433 >= 0)
(assert (<= tmp0__global__input__val__433 255)) ; (tmp0__global__input__val__433 <= 255)
(assert (>= tmp0__global__input__val__434 0)) ; (tmp0__global__input__val__434 >= 0)
(assert (<= tmp0__global__input__val__434 255)) ; (tmp0__global__input__val__434 <= 255)
(assert (>= tmp0__global__input__val__435 0)) ; (tmp0__global__input__val__435 >= 0)
(assert (<= tmp0__global__input__val__435 255)) ; (tmp0__global__input__val__435 <= 255)
(assert (>= tmp0__global__input__val__436 0)) ; (tmp0__global__input__val__436 >= 0)
(assert (<= tmp0__global__input__val__436 255)) ; (tmp0__global__input__val__436 <= 255)
(assert (>= tmp0__global__input__val__437 0)) ; (tmp0__global__input__val__437 >= 0)
(assert (<= tmp0__global__input__val__437 255)) ; (tmp0__global__input__val__437 <= 255)
(assert (>= tmp0__global__input__val__438 0)) ; (tmp0__global__input__val__438 >= 0)
(assert (<= tmp0__global__input__val__438 255)) ; (tmp0__global__input__val__438 <= 255)
(assert (>= tmp0__global__input__val__439 0)) ; (tmp0__global__input__val__439 >= 0)
(assert (<= tmp0__global__input__val__439 255)) ; (tmp0__global__input__val__439 <= 255)
(assert (>= tmp0__global__input__val__440 0)) ; (tmp0__global__input__val__440 >= 0)
(assert (<= tmp0__global__input__val__440 255)) ; (tmp0__global__input__val__440 <= 255)
(assert (>= tmp0__global__input__val__441 0)) ; (tmp0__global__input__val__441 >= 0)
(assert (<= tmp0__global__input__val__441 255)) ; (tmp0__global__input__val__441 <= 255)
(assert (>= tmp0__global__input__val__442 0)) ; (tmp0__global__input__val__442 >= 0)
(assert (<= tmp0__global__input__val__442 255)) ; (tmp0__global__input__val__442 <= 255)
(assert (>= tmp0__global__input__val__443 0)) ; (tmp0__global__input__val__443 >= 0)
(assert (<= tmp0__global__input__val__443 255)) ; (tmp0__global__input__val__443 <= 255)
(assert (>= tmp0__global__input__val__444 0)) ; (tmp0__global__input__val__444 >= 0)
(assert (<= tmp0__global__input__val__444 255)) ; (tmp0__global__input__val__444 <= 255)
(assert (>= tmp0__global__input__val__445 0)) ; (tmp0__global__input__val__445 >= 0)
(assert (<= tmp0__global__input__val__445 255)) ; (tmp0__global__input__val__445 <= 255)
(assert (>= tmp0__global__input__val__446 0)) ; (tmp0__global__input__val__446 >= 0)
(assert (<= tmp0__global__input__val__446 255)) ; (tmp0__global__input__val__446 <= 255)
(assert (>= tmp0__global__input__val__447 0)) ; (tmp0__global__input__val__447 >= 0)
(assert (<= tmp0__global__input__val__447 255)) ; (tmp0__global__input__val__447 <= 255)
(assert (>= tmp0__global__input__val__448 0)) ; (tmp0__global__input__val__448 >= 0)
(assert (<= tmp0__global__input__val__448 255)) ; (tmp0__global__input__val__448 <= 255)
(assert (>= tmp0__global__input__val__449 0)) ; (tmp0__global__input__val__449 >= 0)
(assert (<= tmp0__global__input__val__449 255)) ; (tmp0__global__input__val__449 <= 255)
(assert (= tmp1__global__buf_0 0)) ; (tmp1__global__buf_0 = 0)
(assert (= tmp1__global__buf_1 0)) ; (tmp1__global__buf_1 = 0)
(assert (= tmp1__global__buf_2 0)) ; (tmp1__global__buf_2 = 0)
(assert (= tmp1__global__buf_3 0)) ; (tmp1__global__buf_3 = 0)
(assert (= tmp1__global__buf_4 0)) ; (tmp1__global__buf_4 = 0)
(assert (= tmp1__global__buf_5 0)) ; (tmp1__global__buf_5 = 0)
(assert (= tmp1__global__buf_6 0)) ; (tmp1__global__buf_6 = 0)
(assert (= tmp1__global__buf_7 0)) ; (tmp1__global__buf_7 = 0)
(assert (= tmp1__global__buf_8 0)) ; (tmp1__global__buf_8 = 0)
(assert (= tmp1__global__buf_9 0)) ; (tmp1__global__buf_9 = 0)
(assert (= tmp1__global__buf_10 0)) ; (tmp1__global__buf_10 = 0)
(assert (= tmp1__global__buf_11 0)) ; (tmp1__global__buf_11 = 0)
(assert (= tmp1__global__buf_12 0)) ; (tmp1__global__buf_12 = 0)
(assert (= tmp1__global__buf_13 0)) ; (tmp1__global__buf_13 = 0)
(assert (= tmp1__global__buf_14 0)) ; (tmp1__global__buf_14 = 0)
(assert (= tmp1__global__buf_15 0)) ; (tmp1__global__buf_15 = 0)
(assert (= tmp1__global__buf_16 0)) ; (tmp1__global__buf_16 = 0)
(assert (= tmp1__global__buf_17 0)) ; (tmp1__global__buf_17 = 0)
(assert (= tmp1__global__buf_18 0)) ; (tmp1__global__buf_18 = 0)
(assert (= tmp1__global__buf_19 0)) ; (tmp1__global__buf_19 = 0)
(assert (= tmp1__global__buf_20 0)) ; (tmp1__global__buf_20 = 0)
(assert (= tmp1__global__buf_21 0)) ; (tmp1__global__buf_21 = 0)
(assert (= tmp1__global__buf_22 0)) ; (tmp1__global__buf_22 = 0)
(assert (= tmp1__global__buf_23 0)) ; (tmp1__global__buf_23 = 0)
(assert (= tmp1__global__buf_24 0)) ; (tmp1__global__buf_24 = 0)
(assert (= tmp1__global__buf_25 0)) ; (tmp1__global__buf_25 = 0)
(assert (= tmp1__global__buf_26 0)) ; (tmp1__global__buf_26 = 0)
(assert (= tmp1__global__buf_27 0)) ; (tmp1__global__buf_27 = 0)
(assert (= tmp1__global__buf_28 0)) ; (tmp1__global__buf_28 = 0)
(assert (= tmp1__global__buf_29 0)) ; (tmp1__global__buf_29 = 0)
(assert (= tmp1__global__buf_30 0)) ; (tmp1__global__buf_30 = 0)
(assert (= tmp1__global__buf_31 0)) ; (tmp1__global__buf_31 = 0)
(assert (= tmp1__global__buf_32 0)) ; (tmp1__global__buf_32 = 0)
(assert (= tmp1__global__buf_33 0)) ; (tmp1__global__buf_33 = 0)
(assert (= tmp1__global__buf_34 0)) ; (tmp1__global__buf_34 = 0)
(assert (= tmp1__global__buf_35 0)) ; (tmp1__global__buf_35 = 0)
(assert (= tmp1__global__buf_36 0)) ; (tmp1__global__buf_36 = 0)
(assert (= tmp1__global__buf_37 0)) ; (tmp1__global__buf_37 = 0)
(assert (= tmp1__global__buf_38 0)) ; (tmp1__global__buf_38 = 0)
(assert (= tmp1__global__buf_39 0)) ; (tmp1__global__buf_39 = 0)
(assert (= tmp1__global__buf_40 0)) ; (tmp1__global__buf_40 = 0)
(assert (= tmp1__global__buf_41 0)) ; (tmp1__global__buf_41 = 0)
(assert (= tmp1__global__buf_42 0)) ; (tmp1__global__buf_42 = 0)
(assert (= tmp1__global__buf_43 0)) ; (tmp1__global__buf_43 = 0)
(assert (= tmp1__global__buf_44 0)) ; (tmp1__global__buf_44 = 0)
(assert (= tmp1__global__buf_45 0)) ; (tmp1__global__buf_45 = 0)
(assert (= tmp1__global__buf_46 0)) ; (tmp1__global__buf_46 = 0)
(assert (= tmp1__global__buf_47 0)) ; (tmp1__global__buf_47 = 0)
(assert (= tmp1__global__buf_48 0)) ; (tmp1__global__buf_48 = 0)
(assert (= tmp1__global__buf_49 0)) ; (tmp1__global__buf_49 = 0)
(assert (= tmp1__global__buf_50 0)) ; (tmp1__global__buf_50 = 0)
(assert (= tmp1__global__buf_51 0)) ; (tmp1__global__buf_51 = 0)
(assert (= tmp1__global__buf_52 0)) ; (tmp1__global__buf_52 = 0)
(assert (= tmp1__global__buf_53 0)) ; (tmp1__global__buf_53 = 0)
(assert (= tmp1__global__buf_54 0)) ; (tmp1__global__buf_54 = 0)
(assert (= tmp1__global__buf_55 0)) ; (tmp1__global__buf_55 = 0)
(assert (= tmp1__global__buf_56 0)) ; (tmp1__global__buf_56 = 0)
(assert (= tmp1__global__buf_57 0)) ; (tmp1__global__buf_57 = 0)
(assert (= tmp1__global__buf_58 0)) ; (tmp1__global__buf_58 = 0)
(assert (= tmp1__global__buf_59 0)) ; (tmp1__global__buf_59 = 0)
(assert (= tmp1__global__buf_60 0)) ; (tmp1__global__buf_60 = 0)
(assert (= tmp1__global__buf_61 0)) ; (tmp1__global__buf_61 = 0)
(assert (= tmp1__global__buf_62 0)) ; (tmp1__global__buf_62 = 0)
(assert (= tmp1__global__buf_63 0)) ; (tmp1__global__buf_63 = 0)
(assert (= tmp1__global__buf_64 0)) ; (tmp1__global__buf_64 = 0)
(assert (= tmp1__global__buf_65 0)) ; (tmp1__global__buf_65 = 0)
(assert (= tmp1__global__buf_66 0)) ; (tmp1__global__buf_66 = 0)
(assert (= tmp1__global__buf_67 0)) ; (tmp1__global__buf_67 = 0)
(assert (= tmp1__global__buf_68 0)) ; (tmp1__global__buf_68 = 0)
(assert (= tmp1__global__buf_69 0)) ; (tmp1__global__buf_69 = 0)
(assert (= tmp1__global__buf_70 0)) ; (tmp1__global__buf_70 = 0)
(assert (= tmp1__global__buf_71 0)) ; (tmp1__global__buf_71 = 0)
(assert (= tmp1__global__buf_72 0)) ; (tmp1__global__buf_72 = 0)
(assert (= tmp1__global__buf_73 0)) ; (tmp1__global__buf_73 = 0)
(assert (= tmp1__global__buf_74 0)) ; (tmp1__global__buf_74 = 0)
(assert (= tmp1__global__buf_75 0)) ; (tmp1__global__buf_75 = 0)
(assert (= tmp1__global__buf_76 0)) ; (tmp1__global__buf_76 = 0)
(assert (= tmp1__global__buf_77 0)) ; (tmp1__global__buf_77 = 0)
(assert (= tmp1__global__buf_78 0)) ; (tmp1__global__buf_78 = 0)
(assert (= tmp1__global__buf_79 0)) ; (tmp1__global__buf_79 = 0)
(assert (= tmp1__global__buf_80 0)) ; (tmp1__global__buf_80 = 0)
(assert (= tmp1__global__buf_81 0)) ; (tmp1__global__buf_81 = 0)
(assert (= tmp1__global__buf_82 0)) ; (tmp1__global__buf_82 = 0)
(assert (= tmp1__global__buf_83 0)) ; (tmp1__global__buf_83 = 0)
(assert (= tmp1__global__buf_84 0)) ; (tmp1__global__buf_84 = 0)
(assert (= tmp1__global__buf_85 0)) ; (tmp1__global__buf_85 = 0)
(assert (= tmp1__global__buf_86 0)) ; (tmp1__global__buf_86 = 0)
(assert (= tmp1__global__buf_87 0)) ; (tmp1__global__buf_87 = 0)
(assert (= tmp1__global__buf_88 0)) ; (tmp1__global__buf_88 = 0)
(assert (= tmp1__global__buf_89 0)) ; (tmp1__global__buf_89 = 0)
(assert (= tmp1__global__buf_90 0)) ; (tmp1__global__buf_90 = 0)
(assert (= tmp1__global__buf_91 0)) ; (tmp1__global__buf_91 = 0)
(assert (= tmp1__global__buf_92 0)) ; (tmp1__global__buf_92 = 0)
(assert (= tmp1__global__buf_93 0)) ; (tmp1__global__buf_93 = 0)
(assert (= tmp1__global__buf_94 0)) ; (tmp1__global__buf_94 = 0)
(assert (= tmp1__global__buf_95 0)) ; (tmp1__global__buf_95 = 0)
(assert (= tmp1__global__buf_96 0)) ; (tmp1__global__buf_96 = 0)
(assert (= tmp1__global__buf_97 0)) ; (tmp1__global__buf_97 = 0)
(assert (= tmp1__global__buf_98 0)) ; (tmp1__global__buf_98 = 0)
(assert (= tmp1__global__buf_99 0)) ; (tmp1__global__buf_99 = 0)
(assert (= tmp1__global__buf_100 0)) ; (tmp1__global__buf_100 = 0)
(assert (= tmp1__global__buf_101 0)) ; (tmp1__global__buf_101 = 0)
(assert (= tmp1__global__buf_102 0)) ; (tmp1__global__buf_102 = 0)
(assert (= tmp1__global__buf_103 0)) ; (tmp1__global__buf_103 = 0)
(assert (= tmp1__global__buf_104 0)) ; (tmp1__global__buf_104 = 0)
(assert (= tmp1__global__buf_105 0)) ; (tmp1__global__buf_105 = 0)
(assert (= tmp1__global__buf_106 0)) ; (tmp1__global__buf_106 = 0)
(assert (= tmp1__global__buf_107 0)) ; (tmp1__global__buf_107 = 0)
(assert (= tmp1__global__buf_108 0)) ; (tmp1__global__buf_108 = 0)
(assert (= tmp1__global__buf_109 0)) ; (tmp1__global__buf_109 = 0)
(assert (= tmp1__global__buf_110 0)) ; (tmp1__global__buf_110 = 0)
(assert (= tmp1__global__buf_111 0)) ; (tmp1__global__buf_111 = 0)
(assert (= tmp1__global__buf_112 0)) ; (tmp1__global__buf_112 = 0)
(assert (= tmp1__global__buf_113 0)) ; (tmp1__global__buf_113 = 0)
(assert (= tmp1__global__buf_114 0)) ; (tmp1__global__buf_114 = 0)
(assert (= tmp1__global__buf_115 0)) ; (tmp1__global__buf_115 = 0)
(assert (= tmp1__global__buf_116 0)) ; (tmp1__global__buf_116 = 0)
(assert (= tmp1__global__buf_117 0)) ; (tmp1__global__buf_117 = 0)
(assert (= tmp1__global__buf_118 0)) ; (tmp1__global__buf_118 = 0)
(assert (= tmp1__global__buf_119 0)) ; (tmp1__global__buf_119 = 0)
(assert (= tmp1__global__ref0_0 tmp0__global__input__val__0)) ; (tmp1__global__ref0_0 = tmp0__global__input__val__0)
(assert (= tmp1__global__ref1_0 tmp0__global__input__val__225)) ; (tmp1__global__ref1_0 = tmp0__global__input__val__225)
(assert (= tmp1__global__ref0_1 tmp0__global__input__val__1)) ; (tmp1__global__ref0_1 = tmp0__global__input__val__1)
(assert (= tmp1__global__ref1_1 tmp0__global__input__val__226)) ; (tmp1__global__ref1_1 = tmp0__global__input__val__226)
(assert (= tmp1__global__ref0_2 tmp0__global__input__val__2)) ; (tmp1__global__ref0_2 = tmp0__global__input__val__2)
(assert (= tmp1__global__ref1_2 tmp0__global__input__val__227)) ; (tmp1__global__ref1_2 = tmp0__global__input__val__227)
(assert (= tmp1__global__ref0_3 tmp0__global__input__val__3)) ; (tmp1__global__ref0_3 = tmp0__global__input__val__3)
(assert (= tmp1__global__ref1_3 tmp0__global__input__val__228)) ; (tmp1__global__ref1_3 = tmp0__global__input__val__228)
(assert (= tmp1__global__ref0_4 tmp0__global__input__val__4)) ; (tmp1__global__ref0_4 = tmp0__global__input__val__4)
(assert (= tmp1__global__ref1_4 tmp0__global__input__val__229)) ; (tmp1__global__ref1_4 = tmp0__global__input__val__229)
(assert (= tmp1__global__ref0_5 tmp0__global__input__val__5)) ; (tmp1__global__ref0_5 = tmp0__global__input__val__5)
(assert (= tmp1__global__ref1_5 tmp0__global__input__val__230)) ; (tmp1__global__ref1_5 = tmp0__global__input__val__230)
(assert (= tmp1__global__ref0_6 tmp0__global__input__val__6)) ; (tmp1__global__ref0_6 = tmp0__global__input__val__6)
(assert (= tmp1__global__ref1_6 tmp0__global__input__val__231)) ; (tmp1__global__ref1_6 = tmp0__global__input__val__231)
(assert (= tmp1__global__ref0_7 tmp0__global__input__val__7)) ; (tmp1__global__ref0_7 = tmp0__global__input__val__7)
(assert (= tmp1__global__ref1_7 tmp0__global__input__val__232)) ; (tmp1__global__ref1_7 = tmp0__global__input__val__232)
(assert (= tmp1__global__ref0_8 tmp0__global__input__val__8)) ; (tmp1__global__ref0_8 = tmp0__global__input__val__8)
(assert (= tmp1__global__ref1_8 tmp0__global__input__val__233)) ; (tmp1__global__ref1_8 = tmp0__global__input__val__233)
(assert (= tmp1__global__ref0_9 tmp0__global__input__val__9)) ; (tmp1__global__ref0_9 = tmp0__global__input__val__9)
(assert (= tmp1__global__ref1_9 tmp0__global__input__val__234)) ; (tmp1__global__ref1_9 = tmp0__global__input__val__234)
(assert (= tmp1__global__ref0_10 tmp0__global__input__val__10)) ; (tmp1__global__ref0_10 = tmp0__global__input__val__10)
(assert (= tmp1__global__ref1_10 tmp0__global__input__val__235)) ; (tmp1__global__ref1_10 = tmp0__global__input__val__235)
(assert (= tmp1__global__ref0_11 tmp0__global__input__val__11)) ; (tmp1__global__ref0_11 = tmp0__global__input__val__11)
(assert (= tmp1__global__ref1_11 tmp0__global__input__val__236)) ; (tmp1__global__ref1_11 = tmp0__global__input__val__236)
(assert (= tmp1__global__ref0_12 tmp0__global__input__val__12)) ; (tmp1__global__ref0_12 = tmp0__global__input__val__12)
(assert (= tmp1__global__ref1_12 tmp0__global__input__val__237)) ; (tmp1__global__ref1_12 = tmp0__global__input__val__237)
(assert (= tmp1__global__ref0_13 tmp0__global__input__val__13)) ; (tmp1__global__ref0_13 = tmp0__global__input__val__13)
(assert (= tmp1__global__ref1_13 tmp0__global__input__val__238)) ; (tmp1__global__ref1_13 = tmp0__global__input__val__238)
(assert (= tmp1__global__ref0_14 tmp0__global__input__val__14)) ; (tmp1__global__ref0_14 = tmp0__global__input__val__14)
(assert (= tmp1__global__ref1_14 tmp0__global__input__val__239)) ; (tmp1__global__ref1_14 = tmp0__global__input__val__239)
(assert (= tmp1__global__ref0_15 tmp0__global__input__val__15)) ; (tmp1__global__ref0_15 = tmp0__global__input__val__15)
(assert (= tmp1__global__ref1_15 tmp0__global__input__val__240)) ; (tmp1__global__ref1_15 = tmp0__global__input__val__240)
(assert (= tmp1__global__ref0_16 tmp0__global__input__val__16)) ; (tmp1__global__ref0_16 = tmp0__global__input__val__16)
(assert (= tmp1__global__ref1_16 tmp0__global__input__val__241)) ; (tmp1__global__ref1_16 = tmp0__global__input__val__241)
(assert (= tmp1__global__ref0_17 tmp0__global__input__val__17)) ; (tmp1__global__ref0_17 = tmp0__global__input__val__17)
(assert (= tmp1__global__ref1_17 tmp0__global__input__val__242)) ; (tmp1__global__ref1_17 = tmp0__global__input__val__242)
(assert (= tmp1__global__ref0_18 tmp0__global__input__val__18)) ; (tmp1__global__ref0_18 = tmp0__global__input__val__18)
(assert (= tmp1__global__ref1_18 tmp0__global__input__val__243)) ; (tmp1__global__ref1_18 = tmp0__global__input__val__243)
(assert (= tmp1__global__ref0_19 tmp0__global__input__val__19)) ; (tmp1__global__ref0_19 = tmp0__global__input__val__19)
(assert (= tmp1__global__ref1_19 tmp0__global__input__val__244)) ; (tmp1__global__ref1_19 = tmp0__global__input__val__244)
(assert (= tmp1__global__ref0_20 tmp0__global__input__val__20)) ; (tmp1__global__ref0_20 = tmp0__global__input__val__20)
(assert (= tmp1__global__ref1_20 tmp0__global__input__val__245)) ; (tmp1__global__ref1_20 = tmp0__global__input__val__245)
(assert (= tmp1__global__ref0_21 tmp0__global__input__val__21)) ; (tmp1__global__ref0_21 = tmp0__global__input__val__21)
(assert (= tmp1__global__ref1_21 tmp0__global__input__val__246)) ; (tmp1__global__ref1_21 = tmp0__global__input__val__246)
(assert (= tmp1__global__ref0_22 tmp0__global__input__val__22)) ; (tmp1__global__ref0_22 = tmp0__global__input__val__22)
(assert (= tmp1__global__ref1_22 tmp0__global__input__val__247)) ; (tmp1__global__ref1_22 = tmp0__global__input__val__247)
(assert (= tmp1__global__ref0_23 tmp0__global__input__val__23)) ; (tmp1__global__ref0_23 = tmp0__global__input__val__23)
(assert (= tmp1__global__ref1_23 tmp0__global__input__val__248)) ; (tmp1__global__ref1_23 = tmp0__global__input__val__248)
(assert (= tmp1__global__ref0_24 tmp0__global__input__val__24)) ; (tmp1__global__ref0_24 = tmp0__global__input__val__24)
(assert (= tmp1__global__ref1_24 tmp0__global__input__val__249)) ; (tmp1__global__ref1_24 = tmp0__global__input__val__249)
(assert (= tmp1__global__ref0_25 tmp0__global__input__val__25)) ; (tmp1__global__ref0_25 = tmp0__global__input__val__25)
(assert (= tmp1__global__ref1_25 tmp0__global__input__val__250)) ; (tmp1__global__ref1_25 = tmp0__global__input__val__250)
(assert (= tmp1__global__ref0_26 tmp0__global__input__val__26)) ; (tmp1__global__ref0_26 = tmp0__global__input__val__26)
(assert (= tmp1__global__ref1_26 tmp0__global__input__val__251)) ; (tmp1__global__ref1_26 = tmp0__global__input__val__251)
(assert (= tmp1__global__ref0_27 tmp0__global__input__val__27)) ; (tmp1__global__ref0_27 = tmp0__global__input__val__27)
(assert (= tmp1__global__ref1_27 tmp0__global__input__val__252)) ; (tmp1__global__ref1_27 = tmp0__global__input__val__252)
(assert (= tmp1__global__ref0_28 tmp0__global__input__val__28)) ; (tmp1__global__ref0_28 = tmp0__global__input__val__28)
(assert (= tmp1__global__ref1_28 tmp0__global__input__val__253)) ; (tmp1__global__ref1_28 = tmp0__global__input__val__253)
(assert (= tmp1__global__ref0_29 tmp0__global__input__val__29)) ; (tmp1__global__ref0_29 = tmp0__global__input__val__29)
(assert (= tmp1__global__ref1_29 tmp0__global__input__val__254)) ; (tmp1__global__ref1_29 = tmp0__global__input__val__254)
(assert (= tmp1__global__ref0_30 tmp0__global__input__val__30)) ; (tmp1__global__ref0_30 = tmp0__global__input__val__30)
(assert (= tmp1__global__ref1_30 tmp0__global__input__val__255)) ; (tmp1__global__ref1_30 = tmp0__global__input__val__255)
(assert (= tmp1__global__ref0_31 tmp0__global__input__val__31)) ; (tmp1__global__ref0_31 = tmp0__global__input__val__31)
(assert (= tmp1__global__ref1_31 tmp0__global__input__val__256)) ; (tmp1__global__ref1_31 = tmp0__global__input__val__256)
(assert (= tmp1__global__ref0_32 tmp0__global__input__val__32)) ; (tmp1__global__ref0_32 = tmp0__global__input__val__32)
(assert (= tmp1__global__ref1_32 tmp0__global__input__val__257)) ; (tmp1__global__ref1_32 = tmp0__global__input__val__257)
(assert (= tmp1__global__ref0_33 tmp0__global__input__val__33)) ; (tmp1__global__ref0_33 = tmp0__global__input__val__33)
(assert (= tmp1__global__ref1_33 tmp0__global__input__val__258)) ; (tmp1__global__ref1_33 = tmp0__global__input__val__258)
(assert (= tmp1__global__ref0_34 tmp0__global__input__val__34)) ; (tmp1__global__ref0_34 = tmp0__global__input__val__34)
(assert (= tmp1__global__ref1_34 tmp0__global__input__val__259)) ; (tmp1__global__ref1_34 = tmp0__global__input__val__259)
(assert (= tmp1__global__ref0_35 tmp0__global__input__val__35)) ; (tmp1__global__ref0_35 = tmp0__global__input__val__35)
(assert (= tmp1__global__ref1_35 tmp0__global__input__val__260)) ; (tmp1__global__ref1_35 = tmp0__global__input__val__260)
(assert (= tmp1__global__ref0_36 tmp0__global__input__val__36)) ; (tmp1__global__ref0_36 = tmp0__global__input__val__36)
(assert (= tmp1__global__ref1_36 tmp0__global__input__val__261)) ; (tmp1__global__ref1_36 = tmp0__global__input__val__261)
(assert (= tmp1__global__ref0_37 tmp0__global__input__val__37)) ; (tmp1__global__ref0_37 = tmp0__global__input__val__37)
(assert (= tmp1__global__ref1_37 tmp0__global__input__val__262)) ; (tmp1__global__ref1_37 = tmp0__global__input__val__262)
(assert (= tmp1__global__ref0_38 tmp0__global__input__val__38)) ; (tmp1__global__ref0_38 = tmp0__global__input__val__38)
(assert (= tmp1__global__ref1_38 tmp0__global__input__val__263)) ; (tmp1__global__ref1_38 = tmp0__global__input__val__263)
(assert (= tmp1__global__ref0_39 tmp0__global__input__val__39)) ; (tmp1__global__ref0_39 = tmp0__global__input__val__39)
(assert (= tmp1__global__ref1_39 tmp0__global__input__val__264)) ; (tmp1__global__ref1_39 = tmp0__global__input__val__264)
(assert (= tmp1__global__ref0_40 tmp0__global__input__val__40)) ; (tmp1__global__ref0_40 = tmp0__global__input__val__40)
(assert (= tmp1__global__ref1_40 tmp0__global__input__val__265)) ; (tmp1__global__ref1_40 = tmp0__global__input__val__265)
(assert (= tmp1__global__ref0_41 tmp0__global__input__val__41)) ; (tmp1__global__ref0_41 = tmp0__global__input__val__41)
(assert (= tmp1__global__ref1_41 tmp0__global__input__val__266)) ; (tmp1__global__ref1_41 = tmp0__global__input__val__266)
(assert (= tmp1__global__ref0_42 tmp0__global__input__val__42)) ; (tmp1__global__ref0_42 = tmp0__global__input__val__42)
(assert (= tmp1__global__ref1_42 tmp0__global__input__val__267)) ; (tmp1__global__ref1_42 = tmp0__global__input__val__267)
(assert (= tmp1__global__ref0_43 tmp0__global__input__val__43)) ; (tmp1__global__ref0_43 = tmp0__global__input__val__43)
(assert (= tmp1__global__ref1_43 tmp0__global__input__val__268)) ; (tmp1__global__ref1_43 = tmp0__global__input__val__268)
(assert (= tmp1__global__ref0_44 tmp0__global__input__val__44)) ; (tmp1__global__ref0_44 = tmp0__global__input__val__44)
(assert (= tmp1__global__ref1_44 tmp0__global__input__val__269)) ; (tmp1__global__ref1_44 = tmp0__global__input__val__269)
(assert (= tmp1__global__ref0_45 tmp0__global__input__val__45)) ; (tmp1__global__ref0_45 = tmp0__global__input__val__45)
(assert (= tmp1__global__ref1_45 tmp0__global__input__val__270)) ; (tmp1__global__ref1_45 = tmp0__global__input__val__270)
(assert (= tmp1__global__ref0_46 tmp0__global__input__val__46)) ; (tmp1__global__ref0_46 = tmp0__global__input__val__46)
(assert (= tmp1__global__ref1_46 tmp0__global__input__val__271)) ; (tmp1__global__ref1_46 = tmp0__global__input__val__271)
(assert (= tmp1__global__ref0_47 tmp0__global__input__val__47)) ; (tmp1__global__ref0_47 = tmp0__global__input__val__47)
(assert (= tmp1__global__ref1_47 tmp0__global__input__val__272)) ; (tmp1__global__ref1_47 = tmp0__global__input__val__272)
(assert (= tmp1__global__ref0_48 tmp0__global__input__val__48)) ; (tmp1__global__ref0_48 = tmp0__global__input__val__48)
(assert (= tmp1__global__ref1_48 tmp0__global__input__val__273)) ; (tmp1__global__ref1_48 = tmp0__global__input__val__273)
(assert (= tmp1__global__ref0_49 tmp0__global__input__val__49)) ; (tmp1__global__ref0_49 = tmp0__global__input__val__49)
(assert (= tmp1__global__ref1_49 tmp0__global__input__val__274)) ; (tmp1__global__ref1_49 = tmp0__global__input__val__274)
(assert (= tmp1__global__ref0_50 tmp0__global__input__val__50)) ; (tmp1__global__ref0_50 = tmp0__global__input__val__50)
(assert (= tmp1__global__ref1_50 tmp0__global__input__val__275)) ; (tmp1__global__ref1_50 = tmp0__global__input__val__275)
(assert (= tmp1__global__ref0_51 tmp0__global__input__val__51)) ; (tmp1__global__ref0_51 = tmp0__global__input__val__51)
(assert (= tmp1__global__ref1_51 tmp0__global__input__val__276)) ; (tmp1__global__ref1_51 = tmp0__global__input__val__276)
(assert (= tmp1__global__ref0_52 tmp0__global__input__val__52)) ; (tmp1__global__ref0_52 = tmp0__global__input__val__52)
(assert (= tmp1__global__ref1_52 tmp0__global__input__val__277)) ; (tmp1__global__ref1_52 = tmp0__global__input__val__277)
(assert (= tmp1__global__ref0_53 tmp0__global__input__val__53)) ; (tmp1__global__ref0_53 = tmp0__global__input__val__53)
(assert (= tmp1__global__ref1_53 tmp0__global__input__val__278)) ; (tmp1__global__ref1_53 = tmp0__global__input__val__278)
(assert (= tmp1__global__ref0_54 tmp0__global__input__val__54)) ; (tmp1__global__ref0_54 = tmp0__global__input__val__54)
(assert (= tmp1__global__ref1_54 tmp0__global__input__val__279)) ; (tmp1__global__ref1_54 = tmp0__global__input__val__279)
(assert (= tmp1__global__ref0_55 tmp0__global__input__val__55)) ; (tmp1__global__ref0_55 = tmp0__global__input__val__55)
(assert (= tmp1__global__ref1_55 tmp0__global__input__val__280)) ; (tmp1__global__ref1_55 = tmp0__global__input__val__280)
(assert (= tmp1__global__ref0_56 tmp0__global__input__val__56)) ; (tmp1__global__ref0_56 = tmp0__global__input__val__56)
(assert (= tmp1__global__ref1_56 tmp0__global__input__val__281)) ; (tmp1__global__ref1_56 = tmp0__global__input__val__281)
(assert (= tmp1__global__ref0_57 tmp0__global__input__val__57)) ; (tmp1__global__ref0_57 = tmp0__global__input__val__57)
(assert (= tmp1__global__ref1_57 tmp0__global__input__val__282)) ; (tmp1__global__ref1_57 = tmp0__global__input__val__282)
(assert (= tmp1__global__ref0_58 tmp0__global__input__val__58)) ; (tmp1__global__ref0_58 = tmp0__global__input__val__58)
(assert (= tmp1__global__ref1_58 tmp0__global__input__val__283)) ; (tmp1__global__ref1_58 = tmp0__global__input__val__283)
(assert (= tmp1__global__ref0_59 tmp0__global__input__val__59)) ; (tmp1__global__ref0_59 = tmp0__global__input__val__59)
(assert (= tmp1__global__ref1_59 tmp0__global__input__val__284)) ; (tmp1__global__ref1_59 = tmp0__global__input__val__284)
(assert (= tmp1__global__ref0_60 tmp0__global__input__val__60)) ; (tmp1__global__ref0_60 = tmp0__global__input__val__60)
(assert (= tmp1__global__ref1_60 tmp0__global__input__val__285)) ; (tmp1__global__ref1_60 = tmp0__global__input__val__285)
(assert (= tmp1__global__ref0_61 tmp0__global__input__val__61)) ; (tmp1__global__ref0_61 = tmp0__global__input__val__61)
(assert (= tmp1__global__ref1_61 tmp0__global__input__val__286)) ; (tmp1__global__ref1_61 = tmp0__global__input__val__286)
(assert (= tmp1__global__ref0_62 tmp0__global__input__val__62)) ; (tmp1__global__ref0_62 = tmp0__global__input__val__62)
(assert (= tmp1__global__ref1_62 tmp0__global__input__val__287)) ; (tmp1__global__ref1_62 = tmp0__global__input__val__287)
(assert (= tmp1__global__ref0_63 tmp0__global__input__val__63)) ; (tmp1__global__ref0_63 = tmp0__global__input__val__63)
(assert (= tmp1__global__ref1_63 tmp0__global__input__val__288)) ; (tmp1__global__ref1_63 = tmp0__global__input__val__288)
(assert (= tmp1__global__ref0_64 tmp0__global__input__val__64)) ; (tmp1__global__ref0_64 = tmp0__global__input__val__64)
(assert (= tmp1__global__ref1_64 tmp0__global__input__val__289)) ; (tmp1__global__ref1_64 = tmp0__global__input__val__289)
(assert (= tmp1__global__ref0_65 tmp0__global__input__val__65)) ; (tmp1__global__ref0_65 = tmp0__global__input__val__65)
(assert (= tmp1__global__ref1_65 tmp0__global__input__val__290)) ; (tmp1__global__ref1_65 = tmp0__global__input__val__290)
(assert (= tmp1__global__ref0_66 tmp0__global__input__val__66)) ; (tmp1__global__ref0_66 = tmp0__global__input__val__66)
(assert (= tmp1__global__ref1_66 tmp0__global__input__val__291)) ; (tmp1__global__ref1_66 = tmp0__global__input__val__291)
(assert (= tmp1__global__ref0_67 tmp0__global__input__val__67)) ; (tmp1__global__ref0_67 = tmp0__global__input__val__67)
(assert (= tmp1__global__ref1_67 tmp0__global__input__val__292)) ; (tmp1__global__ref1_67 = tmp0__global__input__val__292)
(assert (= tmp1__global__ref0_68 tmp0__global__input__val__68)) ; (tmp1__global__ref0_68 = tmp0__global__input__val__68)
(assert (= tmp1__global__ref1_68 tmp0__global__input__val__293)) ; (tmp1__global__ref1_68 = tmp0__global__input__val__293)
(assert (= tmp1__global__ref0_69 tmp0__global__input__val__69)) ; (tmp1__global__ref0_69 = tmp0__global__input__val__69)
(assert (= tmp1__global__ref1_69 tmp0__global__input__val__294)) ; (tmp1__global__ref1_69 = tmp0__global__input__val__294)
(assert (= tmp1__global__ref0_70 tmp0__global__input__val__70)) ; (tmp1__global__ref0_70 = tmp0__global__input__val__70)
(assert (= tmp1__global__ref1_70 tmp0__global__input__val__295)) ; (tmp1__global__ref1_70 = tmp0__global__input__val__295)
(assert (= tmp1__global__ref0_71 tmp0__global__input__val__71)) ; (tmp1__global__ref0_71 = tmp0__global__input__val__71)
(assert (= tmp1__global__ref1_71 tmp0__global__input__val__296)) ; (tmp1__global__ref1_71 = tmp0__global__input__val__296)
(assert (= tmp1__global__ref0_72 tmp0__global__input__val__72)) ; (tmp1__global__ref0_72 = tmp0__global__input__val__72)
(assert (= tmp1__global__ref1_72 tmp0__global__input__val__297)) ; (tmp1__global__ref1_72 = tmp0__global__input__val__297)
(assert (= tmp1__global__ref0_73 tmp0__global__input__val__73)) ; (tmp1__global__ref0_73 = tmp0__global__input__val__73)
(assert (= tmp1__global__ref1_73 tmp0__global__input__val__298)) ; (tmp1__global__ref1_73 = tmp0__global__input__val__298)
(assert (= tmp1__global__ref0_74 tmp0__global__input__val__74)) ; (tmp1__global__ref0_74 = tmp0__global__input__val__74)
(assert (= tmp1__global__ref1_74 tmp0__global__input__val__299)) ; (tmp1__global__ref1_74 = tmp0__global__input__val__299)
(assert (= tmp1__global__ref0_75 tmp0__global__input__val__75)) ; (tmp1__global__ref0_75 = tmp0__global__input__val__75)
(assert (= tmp1__global__ref1_75 tmp0__global__input__val__300)) ; (tmp1__global__ref1_75 = tmp0__global__input__val__300)
(assert (= tmp1__global__ref0_76 tmp0__global__input__val__76)) ; (tmp1__global__ref0_76 = tmp0__global__input__val__76)
(assert (= tmp1__global__ref1_76 tmp0__global__input__val__301)) ; (tmp1__global__ref1_76 = tmp0__global__input__val__301)
(assert (= tmp1__global__ref0_77 tmp0__global__input__val__77)) ; (tmp1__global__ref0_77 = tmp0__global__input__val__77)
(assert (= tmp1__global__ref1_77 tmp0__global__input__val__302)) ; (tmp1__global__ref1_77 = tmp0__global__input__val__302)
(assert (= tmp1__global__ref0_78 tmp0__global__input__val__78)) ; (tmp1__global__ref0_78 = tmp0__global__input__val__78)
(assert (= tmp1__global__ref1_78 tmp0__global__input__val__303)) ; (tmp1__global__ref1_78 = tmp0__global__input__val__303)
(assert (= tmp1__global__ref0_79 tmp0__global__input__val__79)) ; (tmp1__global__ref0_79 = tmp0__global__input__val__79)
(assert (= tmp1__global__ref1_79 tmp0__global__input__val__304)) ; (tmp1__global__ref1_79 = tmp0__global__input__val__304)
(assert (= tmp1__global__ref0_80 tmp0__global__input__val__80)) ; (tmp1__global__ref0_80 = tmp0__global__input__val__80)
(assert (= tmp1__global__ref1_80 tmp0__global__input__val__305)) ; (tmp1__global__ref1_80 = tmp0__global__input__val__305)
(assert (= tmp1__global__ref0_81 tmp0__global__input__val__81)) ; (tmp1__global__ref0_81 = tmp0__global__input__val__81)
(assert (= tmp1__global__ref1_81 tmp0__global__input__val__306)) ; (tmp1__global__ref1_81 = tmp0__global__input__val__306)
(assert (= tmp1__global__ref0_82 tmp0__global__input__val__82)) ; (tmp1__global__ref0_82 = tmp0__global__input__val__82)
(assert (= tmp1__global__ref1_82 tmp0__global__input__val__307)) ; (tmp1__global__ref1_82 = tmp0__global__input__val__307)
(assert (= tmp1__global__ref0_83 tmp0__global__input__val__83)) ; (tmp1__global__ref0_83 = tmp0__global__input__val__83)
(assert (= tmp1__global__ref1_83 tmp0__global__input__val__308)) ; (tmp1__global__ref1_83 = tmp0__global__input__val__308)
(assert (= tmp1__global__ref0_84 tmp0__global__input__val__84)) ; (tmp1__global__ref0_84 = tmp0__global__input__val__84)
(assert (= tmp1__global__ref1_84 tmp0__global__input__val__309)) ; (tmp1__global__ref1_84 = tmp0__global__input__val__309)
(assert (= tmp1__global__ref0_85 tmp0__global__input__val__85)) ; (tmp1__global__ref0_85 = tmp0__global__input__val__85)
(assert (= tmp1__global__ref1_85 tmp0__global__input__val__310)) ; (tmp1__global__ref1_85 = tmp0__global__input__val__310)
(assert (= tmp1__global__ref0_86 tmp0__global__input__val__86)) ; (tmp1__global__ref0_86 = tmp0__global__input__val__86)
(assert (= tmp1__global__ref1_86 tmp0__global__input__val__311)) ; (tmp1__global__ref1_86 = tmp0__global__input__val__311)
(assert (= tmp1__global__ref0_87 tmp0__global__input__val__87)) ; (tmp1__global__ref0_87 = tmp0__global__input__val__87)
(assert (= tmp1__global__ref1_87 tmp0__global__input__val__312)) ; (tmp1__global__ref1_87 = tmp0__global__input__val__312)
(assert (= tmp1__global__ref0_88 tmp0__global__input__val__88)) ; (tmp1__global__ref0_88 = tmp0__global__input__val__88)
(assert (= tmp1__global__ref1_88 tmp0__global__input__val__313)) ; (tmp1__global__ref1_88 = tmp0__global__input__val__313)
(assert (= tmp1__global__ref0_89 tmp0__global__input__val__89)) ; (tmp1__global__ref0_89 = tmp0__global__input__val__89)
(assert (= tmp1__global__ref1_89 tmp0__global__input__val__314)) ; (tmp1__global__ref1_89 = tmp0__global__input__val__314)
(assert (= tmp1__global__ref0_90 tmp0__global__input__val__90)) ; (tmp1__global__ref0_90 = tmp0__global__input__val__90)
(assert (= tmp1__global__ref1_90 tmp0__global__input__val__315)) ; (tmp1__global__ref1_90 = tmp0__global__input__val__315)
(assert (= tmp1__global__ref0_91 tmp0__global__input__val__91)) ; (tmp1__global__ref0_91 = tmp0__global__input__val__91)
(assert (= tmp1__global__ref1_91 tmp0__global__input__val__316)) ; (tmp1__global__ref1_91 = tmp0__global__input__val__316)
(assert (= tmp1__global__ref0_92 tmp0__global__input__val__92)) ; (tmp1__global__ref0_92 = tmp0__global__input__val__92)
(assert (= tmp1__global__ref1_92 tmp0__global__input__val__317)) ; (tmp1__global__ref1_92 = tmp0__global__input__val__317)
(assert (= tmp1__global__ref0_93 tmp0__global__input__val__93)) ; (tmp1__global__ref0_93 = tmp0__global__input__val__93)
(assert (= tmp1__global__ref1_93 tmp0__global__input__val__318)) ; (tmp1__global__ref1_93 = tmp0__global__input__val__318)
(assert (= tmp1__global__ref0_94 tmp0__global__input__val__94)) ; (tmp1__global__ref0_94 = tmp0__global__input__val__94)
(assert (= tmp1__global__ref1_94 tmp0__global__input__val__319)) ; (tmp1__global__ref1_94 = tmp0__global__input__val__319)
(assert (= tmp1__global__ref0_95 tmp0__global__input__val__95)) ; (tmp1__global__ref0_95 = tmp0__global__input__val__95)
(assert (= tmp1__global__ref1_95 tmp0__global__input__val__320)) ; (tmp1__global__ref1_95 = tmp0__global__input__val__320)
(assert (= tmp1__global__ref0_96 tmp0__global__input__val__96)) ; (tmp1__global__ref0_96 = tmp0__global__input__val__96)
(assert (= tmp1__global__ref1_96 tmp0__global__input__val__321)) ; (tmp1__global__ref1_96 = tmp0__global__input__val__321)
(assert (= tmp1__global__ref0_97 tmp0__global__input__val__97)) ; (tmp1__global__ref0_97 = tmp0__global__input__val__97)
(assert (= tmp1__global__ref1_97 tmp0__global__input__val__322)) ; (tmp1__global__ref1_97 = tmp0__global__input__val__322)
(assert (= tmp1__global__ref0_98 tmp0__global__input__val__98)) ; (tmp1__global__ref0_98 = tmp0__global__input__val__98)
(assert (= tmp1__global__ref1_98 tmp0__global__input__val__323)) ; (tmp1__global__ref1_98 = tmp0__global__input__val__323)
(assert (= tmp1__global__ref0_99 tmp0__global__input__val__99)) ; (tmp1__global__ref0_99 = tmp0__global__input__val__99)
(assert (= tmp1__global__ref1_99 tmp0__global__input__val__324)) ; (tmp1__global__ref1_99 = tmp0__global__input__val__324)
(assert (= tmp1__global__ref0_100 tmp0__global__input__val__100)) ; (tmp1__global__ref0_100 = tmp0__global__input__val__100)
(assert (= tmp1__global__ref1_100 tmp0__global__input__val__325)) ; (tmp1__global__ref1_100 = tmp0__global__input__val__325)
(assert (= tmp1__global__ref0_101 tmp0__global__input__val__101)) ; (tmp1__global__ref0_101 = tmp0__global__input__val__101)
(assert (= tmp1__global__ref1_101 tmp0__global__input__val__326)) ; (tmp1__global__ref1_101 = tmp0__global__input__val__326)
(assert (= tmp1__global__ref0_102 tmp0__global__input__val__102)) ; (tmp1__global__ref0_102 = tmp0__global__input__val__102)
(assert (= tmp1__global__ref1_102 tmp0__global__input__val__327)) ; (tmp1__global__ref1_102 = tmp0__global__input__val__327)
(assert (= tmp1__global__ref0_103 tmp0__global__input__val__103)) ; (tmp1__global__ref0_103 = tmp0__global__input__val__103)
(assert (= tmp1__global__ref1_103 tmp0__global__input__val__328)) ; (tmp1__global__ref1_103 = tmp0__global__input__val__328)
(assert (= tmp1__global__ref0_104 tmp0__global__input__val__104)) ; (tmp1__global__ref0_104 = tmp0__global__input__val__104)
(assert (= tmp1__global__ref1_104 tmp0__global__input__val__329)) ; (tmp1__global__ref1_104 = tmp0__global__input__val__329)
(assert (= tmp1__global__ref0_105 tmp0__global__input__val__105)) ; (tmp1__global__ref0_105 = tmp0__global__input__val__105)
(assert (= tmp1__global__ref1_105 tmp0__global__input__val__330)) ; (tmp1__global__ref1_105 = tmp0__global__input__val__330)
(assert (= tmp1__global__ref0_106 tmp0__global__input__val__106)) ; (tmp1__global__ref0_106 = tmp0__global__input__val__106)
(assert (= tmp1__global__ref1_106 tmp0__global__input__val__331)) ; (tmp1__global__ref1_106 = tmp0__global__input__val__331)
(assert (= tmp1__global__ref0_107 tmp0__global__input__val__107)) ; (tmp1__global__ref0_107 = tmp0__global__input__val__107)
(assert (= tmp1__global__ref1_107 tmp0__global__input__val__332)) ; (tmp1__global__ref1_107 = tmp0__global__input__val__332)
(assert (= tmp1__global__ref0_108 tmp0__global__input__val__108)) ; (tmp1__global__ref0_108 = tmp0__global__input__val__108)
(assert (= tmp1__global__ref1_108 tmp0__global__input__val__333)) ; (tmp1__global__ref1_108 = tmp0__global__input__val__333)
(assert (= tmp1__global__ref0_109 tmp0__global__input__val__109)) ; (tmp1__global__ref0_109 = tmp0__global__input__val__109)
(assert (= tmp1__global__ref1_109 tmp0__global__input__val__334)) ; (tmp1__global__ref1_109 = tmp0__global__input__val__334)
(assert (= tmp1__global__ref0_110 tmp0__global__input__val__110)) ; (tmp1__global__ref0_110 = tmp0__global__input__val__110)
(assert (= tmp1__global__ref1_110 tmp0__global__input__val__335)) ; (tmp1__global__ref1_110 = tmp0__global__input__val__335)
(assert (= tmp1__global__ref0_111 tmp0__global__input__val__111)) ; (tmp1__global__ref0_111 = tmp0__global__input__val__111)
(assert (= tmp1__global__ref1_111 tmp0__global__input__val__336)) ; (tmp1__global__ref1_111 = tmp0__global__input__val__336)
(assert (= tmp1__global__ref0_112 tmp0__global__input__val__112)) ; (tmp1__global__ref0_112 = tmp0__global__input__val__112)
(assert (= tmp1__global__ref1_112 tmp0__global__input__val__337)) ; (tmp1__global__ref1_112 = tmp0__global__input__val__337)
(assert (= tmp1__global__ref0_113 tmp0__global__input__val__113)) ; (tmp1__global__ref0_113 = tmp0__global__input__val__113)
(assert (= tmp1__global__ref1_113 tmp0__global__input__val__338)) ; (tmp1__global__ref1_113 = tmp0__global__input__val__338)
(assert (= tmp1__global__ref0_114 tmp0__global__input__val__114)) ; (tmp1__global__ref0_114 = tmp0__global__input__val__114)
(assert (= tmp1__global__ref1_114 tmp0__global__input__val__339)) ; (tmp1__global__ref1_114 = tmp0__global__input__val__339)
(assert (= tmp1__global__ref0_115 tmp0__global__input__val__115)) ; (tmp1__global__ref0_115 = tmp0__global__input__val__115)
(assert (= tmp1__global__ref1_115 tmp0__global__input__val__340)) ; (tmp1__global__ref1_115 = tmp0__global__input__val__340)
(assert (= tmp1__global__ref0_116 tmp0__global__input__val__116)) ; (tmp1__global__ref0_116 = tmp0__global__input__val__116)
(assert (= tmp1__global__ref1_116 tmp0__global__input__val__341)) ; (tmp1__global__ref1_116 = tmp0__global__input__val__341)
(assert (= tmp1__global__ref0_117 tmp0__global__input__val__117)) ; (tmp1__global__ref0_117 = tmp0__global__input__val__117)
(assert (= tmp1__global__ref1_117 tmp0__global__input__val__342)) ; (tmp1__global__ref1_117 = tmp0__global__input__val__342)
(assert (= tmp1__global__ref0_118 tmp0__global__input__val__118)) ; (tmp1__global__ref0_118 = tmp0__global__input__val__118)
(assert (= tmp1__global__ref1_118 tmp0__global__input__val__343)) ; (tmp1__global__ref1_118 = tmp0__global__input__val__343)
(assert (= tmp1__global__ref0_119 tmp0__global__input__val__119)) ; (tmp1__global__ref0_119 = tmp0__global__input__val__119)
(assert (= tmp1__global__ref1_119 tmp0__global__input__val__344)) ; (tmp1__global__ref1_119 = tmp0__global__input__val__344)
(assert (= tmp1__global__ref0_120 tmp0__global__input__val__120)) ; (tmp1__global__ref0_120 = tmp0__global__input__val__120)
(assert (= tmp1__global__ref1_120 tmp0__global__input__val__345)) ; (tmp1__global__ref1_120 = tmp0__global__input__val__345)
(assert (= tmp1__global__ref0_121 tmp0__global__input__val__121)) ; (tmp1__global__ref0_121 = tmp0__global__input__val__121)
(assert (= tmp1__global__ref1_121 tmp0__global__input__val__346)) ; (tmp1__global__ref1_121 = tmp0__global__input__val__346)
(assert (= tmp1__global__ref0_122 tmp0__global__input__val__122)) ; (tmp1__global__ref0_122 = tmp0__global__input__val__122)
(assert (= tmp1__global__ref1_122 tmp0__global__input__val__347)) ; (tmp1__global__ref1_122 = tmp0__global__input__val__347)
(assert (= tmp1__global__ref0_123 tmp0__global__input__val__123)) ; (tmp1__global__ref0_123 = tmp0__global__input__val__123)
(assert (= tmp1__global__ref1_123 tmp0__global__input__val__348)) ; (tmp1__global__ref1_123 = tmp0__global__input__val__348)
(assert (= tmp1__global__ref0_124 tmp0__global__input__val__124)) ; (tmp1__global__ref0_124 = tmp0__global__input__val__124)
(assert (= tmp1__global__ref1_124 tmp0__global__input__val__349)) ; (tmp1__global__ref1_124 = tmp0__global__input__val__349)
(assert (= tmp1__global__ref0_125 tmp0__global__input__val__125)) ; (tmp1__global__ref0_125 = tmp0__global__input__val__125)
(assert (= tmp1__global__ref1_125 tmp0__global__input__val__350)) ; (tmp1__global__ref1_125 = tmp0__global__input__val__350)
(assert (= tmp1__global__ref0_126 tmp0__global__input__val__126)) ; (tmp1__global__ref0_126 = tmp0__global__input__val__126)
(assert (= tmp1__global__ref1_126 tmp0__global__input__val__351)) ; (tmp1__global__ref1_126 = tmp0__global__input__val__351)
(assert (= tmp1__global__ref0_127 tmp0__global__input__val__127)) ; (tmp1__global__ref0_127 = tmp0__global__input__val__127)
(assert (= tmp1__global__ref1_127 tmp0__global__input__val__352)) ; (tmp1__global__ref1_127 = tmp0__global__input__val__352)
(assert (= tmp1__global__ref0_128 tmp0__global__input__val__128)) ; (tmp1__global__ref0_128 = tmp0__global__input__val__128)
(assert (= tmp1__global__ref1_128 tmp0__global__input__val__353)) ; (tmp1__global__ref1_128 = tmp0__global__input__val__353)
(assert (= tmp1__global__ref0_129 tmp0__global__input__val__129)) ; (tmp1__global__ref0_129 = tmp0__global__input__val__129)
(assert (= tmp1__global__ref1_129 tmp0__global__input__val__354)) ; (tmp1__global__ref1_129 = tmp0__global__input__val__354)
(assert (= tmp1__global__ref0_130 tmp0__global__input__val__130)) ; (tmp1__global__ref0_130 = tmp0__global__input__val__130)
(assert (= tmp1__global__ref1_130 tmp0__global__input__val__355)) ; (tmp1__global__ref1_130 = tmp0__global__input__val__355)
(assert (= tmp1__global__ref0_131 tmp0__global__input__val__131)) ; (tmp1__global__ref0_131 = tmp0__global__input__val__131)
(assert (= tmp1__global__ref1_131 tmp0__global__input__val__356)) ; (tmp1__global__ref1_131 = tmp0__global__input__val__356)
(assert (= tmp1__global__ref0_132 tmp0__global__input__val__132)) ; (tmp1__global__ref0_132 = tmp0__global__input__val__132)
(assert (= tmp1__global__ref1_132 tmp0__global__input__val__357)) ; (tmp1__global__ref1_132 = tmp0__global__input__val__357)
(assert (= tmp1__global__ref0_133 tmp0__global__input__val__133)) ; (tmp1__global__ref0_133 = tmp0__global__input__val__133)
(assert (= tmp1__global__ref1_133 tmp0__global__input__val__358)) ; (tmp1__global__ref1_133 = tmp0__global__input__val__358)
(assert (= tmp1__global__ref0_134 tmp0__global__input__val__134)) ; (tmp1__global__ref0_134 = tmp0__global__input__val__134)
(assert (= tmp1__global__ref1_134 tmp0__global__input__val__359)) ; (tmp1__global__ref1_134 = tmp0__global__input__val__359)
(assert (= tmp1__global__ref0_135 tmp0__global__input__val__135)) ; (tmp1__global__ref0_135 = tmp0__global__input__val__135)
(assert (= tmp1__global__ref1_135 tmp0__global__input__val__360)) ; (tmp1__global__ref1_135 = tmp0__global__input__val__360)
(assert (= tmp1__global__ref0_136 tmp0__global__input__val__136)) ; (tmp1__global__ref0_136 = tmp0__global__input__val__136)
(assert (= tmp1__global__ref1_136 tmp0__global__input__val__361)) ; (tmp1__global__ref1_136 = tmp0__global__input__val__361)
(assert (= tmp1__global__ref0_137 tmp0__global__input__val__137)) ; (tmp1__global__ref0_137 = tmp0__global__input__val__137)
(assert (= tmp1__global__ref1_137 tmp0__global__input__val__362)) ; (tmp1__global__ref1_137 = tmp0__global__input__val__362)
(assert (= tmp1__global__ref0_138 tmp0__global__input__val__138)) ; (tmp1__global__ref0_138 = tmp0__global__input__val__138)
(assert (= tmp1__global__ref1_138 tmp0__global__input__val__363)) ; (tmp1__global__ref1_138 = tmp0__global__input__val__363)
(assert (= tmp1__global__ref0_139 tmp0__global__input__val__139)) ; (tmp1__global__ref0_139 = tmp0__global__input__val__139)
(assert (= tmp1__global__ref1_139 tmp0__global__input__val__364)) ; (tmp1__global__ref1_139 = tmp0__global__input__val__364)
(assert (= tmp1__global__ref0_140 tmp0__global__input__val__140)) ; (tmp1__global__ref0_140 = tmp0__global__input__val__140)
(assert (= tmp1__global__ref1_140 tmp0__global__input__val__365)) ; (tmp1__global__ref1_140 = tmp0__global__input__val__365)
(assert (= tmp1__global__ref0_141 tmp0__global__input__val__141)) ; (tmp1__global__ref0_141 = tmp0__global__input__val__141)
(assert (= tmp1__global__ref1_141 tmp0__global__input__val__366)) ; (tmp1__global__ref1_141 = tmp0__global__input__val__366)
(assert (= tmp1__global__ref0_142 tmp0__global__input__val__142)) ; (tmp1__global__ref0_142 = tmp0__global__input__val__142)
(assert (= tmp1__global__ref1_142 tmp0__global__input__val__367)) ; (tmp1__global__ref1_142 = tmp0__global__input__val__367)
(assert (= tmp1__global__ref0_143 tmp0__global__input__val__143)) ; (tmp1__global__ref0_143 = tmp0__global__input__val__143)
(assert (= tmp1__global__ref1_143 tmp0__global__input__val__368)) ; (tmp1__global__ref1_143 = tmp0__global__input__val__368)
(assert (= tmp1__global__ref0_144 tmp0__global__input__val__144)) ; (tmp1__global__ref0_144 = tmp0__global__input__val__144)
(assert (= tmp1__global__ref1_144 tmp0__global__input__val__369)) ; (tmp1__global__ref1_144 = tmp0__global__input__val__369)
(assert (= tmp1__global__ref0_145 tmp0__global__input__val__145)) ; (tmp1__global__ref0_145 = tmp0__global__input__val__145)
(assert (= tmp1__global__ref1_145 tmp0__global__input__val__370)) ; (tmp1__global__ref1_145 = tmp0__global__input__val__370)
(assert (= tmp1__global__ref0_146 tmp0__global__input__val__146)) ; (tmp1__global__ref0_146 = tmp0__global__input__val__146)
(assert (= tmp1__global__ref1_146 tmp0__global__input__val__371)) ; (tmp1__global__ref1_146 = tmp0__global__input__val__371)
(assert (= tmp1__global__ref0_147 tmp0__global__input__val__147)) ; (tmp1__global__ref0_147 = tmp0__global__input__val__147)
(assert (= tmp1__global__ref1_147 tmp0__global__input__val__372)) ; (tmp1__global__ref1_147 = tmp0__global__input__val__372)
(assert (= tmp1__global__ref0_148 tmp0__global__input__val__148)) ; (tmp1__global__ref0_148 = tmp0__global__input__val__148)
(assert (= tmp1__global__ref1_148 tmp0__global__input__val__373)) ; (tmp1__global__ref1_148 = tmp0__global__input__val__373)
(assert (= tmp1__global__ref0_149 tmp0__global__input__val__149)) ; (tmp1__global__ref0_149 = tmp0__global__input__val__149)
(assert (= tmp1__global__ref1_149 tmp0__global__input__val__374)) ; (tmp1__global__ref1_149 = tmp0__global__input__val__374)
(assert (= tmp1__global__ref0_150 tmp0__global__input__val__150)) ; (tmp1__global__ref0_150 = tmp0__global__input__val__150)
(assert (= tmp1__global__ref1_150 tmp0__global__input__val__375)) ; (tmp1__global__ref1_150 = tmp0__global__input__val__375)
(assert (= tmp1__global__ref0_151 tmp0__global__input__val__151)) ; (tmp1__global__ref0_151 = tmp0__global__input__val__151)
(assert (= tmp1__global__ref1_151 tmp0__global__input__val__376)) ; (tmp1__global__ref1_151 = tmp0__global__input__val__376)
(assert (= tmp1__global__ref0_152 tmp0__global__input__val__152)) ; (tmp1__global__ref0_152 = tmp0__global__input__val__152)
(assert (= tmp1__global__ref1_152 tmp0__global__input__val__377)) ; (tmp1__global__ref1_152 = tmp0__global__input__val__377)
(assert (= tmp1__global__ref0_153 tmp0__global__input__val__153)) ; (tmp1__global__ref0_153 = tmp0__global__input__val__153)
(assert (= tmp1__global__ref1_153 tmp0__global__input__val__378)) ; (tmp1__global__ref1_153 = tmp0__global__input__val__378)
(assert (= tmp1__global__ref0_154 tmp0__global__input__val__154)) ; (tmp1__global__ref0_154 = tmp0__global__input__val__154)
(assert (= tmp1__global__ref1_154 tmp0__global__input__val__379)) ; (tmp1__global__ref1_154 = tmp0__global__input__val__379)
(assert (= tmp1__global__ref0_155 tmp0__global__input__val__155)) ; (tmp1__global__ref0_155 = tmp0__global__input__val__155)
(assert (= tmp1__global__ref1_155 tmp0__global__input__val__380)) ; (tmp1__global__ref1_155 = tmp0__global__input__val__380)
(assert (= tmp1__global__ref0_156 tmp0__global__input__val__156)) ; (tmp1__global__ref0_156 = tmp0__global__input__val__156)
(assert (= tmp1__global__ref1_156 tmp0__global__input__val__381)) ; (tmp1__global__ref1_156 = tmp0__global__input__val__381)
(assert (= tmp1__global__ref0_157 tmp0__global__input__val__157)) ; (tmp1__global__ref0_157 = tmp0__global__input__val__157)
(assert (= tmp1__global__ref1_157 tmp0__global__input__val__382)) ; (tmp1__global__ref1_157 = tmp0__global__input__val__382)
(assert (= tmp1__global__ref0_158 tmp0__global__input__val__158)) ; (tmp1__global__ref0_158 = tmp0__global__input__val__158)
(assert (= tmp1__global__ref1_158 tmp0__global__input__val__383)) ; (tmp1__global__ref1_158 = tmp0__global__input__val__383)
(assert (= tmp1__global__ref0_159 tmp0__global__input__val__159)) ; (tmp1__global__ref0_159 = tmp0__global__input__val__159)
(assert (= tmp1__global__ref1_159 tmp0__global__input__val__384)) ; (tmp1__global__ref1_159 = tmp0__global__input__val__384)
(assert (= tmp1__global__ref0_160 tmp0__global__input__val__160)) ; (tmp1__global__ref0_160 = tmp0__global__input__val__160)
(assert (= tmp1__global__ref1_160 tmp0__global__input__val__385)) ; (tmp1__global__ref1_160 = tmp0__global__input__val__385)
(assert (= tmp1__global__ref0_161 tmp0__global__input__val__161)) ; (tmp1__global__ref0_161 = tmp0__global__input__val__161)
(assert (= tmp1__global__ref1_161 tmp0__global__input__val__386)) ; (tmp1__global__ref1_161 = tmp0__global__input__val__386)
(assert (= tmp1__global__ref0_162 tmp0__global__input__val__162)) ; (tmp1__global__ref0_162 = tmp0__global__input__val__162)
(assert (= tmp1__global__ref1_162 tmp0__global__input__val__387)) ; (tmp1__global__ref1_162 = tmp0__global__input__val__387)
(assert (= tmp1__global__ref0_163 tmp0__global__input__val__163)) ; (tmp1__global__ref0_163 = tmp0__global__input__val__163)
(assert (= tmp1__global__ref1_163 tmp0__global__input__val__388)) ; (tmp1__global__ref1_163 = tmp0__global__input__val__388)
(assert (= tmp1__global__ref0_164 tmp0__global__input__val__164)) ; (tmp1__global__ref0_164 = tmp0__global__input__val__164)
(assert (= tmp1__global__ref1_164 tmp0__global__input__val__389)) ; (tmp1__global__ref1_164 = tmp0__global__input__val__389)
(assert (= tmp1__global__ref0_165 tmp0__global__input__val__165)) ; (tmp1__global__ref0_165 = tmp0__global__input__val__165)
(assert (= tmp1__global__ref1_165 tmp0__global__input__val__390)) ; (tmp1__global__ref1_165 = tmp0__global__input__val__390)
(assert (= tmp1__global__ref0_166 tmp0__global__input__val__166)) ; (tmp1__global__ref0_166 = tmp0__global__input__val__166)
(assert (= tmp1__global__ref1_166 tmp0__global__input__val__391)) ; (tmp1__global__ref1_166 = tmp0__global__input__val__391)
(assert (= tmp1__global__ref0_167 tmp0__global__input__val__167)) ; (tmp1__global__ref0_167 = tmp0__global__input__val__167)
(assert (= tmp1__global__ref1_167 tmp0__global__input__val__392)) ; (tmp1__global__ref1_167 = tmp0__global__input__val__392)
(assert (= tmp1__global__ref0_168 tmp0__global__input__val__168)) ; (tmp1__global__ref0_168 = tmp0__global__input__val__168)
(assert (= tmp1__global__ref1_168 tmp0__global__input__val__393)) ; (tmp1__global__ref1_168 = tmp0__global__input__val__393)
(assert (= tmp1__global__ref0_169 tmp0__global__input__val__169)) ; (tmp1__global__ref0_169 = tmp0__global__input__val__169)
(assert (= tmp1__global__ref1_169 tmp0__global__input__val__394)) ; (tmp1__global__ref1_169 = tmp0__global__input__val__394)
(assert (= tmp1__global__ref0_170 tmp0__global__input__val__170)) ; (tmp1__global__ref0_170 = tmp0__global__input__val__170)
(assert (= tmp1__global__ref1_170 tmp0__global__input__val__395)) ; (tmp1__global__ref1_170 = tmp0__global__input__val__395)
(assert (= tmp1__global__ref0_171 tmp0__global__input__val__171)) ; (tmp1__global__ref0_171 = tmp0__global__input__val__171)
(assert (= tmp1__global__ref1_171 tmp0__global__input__val__396)) ; (tmp1__global__ref1_171 = tmp0__global__input__val__396)
(assert (= tmp1__global__ref0_172 tmp0__global__input__val__172)) ; (tmp1__global__ref0_172 = tmp0__global__input__val__172)
(assert (= tmp1__global__ref1_172 tmp0__global__input__val__397)) ; (tmp1__global__ref1_172 = tmp0__global__input__val__397)
(assert (= tmp1__global__ref0_173 tmp0__global__input__val__173)) ; (tmp1__global__ref0_173 = tmp0__global__input__val__173)
(assert (= tmp1__global__ref1_173 tmp0__global__input__val__398)) ; (tmp1__global__ref1_173 = tmp0__global__input__val__398)
(assert (= tmp1__global__ref0_174 tmp0__global__input__val__174)) ; (tmp1__global__ref0_174 = tmp0__global__input__val__174)
(assert (= tmp1__global__ref1_174 tmp0__global__input__val__399)) ; (tmp1__global__ref1_174 = tmp0__global__input__val__399)
(assert (= tmp1__global__ref0_175 tmp0__global__input__val__175)) ; (tmp1__global__ref0_175 = tmp0__global__input__val__175)
(assert (= tmp1__global__ref1_175 tmp0__global__input__val__400)) ; (tmp1__global__ref1_175 = tmp0__global__input__val__400)
(assert (= tmp1__global__ref0_176 tmp0__global__input__val__176)) ; (tmp1__global__ref0_176 = tmp0__global__input__val__176)
(assert (= tmp1__global__ref1_176 tmp0__global__input__val__401)) ; (tmp1__global__ref1_176 = tmp0__global__input__val__401)
(assert (= tmp1__global__ref0_177 tmp0__global__input__val__177)) ; (tmp1__global__ref0_177 = tmp0__global__input__val__177)
(assert (= tmp1__global__ref1_177 tmp0__global__input__val__402)) ; (tmp1__global__ref1_177 = tmp0__global__input__val__402)
(assert (= tmp1__global__ref0_178 tmp0__global__input__val__178)) ; (tmp1__global__ref0_178 = tmp0__global__input__val__178)
(assert (= tmp1__global__ref1_178 tmp0__global__input__val__403)) ; (tmp1__global__ref1_178 = tmp0__global__input__val__403)
(assert (= tmp1__global__ref0_179 tmp0__global__input__val__179)) ; (tmp1__global__ref0_179 = tmp0__global__input__val__179)
(assert (= tmp1__global__ref1_179 tmp0__global__input__val__404)) ; (tmp1__global__ref1_179 = tmp0__global__input__val__404)
(assert (= tmp1__global__ref0_180 tmp0__global__input__val__180)) ; (tmp1__global__ref0_180 = tmp0__global__input__val__180)
(assert (= tmp1__global__ref1_180 tmp0__global__input__val__405)) ; (tmp1__global__ref1_180 = tmp0__global__input__val__405)
(assert (= tmp1__global__ref0_181 tmp0__global__input__val__181)) ; (tmp1__global__ref0_181 = tmp0__global__input__val__181)
(assert (= tmp1__global__ref1_181 tmp0__global__input__val__406)) ; (tmp1__global__ref1_181 = tmp0__global__input__val__406)
(assert (= tmp1__global__ref0_182 tmp0__global__input__val__182)) ; (tmp1__global__ref0_182 = tmp0__global__input__val__182)
(assert (= tmp1__global__ref1_182 tmp0__global__input__val__407)) ; (tmp1__global__ref1_182 = tmp0__global__input__val__407)
(assert (= tmp1__global__ref0_183 tmp0__global__input__val__183)) ; (tmp1__global__ref0_183 = tmp0__global__input__val__183)
(assert (= tmp1__global__ref1_183 tmp0__global__input__val__408)) ; (tmp1__global__ref1_183 = tmp0__global__input__val__408)
(assert (= tmp1__global__ref0_184 tmp0__global__input__val__184)) ; (tmp1__global__ref0_184 = tmp0__global__input__val__184)
(assert (= tmp1__global__ref1_184 tmp0__global__input__val__409)) ; (tmp1__global__ref1_184 = tmp0__global__input__val__409)
(assert (= tmp1__global__ref0_185 tmp0__global__input__val__185)) ; (tmp1__global__ref0_185 = tmp0__global__input__val__185)
(assert (= tmp1__global__ref1_185 tmp0__global__input__val__410)) ; (tmp1__global__ref1_185 = tmp0__global__input__val__410)
(assert (= tmp1__global__ref0_186 tmp0__global__input__val__186)) ; (tmp1__global__ref0_186 = tmp0__global__input__val__186)
(assert (= tmp1__global__ref1_186 tmp0__global__input__val__411)) ; (tmp1__global__ref1_186 = tmp0__global__input__val__411)
(assert (= tmp1__global__ref0_187 tmp0__global__input__val__187)) ; (tmp1__global__ref0_187 = tmp0__global__input__val__187)
(assert (= tmp1__global__ref1_187 tmp0__global__input__val__412)) ; (tmp1__global__ref1_187 = tmp0__global__input__val__412)
(assert (= tmp1__global__ref0_188 tmp0__global__input__val__188)) ; (tmp1__global__ref0_188 = tmp0__global__input__val__188)
(assert (= tmp1__global__ref1_188 tmp0__global__input__val__413)) ; (tmp1__global__ref1_188 = tmp0__global__input__val__413)
(assert (= tmp1__global__ref0_189 tmp0__global__input__val__189)) ; (tmp1__global__ref0_189 = tmp0__global__input__val__189)
(assert (= tmp1__global__ref1_189 tmp0__global__input__val__414)) ; (tmp1__global__ref1_189 = tmp0__global__input__val__414)
(assert (= tmp1__global__ref0_190 tmp0__global__input__val__190)) ; (tmp1__global__ref0_190 = tmp0__global__input__val__190)
(assert (= tmp1__global__ref1_190 tmp0__global__input__val__415)) ; (tmp1__global__ref1_190 = tmp0__global__input__val__415)
(assert (= tmp1__global__ref0_191 tmp0__global__input__val__191)) ; (tmp1__global__ref0_191 = tmp0__global__input__val__191)
(assert (= tmp1__global__ref1_191 tmp0__global__input__val__416)) ; (tmp1__global__ref1_191 = tmp0__global__input__val__416)
(assert (= tmp1__global__ref0_192 tmp0__global__input__val__192)) ; (tmp1__global__ref0_192 = tmp0__global__input__val__192)
(assert (= tmp1__global__ref1_192 tmp0__global__input__val__417)) ; (tmp1__global__ref1_192 = tmp0__global__input__val__417)
(assert (= tmp1__global__ref0_193 tmp0__global__input__val__193)) ; (tmp1__global__ref0_193 = tmp0__global__input__val__193)
(assert (= tmp1__global__ref1_193 tmp0__global__input__val__418)) ; (tmp1__global__ref1_193 = tmp0__global__input__val__418)
(assert (= tmp1__global__ref0_194 tmp0__global__input__val__194)) ; (tmp1__global__ref0_194 = tmp0__global__input__val__194)
(assert (= tmp1__global__ref1_194 tmp0__global__input__val__419)) ; (tmp1__global__ref1_194 = tmp0__global__input__val__419)
(assert (= tmp1__global__ref0_195 tmp0__global__input__val__195)) ; (tmp1__global__ref0_195 = tmp0__global__input__val__195)
(assert (= tmp1__global__ref1_195 tmp0__global__input__val__420)) ; (tmp1__global__ref1_195 = tmp0__global__input__val__420)
(assert (= tmp1__global__ref0_196 tmp0__global__input__val__196)) ; (tmp1__global__ref0_196 = tmp0__global__input__val__196)
(assert (= tmp1__global__ref1_196 tmp0__global__input__val__421)) ; (tmp1__global__ref1_196 = tmp0__global__input__val__421)
(assert (= tmp1__global__ref0_197 tmp0__global__input__val__197)) ; (tmp1__global__ref0_197 = tmp0__global__input__val__197)
(assert (= tmp1__global__ref1_197 tmp0__global__input__val__422)) ; (tmp1__global__ref1_197 = tmp0__global__input__val__422)
(assert (= tmp1__global__ref0_198 tmp0__global__input__val__198)) ; (tmp1__global__ref0_198 = tmp0__global__input__val__198)
(assert (= tmp1__global__ref1_198 tmp0__global__input__val__423)) ; (tmp1__global__ref1_198 = tmp0__global__input__val__423)
(assert (= tmp1__global__ref0_199 tmp0__global__input__val__199)) ; (tmp1__global__ref0_199 = tmp0__global__input__val__199)
(assert (= tmp1__global__ref1_199 tmp0__global__input__val__424)) ; (tmp1__global__ref1_199 = tmp0__global__input__val__424)
(assert (= tmp1__global__ref0_200 tmp0__global__input__val__200)) ; (tmp1__global__ref0_200 = tmp0__global__input__val__200)
(assert (= tmp1__global__ref1_200 tmp0__global__input__val__425)) ; (tmp1__global__ref1_200 = tmp0__global__input__val__425)
(assert (= tmp1__global__ref0_201 tmp0__global__input__val__201)) ; (tmp1__global__ref0_201 = tmp0__global__input__val__201)
(assert (= tmp1__global__ref1_201 tmp0__global__input__val__426)) ; (tmp1__global__ref1_201 = tmp0__global__input__val__426)
(assert (= tmp1__global__ref0_202 tmp0__global__input__val__202)) ; (tmp1__global__ref0_202 = tmp0__global__input__val__202)
(assert (= tmp1__global__ref1_202 tmp0__global__input__val__427)) ; (tmp1__global__ref1_202 = tmp0__global__input__val__427)
(assert (= tmp1__global__ref0_203 tmp0__global__input__val__203)) ; (tmp1__global__ref0_203 = tmp0__global__input__val__203)
(assert (= tmp1__global__ref1_203 tmp0__global__input__val__428)) ; (tmp1__global__ref1_203 = tmp0__global__input__val__428)
(assert (= tmp1__global__ref0_204 tmp0__global__input__val__204)) ; (tmp1__global__ref0_204 = tmp0__global__input__val__204)
(assert (= tmp1__global__ref1_204 tmp0__global__input__val__429)) ; (tmp1__global__ref1_204 = tmp0__global__input__val__429)
(assert (= tmp1__global__ref0_205 tmp0__global__input__val__205)) ; (tmp1__global__ref0_205 = tmp0__global__input__val__205)
(assert (= tmp1__global__ref1_205 tmp0__global__input__val__430)) ; (tmp1__global__ref1_205 = tmp0__global__input__val__430)
(assert (= tmp1__global__ref0_206 tmp0__global__input__val__206)) ; (tmp1__global__ref0_206 = tmp0__global__input__val__206)
(assert (= tmp1__global__ref1_206 tmp0__global__input__val__431)) ; (tmp1__global__ref1_206 = tmp0__global__input__val__431)
(assert (= tmp1__global__ref0_207 tmp0__global__input__val__207)) ; (tmp1__global__ref0_207 = tmp0__global__input__val__207)
(assert (= tmp1__global__ref1_207 tmp0__global__input__val__432)) ; (tmp1__global__ref1_207 = tmp0__global__input__val__432)
(assert (= tmp1__global__ref0_208 tmp0__global__input__val__208)) ; (tmp1__global__ref0_208 = tmp0__global__input__val__208)
(assert (= tmp1__global__ref1_208 tmp0__global__input__val__433)) ; (tmp1__global__ref1_208 = tmp0__global__input__val__433)
(assert (= tmp1__global__ref0_209 tmp0__global__input__val__209)) ; (tmp1__global__ref0_209 = tmp0__global__input__val__209)
(assert (= tmp1__global__ref1_209 tmp0__global__input__val__434)) ; (tmp1__global__ref1_209 = tmp0__global__input__val__434)
(assert (= tmp1__global__ref0_210 tmp0__global__input__val__210)) ; (tmp1__global__ref0_210 = tmp0__global__input__val__210)
(assert (= tmp1__global__ref1_210 tmp0__global__input__val__435)) ; (tmp1__global__ref1_210 = tmp0__global__input__val__435)
(assert (= tmp1__global__ref0_211 tmp0__global__input__val__211)) ; (tmp1__global__ref0_211 = tmp0__global__input__val__211)
(assert (= tmp1__global__ref1_211 tmp0__global__input__val__436)) ; (tmp1__global__ref1_211 = tmp0__global__input__val__436)
(assert (= tmp1__global__ref0_212 tmp0__global__input__val__212)) ; (tmp1__global__ref0_212 = tmp0__global__input__val__212)
(assert (= tmp1__global__ref1_212 tmp0__global__input__val__437)) ; (tmp1__global__ref1_212 = tmp0__global__input__val__437)
(assert (= tmp1__global__ref0_213 tmp0__global__input__val__213)) ; (tmp1__global__ref0_213 = tmp0__global__input__val__213)
(assert (= tmp1__global__ref1_213 tmp0__global__input__val__438)) ; (tmp1__global__ref1_213 = tmp0__global__input__val__438)
(assert (= tmp1__global__ref0_214 tmp0__global__input__val__214)) ; (tmp1__global__ref0_214 = tmp0__global__input__val__214)
(assert (= tmp1__global__ref1_214 tmp0__global__input__val__439)) ; (tmp1__global__ref1_214 = tmp0__global__input__val__439)
(assert (= tmp1__global__ref0_215 tmp0__global__input__val__215)) ; (tmp1__global__ref0_215 = tmp0__global__input__val__215)
(assert (= tmp1__global__ref1_215 tmp0__global__input__val__440)) ; (tmp1__global__ref1_215 = tmp0__global__input__val__440)
(assert (= tmp1__global__ref0_216 tmp0__global__input__val__216)) ; (tmp1__global__ref0_216 = tmp0__global__input__val__216)
(assert (= tmp1__global__ref1_216 tmp0__global__input__val__441)) ; (tmp1__global__ref1_216 = tmp0__global__input__val__441)
(assert (= tmp1__global__ref0_217 tmp0__global__input__val__217)) ; (tmp1__global__ref0_217 = tmp0__global__input__val__217)
(assert (= tmp1__global__ref1_217 tmp0__global__input__val__442)) ; (tmp1__global__ref1_217 = tmp0__global__input__val__442)
(assert (= tmp1__global__ref0_218 tmp0__global__input__val__218)) ; (tmp1__global__ref0_218 = tmp0__global__input__val__218)
(assert (= tmp1__global__ref1_218 tmp0__global__input__val__443)) ; (tmp1__global__ref1_218 = tmp0__global__input__val__443)
(assert (= tmp1__global__ref0_219 tmp0__global__input__val__219)) ; (tmp1__global__ref0_219 = tmp0__global__input__val__219)
(assert (= tmp1__global__ref1_219 tmp0__global__input__val__444)) ; (tmp1__global__ref1_219 = tmp0__global__input__val__444)
(assert (= tmp1__global__ref0_220 tmp0__global__input__val__220)) ; (tmp1__global__ref0_220 = tmp0__global__input__val__220)
(assert (= tmp1__global__ref1_220 tmp0__global__input__val__445)) ; (tmp1__global__ref1_220 = tmp0__global__input__val__445)
(assert (= tmp1__global__ref0_221 tmp0__global__input__val__221)) ; (tmp1__global__ref0_221 = tmp0__global__input__val__221)
(assert (= tmp1__global__ref1_221 tmp0__global__input__val__446)) ; (tmp1__global__ref1_221 = tmp0__global__input__val__446)
(assert (= tmp1__global__ref0_222 tmp0__global__input__val__222)) ; (tmp1__global__ref0_222 = tmp0__global__input__val__222)
(assert (= tmp1__global__ref1_222 tmp0__global__input__val__447)) ; (tmp1__global__ref1_222 = tmp0__global__input__val__447)
(assert (= tmp1__global__ref0_223 tmp0__global__input__val__223)) ; (tmp1__global__ref0_223 = tmp0__global__input__val__223)
(assert (= tmp1__global__ref1_223 tmp0__global__input__val__448)) ; (tmp1__global__ref1_223 = tmp0__global__input__val__448)
(assert (= tmp1__global__ref0_224 tmp0__global__input__val__224)) ; (tmp1__global__ref0_224 = tmp0__global__input__val__224)
(assert (= tmp1__global__ref1_224 tmp0__global__input__val__449)) ; (tmp1__global__ref1_224 = tmp0__global__input__val__449)
(assert (= tmp1__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_0) (* 0 tmp1__global__ref0_1)) (* 0 tmp1__global__ref0_2)) (* 64 tmp1__global__ref0_3)) (* 0 tmp1__global__ref0_4)) (* 0 tmp1__global__ref0_5)) (* 0 tmp1__global__ref0_6)) (* 0 tmp1__global__ref0_7)) 0) 1))) ; (tmp1__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_0) + (0 * tmp1__global__ref0_1)) + (0 * tmp1__global__ref0_2)) + (64 * tmp1__global__ref0_3)) + (0 * tmp1__global__ref0_4)) + (0 * tmp1__global__ref0_5)) + (0 * tmp1__global__ref0_6)) + (0 * tmp1__global__ref0_7)) + 0) div 1))
(assert (= tmp2__global__buf_0 tmp1__func_com_mc_l_nn__val)) ; (tmp2__global__buf_0 = tmp1__func_com_mc_l_nn__val)
(assert (= tmp2__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_1) (* 0 tmp1__global__ref0_2)) (* 0 tmp1__global__ref0_3)) (* 64 tmp1__global__ref0_4)) (* 0 tmp1__global__ref0_5)) (* 0 tmp1__global__ref0_6)) (* 0 tmp1__global__ref0_7)) (* 0 tmp1__global__ref0_8)) 0) 1))) ; (tmp2__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_1) + (0 * tmp1__global__ref0_2)) + (0 * tmp1__global__ref0_3)) + (64 * tmp1__global__ref0_4)) + (0 * tmp1__global__ref0_5)) + (0 * tmp1__global__ref0_6)) + (0 * tmp1__global__ref0_7)) + (0 * tmp1__global__ref0_8)) + 0) div 1))
(assert (= tmp2__global__buf_1 tmp2__func_com_mc_l_nn__val)) ; (tmp2__global__buf_1 = tmp2__func_com_mc_l_nn__val)
(assert (= tmp3__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_2) (* 0 tmp1__global__ref0_3)) (* 0 tmp1__global__ref0_4)) (* 64 tmp1__global__ref0_5)) (* 0 tmp1__global__ref0_6)) (* 0 tmp1__global__ref0_7)) (* 0 tmp1__global__ref0_8)) (* 0 tmp1__global__ref0_9)) 0) 1))) ; (tmp3__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_2) + (0 * tmp1__global__ref0_3)) + (0 * tmp1__global__ref0_4)) + (64 * tmp1__global__ref0_5)) + (0 * tmp1__global__ref0_6)) + (0 * tmp1__global__ref0_7)) + (0 * tmp1__global__ref0_8)) + (0 * tmp1__global__ref0_9)) + 0) div 1))
(assert (= tmp2__global__buf_2 tmp3__func_com_mc_l_nn__val)) ; (tmp2__global__buf_2 = tmp3__func_com_mc_l_nn__val)
(assert (= tmp4__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_3) (* 0 tmp1__global__ref0_4)) (* 0 tmp1__global__ref0_5)) (* 64 tmp1__global__ref0_6)) (* 0 tmp1__global__ref0_7)) (* 0 tmp1__global__ref0_8)) (* 0 tmp1__global__ref0_9)) (* 0 tmp1__global__ref0_10)) 0) 1))) ; (tmp4__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_3) + (0 * tmp1__global__ref0_4)) + (0 * tmp1__global__ref0_5)) + (64 * tmp1__global__ref0_6)) + (0 * tmp1__global__ref0_7)) + (0 * tmp1__global__ref0_8)) + (0 * tmp1__global__ref0_9)) + (0 * tmp1__global__ref0_10)) + 0) div 1))
(assert (= tmp2__global__buf_3 tmp4__func_com_mc_l_nn__val)) ; (tmp2__global__buf_3 = tmp4__func_com_mc_l_nn__val)
(assert (= tmp5__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_4) (* 0 tmp1__global__ref0_5)) (* 0 tmp1__global__ref0_6)) (* 64 tmp1__global__ref0_7)) (* 0 tmp1__global__ref0_8)) (* 0 tmp1__global__ref0_9)) (* 0 tmp1__global__ref0_10)) (* 0 tmp1__global__ref0_11)) 0) 1))) ; (tmp5__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_4) + (0 * tmp1__global__ref0_5)) + (0 * tmp1__global__ref0_6)) + (64 * tmp1__global__ref0_7)) + (0 * tmp1__global__ref0_8)) + (0 * tmp1__global__ref0_9)) + (0 * tmp1__global__ref0_10)) + (0 * tmp1__global__ref0_11)) + 0) div 1))
(assert (= tmp2__global__buf_4 tmp5__func_com_mc_l_nn__val)) ; (tmp2__global__buf_4 = tmp5__func_com_mc_l_nn__val)
(assert (= tmp6__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_5) (* 0 tmp1__global__ref0_6)) (* 0 tmp1__global__ref0_7)) (* 64 tmp1__global__ref0_8)) (* 0 tmp1__global__ref0_9)) (* 0 tmp1__global__ref0_10)) (* 0 tmp1__global__ref0_11)) (* 0 tmp1__global__ref0_12)) 0) 1))) ; (tmp6__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_5) + (0 * tmp1__global__ref0_6)) + (0 * tmp1__global__ref0_7)) + (64 * tmp1__global__ref0_8)) + (0 * tmp1__global__ref0_9)) + (0 * tmp1__global__ref0_10)) + (0 * tmp1__global__ref0_11)) + (0 * tmp1__global__ref0_12)) + 0) div 1))
(assert (= tmp2__global__buf_5 tmp6__func_com_mc_l_nn__val)) ; (tmp2__global__buf_5 = tmp6__func_com_mc_l_nn__val)
(assert (= tmp7__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_6) (* 0 tmp1__global__ref0_7)) (* 0 tmp1__global__ref0_8)) (* 64 tmp1__global__ref0_9)) (* 0 tmp1__global__ref0_10)) (* 0 tmp1__global__ref0_11)) (* 0 tmp1__global__ref0_12)) (* 0 tmp1__global__ref0_13)) 0) 1))) ; (tmp7__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_6) + (0 * tmp1__global__ref0_7)) + (0 * tmp1__global__ref0_8)) + (64 * tmp1__global__ref0_9)) + (0 * tmp1__global__ref0_10)) + (0 * tmp1__global__ref0_11)) + (0 * tmp1__global__ref0_12)) + (0 * tmp1__global__ref0_13)) + 0) div 1))
(assert (= tmp2__global__buf_6 tmp7__func_com_mc_l_nn__val)) ; (tmp2__global__buf_6 = tmp7__func_com_mc_l_nn__val)
(assert (= tmp8__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_7) (* 0 tmp1__global__ref0_8)) (* 0 tmp1__global__ref0_9)) (* 64 tmp1__global__ref0_10)) (* 0 tmp1__global__ref0_11)) (* 0 tmp1__global__ref0_12)) (* 0 tmp1__global__ref0_13)) (* 0 tmp1__global__ref0_14)) 0) 1))) ; (tmp8__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_7) + (0 * tmp1__global__ref0_8)) + (0 * tmp1__global__ref0_9)) + (64 * tmp1__global__ref0_10)) + (0 * tmp1__global__ref0_11)) + (0 * tmp1__global__ref0_12)) + (0 * tmp1__global__ref0_13)) + (0 * tmp1__global__ref0_14)) + 0) div 1))
(assert (= tmp2__global__buf_7 tmp8__func_com_mc_l_nn__val)) ; (tmp2__global__buf_7 = tmp8__func_com_mc_l_nn__val)
(assert (= tmp9__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_15) (* 0 tmp1__global__ref0_16)) (* 0 tmp1__global__ref0_17)) (* 64 tmp1__global__ref0_18)) (* 0 tmp1__global__ref0_19)) (* 0 tmp1__global__ref0_20)) (* 0 tmp1__global__ref0_21)) (* 0 tmp1__global__ref0_22)) 0) 1))) ; (tmp9__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_15) + (0 * tmp1__global__ref0_16)) + (0 * tmp1__global__ref0_17)) + (64 * tmp1__global__ref0_18)) + (0 * tmp1__global__ref0_19)) + (0 * tmp1__global__ref0_20)) + (0 * tmp1__global__ref0_21)) + (0 * tmp1__global__ref0_22)) + 0) div 1))
(assert (= tmp2__global__buf_8 tmp9__func_com_mc_l_nn__val)) ; (tmp2__global__buf_8 = tmp9__func_com_mc_l_nn__val)
(assert (= tmp10__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_16) (* 0 tmp1__global__ref0_17)) (* 0 tmp1__global__ref0_18)) (* 64 tmp1__global__ref0_19)) (* 0 tmp1__global__ref0_20)) (* 0 tmp1__global__ref0_21)) (* 0 tmp1__global__ref0_22)) (* 0 tmp1__global__ref0_23)) 0) 1))) ; (tmp10__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_16) + (0 * tmp1__global__ref0_17)) + (0 * tmp1__global__ref0_18)) + (64 * tmp1__global__ref0_19)) + (0 * tmp1__global__ref0_20)) + (0 * tmp1__global__ref0_21)) + (0 * tmp1__global__ref0_22)) + (0 * tmp1__global__ref0_23)) + 0) div 1))
(assert (= tmp2__global__buf_9 tmp10__func_com_mc_l_nn__val)) ; (tmp2__global__buf_9 = tmp10__func_com_mc_l_nn__val)
(assert (= tmp11__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_17) (* 0 tmp1__global__ref0_18)) (* 0 tmp1__global__ref0_19)) (* 64 tmp1__global__ref0_20)) (* 0 tmp1__global__ref0_21)) (* 0 tmp1__global__ref0_22)) (* 0 tmp1__global__ref0_23)) (* 0 tmp1__global__ref0_24)) 0) 1))) ; (tmp11__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_17) + (0 * tmp1__global__ref0_18)) + (0 * tmp1__global__ref0_19)) + (64 * tmp1__global__ref0_20)) + (0 * tmp1__global__ref0_21)) + (0 * tmp1__global__ref0_22)) + (0 * tmp1__global__ref0_23)) + (0 * tmp1__global__ref0_24)) + 0) div 1))
(assert (= tmp2__global__buf_10 tmp11__func_com_mc_l_nn__val)) ; (tmp2__global__buf_10 = tmp11__func_com_mc_l_nn__val)
(assert (= tmp12__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_18) (* 0 tmp1__global__ref0_19)) (* 0 tmp1__global__ref0_20)) (* 64 tmp1__global__ref0_21)) (* 0 tmp1__global__ref0_22)) (* 0 tmp1__global__ref0_23)) (* 0 tmp1__global__ref0_24)) (* 0 tmp1__global__ref0_25)) 0) 1))) ; (tmp12__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_18) + (0 * tmp1__global__ref0_19)) + (0 * tmp1__global__ref0_20)) + (64 * tmp1__global__ref0_21)) + (0 * tmp1__global__ref0_22)) + (0 * tmp1__global__ref0_23)) + (0 * tmp1__global__ref0_24)) + (0 * tmp1__global__ref0_25)) + 0) div 1))
(assert (= tmp2__global__buf_11 tmp12__func_com_mc_l_nn__val)) ; (tmp2__global__buf_11 = tmp12__func_com_mc_l_nn__val)
(assert (= tmp13__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_19) (* 0 tmp1__global__ref0_20)) (* 0 tmp1__global__ref0_21)) (* 64 tmp1__global__ref0_22)) (* 0 tmp1__global__ref0_23)) (* 0 tmp1__global__ref0_24)) (* 0 tmp1__global__ref0_25)) (* 0 tmp1__global__ref0_26)) 0) 1))) ; (tmp13__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_19) + (0 * tmp1__global__ref0_20)) + (0 * tmp1__global__ref0_21)) + (64 * tmp1__global__ref0_22)) + (0 * tmp1__global__ref0_23)) + (0 * tmp1__global__ref0_24)) + (0 * tmp1__global__ref0_25)) + (0 * tmp1__global__ref0_26)) + 0) div 1))
(assert (= tmp2__global__buf_12 tmp13__func_com_mc_l_nn__val)) ; (tmp2__global__buf_12 = tmp13__func_com_mc_l_nn__val)
(assert (= tmp14__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_20) (* 0 tmp1__global__ref0_21)) (* 0 tmp1__global__ref0_22)) (* 64 tmp1__global__ref0_23)) (* 0 tmp1__global__ref0_24)) (* 0 tmp1__global__ref0_25)) (* 0 tmp1__global__ref0_26)) (* 0 tmp1__global__ref0_27)) 0) 1))) ; (tmp14__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_20) + (0 * tmp1__global__ref0_21)) + (0 * tmp1__global__ref0_22)) + (64 * tmp1__global__ref0_23)) + (0 * tmp1__global__ref0_24)) + (0 * tmp1__global__ref0_25)) + (0 * tmp1__global__ref0_26)) + (0 * tmp1__global__ref0_27)) + 0) div 1))
(assert (= tmp2__global__buf_13 tmp14__func_com_mc_l_nn__val)) ; (tmp2__global__buf_13 = tmp14__func_com_mc_l_nn__val)
(assert (= tmp15__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_21) (* 0 tmp1__global__ref0_22)) (* 0 tmp1__global__ref0_23)) (* 64 tmp1__global__ref0_24)) (* 0 tmp1__global__ref0_25)) (* 0 tmp1__global__ref0_26)) (* 0 tmp1__global__ref0_27)) (* 0 tmp1__global__ref0_28)) 0) 1))) ; (tmp15__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_21) + (0 * tmp1__global__ref0_22)) + (0 * tmp1__global__ref0_23)) + (64 * tmp1__global__ref0_24)) + (0 * tmp1__global__ref0_25)) + (0 * tmp1__global__ref0_26)) + (0 * tmp1__global__ref0_27)) + (0 * tmp1__global__ref0_28)) + 0) div 1))
(assert (= tmp2__global__buf_14 tmp15__func_com_mc_l_nn__val)) ; (tmp2__global__buf_14 = tmp15__func_com_mc_l_nn__val)
(assert (= tmp16__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_22) (* 0 tmp1__global__ref0_23)) (* 0 tmp1__global__ref0_24)) (* 64 tmp1__global__ref0_25)) (* 0 tmp1__global__ref0_26)) (* 0 tmp1__global__ref0_27)) (* 0 tmp1__global__ref0_28)) (* 0 tmp1__global__ref0_29)) 0) 1))) ; (tmp16__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_22) + (0 * tmp1__global__ref0_23)) + (0 * tmp1__global__ref0_24)) + (64 * tmp1__global__ref0_25)) + (0 * tmp1__global__ref0_26)) + (0 * tmp1__global__ref0_27)) + (0 * tmp1__global__ref0_28)) + (0 * tmp1__global__ref0_29)) + 0) div 1))
(assert (= tmp2__global__buf_15 tmp16__func_com_mc_l_nn__val)) ; (tmp2__global__buf_15 = tmp16__func_com_mc_l_nn__val)
(assert (= tmp17__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_30) (* 0 tmp1__global__ref0_31)) (* 0 tmp1__global__ref0_32)) (* 64 tmp1__global__ref0_33)) (* 0 tmp1__global__ref0_34)) (* 0 tmp1__global__ref0_35)) (* 0 tmp1__global__ref0_36)) (* 0 tmp1__global__ref0_37)) 0) 1))) ; (tmp17__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_30) + (0 * tmp1__global__ref0_31)) + (0 * tmp1__global__ref0_32)) + (64 * tmp1__global__ref0_33)) + (0 * tmp1__global__ref0_34)) + (0 * tmp1__global__ref0_35)) + (0 * tmp1__global__ref0_36)) + (0 * tmp1__global__ref0_37)) + 0) div 1))
(assert (= tmp2__global__buf_16 tmp17__func_com_mc_l_nn__val)) ; (tmp2__global__buf_16 = tmp17__func_com_mc_l_nn__val)
(assert (= tmp18__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_31) (* 0 tmp1__global__ref0_32)) (* 0 tmp1__global__ref0_33)) (* 64 tmp1__global__ref0_34)) (* 0 tmp1__global__ref0_35)) (* 0 tmp1__global__ref0_36)) (* 0 tmp1__global__ref0_37)) (* 0 tmp1__global__ref0_38)) 0) 1))) ; (tmp18__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_31) + (0 * tmp1__global__ref0_32)) + (0 * tmp1__global__ref0_33)) + (64 * tmp1__global__ref0_34)) + (0 * tmp1__global__ref0_35)) + (0 * tmp1__global__ref0_36)) + (0 * tmp1__global__ref0_37)) + (0 * tmp1__global__ref0_38)) + 0) div 1))
(assert (= tmp2__global__buf_17 tmp18__func_com_mc_l_nn__val)) ; (tmp2__global__buf_17 = tmp18__func_com_mc_l_nn__val)
(assert (= tmp19__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_32) (* 0 tmp1__global__ref0_33)) (* 0 tmp1__global__ref0_34)) (* 64 tmp1__global__ref0_35)) (* 0 tmp1__global__ref0_36)) (* 0 tmp1__global__ref0_37)) (* 0 tmp1__global__ref0_38)) (* 0 tmp1__global__ref0_39)) 0) 1))) ; (tmp19__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_32) + (0 * tmp1__global__ref0_33)) + (0 * tmp1__global__ref0_34)) + (64 * tmp1__global__ref0_35)) + (0 * tmp1__global__ref0_36)) + (0 * tmp1__global__ref0_37)) + (0 * tmp1__global__ref0_38)) + (0 * tmp1__global__ref0_39)) + 0) div 1))
(assert (= tmp2__global__buf_18 tmp19__func_com_mc_l_nn__val)) ; (tmp2__global__buf_18 = tmp19__func_com_mc_l_nn__val)
(assert (= tmp20__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_33) (* 0 tmp1__global__ref0_34)) (* 0 tmp1__global__ref0_35)) (* 64 tmp1__global__ref0_36)) (* 0 tmp1__global__ref0_37)) (* 0 tmp1__global__ref0_38)) (* 0 tmp1__global__ref0_39)) (* 0 tmp1__global__ref0_40)) 0) 1))) ; (tmp20__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_33) + (0 * tmp1__global__ref0_34)) + (0 * tmp1__global__ref0_35)) + (64 * tmp1__global__ref0_36)) + (0 * tmp1__global__ref0_37)) + (0 * tmp1__global__ref0_38)) + (0 * tmp1__global__ref0_39)) + (0 * tmp1__global__ref0_40)) + 0) div 1))
(assert (= tmp2__global__buf_19 tmp20__func_com_mc_l_nn__val)) ; (tmp2__global__buf_19 = tmp20__func_com_mc_l_nn__val)
(assert (= tmp21__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_34) (* 0 tmp1__global__ref0_35)) (* 0 tmp1__global__ref0_36)) (* 64 tmp1__global__ref0_37)) (* 0 tmp1__global__ref0_38)) (* 0 tmp1__global__ref0_39)) (* 0 tmp1__global__ref0_40)) (* 0 tmp1__global__ref0_41)) 0) 1))) ; (tmp21__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_34) + (0 * tmp1__global__ref0_35)) + (0 * tmp1__global__ref0_36)) + (64 * tmp1__global__ref0_37)) + (0 * tmp1__global__ref0_38)) + (0 * tmp1__global__ref0_39)) + (0 * tmp1__global__ref0_40)) + (0 * tmp1__global__ref0_41)) + 0) div 1))
(assert (= tmp2__global__buf_20 tmp21__func_com_mc_l_nn__val)) ; (tmp2__global__buf_20 = tmp21__func_com_mc_l_nn__val)
(assert (= tmp22__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_35) (* 0 tmp1__global__ref0_36)) (* 0 tmp1__global__ref0_37)) (* 64 tmp1__global__ref0_38)) (* 0 tmp1__global__ref0_39)) (* 0 tmp1__global__ref0_40)) (* 0 tmp1__global__ref0_41)) (* 0 tmp1__global__ref0_42)) 0) 1))) ; (tmp22__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_35) + (0 * tmp1__global__ref0_36)) + (0 * tmp1__global__ref0_37)) + (64 * tmp1__global__ref0_38)) + (0 * tmp1__global__ref0_39)) + (0 * tmp1__global__ref0_40)) + (0 * tmp1__global__ref0_41)) + (0 * tmp1__global__ref0_42)) + 0) div 1))
(assert (= tmp2__global__buf_21 tmp22__func_com_mc_l_nn__val)) ; (tmp2__global__buf_21 = tmp22__func_com_mc_l_nn__val)
(assert (= tmp23__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_36) (* 0 tmp1__global__ref0_37)) (* 0 tmp1__global__ref0_38)) (* 64 tmp1__global__ref0_39)) (* 0 tmp1__global__ref0_40)) (* 0 tmp1__global__ref0_41)) (* 0 tmp1__global__ref0_42)) (* 0 tmp1__global__ref0_43)) 0) 1))) ; (tmp23__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_36) + (0 * tmp1__global__ref0_37)) + (0 * tmp1__global__ref0_38)) + (64 * tmp1__global__ref0_39)) + (0 * tmp1__global__ref0_40)) + (0 * tmp1__global__ref0_41)) + (0 * tmp1__global__ref0_42)) + (0 * tmp1__global__ref0_43)) + 0) div 1))
(assert (= tmp2__global__buf_22 tmp23__func_com_mc_l_nn__val)) ; (tmp2__global__buf_22 = tmp23__func_com_mc_l_nn__val)
(assert (= tmp24__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_37) (* 0 tmp1__global__ref0_38)) (* 0 tmp1__global__ref0_39)) (* 64 tmp1__global__ref0_40)) (* 0 tmp1__global__ref0_41)) (* 0 tmp1__global__ref0_42)) (* 0 tmp1__global__ref0_43)) (* 0 tmp1__global__ref0_44)) 0) 1))) ; (tmp24__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_37) + (0 * tmp1__global__ref0_38)) + (0 * tmp1__global__ref0_39)) + (64 * tmp1__global__ref0_40)) + (0 * tmp1__global__ref0_41)) + (0 * tmp1__global__ref0_42)) + (0 * tmp1__global__ref0_43)) + (0 * tmp1__global__ref0_44)) + 0) div 1))
(assert (= tmp2__global__buf_23 tmp24__func_com_mc_l_nn__val)) ; (tmp2__global__buf_23 = tmp24__func_com_mc_l_nn__val)
(assert (= tmp25__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_45) (* 0 tmp1__global__ref0_46)) (* 0 tmp1__global__ref0_47)) (* 64 tmp1__global__ref0_48)) (* 0 tmp1__global__ref0_49)) (* 0 tmp1__global__ref0_50)) (* 0 tmp1__global__ref0_51)) (* 0 tmp1__global__ref0_52)) 0) 1))) ; (tmp25__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_45) + (0 * tmp1__global__ref0_46)) + (0 * tmp1__global__ref0_47)) + (64 * tmp1__global__ref0_48)) + (0 * tmp1__global__ref0_49)) + (0 * tmp1__global__ref0_50)) + (0 * tmp1__global__ref0_51)) + (0 * tmp1__global__ref0_52)) + 0) div 1))
(assert (= tmp2__global__buf_24 tmp25__func_com_mc_l_nn__val)) ; (tmp2__global__buf_24 = tmp25__func_com_mc_l_nn__val)
(assert (= tmp26__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_46) (* 0 tmp1__global__ref0_47)) (* 0 tmp1__global__ref0_48)) (* 64 tmp1__global__ref0_49)) (* 0 tmp1__global__ref0_50)) (* 0 tmp1__global__ref0_51)) (* 0 tmp1__global__ref0_52)) (* 0 tmp1__global__ref0_53)) 0) 1))) ; (tmp26__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_46) + (0 * tmp1__global__ref0_47)) + (0 * tmp1__global__ref0_48)) + (64 * tmp1__global__ref0_49)) + (0 * tmp1__global__ref0_50)) + (0 * tmp1__global__ref0_51)) + (0 * tmp1__global__ref0_52)) + (0 * tmp1__global__ref0_53)) + 0) div 1))
(assert (= tmp2__global__buf_25 tmp26__func_com_mc_l_nn__val)) ; (tmp2__global__buf_25 = tmp26__func_com_mc_l_nn__val)
(assert (= tmp27__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_47) (* 0 tmp1__global__ref0_48)) (* 0 tmp1__global__ref0_49)) (* 64 tmp1__global__ref0_50)) (* 0 tmp1__global__ref0_51)) (* 0 tmp1__global__ref0_52)) (* 0 tmp1__global__ref0_53)) (* 0 tmp1__global__ref0_54)) 0) 1))) ; (tmp27__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_47) + (0 * tmp1__global__ref0_48)) + (0 * tmp1__global__ref0_49)) + (64 * tmp1__global__ref0_50)) + (0 * tmp1__global__ref0_51)) + (0 * tmp1__global__ref0_52)) + (0 * tmp1__global__ref0_53)) + (0 * tmp1__global__ref0_54)) + 0) div 1))
(assert (= tmp2__global__buf_26 tmp27__func_com_mc_l_nn__val)) ; (tmp2__global__buf_26 = tmp27__func_com_mc_l_nn__val)
(assert (= tmp28__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_48) (* 0 tmp1__global__ref0_49)) (* 0 tmp1__global__ref0_50)) (* 64 tmp1__global__ref0_51)) (* 0 tmp1__global__ref0_52)) (* 0 tmp1__global__ref0_53)) (* 0 tmp1__global__ref0_54)) (* 0 tmp1__global__ref0_55)) 0) 1))) ; (tmp28__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_48) + (0 * tmp1__global__ref0_49)) + (0 * tmp1__global__ref0_50)) + (64 * tmp1__global__ref0_51)) + (0 * tmp1__global__ref0_52)) + (0 * tmp1__global__ref0_53)) + (0 * tmp1__global__ref0_54)) + (0 * tmp1__global__ref0_55)) + 0) div 1))
(assert (= tmp2__global__buf_27 tmp28__func_com_mc_l_nn__val)) ; (tmp2__global__buf_27 = tmp28__func_com_mc_l_nn__val)
(assert (= tmp29__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_49) (* 0 tmp1__global__ref0_50)) (* 0 tmp1__global__ref0_51)) (* 64 tmp1__global__ref0_52)) (* 0 tmp1__global__ref0_53)) (* 0 tmp1__global__ref0_54)) (* 0 tmp1__global__ref0_55)) (* 0 tmp1__global__ref0_56)) 0) 1))) ; (tmp29__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_49) + (0 * tmp1__global__ref0_50)) + (0 * tmp1__global__ref0_51)) + (64 * tmp1__global__ref0_52)) + (0 * tmp1__global__ref0_53)) + (0 * tmp1__global__ref0_54)) + (0 * tmp1__global__ref0_55)) + (0 * tmp1__global__ref0_56)) + 0) div 1))
(assert (= tmp2__global__buf_28 tmp29__func_com_mc_l_nn__val)) ; (tmp2__global__buf_28 = tmp29__func_com_mc_l_nn__val)
(assert (= tmp30__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_50) (* 0 tmp1__global__ref0_51)) (* 0 tmp1__global__ref0_52)) (* 64 tmp1__global__ref0_53)) (* 0 tmp1__global__ref0_54)) (* 0 tmp1__global__ref0_55)) (* 0 tmp1__global__ref0_56)) (* 0 tmp1__global__ref0_57)) 0) 1))) ; (tmp30__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_50) + (0 * tmp1__global__ref0_51)) + (0 * tmp1__global__ref0_52)) + (64 * tmp1__global__ref0_53)) + (0 * tmp1__global__ref0_54)) + (0 * tmp1__global__ref0_55)) + (0 * tmp1__global__ref0_56)) + (0 * tmp1__global__ref0_57)) + 0) div 1))
(assert (= tmp2__global__buf_29 tmp30__func_com_mc_l_nn__val)) ; (tmp2__global__buf_29 = tmp30__func_com_mc_l_nn__val)
(assert (= tmp31__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_51) (* 0 tmp1__global__ref0_52)) (* 0 tmp1__global__ref0_53)) (* 64 tmp1__global__ref0_54)) (* 0 tmp1__global__ref0_55)) (* 0 tmp1__global__ref0_56)) (* 0 tmp1__global__ref0_57)) (* 0 tmp1__global__ref0_58)) 0) 1))) ; (tmp31__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_51) + (0 * tmp1__global__ref0_52)) + (0 * tmp1__global__ref0_53)) + (64 * tmp1__global__ref0_54)) + (0 * tmp1__global__ref0_55)) + (0 * tmp1__global__ref0_56)) + (0 * tmp1__global__ref0_57)) + (0 * tmp1__global__ref0_58)) + 0) div 1))
(assert (= tmp2__global__buf_30 tmp31__func_com_mc_l_nn__val)) ; (tmp2__global__buf_30 = tmp31__func_com_mc_l_nn__val)
(assert (= tmp32__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_52) (* 0 tmp1__global__ref0_53)) (* 0 tmp1__global__ref0_54)) (* 64 tmp1__global__ref0_55)) (* 0 tmp1__global__ref0_56)) (* 0 tmp1__global__ref0_57)) (* 0 tmp1__global__ref0_58)) (* 0 tmp1__global__ref0_59)) 0) 1))) ; (tmp32__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_52) + (0 * tmp1__global__ref0_53)) + (0 * tmp1__global__ref0_54)) + (64 * tmp1__global__ref0_55)) + (0 * tmp1__global__ref0_56)) + (0 * tmp1__global__ref0_57)) + (0 * tmp1__global__ref0_58)) + (0 * tmp1__global__ref0_59)) + 0) div 1))
(assert (= tmp2__global__buf_31 tmp32__func_com_mc_l_nn__val)) ; (tmp2__global__buf_31 = tmp32__func_com_mc_l_nn__val)
(assert (= tmp33__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_60) (* 0 tmp1__global__ref0_61)) (* 0 tmp1__global__ref0_62)) (* 64 tmp1__global__ref0_63)) (* 0 tmp1__global__ref0_64)) (* 0 tmp1__global__ref0_65)) (* 0 tmp1__global__ref0_66)) (* 0 tmp1__global__ref0_67)) 0) 1))) ; (tmp33__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_60) + (0 * tmp1__global__ref0_61)) + (0 * tmp1__global__ref0_62)) + (64 * tmp1__global__ref0_63)) + (0 * tmp1__global__ref0_64)) + (0 * tmp1__global__ref0_65)) + (0 * tmp1__global__ref0_66)) + (0 * tmp1__global__ref0_67)) + 0) div 1))
(assert (= tmp2__global__buf_32 tmp33__func_com_mc_l_nn__val)) ; (tmp2__global__buf_32 = tmp33__func_com_mc_l_nn__val)
(assert (= tmp34__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_61) (* 0 tmp1__global__ref0_62)) (* 0 tmp1__global__ref0_63)) (* 64 tmp1__global__ref0_64)) (* 0 tmp1__global__ref0_65)) (* 0 tmp1__global__ref0_66)) (* 0 tmp1__global__ref0_67)) (* 0 tmp1__global__ref0_68)) 0) 1))) ; (tmp34__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_61) + (0 * tmp1__global__ref0_62)) + (0 * tmp1__global__ref0_63)) + (64 * tmp1__global__ref0_64)) + (0 * tmp1__global__ref0_65)) + (0 * tmp1__global__ref0_66)) + (0 * tmp1__global__ref0_67)) + (0 * tmp1__global__ref0_68)) + 0) div 1))
(assert (= tmp2__global__buf_33 tmp34__func_com_mc_l_nn__val)) ; (tmp2__global__buf_33 = tmp34__func_com_mc_l_nn__val)
(assert (= tmp35__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_62) (* 0 tmp1__global__ref0_63)) (* 0 tmp1__global__ref0_64)) (* 64 tmp1__global__ref0_65)) (* 0 tmp1__global__ref0_66)) (* 0 tmp1__global__ref0_67)) (* 0 tmp1__global__ref0_68)) (* 0 tmp1__global__ref0_69)) 0) 1))) ; (tmp35__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_62) + (0 * tmp1__global__ref0_63)) + (0 * tmp1__global__ref0_64)) + (64 * tmp1__global__ref0_65)) + (0 * tmp1__global__ref0_66)) + (0 * tmp1__global__ref0_67)) + (0 * tmp1__global__ref0_68)) + (0 * tmp1__global__ref0_69)) + 0) div 1))
(assert (= tmp2__global__buf_34 tmp35__func_com_mc_l_nn__val)) ; (tmp2__global__buf_34 = tmp35__func_com_mc_l_nn__val)
(assert (= tmp36__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_63) (* 0 tmp1__global__ref0_64)) (* 0 tmp1__global__ref0_65)) (* 64 tmp1__global__ref0_66)) (* 0 tmp1__global__ref0_67)) (* 0 tmp1__global__ref0_68)) (* 0 tmp1__global__ref0_69)) (* 0 tmp1__global__ref0_70)) 0) 1))) ; (tmp36__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_63) + (0 * tmp1__global__ref0_64)) + (0 * tmp1__global__ref0_65)) + (64 * tmp1__global__ref0_66)) + (0 * tmp1__global__ref0_67)) + (0 * tmp1__global__ref0_68)) + (0 * tmp1__global__ref0_69)) + (0 * tmp1__global__ref0_70)) + 0) div 1))
(assert (= tmp2__global__buf_35 tmp36__func_com_mc_l_nn__val)) ; (tmp2__global__buf_35 = tmp36__func_com_mc_l_nn__val)
(assert (= tmp37__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_64) (* 0 tmp1__global__ref0_65)) (* 0 tmp1__global__ref0_66)) (* 64 tmp1__global__ref0_67)) (* 0 tmp1__global__ref0_68)) (* 0 tmp1__global__ref0_69)) (* 0 tmp1__global__ref0_70)) (* 0 tmp1__global__ref0_71)) 0) 1))) ; (tmp37__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_64) + (0 * tmp1__global__ref0_65)) + (0 * tmp1__global__ref0_66)) + (64 * tmp1__global__ref0_67)) + (0 * tmp1__global__ref0_68)) + (0 * tmp1__global__ref0_69)) + (0 * tmp1__global__ref0_70)) + (0 * tmp1__global__ref0_71)) + 0) div 1))
(assert (= tmp2__global__buf_36 tmp37__func_com_mc_l_nn__val)) ; (tmp2__global__buf_36 = tmp37__func_com_mc_l_nn__val)
(assert (= tmp38__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_65) (* 0 tmp1__global__ref0_66)) (* 0 tmp1__global__ref0_67)) (* 64 tmp1__global__ref0_68)) (* 0 tmp1__global__ref0_69)) (* 0 tmp1__global__ref0_70)) (* 0 tmp1__global__ref0_71)) (* 0 tmp1__global__ref0_72)) 0) 1))) ; (tmp38__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_65) + (0 * tmp1__global__ref0_66)) + (0 * tmp1__global__ref0_67)) + (64 * tmp1__global__ref0_68)) + (0 * tmp1__global__ref0_69)) + (0 * tmp1__global__ref0_70)) + (0 * tmp1__global__ref0_71)) + (0 * tmp1__global__ref0_72)) + 0) div 1))
(assert (= tmp2__global__buf_37 tmp38__func_com_mc_l_nn__val)) ; (tmp2__global__buf_37 = tmp38__func_com_mc_l_nn__val)
(assert (= tmp39__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_66) (* 0 tmp1__global__ref0_67)) (* 0 tmp1__global__ref0_68)) (* 64 tmp1__global__ref0_69)) (* 0 tmp1__global__ref0_70)) (* 0 tmp1__global__ref0_71)) (* 0 tmp1__global__ref0_72)) (* 0 tmp1__global__ref0_73)) 0) 1))) ; (tmp39__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_66) + (0 * tmp1__global__ref0_67)) + (0 * tmp1__global__ref0_68)) + (64 * tmp1__global__ref0_69)) + (0 * tmp1__global__ref0_70)) + (0 * tmp1__global__ref0_71)) + (0 * tmp1__global__ref0_72)) + (0 * tmp1__global__ref0_73)) + 0) div 1))
(assert (= tmp2__global__buf_38 tmp39__func_com_mc_l_nn__val)) ; (tmp2__global__buf_38 = tmp39__func_com_mc_l_nn__val)
(assert (= tmp40__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_67) (* 0 tmp1__global__ref0_68)) (* 0 tmp1__global__ref0_69)) (* 64 tmp1__global__ref0_70)) (* 0 tmp1__global__ref0_71)) (* 0 tmp1__global__ref0_72)) (* 0 tmp1__global__ref0_73)) (* 0 tmp1__global__ref0_74)) 0) 1))) ; (tmp40__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_67) + (0 * tmp1__global__ref0_68)) + (0 * tmp1__global__ref0_69)) + (64 * tmp1__global__ref0_70)) + (0 * tmp1__global__ref0_71)) + (0 * tmp1__global__ref0_72)) + (0 * tmp1__global__ref0_73)) + (0 * tmp1__global__ref0_74)) + 0) div 1))
(assert (= tmp2__global__buf_39 tmp40__func_com_mc_l_nn__val)) ; (tmp2__global__buf_39 = tmp40__func_com_mc_l_nn__val)
(assert (= tmp41__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_75) (* 0 tmp1__global__ref0_76)) (* 0 tmp1__global__ref0_77)) (* 64 tmp1__global__ref0_78)) (* 0 tmp1__global__ref0_79)) (* 0 tmp1__global__ref0_80)) (* 0 tmp1__global__ref0_81)) (* 0 tmp1__global__ref0_82)) 0) 1))) ; (tmp41__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_75) + (0 * tmp1__global__ref0_76)) + (0 * tmp1__global__ref0_77)) + (64 * tmp1__global__ref0_78)) + (0 * tmp1__global__ref0_79)) + (0 * tmp1__global__ref0_80)) + (0 * tmp1__global__ref0_81)) + (0 * tmp1__global__ref0_82)) + 0) div 1))
(assert (= tmp2__global__buf_40 tmp41__func_com_mc_l_nn__val)) ; (tmp2__global__buf_40 = tmp41__func_com_mc_l_nn__val)
(assert (= tmp42__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_76) (* 0 tmp1__global__ref0_77)) (* 0 tmp1__global__ref0_78)) (* 64 tmp1__global__ref0_79)) (* 0 tmp1__global__ref0_80)) (* 0 tmp1__global__ref0_81)) (* 0 tmp1__global__ref0_82)) (* 0 tmp1__global__ref0_83)) 0) 1))) ; (tmp42__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_76) + (0 * tmp1__global__ref0_77)) + (0 * tmp1__global__ref0_78)) + (64 * tmp1__global__ref0_79)) + (0 * tmp1__global__ref0_80)) + (0 * tmp1__global__ref0_81)) + (0 * tmp1__global__ref0_82)) + (0 * tmp1__global__ref0_83)) + 0) div 1))
(assert (= tmp2__global__buf_41 tmp42__func_com_mc_l_nn__val)) ; (tmp2__global__buf_41 = tmp42__func_com_mc_l_nn__val)
(assert (= tmp43__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_77) (* 0 tmp1__global__ref0_78)) (* 0 tmp1__global__ref0_79)) (* 64 tmp1__global__ref0_80)) (* 0 tmp1__global__ref0_81)) (* 0 tmp1__global__ref0_82)) (* 0 tmp1__global__ref0_83)) (* 0 tmp1__global__ref0_84)) 0) 1))) ; (tmp43__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_77) + (0 * tmp1__global__ref0_78)) + (0 * tmp1__global__ref0_79)) + (64 * tmp1__global__ref0_80)) + (0 * tmp1__global__ref0_81)) + (0 * tmp1__global__ref0_82)) + (0 * tmp1__global__ref0_83)) + (0 * tmp1__global__ref0_84)) + 0) div 1))
(assert (= tmp2__global__buf_42 tmp43__func_com_mc_l_nn__val)) ; (tmp2__global__buf_42 = tmp43__func_com_mc_l_nn__val)
(assert (= tmp44__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_78) (* 0 tmp1__global__ref0_79)) (* 0 tmp1__global__ref0_80)) (* 64 tmp1__global__ref0_81)) (* 0 tmp1__global__ref0_82)) (* 0 tmp1__global__ref0_83)) (* 0 tmp1__global__ref0_84)) (* 0 tmp1__global__ref0_85)) 0) 1))) ; (tmp44__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_78) + (0 * tmp1__global__ref0_79)) + (0 * tmp1__global__ref0_80)) + (64 * tmp1__global__ref0_81)) + (0 * tmp1__global__ref0_82)) + (0 * tmp1__global__ref0_83)) + (0 * tmp1__global__ref0_84)) + (0 * tmp1__global__ref0_85)) + 0) div 1))
(assert (= tmp2__global__buf_43 tmp44__func_com_mc_l_nn__val)) ; (tmp2__global__buf_43 = tmp44__func_com_mc_l_nn__val)
(assert (= tmp45__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_79) (* 0 tmp1__global__ref0_80)) (* 0 tmp1__global__ref0_81)) (* 64 tmp1__global__ref0_82)) (* 0 tmp1__global__ref0_83)) (* 0 tmp1__global__ref0_84)) (* 0 tmp1__global__ref0_85)) (* 0 tmp1__global__ref0_86)) 0) 1))) ; (tmp45__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_79) + (0 * tmp1__global__ref0_80)) + (0 * tmp1__global__ref0_81)) + (64 * tmp1__global__ref0_82)) + (0 * tmp1__global__ref0_83)) + (0 * tmp1__global__ref0_84)) + (0 * tmp1__global__ref0_85)) + (0 * tmp1__global__ref0_86)) + 0) div 1))
(assert (= tmp2__global__buf_44 tmp45__func_com_mc_l_nn__val)) ; (tmp2__global__buf_44 = tmp45__func_com_mc_l_nn__val)
(assert (= tmp46__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_80) (* 0 tmp1__global__ref0_81)) (* 0 tmp1__global__ref0_82)) (* 64 tmp1__global__ref0_83)) (* 0 tmp1__global__ref0_84)) (* 0 tmp1__global__ref0_85)) (* 0 tmp1__global__ref0_86)) (* 0 tmp1__global__ref0_87)) 0) 1))) ; (tmp46__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_80) + (0 * tmp1__global__ref0_81)) + (0 * tmp1__global__ref0_82)) + (64 * tmp1__global__ref0_83)) + (0 * tmp1__global__ref0_84)) + (0 * tmp1__global__ref0_85)) + (0 * tmp1__global__ref0_86)) + (0 * tmp1__global__ref0_87)) + 0) div 1))
(assert (= tmp2__global__buf_45 tmp46__func_com_mc_l_nn__val)) ; (tmp2__global__buf_45 = tmp46__func_com_mc_l_nn__val)
(assert (= tmp47__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_81) (* 0 tmp1__global__ref0_82)) (* 0 tmp1__global__ref0_83)) (* 64 tmp1__global__ref0_84)) (* 0 tmp1__global__ref0_85)) (* 0 tmp1__global__ref0_86)) (* 0 tmp1__global__ref0_87)) (* 0 tmp1__global__ref0_88)) 0) 1))) ; (tmp47__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_81) + (0 * tmp1__global__ref0_82)) + (0 * tmp1__global__ref0_83)) + (64 * tmp1__global__ref0_84)) + (0 * tmp1__global__ref0_85)) + (0 * tmp1__global__ref0_86)) + (0 * tmp1__global__ref0_87)) + (0 * tmp1__global__ref0_88)) + 0) div 1))
(assert (= tmp2__global__buf_46 tmp47__func_com_mc_l_nn__val)) ; (tmp2__global__buf_46 = tmp47__func_com_mc_l_nn__val)
(assert (= tmp48__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_82) (* 0 tmp1__global__ref0_83)) (* 0 tmp1__global__ref0_84)) (* 64 tmp1__global__ref0_85)) (* 0 tmp1__global__ref0_86)) (* 0 tmp1__global__ref0_87)) (* 0 tmp1__global__ref0_88)) (* 0 tmp1__global__ref0_89)) 0) 1))) ; (tmp48__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_82) + (0 * tmp1__global__ref0_83)) + (0 * tmp1__global__ref0_84)) + (64 * tmp1__global__ref0_85)) + (0 * tmp1__global__ref0_86)) + (0 * tmp1__global__ref0_87)) + (0 * tmp1__global__ref0_88)) + (0 * tmp1__global__ref0_89)) + 0) div 1))
(assert (= tmp2__global__buf_47 tmp48__func_com_mc_l_nn__val)) ; (tmp2__global__buf_47 = tmp48__func_com_mc_l_nn__val)
(assert (= tmp49__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_90) (* 0 tmp1__global__ref0_91)) (* 0 tmp1__global__ref0_92)) (* 64 tmp1__global__ref0_93)) (* 0 tmp1__global__ref0_94)) (* 0 tmp1__global__ref0_95)) (* 0 tmp1__global__ref0_96)) (* 0 tmp1__global__ref0_97)) 0) 1))) ; (tmp49__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_90) + (0 * tmp1__global__ref0_91)) + (0 * tmp1__global__ref0_92)) + (64 * tmp1__global__ref0_93)) + (0 * tmp1__global__ref0_94)) + (0 * tmp1__global__ref0_95)) + (0 * tmp1__global__ref0_96)) + (0 * tmp1__global__ref0_97)) + 0) div 1))
(assert (= tmp2__global__buf_48 tmp49__func_com_mc_l_nn__val)) ; (tmp2__global__buf_48 = tmp49__func_com_mc_l_nn__val)
(assert (= tmp50__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_91) (* 0 tmp1__global__ref0_92)) (* 0 tmp1__global__ref0_93)) (* 64 tmp1__global__ref0_94)) (* 0 tmp1__global__ref0_95)) (* 0 tmp1__global__ref0_96)) (* 0 tmp1__global__ref0_97)) (* 0 tmp1__global__ref0_98)) 0) 1))) ; (tmp50__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_91) + (0 * tmp1__global__ref0_92)) + (0 * tmp1__global__ref0_93)) + (64 * tmp1__global__ref0_94)) + (0 * tmp1__global__ref0_95)) + (0 * tmp1__global__ref0_96)) + (0 * tmp1__global__ref0_97)) + (0 * tmp1__global__ref0_98)) + 0) div 1))
(assert (= tmp2__global__buf_49 tmp50__func_com_mc_l_nn__val)) ; (tmp2__global__buf_49 = tmp50__func_com_mc_l_nn__val)
(assert (= tmp51__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_92) (* 0 tmp1__global__ref0_93)) (* 0 tmp1__global__ref0_94)) (* 64 tmp1__global__ref0_95)) (* 0 tmp1__global__ref0_96)) (* 0 tmp1__global__ref0_97)) (* 0 tmp1__global__ref0_98)) (* 0 tmp1__global__ref0_99)) 0) 1))) ; (tmp51__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_92) + (0 * tmp1__global__ref0_93)) + (0 * tmp1__global__ref0_94)) + (64 * tmp1__global__ref0_95)) + (0 * tmp1__global__ref0_96)) + (0 * tmp1__global__ref0_97)) + (0 * tmp1__global__ref0_98)) + (0 * tmp1__global__ref0_99)) + 0) div 1))
(assert (= tmp2__global__buf_50 tmp51__func_com_mc_l_nn__val)) ; (tmp2__global__buf_50 = tmp51__func_com_mc_l_nn__val)
(assert (= tmp52__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_93) (* 0 tmp1__global__ref0_94)) (* 0 tmp1__global__ref0_95)) (* 64 tmp1__global__ref0_96)) (* 0 tmp1__global__ref0_97)) (* 0 tmp1__global__ref0_98)) (* 0 tmp1__global__ref0_99)) (* 0 tmp1__global__ref0_100)) 0) 1))) ; (tmp52__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_93) + (0 * tmp1__global__ref0_94)) + (0 * tmp1__global__ref0_95)) + (64 * tmp1__global__ref0_96)) + (0 * tmp1__global__ref0_97)) + (0 * tmp1__global__ref0_98)) + (0 * tmp1__global__ref0_99)) + (0 * tmp1__global__ref0_100)) + 0) div 1))
(assert (= tmp2__global__buf_51 tmp52__func_com_mc_l_nn__val)) ; (tmp2__global__buf_51 = tmp52__func_com_mc_l_nn__val)
(assert (= tmp53__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_94) (* 0 tmp1__global__ref0_95)) (* 0 tmp1__global__ref0_96)) (* 64 tmp1__global__ref0_97)) (* 0 tmp1__global__ref0_98)) (* 0 tmp1__global__ref0_99)) (* 0 tmp1__global__ref0_100)) (* 0 tmp1__global__ref0_101)) 0) 1))) ; (tmp53__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_94) + (0 * tmp1__global__ref0_95)) + (0 * tmp1__global__ref0_96)) + (64 * tmp1__global__ref0_97)) + (0 * tmp1__global__ref0_98)) + (0 * tmp1__global__ref0_99)) + (0 * tmp1__global__ref0_100)) + (0 * tmp1__global__ref0_101)) + 0) div 1))
(assert (= tmp2__global__buf_52 tmp53__func_com_mc_l_nn__val)) ; (tmp2__global__buf_52 = tmp53__func_com_mc_l_nn__val)
(assert (= tmp54__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_95) (* 0 tmp1__global__ref0_96)) (* 0 tmp1__global__ref0_97)) (* 64 tmp1__global__ref0_98)) (* 0 tmp1__global__ref0_99)) (* 0 tmp1__global__ref0_100)) (* 0 tmp1__global__ref0_101)) (* 0 tmp1__global__ref0_102)) 0) 1))) ; (tmp54__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_95) + (0 * tmp1__global__ref0_96)) + (0 * tmp1__global__ref0_97)) + (64 * tmp1__global__ref0_98)) + (0 * tmp1__global__ref0_99)) + (0 * tmp1__global__ref0_100)) + (0 * tmp1__global__ref0_101)) + (0 * tmp1__global__ref0_102)) + 0) div 1))
(assert (= tmp2__global__buf_53 tmp54__func_com_mc_l_nn__val)) ; (tmp2__global__buf_53 = tmp54__func_com_mc_l_nn__val)
(assert (= tmp55__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_96) (* 0 tmp1__global__ref0_97)) (* 0 tmp1__global__ref0_98)) (* 64 tmp1__global__ref0_99)) (* 0 tmp1__global__ref0_100)) (* 0 tmp1__global__ref0_101)) (* 0 tmp1__global__ref0_102)) (* 0 tmp1__global__ref0_103)) 0) 1))) ; (tmp55__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_96) + (0 * tmp1__global__ref0_97)) + (0 * tmp1__global__ref0_98)) + (64 * tmp1__global__ref0_99)) + (0 * tmp1__global__ref0_100)) + (0 * tmp1__global__ref0_101)) + (0 * tmp1__global__ref0_102)) + (0 * tmp1__global__ref0_103)) + 0) div 1))
(assert (= tmp2__global__buf_54 tmp55__func_com_mc_l_nn__val)) ; (tmp2__global__buf_54 = tmp55__func_com_mc_l_nn__val)
(assert (= tmp56__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_97) (* 0 tmp1__global__ref0_98)) (* 0 tmp1__global__ref0_99)) (* 64 tmp1__global__ref0_100)) (* 0 tmp1__global__ref0_101)) (* 0 tmp1__global__ref0_102)) (* 0 tmp1__global__ref0_103)) (* 0 tmp1__global__ref0_104)) 0) 1))) ; (tmp56__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_97) + (0 * tmp1__global__ref0_98)) + (0 * tmp1__global__ref0_99)) + (64 * tmp1__global__ref0_100)) + (0 * tmp1__global__ref0_101)) + (0 * tmp1__global__ref0_102)) + (0 * tmp1__global__ref0_103)) + (0 * tmp1__global__ref0_104)) + 0) div 1))
(assert (= tmp2__global__buf_55 tmp56__func_com_mc_l_nn__val)) ; (tmp2__global__buf_55 = tmp56__func_com_mc_l_nn__val)
(assert (= tmp57__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_105) (* 0 tmp1__global__ref0_106)) (* 0 tmp1__global__ref0_107)) (* 64 tmp1__global__ref0_108)) (* 0 tmp1__global__ref0_109)) (* 0 tmp1__global__ref0_110)) (* 0 tmp1__global__ref0_111)) (* 0 tmp1__global__ref0_112)) 0) 1))) ; (tmp57__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_105) + (0 * tmp1__global__ref0_106)) + (0 * tmp1__global__ref0_107)) + (64 * tmp1__global__ref0_108)) + (0 * tmp1__global__ref0_109)) + (0 * tmp1__global__ref0_110)) + (0 * tmp1__global__ref0_111)) + (0 * tmp1__global__ref0_112)) + 0) div 1))
(assert (= tmp2__global__buf_56 tmp57__func_com_mc_l_nn__val)) ; (tmp2__global__buf_56 = tmp57__func_com_mc_l_nn__val)
(assert (= tmp58__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_106) (* 0 tmp1__global__ref0_107)) (* 0 tmp1__global__ref0_108)) (* 64 tmp1__global__ref0_109)) (* 0 tmp1__global__ref0_110)) (* 0 tmp1__global__ref0_111)) (* 0 tmp1__global__ref0_112)) (* 0 tmp1__global__ref0_113)) 0) 1))) ; (tmp58__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_106) + (0 * tmp1__global__ref0_107)) + (0 * tmp1__global__ref0_108)) + (64 * tmp1__global__ref0_109)) + (0 * tmp1__global__ref0_110)) + (0 * tmp1__global__ref0_111)) + (0 * tmp1__global__ref0_112)) + (0 * tmp1__global__ref0_113)) + 0) div 1))
(assert (= tmp2__global__buf_57 tmp58__func_com_mc_l_nn__val)) ; (tmp2__global__buf_57 = tmp58__func_com_mc_l_nn__val)
(assert (= tmp59__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_107) (* 0 tmp1__global__ref0_108)) (* 0 tmp1__global__ref0_109)) (* 64 tmp1__global__ref0_110)) (* 0 tmp1__global__ref0_111)) (* 0 tmp1__global__ref0_112)) (* 0 tmp1__global__ref0_113)) (* 0 tmp1__global__ref0_114)) 0) 1))) ; (tmp59__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_107) + (0 * tmp1__global__ref0_108)) + (0 * tmp1__global__ref0_109)) + (64 * tmp1__global__ref0_110)) + (0 * tmp1__global__ref0_111)) + (0 * tmp1__global__ref0_112)) + (0 * tmp1__global__ref0_113)) + (0 * tmp1__global__ref0_114)) + 0) div 1))
(assert (= tmp2__global__buf_58 tmp59__func_com_mc_l_nn__val)) ; (tmp2__global__buf_58 = tmp59__func_com_mc_l_nn__val)
(assert (= tmp60__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_108) (* 0 tmp1__global__ref0_109)) (* 0 tmp1__global__ref0_110)) (* 64 tmp1__global__ref0_111)) (* 0 tmp1__global__ref0_112)) (* 0 tmp1__global__ref0_113)) (* 0 tmp1__global__ref0_114)) (* 0 tmp1__global__ref0_115)) 0) 1))) ; (tmp60__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_108) + (0 * tmp1__global__ref0_109)) + (0 * tmp1__global__ref0_110)) + (64 * tmp1__global__ref0_111)) + (0 * tmp1__global__ref0_112)) + (0 * tmp1__global__ref0_113)) + (0 * tmp1__global__ref0_114)) + (0 * tmp1__global__ref0_115)) + 0) div 1))
(assert (= tmp2__global__buf_59 tmp60__func_com_mc_l_nn__val)) ; (tmp2__global__buf_59 = tmp60__func_com_mc_l_nn__val)
(assert (= tmp61__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_109) (* 0 tmp1__global__ref0_110)) (* 0 tmp1__global__ref0_111)) (* 64 tmp1__global__ref0_112)) (* 0 tmp1__global__ref0_113)) (* 0 tmp1__global__ref0_114)) (* 0 tmp1__global__ref0_115)) (* 0 tmp1__global__ref0_116)) 0) 1))) ; (tmp61__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_109) + (0 * tmp1__global__ref0_110)) + (0 * tmp1__global__ref0_111)) + (64 * tmp1__global__ref0_112)) + (0 * tmp1__global__ref0_113)) + (0 * tmp1__global__ref0_114)) + (0 * tmp1__global__ref0_115)) + (0 * tmp1__global__ref0_116)) + 0) div 1))
(assert (= tmp2__global__buf_60 tmp61__func_com_mc_l_nn__val)) ; (tmp2__global__buf_60 = tmp61__func_com_mc_l_nn__val)
(assert (= tmp62__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_110) (* 0 tmp1__global__ref0_111)) (* 0 tmp1__global__ref0_112)) (* 64 tmp1__global__ref0_113)) (* 0 tmp1__global__ref0_114)) (* 0 tmp1__global__ref0_115)) (* 0 tmp1__global__ref0_116)) (* 0 tmp1__global__ref0_117)) 0) 1))) ; (tmp62__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_110) + (0 * tmp1__global__ref0_111)) + (0 * tmp1__global__ref0_112)) + (64 * tmp1__global__ref0_113)) + (0 * tmp1__global__ref0_114)) + (0 * tmp1__global__ref0_115)) + (0 * tmp1__global__ref0_116)) + (0 * tmp1__global__ref0_117)) + 0) div 1))
(assert (= tmp2__global__buf_61 tmp62__func_com_mc_l_nn__val)) ; (tmp2__global__buf_61 = tmp62__func_com_mc_l_nn__val)
(assert (= tmp63__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_111) (* 0 tmp1__global__ref0_112)) (* 0 tmp1__global__ref0_113)) (* 64 tmp1__global__ref0_114)) (* 0 tmp1__global__ref0_115)) (* 0 tmp1__global__ref0_116)) (* 0 tmp1__global__ref0_117)) (* 0 tmp1__global__ref0_118)) 0) 1))) ; (tmp63__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_111) + (0 * tmp1__global__ref0_112)) + (0 * tmp1__global__ref0_113)) + (64 * tmp1__global__ref0_114)) + (0 * tmp1__global__ref0_115)) + (0 * tmp1__global__ref0_116)) + (0 * tmp1__global__ref0_117)) + (0 * tmp1__global__ref0_118)) + 0) div 1))
(assert (= tmp2__global__buf_62 tmp63__func_com_mc_l_nn__val)) ; (tmp2__global__buf_62 = tmp63__func_com_mc_l_nn__val)
(assert (= tmp64__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_112) (* 0 tmp1__global__ref0_113)) (* 0 tmp1__global__ref0_114)) (* 64 tmp1__global__ref0_115)) (* 0 tmp1__global__ref0_116)) (* 0 tmp1__global__ref0_117)) (* 0 tmp1__global__ref0_118)) (* 0 tmp1__global__ref0_119)) 0) 1))) ; (tmp64__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_112) + (0 * tmp1__global__ref0_113)) + (0 * tmp1__global__ref0_114)) + (64 * tmp1__global__ref0_115)) + (0 * tmp1__global__ref0_116)) + (0 * tmp1__global__ref0_117)) + (0 * tmp1__global__ref0_118)) + (0 * tmp1__global__ref0_119)) + 0) div 1))
(assert (= tmp2__global__buf_63 tmp64__func_com_mc_l_nn__val)) ; (tmp2__global__buf_63 = tmp64__func_com_mc_l_nn__val)
(assert (= tmp65__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_120) (* 0 tmp1__global__ref0_121)) (* 0 tmp1__global__ref0_122)) (* 64 tmp1__global__ref0_123)) (* 0 tmp1__global__ref0_124)) (* 0 tmp1__global__ref0_125)) (* 0 tmp1__global__ref0_126)) (* 0 tmp1__global__ref0_127)) 0) 1))) ; (tmp65__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_120) + (0 * tmp1__global__ref0_121)) + (0 * tmp1__global__ref0_122)) + (64 * tmp1__global__ref0_123)) + (0 * tmp1__global__ref0_124)) + (0 * tmp1__global__ref0_125)) + (0 * tmp1__global__ref0_126)) + (0 * tmp1__global__ref0_127)) + 0) div 1))
(assert (= tmp2__global__buf_64 tmp65__func_com_mc_l_nn__val)) ; (tmp2__global__buf_64 = tmp65__func_com_mc_l_nn__val)
(assert (= tmp66__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_121) (* 0 tmp1__global__ref0_122)) (* 0 tmp1__global__ref0_123)) (* 64 tmp1__global__ref0_124)) (* 0 tmp1__global__ref0_125)) (* 0 tmp1__global__ref0_126)) (* 0 tmp1__global__ref0_127)) (* 0 tmp1__global__ref0_128)) 0) 1))) ; (tmp66__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_121) + (0 * tmp1__global__ref0_122)) + (0 * tmp1__global__ref0_123)) + (64 * tmp1__global__ref0_124)) + (0 * tmp1__global__ref0_125)) + (0 * tmp1__global__ref0_126)) + (0 * tmp1__global__ref0_127)) + (0 * tmp1__global__ref0_128)) + 0) div 1))
(assert (= tmp2__global__buf_65 tmp66__func_com_mc_l_nn__val)) ; (tmp2__global__buf_65 = tmp66__func_com_mc_l_nn__val)
(assert (= tmp67__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_122) (* 0 tmp1__global__ref0_123)) (* 0 tmp1__global__ref0_124)) (* 64 tmp1__global__ref0_125)) (* 0 tmp1__global__ref0_126)) (* 0 tmp1__global__ref0_127)) (* 0 tmp1__global__ref0_128)) (* 0 tmp1__global__ref0_129)) 0) 1))) ; (tmp67__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_122) + (0 * tmp1__global__ref0_123)) + (0 * tmp1__global__ref0_124)) + (64 * tmp1__global__ref0_125)) + (0 * tmp1__global__ref0_126)) + (0 * tmp1__global__ref0_127)) + (0 * tmp1__global__ref0_128)) + (0 * tmp1__global__ref0_129)) + 0) div 1))
(assert (= tmp2__global__buf_66 tmp67__func_com_mc_l_nn__val)) ; (tmp2__global__buf_66 = tmp67__func_com_mc_l_nn__val)
(assert (= tmp68__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_123) (* 0 tmp1__global__ref0_124)) (* 0 tmp1__global__ref0_125)) (* 64 tmp1__global__ref0_126)) (* 0 tmp1__global__ref0_127)) (* 0 tmp1__global__ref0_128)) (* 0 tmp1__global__ref0_129)) (* 0 tmp1__global__ref0_130)) 0) 1))) ; (tmp68__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_123) + (0 * tmp1__global__ref0_124)) + (0 * tmp1__global__ref0_125)) + (64 * tmp1__global__ref0_126)) + (0 * tmp1__global__ref0_127)) + (0 * tmp1__global__ref0_128)) + (0 * tmp1__global__ref0_129)) + (0 * tmp1__global__ref0_130)) + 0) div 1))
(assert (= tmp2__global__buf_67 tmp68__func_com_mc_l_nn__val)) ; (tmp2__global__buf_67 = tmp68__func_com_mc_l_nn__val)
(assert (= tmp69__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_124) (* 0 tmp1__global__ref0_125)) (* 0 tmp1__global__ref0_126)) (* 64 tmp1__global__ref0_127)) (* 0 tmp1__global__ref0_128)) (* 0 tmp1__global__ref0_129)) (* 0 tmp1__global__ref0_130)) (* 0 tmp1__global__ref0_131)) 0) 1))) ; (tmp69__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_124) + (0 * tmp1__global__ref0_125)) + (0 * tmp1__global__ref0_126)) + (64 * tmp1__global__ref0_127)) + (0 * tmp1__global__ref0_128)) + (0 * tmp1__global__ref0_129)) + (0 * tmp1__global__ref0_130)) + (0 * tmp1__global__ref0_131)) + 0) div 1))
(assert (= tmp2__global__buf_68 tmp69__func_com_mc_l_nn__val)) ; (tmp2__global__buf_68 = tmp69__func_com_mc_l_nn__val)
(assert (= tmp70__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_125) (* 0 tmp1__global__ref0_126)) (* 0 tmp1__global__ref0_127)) (* 64 tmp1__global__ref0_128)) (* 0 tmp1__global__ref0_129)) (* 0 tmp1__global__ref0_130)) (* 0 tmp1__global__ref0_131)) (* 0 tmp1__global__ref0_132)) 0) 1))) ; (tmp70__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_125) + (0 * tmp1__global__ref0_126)) + (0 * tmp1__global__ref0_127)) + (64 * tmp1__global__ref0_128)) + (0 * tmp1__global__ref0_129)) + (0 * tmp1__global__ref0_130)) + (0 * tmp1__global__ref0_131)) + (0 * tmp1__global__ref0_132)) + 0) div 1))
(assert (= tmp2__global__buf_69 tmp70__func_com_mc_l_nn__val)) ; (tmp2__global__buf_69 = tmp70__func_com_mc_l_nn__val)
(assert (= tmp71__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_126) (* 0 tmp1__global__ref0_127)) (* 0 tmp1__global__ref0_128)) (* 64 tmp1__global__ref0_129)) (* 0 tmp1__global__ref0_130)) (* 0 tmp1__global__ref0_131)) (* 0 tmp1__global__ref0_132)) (* 0 tmp1__global__ref0_133)) 0) 1))) ; (tmp71__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_126) + (0 * tmp1__global__ref0_127)) + (0 * tmp1__global__ref0_128)) + (64 * tmp1__global__ref0_129)) + (0 * tmp1__global__ref0_130)) + (0 * tmp1__global__ref0_131)) + (0 * tmp1__global__ref0_132)) + (0 * tmp1__global__ref0_133)) + 0) div 1))
(assert (= tmp2__global__buf_70 tmp71__func_com_mc_l_nn__val)) ; (tmp2__global__buf_70 = tmp71__func_com_mc_l_nn__val)
(assert (= tmp72__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_127) (* 0 tmp1__global__ref0_128)) (* 0 tmp1__global__ref0_129)) (* 64 tmp1__global__ref0_130)) (* 0 tmp1__global__ref0_131)) (* 0 tmp1__global__ref0_132)) (* 0 tmp1__global__ref0_133)) (* 0 tmp1__global__ref0_134)) 0) 1))) ; (tmp72__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_127) + (0 * tmp1__global__ref0_128)) + (0 * tmp1__global__ref0_129)) + (64 * tmp1__global__ref0_130)) + (0 * tmp1__global__ref0_131)) + (0 * tmp1__global__ref0_132)) + (0 * tmp1__global__ref0_133)) + (0 * tmp1__global__ref0_134)) + 0) div 1))
(assert (= tmp2__global__buf_71 tmp72__func_com_mc_l_nn__val)) ; (tmp2__global__buf_71 = tmp72__func_com_mc_l_nn__val)
(assert (= tmp73__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_135) (* 0 tmp1__global__ref0_136)) (* 0 tmp1__global__ref0_137)) (* 64 tmp1__global__ref0_138)) (* 0 tmp1__global__ref0_139)) (* 0 tmp1__global__ref0_140)) (* 0 tmp1__global__ref0_141)) (* 0 tmp1__global__ref0_142)) 0) 1))) ; (tmp73__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_135) + (0 * tmp1__global__ref0_136)) + (0 * tmp1__global__ref0_137)) + (64 * tmp1__global__ref0_138)) + (0 * tmp1__global__ref0_139)) + (0 * tmp1__global__ref0_140)) + (0 * tmp1__global__ref0_141)) + (0 * tmp1__global__ref0_142)) + 0) div 1))
(assert (= tmp2__global__buf_72 tmp73__func_com_mc_l_nn__val)) ; (tmp2__global__buf_72 = tmp73__func_com_mc_l_nn__val)
(assert (= tmp74__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_136) (* 0 tmp1__global__ref0_137)) (* 0 tmp1__global__ref0_138)) (* 64 tmp1__global__ref0_139)) (* 0 tmp1__global__ref0_140)) (* 0 tmp1__global__ref0_141)) (* 0 tmp1__global__ref0_142)) (* 0 tmp1__global__ref0_143)) 0) 1))) ; (tmp74__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_136) + (0 * tmp1__global__ref0_137)) + (0 * tmp1__global__ref0_138)) + (64 * tmp1__global__ref0_139)) + (0 * tmp1__global__ref0_140)) + (0 * tmp1__global__ref0_141)) + (0 * tmp1__global__ref0_142)) + (0 * tmp1__global__ref0_143)) + 0) div 1))
(assert (= tmp2__global__buf_73 tmp74__func_com_mc_l_nn__val)) ; (tmp2__global__buf_73 = tmp74__func_com_mc_l_nn__val)
(assert (= tmp75__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_137) (* 0 tmp1__global__ref0_138)) (* 0 tmp1__global__ref0_139)) (* 64 tmp1__global__ref0_140)) (* 0 tmp1__global__ref0_141)) (* 0 tmp1__global__ref0_142)) (* 0 tmp1__global__ref0_143)) (* 0 tmp1__global__ref0_144)) 0) 1))) ; (tmp75__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_137) + (0 * tmp1__global__ref0_138)) + (0 * tmp1__global__ref0_139)) + (64 * tmp1__global__ref0_140)) + (0 * tmp1__global__ref0_141)) + (0 * tmp1__global__ref0_142)) + (0 * tmp1__global__ref0_143)) + (0 * tmp1__global__ref0_144)) + 0) div 1))
(assert (= tmp2__global__buf_74 tmp75__func_com_mc_l_nn__val)) ; (tmp2__global__buf_74 = tmp75__func_com_mc_l_nn__val)
(assert (= tmp76__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_138) (* 0 tmp1__global__ref0_139)) (* 0 tmp1__global__ref0_140)) (* 64 tmp1__global__ref0_141)) (* 0 tmp1__global__ref0_142)) (* 0 tmp1__global__ref0_143)) (* 0 tmp1__global__ref0_144)) (* 0 tmp1__global__ref0_145)) 0) 1))) ; (tmp76__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_138) + (0 * tmp1__global__ref0_139)) + (0 * tmp1__global__ref0_140)) + (64 * tmp1__global__ref0_141)) + (0 * tmp1__global__ref0_142)) + (0 * tmp1__global__ref0_143)) + (0 * tmp1__global__ref0_144)) + (0 * tmp1__global__ref0_145)) + 0) div 1))
(assert (= tmp2__global__buf_75 tmp76__func_com_mc_l_nn__val)) ; (tmp2__global__buf_75 = tmp76__func_com_mc_l_nn__val)
(assert (= tmp77__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_139) (* 0 tmp1__global__ref0_140)) (* 0 tmp1__global__ref0_141)) (* 64 tmp1__global__ref0_142)) (* 0 tmp1__global__ref0_143)) (* 0 tmp1__global__ref0_144)) (* 0 tmp1__global__ref0_145)) (* 0 tmp1__global__ref0_146)) 0) 1))) ; (tmp77__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_139) + (0 * tmp1__global__ref0_140)) + (0 * tmp1__global__ref0_141)) + (64 * tmp1__global__ref0_142)) + (0 * tmp1__global__ref0_143)) + (0 * tmp1__global__ref0_144)) + (0 * tmp1__global__ref0_145)) + (0 * tmp1__global__ref0_146)) + 0) div 1))
(assert (= tmp2__global__buf_76 tmp77__func_com_mc_l_nn__val)) ; (tmp2__global__buf_76 = tmp77__func_com_mc_l_nn__val)
(assert (= tmp78__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_140) (* 0 tmp1__global__ref0_141)) (* 0 tmp1__global__ref0_142)) (* 64 tmp1__global__ref0_143)) (* 0 tmp1__global__ref0_144)) (* 0 tmp1__global__ref0_145)) (* 0 tmp1__global__ref0_146)) (* 0 tmp1__global__ref0_147)) 0) 1))) ; (tmp78__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_140) + (0 * tmp1__global__ref0_141)) + (0 * tmp1__global__ref0_142)) + (64 * tmp1__global__ref0_143)) + (0 * tmp1__global__ref0_144)) + (0 * tmp1__global__ref0_145)) + (0 * tmp1__global__ref0_146)) + (0 * tmp1__global__ref0_147)) + 0) div 1))
(assert (= tmp2__global__buf_77 tmp78__func_com_mc_l_nn__val)) ; (tmp2__global__buf_77 = tmp78__func_com_mc_l_nn__val)
(assert (= tmp79__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_141) (* 0 tmp1__global__ref0_142)) (* 0 tmp1__global__ref0_143)) (* 64 tmp1__global__ref0_144)) (* 0 tmp1__global__ref0_145)) (* 0 tmp1__global__ref0_146)) (* 0 tmp1__global__ref0_147)) (* 0 tmp1__global__ref0_148)) 0) 1))) ; (tmp79__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_141) + (0 * tmp1__global__ref0_142)) + (0 * tmp1__global__ref0_143)) + (64 * tmp1__global__ref0_144)) + (0 * tmp1__global__ref0_145)) + (0 * tmp1__global__ref0_146)) + (0 * tmp1__global__ref0_147)) + (0 * tmp1__global__ref0_148)) + 0) div 1))
(assert (= tmp2__global__buf_78 tmp79__func_com_mc_l_nn__val)) ; (tmp2__global__buf_78 = tmp79__func_com_mc_l_nn__val)
(assert (= tmp80__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_142) (* 0 tmp1__global__ref0_143)) (* 0 tmp1__global__ref0_144)) (* 64 tmp1__global__ref0_145)) (* 0 tmp1__global__ref0_146)) (* 0 tmp1__global__ref0_147)) (* 0 tmp1__global__ref0_148)) (* 0 tmp1__global__ref0_149)) 0) 1))) ; (tmp80__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_142) + (0 * tmp1__global__ref0_143)) + (0 * tmp1__global__ref0_144)) + (64 * tmp1__global__ref0_145)) + (0 * tmp1__global__ref0_146)) + (0 * tmp1__global__ref0_147)) + (0 * tmp1__global__ref0_148)) + (0 * tmp1__global__ref0_149)) + 0) div 1))
(assert (= tmp2__global__buf_79 tmp80__func_com_mc_l_nn__val)) ; (tmp2__global__buf_79 = tmp80__func_com_mc_l_nn__val)
(assert (= tmp81__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_150) (* 0 tmp1__global__ref0_151)) (* 0 tmp1__global__ref0_152)) (* 64 tmp1__global__ref0_153)) (* 0 tmp1__global__ref0_154)) (* 0 tmp1__global__ref0_155)) (* 0 tmp1__global__ref0_156)) (* 0 tmp1__global__ref0_157)) 0) 1))) ; (tmp81__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_150) + (0 * tmp1__global__ref0_151)) + (0 * tmp1__global__ref0_152)) + (64 * tmp1__global__ref0_153)) + (0 * tmp1__global__ref0_154)) + (0 * tmp1__global__ref0_155)) + (0 * tmp1__global__ref0_156)) + (0 * tmp1__global__ref0_157)) + 0) div 1))
(assert (= tmp2__global__buf_80 tmp81__func_com_mc_l_nn__val)) ; (tmp2__global__buf_80 = tmp81__func_com_mc_l_nn__val)
(assert (= tmp82__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_151) (* 0 tmp1__global__ref0_152)) (* 0 tmp1__global__ref0_153)) (* 64 tmp1__global__ref0_154)) (* 0 tmp1__global__ref0_155)) (* 0 tmp1__global__ref0_156)) (* 0 tmp1__global__ref0_157)) (* 0 tmp1__global__ref0_158)) 0) 1))) ; (tmp82__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_151) + (0 * tmp1__global__ref0_152)) + (0 * tmp1__global__ref0_153)) + (64 * tmp1__global__ref0_154)) + (0 * tmp1__global__ref0_155)) + (0 * tmp1__global__ref0_156)) + (0 * tmp1__global__ref0_157)) + (0 * tmp1__global__ref0_158)) + 0) div 1))
(assert (= tmp2__global__buf_81 tmp82__func_com_mc_l_nn__val)) ; (tmp2__global__buf_81 = tmp82__func_com_mc_l_nn__val)
(assert (= tmp83__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_152) (* 0 tmp1__global__ref0_153)) (* 0 tmp1__global__ref0_154)) (* 64 tmp1__global__ref0_155)) (* 0 tmp1__global__ref0_156)) (* 0 tmp1__global__ref0_157)) (* 0 tmp1__global__ref0_158)) (* 0 tmp1__global__ref0_159)) 0) 1))) ; (tmp83__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_152) + (0 * tmp1__global__ref0_153)) + (0 * tmp1__global__ref0_154)) + (64 * tmp1__global__ref0_155)) + (0 * tmp1__global__ref0_156)) + (0 * tmp1__global__ref0_157)) + (0 * tmp1__global__ref0_158)) + (0 * tmp1__global__ref0_159)) + 0) div 1))
(assert (= tmp2__global__buf_82 tmp83__func_com_mc_l_nn__val)) ; (tmp2__global__buf_82 = tmp83__func_com_mc_l_nn__val)
(assert (= tmp84__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_153) (* 0 tmp1__global__ref0_154)) (* 0 tmp1__global__ref0_155)) (* 64 tmp1__global__ref0_156)) (* 0 tmp1__global__ref0_157)) (* 0 tmp1__global__ref0_158)) (* 0 tmp1__global__ref0_159)) (* 0 tmp1__global__ref0_160)) 0) 1))) ; (tmp84__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_153) + (0 * tmp1__global__ref0_154)) + (0 * tmp1__global__ref0_155)) + (64 * tmp1__global__ref0_156)) + (0 * tmp1__global__ref0_157)) + (0 * tmp1__global__ref0_158)) + (0 * tmp1__global__ref0_159)) + (0 * tmp1__global__ref0_160)) + 0) div 1))
(assert (= tmp2__global__buf_83 tmp84__func_com_mc_l_nn__val)) ; (tmp2__global__buf_83 = tmp84__func_com_mc_l_nn__val)
(assert (= tmp85__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_154) (* 0 tmp1__global__ref0_155)) (* 0 tmp1__global__ref0_156)) (* 64 tmp1__global__ref0_157)) (* 0 tmp1__global__ref0_158)) (* 0 tmp1__global__ref0_159)) (* 0 tmp1__global__ref0_160)) (* 0 tmp1__global__ref0_161)) 0) 1))) ; (tmp85__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_154) + (0 * tmp1__global__ref0_155)) + (0 * tmp1__global__ref0_156)) + (64 * tmp1__global__ref0_157)) + (0 * tmp1__global__ref0_158)) + (0 * tmp1__global__ref0_159)) + (0 * tmp1__global__ref0_160)) + (0 * tmp1__global__ref0_161)) + 0) div 1))
(assert (= tmp2__global__buf_84 tmp85__func_com_mc_l_nn__val)) ; (tmp2__global__buf_84 = tmp85__func_com_mc_l_nn__val)
(assert (= tmp86__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_155) (* 0 tmp1__global__ref0_156)) (* 0 tmp1__global__ref0_157)) (* 64 tmp1__global__ref0_158)) (* 0 tmp1__global__ref0_159)) (* 0 tmp1__global__ref0_160)) (* 0 tmp1__global__ref0_161)) (* 0 tmp1__global__ref0_162)) 0) 1))) ; (tmp86__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_155) + (0 * tmp1__global__ref0_156)) + (0 * tmp1__global__ref0_157)) + (64 * tmp1__global__ref0_158)) + (0 * tmp1__global__ref0_159)) + (0 * tmp1__global__ref0_160)) + (0 * tmp1__global__ref0_161)) + (0 * tmp1__global__ref0_162)) + 0) div 1))
(assert (= tmp2__global__buf_85 tmp86__func_com_mc_l_nn__val)) ; (tmp2__global__buf_85 = tmp86__func_com_mc_l_nn__val)
(assert (= tmp87__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_156) (* 0 tmp1__global__ref0_157)) (* 0 tmp1__global__ref0_158)) (* 64 tmp1__global__ref0_159)) (* 0 tmp1__global__ref0_160)) (* 0 tmp1__global__ref0_161)) (* 0 tmp1__global__ref0_162)) (* 0 tmp1__global__ref0_163)) 0) 1))) ; (tmp87__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_156) + (0 * tmp1__global__ref0_157)) + (0 * tmp1__global__ref0_158)) + (64 * tmp1__global__ref0_159)) + (0 * tmp1__global__ref0_160)) + (0 * tmp1__global__ref0_161)) + (0 * tmp1__global__ref0_162)) + (0 * tmp1__global__ref0_163)) + 0) div 1))
(assert (= tmp2__global__buf_86 tmp87__func_com_mc_l_nn__val)) ; (tmp2__global__buf_86 = tmp87__func_com_mc_l_nn__val)
(assert (= tmp88__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_157) (* 0 tmp1__global__ref0_158)) (* 0 tmp1__global__ref0_159)) (* 64 tmp1__global__ref0_160)) (* 0 tmp1__global__ref0_161)) (* 0 tmp1__global__ref0_162)) (* 0 tmp1__global__ref0_163)) (* 0 tmp1__global__ref0_164)) 0) 1))) ; (tmp88__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_157) + (0 * tmp1__global__ref0_158)) + (0 * tmp1__global__ref0_159)) + (64 * tmp1__global__ref0_160)) + (0 * tmp1__global__ref0_161)) + (0 * tmp1__global__ref0_162)) + (0 * tmp1__global__ref0_163)) + (0 * tmp1__global__ref0_164)) + 0) div 1))
(assert (= tmp2__global__buf_87 tmp88__func_com_mc_l_nn__val)) ; (tmp2__global__buf_87 = tmp88__func_com_mc_l_nn__val)
(assert (= tmp89__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_165) (* 0 tmp1__global__ref0_166)) (* 0 tmp1__global__ref0_167)) (* 64 tmp1__global__ref0_168)) (* 0 tmp1__global__ref0_169)) (* 0 tmp1__global__ref0_170)) (* 0 tmp1__global__ref0_171)) (* 0 tmp1__global__ref0_172)) 0) 1))) ; (tmp89__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_165) + (0 * tmp1__global__ref0_166)) + (0 * tmp1__global__ref0_167)) + (64 * tmp1__global__ref0_168)) + (0 * tmp1__global__ref0_169)) + (0 * tmp1__global__ref0_170)) + (0 * tmp1__global__ref0_171)) + (0 * tmp1__global__ref0_172)) + 0) div 1))
(assert (= tmp2__global__buf_88 tmp89__func_com_mc_l_nn__val)) ; (tmp2__global__buf_88 = tmp89__func_com_mc_l_nn__val)
(assert (= tmp90__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_166) (* 0 tmp1__global__ref0_167)) (* 0 tmp1__global__ref0_168)) (* 64 tmp1__global__ref0_169)) (* 0 tmp1__global__ref0_170)) (* 0 tmp1__global__ref0_171)) (* 0 tmp1__global__ref0_172)) (* 0 tmp1__global__ref0_173)) 0) 1))) ; (tmp90__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_166) + (0 * tmp1__global__ref0_167)) + (0 * tmp1__global__ref0_168)) + (64 * tmp1__global__ref0_169)) + (0 * tmp1__global__ref0_170)) + (0 * tmp1__global__ref0_171)) + (0 * tmp1__global__ref0_172)) + (0 * tmp1__global__ref0_173)) + 0) div 1))
(assert (= tmp2__global__buf_89 tmp90__func_com_mc_l_nn__val)) ; (tmp2__global__buf_89 = tmp90__func_com_mc_l_nn__val)
(assert (= tmp91__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_167) (* 0 tmp1__global__ref0_168)) (* 0 tmp1__global__ref0_169)) (* 64 tmp1__global__ref0_170)) (* 0 tmp1__global__ref0_171)) (* 0 tmp1__global__ref0_172)) (* 0 tmp1__global__ref0_173)) (* 0 tmp1__global__ref0_174)) 0) 1))) ; (tmp91__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_167) + (0 * tmp1__global__ref0_168)) + (0 * tmp1__global__ref0_169)) + (64 * tmp1__global__ref0_170)) + (0 * tmp1__global__ref0_171)) + (0 * tmp1__global__ref0_172)) + (0 * tmp1__global__ref0_173)) + (0 * tmp1__global__ref0_174)) + 0) div 1))
(assert (= tmp2__global__buf_90 tmp91__func_com_mc_l_nn__val)) ; (tmp2__global__buf_90 = tmp91__func_com_mc_l_nn__val)
(assert (= tmp92__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_168) (* 0 tmp1__global__ref0_169)) (* 0 tmp1__global__ref0_170)) (* 64 tmp1__global__ref0_171)) (* 0 tmp1__global__ref0_172)) (* 0 tmp1__global__ref0_173)) (* 0 tmp1__global__ref0_174)) (* 0 tmp1__global__ref0_175)) 0) 1))) ; (tmp92__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_168) + (0 * tmp1__global__ref0_169)) + (0 * tmp1__global__ref0_170)) + (64 * tmp1__global__ref0_171)) + (0 * tmp1__global__ref0_172)) + (0 * tmp1__global__ref0_173)) + (0 * tmp1__global__ref0_174)) + (0 * tmp1__global__ref0_175)) + 0) div 1))
(assert (= tmp2__global__buf_91 tmp92__func_com_mc_l_nn__val)) ; (tmp2__global__buf_91 = tmp92__func_com_mc_l_nn__val)
(assert (= tmp93__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_169) (* 0 tmp1__global__ref0_170)) (* 0 tmp1__global__ref0_171)) (* 64 tmp1__global__ref0_172)) (* 0 tmp1__global__ref0_173)) (* 0 tmp1__global__ref0_174)) (* 0 tmp1__global__ref0_175)) (* 0 tmp1__global__ref0_176)) 0) 1))) ; (tmp93__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_169) + (0 * tmp1__global__ref0_170)) + (0 * tmp1__global__ref0_171)) + (64 * tmp1__global__ref0_172)) + (0 * tmp1__global__ref0_173)) + (0 * tmp1__global__ref0_174)) + (0 * tmp1__global__ref0_175)) + (0 * tmp1__global__ref0_176)) + 0) div 1))
(assert (= tmp2__global__buf_92 tmp93__func_com_mc_l_nn__val)) ; (tmp2__global__buf_92 = tmp93__func_com_mc_l_nn__val)
(assert (= tmp94__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_170) (* 0 tmp1__global__ref0_171)) (* 0 tmp1__global__ref0_172)) (* 64 tmp1__global__ref0_173)) (* 0 tmp1__global__ref0_174)) (* 0 tmp1__global__ref0_175)) (* 0 tmp1__global__ref0_176)) (* 0 tmp1__global__ref0_177)) 0) 1))) ; (tmp94__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_170) + (0 * tmp1__global__ref0_171)) + (0 * tmp1__global__ref0_172)) + (64 * tmp1__global__ref0_173)) + (0 * tmp1__global__ref0_174)) + (0 * tmp1__global__ref0_175)) + (0 * tmp1__global__ref0_176)) + (0 * tmp1__global__ref0_177)) + 0) div 1))
(assert (= tmp2__global__buf_93 tmp94__func_com_mc_l_nn__val)) ; (tmp2__global__buf_93 = tmp94__func_com_mc_l_nn__val)
(assert (= tmp95__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_171) (* 0 tmp1__global__ref0_172)) (* 0 tmp1__global__ref0_173)) (* 64 tmp1__global__ref0_174)) (* 0 tmp1__global__ref0_175)) (* 0 tmp1__global__ref0_176)) (* 0 tmp1__global__ref0_177)) (* 0 tmp1__global__ref0_178)) 0) 1))) ; (tmp95__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_171) + (0 * tmp1__global__ref0_172)) + (0 * tmp1__global__ref0_173)) + (64 * tmp1__global__ref0_174)) + (0 * tmp1__global__ref0_175)) + (0 * tmp1__global__ref0_176)) + (0 * tmp1__global__ref0_177)) + (0 * tmp1__global__ref0_178)) + 0) div 1))
(assert (= tmp2__global__buf_94 tmp95__func_com_mc_l_nn__val)) ; (tmp2__global__buf_94 = tmp95__func_com_mc_l_nn__val)
(assert (= tmp96__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_172) (* 0 tmp1__global__ref0_173)) (* 0 tmp1__global__ref0_174)) (* 64 tmp1__global__ref0_175)) (* 0 tmp1__global__ref0_176)) (* 0 tmp1__global__ref0_177)) (* 0 tmp1__global__ref0_178)) (* 0 tmp1__global__ref0_179)) 0) 1))) ; (tmp96__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_172) + (0 * tmp1__global__ref0_173)) + (0 * tmp1__global__ref0_174)) + (64 * tmp1__global__ref0_175)) + (0 * tmp1__global__ref0_176)) + (0 * tmp1__global__ref0_177)) + (0 * tmp1__global__ref0_178)) + (0 * tmp1__global__ref0_179)) + 0) div 1))
(assert (= tmp2__global__buf_95 tmp96__func_com_mc_l_nn__val)) ; (tmp2__global__buf_95 = tmp96__func_com_mc_l_nn__val)
(assert (= tmp97__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_180) (* 0 tmp1__global__ref0_181)) (* 0 tmp1__global__ref0_182)) (* 64 tmp1__global__ref0_183)) (* 0 tmp1__global__ref0_184)) (* 0 tmp1__global__ref0_185)) (* 0 tmp1__global__ref0_186)) (* 0 tmp1__global__ref0_187)) 0) 1))) ; (tmp97__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_180) + (0 * tmp1__global__ref0_181)) + (0 * tmp1__global__ref0_182)) + (64 * tmp1__global__ref0_183)) + (0 * tmp1__global__ref0_184)) + (0 * tmp1__global__ref0_185)) + (0 * tmp1__global__ref0_186)) + (0 * tmp1__global__ref0_187)) + 0) div 1))
(assert (= tmp2__global__buf_96 tmp97__func_com_mc_l_nn__val)) ; (tmp2__global__buf_96 = tmp97__func_com_mc_l_nn__val)
(assert (= tmp98__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_181) (* 0 tmp1__global__ref0_182)) (* 0 tmp1__global__ref0_183)) (* 64 tmp1__global__ref0_184)) (* 0 tmp1__global__ref0_185)) (* 0 tmp1__global__ref0_186)) (* 0 tmp1__global__ref0_187)) (* 0 tmp1__global__ref0_188)) 0) 1))) ; (tmp98__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_181) + (0 * tmp1__global__ref0_182)) + (0 * tmp1__global__ref0_183)) + (64 * tmp1__global__ref0_184)) + (0 * tmp1__global__ref0_185)) + (0 * tmp1__global__ref0_186)) + (0 * tmp1__global__ref0_187)) + (0 * tmp1__global__ref0_188)) + 0) div 1))
(assert (= tmp2__global__buf_97 tmp98__func_com_mc_l_nn__val)) ; (tmp2__global__buf_97 = tmp98__func_com_mc_l_nn__val)
(assert (= tmp99__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_182) (* 0 tmp1__global__ref0_183)) (* 0 tmp1__global__ref0_184)) (* 64 tmp1__global__ref0_185)) (* 0 tmp1__global__ref0_186)) (* 0 tmp1__global__ref0_187)) (* 0 tmp1__global__ref0_188)) (* 0 tmp1__global__ref0_189)) 0) 1))) ; (tmp99__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_182) + (0 * tmp1__global__ref0_183)) + (0 * tmp1__global__ref0_184)) + (64 * tmp1__global__ref0_185)) + (0 * tmp1__global__ref0_186)) + (0 * tmp1__global__ref0_187)) + (0 * tmp1__global__ref0_188)) + (0 * tmp1__global__ref0_189)) + 0) div 1))
(assert (= tmp2__global__buf_98 tmp99__func_com_mc_l_nn__val)) ; (tmp2__global__buf_98 = tmp99__func_com_mc_l_nn__val)
(assert (= tmp100__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_183) (* 0 tmp1__global__ref0_184)) (* 0 tmp1__global__ref0_185)) (* 64 tmp1__global__ref0_186)) (* 0 tmp1__global__ref0_187)) (* 0 tmp1__global__ref0_188)) (* 0 tmp1__global__ref0_189)) (* 0 tmp1__global__ref0_190)) 0) 1))) ; (tmp100__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_183) + (0 * tmp1__global__ref0_184)) + (0 * tmp1__global__ref0_185)) + (64 * tmp1__global__ref0_186)) + (0 * tmp1__global__ref0_187)) + (0 * tmp1__global__ref0_188)) + (0 * tmp1__global__ref0_189)) + (0 * tmp1__global__ref0_190)) + 0) div 1))
(assert (= tmp2__global__buf_99 tmp100__func_com_mc_l_nn__val)) ; (tmp2__global__buf_99 = tmp100__func_com_mc_l_nn__val)
(assert (= tmp101__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_184) (* 0 tmp1__global__ref0_185)) (* 0 tmp1__global__ref0_186)) (* 64 tmp1__global__ref0_187)) (* 0 tmp1__global__ref0_188)) (* 0 tmp1__global__ref0_189)) (* 0 tmp1__global__ref0_190)) (* 0 tmp1__global__ref0_191)) 0) 1))) ; (tmp101__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_184) + (0 * tmp1__global__ref0_185)) + (0 * tmp1__global__ref0_186)) + (64 * tmp1__global__ref0_187)) + (0 * tmp1__global__ref0_188)) + (0 * tmp1__global__ref0_189)) + (0 * tmp1__global__ref0_190)) + (0 * tmp1__global__ref0_191)) + 0) div 1))
(assert (= tmp2__global__buf_100 tmp101__func_com_mc_l_nn__val)) ; (tmp2__global__buf_100 = tmp101__func_com_mc_l_nn__val)
(assert (= tmp102__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_185) (* 0 tmp1__global__ref0_186)) (* 0 tmp1__global__ref0_187)) (* 64 tmp1__global__ref0_188)) (* 0 tmp1__global__ref0_189)) (* 0 tmp1__global__ref0_190)) (* 0 tmp1__global__ref0_191)) (* 0 tmp1__global__ref0_192)) 0) 1))) ; (tmp102__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_185) + (0 * tmp1__global__ref0_186)) + (0 * tmp1__global__ref0_187)) + (64 * tmp1__global__ref0_188)) + (0 * tmp1__global__ref0_189)) + (0 * tmp1__global__ref0_190)) + (0 * tmp1__global__ref0_191)) + (0 * tmp1__global__ref0_192)) + 0) div 1))
(assert (= tmp2__global__buf_101 tmp102__func_com_mc_l_nn__val)) ; (tmp2__global__buf_101 = tmp102__func_com_mc_l_nn__val)
(assert (= tmp103__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_186) (* 0 tmp1__global__ref0_187)) (* 0 tmp1__global__ref0_188)) (* 64 tmp1__global__ref0_189)) (* 0 tmp1__global__ref0_190)) (* 0 tmp1__global__ref0_191)) (* 0 tmp1__global__ref0_192)) (* 0 tmp1__global__ref0_193)) 0) 1))) ; (tmp103__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_186) + (0 * tmp1__global__ref0_187)) + (0 * tmp1__global__ref0_188)) + (64 * tmp1__global__ref0_189)) + (0 * tmp1__global__ref0_190)) + (0 * tmp1__global__ref0_191)) + (0 * tmp1__global__ref0_192)) + (0 * tmp1__global__ref0_193)) + 0) div 1))
(assert (= tmp2__global__buf_102 tmp103__func_com_mc_l_nn__val)) ; (tmp2__global__buf_102 = tmp103__func_com_mc_l_nn__val)
(assert (= tmp104__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_187) (* 0 tmp1__global__ref0_188)) (* 0 tmp1__global__ref0_189)) (* 64 tmp1__global__ref0_190)) (* 0 tmp1__global__ref0_191)) (* 0 tmp1__global__ref0_192)) (* 0 tmp1__global__ref0_193)) (* 0 tmp1__global__ref0_194)) 0) 1))) ; (tmp104__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_187) + (0 * tmp1__global__ref0_188)) + (0 * tmp1__global__ref0_189)) + (64 * tmp1__global__ref0_190)) + (0 * tmp1__global__ref0_191)) + (0 * tmp1__global__ref0_192)) + (0 * tmp1__global__ref0_193)) + (0 * tmp1__global__ref0_194)) + 0) div 1))
(assert (= tmp2__global__buf_103 tmp104__func_com_mc_l_nn__val)) ; (tmp2__global__buf_103 = tmp104__func_com_mc_l_nn__val)
(assert (= tmp105__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_195) (* 0 tmp1__global__ref0_196)) (* 0 tmp1__global__ref0_197)) (* 64 tmp1__global__ref0_198)) (* 0 tmp1__global__ref0_199)) (* 0 tmp1__global__ref0_200)) (* 0 tmp1__global__ref0_201)) (* 0 tmp1__global__ref0_202)) 0) 1))) ; (tmp105__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_195) + (0 * tmp1__global__ref0_196)) + (0 * tmp1__global__ref0_197)) + (64 * tmp1__global__ref0_198)) + (0 * tmp1__global__ref0_199)) + (0 * tmp1__global__ref0_200)) + (0 * tmp1__global__ref0_201)) + (0 * tmp1__global__ref0_202)) + 0) div 1))
(assert (= tmp2__global__buf_104 tmp105__func_com_mc_l_nn__val)) ; (tmp2__global__buf_104 = tmp105__func_com_mc_l_nn__val)
(assert (= tmp106__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_196) (* 0 tmp1__global__ref0_197)) (* 0 tmp1__global__ref0_198)) (* 64 tmp1__global__ref0_199)) (* 0 tmp1__global__ref0_200)) (* 0 tmp1__global__ref0_201)) (* 0 tmp1__global__ref0_202)) (* 0 tmp1__global__ref0_203)) 0) 1))) ; (tmp106__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_196) + (0 * tmp1__global__ref0_197)) + (0 * tmp1__global__ref0_198)) + (64 * tmp1__global__ref0_199)) + (0 * tmp1__global__ref0_200)) + (0 * tmp1__global__ref0_201)) + (0 * tmp1__global__ref0_202)) + (0 * tmp1__global__ref0_203)) + 0) div 1))
(assert (= tmp2__global__buf_105 tmp106__func_com_mc_l_nn__val)) ; (tmp2__global__buf_105 = tmp106__func_com_mc_l_nn__val)
(assert (= tmp107__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_197) (* 0 tmp1__global__ref0_198)) (* 0 tmp1__global__ref0_199)) (* 64 tmp1__global__ref0_200)) (* 0 tmp1__global__ref0_201)) (* 0 tmp1__global__ref0_202)) (* 0 tmp1__global__ref0_203)) (* 0 tmp1__global__ref0_204)) 0) 1))) ; (tmp107__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_197) + (0 * tmp1__global__ref0_198)) + (0 * tmp1__global__ref0_199)) + (64 * tmp1__global__ref0_200)) + (0 * tmp1__global__ref0_201)) + (0 * tmp1__global__ref0_202)) + (0 * tmp1__global__ref0_203)) + (0 * tmp1__global__ref0_204)) + 0) div 1))
(assert (= tmp2__global__buf_106 tmp107__func_com_mc_l_nn__val)) ; (tmp2__global__buf_106 = tmp107__func_com_mc_l_nn__val)
(assert (= tmp108__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_198) (* 0 tmp1__global__ref0_199)) (* 0 tmp1__global__ref0_200)) (* 64 tmp1__global__ref0_201)) (* 0 tmp1__global__ref0_202)) (* 0 tmp1__global__ref0_203)) (* 0 tmp1__global__ref0_204)) (* 0 tmp1__global__ref0_205)) 0) 1))) ; (tmp108__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_198) + (0 * tmp1__global__ref0_199)) + (0 * tmp1__global__ref0_200)) + (64 * tmp1__global__ref0_201)) + (0 * tmp1__global__ref0_202)) + (0 * tmp1__global__ref0_203)) + (0 * tmp1__global__ref0_204)) + (0 * tmp1__global__ref0_205)) + 0) div 1))
(assert (= tmp2__global__buf_107 tmp108__func_com_mc_l_nn__val)) ; (tmp2__global__buf_107 = tmp108__func_com_mc_l_nn__val)
(assert (= tmp109__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_199) (* 0 tmp1__global__ref0_200)) (* 0 tmp1__global__ref0_201)) (* 64 tmp1__global__ref0_202)) (* 0 tmp1__global__ref0_203)) (* 0 tmp1__global__ref0_204)) (* 0 tmp1__global__ref0_205)) (* 0 tmp1__global__ref0_206)) 0) 1))) ; (tmp109__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_199) + (0 * tmp1__global__ref0_200)) + (0 * tmp1__global__ref0_201)) + (64 * tmp1__global__ref0_202)) + (0 * tmp1__global__ref0_203)) + (0 * tmp1__global__ref0_204)) + (0 * tmp1__global__ref0_205)) + (0 * tmp1__global__ref0_206)) + 0) div 1))
(assert (= tmp2__global__buf_108 tmp109__func_com_mc_l_nn__val)) ; (tmp2__global__buf_108 = tmp109__func_com_mc_l_nn__val)
(assert (= tmp110__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_200) (* 0 tmp1__global__ref0_201)) (* 0 tmp1__global__ref0_202)) (* 64 tmp1__global__ref0_203)) (* 0 tmp1__global__ref0_204)) (* 0 tmp1__global__ref0_205)) (* 0 tmp1__global__ref0_206)) (* 0 tmp1__global__ref0_207)) 0) 1))) ; (tmp110__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_200) + (0 * tmp1__global__ref0_201)) + (0 * tmp1__global__ref0_202)) + (64 * tmp1__global__ref0_203)) + (0 * tmp1__global__ref0_204)) + (0 * tmp1__global__ref0_205)) + (0 * tmp1__global__ref0_206)) + (0 * tmp1__global__ref0_207)) + 0) div 1))
(assert (= tmp2__global__buf_109 tmp110__func_com_mc_l_nn__val)) ; (tmp2__global__buf_109 = tmp110__func_com_mc_l_nn__val)
(assert (= tmp111__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_201) (* 0 tmp1__global__ref0_202)) (* 0 tmp1__global__ref0_203)) (* 64 tmp1__global__ref0_204)) (* 0 tmp1__global__ref0_205)) (* 0 tmp1__global__ref0_206)) (* 0 tmp1__global__ref0_207)) (* 0 tmp1__global__ref0_208)) 0) 1))) ; (tmp111__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_201) + (0 * tmp1__global__ref0_202)) + (0 * tmp1__global__ref0_203)) + (64 * tmp1__global__ref0_204)) + (0 * tmp1__global__ref0_205)) + (0 * tmp1__global__ref0_206)) + (0 * tmp1__global__ref0_207)) + (0 * tmp1__global__ref0_208)) + 0) div 1))
(assert (= tmp2__global__buf_110 tmp111__func_com_mc_l_nn__val)) ; (tmp2__global__buf_110 = tmp111__func_com_mc_l_nn__val)
(assert (= tmp112__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_202) (* 0 tmp1__global__ref0_203)) (* 0 tmp1__global__ref0_204)) (* 64 tmp1__global__ref0_205)) (* 0 tmp1__global__ref0_206)) (* 0 tmp1__global__ref0_207)) (* 0 tmp1__global__ref0_208)) (* 0 tmp1__global__ref0_209)) 0) 1))) ; (tmp112__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_202) + (0 * tmp1__global__ref0_203)) + (0 * tmp1__global__ref0_204)) + (64 * tmp1__global__ref0_205)) + (0 * tmp1__global__ref0_206)) + (0 * tmp1__global__ref0_207)) + (0 * tmp1__global__ref0_208)) + (0 * tmp1__global__ref0_209)) + 0) div 1))
(assert (= tmp2__global__buf_111 tmp112__func_com_mc_l_nn__val)) ; (tmp2__global__buf_111 = tmp112__func_com_mc_l_nn__val)
(assert (= tmp113__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_210) (* 0 tmp1__global__ref0_211)) (* 0 tmp1__global__ref0_212)) (* 64 tmp1__global__ref0_213)) (* 0 tmp1__global__ref0_214)) (* 0 tmp1__global__ref0_215)) (* 0 tmp1__global__ref0_216)) (* 0 tmp1__global__ref0_217)) 0) 1))) ; (tmp113__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_210) + (0 * tmp1__global__ref0_211)) + (0 * tmp1__global__ref0_212)) + (64 * tmp1__global__ref0_213)) + (0 * tmp1__global__ref0_214)) + (0 * tmp1__global__ref0_215)) + (0 * tmp1__global__ref0_216)) + (0 * tmp1__global__ref0_217)) + 0) div 1))
(assert (= tmp2__global__buf_112 tmp113__func_com_mc_l_nn__val)) ; (tmp2__global__buf_112 = tmp113__func_com_mc_l_nn__val)
(assert (= tmp114__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_211) (* 0 tmp1__global__ref0_212)) (* 0 tmp1__global__ref0_213)) (* 64 tmp1__global__ref0_214)) (* 0 tmp1__global__ref0_215)) (* 0 tmp1__global__ref0_216)) (* 0 tmp1__global__ref0_217)) (* 0 tmp1__global__ref0_218)) 0) 1))) ; (tmp114__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_211) + (0 * tmp1__global__ref0_212)) + (0 * tmp1__global__ref0_213)) + (64 * tmp1__global__ref0_214)) + (0 * tmp1__global__ref0_215)) + (0 * tmp1__global__ref0_216)) + (0 * tmp1__global__ref0_217)) + (0 * tmp1__global__ref0_218)) + 0) div 1))
(assert (= tmp2__global__buf_113 tmp114__func_com_mc_l_nn__val)) ; (tmp2__global__buf_113 = tmp114__func_com_mc_l_nn__val)
(assert (= tmp115__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_212) (* 0 tmp1__global__ref0_213)) (* 0 tmp1__global__ref0_214)) (* 64 tmp1__global__ref0_215)) (* 0 tmp1__global__ref0_216)) (* 0 tmp1__global__ref0_217)) (* 0 tmp1__global__ref0_218)) (* 0 tmp1__global__ref0_219)) 0) 1))) ; (tmp115__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_212) + (0 * tmp1__global__ref0_213)) + (0 * tmp1__global__ref0_214)) + (64 * tmp1__global__ref0_215)) + (0 * tmp1__global__ref0_216)) + (0 * tmp1__global__ref0_217)) + (0 * tmp1__global__ref0_218)) + (0 * tmp1__global__ref0_219)) + 0) div 1))
(assert (= tmp2__global__buf_114 tmp115__func_com_mc_l_nn__val)) ; (tmp2__global__buf_114 = tmp115__func_com_mc_l_nn__val)
(assert (= tmp116__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_213) (* 0 tmp1__global__ref0_214)) (* 0 tmp1__global__ref0_215)) (* 64 tmp1__global__ref0_216)) (* 0 tmp1__global__ref0_217)) (* 0 tmp1__global__ref0_218)) (* 0 tmp1__global__ref0_219)) (* 0 tmp1__global__ref0_220)) 0) 1))) ; (tmp116__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_213) + (0 * tmp1__global__ref0_214)) + (0 * tmp1__global__ref0_215)) + (64 * tmp1__global__ref0_216)) + (0 * tmp1__global__ref0_217)) + (0 * tmp1__global__ref0_218)) + (0 * tmp1__global__ref0_219)) + (0 * tmp1__global__ref0_220)) + 0) div 1))
(assert (= tmp2__global__buf_115 tmp116__func_com_mc_l_nn__val)) ; (tmp2__global__buf_115 = tmp116__func_com_mc_l_nn__val)
(assert (= tmp117__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_214) (* 0 tmp1__global__ref0_215)) (* 0 tmp1__global__ref0_216)) (* 64 tmp1__global__ref0_217)) (* 0 tmp1__global__ref0_218)) (* 0 tmp1__global__ref0_219)) (* 0 tmp1__global__ref0_220)) (* 0 tmp1__global__ref0_221)) 0) 1))) ; (tmp117__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_214) + (0 * tmp1__global__ref0_215)) + (0 * tmp1__global__ref0_216)) + (64 * tmp1__global__ref0_217)) + (0 * tmp1__global__ref0_218)) + (0 * tmp1__global__ref0_219)) + (0 * tmp1__global__ref0_220)) + (0 * tmp1__global__ref0_221)) + 0) div 1))
(assert (= tmp2__global__buf_116 tmp117__func_com_mc_l_nn__val)) ; (tmp2__global__buf_116 = tmp117__func_com_mc_l_nn__val)
(assert (= tmp118__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_215) (* 0 tmp1__global__ref0_216)) (* 0 tmp1__global__ref0_217)) (* 64 tmp1__global__ref0_218)) (* 0 tmp1__global__ref0_219)) (* 0 tmp1__global__ref0_220)) (* 0 tmp1__global__ref0_221)) (* 0 tmp1__global__ref0_222)) 0) 1))) ; (tmp118__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_215) + (0 * tmp1__global__ref0_216)) + (0 * tmp1__global__ref0_217)) + (64 * tmp1__global__ref0_218)) + (0 * tmp1__global__ref0_219)) + (0 * tmp1__global__ref0_220)) + (0 * tmp1__global__ref0_221)) + (0 * tmp1__global__ref0_222)) + 0) div 1))
(assert (= tmp2__global__buf_117 tmp118__func_com_mc_l_nn__val)) ; (tmp2__global__buf_117 = tmp118__func_com_mc_l_nn__val)
(assert (= tmp119__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_216) (* 0 tmp1__global__ref0_217)) (* 0 tmp1__global__ref0_218)) (* 64 tmp1__global__ref0_219)) (* 0 tmp1__global__ref0_220)) (* 0 tmp1__global__ref0_221)) (* 0 tmp1__global__ref0_222)) (* 0 tmp1__global__ref0_223)) 0) 1))) ; (tmp119__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_216) + (0 * tmp1__global__ref0_217)) + (0 * tmp1__global__ref0_218)) + (64 * tmp1__global__ref0_219)) + (0 * tmp1__global__ref0_220)) + (0 * tmp1__global__ref0_221)) + (0 * tmp1__global__ref0_222)) + (0 * tmp1__global__ref0_223)) + 0) div 1))
(assert (= tmp2__global__buf_118 tmp119__func_com_mc_l_nn__val)) ; (tmp2__global__buf_118 = tmp119__func_com_mc_l_nn__val)
(assert (= tmp120__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_217) (* 0 tmp1__global__ref0_218)) (* 0 tmp1__global__ref0_219)) (* 64 tmp1__global__ref0_220)) (* 0 tmp1__global__ref0_221)) (* 0 tmp1__global__ref0_222)) (* 0 tmp1__global__ref0_223)) (* 0 tmp1__global__ref0_224)) 0) 1))) ; (tmp120__func_com_mc_l_nn__val = ((((((((((0 * tmp1__global__ref0_217) + (0 * tmp1__global__ref0_218)) + (0 * tmp1__global__ref0_219)) + (64 * tmp1__global__ref0_220)) + (0 * tmp1__global__ref0_221)) + (0 * tmp1__global__ref0_222)) + (0 * tmp1__global__ref0_223)) + (0 * tmp1__global__ref0_224)) + 0) div 1))
(assert (= tmp2__global__buf_119 tmp120__func_com_mc_l_nn__val)) ; (tmp2__global__buf_119 = tmp120__func_com_mc_l_nn__val)
(assert (= tmp121__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_0) (* 4 tmp2__global__buf_8)) (* (- 10) tmp2__global__buf_16)) (* 57 tmp2__global__buf_24)) (* 19 tmp2__global__buf_32)) (* (- 7) tmp2__global__buf_40)) (* 3 tmp2__global__buf_48)) (* (- 1) tmp2__global__buf_56)) 2048) 4096))) ; (tmp121__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_0) + (4 * tmp2__global__buf_8)) + ((- 10) * tmp2__global__buf_16)) + (57 * tmp2__global__buf_24)) + (19 * tmp2__global__buf_32)) + ((- 7) * tmp2__global__buf_40)) + (3 * tmp2__global__buf_48)) + ((- 1) * tmp2__global__buf_56)) + 2048) div 4096))
(assert (= tmp1__func_Clip3__value tmp121__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3__value = tmp121__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3 (ite (< tmp1__func_Clip3__value 0) 0 (ite (> tmp1__func_Clip3__value 255) 255 tmp1__func_Clip3__value)))) ; (tmp1__func__return__Clip3 = (ite (< tmp1__func_Clip3__value 0) 0 (ite (> tmp1__func_Clip3__value 255) 255 tmp1__func_Clip3__value)))
(assert (= tmp1__global__predL0_0 tmp1__func__return__Clip3)) ; (tmp1__global__predL0_0 = tmp1__func__return__Clip3)
(assert (= tmp122__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_1) (* 4 tmp2__global__buf_9)) (* (- 10) tmp2__global__buf_17)) (* 57 tmp2__global__buf_25)) (* 19 tmp2__global__buf_33)) (* (- 7) tmp2__global__buf_41)) (* 3 tmp2__global__buf_49)) (* (- 1) tmp2__global__buf_57)) 2048) 4096))) ; (tmp122__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_1) + (4 * tmp2__global__buf_9)) + ((- 10) * tmp2__global__buf_17)) + (57 * tmp2__global__buf_25)) + (19 * tmp2__global__buf_33)) + ((- 7) * tmp2__global__buf_41)) + (3 * tmp2__global__buf_49)) + ((- 1) * tmp2__global__buf_57)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_1__value tmp122__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_1__value = tmp122__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_1 (ite (< tmp1__func_Clip3_variant_1__value 0) 0 (ite (> tmp1__func_Clip3_variant_1__value 255) 255 tmp1__func_Clip3_variant_1__value)))) ; (tmp1__func__return__Clip3_variant_1 = (ite (< tmp1__func_Clip3_variant_1__value 0) 0 (ite (> tmp1__func_Clip3_variant_1__value 255) 255 tmp1__func_Clip3_variant_1__value)))
(assert (= tmp1__global__predL0_1 tmp1__func__return__Clip3_variant_1)) ; (tmp1__global__predL0_1 = tmp1__func__return__Clip3_variant_1)
(assert (= tmp123__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_2) (* 4 tmp2__global__buf_10)) (* (- 10) tmp2__global__buf_18)) (* 57 tmp2__global__buf_26)) (* 19 tmp2__global__buf_34)) (* (- 7) tmp2__global__buf_42)) (* 3 tmp2__global__buf_50)) (* (- 1) tmp2__global__buf_58)) 2048) 4096))) ; (tmp123__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_2) + (4 * tmp2__global__buf_10)) + ((- 10) * tmp2__global__buf_18)) + (57 * tmp2__global__buf_26)) + (19 * tmp2__global__buf_34)) + ((- 7) * tmp2__global__buf_42)) + (3 * tmp2__global__buf_50)) + ((- 1) * tmp2__global__buf_58)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_2__value tmp123__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_2__value = tmp123__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_2 (ite (< tmp1__func_Clip3_variant_2__value 0) 0 (ite (> tmp1__func_Clip3_variant_2__value 255) 255 tmp1__func_Clip3_variant_2__value)))) ; (tmp1__func__return__Clip3_variant_2 = (ite (< tmp1__func_Clip3_variant_2__value 0) 0 (ite (> tmp1__func_Clip3_variant_2__value 255) 255 tmp1__func_Clip3_variant_2__value)))
(assert (= tmp1__global__predL0_2 tmp1__func__return__Clip3_variant_2)) ; (tmp1__global__predL0_2 = tmp1__func__return__Clip3_variant_2)
(assert (= tmp124__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_3) (* 4 tmp2__global__buf_11)) (* (- 10) tmp2__global__buf_19)) (* 57 tmp2__global__buf_27)) (* 19 tmp2__global__buf_35)) (* (- 7) tmp2__global__buf_43)) (* 3 tmp2__global__buf_51)) (* (- 1) tmp2__global__buf_59)) 2048) 4096))) ; (tmp124__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_3) + (4 * tmp2__global__buf_11)) + ((- 10) * tmp2__global__buf_19)) + (57 * tmp2__global__buf_27)) + (19 * tmp2__global__buf_35)) + ((- 7) * tmp2__global__buf_43)) + (3 * tmp2__global__buf_51)) + ((- 1) * tmp2__global__buf_59)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_3__value tmp124__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_3__value = tmp124__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_3 (ite (< tmp1__func_Clip3_variant_3__value 0) 0 (ite (> tmp1__func_Clip3_variant_3__value 255) 255 tmp1__func_Clip3_variant_3__value)))) ; (tmp1__func__return__Clip3_variant_3 = (ite (< tmp1__func_Clip3_variant_3__value 0) 0 (ite (> tmp1__func_Clip3_variant_3__value 255) 255 tmp1__func_Clip3_variant_3__value)))
(assert (= tmp1__global__predL0_3 tmp1__func__return__Clip3_variant_3)) ; (tmp1__global__predL0_3 = tmp1__func__return__Clip3_variant_3)
(assert (= tmp125__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_4) (* 4 tmp2__global__buf_12)) (* (- 10) tmp2__global__buf_20)) (* 57 tmp2__global__buf_28)) (* 19 tmp2__global__buf_36)) (* (- 7) tmp2__global__buf_44)) (* 3 tmp2__global__buf_52)) (* (- 1) tmp2__global__buf_60)) 2048) 4096))) ; (tmp125__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_4) + (4 * tmp2__global__buf_12)) + ((- 10) * tmp2__global__buf_20)) + (57 * tmp2__global__buf_28)) + (19 * tmp2__global__buf_36)) + ((- 7) * tmp2__global__buf_44)) + (3 * tmp2__global__buf_52)) + ((- 1) * tmp2__global__buf_60)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_4__value tmp125__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_4__value = tmp125__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_4 (ite (< tmp1__func_Clip3_variant_4__value 0) 0 (ite (> tmp1__func_Clip3_variant_4__value 255) 255 tmp1__func_Clip3_variant_4__value)))) ; (tmp1__func__return__Clip3_variant_4 = (ite (< tmp1__func_Clip3_variant_4__value 0) 0 (ite (> tmp1__func_Clip3_variant_4__value 255) 255 tmp1__func_Clip3_variant_4__value)))
(assert (= tmp1__global__predL0_4 tmp1__func__return__Clip3_variant_4)) ; (tmp1__global__predL0_4 = tmp1__func__return__Clip3_variant_4)
(assert (= tmp126__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_5) (* 4 tmp2__global__buf_13)) (* (- 10) tmp2__global__buf_21)) (* 57 tmp2__global__buf_29)) (* 19 tmp2__global__buf_37)) (* (- 7) tmp2__global__buf_45)) (* 3 tmp2__global__buf_53)) (* (- 1) tmp2__global__buf_61)) 2048) 4096))) ; (tmp126__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_5) + (4 * tmp2__global__buf_13)) + ((- 10) * tmp2__global__buf_21)) + (57 * tmp2__global__buf_29)) + (19 * tmp2__global__buf_37)) + ((- 7) * tmp2__global__buf_45)) + (3 * tmp2__global__buf_53)) + ((- 1) * tmp2__global__buf_61)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_5__value tmp126__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_5__value = tmp126__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_5 (ite (< tmp1__func_Clip3_variant_5__value 0) 0 (ite (> tmp1__func_Clip3_variant_5__value 255) 255 tmp1__func_Clip3_variant_5__value)))) ; (tmp1__func__return__Clip3_variant_5 = (ite (< tmp1__func_Clip3_variant_5__value 0) 0 (ite (> tmp1__func_Clip3_variant_5__value 255) 255 tmp1__func_Clip3_variant_5__value)))
(assert (= tmp1__global__predL0_5 tmp1__func__return__Clip3_variant_5)) ; (tmp1__global__predL0_5 = tmp1__func__return__Clip3_variant_5)
(assert (= tmp127__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_6) (* 4 tmp2__global__buf_14)) (* (- 10) tmp2__global__buf_22)) (* 57 tmp2__global__buf_30)) (* 19 tmp2__global__buf_38)) (* (- 7) tmp2__global__buf_46)) (* 3 tmp2__global__buf_54)) (* (- 1) tmp2__global__buf_62)) 2048) 4096))) ; (tmp127__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_6) + (4 * tmp2__global__buf_14)) + ((- 10) * tmp2__global__buf_22)) + (57 * tmp2__global__buf_30)) + (19 * tmp2__global__buf_38)) + ((- 7) * tmp2__global__buf_46)) + (3 * tmp2__global__buf_54)) + ((- 1) * tmp2__global__buf_62)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_6__value tmp127__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_6__value = tmp127__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_6 (ite (< tmp1__func_Clip3_variant_6__value 0) 0 (ite (> tmp1__func_Clip3_variant_6__value 255) 255 tmp1__func_Clip3_variant_6__value)))) ; (tmp1__func__return__Clip3_variant_6 = (ite (< tmp1__func_Clip3_variant_6__value 0) 0 (ite (> tmp1__func_Clip3_variant_6__value 255) 255 tmp1__func_Clip3_variant_6__value)))
(assert (= tmp1__global__predL0_6 tmp1__func__return__Clip3_variant_6)) ; (tmp1__global__predL0_6 = tmp1__func__return__Clip3_variant_6)
(assert (= tmp128__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_7) (* 4 tmp2__global__buf_15)) (* (- 10) tmp2__global__buf_23)) (* 57 tmp2__global__buf_31)) (* 19 tmp2__global__buf_39)) (* (- 7) tmp2__global__buf_47)) (* 3 tmp2__global__buf_55)) (* (- 1) tmp2__global__buf_63)) 2048) 4096))) ; (tmp128__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_7) + (4 * tmp2__global__buf_15)) + ((- 10) * tmp2__global__buf_23)) + (57 * tmp2__global__buf_31)) + (19 * tmp2__global__buf_39)) + ((- 7) * tmp2__global__buf_47)) + (3 * tmp2__global__buf_55)) + ((- 1) * tmp2__global__buf_63)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_7__value tmp128__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_7__value = tmp128__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_7 (ite (< tmp1__func_Clip3_variant_7__value 0) 0 (ite (> tmp1__func_Clip3_variant_7__value 255) 255 tmp1__func_Clip3_variant_7__value)))) ; (tmp1__func__return__Clip3_variant_7 = (ite (< tmp1__func_Clip3_variant_7__value 0) 0 (ite (> tmp1__func_Clip3_variant_7__value 255) 255 tmp1__func_Clip3_variant_7__value)))
(assert (= tmp1__global__predL0_7 tmp1__func__return__Clip3_variant_7)) ; (tmp1__global__predL0_7 = tmp1__func__return__Clip3_variant_7)
(assert (= tmp129__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_8) (* 4 tmp2__global__buf_16)) (* (- 10) tmp2__global__buf_24)) (* 57 tmp2__global__buf_32)) (* 19 tmp2__global__buf_40)) (* (- 7) tmp2__global__buf_48)) (* 3 tmp2__global__buf_56)) (* (- 1) tmp2__global__buf_64)) 2048) 4096))) ; (tmp129__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_8) + (4 * tmp2__global__buf_16)) + ((- 10) * tmp2__global__buf_24)) + (57 * tmp2__global__buf_32)) + (19 * tmp2__global__buf_40)) + ((- 7) * tmp2__global__buf_48)) + (3 * tmp2__global__buf_56)) + ((- 1) * tmp2__global__buf_64)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_8__value tmp129__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_8__value = tmp129__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_8 (ite (< tmp1__func_Clip3_variant_8__value 0) 0 (ite (> tmp1__func_Clip3_variant_8__value 255) 255 tmp1__func_Clip3_variant_8__value)))) ; (tmp1__func__return__Clip3_variant_8 = (ite (< tmp1__func_Clip3_variant_8__value 0) 0 (ite (> tmp1__func_Clip3_variant_8__value 255) 255 tmp1__func_Clip3_variant_8__value)))
(assert (= tmp1__global__predL0_8 tmp1__func__return__Clip3_variant_8)) ; (tmp1__global__predL0_8 = tmp1__func__return__Clip3_variant_8)
(assert (= tmp130__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_9) (* 4 tmp2__global__buf_17)) (* (- 10) tmp2__global__buf_25)) (* 57 tmp2__global__buf_33)) (* 19 tmp2__global__buf_41)) (* (- 7) tmp2__global__buf_49)) (* 3 tmp2__global__buf_57)) (* (- 1) tmp2__global__buf_65)) 2048) 4096))) ; (tmp130__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_9) + (4 * tmp2__global__buf_17)) + ((- 10) * tmp2__global__buf_25)) + (57 * tmp2__global__buf_33)) + (19 * tmp2__global__buf_41)) + ((- 7) * tmp2__global__buf_49)) + (3 * tmp2__global__buf_57)) + ((- 1) * tmp2__global__buf_65)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_9__value tmp130__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_9__value = tmp130__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_9 (ite (< tmp1__func_Clip3_variant_9__value 0) 0 (ite (> tmp1__func_Clip3_variant_9__value 255) 255 tmp1__func_Clip3_variant_9__value)))) ; (tmp1__func__return__Clip3_variant_9 = (ite (< tmp1__func_Clip3_variant_9__value 0) 0 (ite (> tmp1__func_Clip3_variant_9__value 255) 255 tmp1__func_Clip3_variant_9__value)))
(assert (= tmp1__global__predL0_9 tmp1__func__return__Clip3_variant_9)) ; (tmp1__global__predL0_9 = tmp1__func__return__Clip3_variant_9)
(assert (= tmp131__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_10) (* 4 tmp2__global__buf_18)) (* (- 10) tmp2__global__buf_26)) (* 57 tmp2__global__buf_34)) (* 19 tmp2__global__buf_42)) (* (- 7) tmp2__global__buf_50)) (* 3 tmp2__global__buf_58)) (* (- 1) tmp2__global__buf_66)) 2048) 4096))) ; (tmp131__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_10) + (4 * tmp2__global__buf_18)) + ((- 10) * tmp2__global__buf_26)) + (57 * tmp2__global__buf_34)) + (19 * tmp2__global__buf_42)) + ((- 7) * tmp2__global__buf_50)) + (3 * tmp2__global__buf_58)) + ((- 1) * tmp2__global__buf_66)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_10__value tmp131__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_10__value = tmp131__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_10 (ite (< tmp1__func_Clip3_variant_10__value 0) 0 (ite (> tmp1__func_Clip3_variant_10__value 255) 255 tmp1__func_Clip3_variant_10__value)))) ; (tmp1__func__return__Clip3_variant_10 = (ite (< tmp1__func_Clip3_variant_10__value 0) 0 (ite (> tmp1__func_Clip3_variant_10__value 255) 255 tmp1__func_Clip3_variant_10__value)))
(assert (= tmp1__global__predL0_10 tmp1__func__return__Clip3_variant_10)) ; (tmp1__global__predL0_10 = tmp1__func__return__Clip3_variant_10)
(assert (= tmp132__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_11) (* 4 tmp2__global__buf_19)) (* (- 10) tmp2__global__buf_27)) (* 57 tmp2__global__buf_35)) (* 19 tmp2__global__buf_43)) (* (- 7) tmp2__global__buf_51)) (* 3 tmp2__global__buf_59)) (* (- 1) tmp2__global__buf_67)) 2048) 4096))) ; (tmp132__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_11) + (4 * tmp2__global__buf_19)) + ((- 10) * tmp2__global__buf_27)) + (57 * tmp2__global__buf_35)) + (19 * tmp2__global__buf_43)) + ((- 7) * tmp2__global__buf_51)) + (3 * tmp2__global__buf_59)) + ((- 1) * tmp2__global__buf_67)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_11__value tmp132__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_11__value = tmp132__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_11 (ite (< tmp1__func_Clip3_variant_11__value 0) 0 (ite (> tmp1__func_Clip3_variant_11__value 255) 255 tmp1__func_Clip3_variant_11__value)))) ; (tmp1__func__return__Clip3_variant_11 = (ite (< tmp1__func_Clip3_variant_11__value 0) 0 (ite (> tmp1__func_Clip3_variant_11__value 255) 255 tmp1__func_Clip3_variant_11__value)))
(assert (= tmp1__global__predL0_11 tmp1__func__return__Clip3_variant_11)) ; (tmp1__global__predL0_11 = tmp1__func__return__Clip3_variant_11)
(assert (= tmp133__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_12) (* 4 tmp2__global__buf_20)) (* (- 10) tmp2__global__buf_28)) (* 57 tmp2__global__buf_36)) (* 19 tmp2__global__buf_44)) (* (- 7) tmp2__global__buf_52)) (* 3 tmp2__global__buf_60)) (* (- 1) tmp2__global__buf_68)) 2048) 4096))) ; (tmp133__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_12) + (4 * tmp2__global__buf_20)) + ((- 10) * tmp2__global__buf_28)) + (57 * tmp2__global__buf_36)) + (19 * tmp2__global__buf_44)) + ((- 7) * tmp2__global__buf_52)) + (3 * tmp2__global__buf_60)) + ((- 1) * tmp2__global__buf_68)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_12__value tmp133__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_12__value = tmp133__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_12 (ite (< tmp1__func_Clip3_variant_12__value 0) 0 (ite (> tmp1__func_Clip3_variant_12__value 255) 255 tmp1__func_Clip3_variant_12__value)))) ; (tmp1__func__return__Clip3_variant_12 = (ite (< tmp1__func_Clip3_variant_12__value 0) 0 (ite (> tmp1__func_Clip3_variant_12__value 255) 255 tmp1__func_Clip3_variant_12__value)))
(assert (= tmp1__global__predL0_12 tmp1__func__return__Clip3_variant_12)) ; (tmp1__global__predL0_12 = tmp1__func__return__Clip3_variant_12)
(assert (= tmp134__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_13) (* 4 tmp2__global__buf_21)) (* (- 10) tmp2__global__buf_29)) (* 57 tmp2__global__buf_37)) (* 19 tmp2__global__buf_45)) (* (- 7) tmp2__global__buf_53)) (* 3 tmp2__global__buf_61)) (* (- 1) tmp2__global__buf_69)) 2048) 4096))) ; (tmp134__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_13) + (4 * tmp2__global__buf_21)) + ((- 10) * tmp2__global__buf_29)) + (57 * tmp2__global__buf_37)) + (19 * tmp2__global__buf_45)) + ((- 7) * tmp2__global__buf_53)) + (3 * tmp2__global__buf_61)) + ((- 1) * tmp2__global__buf_69)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_13__value tmp134__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_13__value = tmp134__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_13 (ite (< tmp1__func_Clip3_variant_13__value 0) 0 (ite (> tmp1__func_Clip3_variant_13__value 255) 255 tmp1__func_Clip3_variant_13__value)))) ; (tmp1__func__return__Clip3_variant_13 = (ite (< tmp1__func_Clip3_variant_13__value 0) 0 (ite (> tmp1__func_Clip3_variant_13__value 255) 255 tmp1__func_Clip3_variant_13__value)))
(assert (= tmp1__global__predL0_13 tmp1__func__return__Clip3_variant_13)) ; (tmp1__global__predL0_13 = tmp1__func__return__Clip3_variant_13)
(assert (= tmp135__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_14) (* 4 tmp2__global__buf_22)) (* (- 10) tmp2__global__buf_30)) (* 57 tmp2__global__buf_38)) (* 19 tmp2__global__buf_46)) (* (- 7) tmp2__global__buf_54)) (* 3 tmp2__global__buf_62)) (* (- 1) tmp2__global__buf_70)) 2048) 4096))) ; (tmp135__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_14) + (4 * tmp2__global__buf_22)) + ((- 10) * tmp2__global__buf_30)) + (57 * tmp2__global__buf_38)) + (19 * tmp2__global__buf_46)) + ((- 7) * tmp2__global__buf_54)) + (3 * tmp2__global__buf_62)) + ((- 1) * tmp2__global__buf_70)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_14__value tmp135__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_14__value = tmp135__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_14 (ite (< tmp1__func_Clip3_variant_14__value 0) 0 (ite (> tmp1__func_Clip3_variant_14__value 255) 255 tmp1__func_Clip3_variant_14__value)))) ; (tmp1__func__return__Clip3_variant_14 = (ite (< tmp1__func_Clip3_variant_14__value 0) 0 (ite (> tmp1__func_Clip3_variant_14__value 255) 255 tmp1__func_Clip3_variant_14__value)))
(assert (= tmp1__global__predL0_14 tmp1__func__return__Clip3_variant_14)) ; (tmp1__global__predL0_14 = tmp1__func__return__Clip3_variant_14)
(assert (= tmp136__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_15) (* 4 tmp2__global__buf_23)) (* (- 10) tmp2__global__buf_31)) (* 57 tmp2__global__buf_39)) (* 19 tmp2__global__buf_47)) (* (- 7) tmp2__global__buf_55)) (* 3 tmp2__global__buf_63)) (* (- 1) tmp2__global__buf_71)) 2048) 4096))) ; (tmp136__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_15) + (4 * tmp2__global__buf_23)) + ((- 10) * tmp2__global__buf_31)) + (57 * tmp2__global__buf_39)) + (19 * tmp2__global__buf_47)) + ((- 7) * tmp2__global__buf_55)) + (3 * tmp2__global__buf_63)) + ((- 1) * tmp2__global__buf_71)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_15__value tmp136__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_15__value = tmp136__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_15 (ite (< tmp1__func_Clip3_variant_15__value 0) 0 (ite (> tmp1__func_Clip3_variant_15__value 255) 255 tmp1__func_Clip3_variant_15__value)))) ; (tmp1__func__return__Clip3_variant_15 = (ite (< tmp1__func_Clip3_variant_15__value 0) 0 (ite (> tmp1__func_Clip3_variant_15__value 255) 255 tmp1__func_Clip3_variant_15__value)))
(assert (= tmp1__global__predL0_15 tmp1__func__return__Clip3_variant_15)) ; (tmp1__global__predL0_15 = tmp1__func__return__Clip3_variant_15)
(assert (= tmp137__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_16) (* 4 tmp2__global__buf_24)) (* (- 10) tmp2__global__buf_32)) (* 57 tmp2__global__buf_40)) (* 19 tmp2__global__buf_48)) (* (- 7) tmp2__global__buf_56)) (* 3 tmp2__global__buf_64)) (* (- 1) tmp2__global__buf_72)) 2048) 4096))) ; (tmp137__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_16) + (4 * tmp2__global__buf_24)) + ((- 10) * tmp2__global__buf_32)) + (57 * tmp2__global__buf_40)) + (19 * tmp2__global__buf_48)) + ((- 7) * tmp2__global__buf_56)) + (3 * tmp2__global__buf_64)) + ((- 1) * tmp2__global__buf_72)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_16__value tmp137__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_16__value = tmp137__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_16 (ite (< tmp1__func_Clip3_variant_16__value 0) 0 (ite (> tmp1__func_Clip3_variant_16__value 255) 255 tmp1__func_Clip3_variant_16__value)))) ; (tmp1__func__return__Clip3_variant_16 = (ite (< tmp1__func_Clip3_variant_16__value 0) 0 (ite (> tmp1__func_Clip3_variant_16__value 255) 255 tmp1__func_Clip3_variant_16__value)))
(assert (= tmp1__global__predL0_16 tmp1__func__return__Clip3_variant_16)) ; (tmp1__global__predL0_16 = tmp1__func__return__Clip3_variant_16)
(assert (= tmp138__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_17) (* 4 tmp2__global__buf_25)) (* (- 10) tmp2__global__buf_33)) (* 57 tmp2__global__buf_41)) (* 19 tmp2__global__buf_49)) (* (- 7) tmp2__global__buf_57)) (* 3 tmp2__global__buf_65)) (* (- 1) tmp2__global__buf_73)) 2048) 4096))) ; (tmp138__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_17) + (4 * tmp2__global__buf_25)) + ((- 10) * tmp2__global__buf_33)) + (57 * tmp2__global__buf_41)) + (19 * tmp2__global__buf_49)) + ((- 7) * tmp2__global__buf_57)) + (3 * tmp2__global__buf_65)) + ((- 1) * tmp2__global__buf_73)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_17__value tmp138__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_17__value = tmp138__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_17 (ite (< tmp1__func_Clip3_variant_17__value 0) 0 (ite (> tmp1__func_Clip3_variant_17__value 255) 255 tmp1__func_Clip3_variant_17__value)))) ; (tmp1__func__return__Clip3_variant_17 = (ite (< tmp1__func_Clip3_variant_17__value 0) 0 (ite (> tmp1__func_Clip3_variant_17__value 255) 255 tmp1__func_Clip3_variant_17__value)))
(assert (= tmp1__global__predL0_17 tmp1__func__return__Clip3_variant_17)) ; (tmp1__global__predL0_17 = tmp1__func__return__Clip3_variant_17)
(assert (= tmp139__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_18) (* 4 tmp2__global__buf_26)) (* (- 10) tmp2__global__buf_34)) (* 57 tmp2__global__buf_42)) (* 19 tmp2__global__buf_50)) (* (- 7) tmp2__global__buf_58)) (* 3 tmp2__global__buf_66)) (* (- 1) tmp2__global__buf_74)) 2048) 4096))) ; (tmp139__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_18) + (4 * tmp2__global__buf_26)) + ((- 10) * tmp2__global__buf_34)) + (57 * tmp2__global__buf_42)) + (19 * tmp2__global__buf_50)) + ((- 7) * tmp2__global__buf_58)) + (3 * tmp2__global__buf_66)) + ((- 1) * tmp2__global__buf_74)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_18__value tmp139__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_18__value = tmp139__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_18 (ite (< tmp1__func_Clip3_variant_18__value 0) 0 (ite (> tmp1__func_Clip3_variant_18__value 255) 255 tmp1__func_Clip3_variant_18__value)))) ; (tmp1__func__return__Clip3_variant_18 = (ite (< tmp1__func_Clip3_variant_18__value 0) 0 (ite (> tmp1__func_Clip3_variant_18__value 255) 255 tmp1__func_Clip3_variant_18__value)))
(assert (= tmp1__global__predL0_18 tmp1__func__return__Clip3_variant_18)) ; (tmp1__global__predL0_18 = tmp1__func__return__Clip3_variant_18)
(assert (= tmp140__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_19) (* 4 tmp2__global__buf_27)) (* (- 10) tmp2__global__buf_35)) (* 57 tmp2__global__buf_43)) (* 19 tmp2__global__buf_51)) (* (- 7) tmp2__global__buf_59)) (* 3 tmp2__global__buf_67)) (* (- 1) tmp2__global__buf_75)) 2048) 4096))) ; (tmp140__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_19) + (4 * tmp2__global__buf_27)) + ((- 10) * tmp2__global__buf_35)) + (57 * tmp2__global__buf_43)) + (19 * tmp2__global__buf_51)) + ((- 7) * tmp2__global__buf_59)) + (3 * tmp2__global__buf_67)) + ((- 1) * tmp2__global__buf_75)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_19__value tmp140__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_19__value = tmp140__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_19 (ite (< tmp1__func_Clip3_variant_19__value 0) 0 (ite (> tmp1__func_Clip3_variant_19__value 255) 255 tmp1__func_Clip3_variant_19__value)))) ; (tmp1__func__return__Clip3_variant_19 = (ite (< tmp1__func_Clip3_variant_19__value 0) 0 (ite (> tmp1__func_Clip3_variant_19__value 255) 255 tmp1__func_Clip3_variant_19__value)))
(assert (= tmp1__global__predL0_19 tmp1__func__return__Clip3_variant_19)) ; (tmp1__global__predL0_19 = tmp1__func__return__Clip3_variant_19)
(assert (= tmp141__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_20) (* 4 tmp2__global__buf_28)) (* (- 10) tmp2__global__buf_36)) (* 57 tmp2__global__buf_44)) (* 19 tmp2__global__buf_52)) (* (- 7) tmp2__global__buf_60)) (* 3 tmp2__global__buf_68)) (* (- 1) tmp2__global__buf_76)) 2048) 4096))) ; (tmp141__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_20) + (4 * tmp2__global__buf_28)) + ((- 10) * tmp2__global__buf_36)) + (57 * tmp2__global__buf_44)) + (19 * tmp2__global__buf_52)) + ((- 7) * tmp2__global__buf_60)) + (3 * tmp2__global__buf_68)) + ((- 1) * tmp2__global__buf_76)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_20__value tmp141__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_20__value = tmp141__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_20 (ite (< tmp1__func_Clip3_variant_20__value 0) 0 (ite (> tmp1__func_Clip3_variant_20__value 255) 255 tmp1__func_Clip3_variant_20__value)))) ; (tmp1__func__return__Clip3_variant_20 = (ite (< tmp1__func_Clip3_variant_20__value 0) 0 (ite (> tmp1__func_Clip3_variant_20__value 255) 255 tmp1__func_Clip3_variant_20__value)))
(assert (= tmp1__global__predL0_20 tmp1__func__return__Clip3_variant_20)) ; (tmp1__global__predL0_20 = tmp1__func__return__Clip3_variant_20)
(assert (= tmp142__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_21) (* 4 tmp2__global__buf_29)) (* (- 10) tmp2__global__buf_37)) (* 57 tmp2__global__buf_45)) (* 19 tmp2__global__buf_53)) (* (- 7) tmp2__global__buf_61)) (* 3 tmp2__global__buf_69)) (* (- 1) tmp2__global__buf_77)) 2048) 4096))) ; (tmp142__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_21) + (4 * tmp2__global__buf_29)) + ((- 10) * tmp2__global__buf_37)) + (57 * tmp2__global__buf_45)) + (19 * tmp2__global__buf_53)) + ((- 7) * tmp2__global__buf_61)) + (3 * tmp2__global__buf_69)) + ((- 1) * tmp2__global__buf_77)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_21__value tmp142__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_21__value = tmp142__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_21 (ite (< tmp1__func_Clip3_variant_21__value 0) 0 (ite (> tmp1__func_Clip3_variant_21__value 255) 255 tmp1__func_Clip3_variant_21__value)))) ; (tmp1__func__return__Clip3_variant_21 = (ite (< tmp1__func_Clip3_variant_21__value 0) 0 (ite (> tmp1__func_Clip3_variant_21__value 255) 255 tmp1__func_Clip3_variant_21__value)))
(assert (= tmp1__global__predL0_21 tmp1__func__return__Clip3_variant_21)) ; (tmp1__global__predL0_21 = tmp1__func__return__Clip3_variant_21)
(assert (= tmp143__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_22) (* 4 tmp2__global__buf_30)) (* (- 10) tmp2__global__buf_38)) (* 57 tmp2__global__buf_46)) (* 19 tmp2__global__buf_54)) (* (- 7) tmp2__global__buf_62)) (* 3 tmp2__global__buf_70)) (* (- 1) tmp2__global__buf_78)) 2048) 4096))) ; (tmp143__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_22) + (4 * tmp2__global__buf_30)) + ((- 10) * tmp2__global__buf_38)) + (57 * tmp2__global__buf_46)) + (19 * tmp2__global__buf_54)) + ((- 7) * tmp2__global__buf_62)) + (3 * tmp2__global__buf_70)) + ((- 1) * tmp2__global__buf_78)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_22__value tmp143__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_22__value = tmp143__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_22 (ite (< tmp1__func_Clip3_variant_22__value 0) 0 (ite (> tmp1__func_Clip3_variant_22__value 255) 255 tmp1__func_Clip3_variant_22__value)))) ; (tmp1__func__return__Clip3_variant_22 = (ite (< tmp1__func_Clip3_variant_22__value 0) 0 (ite (> tmp1__func_Clip3_variant_22__value 255) 255 tmp1__func_Clip3_variant_22__value)))
(assert (= tmp1__global__predL0_22 tmp1__func__return__Clip3_variant_22)) ; (tmp1__global__predL0_22 = tmp1__func__return__Clip3_variant_22)
(assert (= tmp144__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_23) (* 4 tmp2__global__buf_31)) (* (- 10) tmp2__global__buf_39)) (* 57 tmp2__global__buf_47)) (* 19 tmp2__global__buf_55)) (* (- 7) tmp2__global__buf_63)) (* 3 tmp2__global__buf_71)) (* (- 1) tmp2__global__buf_79)) 2048) 4096))) ; (tmp144__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_23) + (4 * tmp2__global__buf_31)) + ((- 10) * tmp2__global__buf_39)) + (57 * tmp2__global__buf_47)) + (19 * tmp2__global__buf_55)) + ((- 7) * tmp2__global__buf_63)) + (3 * tmp2__global__buf_71)) + ((- 1) * tmp2__global__buf_79)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_23__value tmp144__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_23__value = tmp144__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_23 (ite (< tmp1__func_Clip3_variant_23__value 0) 0 (ite (> tmp1__func_Clip3_variant_23__value 255) 255 tmp1__func_Clip3_variant_23__value)))) ; (tmp1__func__return__Clip3_variant_23 = (ite (< tmp1__func_Clip3_variant_23__value 0) 0 (ite (> tmp1__func_Clip3_variant_23__value 255) 255 tmp1__func_Clip3_variant_23__value)))
(assert (= tmp1__global__predL0_23 tmp1__func__return__Clip3_variant_23)) ; (tmp1__global__predL0_23 = tmp1__func__return__Clip3_variant_23)
(assert (= tmp145__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_24) (* 4 tmp2__global__buf_32)) (* (- 10) tmp2__global__buf_40)) (* 57 tmp2__global__buf_48)) (* 19 tmp2__global__buf_56)) (* (- 7) tmp2__global__buf_64)) (* 3 tmp2__global__buf_72)) (* (- 1) tmp2__global__buf_80)) 2048) 4096))) ; (tmp145__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_24) + (4 * tmp2__global__buf_32)) + ((- 10) * tmp2__global__buf_40)) + (57 * tmp2__global__buf_48)) + (19 * tmp2__global__buf_56)) + ((- 7) * tmp2__global__buf_64)) + (3 * tmp2__global__buf_72)) + ((- 1) * tmp2__global__buf_80)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_24__value tmp145__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_24__value = tmp145__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_24 (ite (< tmp1__func_Clip3_variant_24__value 0) 0 (ite (> tmp1__func_Clip3_variant_24__value 255) 255 tmp1__func_Clip3_variant_24__value)))) ; (tmp1__func__return__Clip3_variant_24 = (ite (< tmp1__func_Clip3_variant_24__value 0) 0 (ite (> tmp1__func_Clip3_variant_24__value 255) 255 tmp1__func_Clip3_variant_24__value)))
(assert (= tmp1__global__predL0_24 tmp1__func__return__Clip3_variant_24)) ; (tmp1__global__predL0_24 = tmp1__func__return__Clip3_variant_24)
(assert (= tmp146__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_25) (* 4 tmp2__global__buf_33)) (* (- 10) tmp2__global__buf_41)) (* 57 tmp2__global__buf_49)) (* 19 tmp2__global__buf_57)) (* (- 7) tmp2__global__buf_65)) (* 3 tmp2__global__buf_73)) (* (- 1) tmp2__global__buf_81)) 2048) 4096))) ; (tmp146__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_25) + (4 * tmp2__global__buf_33)) + ((- 10) * tmp2__global__buf_41)) + (57 * tmp2__global__buf_49)) + (19 * tmp2__global__buf_57)) + ((- 7) * tmp2__global__buf_65)) + (3 * tmp2__global__buf_73)) + ((- 1) * tmp2__global__buf_81)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_25__value tmp146__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_25__value = tmp146__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_25 (ite (< tmp1__func_Clip3_variant_25__value 0) 0 (ite (> tmp1__func_Clip3_variant_25__value 255) 255 tmp1__func_Clip3_variant_25__value)))) ; (tmp1__func__return__Clip3_variant_25 = (ite (< tmp1__func_Clip3_variant_25__value 0) 0 (ite (> tmp1__func_Clip3_variant_25__value 255) 255 tmp1__func_Clip3_variant_25__value)))
(assert (= tmp1__global__predL0_25 tmp1__func__return__Clip3_variant_25)) ; (tmp1__global__predL0_25 = tmp1__func__return__Clip3_variant_25)
(assert (= tmp147__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_26) (* 4 tmp2__global__buf_34)) (* (- 10) tmp2__global__buf_42)) (* 57 tmp2__global__buf_50)) (* 19 tmp2__global__buf_58)) (* (- 7) tmp2__global__buf_66)) (* 3 tmp2__global__buf_74)) (* (- 1) tmp2__global__buf_82)) 2048) 4096))) ; (tmp147__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_26) + (4 * tmp2__global__buf_34)) + ((- 10) * tmp2__global__buf_42)) + (57 * tmp2__global__buf_50)) + (19 * tmp2__global__buf_58)) + ((- 7) * tmp2__global__buf_66)) + (3 * tmp2__global__buf_74)) + ((- 1) * tmp2__global__buf_82)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_26__value tmp147__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_26__value = tmp147__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_26 (ite (< tmp1__func_Clip3_variant_26__value 0) 0 (ite (> tmp1__func_Clip3_variant_26__value 255) 255 tmp1__func_Clip3_variant_26__value)))) ; (tmp1__func__return__Clip3_variant_26 = (ite (< tmp1__func_Clip3_variant_26__value 0) 0 (ite (> tmp1__func_Clip3_variant_26__value 255) 255 tmp1__func_Clip3_variant_26__value)))
(assert (= tmp1__global__predL0_26 tmp1__func__return__Clip3_variant_26)) ; (tmp1__global__predL0_26 = tmp1__func__return__Clip3_variant_26)
(assert (= tmp148__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_27) (* 4 tmp2__global__buf_35)) (* (- 10) tmp2__global__buf_43)) (* 57 tmp2__global__buf_51)) (* 19 tmp2__global__buf_59)) (* (- 7) tmp2__global__buf_67)) (* 3 tmp2__global__buf_75)) (* (- 1) tmp2__global__buf_83)) 2048) 4096))) ; (tmp148__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_27) + (4 * tmp2__global__buf_35)) + ((- 10) * tmp2__global__buf_43)) + (57 * tmp2__global__buf_51)) + (19 * tmp2__global__buf_59)) + ((- 7) * tmp2__global__buf_67)) + (3 * tmp2__global__buf_75)) + ((- 1) * tmp2__global__buf_83)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_27__value tmp148__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_27__value = tmp148__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_27 (ite (< tmp1__func_Clip3_variant_27__value 0) 0 (ite (> tmp1__func_Clip3_variant_27__value 255) 255 tmp1__func_Clip3_variant_27__value)))) ; (tmp1__func__return__Clip3_variant_27 = (ite (< tmp1__func_Clip3_variant_27__value 0) 0 (ite (> tmp1__func_Clip3_variant_27__value 255) 255 tmp1__func_Clip3_variant_27__value)))
(assert (= tmp1__global__predL0_27 tmp1__func__return__Clip3_variant_27)) ; (tmp1__global__predL0_27 = tmp1__func__return__Clip3_variant_27)
(assert (= tmp149__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_28) (* 4 tmp2__global__buf_36)) (* (- 10) tmp2__global__buf_44)) (* 57 tmp2__global__buf_52)) (* 19 tmp2__global__buf_60)) (* (- 7) tmp2__global__buf_68)) (* 3 tmp2__global__buf_76)) (* (- 1) tmp2__global__buf_84)) 2048) 4096))) ; (tmp149__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_28) + (4 * tmp2__global__buf_36)) + ((- 10) * tmp2__global__buf_44)) + (57 * tmp2__global__buf_52)) + (19 * tmp2__global__buf_60)) + ((- 7) * tmp2__global__buf_68)) + (3 * tmp2__global__buf_76)) + ((- 1) * tmp2__global__buf_84)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_28__value tmp149__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_28__value = tmp149__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_28 (ite (< tmp1__func_Clip3_variant_28__value 0) 0 (ite (> tmp1__func_Clip3_variant_28__value 255) 255 tmp1__func_Clip3_variant_28__value)))) ; (tmp1__func__return__Clip3_variant_28 = (ite (< tmp1__func_Clip3_variant_28__value 0) 0 (ite (> tmp1__func_Clip3_variant_28__value 255) 255 tmp1__func_Clip3_variant_28__value)))
(assert (= tmp1__global__predL0_28 tmp1__func__return__Clip3_variant_28)) ; (tmp1__global__predL0_28 = tmp1__func__return__Clip3_variant_28)
(assert (= tmp150__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_29) (* 4 tmp2__global__buf_37)) (* (- 10) tmp2__global__buf_45)) (* 57 tmp2__global__buf_53)) (* 19 tmp2__global__buf_61)) (* (- 7) tmp2__global__buf_69)) (* 3 tmp2__global__buf_77)) (* (- 1) tmp2__global__buf_85)) 2048) 4096))) ; (tmp150__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_29) + (4 * tmp2__global__buf_37)) + ((- 10) * tmp2__global__buf_45)) + (57 * tmp2__global__buf_53)) + (19 * tmp2__global__buf_61)) + ((- 7) * tmp2__global__buf_69)) + (3 * tmp2__global__buf_77)) + ((- 1) * tmp2__global__buf_85)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_29__value tmp150__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_29__value = tmp150__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_29 (ite (< tmp1__func_Clip3_variant_29__value 0) 0 (ite (> tmp1__func_Clip3_variant_29__value 255) 255 tmp1__func_Clip3_variant_29__value)))) ; (tmp1__func__return__Clip3_variant_29 = (ite (< tmp1__func_Clip3_variant_29__value 0) 0 (ite (> tmp1__func_Clip3_variant_29__value 255) 255 tmp1__func_Clip3_variant_29__value)))
(assert (= tmp1__global__predL0_29 tmp1__func__return__Clip3_variant_29)) ; (tmp1__global__predL0_29 = tmp1__func__return__Clip3_variant_29)
(assert (= tmp151__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_30) (* 4 tmp2__global__buf_38)) (* (- 10) tmp2__global__buf_46)) (* 57 tmp2__global__buf_54)) (* 19 tmp2__global__buf_62)) (* (- 7) tmp2__global__buf_70)) (* 3 tmp2__global__buf_78)) (* (- 1) tmp2__global__buf_86)) 2048) 4096))) ; (tmp151__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_30) + (4 * tmp2__global__buf_38)) + ((- 10) * tmp2__global__buf_46)) + (57 * tmp2__global__buf_54)) + (19 * tmp2__global__buf_62)) + ((- 7) * tmp2__global__buf_70)) + (3 * tmp2__global__buf_78)) + ((- 1) * tmp2__global__buf_86)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_30__value tmp151__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_30__value = tmp151__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_30 (ite (< tmp1__func_Clip3_variant_30__value 0) 0 (ite (> tmp1__func_Clip3_variant_30__value 255) 255 tmp1__func_Clip3_variant_30__value)))) ; (tmp1__func__return__Clip3_variant_30 = (ite (< tmp1__func_Clip3_variant_30__value 0) 0 (ite (> tmp1__func_Clip3_variant_30__value 255) 255 tmp1__func_Clip3_variant_30__value)))
(assert (= tmp1__global__predL0_30 tmp1__func__return__Clip3_variant_30)) ; (tmp1__global__predL0_30 = tmp1__func__return__Clip3_variant_30)
(assert (= tmp152__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_31) (* 4 tmp2__global__buf_39)) (* (- 10) tmp2__global__buf_47)) (* 57 tmp2__global__buf_55)) (* 19 tmp2__global__buf_63)) (* (- 7) tmp2__global__buf_71)) (* 3 tmp2__global__buf_79)) (* (- 1) tmp2__global__buf_87)) 2048) 4096))) ; (tmp152__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_31) + (4 * tmp2__global__buf_39)) + ((- 10) * tmp2__global__buf_47)) + (57 * tmp2__global__buf_55)) + (19 * tmp2__global__buf_63)) + ((- 7) * tmp2__global__buf_71)) + (3 * tmp2__global__buf_79)) + ((- 1) * tmp2__global__buf_87)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_31__value tmp152__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_31__value = tmp152__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_31 (ite (< tmp1__func_Clip3_variant_31__value 0) 0 (ite (> tmp1__func_Clip3_variant_31__value 255) 255 tmp1__func_Clip3_variant_31__value)))) ; (tmp1__func__return__Clip3_variant_31 = (ite (< tmp1__func_Clip3_variant_31__value 0) 0 (ite (> tmp1__func_Clip3_variant_31__value 255) 255 tmp1__func_Clip3_variant_31__value)))
(assert (= tmp1__global__predL0_31 tmp1__func__return__Clip3_variant_31)) ; (tmp1__global__predL0_31 = tmp1__func__return__Clip3_variant_31)
(assert (= tmp153__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_32) (* 4 tmp2__global__buf_40)) (* (- 10) tmp2__global__buf_48)) (* 57 tmp2__global__buf_56)) (* 19 tmp2__global__buf_64)) (* (- 7) tmp2__global__buf_72)) (* 3 tmp2__global__buf_80)) (* (- 1) tmp2__global__buf_88)) 2048) 4096))) ; (tmp153__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_32) + (4 * tmp2__global__buf_40)) + ((- 10) * tmp2__global__buf_48)) + (57 * tmp2__global__buf_56)) + (19 * tmp2__global__buf_64)) + ((- 7) * tmp2__global__buf_72)) + (3 * tmp2__global__buf_80)) + ((- 1) * tmp2__global__buf_88)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_32__value tmp153__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_32__value = tmp153__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_32 (ite (< tmp1__func_Clip3_variant_32__value 0) 0 (ite (> tmp1__func_Clip3_variant_32__value 255) 255 tmp1__func_Clip3_variant_32__value)))) ; (tmp1__func__return__Clip3_variant_32 = (ite (< tmp1__func_Clip3_variant_32__value 0) 0 (ite (> tmp1__func_Clip3_variant_32__value 255) 255 tmp1__func_Clip3_variant_32__value)))
(assert (= tmp1__global__predL0_32 tmp1__func__return__Clip3_variant_32)) ; (tmp1__global__predL0_32 = tmp1__func__return__Clip3_variant_32)
(assert (= tmp154__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_33) (* 4 tmp2__global__buf_41)) (* (- 10) tmp2__global__buf_49)) (* 57 tmp2__global__buf_57)) (* 19 tmp2__global__buf_65)) (* (- 7) tmp2__global__buf_73)) (* 3 tmp2__global__buf_81)) (* (- 1) tmp2__global__buf_89)) 2048) 4096))) ; (tmp154__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_33) + (4 * tmp2__global__buf_41)) + ((- 10) * tmp2__global__buf_49)) + (57 * tmp2__global__buf_57)) + (19 * tmp2__global__buf_65)) + ((- 7) * tmp2__global__buf_73)) + (3 * tmp2__global__buf_81)) + ((- 1) * tmp2__global__buf_89)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_33__value tmp154__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_33__value = tmp154__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_33 (ite (< tmp1__func_Clip3_variant_33__value 0) 0 (ite (> tmp1__func_Clip3_variant_33__value 255) 255 tmp1__func_Clip3_variant_33__value)))) ; (tmp1__func__return__Clip3_variant_33 = (ite (< tmp1__func_Clip3_variant_33__value 0) 0 (ite (> tmp1__func_Clip3_variant_33__value 255) 255 tmp1__func_Clip3_variant_33__value)))
(assert (= tmp1__global__predL0_33 tmp1__func__return__Clip3_variant_33)) ; (tmp1__global__predL0_33 = tmp1__func__return__Clip3_variant_33)
(assert (= tmp155__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_34) (* 4 tmp2__global__buf_42)) (* (- 10) tmp2__global__buf_50)) (* 57 tmp2__global__buf_58)) (* 19 tmp2__global__buf_66)) (* (- 7) tmp2__global__buf_74)) (* 3 tmp2__global__buf_82)) (* (- 1) tmp2__global__buf_90)) 2048) 4096))) ; (tmp155__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_34) + (4 * tmp2__global__buf_42)) + ((- 10) * tmp2__global__buf_50)) + (57 * tmp2__global__buf_58)) + (19 * tmp2__global__buf_66)) + ((- 7) * tmp2__global__buf_74)) + (3 * tmp2__global__buf_82)) + ((- 1) * tmp2__global__buf_90)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_34__value tmp155__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_34__value = tmp155__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_34 (ite (< tmp1__func_Clip3_variant_34__value 0) 0 (ite (> tmp1__func_Clip3_variant_34__value 255) 255 tmp1__func_Clip3_variant_34__value)))) ; (tmp1__func__return__Clip3_variant_34 = (ite (< tmp1__func_Clip3_variant_34__value 0) 0 (ite (> tmp1__func_Clip3_variant_34__value 255) 255 tmp1__func_Clip3_variant_34__value)))
(assert (= tmp1__global__predL0_34 tmp1__func__return__Clip3_variant_34)) ; (tmp1__global__predL0_34 = tmp1__func__return__Clip3_variant_34)
(assert (= tmp156__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_35) (* 4 tmp2__global__buf_43)) (* (- 10) tmp2__global__buf_51)) (* 57 tmp2__global__buf_59)) (* 19 tmp2__global__buf_67)) (* (- 7) tmp2__global__buf_75)) (* 3 tmp2__global__buf_83)) (* (- 1) tmp2__global__buf_91)) 2048) 4096))) ; (tmp156__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_35) + (4 * tmp2__global__buf_43)) + ((- 10) * tmp2__global__buf_51)) + (57 * tmp2__global__buf_59)) + (19 * tmp2__global__buf_67)) + ((- 7) * tmp2__global__buf_75)) + (3 * tmp2__global__buf_83)) + ((- 1) * tmp2__global__buf_91)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_35__value tmp156__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_35__value = tmp156__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_35 (ite (< tmp1__func_Clip3_variant_35__value 0) 0 (ite (> tmp1__func_Clip3_variant_35__value 255) 255 tmp1__func_Clip3_variant_35__value)))) ; (tmp1__func__return__Clip3_variant_35 = (ite (< tmp1__func_Clip3_variant_35__value 0) 0 (ite (> tmp1__func_Clip3_variant_35__value 255) 255 tmp1__func_Clip3_variant_35__value)))
(assert (= tmp1__global__predL0_35 tmp1__func__return__Clip3_variant_35)) ; (tmp1__global__predL0_35 = tmp1__func__return__Clip3_variant_35)
(assert (= tmp157__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_36) (* 4 tmp2__global__buf_44)) (* (- 10) tmp2__global__buf_52)) (* 57 tmp2__global__buf_60)) (* 19 tmp2__global__buf_68)) (* (- 7) tmp2__global__buf_76)) (* 3 tmp2__global__buf_84)) (* (- 1) tmp2__global__buf_92)) 2048) 4096))) ; (tmp157__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_36) + (4 * tmp2__global__buf_44)) + ((- 10) * tmp2__global__buf_52)) + (57 * tmp2__global__buf_60)) + (19 * tmp2__global__buf_68)) + ((- 7) * tmp2__global__buf_76)) + (3 * tmp2__global__buf_84)) + ((- 1) * tmp2__global__buf_92)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_36__value tmp157__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_36__value = tmp157__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_36 (ite (< tmp1__func_Clip3_variant_36__value 0) 0 (ite (> tmp1__func_Clip3_variant_36__value 255) 255 tmp1__func_Clip3_variant_36__value)))) ; (tmp1__func__return__Clip3_variant_36 = (ite (< tmp1__func_Clip3_variant_36__value 0) 0 (ite (> tmp1__func_Clip3_variant_36__value 255) 255 tmp1__func_Clip3_variant_36__value)))
(assert (= tmp1__global__predL0_36 tmp1__func__return__Clip3_variant_36)) ; (tmp1__global__predL0_36 = tmp1__func__return__Clip3_variant_36)
(assert (= tmp158__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_37) (* 4 tmp2__global__buf_45)) (* (- 10) tmp2__global__buf_53)) (* 57 tmp2__global__buf_61)) (* 19 tmp2__global__buf_69)) (* (- 7) tmp2__global__buf_77)) (* 3 tmp2__global__buf_85)) (* (- 1) tmp2__global__buf_93)) 2048) 4096))) ; (tmp158__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_37) + (4 * tmp2__global__buf_45)) + ((- 10) * tmp2__global__buf_53)) + (57 * tmp2__global__buf_61)) + (19 * tmp2__global__buf_69)) + ((- 7) * tmp2__global__buf_77)) + (3 * tmp2__global__buf_85)) + ((- 1) * tmp2__global__buf_93)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_37__value tmp158__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_37__value = tmp158__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_37 (ite (< tmp1__func_Clip3_variant_37__value 0) 0 (ite (> tmp1__func_Clip3_variant_37__value 255) 255 tmp1__func_Clip3_variant_37__value)))) ; (tmp1__func__return__Clip3_variant_37 = (ite (< tmp1__func_Clip3_variant_37__value 0) 0 (ite (> tmp1__func_Clip3_variant_37__value 255) 255 tmp1__func_Clip3_variant_37__value)))
(assert (= tmp1__global__predL0_37 tmp1__func__return__Clip3_variant_37)) ; (tmp1__global__predL0_37 = tmp1__func__return__Clip3_variant_37)
(assert (= tmp159__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_38) (* 4 tmp2__global__buf_46)) (* (- 10) tmp2__global__buf_54)) (* 57 tmp2__global__buf_62)) (* 19 tmp2__global__buf_70)) (* (- 7) tmp2__global__buf_78)) (* 3 tmp2__global__buf_86)) (* (- 1) tmp2__global__buf_94)) 2048) 4096))) ; (tmp159__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_38) + (4 * tmp2__global__buf_46)) + ((- 10) * tmp2__global__buf_54)) + (57 * tmp2__global__buf_62)) + (19 * tmp2__global__buf_70)) + ((- 7) * tmp2__global__buf_78)) + (3 * tmp2__global__buf_86)) + ((- 1) * tmp2__global__buf_94)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_38__value tmp159__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_38__value = tmp159__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_38 (ite (< tmp1__func_Clip3_variant_38__value 0) 0 (ite (> tmp1__func_Clip3_variant_38__value 255) 255 tmp1__func_Clip3_variant_38__value)))) ; (tmp1__func__return__Clip3_variant_38 = (ite (< tmp1__func_Clip3_variant_38__value 0) 0 (ite (> tmp1__func_Clip3_variant_38__value 255) 255 tmp1__func_Clip3_variant_38__value)))
(assert (= tmp1__global__predL0_38 tmp1__func__return__Clip3_variant_38)) ; (tmp1__global__predL0_38 = tmp1__func__return__Clip3_variant_38)
(assert (= tmp160__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_39) (* 4 tmp2__global__buf_47)) (* (- 10) tmp2__global__buf_55)) (* 57 tmp2__global__buf_63)) (* 19 tmp2__global__buf_71)) (* (- 7) tmp2__global__buf_79)) (* 3 tmp2__global__buf_87)) (* (- 1) tmp2__global__buf_95)) 2048) 4096))) ; (tmp160__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_39) + (4 * tmp2__global__buf_47)) + ((- 10) * tmp2__global__buf_55)) + (57 * tmp2__global__buf_63)) + (19 * tmp2__global__buf_71)) + ((- 7) * tmp2__global__buf_79)) + (3 * tmp2__global__buf_87)) + ((- 1) * tmp2__global__buf_95)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_39__value tmp160__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_39__value = tmp160__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_39 (ite (< tmp1__func_Clip3_variant_39__value 0) 0 (ite (> tmp1__func_Clip3_variant_39__value 255) 255 tmp1__func_Clip3_variant_39__value)))) ; (tmp1__func__return__Clip3_variant_39 = (ite (< tmp1__func_Clip3_variant_39__value 0) 0 (ite (> tmp1__func_Clip3_variant_39__value 255) 255 tmp1__func_Clip3_variant_39__value)))
(assert (= tmp1__global__predL0_39 tmp1__func__return__Clip3_variant_39)) ; (tmp1__global__predL0_39 = tmp1__func__return__Clip3_variant_39)
(assert (= tmp161__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_40) (* 4 tmp2__global__buf_48)) (* (- 10) tmp2__global__buf_56)) (* 57 tmp2__global__buf_64)) (* 19 tmp2__global__buf_72)) (* (- 7) tmp2__global__buf_80)) (* 3 tmp2__global__buf_88)) (* (- 1) tmp2__global__buf_96)) 2048) 4096))) ; (tmp161__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_40) + (4 * tmp2__global__buf_48)) + ((- 10) * tmp2__global__buf_56)) + (57 * tmp2__global__buf_64)) + (19 * tmp2__global__buf_72)) + ((- 7) * tmp2__global__buf_80)) + (3 * tmp2__global__buf_88)) + ((- 1) * tmp2__global__buf_96)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_40__value tmp161__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_40__value = tmp161__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_40 (ite (< tmp1__func_Clip3_variant_40__value 0) 0 (ite (> tmp1__func_Clip3_variant_40__value 255) 255 tmp1__func_Clip3_variant_40__value)))) ; (tmp1__func__return__Clip3_variant_40 = (ite (< tmp1__func_Clip3_variant_40__value 0) 0 (ite (> tmp1__func_Clip3_variant_40__value 255) 255 tmp1__func_Clip3_variant_40__value)))
(assert (= tmp1__global__predL0_40 tmp1__func__return__Clip3_variant_40)) ; (tmp1__global__predL0_40 = tmp1__func__return__Clip3_variant_40)
(assert (= tmp162__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_41) (* 4 tmp2__global__buf_49)) (* (- 10) tmp2__global__buf_57)) (* 57 tmp2__global__buf_65)) (* 19 tmp2__global__buf_73)) (* (- 7) tmp2__global__buf_81)) (* 3 tmp2__global__buf_89)) (* (- 1) tmp2__global__buf_97)) 2048) 4096))) ; (tmp162__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_41) + (4 * tmp2__global__buf_49)) + ((- 10) * tmp2__global__buf_57)) + (57 * tmp2__global__buf_65)) + (19 * tmp2__global__buf_73)) + ((- 7) * tmp2__global__buf_81)) + (3 * tmp2__global__buf_89)) + ((- 1) * tmp2__global__buf_97)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_41__value tmp162__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_41__value = tmp162__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_41 (ite (< tmp1__func_Clip3_variant_41__value 0) 0 (ite (> tmp1__func_Clip3_variant_41__value 255) 255 tmp1__func_Clip3_variant_41__value)))) ; (tmp1__func__return__Clip3_variant_41 = (ite (< tmp1__func_Clip3_variant_41__value 0) 0 (ite (> tmp1__func_Clip3_variant_41__value 255) 255 tmp1__func_Clip3_variant_41__value)))
(assert (= tmp1__global__predL0_41 tmp1__func__return__Clip3_variant_41)) ; (tmp1__global__predL0_41 = tmp1__func__return__Clip3_variant_41)
(assert (= tmp163__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_42) (* 4 tmp2__global__buf_50)) (* (- 10) tmp2__global__buf_58)) (* 57 tmp2__global__buf_66)) (* 19 tmp2__global__buf_74)) (* (- 7) tmp2__global__buf_82)) (* 3 tmp2__global__buf_90)) (* (- 1) tmp2__global__buf_98)) 2048) 4096))) ; (tmp163__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_42) + (4 * tmp2__global__buf_50)) + ((- 10) * tmp2__global__buf_58)) + (57 * tmp2__global__buf_66)) + (19 * tmp2__global__buf_74)) + ((- 7) * tmp2__global__buf_82)) + (3 * tmp2__global__buf_90)) + ((- 1) * tmp2__global__buf_98)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_42__value tmp163__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_42__value = tmp163__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_42 (ite (< tmp1__func_Clip3_variant_42__value 0) 0 (ite (> tmp1__func_Clip3_variant_42__value 255) 255 tmp1__func_Clip3_variant_42__value)))) ; (tmp1__func__return__Clip3_variant_42 = (ite (< tmp1__func_Clip3_variant_42__value 0) 0 (ite (> tmp1__func_Clip3_variant_42__value 255) 255 tmp1__func_Clip3_variant_42__value)))
(assert (= tmp1__global__predL0_42 tmp1__func__return__Clip3_variant_42)) ; (tmp1__global__predL0_42 = tmp1__func__return__Clip3_variant_42)
(assert (= tmp164__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_43) (* 4 tmp2__global__buf_51)) (* (- 10) tmp2__global__buf_59)) (* 57 tmp2__global__buf_67)) (* 19 tmp2__global__buf_75)) (* (- 7) tmp2__global__buf_83)) (* 3 tmp2__global__buf_91)) (* (- 1) tmp2__global__buf_99)) 2048) 4096))) ; (tmp164__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_43) + (4 * tmp2__global__buf_51)) + ((- 10) * tmp2__global__buf_59)) + (57 * tmp2__global__buf_67)) + (19 * tmp2__global__buf_75)) + ((- 7) * tmp2__global__buf_83)) + (3 * tmp2__global__buf_91)) + ((- 1) * tmp2__global__buf_99)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_43__value tmp164__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_43__value = tmp164__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_43 (ite (< tmp1__func_Clip3_variant_43__value 0) 0 (ite (> tmp1__func_Clip3_variant_43__value 255) 255 tmp1__func_Clip3_variant_43__value)))) ; (tmp1__func__return__Clip3_variant_43 = (ite (< tmp1__func_Clip3_variant_43__value 0) 0 (ite (> tmp1__func_Clip3_variant_43__value 255) 255 tmp1__func_Clip3_variant_43__value)))
(assert (= tmp1__global__predL0_43 tmp1__func__return__Clip3_variant_43)) ; (tmp1__global__predL0_43 = tmp1__func__return__Clip3_variant_43)
(assert (= tmp165__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_44) (* 4 tmp2__global__buf_52)) (* (- 10) tmp2__global__buf_60)) (* 57 tmp2__global__buf_68)) (* 19 tmp2__global__buf_76)) (* (- 7) tmp2__global__buf_84)) (* 3 tmp2__global__buf_92)) (* (- 1) tmp2__global__buf_100)) 2048) 4096))) ; (tmp165__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_44) + (4 * tmp2__global__buf_52)) + ((- 10) * tmp2__global__buf_60)) + (57 * tmp2__global__buf_68)) + (19 * tmp2__global__buf_76)) + ((- 7) * tmp2__global__buf_84)) + (3 * tmp2__global__buf_92)) + ((- 1) * tmp2__global__buf_100)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_44__value tmp165__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_44__value = tmp165__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_44 (ite (< tmp1__func_Clip3_variant_44__value 0) 0 (ite (> tmp1__func_Clip3_variant_44__value 255) 255 tmp1__func_Clip3_variant_44__value)))) ; (tmp1__func__return__Clip3_variant_44 = (ite (< tmp1__func_Clip3_variant_44__value 0) 0 (ite (> tmp1__func_Clip3_variant_44__value 255) 255 tmp1__func_Clip3_variant_44__value)))
(assert (= tmp1__global__predL0_44 tmp1__func__return__Clip3_variant_44)) ; (tmp1__global__predL0_44 = tmp1__func__return__Clip3_variant_44)
(assert (= tmp166__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_45) (* 4 tmp2__global__buf_53)) (* (- 10) tmp2__global__buf_61)) (* 57 tmp2__global__buf_69)) (* 19 tmp2__global__buf_77)) (* (- 7) tmp2__global__buf_85)) (* 3 tmp2__global__buf_93)) (* (- 1) tmp2__global__buf_101)) 2048) 4096))) ; (tmp166__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_45) + (4 * tmp2__global__buf_53)) + ((- 10) * tmp2__global__buf_61)) + (57 * tmp2__global__buf_69)) + (19 * tmp2__global__buf_77)) + ((- 7) * tmp2__global__buf_85)) + (3 * tmp2__global__buf_93)) + ((- 1) * tmp2__global__buf_101)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_45__value tmp166__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_45__value = tmp166__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_45 (ite (< tmp1__func_Clip3_variant_45__value 0) 0 (ite (> tmp1__func_Clip3_variant_45__value 255) 255 tmp1__func_Clip3_variant_45__value)))) ; (tmp1__func__return__Clip3_variant_45 = (ite (< tmp1__func_Clip3_variant_45__value 0) 0 (ite (> tmp1__func_Clip3_variant_45__value 255) 255 tmp1__func_Clip3_variant_45__value)))
(assert (= tmp1__global__predL0_45 tmp1__func__return__Clip3_variant_45)) ; (tmp1__global__predL0_45 = tmp1__func__return__Clip3_variant_45)
(assert (= tmp167__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_46) (* 4 tmp2__global__buf_54)) (* (- 10) tmp2__global__buf_62)) (* 57 tmp2__global__buf_70)) (* 19 tmp2__global__buf_78)) (* (- 7) tmp2__global__buf_86)) (* 3 tmp2__global__buf_94)) (* (- 1) tmp2__global__buf_102)) 2048) 4096))) ; (tmp167__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_46) + (4 * tmp2__global__buf_54)) + ((- 10) * tmp2__global__buf_62)) + (57 * tmp2__global__buf_70)) + (19 * tmp2__global__buf_78)) + ((- 7) * tmp2__global__buf_86)) + (3 * tmp2__global__buf_94)) + ((- 1) * tmp2__global__buf_102)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_46__value tmp167__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_46__value = tmp167__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_46 (ite (< tmp1__func_Clip3_variant_46__value 0) 0 (ite (> tmp1__func_Clip3_variant_46__value 255) 255 tmp1__func_Clip3_variant_46__value)))) ; (tmp1__func__return__Clip3_variant_46 = (ite (< tmp1__func_Clip3_variant_46__value 0) 0 (ite (> tmp1__func_Clip3_variant_46__value 255) 255 tmp1__func_Clip3_variant_46__value)))
(assert (= tmp1__global__predL0_46 tmp1__func__return__Clip3_variant_46)) ; (tmp1__global__predL0_46 = tmp1__func__return__Clip3_variant_46)
(assert (= tmp168__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_47) (* 4 tmp2__global__buf_55)) (* (- 10) tmp2__global__buf_63)) (* 57 tmp2__global__buf_71)) (* 19 tmp2__global__buf_79)) (* (- 7) tmp2__global__buf_87)) (* 3 tmp2__global__buf_95)) (* (- 1) tmp2__global__buf_103)) 2048) 4096))) ; (tmp168__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_47) + (4 * tmp2__global__buf_55)) + ((- 10) * tmp2__global__buf_63)) + (57 * tmp2__global__buf_71)) + (19 * tmp2__global__buf_79)) + ((- 7) * tmp2__global__buf_87)) + (3 * tmp2__global__buf_95)) + ((- 1) * tmp2__global__buf_103)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_47__value tmp168__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_47__value = tmp168__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_47 (ite (< tmp1__func_Clip3_variant_47__value 0) 0 (ite (> tmp1__func_Clip3_variant_47__value 255) 255 tmp1__func_Clip3_variant_47__value)))) ; (tmp1__func__return__Clip3_variant_47 = (ite (< tmp1__func_Clip3_variant_47__value 0) 0 (ite (> tmp1__func_Clip3_variant_47__value 255) 255 tmp1__func_Clip3_variant_47__value)))
(assert (= tmp1__global__predL0_47 tmp1__func__return__Clip3_variant_47)) ; (tmp1__global__predL0_47 = tmp1__func__return__Clip3_variant_47)
(assert (= tmp169__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_48) (* 4 tmp2__global__buf_56)) (* (- 10) tmp2__global__buf_64)) (* 57 tmp2__global__buf_72)) (* 19 tmp2__global__buf_80)) (* (- 7) tmp2__global__buf_88)) (* 3 tmp2__global__buf_96)) (* (- 1) tmp2__global__buf_104)) 2048) 4096))) ; (tmp169__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_48) + (4 * tmp2__global__buf_56)) + ((- 10) * tmp2__global__buf_64)) + (57 * tmp2__global__buf_72)) + (19 * tmp2__global__buf_80)) + ((- 7) * tmp2__global__buf_88)) + (3 * tmp2__global__buf_96)) + ((- 1) * tmp2__global__buf_104)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_48__value tmp169__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_48__value = tmp169__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_48 (ite (< tmp1__func_Clip3_variant_48__value 0) 0 (ite (> tmp1__func_Clip3_variant_48__value 255) 255 tmp1__func_Clip3_variant_48__value)))) ; (tmp1__func__return__Clip3_variant_48 = (ite (< tmp1__func_Clip3_variant_48__value 0) 0 (ite (> tmp1__func_Clip3_variant_48__value 255) 255 tmp1__func_Clip3_variant_48__value)))
(assert (= tmp1__global__predL0_48 tmp1__func__return__Clip3_variant_48)) ; (tmp1__global__predL0_48 = tmp1__func__return__Clip3_variant_48)
(assert (= tmp170__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_49) (* 4 tmp2__global__buf_57)) (* (- 10) tmp2__global__buf_65)) (* 57 tmp2__global__buf_73)) (* 19 tmp2__global__buf_81)) (* (- 7) tmp2__global__buf_89)) (* 3 tmp2__global__buf_97)) (* (- 1) tmp2__global__buf_105)) 2048) 4096))) ; (tmp170__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_49) + (4 * tmp2__global__buf_57)) + ((- 10) * tmp2__global__buf_65)) + (57 * tmp2__global__buf_73)) + (19 * tmp2__global__buf_81)) + ((- 7) * tmp2__global__buf_89)) + (3 * tmp2__global__buf_97)) + ((- 1) * tmp2__global__buf_105)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_49__value tmp170__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_49__value = tmp170__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_49 (ite (< tmp1__func_Clip3_variant_49__value 0) 0 (ite (> tmp1__func_Clip3_variant_49__value 255) 255 tmp1__func_Clip3_variant_49__value)))) ; (tmp1__func__return__Clip3_variant_49 = (ite (< tmp1__func_Clip3_variant_49__value 0) 0 (ite (> tmp1__func_Clip3_variant_49__value 255) 255 tmp1__func_Clip3_variant_49__value)))
(assert (= tmp1__global__predL0_49 tmp1__func__return__Clip3_variant_49)) ; (tmp1__global__predL0_49 = tmp1__func__return__Clip3_variant_49)
(assert (= tmp171__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_50) (* 4 tmp2__global__buf_58)) (* (- 10) tmp2__global__buf_66)) (* 57 tmp2__global__buf_74)) (* 19 tmp2__global__buf_82)) (* (- 7) tmp2__global__buf_90)) (* 3 tmp2__global__buf_98)) (* (- 1) tmp2__global__buf_106)) 2048) 4096))) ; (tmp171__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_50) + (4 * tmp2__global__buf_58)) + ((- 10) * tmp2__global__buf_66)) + (57 * tmp2__global__buf_74)) + (19 * tmp2__global__buf_82)) + ((- 7) * tmp2__global__buf_90)) + (3 * tmp2__global__buf_98)) + ((- 1) * tmp2__global__buf_106)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_50__value tmp171__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_50__value = tmp171__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_50 (ite (< tmp1__func_Clip3_variant_50__value 0) 0 (ite (> tmp1__func_Clip3_variant_50__value 255) 255 tmp1__func_Clip3_variant_50__value)))) ; (tmp1__func__return__Clip3_variant_50 = (ite (< tmp1__func_Clip3_variant_50__value 0) 0 (ite (> tmp1__func_Clip3_variant_50__value 255) 255 tmp1__func_Clip3_variant_50__value)))
(assert (= tmp1__global__predL0_50 tmp1__func__return__Clip3_variant_50)) ; (tmp1__global__predL0_50 = tmp1__func__return__Clip3_variant_50)
(assert (= tmp172__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_51) (* 4 tmp2__global__buf_59)) (* (- 10) tmp2__global__buf_67)) (* 57 tmp2__global__buf_75)) (* 19 tmp2__global__buf_83)) (* (- 7) tmp2__global__buf_91)) (* 3 tmp2__global__buf_99)) (* (- 1) tmp2__global__buf_107)) 2048) 4096))) ; (tmp172__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_51) + (4 * tmp2__global__buf_59)) + ((- 10) * tmp2__global__buf_67)) + (57 * tmp2__global__buf_75)) + (19 * tmp2__global__buf_83)) + ((- 7) * tmp2__global__buf_91)) + (3 * tmp2__global__buf_99)) + ((- 1) * tmp2__global__buf_107)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_51__value tmp172__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_51__value = tmp172__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_51 (ite (< tmp1__func_Clip3_variant_51__value 0) 0 (ite (> tmp1__func_Clip3_variant_51__value 255) 255 tmp1__func_Clip3_variant_51__value)))) ; (tmp1__func__return__Clip3_variant_51 = (ite (< tmp1__func_Clip3_variant_51__value 0) 0 (ite (> tmp1__func_Clip3_variant_51__value 255) 255 tmp1__func_Clip3_variant_51__value)))
(assert (= tmp1__global__predL0_51 tmp1__func__return__Clip3_variant_51)) ; (tmp1__global__predL0_51 = tmp1__func__return__Clip3_variant_51)
(assert (= tmp173__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_52) (* 4 tmp2__global__buf_60)) (* (- 10) tmp2__global__buf_68)) (* 57 tmp2__global__buf_76)) (* 19 tmp2__global__buf_84)) (* (- 7) tmp2__global__buf_92)) (* 3 tmp2__global__buf_100)) (* (- 1) tmp2__global__buf_108)) 2048) 4096))) ; (tmp173__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_52) + (4 * tmp2__global__buf_60)) + ((- 10) * tmp2__global__buf_68)) + (57 * tmp2__global__buf_76)) + (19 * tmp2__global__buf_84)) + ((- 7) * tmp2__global__buf_92)) + (3 * tmp2__global__buf_100)) + ((- 1) * tmp2__global__buf_108)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_52__value tmp173__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_52__value = tmp173__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_52 (ite (< tmp1__func_Clip3_variant_52__value 0) 0 (ite (> tmp1__func_Clip3_variant_52__value 255) 255 tmp1__func_Clip3_variant_52__value)))) ; (tmp1__func__return__Clip3_variant_52 = (ite (< tmp1__func_Clip3_variant_52__value 0) 0 (ite (> tmp1__func_Clip3_variant_52__value 255) 255 tmp1__func_Clip3_variant_52__value)))
(assert (= tmp1__global__predL0_52 tmp1__func__return__Clip3_variant_52)) ; (tmp1__global__predL0_52 = tmp1__func__return__Clip3_variant_52)
(assert (= tmp174__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_53) (* 4 tmp2__global__buf_61)) (* (- 10) tmp2__global__buf_69)) (* 57 tmp2__global__buf_77)) (* 19 tmp2__global__buf_85)) (* (- 7) tmp2__global__buf_93)) (* 3 tmp2__global__buf_101)) (* (- 1) tmp2__global__buf_109)) 2048) 4096))) ; (tmp174__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_53) + (4 * tmp2__global__buf_61)) + ((- 10) * tmp2__global__buf_69)) + (57 * tmp2__global__buf_77)) + (19 * tmp2__global__buf_85)) + ((- 7) * tmp2__global__buf_93)) + (3 * tmp2__global__buf_101)) + ((- 1) * tmp2__global__buf_109)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_53__value tmp174__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_53__value = tmp174__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_53 (ite (< tmp1__func_Clip3_variant_53__value 0) 0 (ite (> tmp1__func_Clip3_variant_53__value 255) 255 tmp1__func_Clip3_variant_53__value)))) ; (tmp1__func__return__Clip3_variant_53 = (ite (< tmp1__func_Clip3_variant_53__value 0) 0 (ite (> tmp1__func_Clip3_variant_53__value 255) 255 tmp1__func_Clip3_variant_53__value)))
(assert (= tmp1__global__predL0_53 tmp1__func__return__Clip3_variant_53)) ; (tmp1__global__predL0_53 = tmp1__func__return__Clip3_variant_53)
(assert (= tmp175__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_54) (* 4 tmp2__global__buf_62)) (* (- 10) tmp2__global__buf_70)) (* 57 tmp2__global__buf_78)) (* 19 tmp2__global__buf_86)) (* (- 7) tmp2__global__buf_94)) (* 3 tmp2__global__buf_102)) (* (- 1) tmp2__global__buf_110)) 2048) 4096))) ; (tmp175__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_54) + (4 * tmp2__global__buf_62)) + ((- 10) * tmp2__global__buf_70)) + (57 * tmp2__global__buf_78)) + (19 * tmp2__global__buf_86)) + ((- 7) * tmp2__global__buf_94)) + (3 * tmp2__global__buf_102)) + ((- 1) * tmp2__global__buf_110)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_54__value tmp175__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_54__value = tmp175__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_54 (ite (< tmp1__func_Clip3_variant_54__value 0) 0 (ite (> tmp1__func_Clip3_variant_54__value 255) 255 tmp1__func_Clip3_variant_54__value)))) ; (tmp1__func__return__Clip3_variant_54 = (ite (< tmp1__func_Clip3_variant_54__value 0) 0 (ite (> tmp1__func_Clip3_variant_54__value 255) 255 tmp1__func_Clip3_variant_54__value)))
(assert (= tmp1__global__predL0_54 tmp1__func__return__Clip3_variant_54)) ; (tmp1__global__predL0_54 = tmp1__func__return__Clip3_variant_54)
(assert (= tmp176__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_55) (* 4 tmp2__global__buf_63)) (* (- 10) tmp2__global__buf_71)) (* 57 tmp2__global__buf_79)) (* 19 tmp2__global__buf_87)) (* (- 7) tmp2__global__buf_95)) (* 3 tmp2__global__buf_103)) (* (- 1) tmp2__global__buf_111)) 2048) 4096))) ; (tmp176__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_55) + (4 * tmp2__global__buf_63)) + ((- 10) * tmp2__global__buf_71)) + (57 * tmp2__global__buf_79)) + (19 * tmp2__global__buf_87)) + ((- 7) * tmp2__global__buf_95)) + (3 * tmp2__global__buf_103)) + ((- 1) * tmp2__global__buf_111)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_55__value tmp176__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_55__value = tmp176__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_55 (ite (< tmp1__func_Clip3_variant_55__value 0) 0 (ite (> tmp1__func_Clip3_variant_55__value 255) 255 tmp1__func_Clip3_variant_55__value)))) ; (tmp1__func__return__Clip3_variant_55 = (ite (< tmp1__func_Clip3_variant_55__value 0) 0 (ite (> tmp1__func_Clip3_variant_55__value 255) 255 tmp1__func_Clip3_variant_55__value)))
(assert (= tmp1__global__predL0_55 tmp1__func__return__Clip3_variant_55)) ; (tmp1__global__predL0_55 = tmp1__func__return__Clip3_variant_55)
(assert (= tmp177__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_56) (* 4 tmp2__global__buf_64)) (* (- 10) tmp2__global__buf_72)) (* 57 tmp2__global__buf_80)) (* 19 tmp2__global__buf_88)) (* (- 7) tmp2__global__buf_96)) (* 3 tmp2__global__buf_104)) (* (- 1) tmp2__global__buf_112)) 2048) 4096))) ; (tmp177__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_56) + (4 * tmp2__global__buf_64)) + ((- 10) * tmp2__global__buf_72)) + (57 * tmp2__global__buf_80)) + (19 * tmp2__global__buf_88)) + ((- 7) * tmp2__global__buf_96)) + (3 * tmp2__global__buf_104)) + ((- 1) * tmp2__global__buf_112)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_56__value tmp177__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_56__value = tmp177__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_56 (ite (< tmp1__func_Clip3_variant_56__value 0) 0 (ite (> tmp1__func_Clip3_variant_56__value 255) 255 tmp1__func_Clip3_variant_56__value)))) ; (tmp1__func__return__Clip3_variant_56 = (ite (< tmp1__func_Clip3_variant_56__value 0) 0 (ite (> tmp1__func_Clip3_variant_56__value 255) 255 tmp1__func_Clip3_variant_56__value)))
(assert (= tmp1__global__predL0_56 tmp1__func__return__Clip3_variant_56)) ; (tmp1__global__predL0_56 = tmp1__func__return__Clip3_variant_56)
(assert (= tmp178__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_57) (* 4 tmp2__global__buf_65)) (* (- 10) tmp2__global__buf_73)) (* 57 tmp2__global__buf_81)) (* 19 tmp2__global__buf_89)) (* (- 7) tmp2__global__buf_97)) (* 3 tmp2__global__buf_105)) (* (- 1) tmp2__global__buf_113)) 2048) 4096))) ; (tmp178__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_57) + (4 * tmp2__global__buf_65)) + ((- 10) * tmp2__global__buf_73)) + (57 * tmp2__global__buf_81)) + (19 * tmp2__global__buf_89)) + ((- 7) * tmp2__global__buf_97)) + (3 * tmp2__global__buf_105)) + ((- 1) * tmp2__global__buf_113)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_57__value tmp178__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_57__value = tmp178__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_57 (ite (< tmp1__func_Clip3_variant_57__value 0) 0 (ite (> tmp1__func_Clip3_variant_57__value 255) 255 tmp1__func_Clip3_variant_57__value)))) ; (tmp1__func__return__Clip3_variant_57 = (ite (< tmp1__func_Clip3_variant_57__value 0) 0 (ite (> tmp1__func_Clip3_variant_57__value 255) 255 tmp1__func_Clip3_variant_57__value)))
(assert (= tmp1__global__predL0_57 tmp1__func__return__Clip3_variant_57)) ; (tmp1__global__predL0_57 = tmp1__func__return__Clip3_variant_57)
(assert (= tmp179__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_58) (* 4 tmp2__global__buf_66)) (* (- 10) tmp2__global__buf_74)) (* 57 tmp2__global__buf_82)) (* 19 tmp2__global__buf_90)) (* (- 7) tmp2__global__buf_98)) (* 3 tmp2__global__buf_106)) (* (- 1) tmp2__global__buf_114)) 2048) 4096))) ; (tmp179__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_58) + (4 * tmp2__global__buf_66)) + ((- 10) * tmp2__global__buf_74)) + (57 * tmp2__global__buf_82)) + (19 * tmp2__global__buf_90)) + ((- 7) * tmp2__global__buf_98)) + (3 * tmp2__global__buf_106)) + ((- 1) * tmp2__global__buf_114)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_58__value tmp179__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_58__value = tmp179__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_58 (ite (< tmp1__func_Clip3_variant_58__value 0) 0 (ite (> tmp1__func_Clip3_variant_58__value 255) 255 tmp1__func_Clip3_variant_58__value)))) ; (tmp1__func__return__Clip3_variant_58 = (ite (< tmp1__func_Clip3_variant_58__value 0) 0 (ite (> tmp1__func_Clip3_variant_58__value 255) 255 tmp1__func_Clip3_variant_58__value)))
(assert (= tmp1__global__predL0_58 tmp1__func__return__Clip3_variant_58)) ; (tmp1__global__predL0_58 = tmp1__func__return__Clip3_variant_58)
(assert (= tmp180__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_59) (* 4 tmp2__global__buf_67)) (* (- 10) tmp2__global__buf_75)) (* 57 tmp2__global__buf_83)) (* 19 tmp2__global__buf_91)) (* (- 7) tmp2__global__buf_99)) (* 3 tmp2__global__buf_107)) (* (- 1) tmp2__global__buf_115)) 2048) 4096))) ; (tmp180__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_59) + (4 * tmp2__global__buf_67)) + ((- 10) * tmp2__global__buf_75)) + (57 * tmp2__global__buf_83)) + (19 * tmp2__global__buf_91)) + ((- 7) * tmp2__global__buf_99)) + (3 * tmp2__global__buf_107)) + ((- 1) * tmp2__global__buf_115)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_59__value tmp180__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_59__value = tmp180__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_59 (ite (< tmp1__func_Clip3_variant_59__value 0) 0 (ite (> tmp1__func_Clip3_variant_59__value 255) 255 tmp1__func_Clip3_variant_59__value)))) ; (tmp1__func__return__Clip3_variant_59 = (ite (< tmp1__func_Clip3_variant_59__value 0) 0 (ite (> tmp1__func_Clip3_variant_59__value 255) 255 tmp1__func_Clip3_variant_59__value)))
(assert (= tmp1__global__predL0_59 tmp1__func__return__Clip3_variant_59)) ; (tmp1__global__predL0_59 = tmp1__func__return__Clip3_variant_59)
(assert (= tmp181__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_60) (* 4 tmp2__global__buf_68)) (* (- 10) tmp2__global__buf_76)) (* 57 tmp2__global__buf_84)) (* 19 tmp2__global__buf_92)) (* (- 7) tmp2__global__buf_100)) (* 3 tmp2__global__buf_108)) (* (- 1) tmp2__global__buf_116)) 2048) 4096))) ; (tmp181__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_60) + (4 * tmp2__global__buf_68)) + ((- 10) * tmp2__global__buf_76)) + (57 * tmp2__global__buf_84)) + (19 * tmp2__global__buf_92)) + ((- 7) * tmp2__global__buf_100)) + (3 * tmp2__global__buf_108)) + ((- 1) * tmp2__global__buf_116)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_60__value tmp181__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_60__value = tmp181__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_60 (ite (< tmp1__func_Clip3_variant_60__value 0) 0 (ite (> tmp1__func_Clip3_variant_60__value 255) 255 tmp1__func_Clip3_variant_60__value)))) ; (tmp1__func__return__Clip3_variant_60 = (ite (< tmp1__func_Clip3_variant_60__value 0) 0 (ite (> tmp1__func_Clip3_variant_60__value 255) 255 tmp1__func_Clip3_variant_60__value)))
(assert (= tmp1__global__predL0_60 tmp1__func__return__Clip3_variant_60)) ; (tmp1__global__predL0_60 = tmp1__func__return__Clip3_variant_60)
(assert (= tmp182__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_61) (* 4 tmp2__global__buf_69)) (* (- 10) tmp2__global__buf_77)) (* 57 tmp2__global__buf_85)) (* 19 tmp2__global__buf_93)) (* (- 7) tmp2__global__buf_101)) (* 3 tmp2__global__buf_109)) (* (- 1) tmp2__global__buf_117)) 2048) 4096))) ; (tmp182__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_61) + (4 * tmp2__global__buf_69)) + ((- 10) * tmp2__global__buf_77)) + (57 * tmp2__global__buf_85)) + (19 * tmp2__global__buf_93)) + ((- 7) * tmp2__global__buf_101)) + (3 * tmp2__global__buf_109)) + ((- 1) * tmp2__global__buf_117)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_61__value tmp182__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_61__value = tmp182__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_61 (ite (< tmp1__func_Clip3_variant_61__value 0) 0 (ite (> tmp1__func_Clip3_variant_61__value 255) 255 tmp1__func_Clip3_variant_61__value)))) ; (tmp1__func__return__Clip3_variant_61 = (ite (< tmp1__func_Clip3_variant_61__value 0) 0 (ite (> tmp1__func_Clip3_variant_61__value 255) 255 tmp1__func_Clip3_variant_61__value)))
(assert (= tmp1__global__predL0_61 tmp1__func__return__Clip3_variant_61)) ; (tmp1__global__predL0_61 = tmp1__func__return__Clip3_variant_61)
(assert (= tmp183__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_62) (* 4 tmp2__global__buf_70)) (* (- 10) tmp2__global__buf_78)) (* 57 tmp2__global__buf_86)) (* 19 tmp2__global__buf_94)) (* (- 7) tmp2__global__buf_102)) (* 3 tmp2__global__buf_110)) (* (- 1) tmp2__global__buf_118)) 2048) 4096))) ; (tmp183__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_62) + (4 * tmp2__global__buf_70)) + ((- 10) * tmp2__global__buf_78)) + (57 * tmp2__global__buf_86)) + (19 * tmp2__global__buf_94)) + ((- 7) * tmp2__global__buf_102)) + (3 * tmp2__global__buf_110)) + ((- 1) * tmp2__global__buf_118)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_62__value tmp183__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_62__value = tmp183__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_62 (ite (< tmp1__func_Clip3_variant_62__value 0) 0 (ite (> tmp1__func_Clip3_variant_62__value 255) 255 tmp1__func_Clip3_variant_62__value)))) ; (tmp1__func__return__Clip3_variant_62 = (ite (< tmp1__func_Clip3_variant_62__value 0) 0 (ite (> tmp1__func_Clip3_variant_62__value 255) 255 tmp1__func_Clip3_variant_62__value)))
(assert (= tmp1__global__predL0_62 tmp1__func__return__Clip3_variant_62)) ; (tmp1__global__predL0_62 = tmp1__func__return__Clip3_variant_62)
(assert (= tmp184__func_com_mc_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp2__global__buf_63) (* 4 tmp2__global__buf_71)) (* (- 10) tmp2__global__buf_79)) (* 57 tmp2__global__buf_87)) (* 19 tmp2__global__buf_95)) (* (- 7) tmp2__global__buf_103)) (* 3 tmp2__global__buf_111)) (* (- 1) tmp2__global__buf_119)) 2048) 4096))) ; (tmp184__func_com_mc_l_nn__val = (((((((((((- 1) * tmp2__global__buf_63) + (4 * tmp2__global__buf_71)) + ((- 10) * tmp2__global__buf_79)) + (57 * tmp2__global__buf_87)) + (19 * tmp2__global__buf_95)) + ((- 7) * tmp2__global__buf_103)) + (3 * tmp2__global__buf_111)) + ((- 1) * tmp2__global__buf_119)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_63__value tmp184__func_com_mc_l_nn__val)) ; (tmp1__func_Clip3_variant_63__value = tmp184__func_com_mc_l_nn__val)
(assert (= tmp1__func__return__Clip3_variant_63 (ite (< tmp1__func_Clip3_variant_63__value 0) 0 (ite (> tmp1__func_Clip3_variant_63__value 255) 255 tmp1__func_Clip3_variant_63__value)))) ; (tmp1__func__return__Clip3_variant_63 = (ite (< tmp1__func_Clip3_variant_63__value 0) 0 (ite (> tmp1__func_Clip3_variant_63__value 255) 255 tmp1__func_Clip3_variant_63__value)))
(assert (= tmp1__global__predL0_63 tmp1__func__return__Clip3_variant_63)) ; (tmp1__global__predL0_63 = tmp1__func__return__Clip3_variant_63)
(assert (= tmp1__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_0) (* 0 tmp1__global__ref1_1)) (* 0 tmp1__global__ref1_2)) (* 64 tmp1__global__ref1_3)) (* 0 tmp1__global__ref1_4)) (* 0 tmp1__global__ref1_5)) (* 0 tmp1__global__ref1_6)) (* 0 tmp1__global__ref1_7)) 0) 1))) ; (tmp1__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_0) + (0 * tmp1__global__ref1_1)) + (0 * tmp1__global__ref1_2)) + (64 * tmp1__global__ref1_3)) + (0 * tmp1__global__ref1_4)) + (0 * tmp1__global__ref1_5)) + (0 * tmp1__global__ref1_6)) + (0 * tmp1__global__ref1_7)) + 0) div 1))
(assert (= tmp3__global__buf_0 tmp1__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_0 = tmp1__func_com_mc_l_nn_variant_1__val)
(assert (= tmp2__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_1) (* 0 tmp1__global__ref1_2)) (* 0 tmp1__global__ref1_3)) (* 64 tmp1__global__ref1_4)) (* 0 tmp1__global__ref1_5)) (* 0 tmp1__global__ref1_6)) (* 0 tmp1__global__ref1_7)) (* 0 tmp1__global__ref1_8)) 0) 1))) ; (tmp2__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_1) + (0 * tmp1__global__ref1_2)) + (0 * tmp1__global__ref1_3)) + (64 * tmp1__global__ref1_4)) + (0 * tmp1__global__ref1_5)) + (0 * tmp1__global__ref1_6)) + (0 * tmp1__global__ref1_7)) + (0 * tmp1__global__ref1_8)) + 0) div 1))
(assert (= tmp3__global__buf_1 tmp2__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_1 = tmp2__func_com_mc_l_nn_variant_1__val)
(assert (= tmp3__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_2) (* 0 tmp1__global__ref1_3)) (* 0 tmp1__global__ref1_4)) (* 64 tmp1__global__ref1_5)) (* 0 tmp1__global__ref1_6)) (* 0 tmp1__global__ref1_7)) (* 0 tmp1__global__ref1_8)) (* 0 tmp1__global__ref1_9)) 0) 1))) ; (tmp3__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_2) + (0 * tmp1__global__ref1_3)) + (0 * tmp1__global__ref1_4)) + (64 * tmp1__global__ref1_5)) + (0 * tmp1__global__ref1_6)) + (0 * tmp1__global__ref1_7)) + (0 * tmp1__global__ref1_8)) + (0 * tmp1__global__ref1_9)) + 0) div 1))
(assert (= tmp3__global__buf_2 tmp3__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_2 = tmp3__func_com_mc_l_nn_variant_1__val)
(assert (= tmp4__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_3) (* 0 tmp1__global__ref1_4)) (* 0 tmp1__global__ref1_5)) (* 64 tmp1__global__ref1_6)) (* 0 tmp1__global__ref1_7)) (* 0 tmp1__global__ref1_8)) (* 0 tmp1__global__ref1_9)) (* 0 tmp1__global__ref1_10)) 0) 1))) ; (tmp4__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_3) + (0 * tmp1__global__ref1_4)) + (0 * tmp1__global__ref1_5)) + (64 * tmp1__global__ref1_6)) + (0 * tmp1__global__ref1_7)) + (0 * tmp1__global__ref1_8)) + (0 * tmp1__global__ref1_9)) + (0 * tmp1__global__ref1_10)) + 0) div 1))
(assert (= tmp3__global__buf_3 tmp4__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_3 = tmp4__func_com_mc_l_nn_variant_1__val)
(assert (= tmp5__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_4) (* 0 tmp1__global__ref1_5)) (* 0 tmp1__global__ref1_6)) (* 64 tmp1__global__ref1_7)) (* 0 tmp1__global__ref1_8)) (* 0 tmp1__global__ref1_9)) (* 0 tmp1__global__ref1_10)) (* 0 tmp1__global__ref1_11)) 0) 1))) ; (tmp5__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_4) + (0 * tmp1__global__ref1_5)) + (0 * tmp1__global__ref1_6)) + (64 * tmp1__global__ref1_7)) + (0 * tmp1__global__ref1_8)) + (0 * tmp1__global__ref1_9)) + (0 * tmp1__global__ref1_10)) + (0 * tmp1__global__ref1_11)) + 0) div 1))
(assert (= tmp3__global__buf_4 tmp5__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_4 = tmp5__func_com_mc_l_nn_variant_1__val)
(assert (= tmp6__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_5) (* 0 tmp1__global__ref1_6)) (* 0 tmp1__global__ref1_7)) (* 64 tmp1__global__ref1_8)) (* 0 tmp1__global__ref1_9)) (* 0 tmp1__global__ref1_10)) (* 0 tmp1__global__ref1_11)) (* 0 tmp1__global__ref1_12)) 0) 1))) ; (tmp6__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_5) + (0 * tmp1__global__ref1_6)) + (0 * tmp1__global__ref1_7)) + (64 * tmp1__global__ref1_8)) + (0 * tmp1__global__ref1_9)) + (0 * tmp1__global__ref1_10)) + (0 * tmp1__global__ref1_11)) + (0 * tmp1__global__ref1_12)) + 0) div 1))
(assert (= tmp3__global__buf_5 tmp6__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_5 = tmp6__func_com_mc_l_nn_variant_1__val)
(assert (= tmp7__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_6) (* 0 tmp1__global__ref1_7)) (* 0 tmp1__global__ref1_8)) (* 64 tmp1__global__ref1_9)) (* 0 tmp1__global__ref1_10)) (* 0 tmp1__global__ref1_11)) (* 0 tmp1__global__ref1_12)) (* 0 tmp1__global__ref1_13)) 0) 1))) ; (tmp7__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_6) + (0 * tmp1__global__ref1_7)) + (0 * tmp1__global__ref1_8)) + (64 * tmp1__global__ref1_9)) + (0 * tmp1__global__ref1_10)) + (0 * tmp1__global__ref1_11)) + (0 * tmp1__global__ref1_12)) + (0 * tmp1__global__ref1_13)) + 0) div 1))
(assert (= tmp3__global__buf_6 tmp7__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_6 = tmp7__func_com_mc_l_nn_variant_1__val)
(assert (= tmp8__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_7) (* 0 tmp1__global__ref1_8)) (* 0 tmp1__global__ref1_9)) (* 64 tmp1__global__ref1_10)) (* 0 tmp1__global__ref1_11)) (* 0 tmp1__global__ref1_12)) (* 0 tmp1__global__ref1_13)) (* 0 tmp1__global__ref1_14)) 0) 1))) ; (tmp8__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_7) + (0 * tmp1__global__ref1_8)) + (0 * tmp1__global__ref1_9)) + (64 * tmp1__global__ref1_10)) + (0 * tmp1__global__ref1_11)) + (0 * tmp1__global__ref1_12)) + (0 * tmp1__global__ref1_13)) + (0 * tmp1__global__ref1_14)) + 0) div 1))
(assert (= tmp3__global__buf_7 tmp8__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_7 = tmp8__func_com_mc_l_nn_variant_1__val)
(assert (= tmp9__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_15) (* 0 tmp1__global__ref1_16)) (* 0 tmp1__global__ref1_17)) (* 64 tmp1__global__ref1_18)) (* 0 tmp1__global__ref1_19)) (* 0 tmp1__global__ref1_20)) (* 0 tmp1__global__ref1_21)) (* 0 tmp1__global__ref1_22)) 0) 1))) ; (tmp9__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_15) + (0 * tmp1__global__ref1_16)) + (0 * tmp1__global__ref1_17)) + (64 * tmp1__global__ref1_18)) + (0 * tmp1__global__ref1_19)) + (0 * tmp1__global__ref1_20)) + (0 * tmp1__global__ref1_21)) + (0 * tmp1__global__ref1_22)) + 0) div 1))
(assert (= tmp3__global__buf_8 tmp9__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_8 = tmp9__func_com_mc_l_nn_variant_1__val)
(assert (= tmp10__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_16) (* 0 tmp1__global__ref1_17)) (* 0 tmp1__global__ref1_18)) (* 64 tmp1__global__ref1_19)) (* 0 tmp1__global__ref1_20)) (* 0 tmp1__global__ref1_21)) (* 0 tmp1__global__ref1_22)) (* 0 tmp1__global__ref1_23)) 0) 1))) ; (tmp10__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_16) + (0 * tmp1__global__ref1_17)) + (0 * tmp1__global__ref1_18)) + (64 * tmp1__global__ref1_19)) + (0 * tmp1__global__ref1_20)) + (0 * tmp1__global__ref1_21)) + (0 * tmp1__global__ref1_22)) + (0 * tmp1__global__ref1_23)) + 0) div 1))
(assert (= tmp3__global__buf_9 tmp10__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_9 = tmp10__func_com_mc_l_nn_variant_1__val)
(assert (= tmp11__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_17) (* 0 tmp1__global__ref1_18)) (* 0 tmp1__global__ref1_19)) (* 64 tmp1__global__ref1_20)) (* 0 tmp1__global__ref1_21)) (* 0 tmp1__global__ref1_22)) (* 0 tmp1__global__ref1_23)) (* 0 tmp1__global__ref1_24)) 0) 1))) ; (tmp11__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_17) + (0 * tmp1__global__ref1_18)) + (0 * tmp1__global__ref1_19)) + (64 * tmp1__global__ref1_20)) + (0 * tmp1__global__ref1_21)) + (0 * tmp1__global__ref1_22)) + (0 * tmp1__global__ref1_23)) + (0 * tmp1__global__ref1_24)) + 0) div 1))
(assert (= tmp3__global__buf_10 tmp11__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_10 = tmp11__func_com_mc_l_nn_variant_1__val)
(assert (= tmp12__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_18) (* 0 tmp1__global__ref1_19)) (* 0 tmp1__global__ref1_20)) (* 64 tmp1__global__ref1_21)) (* 0 tmp1__global__ref1_22)) (* 0 tmp1__global__ref1_23)) (* 0 tmp1__global__ref1_24)) (* 0 tmp1__global__ref1_25)) 0) 1))) ; (tmp12__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_18) + (0 * tmp1__global__ref1_19)) + (0 * tmp1__global__ref1_20)) + (64 * tmp1__global__ref1_21)) + (0 * tmp1__global__ref1_22)) + (0 * tmp1__global__ref1_23)) + (0 * tmp1__global__ref1_24)) + (0 * tmp1__global__ref1_25)) + 0) div 1))
(assert (= tmp3__global__buf_11 tmp12__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_11 = tmp12__func_com_mc_l_nn_variant_1__val)
(assert (= tmp13__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_19) (* 0 tmp1__global__ref1_20)) (* 0 tmp1__global__ref1_21)) (* 64 tmp1__global__ref1_22)) (* 0 tmp1__global__ref1_23)) (* 0 tmp1__global__ref1_24)) (* 0 tmp1__global__ref1_25)) (* 0 tmp1__global__ref1_26)) 0) 1))) ; (tmp13__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_19) + (0 * tmp1__global__ref1_20)) + (0 * tmp1__global__ref1_21)) + (64 * tmp1__global__ref1_22)) + (0 * tmp1__global__ref1_23)) + (0 * tmp1__global__ref1_24)) + (0 * tmp1__global__ref1_25)) + (0 * tmp1__global__ref1_26)) + 0) div 1))
(assert (= tmp3__global__buf_12 tmp13__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_12 = tmp13__func_com_mc_l_nn_variant_1__val)
(assert (= tmp14__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_20) (* 0 tmp1__global__ref1_21)) (* 0 tmp1__global__ref1_22)) (* 64 tmp1__global__ref1_23)) (* 0 tmp1__global__ref1_24)) (* 0 tmp1__global__ref1_25)) (* 0 tmp1__global__ref1_26)) (* 0 tmp1__global__ref1_27)) 0) 1))) ; (tmp14__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_20) + (0 * tmp1__global__ref1_21)) + (0 * tmp1__global__ref1_22)) + (64 * tmp1__global__ref1_23)) + (0 * tmp1__global__ref1_24)) + (0 * tmp1__global__ref1_25)) + (0 * tmp1__global__ref1_26)) + (0 * tmp1__global__ref1_27)) + 0) div 1))
(assert (= tmp3__global__buf_13 tmp14__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_13 = tmp14__func_com_mc_l_nn_variant_1__val)
(assert (= tmp15__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_21) (* 0 tmp1__global__ref1_22)) (* 0 tmp1__global__ref1_23)) (* 64 tmp1__global__ref1_24)) (* 0 tmp1__global__ref1_25)) (* 0 tmp1__global__ref1_26)) (* 0 tmp1__global__ref1_27)) (* 0 tmp1__global__ref1_28)) 0) 1))) ; (tmp15__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_21) + (0 * tmp1__global__ref1_22)) + (0 * tmp1__global__ref1_23)) + (64 * tmp1__global__ref1_24)) + (0 * tmp1__global__ref1_25)) + (0 * tmp1__global__ref1_26)) + (0 * tmp1__global__ref1_27)) + (0 * tmp1__global__ref1_28)) + 0) div 1))
(assert (= tmp3__global__buf_14 tmp15__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_14 = tmp15__func_com_mc_l_nn_variant_1__val)
(assert (= tmp16__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_22) (* 0 tmp1__global__ref1_23)) (* 0 tmp1__global__ref1_24)) (* 64 tmp1__global__ref1_25)) (* 0 tmp1__global__ref1_26)) (* 0 tmp1__global__ref1_27)) (* 0 tmp1__global__ref1_28)) (* 0 tmp1__global__ref1_29)) 0) 1))) ; (tmp16__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_22) + (0 * tmp1__global__ref1_23)) + (0 * tmp1__global__ref1_24)) + (64 * tmp1__global__ref1_25)) + (0 * tmp1__global__ref1_26)) + (0 * tmp1__global__ref1_27)) + (0 * tmp1__global__ref1_28)) + (0 * tmp1__global__ref1_29)) + 0) div 1))
(assert (= tmp3__global__buf_15 tmp16__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_15 = tmp16__func_com_mc_l_nn_variant_1__val)
(assert (= tmp17__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_30) (* 0 tmp1__global__ref1_31)) (* 0 tmp1__global__ref1_32)) (* 64 tmp1__global__ref1_33)) (* 0 tmp1__global__ref1_34)) (* 0 tmp1__global__ref1_35)) (* 0 tmp1__global__ref1_36)) (* 0 tmp1__global__ref1_37)) 0) 1))) ; (tmp17__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_30) + (0 * tmp1__global__ref1_31)) + (0 * tmp1__global__ref1_32)) + (64 * tmp1__global__ref1_33)) + (0 * tmp1__global__ref1_34)) + (0 * tmp1__global__ref1_35)) + (0 * tmp1__global__ref1_36)) + (0 * tmp1__global__ref1_37)) + 0) div 1))
(assert (= tmp3__global__buf_16 tmp17__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_16 = tmp17__func_com_mc_l_nn_variant_1__val)
(assert (= tmp18__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_31) (* 0 tmp1__global__ref1_32)) (* 0 tmp1__global__ref1_33)) (* 64 tmp1__global__ref1_34)) (* 0 tmp1__global__ref1_35)) (* 0 tmp1__global__ref1_36)) (* 0 tmp1__global__ref1_37)) (* 0 tmp1__global__ref1_38)) 0) 1))) ; (tmp18__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_31) + (0 * tmp1__global__ref1_32)) + (0 * tmp1__global__ref1_33)) + (64 * tmp1__global__ref1_34)) + (0 * tmp1__global__ref1_35)) + (0 * tmp1__global__ref1_36)) + (0 * tmp1__global__ref1_37)) + (0 * tmp1__global__ref1_38)) + 0) div 1))
(assert (= tmp3__global__buf_17 tmp18__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_17 = tmp18__func_com_mc_l_nn_variant_1__val)
(assert (= tmp19__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_32) (* 0 tmp1__global__ref1_33)) (* 0 tmp1__global__ref1_34)) (* 64 tmp1__global__ref1_35)) (* 0 tmp1__global__ref1_36)) (* 0 tmp1__global__ref1_37)) (* 0 tmp1__global__ref1_38)) (* 0 tmp1__global__ref1_39)) 0) 1))) ; (tmp19__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_32) + (0 * tmp1__global__ref1_33)) + (0 * tmp1__global__ref1_34)) + (64 * tmp1__global__ref1_35)) + (0 * tmp1__global__ref1_36)) + (0 * tmp1__global__ref1_37)) + (0 * tmp1__global__ref1_38)) + (0 * tmp1__global__ref1_39)) + 0) div 1))
(assert (= tmp3__global__buf_18 tmp19__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_18 = tmp19__func_com_mc_l_nn_variant_1__val)
(assert (= tmp20__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_33) (* 0 tmp1__global__ref1_34)) (* 0 tmp1__global__ref1_35)) (* 64 tmp1__global__ref1_36)) (* 0 tmp1__global__ref1_37)) (* 0 tmp1__global__ref1_38)) (* 0 tmp1__global__ref1_39)) (* 0 tmp1__global__ref1_40)) 0) 1))) ; (tmp20__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_33) + (0 * tmp1__global__ref1_34)) + (0 * tmp1__global__ref1_35)) + (64 * tmp1__global__ref1_36)) + (0 * tmp1__global__ref1_37)) + (0 * tmp1__global__ref1_38)) + (0 * tmp1__global__ref1_39)) + (0 * tmp1__global__ref1_40)) + 0) div 1))
(assert (= tmp3__global__buf_19 tmp20__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_19 = tmp20__func_com_mc_l_nn_variant_1__val)
(assert (= tmp21__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_34) (* 0 tmp1__global__ref1_35)) (* 0 tmp1__global__ref1_36)) (* 64 tmp1__global__ref1_37)) (* 0 tmp1__global__ref1_38)) (* 0 tmp1__global__ref1_39)) (* 0 tmp1__global__ref1_40)) (* 0 tmp1__global__ref1_41)) 0) 1))) ; (tmp21__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_34) + (0 * tmp1__global__ref1_35)) + (0 * tmp1__global__ref1_36)) + (64 * tmp1__global__ref1_37)) + (0 * tmp1__global__ref1_38)) + (0 * tmp1__global__ref1_39)) + (0 * tmp1__global__ref1_40)) + (0 * tmp1__global__ref1_41)) + 0) div 1))
(assert (= tmp3__global__buf_20 tmp21__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_20 = tmp21__func_com_mc_l_nn_variant_1__val)
(assert (= tmp22__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_35) (* 0 tmp1__global__ref1_36)) (* 0 tmp1__global__ref1_37)) (* 64 tmp1__global__ref1_38)) (* 0 tmp1__global__ref1_39)) (* 0 tmp1__global__ref1_40)) (* 0 tmp1__global__ref1_41)) (* 0 tmp1__global__ref1_42)) 0) 1))) ; (tmp22__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_35) + (0 * tmp1__global__ref1_36)) + (0 * tmp1__global__ref1_37)) + (64 * tmp1__global__ref1_38)) + (0 * tmp1__global__ref1_39)) + (0 * tmp1__global__ref1_40)) + (0 * tmp1__global__ref1_41)) + (0 * tmp1__global__ref1_42)) + 0) div 1))
(assert (= tmp3__global__buf_21 tmp22__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_21 = tmp22__func_com_mc_l_nn_variant_1__val)
(assert (= tmp23__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_36) (* 0 tmp1__global__ref1_37)) (* 0 tmp1__global__ref1_38)) (* 64 tmp1__global__ref1_39)) (* 0 tmp1__global__ref1_40)) (* 0 tmp1__global__ref1_41)) (* 0 tmp1__global__ref1_42)) (* 0 tmp1__global__ref1_43)) 0) 1))) ; (tmp23__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_36) + (0 * tmp1__global__ref1_37)) + (0 * tmp1__global__ref1_38)) + (64 * tmp1__global__ref1_39)) + (0 * tmp1__global__ref1_40)) + (0 * tmp1__global__ref1_41)) + (0 * tmp1__global__ref1_42)) + (0 * tmp1__global__ref1_43)) + 0) div 1))
(assert (= tmp3__global__buf_22 tmp23__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_22 = tmp23__func_com_mc_l_nn_variant_1__val)
(assert (= tmp24__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_37) (* 0 tmp1__global__ref1_38)) (* 0 tmp1__global__ref1_39)) (* 64 tmp1__global__ref1_40)) (* 0 tmp1__global__ref1_41)) (* 0 tmp1__global__ref1_42)) (* 0 tmp1__global__ref1_43)) (* 0 tmp1__global__ref1_44)) 0) 1))) ; (tmp24__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_37) + (0 * tmp1__global__ref1_38)) + (0 * tmp1__global__ref1_39)) + (64 * tmp1__global__ref1_40)) + (0 * tmp1__global__ref1_41)) + (0 * tmp1__global__ref1_42)) + (0 * tmp1__global__ref1_43)) + (0 * tmp1__global__ref1_44)) + 0) div 1))
(assert (= tmp3__global__buf_23 tmp24__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_23 = tmp24__func_com_mc_l_nn_variant_1__val)
(assert (= tmp25__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_45) (* 0 tmp1__global__ref1_46)) (* 0 tmp1__global__ref1_47)) (* 64 tmp1__global__ref1_48)) (* 0 tmp1__global__ref1_49)) (* 0 tmp1__global__ref1_50)) (* 0 tmp1__global__ref1_51)) (* 0 tmp1__global__ref1_52)) 0) 1))) ; (tmp25__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_45) + (0 * tmp1__global__ref1_46)) + (0 * tmp1__global__ref1_47)) + (64 * tmp1__global__ref1_48)) + (0 * tmp1__global__ref1_49)) + (0 * tmp1__global__ref1_50)) + (0 * tmp1__global__ref1_51)) + (0 * tmp1__global__ref1_52)) + 0) div 1))
(assert (= tmp3__global__buf_24 tmp25__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_24 = tmp25__func_com_mc_l_nn_variant_1__val)
(assert (= tmp26__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_46) (* 0 tmp1__global__ref1_47)) (* 0 tmp1__global__ref1_48)) (* 64 tmp1__global__ref1_49)) (* 0 tmp1__global__ref1_50)) (* 0 tmp1__global__ref1_51)) (* 0 tmp1__global__ref1_52)) (* 0 tmp1__global__ref1_53)) 0) 1))) ; (tmp26__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_46) + (0 * tmp1__global__ref1_47)) + (0 * tmp1__global__ref1_48)) + (64 * tmp1__global__ref1_49)) + (0 * tmp1__global__ref1_50)) + (0 * tmp1__global__ref1_51)) + (0 * tmp1__global__ref1_52)) + (0 * tmp1__global__ref1_53)) + 0) div 1))
(assert (= tmp3__global__buf_25 tmp26__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_25 = tmp26__func_com_mc_l_nn_variant_1__val)
(assert (= tmp27__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_47) (* 0 tmp1__global__ref1_48)) (* 0 tmp1__global__ref1_49)) (* 64 tmp1__global__ref1_50)) (* 0 tmp1__global__ref1_51)) (* 0 tmp1__global__ref1_52)) (* 0 tmp1__global__ref1_53)) (* 0 tmp1__global__ref1_54)) 0) 1))) ; (tmp27__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_47) + (0 * tmp1__global__ref1_48)) + (0 * tmp1__global__ref1_49)) + (64 * tmp1__global__ref1_50)) + (0 * tmp1__global__ref1_51)) + (0 * tmp1__global__ref1_52)) + (0 * tmp1__global__ref1_53)) + (0 * tmp1__global__ref1_54)) + 0) div 1))
(assert (= tmp3__global__buf_26 tmp27__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_26 = tmp27__func_com_mc_l_nn_variant_1__val)
(assert (= tmp28__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_48) (* 0 tmp1__global__ref1_49)) (* 0 tmp1__global__ref1_50)) (* 64 tmp1__global__ref1_51)) (* 0 tmp1__global__ref1_52)) (* 0 tmp1__global__ref1_53)) (* 0 tmp1__global__ref1_54)) (* 0 tmp1__global__ref1_55)) 0) 1))) ; (tmp28__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_48) + (0 * tmp1__global__ref1_49)) + (0 * tmp1__global__ref1_50)) + (64 * tmp1__global__ref1_51)) + (0 * tmp1__global__ref1_52)) + (0 * tmp1__global__ref1_53)) + (0 * tmp1__global__ref1_54)) + (0 * tmp1__global__ref1_55)) + 0) div 1))
(assert (= tmp3__global__buf_27 tmp28__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_27 = tmp28__func_com_mc_l_nn_variant_1__val)
(assert (= tmp29__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_49) (* 0 tmp1__global__ref1_50)) (* 0 tmp1__global__ref1_51)) (* 64 tmp1__global__ref1_52)) (* 0 tmp1__global__ref1_53)) (* 0 tmp1__global__ref1_54)) (* 0 tmp1__global__ref1_55)) (* 0 tmp1__global__ref1_56)) 0) 1))) ; (tmp29__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_49) + (0 * tmp1__global__ref1_50)) + (0 * tmp1__global__ref1_51)) + (64 * tmp1__global__ref1_52)) + (0 * tmp1__global__ref1_53)) + (0 * tmp1__global__ref1_54)) + (0 * tmp1__global__ref1_55)) + (0 * tmp1__global__ref1_56)) + 0) div 1))
(assert (= tmp3__global__buf_28 tmp29__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_28 = tmp29__func_com_mc_l_nn_variant_1__val)
(assert (= tmp30__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_50) (* 0 tmp1__global__ref1_51)) (* 0 tmp1__global__ref1_52)) (* 64 tmp1__global__ref1_53)) (* 0 tmp1__global__ref1_54)) (* 0 tmp1__global__ref1_55)) (* 0 tmp1__global__ref1_56)) (* 0 tmp1__global__ref1_57)) 0) 1))) ; (tmp30__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_50) + (0 * tmp1__global__ref1_51)) + (0 * tmp1__global__ref1_52)) + (64 * tmp1__global__ref1_53)) + (0 * tmp1__global__ref1_54)) + (0 * tmp1__global__ref1_55)) + (0 * tmp1__global__ref1_56)) + (0 * tmp1__global__ref1_57)) + 0) div 1))
(assert (= tmp3__global__buf_29 tmp30__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_29 = tmp30__func_com_mc_l_nn_variant_1__val)
(assert (= tmp31__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_51) (* 0 tmp1__global__ref1_52)) (* 0 tmp1__global__ref1_53)) (* 64 tmp1__global__ref1_54)) (* 0 tmp1__global__ref1_55)) (* 0 tmp1__global__ref1_56)) (* 0 tmp1__global__ref1_57)) (* 0 tmp1__global__ref1_58)) 0) 1))) ; (tmp31__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_51) + (0 * tmp1__global__ref1_52)) + (0 * tmp1__global__ref1_53)) + (64 * tmp1__global__ref1_54)) + (0 * tmp1__global__ref1_55)) + (0 * tmp1__global__ref1_56)) + (0 * tmp1__global__ref1_57)) + (0 * tmp1__global__ref1_58)) + 0) div 1))
(assert (= tmp3__global__buf_30 tmp31__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_30 = tmp31__func_com_mc_l_nn_variant_1__val)
(assert (= tmp32__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_52) (* 0 tmp1__global__ref1_53)) (* 0 tmp1__global__ref1_54)) (* 64 tmp1__global__ref1_55)) (* 0 tmp1__global__ref1_56)) (* 0 tmp1__global__ref1_57)) (* 0 tmp1__global__ref1_58)) (* 0 tmp1__global__ref1_59)) 0) 1))) ; (tmp32__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_52) + (0 * tmp1__global__ref1_53)) + (0 * tmp1__global__ref1_54)) + (64 * tmp1__global__ref1_55)) + (0 * tmp1__global__ref1_56)) + (0 * tmp1__global__ref1_57)) + (0 * tmp1__global__ref1_58)) + (0 * tmp1__global__ref1_59)) + 0) div 1))
(assert (= tmp3__global__buf_31 tmp32__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_31 = tmp32__func_com_mc_l_nn_variant_1__val)
(assert (= tmp33__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_60) (* 0 tmp1__global__ref1_61)) (* 0 tmp1__global__ref1_62)) (* 64 tmp1__global__ref1_63)) (* 0 tmp1__global__ref1_64)) (* 0 tmp1__global__ref1_65)) (* 0 tmp1__global__ref1_66)) (* 0 tmp1__global__ref1_67)) 0) 1))) ; (tmp33__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_60) + (0 * tmp1__global__ref1_61)) + (0 * tmp1__global__ref1_62)) + (64 * tmp1__global__ref1_63)) + (0 * tmp1__global__ref1_64)) + (0 * tmp1__global__ref1_65)) + (0 * tmp1__global__ref1_66)) + (0 * tmp1__global__ref1_67)) + 0) div 1))
(assert (= tmp3__global__buf_32 tmp33__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_32 = tmp33__func_com_mc_l_nn_variant_1__val)
(assert (= tmp34__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_61) (* 0 tmp1__global__ref1_62)) (* 0 tmp1__global__ref1_63)) (* 64 tmp1__global__ref1_64)) (* 0 tmp1__global__ref1_65)) (* 0 tmp1__global__ref1_66)) (* 0 tmp1__global__ref1_67)) (* 0 tmp1__global__ref1_68)) 0) 1))) ; (tmp34__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_61) + (0 * tmp1__global__ref1_62)) + (0 * tmp1__global__ref1_63)) + (64 * tmp1__global__ref1_64)) + (0 * tmp1__global__ref1_65)) + (0 * tmp1__global__ref1_66)) + (0 * tmp1__global__ref1_67)) + (0 * tmp1__global__ref1_68)) + 0) div 1))
(assert (= tmp3__global__buf_33 tmp34__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_33 = tmp34__func_com_mc_l_nn_variant_1__val)
(assert (= tmp35__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_62) (* 0 tmp1__global__ref1_63)) (* 0 tmp1__global__ref1_64)) (* 64 tmp1__global__ref1_65)) (* 0 tmp1__global__ref1_66)) (* 0 tmp1__global__ref1_67)) (* 0 tmp1__global__ref1_68)) (* 0 tmp1__global__ref1_69)) 0) 1))) ; (tmp35__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_62) + (0 * tmp1__global__ref1_63)) + (0 * tmp1__global__ref1_64)) + (64 * tmp1__global__ref1_65)) + (0 * tmp1__global__ref1_66)) + (0 * tmp1__global__ref1_67)) + (0 * tmp1__global__ref1_68)) + (0 * tmp1__global__ref1_69)) + 0) div 1))
(assert (= tmp3__global__buf_34 tmp35__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_34 = tmp35__func_com_mc_l_nn_variant_1__val)
(assert (= tmp36__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_63) (* 0 tmp1__global__ref1_64)) (* 0 tmp1__global__ref1_65)) (* 64 tmp1__global__ref1_66)) (* 0 tmp1__global__ref1_67)) (* 0 tmp1__global__ref1_68)) (* 0 tmp1__global__ref1_69)) (* 0 tmp1__global__ref1_70)) 0) 1))) ; (tmp36__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_63) + (0 * tmp1__global__ref1_64)) + (0 * tmp1__global__ref1_65)) + (64 * tmp1__global__ref1_66)) + (0 * tmp1__global__ref1_67)) + (0 * tmp1__global__ref1_68)) + (0 * tmp1__global__ref1_69)) + (0 * tmp1__global__ref1_70)) + 0) div 1))
(assert (= tmp3__global__buf_35 tmp36__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_35 = tmp36__func_com_mc_l_nn_variant_1__val)
(assert (= tmp37__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_64) (* 0 tmp1__global__ref1_65)) (* 0 tmp1__global__ref1_66)) (* 64 tmp1__global__ref1_67)) (* 0 tmp1__global__ref1_68)) (* 0 tmp1__global__ref1_69)) (* 0 tmp1__global__ref1_70)) (* 0 tmp1__global__ref1_71)) 0) 1))) ; (tmp37__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_64) + (0 * tmp1__global__ref1_65)) + (0 * tmp1__global__ref1_66)) + (64 * tmp1__global__ref1_67)) + (0 * tmp1__global__ref1_68)) + (0 * tmp1__global__ref1_69)) + (0 * tmp1__global__ref1_70)) + (0 * tmp1__global__ref1_71)) + 0) div 1))
(assert (= tmp3__global__buf_36 tmp37__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_36 = tmp37__func_com_mc_l_nn_variant_1__val)
(assert (= tmp38__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_65) (* 0 tmp1__global__ref1_66)) (* 0 tmp1__global__ref1_67)) (* 64 tmp1__global__ref1_68)) (* 0 tmp1__global__ref1_69)) (* 0 tmp1__global__ref1_70)) (* 0 tmp1__global__ref1_71)) (* 0 tmp1__global__ref1_72)) 0) 1))) ; (tmp38__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_65) + (0 * tmp1__global__ref1_66)) + (0 * tmp1__global__ref1_67)) + (64 * tmp1__global__ref1_68)) + (0 * tmp1__global__ref1_69)) + (0 * tmp1__global__ref1_70)) + (0 * tmp1__global__ref1_71)) + (0 * tmp1__global__ref1_72)) + 0) div 1))
(assert (= tmp3__global__buf_37 tmp38__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_37 = tmp38__func_com_mc_l_nn_variant_1__val)
(assert (= tmp39__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_66) (* 0 tmp1__global__ref1_67)) (* 0 tmp1__global__ref1_68)) (* 64 tmp1__global__ref1_69)) (* 0 tmp1__global__ref1_70)) (* 0 tmp1__global__ref1_71)) (* 0 tmp1__global__ref1_72)) (* 0 tmp1__global__ref1_73)) 0) 1))) ; (tmp39__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_66) + (0 * tmp1__global__ref1_67)) + (0 * tmp1__global__ref1_68)) + (64 * tmp1__global__ref1_69)) + (0 * tmp1__global__ref1_70)) + (0 * tmp1__global__ref1_71)) + (0 * tmp1__global__ref1_72)) + (0 * tmp1__global__ref1_73)) + 0) div 1))
(assert (= tmp3__global__buf_38 tmp39__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_38 = tmp39__func_com_mc_l_nn_variant_1__val)
(assert (= tmp40__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_67) (* 0 tmp1__global__ref1_68)) (* 0 tmp1__global__ref1_69)) (* 64 tmp1__global__ref1_70)) (* 0 tmp1__global__ref1_71)) (* 0 tmp1__global__ref1_72)) (* 0 tmp1__global__ref1_73)) (* 0 tmp1__global__ref1_74)) 0) 1))) ; (tmp40__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_67) + (0 * tmp1__global__ref1_68)) + (0 * tmp1__global__ref1_69)) + (64 * tmp1__global__ref1_70)) + (0 * tmp1__global__ref1_71)) + (0 * tmp1__global__ref1_72)) + (0 * tmp1__global__ref1_73)) + (0 * tmp1__global__ref1_74)) + 0) div 1))
(assert (= tmp3__global__buf_39 tmp40__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_39 = tmp40__func_com_mc_l_nn_variant_1__val)
(assert (= tmp41__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_75) (* 0 tmp1__global__ref1_76)) (* 0 tmp1__global__ref1_77)) (* 64 tmp1__global__ref1_78)) (* 0 tmp1__global__ref1_79)) (* 0 tmp1__global__ref1_80)) (* 0 tmp1__global__ref1_81)) (* 0 tmp1__global__ref1_82)) 0) 1))) ; (tmp41__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_75) + (0 * tmp1__global__ref1_76)) + (0 * tmp1__global__ref1_77)) + (64 * tmp1__global__ref1_78)) + (0 * tmp1__global__ref1_79)) + (0 * tmp1__global__ref1_80)) + (0 * tmp1__global__ref1_81)) + (0 * tmp1__global__ref1_82)) + 0) div 1))
(assert (= tmp3__global__buf_40 tmp41__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_40 = tmp41__func_com_mc_l_nn_variant_1__val)
(assert (= tmp42__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_76) (* 0 tmp1__global__ref1_77)) (* 0 tmp1__global__ref1_78)) (* 64 tmp1__global__ref1_79)) (* 0 tmp1__global__ref1_80)) (* 0 tmp1__global__ref1_81)) (* 0 tmp1__global__ref1_82)) (* 0 tmp1__global__ref1_83)) 0) 1))) ; (tmp42__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_76) + (0 * tmp1__global__ref1_77)) + (0 * tmp1__global__ref1_78)) + (64 * tmp1__global__ref1_79)) + (0 * tmp1__global__ref1_80)) + (0 * tmp1__global__ref1_81)) + (0 * tmp1__global__ref1_82)) + (0 * tmp1__global__ref1_83)) + 0) div 1))
(assert (= tmp3__global__buf_41 tmp42__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_41 = tmp42__func_com_mc_l_nn_variant_1__val)
(assert (= tmp43__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_77) (* 0 tmp1__global__ref1_78)) (* 0 tmp1__global__ref1_79)) (* 64 tmp1__global__ref1_80)) (* 0 tmp1__global__ref1_81)) (* 0 tmp1__global__ref1_82)) (* 0 tmp1__global__ref1_83)) (* 0 tmp1__global__ref1_84)) 0) 1))) ; (tmp43__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_77) + (0 * tmp1__global__ref1_78)) + (0 * tmp1__global__ref1_79)) + (64 * tmp1__global__ref1_80)) + (0 * tmp1__global__ref1_81)) + (0 * tmp1__global__ref1_82)) + (0 * tmp1__global__ref1_83)) + (0 * tmp1__global__ref1_84)) + 0) div 1))
(assert (= tmp3__global__buf_42 tmp43__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_42 = tmp43__func_com_mc_l_nn_variant_1__val)
(assert (= tmp44__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_78) (* 0 tmp1__global__ref1_79)) (* 0 tmp1__global__ref1_80)) (* 64 tmp1__global__ref1_81)) (* 0 tmp1__global__ref1_82)) (* 0 tmp1__global__ref1_83)) (* 0 tmp1__global__ref1_84)) (* 0 tmp1__global__ref1_85)) 0) 1))) ; (tmp44__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_78) + (0 * tmp1__global__ref1_79)) + (0 * tmp1__global__ref1_80)) + (64 * tmp1__global__ref1_81)) + (0 * tmp1__global__ref1_82)) + (0 * tmp1__global__ref1_83)) + (0 * tmp1__global__ref1_84)) + (0 * tmp1__global__ref1_85)) + 0) div 1))
(assert (= tmp3__global__buf_43 tmp44__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_43 = tmp44__func_com_mc_l_nn_variant_1__val)
(assert (= tmp45__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_79) (* 0 tmp1__global__ref1_80)) (* 0 tmp1__global__ref1_81)) (* 64 tmp1__global__ref1_82)) (* 0 tmp1__global__ref1_83)) (* 0 tmp1__global__ref1_84)) (* 0 tmp1__global__ref1_85)) (* 0 tmp1__global__ref1_86)) 0) 1))) ; (tmp45__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_79) + (0 * tmp1__global__ref1_80)) + (0 * tmp1__global__ref1_81)) + (64 * tmp1__global__ref1_82)) + (0 * tmp1__global__ref1_83)) + (0 * tmp1__global__ref1_84)) + (0 * tmp1__global__ref1_85)) + (0 * tmp1__global__ref1_86)) + 0) div 1))
(assert (= tmp3__global__buf_44 tmp45__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_44 = tmp45__func_com_mc_l_nn_variant_1__val)
(assert (= tmp46__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_80) (* 0 tmp1__global__ref1_81)) (* 0 tmp1__global__ref1_82)) (* 64 tmp1__global__ref1_83)) (* 0 tmp1__global__ref1_84)) (* 0 tmp1__global__ref1_85)) (* 0 tmp1__global__ref1_86)) (* 0 tmp1__global__ref1_87)) 0) 1))) ; (tmp46__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_80) + (0 * tmp1__global__ref1_81)) + (0 * tmp1__global__ref1_82)) + (64 * tmp1__global__ref1_83)) + (0 * tmp1__global__ref1_84)) + (0 * tmp1__global__ref1_85)) + (0 * tmp1__global__ref1_86)) + (0 * tmp1__global__ref1_87)) + 0) div 1))
(assert (= tmp3__global__buf_45 tmp46__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_45 = tmp46__func_com_mc_l_nn_variant_1__val)
(assert (= tmp47__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_81) (* 0 tmp1__global__ref1_82)) (* 0 tmp1__global__ref1_83)) (* 64 tmp1__global__ref1_84)) (* 0 tmp1__global__ref1_85)) (* 0 tmp1__global__ref1_86)) (* 0 tmp1__global__ref1_87)) (* 0 tmp1__global__ref1_88)) 0) 1))) ; (tmp47__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_81) + (0 * tmp1__global__ref1_82)) + (0 * tmp1__global__ref1_83)) + (64 * tmp1__global__ref1_84)) + (0 * tmp1__global__ref1_85)) + (0 * tmp1__global__ref1_86)) + (0 * tmp1__global__ref1_87)) + (0 * tmp1__global__ref1_88)) + 0) div 1))
(assert (= tmp3__global__buf_46 tmp47__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_46 = tmp47__func_com_mc_l_nn_variant_1__val)
(assert (= tmp48__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_82) (* 0 tmp1__global__ref1_83)) (* 0 tmp1__global__ref1_84)) (* 64 tmp1__global__ref1_85)) (* 0 tmp1__global__ref1_86)) (* 0 tmp1__global__ref1_87)) (* 0 tmp1__global__ref1_88)) (* 0 tmp1__global__ref1_89)) 0) 1))) ; (tmp48__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_82) + (0 * tmp1__global__ref1_83)) + (0 * tmp1__global__ref1_84)) + (64 * tmp1__global__ref1_85)) + (0 * tmp1__global__ref1_86)) + (0 * tmp1__global__ref1_87)) + (0 * tmp1__global__ref1_88)) + (0 * tmp1__global__ref1_89)) + 0) div 1))
(assert (= tmp3__global__buf_47 tmp48__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_47 = tmp48__func_com_mc_l_nn_variant_1__val)
(assert (= tmp49__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_90) (* 0 tmp1__global__ref1_91)) (* 0 tmp1__global__ref1_92)) (* 64 tmp1__global__ref1_93)) (* 0 tmp1__global__ref1_94)) (* 0 tmp1__global__ref1_95)) (* 0 tmp1__global__ref1_96)) (* 0 tmp1__global__ref1_97)) 0) 1))) ; (tmp49__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_90) + (0 * tmp1__global__ref1_91)) + (0 * tmp1__global__ref1_92)) + (64 * tmp1__global__ref1_93)) + (0 * tmp1__global__ref1_94)) + (0 * tmp1__global__ref1_95)) + (0 * tmp1__global__ref1_96)) + (0 * tmp1__global__ref1_97)) + 0) div 1))
(assert (= tmp3__global__buf_48 tmp49__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_48 = tmp49__func_com_mc_l_nn_variant_1__val)
(assert (= tmp50__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_91) (* 0 tmp1__global__ref1_92)) (* 0 tmp1__global__ref1_93)) (* 64 tmp1__global__ref1_94)) (* 0 tmp1__global__ref1_95)) (* 0 tmp1__global__ref1_96)) (* 0 tmp1__global__ref1_97)) (* 0 tmp1__global__ref1_98)) 0) 1))) ; (tmp50__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_91) + (0 * tmp1__global__ref1_92)) + (0 * tmp1__global__ref1_93)) + (64 * tmp1__global__ref1_94)) + (0 * tmp1__global__ref1_95)) + (0 * tmp1__global__ref1_96)) + (0 * tmp1__global__ref1_97)) + (0 * tmp1__global__ref1_98)) + 0) div 1))
(assert (= tmp3__global__buf_49 tmp50__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_49 = tmp50__func_com_mc_l_nn_variant_1__val)
(assert (= tmp51__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_92) (* 0 tmp1__global__ref1_93)) (* 0 tmp1__global__ref1_94)) (* 64 tmp1__global__ref1_95)) (* 0 tmp1__global__ref1_96)) (* 0 tmp1__global__ref1_97)) (* 0 tmp1__global__ref1_98)) (* 0 tmp1__global__ref1_99)) 0) 1))) ; (tmp51__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_92) + (0 * tmp1__global__ref1_93)) + (0 * tmp1__global__ref1_94)) + (64 * tmp1__global__ref1_95)) + (0 * tmp1__global__ref1_96)) + (0 * tmp1__global__ref1_97)) + (0 * tmp1__global__ref1_98)) + (0 * tmp1__global__ref1_99)) + 0) div 1))
(assert (= tmp3__global__buf_50 tmp51__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_50 = tmp51__func_com_mc_l_nn_variant_1__val)
(assert (= tmp52__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_93) (* 0 tmp1__global__ref1_94)) (* 0 tmp1__global__ref1_95)) (* 64 tmp1__global__ref1_96)) (* 0 tmp1__global__ref1_97)) (* 0 tmp1__global__ref1_98)) (* 0 tmp1__global__ref1_99)) (* 0 tmp1__global__ref1_100)) 0) 1))) ; (tmp52__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_93) + (0 * tmp1__global__ref1_94)) + (0 * tmp1__global__ref1_95)) + (64 * tmp1__global__ref1_96)) + (0 * tmp1__global__ref1_97)) + (0 * tmp1__global__ref1_98)) + (0 * tmp1__global__ref1_99)) + (0 * tmp1__global__ref1_100)) + 0) div 1))
(assert (= tmp3__global__buf_51 tmp52__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_51 = tmp52__func_com_mc_l_nn_variant_1__val)
(assert (= tmp53__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_94) (* 0 tmp1__global__ref1_95)) (* 0 tmp1__global__ref1_96)) (* 64 tmp1__global__ref1_97)) (* 0 tmp1__global__ref1_98)) (* 0 tmp1__global__ref1_99)) (* 0 tmp1__global__ref1_100)) (* 0 tmp1__global__ref1_101)) 0) 1))) ; (tmp53__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_94) + (0 * tmp1__global__ref1_95)) + (0 * tmp1__global__ref1_96)) + (64 * tmp1__global__ref1_97)) + (0 * tmp1__global__ref1_98)) + (0 * tmp1__global__ref1_99)) + (0 * tmp1__global__ref1_100)) + (0 * tmp1__global__ref1_101)) + 0) div 1))
(assert (= tmp3__global__buf_52 tmp53__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_52 = tmp53__func_com_mc_l_nn_variant_1__val)
(assert (= tmp54__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_95) (* 0 tmp1__global__ref1_96)) (* 0 tmp1__global__ref1_97)) (* 64 tmp1__global__ref1_98)) (* 0 tmp1__global__ref1_99)) (* 0 tmp1__global__ref1_100)) (* 0 tmp1__global__ref1_101)) (* 0 tmp1__global__ref1_102)) 0) 1))) ; (tmp54__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_95) + (0 * tmp1__global__ref1_96)) + (0 * tmp1__global__ref1_97)) + (64 * tmp1__global__ref1_98)) + (0 * tmp1__global__ref1_99)) + (0 * tmp1__global__ref1_100)) + (0 * tmp1__global__ref1_101)) + (0 * tmp1__global__ref1_102)) + 0) div 1))
(assert (= tmp3__global__buf_53 tmp54__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_53 = tmp54__func_com_mc_l_nn_variant_1__val)
(assert (= tmp55__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_96) (* 0 tmp1__global__ref1_97)) (* 0 tmp1__global__ref1_98)) (* 64 tmp1__global__ref1_99)) (* 0 tmp1__global__ref1_100)) (* 0 tmp1__global__ref1_101)) (* 0 tmp1__global__ref1_102)) (* 0 tmp1__global__ref1_103)) 0) 1))) ; (tmp55__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_96) + (0 * tmp1__global__ref1_97)) + (0 * tmp1__global__ref1_98)) + (64 * tmp1__global__ref1_99)) + (0 * tmp1__global__ref1_100)) + (0 * tmp1__global__ref1_101)) + (0 * tmp1__global__ref1_102)) + (0 * tmp1__global__ref1_103)) + 0) div 1))
(assert (= tmp3__global__buf_54 tmp55__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_54 = tmp55__func_com_mc_l_nn_variant_1__val)
(assert (= tmp56__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_97) (* 0 tmp1__global__ref1_98)) (* 0 tmp1__global__ref1_99)) (* 64 tmp1__global__ref1_100)) (* 0 tmp1__global__ref1_101)) (* 0 tmp1__global__ref1_102)) (* 0 tmp1__global__ref1_103)) (* 0 tmp1__global__ref1_104)) 0) 1))) ; (tmp56__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_97) + (0 * tmp1__global__ref1_98)) + (0 * tmp1__global__ref1_99)) + (64 * tmp1__global__ref1_100)) + (0 * tmp1__global__ref1_101)) + (0 * tmp1__global__ref1_102)) + (0 * tmp1__global__ref1_103)) + (0 * tmp1__global__ref1_104)) + 0) div 1))
(assert (= tmp3__global__buf_55 tmp56__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_55 = tmp56__func_com_mc_l_nn_variant_1__val)
(assert (= tmp57__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_105) (* 0 tmp1__global__ref1_106)) (* 0 tmp1__global__ref1_107)) (* 64 tmp1__global__ref1_108)) (* 0 tmp1__global__ref1_109)) (* 0 tmp1__global__ref1_110)) (* 0 tmp1__global__ref1_111)) (* 0 tmp1__global__ref1_112)) 0) 1))) ; (tmp57__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_105) + (0 * tmp1__global__ref1_106)) + (0 * tmp1__global__ref1_107)) + (64 * tmp1__global__ref1_108)) + (0 * tmp1__global__ref1_109)) + (0 * tmp1__global__ref1_110)) + (0 * tmp1__global__ref1_111)) + (0 * tmp1__global__ref1_112)) + 0) div 1))
(assert (= tmp3__global__buf_56 tmp57__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_56 = tmp57__func_com_mc_l_nn_variant_1__val)
(assert (= tmp58__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_106) (* 0 tmp1__global__ref1_107)) (* 0 tmp1__global__ref1_108)) (* 64 tmp1__global__ref1_109)) (* 0 tmp1__global__ref1_110)) (* 0 tmp1__global__ref1_111)) (* 0 tmp1__global__ref1_112)) (* 0 tmp1__global__ref1_113)) 0) 1))) ; (tmp58__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_106) + (0 * tmp1__global__ref1_107)) + (0 * tmp1__global__ref1_108)) + (64 * tmp1__global__ref1_109)) + (0 * tmp1__global__ref1_110)) + (0 * tmp1__global__ref1_111)) + (0 * tmp1__global__ref1_112)) + (0 * tmp1__global__ref1_113)) + 0) div 1))
(assert (= tmp3__global__buf_57 tmp58__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_57 = tmp58__func_com_mc_l_nn_variant_1__val)
(assert (= tmp59__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_107) (* 0 tmp1__global__ref1_108)) (* 0 tmp1__global__ref1_109)) (* 64 tmp1__global__ref1_110)) (* 0 tmp1__global__ref1_111)) (* 0 tmp1__global__ref1_112)) (* 0 tmp1__global__ref1_113)) (* 0 tmp1__global__ref1_114)) 0) 1))) ; (tmp59__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_107) + (0 * tmp1__global__ref1_108)) + (0 * tmp1__global__ref1_109)) + (64 * tmp1__global__ref1_110)) + (0 * tmp1__global__ref1_111)) + (0 * tmp1__global__ref1_112)) + (0 * tmp1__global__ref1_113)) + (0 * tmp1__global__ref1_114)) + 0) div 1))
(assert (= tmp3__global__buf_58 tmp59__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_58 = tmp59__func_com_mc_l_nn_variant_1__val)
(assert (= tmp60__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_108) (* 0 tmp1__global__ref1_109)) (* 0 tmp1__global__ref1_110)) (* 64 tmp1__global__ref1_111)) (* 0 tmp1__global__ref1_112)) (* 0 tmp1__global__ref1_113)) (* 0 tmp1__global__ref1_114)) (* 0 tmp1__global__ref1_115)) 0) 1))) ; (tmp60__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_108) + (0 * tmp1__global__ref1_109)) + (0 * tmp1__global__ref1_110)) + (64 * tmp1__global__ref1_111)) + (0 * tmp1__global__ref1_112)) + (0 * tmp1__global__ref1_113)) + (0 * tmp1__global__ref1_114)) + (0 * tmp1__global__ref1_115)) + 0) div 1))
(assert (= tmp3__global__buf_59 tmp60__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_59 = tmp60__func_com_mc_l_nn_variant_1__val)
(assert (= tmp61__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_109) (* 0 tmp1__global__ref1_110)) (* 0 tmp1__global__ref1_111)) (* 64 tmp1__global__ref1_112)) (* 0 tmp1__global__ref1_113)) (* 0 tmp1__global__ref1_114)) (* 0 tmp1__global__ref1_115)) (* 0 tmp1__global__ref1_116)) 0) 1))) ; (tmp61__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_109) + (0 * tmp1__global__ref1_110)) + (0 * tmp1__global__ref1_111)) + (64 * tmp1__global__ref1_112)) + (0 * tmp1__global__ref1_113)) + (0 * tmp1__global__ref1_114)) + (0 * tmp1__global__ref1_115)) + (0 * tmp1__global__ref1_116)) + 0) div 1))
(assert (= tmp3__global__buf_60 tmp61__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_60 = tmp61__func_com_mc_l_nn_variant_1__val)
(assert (= tmp62__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_110) (* 0 tmp1__global__ref1_111)) (* 0 tmp1__global__ref1_112)) (* 64 tmp1__global__ref1_113)) (* 0 tmp1__global__ref1_114)) (* 0 tmp1__global__ref1_115)) (* 0 tmp1__global__ref1_116)) (* 0 tmp1__global__ref1_117)) 0) 1))) ; (tmp62__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_110) + (0 * tmp1__global__ref1_111)) + (0 * tmp1__global__ref1_112)) + (64 * tmp1__global__ref1_113)) + (0 * tmp1__global__ref1_114)) + (0 * tmp1__global__ref1_115)) + (0 * tmp1__global__ref1_116)) + (0 * tmp1__global__ref1_117)) + 0) div 1))
(assert (= tmp3__global__buf_61 tmp62__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_61 = tmp62__func_com_mc_l_nn_variant_1__val)
(assert (= tmp63__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_111) (* 0 tmp1__global__ref1_112)) (* 0 tmp1__global__ref1_113)) (* 64 tmp1__global__ref1_114)) (* 0 tmp1__global__ref1_115)) (* 0 tmp1__global__ref1_116)) (* 0 tmp1__global__ref1_117)) (* 0 tmp1__global__ref1_118)) 0) 1))) ; (tmp63__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_111) + (0 * tmp1__global__ref1_112)) + (0 * tmp1__global__ref1_113)) + (64 * tmp1__global__ref1_114)) + (0 * tmp1__global__ref1_115)) + (0 * tmp1__global__ref1_116)) + (0 * tmp1__global__ref1_117)) + (0 * tmp1__global__ref1_118)) + 0) div 1))
(assert (= tmp3__global__buf_62 tmp63__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_62 = tmp63__func_com_mc_l_nn_variant_1__val)
(assert (= tmp64__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_112) (* 0 tmp1__global__ref1_113)) (* 0 tmp1__global__ref1_114)) (* 64 tmp1__global__ref1_115)) (* 0 tmp1__global__ref1_116)) (* 0 tmp1__global__ref1_117)) (* 0 tmp1__global__ref1_118)) (* 0 tmp1__global__ref1_119)) 0) 1))) ; (tmp64__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_112) + (0 * tmp1__global__ref1_113)) + (0 * tmp1__global__ref1_114)) + (64 * tmp1__global__ref1_115)) + (0 * tmp1__global__ref1_116)) + (0 * tmp1__global__ref1_117)) + (0 * tmp1__global__ref1_118)) + (0 * tmp1__global__ref1_119)) + 0) div 1))
(assert (= tmp3__global__buf_63 tmp64__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_63 = tmp64__func_com_mc_l_nn_variant_1__val)
(assert (= tmp65__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_120) (* 0 tmp1__global__ref1_121)) (* 0 tmp1__global__ref1_122)) (* 64 tmp1__global__ref1_123)) (* 0 tmp1__global__ref1_124)) (* 0 tmp1__global__ref1_125)) (* 0 tmp1__global__ref1_126)) (* 0 tmp1__global__ref1_127)) 0) 1))) ; (tmp65__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_120) + (0 * tmp1__global__ref1_121)) + (0 * tmp1__global__ref1_122)) + (64 * tmp1__global__ref1_123)) + (0 * tmp1__global__ref1_124)) + (0 * tmp1__global__ref1_125)) + (0 * tmp1__global__ref1_126)) + (0 * tmp1__global__ref1_127)) + 0) div 1))
(assert (= tmp3__global__buf_64 tmp65__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_64 = tmp65__func_com_mc_l_nn_variant_1__val)
(assert (= tmp66__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_121) (* 0 tmp1__global__ref1_122)) (* 0 tmp1__global__ref1_123)) (* 64 tmp1__global__ref1_124)) (* 0 tmp1__global__ref1_125)) (* 0 tmp1__global__ref1_126)) (* 0 tmp1__global__ref1_127)) (* 0 tmp1__global__ref1_128)) 0) 1))) ; (tmp66__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_121) + (0 * tmp1__global__ref1_122)) + (0 * tmp1__global__ref1_123)) + (64 * tmp1__global__ref1_124)) + (0 * tmp1__global__ref1_125)) + (0 * tmp1__global__ref1_126)) + (0 * tmp1__global__ref1_127)) + (0 * tmp1__global__ref1_128)) + 0) div 1))
(assert (= tmp3__global__buf_65 tmp66__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_65 = tmp66__func_com_mc_l_nn_variant_1__val)
(assert (= tmp67__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_122) (* 0 tmp1__global__ref1_123)) (* 0 tmp1__global__ref1_124)) (* 64 tmp1__global__ref1_125)) (* 0 tmp1__global__ref1_126)) (* 0 tmp1__global__ref1_127)) (* 0 tmp1__global__ref1_128)) (* 0 tmp1__global__ref1_129)) 0) 1))) ; (tmp67__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_122) + (0 * tmp1__global__ref1_123)) + (0 * tmp1__global__ref1_124)) + (64 * tmp1__global__ref1_125)) + (0 * tmp1__global__ref1_126)) + (0 * tmp1__global__ref1_127)) + (0 * tmp1__global__ref1_128)) + (0 * tmp1__global__ref1_129)) + 0) div 1))
(assert (= tmp3__global__buf_66 tmp67__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_66 = tmp67__func_com_mc_l_nn_variant_1__val)
(assert (= tmp68__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_123) (* 0 tmp1__global__ref1_124)) (* 0 tmp1__global__ref1_125)) (* 64 tmp1__global__ref1_126)) (* 0 tmp1__global__ref1_127)) (* 0 tmp1__global__ref1_128)) (* 0 tmp1__global__ref1_129)) (* 0 tmp1__global__ref1_130)) 0) 1))) ; (tmp68__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_123) + (0 * tmp1__global__ref1_124)) + (0 * tmp1__global__ref1_125)) + (64 * tmp1__global__ref1_126)) + (0 * tmp1__global__ref1_127)) + (0 * tmp1__global__ref1_128)) + (0 * tmp1__global__ref1_129)) + (0 * tmp1__global__ref1_130)) + 0) div 1))
(assert (= tmp3__global__buf_67 tmp68__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_67 = tmp68__func_com_mc_l_nn_variant_1__val)
(assert (= tmp69__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_124) (* 0 tmp1__global__ref1_125)) (* 0 tmp1__global__ref1_126)) (* 64 tmp1__global__ref1_127)) (* 0 tmp1__global__ref1_128)) (* 0 tmp1__global__ref1_129)) (* 0 tmp1__global__ref1_130)) (* 0 tmp1__global__ref1_131)) 0) 1))) ; (tmp69__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_124) + (0 * tmp1__global__ref1_125)) + (0 * tmp1__global__ref1_126)) + (64 * tmp1__global__ref1_127)) + (0 * tmp1__global__ref1_128)) + (0 * tmp1__global__ref1_129)) + (0 * tmp1__global__ref1_130)) + (0 * tmp1__global__ref1_131)) + 0) div 1))
(assert (= tmp3__global__buf_68 tmp69__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_68 = tmp69__func_com_mc_l_nn_variant_1__val)
(assert (= tmp70__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_125) (* 0 tmp1__global__ref1_126)) (* 0 tmp1__global__ref1_127)) (* 64 tmp1__global__ref1_128)) (* 0 tmp1__global__ref1_129)) (* 0 tmp1__global__ref1_130)) (* 0 tmp1__global__ref1_131)) (* 0 tmp1__global__ref1_132)) 0) 1))) ; (tmp70__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_125) + (0 * tmp1__global__ref1_126)) + (0 * tmp1__global__ref1_127)) + (64 * tmp1__global__ref1_128)) + (0 * tmp1__global__ref1_129)) + (0 * tmp1__global__ref1_130)) + (0 * tmp1__global__ref1_131)) + (0 * tmp1__global__ref1_132)) + 0) div 1))
(assert (= tmp3__global__buf_69 tmp70__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_69 = tmp70__func_com_mc_l_nn_variant_1__val)
(assert (= tmp71__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_126) (* 0 tmp1__global__ref1_127)) (* 0 tmp1__global__ref1_128)) (* 64 tmp1__global__ref1_129)) (* 0 tmp1__global__ref1_130)) (* 0 tmp1__global__ref1_131)) (* 0 tmp1__global__ref1_132)) (* 0 tmp1__global__ref1_133)) 0) 1))) ; (tmp71__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_126) + (0 * tmp1__global__ref1_127)) + (0 * tmp1__global__ref1_128)) + (64 * tmp1__global__ref1_129)) + (0 * tmp1__global__ref1_130)) + (0 * tmp1__global__ref1_131)) + (0 * tmp1__global__ref1_132)) + (0 * tmp1__global__ref1_133)) + 0) div 1))
(assert (= tmp3__global__buf_70 tmp71__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_70 = tmp71__func_com_mc_l_nn_variant_1__val)
(assert (= tmp72__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_127) (* 0 tmp1__global__ref1_128)) (* 0 tmp1__global__ref1_129)) (* 64 tmp1__global__ref1_130)) (* 0 tmp1__global__ref1_131)) (* 0 tmp1__global__ref1_132)) (* 0 tmp1__global__ref1_133)) (* 0 tmp1__global__ref1_134)) 0) 1))) ; (tmp72__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_127) + (0 * tmp1__global__ref1_128)) + (0 * tmp1__global__ref1_129)) + (64 * tmp1__global__ref1_130)) + (0 * tmp1__global__ref1_131)) + (0 * tmp1__global__ref1_132)) + (0 * tmp1__global__ref1_133)) + (0 * tmp1__global__ref1_134)) + 0) div 1))
(assert (= tmp3__global__buf_71 tmp72__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_71 = tmp72__func_com_mc_l_nn_variant_1__val)
(assert (= tmp73__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_135) (* 0 tmp1__global__ref1_136)) (* 0 tmp1__global__ref1_137)) (* 64 tmp1__global__ref1_138)) (* 0 tmp1__global__ref1_139)) (* 0 tmp1__global__ref1_140)) (* 0 tmp1__global__ref1_141)) (* 0 tmp1__global__ref1_142)) 0) 1))) ; (tmp73__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_135) + (0 * tmp1__global__ref1_136)) + (0 * tmp1__global__ref1_137)) + (64 * tmp1__global__ref1_138)) + (0 * tmp1__global__ref1_139)) + (0 * tmp1__global__ref1_140)) + (0 * tmp1__global__ref1_141)) + (0 * tmp1__global__ref1_142)) + 0) div 1))
(assert (= tmp3__global__buf_72 tmp73__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_72 = tmp73__func_com_mc_l_nn_variant_1__val)
(assert (= tmp74__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_136) (* 0 tmp1__global__ref1_137)) (* 0 tmp1__global__ref1_138)) (* 64 tmp1__global__ref1_139)) (* 0 tmp1__global__ref1_140)) (* 0 tmp1__global__ref1_141)) (* 0 tmp1__global__ref1_142)) (* 0 tmp1__global__ref1_143)) 0) 1))) ; (tmp74__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_136) + (0 * tmp1__global__ref1_137)) + (0 * tmp1__global__ref1_138)) + (64 * tmp1__global__ref1_139)) + (0 * tmp1__global__ref1_140)) + (0 * tmp1__global__ref1_141)) + (0 * tmp1__global__ref1_142)) + (0 * tmp1__global__ref1_143)) + 0) div 1))
(assert (= tmp3__global__buf_73 tmp74__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_73 = tmp74__func_com_mc_l_nn_variant_1__val)
(assert (= tmp75__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_137) (* 0 tmp1__global__ref1_138)) (* 0 tmp1__global__ref1_139)) (* 64 tmp1__global__ref1_140)) (* 0 tmp1__global__ref1_141)) (* 0 tmp1__global__ref1_142)) (* 0 tmp1__global__ref1_143)) (* 0 tmp1__global__ref1_144)) 0) 1))) ; (tmp75__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_137) + (0 * tmp1__global__ref1_138)) + (0 * tmp1__global__ref1_139)) + (64 * tmp1__global__ref1_140)) + (0 * tmp1__global__ref1_141)) + (0 * tmp1__global__ref1_142)) + (0 * tmp1__global__ref1_143)) + (0 * tmp1__global__ref1_144)) + 0) div 1))
(assert (= tmp3__global__buf_74 tmp75__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_74 = tmp75__func_com_mc_l_nn_variant_1__val)
(assert (= tmp76__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_138) (* 0 tmp1__global__ref1_139)) (* 0 tmp1__global__ref1_140)) (* 64 tmp1__global__ref1_141)) (* 0 tmp1__global__ref1_142)) (* 0 tmp1__global__ref1_143)) (* 0 tmp1__global__ref1_144)) (* 0 tmp1__global__ref1_145)) 0) 1))) ; (tmp76__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_138) + (0 * tmp1__global__ref1_139)) + (0 * tmp1__global__ref1_140)) + (64 * tmp1__global__ref1_141)) + (0 * tmp1__global__ref1_142)) + (0 * tmp1__global__ref1_143)) + (0 * tmp1__global__ref1_144)) + (0 * tmp1__global__ref1_145)) + 0) div 1))
(assert (= tmp3__global__buf_75 tmp76__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_75 = tmp76__func_com_mc_l_nn_variant_1__val)
(assert (= tmp77__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_139) (* 0 tmp1__global__ref1_140)) (* 0 tmp1__global__ref1_141)) (* 64 tmp1__global__ref1_142)) (* 0 tmp1__global__ref1_143)) (* 0 tmp1__global__ref1_144)) (* 0 tmp1__global__ref1_145)) (* 0 tmp1__global__ref1_146)) 0) 1))) ; (tmp77__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_139) + (0 * tmp1__global__ref1_140)) + (0 * tmp1__global__ref1_141)) + (64 * tmp1__global__ref1_142)) + (0 * tmp1__global__ref1_143)) + (0 * tmp1__global__ref1_144)) + (0 * tmp1__global__ref1_145)) + (0 * tmp1__global__ref1_146)) + 0) div 1))
(assert (= tmp3__global__buf_76 tmp77__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_76 = tmp77__func_com_mc_l_nn_variant_1__val)
(assert (= tmp78__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_140) (* 0 tmp1__global__ref1_141)) (* 0 tmp1__global__ref1_142)) (* 64 tmp1__global__ref1_143)) (* 0 tmp1__global__ref1_144)) (* 0 tmp1__global__ref1_145)) (* 0 tmp1__global__ref1_146)) (* 0 tmp1__global__ref1_147)) 0) 1))) ; (tmp78__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_140) + (0 * tmp1__global__ref1_141)) + (0 * tmp1__global__ref1_142)) + (64 * tmp1__global__ref1_143)) + (0 * tmp1__global__ref1_144)) + (0 * tmp1__global__ref1_145)) + (0 * tmp1__global__ref1_146)) + (0 * tmp1__global__ref1_147)) + 0) div 1))
(assert (= tmp3__global__buf_77 tmp78__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_77 = tmp78__func_com_mc_l_nn_variant_1__val)
(assert (= tmp79__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_141) (* 0 tmp1__global__ref1_142)) (* 0 tmp1__global__ref1_143)) (* 64 tmp1__global__ref1_144)) (* 0 tmp1__global__ref1_145)) (* 0 tmp1__global__ref1_146)) (* 0 tmp1__global__ref1_147)) (* 0 tmp1__global__ref1_148)) 0) 1))) ; (tmp79__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_141) + (0 * tmp1__global__ref1_142)) + (0 * tmp1__global__ref1_143)) + (64 * tmp1__global__ref1_144)) + (0 * tmp1__global__ref1_145)) + (0 * tmp1__global__ref1_146)) + (0 * tmp1__global__ref1_147)) + (0 * tmp1__global__ref1_148)) + 0) div 1))
(assert (= tmp3__global__buf_78 tmp79__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_78 = tmp79__func_com_mc_l_nn_variant_1__val)
(assert (= tmp80__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_142) (* 0 tmp1__global__ref1_143)) (* 0 tmp1__global__ref1_144)) (* 64 tmp1__global__ref1_145)) (* 0 tmp1__global__ref1_146)) (* 0 tmp1__global__ref1_147)) (* 0 tmp1__global__ref1_148)) (* 0 tmp1__global__ref1_149)) 0) 1))) ; (tmp80__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_142) + (0 * tmp1__global__ref1_143)) + (0 * tmp1__global__ref1_144)) + (64 * tmp1__global__ref1_145)) + (0 * tmp1__global__ref1_146)) + (0 * tmp1__global__ref1_147)) + (0 * tmp1__global__ref1_148)) + (0 * tmp1__global__ref1_149)) + 0) div 1))
(assert (= tmp3__global__buf_79 tmp80__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_79 = tmp80__func_com_mc_l_nn_variant_1__val)
(assert (= tmp81__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_150) (* 0 tmp1__global__ref1_151)) (* 0 tmp1__global__ref1_152)) (* 64 tmp1__global__ref1_153)) (* 0 tmp1__global__ref1_154)) (* 0 tmp1__global__ref1_155)) (* 0 tmp1__global__ref1_156)) (* 0 tmp1__global__ref1_157)) 0) 1))) ; (tmp81__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_150) + (0 * tmp1__global__ref1_151)) + (0 * tmp1__global__ref1_152)) + (64 * tmp1__global__ref1_153)) + (0 * tmp1__global__ref1_154)) + (0 * tmp1__global__ref1_155)) + (0 * tmp1__global__ref1_156)) + (0 * tmp1__global__ref1_157)) + 0) div 1))
(assert (= tmp3__global__buf_80 tmp81__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_80 = tmp81__func_com_mc_l_nn_variant_1__val)
(assert (= tmp82__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_151) (* 0 tmp1__global__ref1_152)) (* 0 tmp1__global__ref1_153)) (* 64 tmp1__global__ref1_154)) (* 0 tmp1__global__ref1_155)) (* 0 tmp1__global__ref1_156)) (* 0 tmp1__global__ref1_157)) (* 0 tmp1__global__ref1_158)) 0) 1))) ; (tmp82__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_151) + (0 * tmp1__global__ref1_152)) + (0 * tmp1__global__ref1_153)) + (64 * tmp1__global__ref1_154)) + (0 * tmp1__global__ref1_155)) + (0 * tmp1__global__ref1_156)) + (0 * tmp1__global__ref1_157)) + (0 * tmp1__global__ref1_158)) + 0) div 1))
(assert (= tmp3__global__buf_81 tmp82__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_81 = tmp82__func_com_mc_l_nn_variant_1__val)
(assert (= tmp83__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_152) (* 0 tmp1__global__ref1_153)) (* 0 tmp1__global__ref1_154)) (* 64 tmp1__global__ref1_155)) (* 0 tmp1__global__ref1_156)) (* 0 tmp1__global__ref1_157)) (* 0 tmp1__global__ref1_158)) (* 0 tmp1__global__ref1_159)) 0) 1))) ; (tmp83__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_152) + (0 * tmp1__global__ref1_153)) + (0 * tmp1__global__ref1_154)) + (64 * tmp1__global__ref1_155)) + (0 * tmp1__global__ref1_156)) + (0 * tmp1__global__ref1_157)) + (0 * tmp1__global__ref1_158)) + (0 * tmp1__global__ref1_159)) + 0) div 1))
(assert (= tmp3__global__buf_82 tmp83__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_82 = tmp83__func_com_mc_l_nn_variant_1__val)
(assert (= tmp84__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_153) (* 0 tmp1__global__ref1_154)) (* 0 tmp1__global__ref1_155)) (* 64 tmp1__global__ref1_156)) (* 0 tmp1__global__ref1_157)) (* 0 tmp1__global__ref1_158)) (* 0 tmp1__global__ref1_159)) (* 0 tmp1__global__ref1_160)) 0) 1))) ; (tmp84__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_153) + (0 * tmp1__global__ref1_154)) + (0 * tmp1__global__ref1_155)) + (64 * tmp1__global__ref1_156)) + (0 * tmp1__global__ref1_157)) + (0 * tmp1__global__ref1_158)) + (0 * tmp1__global__ref1_159)) + (0 * tmp1__global__ref1_160)) + 0) div 1))
(assert (= tmp3__global__buf_83 tmp84__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_83 = tmp84__func_com_mc_l_nn_variant_1__val)
(assert (= tmp85__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_154) (* 0 tmp1__global__ref1_155)) (* 0 tmp1__global__ref1_156)) (* 64 tmp1__global__ref1_157)) (* 0 tmp1__global__ref1_158)) (* 0 tmp1__global__ref1_159)) (* 0 tmp1__global__ref1_160)) (* 0 tmp1__global__ref1_161)) 0) 1))) ; (tmp85__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_154) + (0 * tmp1__global__ref1_155)) + (0 * tmp1__global__ref1_156)) + (64 * tmp1__global__ref1_157)) + (0 * tmp1__global__ref1_158)) + (0 * tmp1__global__ref1_159)) + (0 * tmp1__global__ref1_160)) + (0 * tmp1__global__ref1_161)) + 0) div 1))
(assert (= tmp3__global__buf_84 tmp85__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_84 = tmp85__func_com_mc_l_nn_variant_1__val)
(assert (= tmp86__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_155) (* 0 tmp1__global__ref1_156)) (* 0 tmp1__global__ref1_157)) (* 64 tmp1__global__ref1_158)) (* 0 tmp1__global__ref1_159)) (* 0 tmp1__global__ref1_160)) (* 0 tmp1__global__ref1_161)) (* 0 tmp1__global__ref1_162)) 0) 1))) ; (tmp86__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_155) + (0 * tmp1__global__ref1_156)) + (0 * tmp1__global__ref1_157)) + (64 * tmp1__global__ref1_158)) + (0 * tmp1__global__ref1_159)) + (0 * tmp1__global__ref1_160)) + (0 * tmp1__global__ref1_161)) + (0 * tmp1__global__ref1_162)) + 0) div 1))
(assert (= tmp3__global__buf_85 tmp86__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_85 = tmp86__func_com_mc_l_nn_variant_1__val)
(assert (= tmp87__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_156) (* 0 tmp1__global__ref1_157)) (* 0 tmp1__global__ref1_158)) (* 64 tmp1__global__ref1_159)) (* 0 tmp1__global__ref1_160)) (* 0 tmp1__global__ref1_161)) (* 0 tmp1__global__ref1_162)) (* 0 tmp1__global__ref1_163)) 0) 1))) ; (tmp87__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_156) + (0 * tmp1__global__ref1_157)) + (0 * tmp1__global__ref1_158)) + (64 * tmp1__global__ref1_159)) + (0 * tmp1__global__ref1_160)) + (0 * tmp1__global__ref1_161)) + (0 * tmp1__global__ref1_162)) + (0 * tmp1__global__ref1_163)) + 0) div 1))
(assert (= tmp3__global__buf_86 tmp87__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_86 = tmp87__func_com_mc_l_nn_variant_1__val)
(assert (= tmp88__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_157) (* 0 tmp1__global__ref1_158)) (* 0 tmp1__global__ref1_159)) (* 64 tmp1__global__ref1_160)) (* 0 tmp1__global__ref1_161)) (* 0 tmp1__global__ref1_162)) (* 0 tmp1__global__ref1_163)) (* 0 tmp1__global__ref1_164)) 0) 1))) ; (tmp88__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_157) + (0 * tmp1__global__ref1_158)) + (0 * tmp1__global__ref1_159)) + (64 * tmp1__global__ref1_160)) + (0 * tmp1__global__ref1_161)) + (0 * tmp1__global__ref1_162)) + (0 * tmp1__global__ref1_163)) + (0 * tmp1__global__ref1_164)) + 0) div 1))
(assert (= tmp3__global__buf_87 tmp88__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_87 = tmp88__func_com_mc_l_nn_variant_1__val)
(assert (= tmp89__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_165) (* 0 tmp1__global__ref1_166)) (* 0 tmp1__global__ref1_167)) (* 64 tmp1__global__ref1_168)) (* 0 tmp1__global__ref1_169)) (* 0 tmp1__global__ref1_170)) (* 0 tmp1__global__ref1_171)) (* 0 tmp1__global__ref1_172)) 0) 1))) ; (tmp89__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_165) + (0 * tmp1__global__ref1_166)) + (0 * tmp1__global__ref1_167)) + (64 * tmp1__global__ref1_168)) + (0 * tmp1__global__ref1_169)) + (0 * tmp1__global__ref1_170)) + (0 * tmp1__global__ref1_171)) + (0 * tmp1__global__ref1_172)) + 0) div 1))
(assert (= tmp3__global__buf_88 tmp89__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_88 = tmp89__func_com_mc_l_nn_variant_1__val)
(assert (= tmp90__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_166) (* 0 tmp1__global__ref1_167)) (* 0 tmp1__global__ref1_168)) (* 64 tmp1__global__ref1_169)) (* 0 tmp1__global__ref1_170)) (* 0 tmp1__global__ref1_171)) (* 0 tmp1__global__ref1_172)) (* 0 tmp1__global__ref1_173)) 0) 1))) ; (tmp90__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_166) + (0 * tmp1__global__ref1_167)) + (0 * tmp1__global__ref1_168)) + (64 * tmp1__global__ref1_169)) + (0 * tmp1__global__ref1_170)) + (0 * tmp1__global__ref1_171)) + (0 * tmp1__global__ref1_172)) + (0 * tmp1__global__ref1_173)) + 0) div 1))
(assert (= tmp3__global__buf_89 tmp90__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_89 = tmp90__func_com_mc_l_nn_variant_1__val)
(assert (= tmp91__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_167) (* 0 tmp1__global__ref1_168)) (* 0 tmp1__global__ref1_169)) (* 64 tmp1__global__ref1_170)) (* 0 tmp1__global__ref1_171)) (* 0 tmp1__global__ref1_172)) (* 0 tmp1__global__ref1_173)) (* 0 tmp1__global__ref1_174)) 0) 1))) ; (tmp91__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_167) + (0 * tmp1__global__ref1_168)) + (0 * tmp1__global__ref1_169)) + (64 * tmp1__global__ref1_170)) + (0 * tmp1__global__ref1_171)) + (0 * tmp1__global__ref1_172)) + (0 * tmp1__global__ref1_173)) + (0 * tmp1__global__ref1_174)) + 0) div 1))
(assert (= tmp3__global__buf_90 tmp91__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_90 = tmp91__func_com_mc_l_nn_variant_1__val)
(assert (= tmp92__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_168) (* 0 tmp1__global__ref1_169)) (* 0 tmp1__global__ref1_170)) (* 64 tmp1__global__ref1_171)) (* 0 tmp1__global__ref1_172)) (* 0 tmp1__global__ref1_173)) (* 0 tmp1__global__ref1_174)) (* 0 tmp1__global__ref1_175)) 0) 1))) ; (tmp92__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_168) + (0 * tmp1__global__ref1_169)) + (0 * tmp1__global__ref1_170)) + (64 * tmp1__global__ref1_171)) + (0 * tmp1__global__ref1_172)) + (0 * tmp1__global__ref1_173)) + (0 * tmp1__global__ref1_174)) + (0 * tmp1__global__ref1_175)) + 0) div 1))
(assert (= tmp3__global__buf_91 tmp92__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_91 = tmp92__func_com_mc_l_nn_variant_1__val)
(assert (= tmp93__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_169) (* 0 tmp1__global__ref1_170)) (* 0 tmp1__global__ref1_171)) (* 64 tmp1__global__ref1_172)) (* 0 tmp1__global__ref1_173)) (* 0 tmp1__global__ref1_174)) (* 0 tmp1__global__ref1_175)) (* 0 tmp1__global__ref1_176)) 0) 1))) ; (tmp93__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_169) + (0 * tmp1__global__ref1_170)) + (0 * tmp1__global__ref1_171)) + (64 * tmp1__global__ref1_172)) + (0 * tmp1__global__ref1_173)) + (0 * tmp1__global__ref1_174)) + (0 * tmp1__global__ref1_175)) + (0 * tmp1__global__ref1_176)) + 0) div 1))
(assert (= tmp3__global__buf_92 tmp93__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_92 = tmp93__func_com_mc_l_nn_variant_1__val)
(assert (= tmp94__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_170) (* 0 tmp1__global__ref1_171)) (* 0 tmp1__global__ref1_172)) (* 64 tmp1__global__ref1_173)) (* 0 tmp1__global__ref1_174)) (* 0 tmp1__global__ref1_175)) (* 0 tmp1__global__ref1_176)) (* 0 tmp1__global__ref1_177)) 0) 1))) ; (tmp94__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_170) + (0 * tmp1__global__ref1_171)) + (0 * tmp1__global__ref1_172)) + (64 * tmp1__global__ref1_173)) + (0 * tmp1__global__ref1_174)) + (0 * tmp1__global__ref1_175)) + (0 * tmp1__global__ref1_176)) + (0 * tmp1__global__ref1_177)) + 0) div 1))
(assert (= tmp3__global__buf_93 tmp94__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_93 = tmp94__func_com_mc_l_nn_variant_1__val)
(assert (= tmp95__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_171) (* 0 tmp1__global__ref1_172)) (* 0 tmp1__global__ref1_173)) (* 64 tmp1__global__ref1_174)) (* 0 tmp1__global__ref1_175)) (* 0 tmp1__global__ref1_176)) (* 0 tmp1__global__ref1_177)) (* 0 tmp1__global__ref1_178)) 0) 1))) ; (tmp95__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_171) + (0 * tmp1__global__ref1_172)) + (0 * tmp1__global__ref1_173)) + (64 * tmp1__global__ref1_174)) + (0 * tmp1__global__ref1_175)) + (0 * tmp1__global__ref1_176)) + (0 * tmp1__global__ref1_177)) + (0 * tmp1__global__ref1_178)) + 0) div 1))
(assert (= tmp3__global__buf_94 tmp95__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_94 = tmp95__func_com_mc_l_nn_variant_1__val)
(assert (= tmp96__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_172) (* 0 tmp1__global__ref1_173)) (* 0 tmp1__global__ref1_174)) (* 64 tmp1__global__ref1_175)) (* 0 tmp1__global__ref1_176)) (* 0 tmp1__global__ref1_177)) (* 0 tmp1__global__ref1_178)) (* 0 tmp1__global__ref1_179)) 0) 1))) ; (tmp96__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_172) + (0 * tmp1__global__ref1_173)) + (0 * tmp1__global__ref1_174)) + (64 * tmp1__global__ref1_175)) + (0 * tmp1__global__ref1_176)) + (0 * tmp1__global__ref1_177)) + (0 * tmp1__global__ref1_178)) + (0 * tmp1__global__ref1_179)) + 0) div 1))
(assert (= tmp3__global__buf_95 tmp96__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_95 = tmp96__func_com_mc_l_nn_variant_1__val)
(assert (= tmp97__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_180) (* 0 tmp1__global__ref1_181)) (* 0 tmp1__global__ref1_182)) (* 64 tmp1__global__ref1_183)) (* 0 tmp1__global__ref1_184)) (* 0 tmp1__global__ref1_185)) (* 0 tmp1__global__ref1_186)) (* 0 tmp1__global__ref1_187)) 0) 1))) ; (tmp97__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_180) + (0 * tmp1__global__ref1_181)) + (0 * tmp1__global__ref1_182)) + (64 * tmp1__global__ref1_183)) + (0 * tmp1__global__ref1_184)) + (0 * tmp1__global__ref1_185)) + (0 * tmp1__global__ref1_186)) + (0 * tmp1__global__ref1_187)) + 0) div 1))
(assert (= tmp3__global__buf_96 tmp97__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_96 = tmp97__func_com_mc_l_nn_variant_1__val)
(assert (= tmp98__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_181) (* 0 tmp1__global__ref1_182)) (* 0 tmp1__global__ref1_183)) (* 64 tmp1__global__ref1_184)) (* 0 tmp1__global__ref1_185)) (* 0 tmp1__global__ref1_186)) (* 0 tmp1__global__ref1_187)) (* 0 tmp1__global__ref1_188)) 0) 1))) ; (tmp98__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_181) + (0 * tmp1__global__ref1_182)) + (0 * tmp1__global__ref1_183)) + (64 * tmp1__global__ref1_184)) + (0 * tmp1__global__ref1_185)) + (0 * tmp1__global__ref1_186)) + (0 * tmp1__global__ref1_187)) + (0 * tmp1__global__ref1_188)) + 0) div 1))
(assert (= tmp3__global__buf_97 tmp98__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_97 = tmp98__func_com_mc_l_nn_variant_1__val)
(assert (= tmp99__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_182) (* 0 tmp1__global__ref1_183)) (* 0 tmp1__global__ref1_184)) (* 64 tmp1__global__ref1_185)) (* 0 tmp1__global__ref1_186)) (* 0 tmp1__global__ref1_187)) (* 0 tmp1__global__ref1_188)) (* 0 tmp1__global__ref1_189)) 0) 1))) ; (tmp99__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_182) + (0 * tmp1__global__ref1_183)) + (0 * tmp1__global__ref1_184)) + (64 * tmp1__global__ref1_185)) + (0 * tmp1__global__ref1_186)) + (0 * tmp1__global__ref1_187)) + (0 * tmp1__global__ref1_188)) + (0 * tmp1__global__ref1_189)) + 0) div 1))
(assert (= tmp3__global__buf_98 tmp99__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_98 = tmp99__func_com_mc_l_nn_variant_1__val)
(assert (= tmp100__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_183) (* 0 tmp1__global__ref1_184)) (* 0 tmp1__global__ref1_185)) (* 64 tmp1__global__ref1_186)) (* 0 tmp1__global__ref1_187)) (* 0 tmp1__global__ref1_188)) (* 0 tmp1__global__ref1_189)) (* 0 tmp1__global__ref1_190)) 0) 1))) ; (tmp100__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_183) + (0 * tmp1__global__ref1_184)) + (0 * tmp1__global__ref1_185)) + (64 * tmp1__global__ref1_186)) + (0 * tmp1__global__ref1_187)) + (0 * tmp1__global__ref1_188)) + (0 * tmp1__global__ref1_189)) + (0 * tmp1__global__ref1_190)) + 0) div 1))
(assert (= tmp3__global__buf_99 tmp100__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_99 = tmp100__func_com_mc_l_nn_variant_1__val)
(assert (= tmp101__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_184) (* 0 tmp1__global__ref1_185)) (* 0 tmp1__global__ref1_186)) (* 64 tmp1__global__ref1_187)) (* 0 tmp1__global__ref1_188)) (* 0 tmp1__global__ref1_189)) (* 0 tmp1__global__ref1_190)) (* 0 tmp1__global__ref1_191)) 0) 1))) ; (tmp101__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_184) + (0 * tmp1__global__ref1_185)) + (0 * tmp1__global__ref1_186)) + (64 * tmp1__global__ref1_187)) + (0 * tmp1__global__ref1_188)) + (0 * tmp1__global__ref1_189)) + (0 * tmp1__global__ref1_190)) + (0 * tmp1__global__ref1_191)) + 0) div 1))
(assert (= tmp3__global__buf_100 tmp101__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_100 = tmp101__func_com_mc_l_nn_variant_1__val)
(assert (= tmp102__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_185) (* 0 tmp1__global__ref1_186)) (* 0 tmp1__global__ref1_187)) (* 64 tmp1__global__ref1_188)) (* 0 tmp1__global__ref1_189)) (* 0 tmp1__global__ref1_190)) (* 0 tmp1__global__ref1_191)) (* 0 tmp1__global__ref1_192)) 0) 1))) ; (tmp102__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_185) + (0 * tmp1__global__ref1_186)) + (0 * tmp1__global__ref1_187)) + (64 * tmp1__global__ref1_188)) + (0 * tmp1__global__ref1_189)) + (0 * tmp1__global__ref1_190)) + (0 * tmp1__global__ref1_191)) + (0 * tmp1__global__ref1_192)) + 0) div 1))
(assert (= tmp3__global__buf_101 tmp102__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_101 = tmp102__func_com_mc_l_nn_variant_1__val)
(assert (= tmp103__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_186) (* 0 tmp1__global__ref1_187)) (* 0 tmp1__global__ref1_188)) (* 64 tmp1__global__ref1_189)) (* 0 tmp1__global__ref1_190)) (* 0 tmp1__global__ref1_191)) (* 0 tmp1__global__ref1_192)) (* 0 tmp1__global__ref1_193)) 0) 1))) ; (tmp103__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_186) + (0 * tmp1__global__ref1_187)) + (0 * tmp1__global__ref1_188)) + (64 * tmp1__global__ref1_189)) + (0 * tmp1__global__ref1_190)) + (0 * tmp1__global__ref1_191)) + (0 * tmp1__global__ref1_192)) + (0 * tmp1__global__ref1_193)) + 0) div 1))
(assert (= tmp3__global__buf_102 tmp103__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_102 = tmp103__func_com_mc_l_nn_variant_1__val)
(assert (= tmp104__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_187) (* 0 tmp1__global__ref1_188)) (* 0 tmp1__global__ref1_189)) (* 64 tmp1__global__ref1_190)) (* 0 tmp1__global__ref1_191)) (* 0 tmp1__global__ref1_192)) (* 0 tmp1__global__ref1_193)) (* 0 tmp1__global__ref1_194)) 0) 1))) ; (tmp104__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_187) + (0 * tmp1__global__ref1_188)) + (0 * tmp1__global__ref1_189)) + (64 * tmp1__global__ref1_190)) + (0 * tmp1__global__ref1_191)) + (0 * tmp1__global__ref1_192)) + (0 * tmp1__global__ref1_193)) + (0 * tmp1__global__ref1_194)) + 0) div 1))
(assert (= tmp3__global__buf_103 tmp104__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_103 = tmp104__func_com_mc_l_nn_variant_1__val)
(assert (= tmp105__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_195) (* 0 tmp1__global__ref1_196)) (* 0 tmp1__global__ref1_197)) (* 64 tmp1__global__ref1_198)) (* 0 tmp1__global__ref1_199)) (* 0 tmp1__global__ref1_200)) (* 0 tmp1__global__ref1_201)) (* 0 tmp1__global__ref1_202)) 0) 1))) ; (tmp105__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_195) + (0 * tmp1__global__ref1_196)) + (0 * tmp1__global__ref1_197)) + (64 * tmp1__global__ref1_198)) + (0 * tmp1__global__ref1_199)) + (0 * tmp1__global__ref1_200)) + (0 * tmp1__global__ref1_201)) + (0 * tmp1__global__ref1_202)) + 0) div 1))
(assert (= tmp3__global__buf_104 tmp105__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_104 = tmp105__func_com_mc_l_nn_variant_1__val)
(assert (= tmp106__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_196) (* 0 tmp1__global__ref1_197)) (* 0 tmp1__global__ref1_198)) (* 64 tmp1__global__ref1_199)) (* 0 tmp1__global__ref1_200)) (* 0 tmp1__global__ref1_201)) (* 0 tmp1__global__ref1_202)) (* 0 tmp1__global__ref1_203)) 0) 1))) ; (tmp106__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_196) + (0 * tmp1__global__ref1_197)) + (0 * tmp1__global__ref1_198)) + (64 * tmp1__global__ref1_199)) + (0 * tmp1__global__ref1_200)) + (0 * tmp1__global__ref1_201)) + (0 * tmp1__global__ref1_202)) + (0 * tmp1__global__ref1_203)) + 0) div 1))
(assert (= tmp3__global__buf_105 tmp106__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_105 = tmp106__func_com_mc_l_nn_variant_1__val)
(assert (= tmp107__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_197) (* 0 tmp1__global__ref1_198)) (* 0 tmp1__global__ref1_199)) (* 64 tmp1__global__ref1_200)) (* 0 tmp1__global__ref1_201)) (* 0 tmp1__global__ref1_202)) (* 0 tmp1__global__ref1_203)) (* 0 tmp1__global__ref1_204)) 0) 1))) ; (tmp107__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_197) + (0 * tmp1__global__ref1_198)) + (0 * tmp1__global__ref1_199)) + (64 * tmp1__global__ref1_200)) + (0 * tmp1__global__ref1_201)) + (0 * tmp1__global__ref1_202)) + (0 * tmp1__global__ref1_203)) + (0 * tmp1__global__ref1_204)) + 0) div 1))
(assert (= tmp3__global__buf_106 tmp107__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_106 = tmp107__func_com_mc_l_nn_variant_1__val)
(assert (= tmp108__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_198) (* 0 tmp1__global__ref1_199)) (* 0 tmp1__global__ref1_200)) (* 64 tmp1__global__ref1_201)) (* 0 tmp1__global__ref1_202)) (* 0 tmp1__global__ref1_203)) (* 0 tmp1__global__ref1_204)) (* 0 tmp1__global__ref1_205)) 0) 1))) ; (tmp108__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_198) + (0 * tmp1__global__ref1_199)) + (0 * tmp1__global__ref1_200)) + (64 * tmp1__global__ref1_201)) + (0 * tmp1__global__ref1_202)) + (0 * tmp1__global__ref1_203)) + (0 * tmp1__global__ref1_204)) + (0 * tmp1__global__ref1_205)) + 0) div 1))
(assert (= tmp3__global__buf_107 tmp108__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_107 = tmp108__func_com_mc_l_nn_variant_1__val)
(assert (= tmp109__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_199) (* 0 tmp1__global__ref1_200)) (* 0 tmp1__global__ref1_201)) (* 64 tmp1__global__ref1_202)) (* 0 tmp1__global__ref1_203)) (* 0 tmp1__global__ref1_204)) (* 0 tmp1__global__ref1_205)) (* 0 tmp1__global__ref1_206)) 0) 1))) ; (tmp109__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_199) + (0 * tmp1__global__ref1_200)) + (0 * tmp1__global__ref1_201)) + (64 * tmp1__global__ref1_202)) + (0 * tmp1__global__ref1_203)) + (0 * tmp1__global__ref1_204)) + (0 * tmp1__global__ref1_205)) + (0 * tmp1__global__ref1_206)) + 0) div 1))
(assert (= tmp3__global__buf_108 tmp109__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_108 = tmp109__func_com_mc_l_nn_variant_1__val)
(assert (= tmp110__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_200) (* 0 tmp1__global__ref1_201)) (* 0 tmp1__global__ref1_202)) (* 64 tmp1__global__ref1_203)) (* 0 tmp1__global__ref1_204)) (* 0 tmp1__global__ref1_205)) (* 0 tmp1__global__ref1_206)) (* 0 tmp1__global__ref1_207)) 0) 1))) ; (tmp110__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_200) + (0 * tmp1__global__ref1_201)) + (0 * tmp1__global__ref1_202)) + (64 * tmp1__global__ref1_203)) + (0 * tmp1__global__ref1_204)) + (0 * tmp1__global__ref1_205)) + (0 * tmp1__global__ref1_206)) + (0 * tmp1__global__ref1_207)) + 0) div 1))
(assert (= tmp3__global__buf_109 tmp110__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_109 = tmp110__func_com_mc_l_nn_variant_1__val)
(assert (= tmp111__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_201) (* 0 tmp1__global__ref1_202)) (* 0 tmp1__global__ref1_203)) (* 64 tmp1__global__ref1_204)) (* 0 tmp1__global__ref1_205)) (* 0 tmp1__global__ref1_206)) (* 0 tmp1__global__ref1_207)) (* 0 tmp1__global__ref1_208)) 0) 1))) ; (tmp111__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_201) + (0 * tmp1__global__ref1_202)) + (0 * tmp1__global__ref1_203)) + (64 * tmp1__global__ref1_204)) + (0 * tmp1__global__ref1_205)) + (0 * tmp1__global__ref1_206)) + (0 * tmp1__global__ref1_207)) + (0 * tmp1__global__ref1_208)) + 0) div 1))
(assert (= tmp3__global__buf_110 tmp111__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_110 = tmp111__func_com_mc_l_nn_variant_1__val)
(assert (= tmp112__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_202) (* 0 tmp1__global__ref1_203)) (* 0 tmp1__global__ref1_204)) (* 64 tmp1__global__ref1_205)) (* 0 tmp1__global__ref1_206)) (* 0 tmp1__global__ref1_207)) (* 0 tmp1__global__ref1_208)) (* 0 tmp1__global__ref1_209)) 0) 1))) ; (tmp112__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_202) + (0 * tmp1__global__ref1_203)) + (0 * tmp1__global__ref1_204)) + (64 * tmp1__global__ref1_205)) + (0 * tmp1__global__ref1_206)) + (0 * tmp1__global__ref1_207)) + (0 * tmp1__global__ref1_208)) + (0 * tmp1__global__ref1_209)) + 0) div 1))
(assert (= tmp3__global__buf_111 tmp112__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_111 = tmp112__func_com_mc_l_nn_variant_1__val)
(assert (= tmp113__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_210) (* 0 tmp1__global__ref1_211)) (* 0 tmp1__global__ref1_212)) (* 64 tmp1__global__ref1_213)) (* 0 tmp1__global__ref1_214)) (* 0 tmp1__global__ref1_215)) (* 0 tmp1__global__ref1_216)) (* 0 tmp1__global__ref1_217)) 0) 1))) ; (tmp113__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_210) + (0 * tmp1__global__ref1_211)) + (0 * tmp1__global__ref1_212)) + (64 * tmp1__global__ref1_213)) + (0 * tmp1__global__ref1_214)) + (0 * tmp1__global__ref1_215)) + (0 * tmp1__global__ref1_216)) + (0 * tmp1__global__ref1_217)) + 0) div 1))
(assert (= tmp3__global__buf_112 tmp113__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_112 = tmp113__func_com_mc_l_nn_variant_1__val)
(assert (= tmp114__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_211) (* 0 tmp1__global__ref1_212)) (* 0 tmp1__global__ref1_213)) (* 64 tmp1__global__ref1_214)) (* 0 tmp1__global__ref1_215)) (* 0 tmp1__global__ref1_216)) (* 0 tmp1__global__ref1_217)) (* 0 tmp1__global__ref1_218)) 0) 1))) ; (tmp114__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_211) + (0 * tmp1__global__ref1_212)) + (0 * tmp1__global__ref1_213)) + (64 * tmp1__global__ref1_214)) + (0 * tmp1__global__ref1_215)) + (0 * tmp1__global__ref1_216)) + (0 * tmp1__global__ref1_217)) + (0 * tmp1__global__ref1_218)) + 0) div 1))
(assert (= tmp3__global__buf_113 tmp114__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_113 = tmp114__func_com_mc_l_nn_variant_1__val)
(assert (= tmp115__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_212) (* 0 tmp1__global__ref1_213)) (* 0 tmp1__global__ref1_214)) (* 64 tmp1__global__ref1_215)) (* 0 tmp1__global__ref1_216)) (* 0 tmp1__global__ref1_217)) (* 0 tmp1__global__ref1_218)) (* 0 tmp1__global__ref1_219)) 0) 1))) ; (tmp115__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_212) + (0 * tmp1__global__ref1_213)) + (0 * tmp1__global__ref1_214)) + (64 * tmp1__global__ref1_215)) + (0 * tmp1__global__ref1_216)) + (0 * tmp1__global__ref1_217)) + (0 * tmp1__global__ref1_218)) + (0 * tmp1__global__ref1_219)) + 0) div 1))
(assert (= tmp3__global__buf_114 tmp115__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_114 = tmp115__func_com_mc_l_nn_variant_1__val)
(assert (= tmp116__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_213) (* 0 tmp1__global__ref1_214)) (* 0 tmp1__global__ref1_215)) (* 64 tmp1__global__ref1_216)) (* 0 tmp1__global__ref1_217)) (* 0 tmp1__global__ref1_218)) (* 0 tmp1__global__ref1_219)) (* 0 tmp1__global__ref1_220)) 0) 1))) ; (tmp116__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_213) + (0 * tmp1__global__ref1_214)) + (0 * tmp1__global__ref1_215)) + (64 * tmp1__global__ref1_216)) + (0 * tmp1__global__ref1_217)) + (0 * tmp1__global__ref1_218)) + (0 * tmp1__global__ref1_219)) + (0 * tmp1__global__ref1_220)) + 0) div 1))
(assert (= tmp3__global__buf_115 tmp116__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_115 = tmp116__func_com_mc_l_nn_variant_1__val)
(assert (= tmp117__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_214) (* 0 tmp1__global__ref1_215)) (* 0 tmp1__global__ref1_216)) (* 64 tmp1__global__ref1_217)) (* 0 tmp1__global__ref1_218)) (* 0 tmp1__global__ref1_219)) (* 0 tmp1__global__ref1_220)) (* 0 tmp1__global__ref1_221)) 0) 1))) ; (tmp117__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_214) + (0 * tmp1__global__ref1_215)) + (0 * tmp1__global__ref1_216)) + (64 * tmp1__global__ref1_217)) + (0 * tmp1__global__ref1_218)) + (0 * tmp1__global__ref1_219)) + (0 * tmp1__global__ref1_220)) + (0 * tmp1__global__ref1_221)) + 0) div 1))
(assert (= tmp3__global__buf_116 tmp117__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_116 = tmp117__func_com_mc_l_nn_variant_1__val)
(assert (= tmp118__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_215) (* 0 tmp1__global__ref1_216)) (* 0 tmp1__global__ref1_217)) (* 64 tmp1__global__ref1_218)) (* 0 tmp1__global__ref1_219)) (* 0 tmp1__global__ref1_220)) (* 0 tmp1__global__ref1_221)) (* 0 tmp1__global__ref1_222)) 0) 1))) ; (tmp118__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_215) + (0 * tmp1__global__ref1_216)) + (0 * tmp1__global__ref1_217)) + (64 * tmp1__global__ref1_218)) + (0 * tmp1__global__ref1_219)) + (0 * tmp1__global__ref1_220)) + (0 * tmp1__global__ref1_221)) + (0 * tmp1__global__ref1_222)) + 0) div 1))
(assert (= tmp3__global__buf_117 tmp118__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_117 = tmp118__func_com_mc_l_nn_variant_1__val)
(assert (= tmp119__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_216) (* 0 tmp1__global__ref1_217)) (* 0 tmp1__global__ref1_218)) (* 64 tmp1__global__ref1_219)) (* 0 tmp1__global__ref1_220)) (* 0 tmp1__global__ref1_221)) (* 0 tmp1__global__ref1_222)) (* 0 tmp1__global__ref1_223)) 0) 1))) ; (tmp119__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_216) + (0 * tmp1__global__ref1_217)) + (0 * tmp1__global__ref1_218)) + (64 * tmp1__global__ref1_219)) + (0 * tmp1__global__ref1_220)) + (0 * tmp1__global__ref1_221)) + (0 * tmp1__global__ref1_222)) + (0 * tmp1__global__ref1_223)) + 0) div 1))
(assert (= tmp3__global__buf_118 tmp119__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_118 = tmp119__func_com_mc_l_nn_variant_1__val)
(assert (= tmp120__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_217) (* 0 tmp1__global__ref1_218)) (* 0 tmp1__global__ref1_219)) (* 64 tmp1__global__ref1_220)) (* 0 tmp1__global__ref1_221)) (* 0 tmp1__global__ref1_222)) (* 0 tmp1__global__ref1_223)) (* 0 tmp1__global__ref1_224)) 0) 1))) ; (tmp120__func_com_mc_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_217) + (0 * tmp1__global__ref1_218)) + (0 * tmp1__global__ref1_219)) + (64 * tmp1__global__ref1_220)) + (0 * tmp1__global__ref1_221)) + (0 * tmp1__global__ref1_222)) + (0 * tmp1__global__ref1_223)) + (0 * tmp1__global__ref1_224)) + 0) div 1))
(assert (= tmp3__global__buf_119 tmp120__func_com_mc_l_nn_variant_1__val)) ; (tmp3__global__buf_119 = tmp120__func_com_mc_l_nn_variant_1__val)
(assert (= tmp121__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_0) (* 4 tmp3__global__buf_8)) (* (- 10) tmp3__global__buf_16)) (* 57 tmp3__global__buf_24)) (* 19 tmp3__global__buf_32)) (* (- 7) tmp3__global__buf_40)) (* 3 tmp3__global__buf_48)) (* (- 1) tmp3__global__buf_56)) 2048) 4096))) ; (tmp121__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_0) + (4 * tmp3__global__buf_8)) + ((- 10) * tmp3__global__buf_16)) + (57 * tmp3__global__buf_24)) + (19 * tmp3__global__buf_32)) + ((- 7) * tmp3__global__buf_40)) + (3 * tmp3__global__buf_48)) + ((- 1) * tmp3__global__buf_56)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_64__value tmp121__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_64__value = tmp121__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_64 (ite (< tmp1__func_Clip3_variant_64__value 0) 0 (ite (> tmp1__func_Clip3_variant_64__value 255) 255 tmp1__func_Clip3_variant_64__value)))) ; (tmp1__func__return__Clip3_variant_64 = (ite (< tmp1__func_Clip3_variant_64__value 0) 0 (ite (> tmp1__func_Clip3_variant_64__value 255) 255 tmp1__func_Clip3_variant_64__value)))
(assert (= tmp1__global__predL1_0 tmp1__func__return__Clip3_variant_64)) ; (tmp1__global__predL1_0 = tmp1__func__return__Clip3_variant_64)
(assert (= tmp122__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_1) (* 4 tmp3__global__buf_9)) (* (- 10) tmp3__global__buf_17)) (* 57 tmp3__global__buf_25)) (* 19 tmp3__global__buf_33)) (* (- 7) tmp3__global__buf_41)) (* 3 tmp3__global__buf_49)) (* (- 1) tmp3__global__buf_57)) 2048) 4096))) ; (tmp122__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_1) + (4 * tmp3__global__buf_9)) + ((- 10) * tmp3__global__buf_17)) + (57 * tmp3__global__buf_25)) + (19 * tmp3__global__buf_33)) + ((- 7) * tmp3__global__buf_41)) + (3 * tmp3__global__buf_49)) + ((- 1) * tmp3__global__buf_57)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_65__value tmp122__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_65__value = tmp122__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_65 (ite (< tmp1__func_Clip3_variant_65__value 0) 0 (ite (> tmp1__func_Clip3_variant_65__value 255) 255 tmp1__func_Clip3_variant_65__value)))) ; (tmp1__func__return__Clip3_variant_65 = (ite (< tmp1__func_Clip3_variant_65__value 0) 0 (ite (> tmp1__func_Clip3_variant_65__value 255) 255 tmp1__func_Clip3_variant_65__value)))
(assert (= tmp1__global__predL1_1 tmp1__func__return__Clip3_variant_65)) ; (tmp1__global__predL1_1 = tmp1__func__return__Clip3_variant_65)
(assert (= tmp123__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_2) (* 4 tmp3__global__buf_10)) (* (- 10) tmp3__global__buf_18)) (* 57 tmp3__global__buf_26)) (* 19 tmp3__global__buf_34)) (* (- 7) tmp3__global__buf_42)) (* 3 tmp3__global__buf_50)) (* (- 1) tmp3__global__buf_58)) 2048) 4096))) ; (tmp123__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_2) + (4 * tmp3__global__buf_10)) + ((- 10) * tmp3__global__buf_18)) + (57 * tmp3__global__buf_26)) + (19 * tmp3__global__buf_34)) + ((- 7) * tmp3__global__buf_42)) + (3 * tmp3__global__buf_50)) + ((- 1) * tmp3__global__buf_58)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_66__value tmp123__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_66__value = tmp123__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_66 (ite (< tmp1__func_Clip3_variant_66__value 0) 0 (ite (> tmp1__func_Clip3_variant_66__value 255) 255 tmp1__func_Clip3_variant_66__value)))) ; (tmp1__func__return__Clip3_variant_66 = (ite (< tmp1__func_Clip3_variant_66__value 0) 0 (ite (> tmp1__func_Clip3_variant_66__value 255) 255 tmp1__func_Clip3_variant_66__value)))
(assert (= tmp1__global__predL1_2 tmp1__func__return__Clip3_variant_66)) ; (tmp1__global__predL1_2 = tmp1__func__return__Clip3_variant_66)
(assert (= tmp124__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_3) (* 4 tmp3__global__buf_11)) (* (- 10) tmp3__global__buf_19)) (* 57 tmp3__global__buf_27)) (* 19 tmp3__global__buf_35)) (* (- 7) tmp3__global__buf_43)) (* 3 tmp3__global__buf_51)) (* (- 1) tmp3__global__buf_59)) 2048) 4096))) ; (tmp124__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_3) + (4 * tmp3__global__buf_11)) + ((- 10) * tmp3__global__buf_19)) + (57 * tmp3__global__buf_27)) + (19 * tmp3__global__buf_35)) + ((- 7) * tmp3__global__buf_43)) + (3 * tmp3__global__buf_51)) + ((- 1) * tmp3__global__buf_59)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_67__value tmp124__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_67__value = tmp124__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_67 (ite (< tmp1__func_Clip3_variant_67__value 0) 0 (ite (> tmp1__func_Clip3_variant_67__value 255) 255 tmp1__func_Clip3_variant_67__value)))) ; (tmp1__func__return__Clip3_variant_67 = (ite (< tmp1__func_Clip3_variant_67__value 0) 0 (ite (> tmp1__func_Clip3_variant_67__value 255) 255 tmp1__func_Clip3_variant_67__value)))
(assert (= tmp1__global__predL1_3 tmp1__func__return__Clip3_variant_67)) ; (tmp1__global__predL1_3 = tmp1__func__return__Clip3_variant_67)
(assert (= tmp125__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_4) (* 4 tmp3__global__buf_12)) (* (- 10) tmp3__global__buf_20)) (* 57 tmp3__global__buf_28)) (* 19 tmp3__global__buf_36)) (* (- 7) tmp3__global__buf_44)) (* 3 tmp3__global__buf_52)) (* (- 1) tmp3__global__buf_60)) 2048) 4096))) ; (tmp125__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_4) + (4 * tmp3__global__buf_12)) + ((- 10) * tmp3__global__buf_20)) + (57 * tmp3__global__buf_28)) + (19 * tmp3__global__buf_36)) + ((- 7) * tmp3__global__buf_44)) + (3 * tmp3__global__buf_52)) + ((- 1) * tmp3__global__buf_60)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_68__value tmp125__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_68__value = tmp125__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_68 (ite (< tmp1__func_Clip3_variant_68__value 0) 0 (ite (> tmp1__func_Clip3_variant_68__value 255) 255 tmp1__func_Clip3_variant_68__value)))) ; (tmp1__func__return__Clip3_variant_68 = (ite (< tmp1__func_Clip3_variant_68__value 0) 0 (ite (> tmp1__func_Clip3_variant_68__value 255) 255 tmp1__func_Clip3_variant_68__value)))
(assert (= tmp1__global__predL1_4 tmp1__func__return__Clip3_variant_68)) ; (tmp1__global__predL1_4 = tmp1__func__return__Clip3_variant_68)
(assert (= tmp126__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_5) (* 4 tmp3__global__buf_13)) (* (- 10) tmp3__global__buf_21)) (* 57 tmp3__global__buf_29)) (* 19 tmp3__global__buf_37)) (* (- 7) tmp3__global__buf_45)) (* 3 tmp3__global__buf_53)) (* (- 1) tmp3__global__buf_61)) 2048) 4096))) ; (tmp126__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_5) + (4 * tmp3__global__buf_13)) + ((- 10) * tmp3__global__buf_21)) + (57 * tmp3__global__buf_29)) + (19 * tmp3__global__buf_37)) + ((- 7) * tmp3__global__buf_45)) + (3 * tmp3__global__buf_53)) + ((- 1) * tmp3__global__buf_61)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_69__value tmp126__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_69__value = tmp126__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_69 (ite (< tmp1__func_Clip3_variant_69__value 0) 0 (ite (> tmp1__func_Clip3_variant_69__value 255) 255 tmp1__func_Clip3_variant_69__value)))) ; (tmp1__func__return__Clip3_variant_69 = (ite (< tmp1__func_Clip3_variant_69__value 0) 0 (ite (> tmp1__func_Clip3_variant_69__value 255) 255 tmp1__func_Clip3_variant_69__value)))
(assert (= tmp1__global__predL1_5 tmp1__func__return__Clip3_variant_69)) ; (tmp1__global__predL1_5 = tmp1__func__return__Clip3_variant_69)
(assert (= tmp127__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_6) (* 4 tmp3__global__buf_14)) (* (- 10) tmp3__global__buf_22)) (* 57 tmp3__global__buf_30)) (* 19 tmp3__global__buf_38)) (* (- 7) tmp3__global__buf_46)) (* 3 tmp3__global__buf_54)) (* (- 1) tmp3__global__buf_62)) 2048) 4096))) ; (tmp127__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_6) + (4 * tmp3__global__buf_14)) + ((- 10) * tmp3__global__buf_22)) + (57 * tmp3__global__buf_30)) + (19 * tmp3__global__buf_38)) + ((- 7) * tmp3__global__buf_46)) + (3 * tmp3__global__buf_54)) + ((- 1) * tmp3__global__buf_62)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_70__value tmp127__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_70__value = tmp127__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_70 (ite (< tmp1__func_Clip3_variant_70__value 0) 0 (ite (> tmp1__func_Clip3_variant_70__value 255) 255 tmp1__func_Clip3_variant_70__value)))) ; (tmp1__func__return__Clip3_variant_70 = (ite (< tmp1__func_Clip3_variant_70__value 0) 0 (ite (> tmp1__func_Clip3_variant_70__value 255) 255 tmp1__func_Clip3_variant_70__value)))
(assert (= tmp1__global__predL1_6 tmp1__func__return__Clip3_variant_70)) ; (tmp1__global__predL1_6 = tmp1__func__return__Clip3_variant_70)
(assert (= tmp128__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_7) (* 4 tmp3__global__buf_15)) (* (- 10) tmp3__global__buf_23)) (* 57 tmp3__global__buf_31)) (* 19 tmp3__global__buf_39)) (* (- 7) tmp3__global__buf_47)) (* 3 tmp3__global__buf_55)) (* (- 1) tmp3__global__buf_63)) 2048) 4096))) ; (tmp128__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_7) + (4 * tmp3__global__buf_15)) + ((- 10) * tmp3__global__buf_23)) + (57 * tmp3__global__buf_31)) + (19 * tmp3__global__buf_39)) + ((- 7) * tmp3__global__buf_47)) + (3 * tmp3__global__buf_55)) + ((- 1) * tmp3__global__buf_63)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_71__value tmp128__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_71__value = tmp128__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_71 (ite (< tmp1__func_Clip3_variant_71__value 0) 0 (ite (> tmp1__func_Clip3_variant_71__value 255) 255 tmp1__func_Clip3_variant_71__value)))) ; (tmp1__func__return__Clip3_variant_71 = (ite (< tmp1__func_Clip3_variant_71__value 0) 0 (ite (> tmp1__func_Clip3_variant_71__value 255) 255 tmp1__func_Clip3_variant_71__value)))
(assert (= tmp1__global__predL1_7 tmp1__func__return__Clip3_variant_71)) ; (tmp1__global__predL1_7 = tmp1__func__return__Clip3_variant_71)
(assert (= tmp129__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_8) (* 4 tmp3__global__buf_16)) (* (- 10) tmp3__global__buf_24)) (* 57 tmp3__global__buf_32)) (* 19 tmp3__global__buf_40)) (* (- 7) tmp3__global__buf_48)) (* 3 tmp3__global__buf_56)) (* (- 1) tmp3__global__buf_64)) 2048) 4096))) ; (tmp129__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_8) + (4 * tmp3__global__buf_16)) + ((- 10) * tmp3__global__buf_24)) + (57 * tmp3__global__buf_32)) + (19 * tmp3__global__buf_40)) + ((- 7) * tmp3__global__buf_48)) + (3 * tmp3__global__buf_56)) + ((- 1) * tmp3__global__buf_64)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_72__value tmp129__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_72__value = tmp129__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_72 (ite (< tmp1__func_Clip3_variant_72__value 0) 0 (ite (> tmp1__func_Clip3_variant_72__value 255) 255 tmp1__func_Clip3_variant_72__value)))) ; (tmp1__func__return__Clip3_variant_72 = (ite (< tmp1__func_Clip3_variant_72__value 0) 0 (ite (> tmp1__func_Clip3_variant_72__value 255) 255 tmp1__func_Clip3_variant_72__value)))
(assert (= tmp1__global__predL1_8 tmp1__func__return__Clip3_variant_72)) ; (tmp1__global__predL1_8 = tmp1__func__return__Clip3_variant_72)
(assert (= tmp130__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_9) (* 4 tmp3__global__buf_17)) (* (- 10) tmp3__global__buf_25)) (* 57 tmp3__global__buf_33)) (* 19 tmp3__global__buf_41)) (* (- 7) tmp3__global__buf_49)) (* 3 tmp3__global__buf_57)) (* (- 1) tmp3__global__buf_65)) 2048) 4096))) ; (tmp130__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_9) + (4 * tmp3__global__buf_17)) + ((- 10) * tmp3__global__buf_25)) + (57 * tmp3__global__buf_33)) + (19 * tmp3__global__buf_41)) + ((- 7) * tmp3__global__buf_49)) + (3 * tmp3__global__buf_57)) + ((- 1) * tmp3__global__buf_65)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_73__value tmp130__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_73__value = tmp130__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_73 (ite (< tmp1__func_Clip3_variant_73__value 0) 0 (ite (> tmp1__func_Clip3_variant_73__value 255) 255 tmp1__func_Clip3_variant_73__value)))) ; (tmp1__func__return__Clip3_variant_73 = (ite (< tmp1__func_Clip3_variant_73__value 0) 0 (ite (> tmp1__func_Clip3_variant_73__value 255) 255 tmp1__func_Clip3_variant_73__value)))
(assert (= tmp1__global__predL1_9 tmp1__func__return__Clip3_variant_73)) ; (tmp1__global__predL1_9 = tmp1__func__return__Clip3_variant_73)
(assert (= tmp131__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_10) (* 4 tmp3__global__buf_18)) (* (- 10) tmp3__global__buf_26)) (* 57 tmp3__global__buf_34)) (* 19 tmp3__global__buf_42)) (* (- 7) tmp3__global__buf_50)) (* 3 tmp3__global__buf_58)) (* (- 1) tmp3__global__buf_66)) 2048) 4096))) ; (tmp131__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_10) + (4 * tmp3__global__buf_18)) + ((- 10) * tmp3__global__buf_26)) + (57 * tmp3__global__buf_34)) + (19 * tmp3__global__buf_42)) + ((- 7) * tmp3__global__buf_50)) + (3 * tmp3__global__buf_58)) + ((- 1) * tmp3__global__buf_66)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_74__value tmp131__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_74__value = tmp131__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_74 (ite (< tmp1__func_Clip3_variant_74__value 0) 0 (ite (> tmp1__func_Clip3_variant_74__value 255) 255 tmp1__func_Clip3_variant_74__value)))) ; (tmp1__func__return__Clip3_variant_74 = (ite (< tmp1__func_Clip3_variant_74__value 0) 0 (ite (> tmp1__func_Clip3_variant_74__value 255) 255 tmp1__func_Clip3_variant_74__value)))
(assert (= tmp1__global__predL1_10 tmp1__func__return__Clip3_variant_74)) ; (tmp1__global__predL1_10 = tmp1__func__return__Clip3_variant_74)
(assert (= tmp132__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_11) (* 4 tmp3__global__buf_19)) (* (- 10) tmp3__global__buf_27)) (* 57 tmp3__global__buf_35)) (* 19 tmp3__global__buf_43)) (* (- 7) tmp3__global__buf_51)) (* 3 tmp3__global__buf_59)) (* (- 1) tmp3__global__buf_67)) 2048) 4096))) ; (tmp132__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_11) + (4 * tmp3__global__buf_19)) + ((- 10) * tmp3__global__buf_27)) + (57 * tmp3__global__buf_35)) + (19 * tmp3__global__buf_43)) + ((- 7) * tmp3__global__buf_51)) + (3 * tmp3__global__buf_59)) + ((- 1) * tmp3__global__buf_67)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_75__value tmp132__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_75__value = tmp132__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_75 (ite (< tmp1__func_Clip3_variant_75__value 0) 0 (ite (> tmp1__func_Clip3_variant_75__value 255) 255 tmp1__func_Clip3_variant_75__value)))) ; (tmp1__func__return__Clip3_variant_75 = (ite (< tmp1__func_Clip3_variant_75__value 0) 0 (ite (> tmp1__func_Clip3_variant_75__value 255) 255 tmp1__func_Clip3_variant_75__value)))
(assert (= tmp1__global__predL1_11 tmp1__func__return__Clip3_variant_75)) ; (tmp1__global__predL1_11 = tmp1__func__return__Clip3_variant_75)
(assert (= tmp133__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_12) (* 4 tmp3__global__buf_20)) (* (- 10) tmp3__global__buf_28)) (* 57 tmp3__global__buf_36)) (* 19 tmp3__global__buf_44)) (* (- 7) tmp3__global__buf_52)) (* 3 tmp3__global__buf_60)) (* (- 1) tmp3__global__buf_68)) 2048) 4096))) ; (tmp133__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_12) + (4 * tmp3__global__buf_20)) + ((- 10) * tmp3__global__buf_28)) + (57 * tmp3__global__buf_36)) + (19 * tmp3__global__buf_44)) + ((- 7) * tmp3__global__buf_52)) + (3 * tmp3__global__buf_60)) + ((- 1) * tmp3__global__buf_68)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_76__value tmp133__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_76__value = tmp133__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_76 (ite (< tmp1__func_Clip3_variant_76__value 0) 0 (ite (> tmp1__func_Clip3_variant_76__value 255) 255 tmp1__func_Clip3_variant_76__value)))) ; (tmp1__func__return__Clip3_variant_76 = (ite (< tmp1__func_Clip3_variant_76__value 0) 0 (ite (> tmp1__func_Clip3_variant_76__value 255) 255 tmp1__func_Clip3_variant_76__value)))
(assert (= tmp1__global__predL1_12 tmp1__func__return__Clip3_variant_76)) ; (tmp1__global__predL1_12 = tmp1__func__return__Clip3_variant_76)
(assert (= tmp134__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_13) (* 4 tmp3__global__buf_21)) (* (- 10) tmp3__global__buf_29)) (* 57 tmp3__global__buf_37)) (* 19 tmp3__global__buf_45)) (* (- 7) tmp3__global__buf_53)) (* 3 tmp3__global__buf_61)) (* (- 1) tmp3__global__buf_69)) 2048) 4096))) ; (tmp134__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_13) + (4 * tmp3__global__buf_21)) + ((- 10) * tmp3__global__buf_29)) + (57 * tmp3__global__buf_37)) + (19 * tmp3__global__buf_45)) + ((- 7) * tmp3__global__buf_53)) + (3 * tmp3__global__buf_61)) + ((- 1) * tmp3__global__buf_69)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_77__value tmp134__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_77__value = tmp134__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_77 (ite (< tmp1__func_Clip3_variant_77__value 0) 0 (ite (> tmp1__func_Clip3_variant_77__value 255) 255 tmp1__func_Clip3_variant_77__value)))) ; (tmp1__func__return__Clip3_variant_77 = (ite (< tmp1__func_Clip3_variant_77__value 0) 0 (ite (> tmp1__func_Clip3_variant_77__value 255) 255 tmp1__func_Clip3_variant_77__value)))
(assert (= tmp1__global__predL1_13 tmp1__func__return__Clip3_variant_77)) ; (tmp1__global__predL1_13 = tmp1__func__return__Clip3_variant_77)
(assert (= tmp135__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_14) (* 4 tmp3__global__buf_22)) (* (- 10) tmp3__global__buf_30)) (* 57 tmp3__global__buf_38)) (* 19 tmp3__global__buf_46)) (* (- 7) tmp3__global__buf_54)) (* 3 tmp3__global__buf_62)) (* (- 1) tmp3__global__buf_70)) 2048) 4096))) ; (tmp135__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_14) + (4 * tmp3__global__buf_22)) + ((- 10) * tmp3__global__buf_30)) + (57 * tmp3__global__buf_38)) + (19 * tmp3__global__buf_46)) + ((- 7) * tmp3__global__buf_54)) + (3 * tmp3__global__buf_62)) + ((- 1) * tmp3__global__buf_70)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_78__value tmp135__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_78__value = tmp135__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_78 (ite (< tmp1__func_Clip3_variant_78__value 0) 0 (ite (> tmp1__func_Clip3_variant_78__value 255) 255 tmp1__func_Clip3_variant_78__value)))) ; (tmp1__func__return__Clip3_variant_78 = (ite (< tmp1__func_Clip3_variant_78__value 0) 0 (ite (> tmp1__func_Clip3_variant_78__value 255) 255 tmp1__func_Clip3_variant_78__value)))
(assert (= tmp1__global__predL1_14 tmp1__func__return__Clip3_variant_78)) ; (tmp1__global__predL1_14 = tmp1__func__return__Clip3_variant_78)
(assert (= tmp136__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_15) (* 4 tmp3__global__buf_23)) (* (- 10) tmp3__global__buf_31)) (* 57 tmp3__global__buf_39)) (* 19 tmp3__global__buf_47)) (* (- 7) tmp3__global__buf_55)) (* 3 tmp3__global__buf_63)) (* (- 1) tmp3__global__buf_71)) 2048) 4096))) ; (tmp136__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_15) + (4 * tmp3__global__buf_23)) + ((- 10) * tmp3__global__buf_31)) + (57 * tmp3__global__buf_39)) + (19 * tmp3__global__buf_47)) + ((- 7) * tmp3__global__buf_55)) + (3 * tmp3__global__buf_63)) + ((- 1) * tmp3__global__buf_71)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_79__value tmp136__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_79__value = tmp136__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_79 (ite (< tmp1__func_Clip3_variant_79__value 0) 0 (ite (> tmp1__func_Clip3_variant_79__value 255) 255 tmp1__func_Clip3_variant_79__value)))) ; (tmp1__func__return__Clip3_variant_79 = (ite (< tmp1__func_Clip3_variant_79__value 0) 0 (ite (> tmp1__func_Clip3_variant_79__value 255) 255 tmp1__func_Clip3_variant_79__value)))
(assert (= tmp1__global__predL1_15 tmp1__func__return__Clip3_variant_79)) ; (tmp1__global__predL1_15 = tmp1__func__return__Clip3_variant_79)
(assert (= tmp137__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_16) (* 4 tmp3__global__buf_24)) (* (- 10) tmp3__global__buf_32)) (* 57 tmp3__global__buf_40)) (* 19 tmp3__global__buf_48)) (* (- 7) tmp3__global__buf_56)) (* 3 tmp3__global__buf_64)) (* (- 1) tmp3__global__buf_72)) 2048) 4096))) ; (tmp137__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_16) + (4 * tmp3__global__buf_24)) + ((- 10) * tmp3__global__buf_32)) + (57 * tmp3__global__buf_40)) + (19 * tmp3__global__buf_48)) + ((- 7) * tmp3__global__buf_56)) + (3 * tmp3__global__buf_64)) + ((- 1) * tmp3__global__buf_72)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_80__value tmp137__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_80__value = tmp137__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_80 (ite (< tmp1__func_Clip3_variant_80__value 0) 0 (ite (> tmp1__func_Clip3_variant_80__value 255) 255 tmp1__func_Clip3_variant_80__value)))) ; (tmp1__func__return__Clip3_variant_80 = (ite (< tmp1__func_Clip3_variant_80__value 0) 0 (ite (> tmp1__func_Clip3_variant_80__value 255) 255 tmp1__func_Clip3_variant_80__value)))
(assert (= tmp1__global__predL1_16 tmp1__func__return__Clip3_variant_80)) ; (tmp1__global__predL1_16 = tmp1__func__return__Clip3_variant_80)
(assert (= tmp138__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_17) (* 4 tmp3__global__buf_25)) (* (- 10) tmp3__global__buf_33)) (* 57 tmp3__global__buf_41)) (* 19 tmp3__global__buf_49)) (* (- 7) tmp3__global__buf_57)) (* 3 tmp3__global__buf_65)) (* (- 1) tmp3__global__buf_73)) 2048) 4096))) ; (tmp138__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_17) + (4 * tmp3__global__buf_25)) + ((- 10) * tmp3__global__buf_33)) + (57 * tmp3__global__buf_41)) + (19 * tmp3__global__buf_49)) + ((- 7) * tmp3__global__buf_57)) + (3 * tmp3__global__buf_65)) + ((- 1) * tmp3__global__buf_73)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_81__value tmp138__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_81__value = tmp138__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_81 (ite (< tmp1__func_Clip3_variant_81__value 0) 0 (ite (> tmp1__func_Clip3_variant_81__value 255) 255 tmp1__func_Clip3_variant_81__value)))) ; (tmp1__func__return__Clip3_variant_81 = (ite (< tmp1__func_Clip3_variant_81__value 0) 0 (ite (> tmp1__func_Clip3_variant_81__value 255) 255 tmp1__func_Clip3_variant_81__value)))
(assert (= tmp1__global__predL1_17 tmp1__func__return__Clip3_variant_81)) ; (tmp1__global__predL1_17 = tmp1__func__return__Clip3_variant_81)
(assert (= tmp139__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_18) (* 4 tmp3__global__buf_26)) (* (- 10) tmp3__global__buf_34)) (* 57 tmp3__global__buf_42)) (* 19 tmp3__global__buf_50)) (* (- 7) tmp3__global__buf_58)) (* 3 tmp3__global__buf_66)) (* (- 1) tmp3__global__buf_74)) 2048) 4096))) ; (tmp139__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_18) + (4 * tmp3__global__buf_26)) + ((- 10) * tmp3__global__buf_34)) + (57 * tmp3__global__buf_42)) + (19 * tmp3__global__buf_50)) + ((- 7) * tmp3__global__buf_58)) + (3 * tmp3__global__buf_66)) + ((- 1) * tmp3__global__buf_74)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_82__value tmp139__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_82__value = tmp139__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_82 (ite (< tmp1__func_Clip3_variant_82__value 0) 0 (ite (> tmp1__func_Clip3_variant_82__value 255) 255 tmp1__func_Clip3_variant_82__value)))) ; (tmp1__func__return__Clip3_variant_82 = (ite (< tmp1__func_Clip3_variant_82__value 0) 0 (ite (> tmp1__func_Clip3_variant_82__value 255) 255 tmp1__func_Clip3_variant_82__value)))
(assert (= tmp1__global__predL1_18 tmp1__func__return__Clip3_variant_82)) ; (tmp1__global__predL1_18 = tmp1__func__return__Clip3_variant_82)
(assert (= tmp140__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_19) (* 4 tmp3__global__buf_27)) (* (- 10) tmp3__global__buf_35)) (* 57 tmp3__global__buf_43)) (* 19 tmp3__global__buf_51)) (* (- 7) tmp3__global__buf_59)) (* 3 tmp3__global__buf_67)) (* (- 1) tmp3__global__buf_75)) 2048) 4096))) ; (tmp140__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_19) + (4 * tmp3__global__buf_27)) + ((- 10) * tmp3__global__buf_35)) + (57 * tmp3__global__buf_43)) + (19 * tmp3__global__buf_51)) + ((- 7) * tmp3__global__buf_59)) + (3 * tmp3__global__buf_67)) + ((- 1) * tmp3__global__buf_75)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_83__value tmp140__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_83__value = tmp140__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_83 (ite (< tmp1__func_Clip3_variant_83__value 0) 0 (ite (> tmp1__func_Clip3_variant_83__value 255) 255 tmp1__func_Clip3_variant_83__value)))) ; (tmp1__func__return__Clip3_variant_83 = (ite (< tmp1__func_Clip3_variant_83__value 0) 0 (ite (> tmp1__func_Clip3_variant_83__value 255) 255 tmp1__func_Clip3_variant_83__value)))
(assert (= tmp1__global__predL1_19 tmp1__func__return__Clip3_variant_83)) ; (tmp1__global__predL1_19 = tmp1__func__return__Clip3_variant_83)
(assert (= tmp141__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_20) (* 4 tmp3__global__buf_28)) (* (- 10) tmp3__global__buf_36)) (* 57 tmp3__global__buf_44)) (* 19 tmp3__global__buf_52)) (* (- 7) tmp3__global__buf_60)) (* 3 tmp3__global__buf_68)) (* (- 1) tmp3__global__buf_76)) 2048) 4096))) ; (tmp141__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_20) + (4 * tmp3__global__buf_28)) + ((- 10) * tmp3__global__buf_36)) + (57 * tmp3__global__buf_44)) + (19 * tmp3__global__buf_52)) + ((- 7) * tmp3__global__buf_60)) + (3 * tmp3__global__buf_68)) + ((- 1) * tmp3__global__buf_76)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_84__value tmp141__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_84__value = tmp141__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_84 (ite (< tmp1__func_Clip3_variant_84__value 0) 0 (ite (> tmp1__func_Clip3_variant_84__value 255) 255 tmp1__func_Clip3_variant_84__value)))) ; (tmp1__func__return__Clip3_variant_84 = (ite (< tmp1__func_Clip3_variant_84__value 0) 0 (ite (> tmp1__func_Clip3_variant_84__value 255) 255 tmp1__func_Clip3_variant_84__value)))
(assert (= tmp1__global__predL1_20 tmp1__func__return__Clip3_variant_84)) ; (tmp1__global__predL1_20 = tmp1__func__return__Clip3_variant_84)
(assert (= tmp142__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_21) (* 4 tmp3__global__buf_29)) (* (- 10) tmp3__global__buf_37)) (* 57 tmp3__global__buf_45)) (* 19 tmp3__global__buf_53)) (* (- 7) tmp3__global__buf_61)) (* 3 tmp3__global__buf_69)) (* (- 1) tmp3__global__buf_77)) 2048) 4096))) ; (tmp142__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_21) + (4 * tmp3__global__buf_29)) + ((- 10) * tmp3__global__buf_37)) + (57 * tmp3__global__buf_45)) + (19 * tmp3__global__buf_53)) + ((- 7) * tmp3__global__buf_61)) + (3 * tmp3__global__buf_69)) + ((- 1) * tmp3__global__buf_77)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_85__value tmp142__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_85__value = tmp142__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_85 (ite (< tmp1__func_Clip3_variant_85__value 0) 0 (ite (> tmp1__func_Clip3_variant_85__value 255) 255 tmp1__func_Clip3_variant_85__value)))) ; (tmp1__func__return__Clip3_variant_85 = (ite (< tmp1__func_Clip3_variant_85__value 0) 0 (ite (> tmp1__func_Clip3_variant_85__value 255) 255 tmp1__func_Clip3_variant_85__value)))
(assert (= tmp1__global__predL1_21 tmp1__func__return__Clip3_variant_85)) ; (tmp1__global__predL1_21 = tmp1__func__return__Clip3_variant_85)
(assert (= tmp143__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_22) (* 4 tmp3__global__buf_30)) (* (- 10) tmp3__global__buf_38)) (* 57 tmp3__global__buf_46)) (* 19 tmp3__global__buf_54)) (* (- 7) tmp3__global__buf_62)) (* 3 tmp3__global__buf_70)) (* (- 1) tmp3__global__buf_78)) 2048) 4096))) ; (tmp143__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_22) + (4 * tmp3__global__buf_30)) + ((- 10) * tmp3__global__buf_38)) + (57 * tmp3__global__buf_46)) + (19 * tmp3__global__buf_54)) + ((- 7) * tmp3__global__buf_62)) + (3 * tmp3__global__buf_70)) + ((- 1) * tmp3__global__buf_78)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_86__value tmp143__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_86__value = tmp143__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_86 (ite (< tmp1__func_Clip3_variant_86__value 0) 0 (ite (> tmp1__func_Clip3_variant_86__value 255) 255 tmp1__func_Clip3_variant_86__value)))) ; (tmp1__func__return__Clip3_variant_86 = (ite (< tmp1__func_Clip3_variant_86__value 0) 0 (ite (> tmp1__func_Clip3_variant_86__value 255) 255 tmp1__func_Clip3_variant_86__value)))
(assert (= tmp1__global__predL1_22 tmp1__func__return__Clip3_variant_86)) ; (tmp1__global__predL1_22 = tmp1__func__return__Clip3_variant_86)
(assert (= tmp144__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_23) (* 4 tmp3__global__buf_31)) (* (- 10) tmp3__global__buf_39)) (* 57 tmp3__global__buf_47)) (* 19 tmp3__global__buf_55)) (* (- 7) tmp3__global__buf_63)) (* 3 tmp3__global__buf_71)) (* (- 1) tmp3__global__buf_79)) 2048) 4096))) ; (tmp144__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_23) + (4 * tmp3__global__buf_31)) + ((- 10) * tmp3__global__buf_39)) + (57 * tmp3__global__buf_47)) + (19 * tmp3__global__buf_55)) + ((- 7) * tmp3__global__buf_63)) + (3 * tmp3__global__buf_71)) + ((- 1) * tmp3__global__buf_79)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_87__value tmp144__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_87__value = tmp144__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_87 (ite (< tmp1__func_Clip3_variant_87__value 0) 0 (ite (> tmp1__func_Clip3_variant_87__value 255) 255 tmp1__func_Clip3_variant_87__value)))) ; (tmp1__func__return__Clip3_variant_87 = (ite (< tmp1__func_Clip3_variant_87__value 0) 0 (ite (> tmp1__func_Clip3_variant_87__value 255) 255 tmp1__func_Clip3_variant_87__value)))
(assert (= tmp1__global__predL1_23 tmp1__func__return__Clip3_variant_87)) ; (tmp1__global__predL1_23 = tmp1__func__return__Clip3_variant_87)
(assert (= tmp145__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_24) (* 4 tmp3__global__buf_32)) (* (- 10) tmp3__global__buf_40)) (* 57 tmp3__global__buf_48)) (* 19 tmp3__global__buf_56)) (* (- 7) tmp3__global__buf_64)) (* 3 tmp3__global__buf_72)) (* (- 1) tmp3__global__buf_80)) 2048) 4096))) ; (tmp145__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_24) + (4 * tmp3__global__buf_32)) + ((- 10) * tmp3__global__buf_40)) + (57 * tmp3__global__buf_48)) + (19 * tmp3__global__buf_56)) + ((- 7) * tmp3__global__buf_64)) + (3 * tmp3__global__buf_72)) + ((- 1) * tmp3__global__buf_80)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_88__value tmp145__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_88__value = tmp145__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_88 (ite (< tmp1__func_Clip3_variant_88__value 0) 0 (ite (> tmp1__func_Clip3_variant_88__value 255) 255 tmp1__func_Clip3_variant_88__value)))) ; (tmp1__func__return__Clip3_variant_88 = (ite (< tmp1__func_Clip3_variant_88__value 0) 0 (ite (> tmp1__func_Clip3_variant_88__value 255) 255 tmp1__func_Clip3_variant_88__value)))
(assert (= tmp1__global__predL1_24 tmp1__func__return__Clip3_variant_88)) ; (tmp1__global__predL1_24 = tmp1__func__return__Clip3_variant_88)
(assert (= tmp146__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_25) (* 4 tmp3__global__buf_33)) (* (- 10) tmp3__global__buf_41)) (* 57 tmp3__global__buf_49)) (* 19 tmp3__global__buf_57)) (* (- 7) tmp3__global__buf_65)) (* 3 tmp3__global__buf_73)) (* (- 1) tmp3__global__buf_81)) 2048) 4096))) ; (tmp146__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_25) + (4 * tmp3__global__buf_33)) + ((- 10) * tmp3__global__buf_41)) + (57 * tmp3__global__buf_49)) + (19 * tmp3__global__buf_57)) + ((- 7) * tmp3__global__buf_65)) + (3 * tmp3__global__buf_73)) + ((- 1) * tmp3__global__buf_81)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_89__value tmp146__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_89__value = tmp146__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_89 (ite (< tmp1__func_Clip3_variant_89__value 0) 0 (ite (> tmp1__func_Clip3_variant_89__value 255) 255 tmp1__func_Clip3_variant_89__value)))) ; (tmp1__func__return__Clip3_variant_89 = (ite (< tmp1__func_Clip3_variant_89__value 0) 0 (ite (> tmp1__func_Clip3_variant_89__value 255) 255 tmp1__func_Clip3_variant_89__value)))
(assert (= tmp1__global__predL1_25 tmp1__func__return__Clip3_variant_89)) ; (tmp1__global__predL1_25 = tmp1__func__return__Clip3_variant_89)
(assert (= tmp147__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_26) (* 4 tmp3__global__buf_34)) (* (- 10) tmp3__global__buf_42)) (* 57 tmp3__global__buf_50)) (* 19 tmp3__global__buf_58)) (* (- 7) tmp3__global__buf_66)) (* 3 tmp3__global__buf_74)) (* (- 1) tmp3__global__buf_82)) 2048) 4096))) ; (tmp147__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_26) + (4 * tmp3__global__buf_34)) + ((- 10) * tmp3__global__buf_42)) + (57 * tmp3__global__buf_50)) + (19 * tmp3__global__buf_58)) + ((- 7) * tmp3__global__buf_66)) + (3 * tmp3__global__buf_74)) + ((- 1) * tmp3__global__buf_82)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_90__value tmp147__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_90__value = tmp147__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_90 (ite (< tmp1__func_Clip3_variant_90__value 0) 0 (ite (> tmp1__func_Clip3_variant_90__value 255) 255 tmp1__func_Clip3_variant_90__value)))) ; (tmp1__func__return__Clip3_variant_90 = (ite (< tmp1__func_Clip3_variant_90__value 0) 0 (ite (> tmp1__func_Clip3_variant_90__value 255) 255 tmp1__func_Clip3_variant_90__value)))
(assert (= tmp1__global__predL1_26 tmp1__func__return__Clip3_variant_90)) ; (tmp1__global__predL1_26 = tmp1__func__return__Clip3_variant_90)
(assert (= tmp148__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_27) (* 4 tmp3__global__buf_35)) (* (- 10) tmp3__global__buf_43)) (* 57 tmp3__global__buf_51)) (* 19 tmp3__global__buf_59)) (* (- 7) tmp3__global__buf_67)) (* 3 tmp3__global__buf_75)) (* (- 1) tmp3__global__buf_83)) 2048) 4096))) ; (tmp148__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_27) + (4 * tmp3__global__buf_35)) + ((- 10) * tmp3__global__buf_43)) + (57 * tmp3__global__buf_51)) + (19 * tmp3__global__buf_59)) + ((- 7) * tmp3__global__buf_67)) + (3 * tmp3__global__buf_75)) + ((- 1) * tmp3__global__buf_83)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_91__value tmp148__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_91__value = tmp148__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_91 (ite (< tmp1__func_Clip3_variant_91__value 0) 0 (ite (> tmp1__func_Clip3_variant_91__value 255) 255 tmp1__func_Clip3_variant_91__value)))) ; (tmp1__func__return__Clip3_variant_91 = (ite (< tmp1__func_Clip3_variant_91__value 0) 0 (ite (> tmp1__func_Clip3_variant_91__value 255) 255 tmp1__func_Clip3_variant_91__value)))
(assert (= tmp1__global__predL1_27 tmp1__func__return__Clip3_variant_91)) ; (tmp1__global__predL1_27 = tmp1__func__return__Clip3_variant_91)
(assert (= tmp149__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_28) (* 4 tmp3__global__buf_36)) (* (- 10) tmp3__global__buf_44)) (* 57 tmp3__global__buf_52)) (* 19 tmp3__global__buf_60)) (* (- 7) tmp3__global__buf_68)) (* 3 tmp3__global__buf_76)) (* (- 1) tmp3__global__buf_84)) 2048) 4096))) ; (tmp149__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_28) + (4 * tmp3__global__buf_36)) + ((- 10) * tmp3__global__buf_44)) + (57 * tmp3__global__buf_52)) + (19 * tmp3__global__buf_60)) + ((- 7) * tmp3__global__buf_68)) + (3 * tmp3__global__buf_76)) + ((- 1) * tmp3__global__buf_84)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_92__value tmp149__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_92__value = tmp149__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_92 (ite (< tmp1__func_Clip3_variant_92__value 0) 0 (ite (> tmp1__func_Clip3_variant_92__value 255) 255 tmp1__func_Clip3_variant_92__value)))) ; (tmp1__func__return__Clip3_variant_92 = (ite (< tmp1__func_Clip3_variant_92__value 0) 0 (ite (> tmp1__func_Clip3_variant_92__value 255) 255 tmp1__func_Clip3_variant_92__value)))
(assert (= tmp1__global__predL1_28 tmp1__func__return__Clip3_variant_92)) ; (tmp1__global__predL1_28 = tmp1__func__return__Clip3_variant_92)
(assert (= tmp150__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_29) (* 4 tmp3__global__buf_37)) (* (- 10) tmp3__global__buf_45)) (* 57 tmp3__global__buf_53)) (* 19 tmp3__global__buf_61)) (* (- 7) tmp3__global__buf_69)) (* 3 tmp3__global__buf_77)) (* (- 1) tmp3__global__buf_85)) 2048) 4096))) ; (tmp150__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_29) + (4 * tmp3__global__buf_37)) + ((- 10) * tmp3__global__buf_45)) + (57 * tmp3__global__buf_53)) + (19 * tmp3__global__buf_61)) + ((- 7) * tmp3__global__buf_69)) + (3 * tmp3__global__buf_77)) + ((- 1) * tmp3__global__buf_85)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_93__value tmp150__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_93__value = tmp150__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_93 (ite (< tmp1__func_Clip3_variant_93__value 0) 0 (ite (> tmp1__func_Clip3_variant_93__value 255) 255 tmp1__func_Clip3_variant_93__value)))) ; (tmp1__func__return__Clip3_variant_93 = (ite (< tmp1__func_Clip3_variant_93__value 0) 0 (ite (> tmp1__func_Clip3_variant_93__value 255) 255 tmp1__func_Clip3_variant_93__value)))
(assert (= tmp1__global__predL1_29 tmp1__func__return__Clip3_variant_93)) ; (tmp1__global__predL1_29 = tmp1__func__return__Clip3_variant_93)
(assert (= tmp151__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_30) (* 4 tmp3__global__buf_38)) (* (- 10) tmp3__global__buf_46)) (* 57 tmp3__global__buf_54)) (* 19 tmp3__global__buf_62)) (* (- 7) tmp3__global__buf_70)) (* 3 tmp3__global__buf_78)) (* (- 1) tmp3__global__buf_86)) 2048) 4096))) ; (tmp151__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_30) + (4 * tmp3__global__buf_38)) + ((- 10) * tmp3__global__buf_46)) + (57 * tmp3__global__buf_54)) + (19 * tmp3__global__buf_62)) + ((- 7) * tmp3__global__buf_70)) + (3 * tmp3__global__buf_78)) + ((- 1) * tmp3__global__buf_86)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_94__value tmp151__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_94__value = tmp151__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_94 (ite (< tmp1__func_Clip3_variant_94__value 0) 0 (ite (> tmp1__func_Clip3_variant_94__value 255) 255 tmp1__func_Clip3_variant_94__value)))) ; (tmp1__func__return__Clip3_variant_94 = (ite (< tmp1__func_Clip3_variant_94__value 0) 0 (ite (> tmp1__func_Clip3_variant_94__value 255) 255 tmp1__func_Clip3_variant_94__value)))
(assert (= tmp1__global__predL1_30 tmp1__func__return__Clip3_variant_94)) ; (tmp1__global__predL1_30 = tmp1__func__return__Clip3_variant_94)
(assert (= tmp152__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_31) (* 4 tmp3__global__buf_39)) (* (- 10) tmp3__global__buf_47)) (* 57 tmp3__global__buf_55)) (* 19 tmp3__global__buf_63)) (* (- 7) tmp3__global__buf_71)) (* 3 tmp3__global__buf_79)) (* (- 1) tmp3__global__buf_87)) 2048) 4096))) ; (tmp152__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_31) + (4 * tmp3__global__buf_39)) + ((- 10) * tmp3__global__buf_47)) + (57 * tmp3__global__buf_55)) + (19 * tmp3__global__buf_63)) + ((- 7) * tmp3__global__buf_71)) + (3 * tmp3__global__buf_79)) + ((- 1) * tmp3__global__buf_87)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_95__value tmp152__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_95__value = tmp152__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_95 (ite (< tmp1__func_Clip3_variant_95__value 0) 0 (ite (> tmp1__func_Clip3_variant_95__value 255) 255 tmp1__func_Clip3_variant_95__value)))) ; (tmp1__func__return__Clip3_variant_95 = (ite (< tmp1__func_Clip3_variant_95__value 0) 0 (ite (> tmp1__func_Clip3_variant_95__value 255) 255 tmp1__func_Clip3_variant_95__value)))
(assert (= tmp1__global__predL1_31 tmp1__func__return__Clip3_variant_95)) ; (tmp1__global__predL1_31 = tmp1__func__return__Clip3_variant_95)
(assert (= tmp153__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_32) (* 4 tmp3__global__buf_40)) (* (- 10) tmp3__global__buf_48)) (* 57 tmp3__global__buf_56)) (* 19 tmp3__global__buf_64)) (* (- 7) tmp3__global__buf_72)) (* 3 tmp3__global__buf_80)) (* (- 1) tmp3__global__buf_88)) 2048) 4096))) ; (tmp153__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_32) + (4 * tmp3__global__buf_40)) + ((- 10) * tmp3__global__buf_48)) + (57 * tmp3__global__buf_56)) + (19 * tmp3__global__buf_64)) + ((- 7) * tmp3__global__buf_72)) + (3 * tmp3__global__buf_80)) + ((- 1) * tmp3__global__buf_88)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_96__value tmp153__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_96__value = tmp153__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_96 (ite (< tmp1__func_Clip3_variant_96__value 0) 0 (ite (> tmp1__func_Clip3_variant_96__value 255) 255 tmp1__func_Clip3_variant_96__value)))) ; (tmp1__func__return__Clip3_variant_96 = (ite (< tmp1__func_Clip3_variant_96__value 0) 0 (ite (> tmp1__func_Clip3_variant_96__value 255) 255 tmp1__func_Clip3_variant_96__value)))
(assert (= tmp1__global__predL1_32 tmp1__func__return__Clip3_variant_96)) ; (tmp1__global__predL1_32 = tmp1__func__return__Clip3_variant_96)
(assert (= tmp154__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_33) (* 4 tmp3__global__buf_41)) (* (- 10) tmp3__global__buf_49)) (* 57 tmp3__global__buf_57)) (* 19 tmp3__global__buf_65)) (* (- 7) tmp3__global__buf_73)) (* 3 tmp3__global__buf_81)) (* (- 1) tmp3__global__buf_89)) 2048) 4096))) ; (tmp154__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_33) + (4 * tmp3__global__buf_41)) + ((- 10) * tmp3__global__buf_49)) + (57 * tmp3__global__buf_57)) + (19 * tmp3__global__buf_65)) + ((- 7) * tmp3__global__buf_73)) + (3 * tmp3__global__buf_81)) + ((- 1) * tmp3__global__buf_89)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_97__value tmp154__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_97__value = tmp154__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_97 (ite (< tmp1__func_Clip3_variant_97__value 0) 0 (ite (> tmp1__func_Clip3_variant_97__value 255) 255 tmp1__func_Clip3_variant_97__value)))) ; (tmp1__func__return__Clip3_variant_97 = (ite (< tmp1__func_Clip3_variant_97__value 0) 0 (ite (> tmp1__func_Clip3_variant_97__value 255) 255 tmp1__func_Clip3_variant_97__value)))
(assert (= tmp1__global__predL1_33 tmp1__func__return__Clip3_variant_97)) ; (tmp1__global__predL1_33 = tmp1__func__return__Clip3_variant_97)
(assert (= tmp155__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_34) (* 4 tmp3__global__buf_42)) (* (- 10) tmp3__global__buf_50)) (* 57 tmp3__global__buf_58)) (* 19 tmp3__global__buf_66)) (* (- 7) tmp3__global__buf_74)) (* 3 tmp3__global__buf_82)) (* (- 1) tmp3__global__buf_90)) 2048) 4096))) ; (tmp155__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_34) + (4 * tmp3__global__buf_42)) + ((- 10) * tmp3__global__buf_50)) + (57 * tmp3__global__buf_58)) + (19 * tmp3__global__buf_66)) + ((- 7) * tmp3__global__buf_74)) + (3 * tmp3__global__buf_82)) + ((- 1) * tmp3__global__buf_90)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_98__value tmp155__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_98__value = tmp155__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_98 (ite (< tmp1__func_Clip3_variant_98__value 0) 0 (ite (> tmp1__func_Clip3_variant_98__value 255) 255 tmp1__func_Clip3_variant_98__value)))) ; (tmp1__func__return__Clip3_variant_98 = (ite (< tmp1__func_Clip3_variant_98__value 0) 0 (ite (> tmp1__func_Clip3_variant_98__value 255) 255 tmp1__func_Clip3_variant_98__value)))
(assert (= tmp1__global__predL1_34 tmp1__func__return__Clip3_variant_98)) ; (tmp1__global__predL1_34 = tmp1__func__return__Clip3_variant_98)
(assert (= tmp156__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_35) (* 4 tmp3__global__buf_43)) (* (- 10) tmp3__global__buf_51)) (* 57 tmp3__global__buf_59)) (* 19 tmp3__global__buf_67)) (* (- 7) tmp3__global__buf_75)) (* 3 tmp3__global__buf_83)) (* (- 1) tmp3__global__buf_91)) 2048) 4096))) ; (tmp156__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_35) + (4 * tmp3__global__buf_43)) + ((- 10) * tmp3__global__buf_51)) + (57 * tmp3__global__buf_59)) + (19 * tmp3__global__buf_67)) + ((- 7) * tmp3__global__buf_75)) + (3 * tmp3__global__buf_83)) + ((- 1) * tmp3__global__buf_91)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_99__value tmp156__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_99__value = tmp156__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_99 (ite (< tmp1__func_Clip3_variant_99__value 0) 0 (ite (> tmp1__func_Clip3_variant_99__value 255) 255 tmp1__func_Clip3_variant_99__value)))) ; (tmp1__func__return__Clip3_variant_99 = (ite (< tmp1__func_Clip3_variant_99__value 0) 0 (ite (> tmp1__func_Clip3_variant_99__value 255) 255 tmp1__func_Clip3_variant_99__value)))
(assert (= tmp1__global__predL1_35 tmp1__func__return__Clip3_variant_99)) ; (tmp1__global__predL1_35 = tmp1__func__return__Clip3_variant_99)
(assert (= tmp157__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_36) (* 4 tmp3__global__buf_44)) (* (- 10) tmp3__global__buf_52)) (* 57 tmp3__global__buf_60)) (* 19 tmp3__global__buf_68)) (* (- 7) tmp3__global__buf_76)) (* 3 tmp3__global__buf_84)) (* (- 1) tmp3__global__buf_92)) 2048) 4096))) ; (tmp157__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_36) + (4 * tmp3__global__buf_44)) + ((- 10) * tmp3__global__buf_52)) + (57 * tmp3__global__buf_60)) + (19 * tmp3__global__buf_68)) + ((- 7) * tmp3__global__buf_76)) + (3 * tmp3__global__buf_84)) + ((- 1) * tmp3__global__buf_92)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_100__value tmp157__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_100__value = tmp157__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_100 (ite (< tmp1__func_Clip3_variant_100__value 0) 0 (ite (> tmp1__func_Clip3_variant_100__value 255) 255 tmp1__func_Clip3_variant_100__value)))) ; (tmp1__func__return__Clip3_variant_100 = (ite (< tmp1__func_Clip3_variant_100__value 0) 0 (ite (> tmp1__func_Clip3_variant_100__value 255) 255 tmp1__func_Clip3_variant_100__value)))
(assert (= tmp1__global__predL1_36 tmp1__func__return__Clip3_variant_100)) ; (tmp1__global__predL1_36 = tmp1__func__return__Clip3_variant_100)
(assert (= tmp158__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_37) (* 4 tmp3__global__buf_45)) (* (- 10) tmp3__global__buf_53)) (* 57 tmp3__global__buf_61)) (* 19 tmp3__global__buf_69)) (* (- 7) tmp3__global__buf_77)) (* 3 tmp3__global__buf_85)) (* (- 1) tmp3__global__buf_93)) 2048) 4096))) ; (tmp158__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_37) + (4 * tmp3__global__buf_45)) + ((- 10) * tmp3__global__buf_53)) + (57 * tmp3__global__buf_61)) + (19 * tmp3__global__buf_69)) + ((- 7) * tmp3__global__buf_77)) + (3 * tmp3__global__buf_85)) + ((- 1) * tmp3__global__buf_93)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_101__value tmp158__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_101__value = tmp158__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_101 (ite (< tmp1__func_Clip3_variant_101__value 0) 0 (ite (> tmp1__func_Clip3_variant_101__value 255) 255 tmp1__func_Clip3_variant_101__value)))) ; (tmp1__func__return__Clip3_variant_101 = (ite (< tmp1__func_Clip3_variant_101__value 0) 0 (ite (> tmp1__func_Clip3_variant_101__value 255) 255 tmp1__func_Clip3_variant_101__value)))
(assert (= tmp1__global__predL1_37 tmp1__func__return__Clip3_variant_101)) ; (tmp1__global__predL1_37 = tmp1__func__return__Clip3_variant_101)
(assert (= tmp159__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_38) (* 4 tmp3__global__buf_46)) (* (- 10) tmp3__global__buf_54)) (* 57 tmp3__global__buf_62)) (* 19 tmp3__global__buf_70)) (* (- 7) tmp3__global__buf_78)) (* 3 tmp3__global__buf_86)) (* (- 1) tmp3__global__buf_94)) 2048) 4096))) ; (tmp159__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_38) + (4 * tmp3__global__buf_46)) + ((- 10) * tmp3__global__buf_54)) + (57 * tmp3__global__buf_62)) + (19 * tmp3__global__buf_70)) + ((- 7) * tmp3__global__buf_78)) + (3 * tmp3__global__buf_86)) + ((- 1) * tmp3__global__buf_94)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_102__value tmp159__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_102__value = tmp159__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_102 (ite (< tmp1__func_Clip3_variant_102__value 0) 0 (ite (> tmp1__func_Clip3_variant_102__value 255) 255 tmp1__func_Clip3_variant_102__value)))) ; (tmp1__func__return__Clip3_variant_102 = (ite (< tmp1__func_Clip3_variant_102__value 0) 0 (ite (> tmp1__func_Clip3_variant_102__value 255) 255 tmp1__func_Clip3_variant_102__value)))
(assert (= tmp1__global__predL1_38 tmp1__func__return__Clip3_variant_102)) ; (tmp1__global__predL1_38 = tmp1__func__return__Clip3_variant_102)
(assert (= tmp160__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_39) (* 4 tmp3__global__buf_47)) (* (- 10) tmp3__global__buf_55)) (* 57 tmp3__global__buf_63)) (* 19 tmp3__global__buf_71)) (* (- 7) tmp3__global__buf_79)) (* 3 tmp3__global__buf_87)) (* (- 1) tmp3__global__buf_95)) 2048) 4096))) ; (tmp160__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_39) + (4 * tmp3__global__buf_47)) + ((- 10) * tmp3__global__buf_55)) + (57 * tmp3__global__buf_63)) + (19 * tmp3__global__buf_71)) + ((- 7) * tmp3__global__buf_79)) + (3 * tmp3__global__buf_87)) + ((- 1) * tmp3__global__buf_95)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_103__value tmp160__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_103__value = tmp160__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_103 (ite (< tmp1__func_Clip3_variant_103__value 0) 0 (ite (> tmp1__func_Clip3_variant_103__value 255) 255 tmp1__func_Clip3_variant_103__value)))) ; (tmp1__func__return__Clip3_variant_103 = (ite (< tmp1__func_Clip3_variant_103__value 0) 0 (ite (> tmp1__func_Clip3_variant_103__value 255) 255 tmp1__func_Clip3_variant_103__value)))
(assert (= tmp1__global__predL1_39 tmp1__func__return__Clip3_variant_103)) ; (tmp1__global__predL1_39 = tmp1__func__return__Clip3_variant_103)
(assert (= tmp161__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_40) (* 4 tmp3__global__buf_48)) (* (- 10) tmp3__global__buf_56)) (* 57 tmp3__global__buf_64)) (* 19 tmp3__global__buf_72)) (* (- 7) tmp3__global__buf_80)) (* 3 tmp3__global__buf_88)) (* (- 1) tmp3__global__buf_96)) 2048) 4096))) ; (tmp161__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_40) + (4 * tmp3__global__buf_48)) + ((- 10) * tmp3__global__buf_56)) + (57 * tmp3__global__buf_64)) + (19 * tmp3__global__buf_72)) + ((- 7) * tmp3__global__buf_80)) + (3 * tmp3__global__buf_88)) + ((- 1) * tmp3__global__buf_96)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_104__value tmp161__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_104__value = tmp161__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_104 (ite (< tmp1__func_Clip3_variant_104__value 0) 0 (ite (> tmp1__func_Clip3_variant_104__value 255) 255 tmp1__func_Clip3_variant_104__value)))) ; (tmp1__func__return__Clip3_variant_104 = (ite (< tmp1__func_Clip3_variant_104__value 0) 0 (ite (> tmp1__func_Clip3_variant_104__value 255) 255 tmp1__func_Clip3_variant_104__value)))
(assert (= tmp1__global__predL1_40 tmp1__func__return__Clip3_variant_104)) ; (tmp1__global__predL1_40 = tmp1__func__return__Clip3_variant_104)
(assert (= tmp162__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_41) (* 4 tmp3__global__buf_49)) (* (- 10) tmp3__global__buf_57)) (* 57 tmp3__global__buf_65)) (* 19 tmp3__global__buf_73)) (* (- 7) tmp3__global__buf_81)) (* 3 tmp3__global__buf_89)) (* (- 1) tmp3__global__buf_97)) 2048) 4096))) ; (tmp162__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_41) + (4 * tmp3__global__buf_49)) + ((- 10) * tmp3__global__buf_57)) + (57 * tmp3__global__buf_65)) + (19 * tmp3__global__buf_73)) + ((- 7) * tmp3__global__buf_81)) + (3 * tmp3__global__buf_89)) + ((- 1) * tmp3__global__buf_97)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_105__value tmp162__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_105__value = tmp162__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_105 (ite (< tmp1__func_Clip3_variant_105__value 0) 0 (ite (> tmp1__func_Clip3_variant_105__value 255) 255 tmp1__func_Clip3_variant_105__value)))) ; (tmp1__func__return__Clip3_variant_105 = (ite (< tmp1__func_Clip3_variant_105__value 0) 0 (ite (> tmp1__func_Clip3_variant_105__value 255) 255 tmp1__func_Clip3_variant_105__value)))
(assert (= tmp1__global__predL1_41 tmp1__func__return__Clip3_variant_105)) ; (tmp1__global__predL1_41 = tmp1__func__return__Clip3_variant_105)
(assert (= tmp163__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_42) (* 4 tmp3__global__buf_50)) (* (- 10) tmp3__global__buf_58)) (* 57 tmp3__global__buf_66)) (* 19 tmp3__global__buf_74)) (* (- 7) tmp3__global__buf_82)) (* 3 tmp3__global__buf_90)) (* (- 1) tmp3__global__buf_98)) 2048) 4096))) ; (tmp163__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_42) + (4 * tmp3__global__buf_50)) + ((- 10) * tmp3__global__buf_58)) + (57 * tmp3__global__buf_66)) + (19 * tmp3__global__buf_74)) + ((- 7) * tmp3__global__buf_82)) + (3 * tmp3__global__buf_90)) + ((- 1) * tmp3__global__buf_98)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_106__value tmp163__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_106__value = tmp163__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_106 (ite (< tmp1__func_Clip3_variant_106__value 0) 0 (ite (> tmp1__func_Clip3_variant_106__value 255) 255 tmp1__func_Clip3_variant_106__value)))) ; (tmp1__func__return__Clip3_variant_106 = (ite (< tmp1__func_Clip3_variant_106__value 0) 0 (ite (> tmp1__func_Clip3_variant_106__value 255) 255 tmp1__func_Clip3_variant_106__value)))
(assert (= tmp1__global__predL1_42 tmp1__func__return__Clip3_variant_106)) ; (tmp1__global__predL1_42 = tmp1__func__return__Clip3_variant_106)
(assert (= tmp164__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_43) (* 4 tmp3__global__buf_51)) (* (- 10) tmp3__global__buf_59)) (* 57 tmp3__global__buf_67)) (* 19 tmp3__global__buf_75)) (* (- 7) tmp3__global__buf_83)) (* 3 tmp3__global__buf_91)) (* (- 1) tmp3__global__buf_99)) 2048) 4096))) ; (tmp164__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_43) + (4 * tmp3__global__buf_51)) + ((- 10) * tmp3__global__buf_59)) + (57 * tmp3__global__buf_67)) + (19 * tmp3__global__buf_75)) + ((- 7) * tmp3__global__buf_83)) + (3 * tmp3__global__buf_91)) + ((- 1) * tmp3__global__buf_99)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_107__value tmp164__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_107__value = tmp164__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_107 (ite (< tmp1__func_Clip3_variant_107__value 0) 0 (ite (> tmp1__func_Clip3_variant_107__value 255) 255 tmp1__func_Clip3_variant_107__value)))) ; (tmp1__func__return__Clip3_variant_107 = (ite (< tmp1__func_Clip3_variant_107__value 0) 0 (ite (> tmp1__func_Clip3_variant_107__value 255) 255 tmp1__func_Clip3_variant_107__value)))
(assert (= tmp1__global__predL1_43 tmp1__func__return__Clip3_variant_107)) ; (tmp1__global__predL1_43 = tmp1__func__return__Clip3_variant_107)
(assert (= tmp165__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_44) (* 4 tmp3__global__buf_52)) (* (- 10) tmp3__global__buf_60)) (* 57 tmp3__global__buf_68)) (* 19 tmp3__global__buf_76)) (* (- 7) tmp3__global__buf_84)) (* 3 tmp3__global__buf_92)) (* (- 1) tmp3__global__buf_100)) 2048) 4096))) ; (tmp165__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_44) + (4 * tmp3__global__buf_52)) + ((- 10) * tmp3__global__buf_60)) + (57 * tmp3__global__buf_68)) + (19 * tmp3__global__buf_76)) + ((- 7) * tmp3__global__buf_84)) + (3 * tmp3__global__buf_92)) + ((- 1) * tmp3__global__buf_100)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_108__value tmp165__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_108__value = tmp165__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_108 (ite (< tmp1__func_Clip3_variant_108__value 0) 0 (ite (> tmp1__func_Clip3_variant_108__value 255) 255 tmp1__func_Clip3_variant_108__value)))) ; (tmp1__func__return__Clip3_variant_108 = (ite (< tmp1__func_Clip3_variant_108__value 0) 0 (ite (> tmp1__func_Clip3_variant_108__value 255) 255 tmp1__func_Clip3_variant_108__value)))
(assert (= tmp1__global__predL1_44 tmp1__func__return__Clip3_variant_108)) ; (tmp1__global__predL1_44 = tmp1__func__return__Clip3_variant_108)
(assert (= tmp166__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_45) (* 4 tmp3__global__buf_53)) (* (- 10) tmp3__global__buf_61)) (* 57 tmp3__global__buf_69)) (* 19 tmp3__global__buf_77)) (* (- 7) tmp3__global__buf_85)) (* 3 tmp3__global__buf_93)) (* (- 1) tmp3__global__buf_101)) 2048) 4096))) ; (tmp166__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_45) + (4 * tmp3__global__buf_53)) + ((- 10) * tmp3__global__buf_61)) + (57 * tmp3__global__buf_69)) + (19 * tmp3__global__buf_77)) + ((- 7) * tmp3__global__buf_85)) + (3 * tmp3__global__buf_93)) + ((- 1) * tmp3__global__buf_101)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_109__value tmp166__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_109__value = tmp166__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_109 (ite (< tmp1__func_Clip3_variant_109__value 0) 0 (ite (> tmp1__func_Clip3_variant_109__value 255) 255 tmp1__func_Clip3_variant_109__value)))) ; (tmp1__func__return__Clip3_variant_109 = (ite (< tmp1__func_Clip3_variant_109__value 0) 0 (ite (> tmp1__func_Clip3_variant_109__value 255) 255 tmp1__func_Clip3_variant_109__value)))
(assert (= tmp1__global__predL1_45 tmp1__func__return__Clip3_variant_109)) ; (tmp1__global__predL1_45 = tmp1__func__return__Clip3_variant_109)
(assert (= tmp167__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_46) (* 4 tmp3__global__buf_54)) (* (- 10) tmp3__global__buf_62)) (* 57 tmp3__global__buf_70)) (* 19 tmp3__global__buf_78)) (* (- 7) tmp3__global__buf_86)) (* 3 tmp3__global__buf_94)) (* (- 1) tmp3__global__buf_102)) 2048) 4096))) ; (tmp167__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_46) + (4 * tmp3__global__buf_54)) + ((- 10) * tmp3__global__buf_62)) + (57 * tmp3__global__buf_70)) + (19 * tmp3__global__buf_78)) + ((- 7) * tmp3__global__buf_86)) + (3 * tmp3__global__buf_94)) + ((- 1) * tmp3__global__buf_102)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_110__value tmp167__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_110__value = tmp167__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_110 (ite (< tmp1__func_Clip3_variant_110__value 0) 0 (ite (> tmp1__func_Clip3_variant_110__value 255) 255 tmp1__func_Clip3_variant_110__value)))) ; (tmp1__func__return__Clip3_variant_110 = (ite (< tmp1__func_Clip3_variant_110__value 0) 0 (ite (> tmp1__func_Clip3_variant_110__value 255) 255 tmp1__func_Clip3_variant_110__value)))
(assert (= tmp1__global__predL1_46 tmp1__func__return__Clip3_variant_110)) ; (tmp1__global__predL1_46 = tmp1__func__return__Clip3_variant_110)
(assert (= tmp168__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_47) (* 4 tmp3__global__buf_55)) (* (- 10) tmp3__global__buf_63)) (* 57 tmp3__global__buf_71)) (* 19 tmp3__global__buf_79)) (* (- 7) tmp3__global__buf_87)) (* 3 tmp3__global__buf_95)) (* (- 1) tmp3__global__buf_103)) 2048) 4096))) ; (tmp168__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_47) + (4 * tmp3__global__buf_55)) + ((- 10) * tmp3__global__buf_63)) + (57 * tmp3__global__buf_71)) + (19 * tmp3__global__buf_79)) + ((- 7) * tmp3__global__buf_87)) + (3 * tmp3__global__buf_95)) + ((- 1) * tmp3__global__buf_103)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_111__value tmp168__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_111__value = tmp168__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_111 (ite (< tmp1__func_Clip3_variant_111__value 0) 0 (ite (> tmp1__func_Clip3_variant_111__value 255) 255 tmp1__func_Clip3_variant_111__value)))) ; (tmp1__func__return__Clip3_variant_111 = (ite (< tmp1__func_Clip3_variant_111__value 0) 0 (ite (> tmp1__func_Clip3_variant_111__value 255) 255 tmp1__func_Clip3_variant_111__value)))
(assert (= tmp1__global__predL1_47 tmp1__func__return__Clip3_variant_111)) ; (tmp1__global__predL1_47 = tmp1__func__return__Clip3_variant_111)
(assert (= tmp169__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_48) (* 4 tmp3__global__buf_56)) (* (- 10) tmp3__global__buf_64)) (* 57 tmp3__global__buf_72)) (* 19 tmp3__global__buf_80)) (* (- 7) tmp3__global__buf_88)) (* 3 tmp3__global__buf_96)) (* (- 1) tmp3__global__buf_104)) 2048) 4096))) ; (tmp169__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_48) + (4 * tmp3__global__buf_56)) + ((- 10) * tmp3__global__buf_64)) + (57 * tmp3__global__buf_72)) + (19 * tmp3__global__buf_80)) + ((- 7) * tmp3__global__buf_88)) + (3 * tmp3__global__buf_96)) + ((- 1) * tmp3__global__buf_104)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_112__value tmp169__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_112__value = tmp169__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_112 (ite (< tmp1__func_Clip3_variant_112__value 0) 0 (ite (> tmp1__func_Clip3_variant_112__value 255) 255 tmp1__func_Clip3_variant_112__value)))) ; (tmp1__func__return__Clip3_variant_112 = (ite (< tmp1__func_Clip3_variant_112__value 0) 0 (ite (> tmp1__func_Clip3_variant_112__value 255) 255 tmp1__func_Clip3_variant_112__value)))
(assert (= tmp1__global__predL1_48 tmp1__func__return__Clip3_variant_112)) ; (tmp1__global__predL1_48 = tmp1__func__return__Clip3_variant_112)
(assert (= tmp170__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_49) (* 4 tmp3__global__buf_57)) (* (- 10) tmp3__global__buf_65)) (* 57 tmp3__global__buf_73)) (* 19 tmp3__global__buf_81)) (* (- 7) tmp3__global__buf_89)) (* 3 tmp3__global__buf_97)) (* (- 1) tmp3__global__buf_105)) 2048) 4096))) ; (tmp170__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_49) + (4 * tmp3__global__buf_57)) + ((- 10) * tmp3__global__buf_65)) + (57 * tmp3__global__buf_73)) + (19 * tmp3__global__buf_81)) + ((- 7) * tmp3__global__buf_89)) + (3 * tmp3__global__buf_97)) + ((- 1) * tmp3__global__buf_105)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_113__value tmp170__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_113__value = tmp170__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_113 (ite (< tmp1__func_Clip3_variant_113__value 0) 0 (ite (> tmp1__func_Clip3_variant_113__value 255) 255 tmp1__func_Clip3_variant_113__value)))) ; (tmp1__func__return__Clip3_variant_113 = (ite (< tmp1__func_Clip3_variant_113__value 0) 0 (ite (> tmp1__func_Clip3_variant_113__value 255) 255 tmp1__func_Clip3_variant_113__value)))
(assert (= tmp1__global__predL1_49 tmp1__func__return__Clip3_variant_113)) ; (tmp1__global__predL1_49 = tmp1__func__return__Clip3_variant_113)
(assert (= tmp171__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_50) (* 4 tmp3__global__buf_58)) (* (- 10) tmp3__global__buf_66)) (* 57 tmp3__global__buf_74)) (* 19 tmp3__global__buf_82)) (* (- 7) tmp3__global__buf_90)) (* 3 tmp3__global__buf_98)) (* (- 1) tmp3__global__buf_106)) 2048) 4096))) ; (tmp171__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_50) + (4 * tmp3__global__buf_58)) + ((- 10) * tmp3__global__buf_66)) + (57 * tmp3__global__buf_74)) + (19 * tmp3__global__buf_82)) + ((- 7) * tmp3__global__buf_90)) + (3 * tmp3__global__buf_98)) + ((- 1) * tmp3__global__buf_106)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_114__value tmp171__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_114__value = tmp171__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_114 (ite (< tmp1__func_Clip3_variant_114__value 0) 0 (ite (> tmp1__func_Clip3_variant_114__value 255) 255 tmp1__func_Clip3_variant_114__value)))) ; (tmp1__func__return__Clip3_variant_114 = (ite (< tmp1__func_Clip3_variant_114__value 0) 0 (ite (> tmp1__func_Clip3_variant_114__value 255) 255 tmp1__func_Clip3_variant_114__value)))
(assert (= tmp1__global__predL1_50 tmp1__func__return__Clip3_variant_114)) ; (tmp1__global__predL1_50 = tmp1__func__return__Clip3_variant_114)
(assert (= tmp172__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_51) (* 4 tmp3__global__buf_59)) (* (- 10) tmp3__global__buf_67)) (* 57 tmp3__global__buf_75)) (* 19 tmp3__global__buf_83)) (* (- 7) tmp3__global__buf_91)) (* 3 tmp3__global__buf_99)) (* (- 1) tmp3__global__buf_107)) 2048) 4096))) ; (tmp172__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_51) + (4 * tmp3__global__buf_59)) + ((- 10) * tmp3__global__buf_67)) + (57 * tmp3__global__buf_75)) + (19 * tmp3__global__buf_83)) + ((- 7) * tmp3__global__buf_91)) + (3 * tmp3__global__buf_99)) + ((- 1) * tmp3__global__buf_107)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_115__value tmp172__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_115__value = tmp172__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_115 (ite (< tmp1__func_Clip3_variant_115__value 0) 0 (ite (> tmp1__func_Clip3_variant_115__value 255) 255 tmp1__func_Clip3_variant_115__value)))) ; (tmp1__func__return__Clip3_variant_115 = (ite (< tmp1__func_Clip3_variant_115__value 0) 0 (ite (> tmp1__func_Clip3_variant_115__value 255) 255 tmp1__func_Clip3_variant_115__value)))
(assert (= tmp1__global__predL1_51 tmp1__func__return__Clip3_variant_115)) ; (tmp1__global__predL1_51 = tmp1__func__return__Clip3_variant_115)
(assert (= tmp173__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_52) (* 4 tmp3__global__buf_60)) (* (- 10) tmp3__global__buf_68)) (* 57 tmp3__global__buf_76)) (* 19 tmp3__global__buf_84)) (* (- 7) tmp3__global__buf_92)) (* 3 tmp3__global__buf_100)) (* (- 1) tmp3__global__buf_108)) 2048) 4096))) ; (tmp173__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_52) + (4 * tmp3__global__buf_60)) + ((- 10) * tmp3__global__buf_68)) + (57 * tmp3__global__buf_76)) + (19 * tmp3__global__buf_84)) + ((- 7) * tmp3__global__buf_92)) + (3 * tmp3__global__buf_100)) + ((- 1) * tmp3__global__buf_108)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_116__value tmp173__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_116__value = tmp173__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_116 (ite (< tmp1__func_Clip3_variant_116__value 0) 0 (ite (> tmp1__func_Clip3_variant_116__value 255) 255 tmp1__func_Clip3_variant_116__value)))) ; (tmp1__func__return__Clip3_variant_116 = (ite (< tmp1__func_Clip3_variant_116__value 0) 0 (ite (> tmp1__func_Clip3_variant_116__value 255) 255 tmp1__func_Clip3_variant_116__value)))
(assert (= tmp1__global__predL1_52 tmp1__func__return__Clip3_variant_116)) ; (tmp1__global__predL1_52 = tmp1__func__return__Clip3_variant_116)
(assert (= tmp174__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_53) (* 4 tmp3__global__buf_61)) (* (- 10) tmp3__global__buf_69)) (* 57 tmp3__global__buf_77)) (* 19 tmp3__global__buf_85)) (* (- 7) tmp3__global__buf_93)) (* 3 tmp3__global__buf_101)) (* (- 1) tmp3__global__buf_109)) 2048) 4096))) ; (tmp174__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_53) + (4 * tmp3__global__buf_61)) + ((- 10) * tmp3__global__buf_69)) + (57 * tmp3__global__buf_77)) + (19 * tmp3__global__buf_85)) + ((- 7) * tmp3__global__buf_93)) + (3 * tmp3__global__buf_101)) + ((- 1) * tmp3__global__buf_109)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_117__value tmp174__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_117__value = tmp174__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_117 (ite (< tmp1__func_Clip3_variant_117__value 0) 0 (ite (> tmp1__func_Clip3_variant_117__value 255) 255 tmp1__func_Clip3_variant_117__value)))) ; (tmp1__func__return__Clip3_variant_117 = (ite (< tmp1__func_Clip3_variant_117__value 0) 0 (ite (> tmp1__func_Clip3_variant_117__value 255) 255 tmp1__func_Clip3_variant_117__value)))
(assert (= tmp1__global__predL1_53 tmp1__func__return__Clip3_variant_117)) ; (tmp1__global__predL1_53 = tmp1__func__return__Clip3_variant_117)
(assert (= tmp175__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_54) (* 4 tmp3__global__buf_62)) (* (- 10) tmp3__global__buf_70)) (* 57 tmp3__global__buf_78)) (* 19 tmp3__global__buf_86)) (* (- 7) tmp3__global__buf_94)) (* 3 tmp3__global__buf_102)) (* (- 1) tmp3__global__buf_110)) 2048) 4096))) ; (tmp175__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_54) + (4 * tmp3__global__buf_62)) + ((- 10) * tmp3__global__buf_70)) + (57 * tmp3__global__buf_78)) + (19 * tmp3__global__buf_86)) + ((- 7) * tmp3__global__buf_94)) + (3 * tmp3__global__buf_102)) + ((- 1) * tmp3__global__buf_110)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_118__value tmp175__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_118__value = tmp175__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_118 (ite (< tmp1__func_Clip3_variant_118__value 0) 0 (ite (> tmp1__func_Clip3_variant_118__value 255) 255 tmp1__func_Clip3_variant_118__value)))) ; (tmp1__func__return__Clip3_variant_118 = (ite (< tmp1__func_Clip3_variant_118__value 0) 0 (ite (> tmp1__func_Clip3_variant_118__value 255) 255 tmp1__func_Clip3_variant_118__value)))
(assert (= tmp1__global__predL1_54 tmp1__func__return__Clip3_variant_118)) ; (tmp1__global__predL1_54 = tmp1__func__return__Clip3_variant_118)
(assert (= tmp176__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_55) (* 4 tmp3__global__buf_63)) (* (- 10) tmp3__global__buf_71)) (* 57 tmp3__global__buf_79)) (* 19 tmp3__global__buf_87)) (* (- 7) tmp3__global__buf_95)) (* 3 tmp3__global__buf_103)) (* (- 1) tmp3__global__buf_111)) 2048) 4096))) ; (tmp176__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_55) + (4 * tmp3__global__buf_63)) + ((- 10) * tmp3__global__buf_71)) + (57 * tmp3__global__buf_79)) + (19 * tmp3__global__buf_87)) + ((- 7) * tmp3__global__buf_95)) + (3 * tmp3__global__buf_103)) + ((- 1) * tmp3__global__buf_111)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_119__value tmp176__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_119__value = tmp176__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_119 (ite (< tmp1__func_Clip3_variant_119__value 0) 0 (ite (> tmp1__func_Clip3_variant_119__value 255) 255 tmp1__func_Clip3_variant_119__value)))) ; (tmp1__func__return__Clip3_variant_119 = (ite (< tmp1__func_Clip3_variant_119__value 0) 0 (ite (> tmp1__func_Clip3_variant_119__value 255) 255 tmp1__func_Clip3_variant_119__value)))
(assert (= tmp1__global__predL1_55 tmp1__func__return__Clip3_variant_119)) ; (tmp1__global__predL1_55 = tmp1__func__return__Clip3_variant_119)
(assert (= tmp177__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_56) (* 4 tmp3__global__buf_64)) (* (- 10) tmp3__global__buf_72)) (* 57 tmp3__global__buf_80)) (* 19 tmp3__global__buf_88)) (* (- 7) tmp3__global__buf_96)) (* 3 tmp3__global__buf_104)) (* (- 1) tmp3__global__buf_112)) 2048) 4096))) ; (tmp177__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_56) + (4 * tmp3__global__buf_64)) + ((- 10) * tmp3__global__buf_72)) + (57 * tmp3__global__buf_80)) + (19 * tmp3__global__buf_88)) + ((- 7) * tmp3__global__buf_96)) + (3 * tmp3__global__buf_104)) + ((- 1) * tmp3__global__buf_112)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_120__value tmp177__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_120__value = tmp177__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_120 (ite (< tmp1__func_Clip3_variant_120__value 0) 0 (ite (> tmp1__func_Clip3_variant_120__value 255) 255 tmp1__func_Clip3_variant_120__value)))) ; (tmp1__func__return__Clip3_variant_120 = (ite (< tmp1__func_Clip3_variant_120__value 0) 0 (ite (> tmp1__func_Clip3_variant_120__value 255) 255 tmp1__func_Clip3_variant_120__value)))
(assert (= tmp1__global__predL1_56 tmp1__func__return__Clip3_variant_120)) ; (tmp1__global__predL1_56 = tmp1__func__return__Clip3_variant_120)
(assert (= tmp178__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_57) (* 4 tmp3__global__buf_65)) (* (- 10) tmp3__global__buf_73)) (* 57 tmp3__global__buf_81)) (* 19 tmp3__global__buf_89)) (* (- 7) tmp3__global__buf_97)) (* 3 tmp3__global__buf_105)) (* (- 1) tmp3__global__buf_113)) 2048) 4096))) ; (tmp178__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_57) + (4 * tmp3__global__buf_65)) + ((- 10) * tmp3__global__buf_73)) + (57 * tmp3__global__buf_81)) + (19 * tmp3__global__buf_89)) + ((- 7) * tmp3__global__buf_97)) + (3 * tmp3__global__buf_105)) + ((- 1) * tmp3__global__buf_113)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_121__value tmp178__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_121__value = tmp178__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_121 (ite (< tmp1__func_Clip3_variant_121__value 0) 0 (ite (> tmp1__func_Clip3_variant_121__value 255) 255 tmp1__func_Clip3_variant_121__value)))) ; (tmp1__func__return__Clip3_variant_121 = (ite (< tmp1__func_Clip3_variant_121__value 0) 0 (ite (> tmp1__func_Clip3_variant_121__value 255) 255 tmp1__func_Clip3_variant_121__value)))
(assert (= tmp1__global__predL1_57 tmp1__func__return__Clip3_variant_121)) ; (tmp1__global__predL1_57 = tmp1__func__return__Clip3_variant_121)
(assert (= tmp179__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_58) (* 4 tmp3__global__buf_66)) (* (- 10) tmp3__global__buf_74)) (* 57 tmp3__global__buf_82)) (* 19 tmp3__global__buf_90)) (* (- 7) tmp3__global__buf_98)) (* 3 tmp3__global__buf_106)) (* (- 1) tmp3__global__buf_114)) 2048) 4096))) ; (tmp179__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_58) + (4 * tmp3__global__buf_66)) + ((- 10) * tmp3__global__buf_74)) + (57 * tmp3__global__buf_82)) + (19 * tmp3__global__buf_90)) + ((- 7) * tmp3__global__buf_98)) + (3 * tmp3__global__buf_106)) + ((- 1) * tmp3__global__buf_114)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_122__value tmp179__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_122__value = tmp179__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_122 (ite (< tmp1__func_Clip3_variant_122__value 0) 0 (ite (> tmp1__func_Clip3_variant_122__value 255) 255 tmp1__func_Clip3_variant_122__value)))) ; (tmp1__func__return__Clip3_variant_122 = (ite (< tmp1__func_Clip3_variant_122__value 0) 0 (ite (> tmp1__func_Clip3_variant_122__value 255) 255 tmp1__func_Clip3_variant_122__value)))
(assert (= tmp1__global__predL1_58 tmp1__func__return__Clip3_variant_122)) ; (tmp1__global__predL1_58 = tmp1__func__return__Clip3_variant_122)
(assert (= tmp180__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_59) (* 4 tmp3__global__buf_67)) (* (- 10) tmp3__global__buf_75)) (* 57 tmp3__global__buf_83)) (* 19 tmp3__global__buf_91)) (* (- 7) tmp3__global__buf_99)) (* 3 tmp3__global__buf_107)) (* (- 1) tmp3__global__buf_115)) 2048) 4096))) ; (tmp180__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_59) + (4 * tmp3__global__buf_67)) + ((- 10) * tmp3__global__buf_75)) + (57 * tmp3__global__buf_83)) + (19 * tmp3__global__buf_91)) + ((- 7) * tmp3__global__buf_99)) + (3 * tmp3__global__buf_107)) + ((- 1) * tmp3__global__buf_115)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_123__value tmp180__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_123__value = tmp180__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_123 (ite (< tmp1__func_Clip3_variant_123__value 0) 0 (ite (> tmp1__func_Clip3_variant_123__value 255) 255 tmp1__func_Clip3_variant_123__value)))) ; (tmp1__func__return__Clip3_variant_123 = (ite (< tmp1__func_Clip3_variant_123__value 0) 0 (ite (> tmp1__func_Clip3_variant_123__value 255) 255 tmp1__func_Clip3_variant_123__value)))
(assert (= tmp1__global__predL1_59 tmp1__func__return__Clip3_variant_123)) ; (tmp1__global__predL1_59 = tmp1__func__return__Clip3_variant_123)
(assert (= tmp181__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_60) (* 4 tmp3__global__buf_68)) (* (- 10) tmp3__global__buf_76)) (* 57 tmp3__global__buf_84)) (* 19 tmp3__global__buf_92)) (* (- 7) tmp3__global__buf_100)) (* 3 tmp3__global__buf_108)) (* (- 1) tmp3__global__buf_116)) 2048) 4096))) ; (tmp181__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_60) + (4 * tmp3__global__buf_68)) + ((- 10) * tmp3__global__buf_76)) + (57 * tmp3__global__buf_84)) + (19 * tmp3__global__buf_92)) + ((- 7) * tmp3__global__buf_100)) + (3 * tmp3__global__buf_108)) + ((- 1) * tmp3__global__buf_116)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_124__value tmp181__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_124__value = tmp181__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_124 (ite (< tmp1__func_Clip3_variant_124__value 0) 0 (ite (> tmp1__func_Clip3_variant_124__value 255) 255 tmp1__func_Clip3_variant_124__value)))) ; (tmp1__func__return__Clip3_variant_124 = (ite (< tmp1__func_Clip3_variant_124__value 0) 0 (ite (> tmp1__func_Clip3_variant_124__value 255) 255 tmp1__func_Clip3_variant_124__value)))
(assert (= tmp1__global__predL1_60 tmp1__func__return__Clip3_variant_124)) ; (tmp1__global__predL1_60 = tmp1__func__return__Clip3_variant_124)
(assert (= tmp182__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_61) (* 4 tmp3__global__buf_69)) (* (- 10) tmp3__global__buf_77)) (* 57 tmp3__global__buf_85)) (* 19 tmp3__global__buf_93)) (* (- 7) tmp3__global__buf_101)) (* 3 tmp3__global__buf_109)) (* (- 1) tmp3__global__buf_117)) 2048) 4096))) ; (tmp182__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_61) + (4 * tmp3__global__buf_69)) + ((- 10) * tmp3__global__buf_77)) + (57 * tmp3__global__buf_85)) + (19 * tmp3__global__buf_93)) + ((- 7) * tmp3__global__buf_101)) + (3 * tmp3__global__buf_109)) + ((- 1) * tmp3__global__buf_117)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_125__value tmp182__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_125__value = tmp182__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_125 (ite (< tmp1__func_Clip3_variant_125__value 0) 0 (ite (> tmp1__func_Clip3_variant_125__value 255) 255 tmp1__func_Clip3_variant_125__value)))) ; (tmp1__func__return__Clip3_variant_125 = (ite (< tmp1__func_Clip3_variant_125__value 0) 0 (ite (> tmp1__func_Clip3_variant_125__value 255) 255 tmp1__func_Clip3_variant_125__value)))
(assert (= tmp1__global__predL1_61 tmp1__func__return__Clip3_variant_125)) ; (tmp1__global__predL1_61 = tmp1__func__return__Clip3_variant_125)
(assert (= tmp183__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_62) (* 4 tmp3__global__buf_70)) (* (- 10) tmp3__global__buf_78)) (* 57 tmp3__global__buf_86)) (* 19 tmp3__global__buf_94)) (* (- 7) tmp3__global__buf_102)) (* 3 tmp3__global__buf_110)) (* (- 1) tmp3__global__buf_118)) 2048) 4096))) ; (tmp183__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_62) + (4 * tmp3__global__buf_70)) + ((- 10) * tmp3__global__buf_78)) + (57 * tmp3__global__buf_86)) + (19 * tmp3__global__buf_94)) + ((- 7) * tmp3__global__buf_102)) + (3 * tmp3__global__buf_110)) + ((- 1) * tmp3__global__buf_118)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_126__value tmp183__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_126__value = tmp183__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_126 (ite (< tmp1__func_Clip3_variant_126__value 0) 0 (ite (> tmp1__func_Clip3_variant_126__value 255) 255 tmp1__func_Clip3_variant_126__value)))) ; (tmp1__func__return__Clip3_variant_126 = (ite (< tmp1__func_Clip3_variant_126__value 0) 0 (ite (> tmp1__func_Clip3_variant_126__value 255) 255 tmp1__func_Clip3_variant_126__value)))
(assert (= tmp1__global__predL1_62 tmp1__func__return__Clip3_variant_126)) ; (tmp1__global__predL1_62 = tmp1__func__return__Clip3_variant_126)
(assert (= tmp184__func_com_mc_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp3__global__buf_63) (* 4 tmp3__global__buf_71)) (* (- 10) tmp3__global__buf_79)) (* 57 tmp3__global__buf_87)) (* 19 tmp3__global__buf_95)) (* (- 7) tmp3__global__buf_103)) (* 3 tmp3__global__buf_111)) (* (- 1) tmp3__global__buf_119)) 2048) 4096))) ; (tmp184__func_com_mc_l_nn_variant_1__val = (((((((((((- 1) * tmp3__global__buf_63) + (4 * tmp3__global__buf_71)) + ((- 10) * tmp3__global__buf_79)) + (57 * tmp3__global__buf_87)) + (19 * tmp3__global__buf_95)) + ((- 7) * tmp3__global__buf_103)) + (3 * tmp3__global__buf_111)) + ((- 1) * tmp3__global__buf_119)) + 2048) div 4096))
(assert (= tmp1__func_Clip3_variant_127__value tmp184__func_com_mc_l_nn_variant_1__val)) ; (tmp1__func_Clip3_variant_127__value = tmp184__func_com_mc_l_nn_variant_1__val)
(assert (= tmp1__func__return__Clip3_variant_127 (ite (< tmp1__func_Clip3_variant_127__value 0) 0 (ite (> tmp1__func_Clip3_variant_127__value 255) 255 tmp1__func_Clip3_variant_127__value)))) ; (tmp1__func__return__Clip3_variant_127 = (ite (< tmp1__func_Clip3_variant_127__value 0) 0 (ite (> tmp1__func_Clip3_variant_127__value 255) 255 tmp1__func_Clip3_variant_127__value)))
(assert (= tmp1__global__predL1_63 tmp1__func__return__Clip3_variant_127)) ; (tmp1__global__predL1_63 = tmp1__func__return__Clip3_variant_127)
(assert (= tmp1__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_0) (* 11 tmp1__global__ref0_1)) (* (- 39) tmp1__global__ref0_2)) (* (- 1) tmp1__global__ref0_3)) (* 41 tmp1__global__ref0_4)) (* (- 14) tmp1__global__ref0_5)) (* 8 tmp1__global__ref0_6)) (* (- 2) tmp1__global__ref0_7)) 2) 4))) ; (tmp1__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_0) + (11 * tmp1__global__ref0_1)) + ((- 39) * tmp1__global__ref0_2)) + ((- 1) * tmp1__global__ref0_3)) + (41 * tmp1__global__ref0_4)) + ((- 14) * tmp1__global__ref0_5)) + (8 * tmp1__global__ref0_6)) + ((- 2) * tmp1__global__ref0_7)) + 2) div 4))
(assert (= tmp4__global__buf_0 tmp1__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_0 = tmp1__func_com_grad_x_l_nn__val)
(assert (= tmp2__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_1) (* 11 tmp1__global__ref0_2)) (* (- 39) tmp1__global__ref0_3)) (* (- 1) tmp1__global__ref0_4)) (* 41 tmp1__global__ref0_5)) (* (- 14) tmp1__global__ref0_6)) (* 8 tmp1__global__ref0_7)) (* (- 2) tmp1__global__ref0_8)) 2) 4))) ; (tmp2__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_1) + (11 * tmp1__global__ref0_2)) + ((- 39) * tmp1__global__ref0_3)) + ((- 1) * tmp1__global__ref0_4)) + (41 * tmp1__global__ref0_5)) + ((- 14) * tmp1__global__ref0_6)) + (8 * tmp1__global__ref0_7)) + ((- 2) * tmp1__global__ref0_8)) + 2) div 4))
(assert (= tmp4__global__buf_1 tmp2__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_1 = tmp2__func_com_grad_x_l_nn__val)
(assert (= tmp3__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_2) (* 11 tmp1__global__ref0_3)) (* (- 39) tmp1__global__ref0_4)) (* (- 1) tmp1__global__ref0_5)) (* 41 tmp1__global__ref0_6)) (* (- 14) tmp1__global__ref0_7)) (* 8 tmp1__global__ref0_8)) (* (- 2) tmp1__global__ref0_9)) 2) 4))) ; (tmp3__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_2) + (11 * tmp1__global__ref0_3)) + ((- 39) * tmp1__global__ref0_4)) + ((- 1) * tmp1__global__ref0_5)) + (41 * tmp1__global__ref0_6)) + ((- 14) * tmp1__global__ref0_7)) + (8 * tmp1__global__ref0_8)) + ((- 2) * tmp1__global__ref0_9)) + 2) div 4))
(assert (= tmp4__global__buf_2 tmp3__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_2 = tmp3__func_com_grad_x_l_nn__val)
(assert (= tmp4__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_3) (* 11 tmp1__global__ref0_4)) (* (- 39) tmp1__global__ref0_5)) (* (- 1) tmp1__global__ref0_6)) (* 41 tmp1__global__ref0_7)) (* (- 14) tmp1__global__ref0_8)) (* 8 tmp1__global__ref0_9)) (* (- 2) tmp1__global__ref0_10)) 2) 4))) ; (tmp4__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_3) + (11 * tmp1__global__ref0_4)) + ((- 39) * tmp1__global__ref0_5)) + ((- 1) * tmp1__global__ref0_6)) + (41 * tmp1__global__ref0_7)) + ((- 14) * tmp1__global__ref0_8)) + (8 * tmp1__global__ref0_9)) + ((- 2) * tmp1__global__ref0_10)) + 2) div 4))
(assert (= tmp4__global__buf_3 tmp4__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_3 = tmp4__func_com_grad_x_l_nn__val)
(assert (= tmp5__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_4) (* 11 tmp1__global__ref0_5)) (* (- 39) tmp1__global__ref0_6)) (* (- 1) tmp1__global__ref0_7)) (* 41 tmp1__global__ref0_8)) (* (- 14) tmp1__global__ref0_9)) (* 8 tmp1__global__ref0_10)) (* (- 2) tmp1__global__ref0_11)) 2) 4))) ; (tmp5__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_4) + (11 * tmp1__global__ref0_5)) + ((- 39) * tmp1__global__ref0_6)) + ((- 1) * tmp1__global__ref0_7)) + (41 * tmp1__global__ref0_8)) + ((- 14) * tmp1__global__ref0_9)) + (8 * tmp1__global__ref0_10)) + ((- 2) * tmp1__global__ref0_11)) + 2) div 4))
(assert (= tmp4__global__buf_4 tmp5__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_4 = tmp5__func_com_grad_x_l_nn__val)
(assert (= tmp6__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_5) (* 11 tmp1__global__ref0_6)) (* (- 39) tmp1__global__ref0_7)) (* (- 1) tmp1__global__ref0_8)) (* 41 tmp1__global__ref0_9)) (* (- 14) tmp1__global__ref0_10)) (* 8 tmp1__global__ref0_11)) (* (- 2) tmp1__global__ref0_12)) 2) 4))) ; (tmp6__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_5) + (11 * tmp1__global__ref0_6)) + ((- 39) * tmp1__global__ref0_7)) + ((- 1) * tmp1__global__ref0_8)) + (41 * tmp1__global__ref0_9)) + ((- 14) * tmp1__global__ref0_10)) + (8 * tmp1__global__ref0_11)) + ((- 2) * tmp1__global__ref0_12)) + 2) div 4))
(assert (= tmp4__global__buf_5 tmp6__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_5 = tmp6__func_com_grad_x_l_nn__val)
(assert (= tmp7__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_6) (* 11 tmp1__global__ref0_7)) (* (- 39) tmp1__global__ref0_8)) (* (- 1) tmp1__global__ref0_9)) (* 41 tmp1__global__ref0_10)) (* (- 14) tmp1__global__ref0_11)) (* 8 tmp1__global__ref0_12)) (* (- 2) tmp1__global__ref0_13)) 2) 4))) ; (tmp7__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_6) + (11 * tmp1__global__ref0_7)) + ((- 39) * tmp1__global__ref0_8)) + ((- 1) * tmp1__global__ref0_9)) + (41 * tmp1__global__ref0_10)) + ((- 14) * tmp1__global__ref0_11)) + (8 * tmp1__global__ref0_12)) + ((- 2) * tmp1__global__ref0_13)) + 2) div 4))
(assert (= tmp4__global__buf_6 tmp7__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_6 = tmp7__func_com_grad_x_l_nn__val)
(assert (= tmp8__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_7) (* 11 tmp1__global__ref0_8)) (* (- 39) tmp1__global__ref0_9)) (* (- 1) tmp1__global__ref0_10)) (* 41 tmp1__global__ref0_11)) (* (- 14) tmp1__global__ref0_12)) (* 8 tmp1__global__ref0_13)) (* (- 2) tmp1__global__ref0_14)) 2) 4))) ; (tmp8__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_7) + (11 * tmp1__global__ref0_8)) + ((- 39) * tmp1__global__ref0_9)) + ((- 1) * tmp1__global__ref0_10)) + (41 * tmp1__global__ref0_11)) + ((- 14) * tmp1__global__ref0_12)) + (8 * tmp1__global__ref0_13)) + ((- 2) * tmp1__global__ref0_14)) + 2) div 4))
(assert (= tmp4__global__buf_7 tmp8__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_7 = tmp8__func_com_grad_x_l_nn__val)
(assert (= tmp9__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_15) (* 11 tmp1__global__ref0_16)) (* (- 39) tmp1__global__ref0_17)) (* (- 1) tmp1__global__ref0_18)) (* 41 tmp1__global__ref0_19)) (* (- 14) tmp1__global__ref0_20)) (* 8 tmp1__global__ref0_21)) (* (- 2) tmp1__global__ref0_22)) 2) 4))) ; (tmp9__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_15) + (11 * tmp1__global__ref0_16)) + ((- 39) * tmp1__global__ref0_17)) + ((- 1) * tmp1__global__ref0_18)) + (41 * tmp1__global__ref0_19)) + ((- 14) * tmp1__global__ref0_20)) + (8 * tmp1__global__ref0_21)) + ((- 2) * tmp1__global__ref0_22)) + 2) div 4))
(assert (= tmp4__global__buf_8 tmp9__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_8 = tmp9__func_com_grad_x_l_nn__val)
(assert (= tmp10__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_16) (* 11 tmp1__global__ref0_17)) (* (- 39) tmp1__global__ref0_18)) (* (- 1) tmp1__global__ref0_19)) (* 41 tmp1__global__ref0_20)) (* (- 14) tmp1__global__ref0_21)) (* 8 tmp1__global__ref0_22)) (* (- 2) tmp1__global__ref0_23)) 2) 4))) ; (tmp10__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_16) + (11 * tmp1__global__ref0_17)) + ((- 39) * tmp1__global__ref0_18)) + ((- 1) * tmp1__global__ref0_19)) + (41 * tmp1__global__ref0_20)) + ((- 14) * tmp1__global__ref0_21)) + (8 * tmp1__global__ref0_22)) + ((- 2) * tmp1__global__ref0_23)) + 2) div 4))
(assert (= tmp4__global__buf_9 tmp10__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_9 = tmp10__func_com_grad_x_l_nn__val)
(assert (= tmp11__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_17) (* 11 tmp1__global__ref0_18)) (* (- 39) tmp1__global__ref0_19)) (* (- 1) tmp1__global__ref0_20)) (* 41 tmp1__global__ref0_21)) (* (- 14) tmp1__global__ref0_22)) (* 8 tmp1__global__ref0_23)) (* (- 2) tmp1__global__ref0_24)) 2) 4))) ; (tmp11__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_17) + (11 * tmp1__global__ref0_18)) + ((- 39) * tmp1__global__ref0_19)) + ((- 1) * tmp1__global__ref0_20)) + (41 * tmp1__global__ref0_21)) + ((- 14) * tmp1__global__ref0_22)) + (8 * tmp1__global__ref0_23)) + ((- 2) * tmp1__global__ref0_24)) + 2) div 4))
(assert (= tmp4__global__buf_10 tmp11__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_10 = tmp11__func_com_grad_x_l_nn__val)
(assert (= tmp12__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_18) (* 11 tmp1__global__ref0_19)) (* (- 39) tmp1__global__ref0_20)) (* (- 1) tmp1__global__ref0_21)) (* 41 tmp1__global__ref0_22)) (* (- 14) tmp1__global__ref0_23)) (* 8 tmp1__global__ref0_24)) (* (- 2) tmp1__global__ref0_25)) 2) 4))) ; (tmp12__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_18) + (11 * tmp1__global__ref0_19)) + ((- 39) * tmp1__global__ref0_20)) + ((- 1) * tmp1__global__ref0_21)) + (41 * tmp1__global__ref0_22)) + ((- 14) * tmp1__global__ref0_23)) + (8 * tmp1__global__ref0_24)) + ((- 2) * tmp1__global__ref0_25)) + 2) div 4))
(assert (= tmp4__global__buf_11 tmp12__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_11 = tmp12__func_com_grad_x_l_nn__val)
(assert (= tmp13__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_19) (* 11 tmp1__global__ref0_20)) (* (- 39) tmp1__global__ref0_21)) (* (- 1) tmp1__global__ref0_22)) (* 41 tmp1__global__ref0_23)) (* (- 14) tmp1__global__ref0_24)) (* 8 tmp1__global__ref0_25)) (* (- 2) tmp1__global__ref0_26)) 2) 4))) ; (tmp13__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_19) + (11 * tmp1__global__ref0_20)) + ((- 39) * tmp1__global__ref0_21)) + ((- 1) * tmp1__global__ref0_22)) + (41 * tmp1__global__ref0_23)) + ((- 14) * tmp1__global__ref0_24)) + (8 * tmp1__global__ref0_25)) + ((- 2) * tmp1__global__ref0_26)) + 2) div 4))
(assert (= tmp4__global__buf_12 tmp13__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_12 = tmp13__func_com_grad_x_l_nn__val)
(assert (= tmp14__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_20) (* 11 tmp1__global__ref0_21)) (* (- 39) tmp1__global__ref0_22)) (* (- 1) tmp1__global__ref0_23)) (* 41 tmp1__global__ref0_24)) (* (- 14) tmp1__global__ref0_25)) (* 8 tmp1__global__ref0_26)) (* (- 2) tmp1__global__ref0_27)) 2) 4))) ; (tmp14__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_20) + (11 * tmp1__global__ref0_21)) + ((- 39) * tmp1__global__ref0_22)) + ((- 1) * tmp1__global__ref0_23)) + (41 * tmp1__global__ref0_24)) + ((- 14) * tmp1__global__ref0_25)) + (8 * tmp1__global__ref0_26)) + ((- 2) * tmp1__global__ref0_27)) + 2) div 4))
(assert (= tmp4__global__buf_13 tmp14__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_13 = tmp14__func_com_grad_x_l_nn__val)
(assert (= tmp15__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_21) (* 11 tmp1__global__ref0_22)) (* (- 39) tmp1__global__ref0_23)) (* (- 1) tmp1__global__ref0_24)) (* 41 tmp1__global__ref0_25)) (* (- 14) tmp1__global__ref0_26)) (* 8 tmp1__global__ref0_27)) (* (- 2) tmp1__global__ref0_28)) 2) 4))) ; (tmp15__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_21) + (11 * tmp1__global__ref0_22)) + ((- 39) * tmp1__global__ref0_23)) + ((- 1) * tmp1__global__ref0_24)) + (41 * tmp1__global__ref0_25)) + ((- 14) * tmp1__global__ref0_26)) + (8 * tmp1__global__ref0_27)) + ((- 2) * tmp1__global__ref0_28)) + 2) div 4))
(assert (= tmp4__global__buf_14 tmp15__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_14 = tmp15__func_com_grad_x_l_nn__val)
(assert (= tmp16__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_22) (* 11 tmp1__global__ref0_23)) (* (- 39) tmp1__global__ref0_24)) (* (- 1) tmp1__global__ref0_25)) (* 41 tmp1__global__ref0_26)) (* (- 14) tmp1__global__ref0_27)) (* 8 tmp1__global__ref0_28)) (* (- 2) tmp1__global__ref0_29)) 2) 4))) ; (tmp16__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_22) + (11 * tmp1__global__ref0_23)) + ((- 39) * tmp1__global__ref0_24)) + ((- 1) * tmp1__global__ref0_25)) + (41 * tmp1__global__ref0_26)) + ((- 14) * tmp1__global__ref0_27)) + (8 * tmp1__global__ref0_28)) + ((- 2) * tmp1__global__ref0_29)) + 2) div 4))
(assert (= tmp4__global__buf_15 tmp16__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_15 = tmp16__func_com_grad_x_l_nn__val)
(assert (= tmp17__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_30) (* 11 tmp1__global__ref0_31)) (* (- 39) tmp1__global__ref0_32)) (* (- 1) tmp1__global__ref0_33)) (* 41 tmp1__global__ref0_34)) (* (- 14) tmp1__global__ref0_35)) (* 8 tmp1__global__ref0_36)) (* (- 2) tmp1__global__ref0_37)) 2) 4))) ; (tmp17__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_30) + (11 * tmp1__global__ref0_31)) + ((- 39) * tmp1__global__ref0_32)) + ((- 1) * tmp1__global__ref0_33)) + (41 * tmp1__global__ref0_34)) + ((- 14) * tmp1__global__ref0_35)) + (8 * tmp1__global__ref0_36)) + ((- 2) * tmp1__global__ref0_37)) + 2) div 4))
(assert (= tmp4__global__buf_16 tmp17__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_16 = tmp17__func_com_grad_x_l_nn__val)
(assert (= tmp18__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_31) (* 11 tmp1__global__ref0_32)) (* (- 39) tmp1__global__ref0_33)) (* (- 1) tmp1__global__ref0_34)) (* 41 tmp1__global__ref0_35)) (* (- 14) tmp1__global__ref0_36)) (* 8 tmp1__global__ref0_37)) (* (- 2) tmp1__global__ref0_38)) 2) 4))) ; (tmp18__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_31) + (11 * tmp1__global__ref0_32)) + ((- 39) * tmp1__global__ref0_33)) + ((- 1) * tmp1__global__ref0_34)) + (41 * tmp1__global__ref0_35)) + ((- 14) * tmp1__global__ref0_36)) + (8 * tmp1__global__ref0_37)) + ((- 2) * tmp1__global__ref0_38)) + 2) div 4))
(assert (= tmp4__global__buf_17 tmp18__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_17 = tmp18__func_com_grad_x_l_nn__val)
(assert (= tmp19__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_32) (* 11 tmp1__global__ref0_33)) (* (- 39) tmp1__global__ref0_34)) (* (- 1) tmp1__global__ref0_35)) (* 41 tmp1__global__ref0_36)) (* (- 14) tmp1__global__ref0_37)) (* 8 tmp1__global__ref0_38)) (* (- 2) tmp1__global__ref0_39)) 2) 4))) ; (tmp19__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_32) + (11 * tmp1__global__ref0_33)) + ((- 39) * tmp1__global__ref0_34)) + ((- 1) * tmp1__global__ref0_35)) + (41 * tmp1__global__ref0_36)) + ((- 14) * tmp1__global__ref0_37)) + (8 * tmp1__global__ref0_38)) + ((- 2) * tmp1__global__ref0_39)) + 2) div 4))
(assert (= tmp4__global__buf_18 tmp19__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_18 = tmp19__func_com_grad_x_l_nn__val)
(assert (= tmp20__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_33) (* 11 tmp1__global__ref0_34)) (* (- 39) tmp1__global__ref0_35)) (* (- 1) tmp1__global__ref0_36)) (* 41 tmp1__global__ref0_37)) (* (- 14) tmp1__global__ref0_38)) (* 8 tmp1__global__ref0_39)) (* (- 2) tmp1__global__ref0_40)) 2) 4))) ; (tmp20__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_33) + (11 * tmp1__global__ref0_34)) + ((- 39) * tmp1__global__ref0_35)) + ((- 1) * tmp1__global__ref0_36)) + (41 * tmp1__global__ref0_37)) + ((- 14) * tmp1__global__ref0_38)) + (8 * tmp1__global__ref0_39)) + ((- 2) * tmp1__global__ref0_40)) + 2) div 4))
(assert (= tmp4__global__buf_19 tmp20__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_19 = tmp20__func_com_grad_x_l_nn__val)
(assert (= tmp21__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_34) (* 11 tmp1__global__ref0_35)) (* (- 39) tmp1__global__ref0_36)) (* (- 1) tmp1__global__ref0_37)) (* 41 tmp1__global__ref0_38)) (* (- 14) tmp1__global__ref0_39)) (* 8 tmp1__global__ref0_40)) (* (- 2) tmp1__global__ref0_41)) 2) 4))) ; (tmp21__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_34) + (11 * tmp1__global__ref0_35)) + ((- 39) * tmp1__global__ref0_36)) + ((- 1) * tmp1__global__ref0_37)) + (41 * tmp1__global__ref0_38)) + ((- 14) * tmp1__global__ref0_39)) + (8 * tmp1__global__ref0_40)) + ((- 2) * tmp1__global__ref0_41)) + 2) div 4))
(assert (= tmp4__global__buf_20 tmp21__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_20 = tmp21__func_com_grad_x_l_nn__val)
(assert (= tmp22__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_35) (* 11 tmp1__global__ref0_36)) (* (- 39) tmp1__global__ref0_37)) (* (- 1) tmp1__global__ref0_38)) (* 41 tmp1__global__ref0_39)) (* (- 14) tmp1__global__ref0_40)) (* 8 tmp1__global__ref0_41)) (* (- 2) tmp1__global__ref0_42)) 2) 4))) ; (tmp22__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_35) + (11 * tmp1__global__ref0_36)) + ((- 39) * tmp1__global__ref0_37)) + ((- 1) * tmp1__global__ref0_38)) + (41 * tmp1__global__ref0_39)) + ((- 14) * tmp1__global__ref0_40)) + (8 * tmp1__global__ref0_41)) + ((- 2) * tmp1__global__ref0_42)) + 2) div 4))
(assert (= tmp4__global__buf_21 tmp22__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_21 = tmp22__func_com_grad_x_l_nn__val)
(assert (= tmp23__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_36) (* 11 tmp1__global__ref0_37)) (* (- 39) tmp1__global__ref0_38)) (* (- 1) tmp1__global__ref0_39)) (* 41 tmp1__global__ref0_40)) (* (- 14) tmp1__global__ref0_41)) (* 8 tmp1__global__ref0_42)) (* (- 2) tmp1__global__ref0_43)) 2) 4))) ; (tmp23__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_36) + (11 * tmp1__global__ref0_37)) + ((- 39) * tmp1__global__ref0_38)) + ((- 1) * tmp1__global__ref0_39)) + (41 * tmp1__global__ref0_40)) + ((- 14) * tmp1__global__ref0_41)) + (8 * tmp1__global__ref0_42)) + ((- 2) * tmp1__global__ref0_43)) + 2) div 4))
(assert (= tmp4__global__buf_22 tmp23__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_22 = tmp23__func_com_grad_x_l_nn__val)
(assert (= tmp24__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_37) (* 11 tmp1__global__ref0_38)) (* (- 39) tmp1__global__ref0_39)) (* (- 1) tmp1__global__ref0_40)) (* 41 tmp1__global__ref0_41)) (* (- 14) tmp1__global__ref0_42)) (* 8 tmp1__global__ref0_43)) (* (- 2) tmp1__global__ref0_44)) 2) 4))) ; (tmp24__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_37) + (11 * tmp1__global__ref0_38)) + ((- 39) * tmp1__global__ref0_39)) + ((- 1) * tmp1__global__ref0_40)) + (41 * tmp1__global__ref0_41)) + ((- 14) * tmp1__global__ref0_42)) + (8 * tmp1__global__ref0_43)) + ((- 2) * tmp1__global__ref0_44)) + 2) div 4))
(assert (= tmp4__global__buf_23 tmp24__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_23 = tmp24__func_com_grad_x_l_nn__val)
(assert (= tmp25__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_45) (* 11 tmp1__global__ref0_46)) (* (- 39) tmp1__global__ref0_47)) (* (- 1) tmp1__global__ref0_48)) (* 41 tmp1__global__ref0_49)) (* (- 14) tmp1__global__ref0_50)) (* 8 tmp1__global__ref0_51)) (* (- 2) tmp1__global__ref0_52)) 2) 4))) ; (tmp25__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_45) + (11 * tmp1__global__ref0_46)) + ((- 39) * tmp1__global__ref0_47)) + ((- 1) * tmp1__global__ref0_48)) + (41 * tmp1__global__ref0_49)) + ((- 14) * tmp1__global__ref0_50)) + (8 * tmp1__global__ref0_51)) + ((- 2) * tmp1__global__ref0_52)) + 2) div 4))
(assert (= tmp4__global__buf_24 tmp25__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_24 = tmp25__func_com_grad_x_l_nn__val)
(assert (= tmp26__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_46) (* 11 tmp1__global__ref0_47)) (* (- 39) tmp1__global__ref0_48)) (* (- 1) tmp1__global__ref0_49)) (* 41 tmp1__global__ref0_50)) (* (- 14) tmp1__global__ref0_51)) (* 8 tmp1__global__ref0_52)) (* (- 2) tmp1__global__ref0_53)) 2) 4))) ; (tmp26__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_46) + (11 * tmp1__global__ref0_47)) + ((- 39) * tmp1__global__ref0_48)) + ((- 1) * tmp1__global__ref0_49)) + (41 * tmp1__global__ref0_50)) + ((- 14) * tmp1__global__ref0_51)) + (8 * tmp1__global__ref0_52)) + ((- 2) * tmp1__global__ref0_53)) + 2) div 4))
(assert (= tmp4__global__buf_25 tmp26__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_25 = tmp26__func_com_grad_x_l_nn__val)
(assert (= tmp27__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_47) (* 11 tmp1__global__ref0_48)) (* (- 39) tmp1__global__ref0_49)) (* (- 1) tmp1__global__ref0_50)) (* 41 tmp1__global__ref0_51)) (* (- 14) tmp1__global__ref0_52)) (* 8 tmp1__global__ref0_53)) (* (- 2) tmp1__global__ref0_54)) 2) 4))) ; (tmp27__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_47) + (11 * tmp1__global__ref0_48)) + ((- 39) * tmp1__global__ref0_49)) + ((- 1) * tmp1__global__ref0_50)) + (41 * tmp1__global__ref0_51)) + ((- 14) * tmp1__global__ref0_52)) + (8 * tmp1__global__ref0_53)) + ((- 2) * tmp1__global__ref0_54)) + 2) div 4))
(assert (= tmp4__global__buf_26 tmp27__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_26 = tmp27__func_com_grad_x_l_nn__val)
(assert (= tmp28__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_48) (* 11 tmp1__global__ref0_49)) (* (- 39) tmp1__global__ref0_50)) (* (- 1) tmp1__global__ref0_51)) (* 41 tmp1__global__ref0_52)) (* (- 14) tmp1__global__ref0_53)) (* 8 tmp1__global__ref0_54)) (* (- 2) tmp1__global__ref0_55)) 2) 4))) ; (tmp28__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_48) + (11 * tmp1__global__ref0_49)) + ((- 39) * tmp1__global__ref0_50)) + ((- 1) * tmp1__global__ref0_51)) + (41 * tmp1__global__ref0_52)) + ((- 14) * tmp1__global__ref0_53)) + (8 * tmp1__global__ref0_54)) + ((- 2) * tmp1__global__ref0_55)) + 2) div 4))
(assert (= tmp4__global__buf_27 tmp28__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_27 = tmp28__func_com_grad_x_l_nn__val)
(assert (= tmp29__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_49) (* 11 tmp1__global__ref0_50)) (* (- 39) tmp1__global__ref0_51)) (* (- 1) tmp1__global__ref0_52)) (* 41 tmp1__global__ref0_53)) (* (- 14) tmp1__global__ref0_54)) (* 8 tmp1__global__ref0_55)) (* (- 2) tmp1__global__ref0_56)) 2) 4))) ; (tmp29__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_49) + (11 * tmp1__global__ref0_50)) + ((- 39) * tmp1__global__ref0_51)) + ((- 1) * tmp1__global__ref0_52)) + (41 * tmp1__global__ref0_53)) + ((- 14) * tmp1__global__ref0_54)) + (8 * tmp1__global__ref0_55)) + ((- 2) * tmp1__global__ref0_56)) + 2) div 4))
(assert (= tmp4__global__buf_28 tmp29__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_28 = tmp29__func_com_grad_x_l_nn__val)
(assert (= tmp30__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_50) (* 11 tmp1__global__ref0_51)) (* (- 39) tmp1__global__ref0_52)) (* (- 1) tmp1__global__ref0_53)) (* 41 tmp1__global__ref0_54)) (* (- 14) tmp1__global__ref0_55)) (* 8 tmp1__global__ref0_56)) (* (- 2) tmp1__global__ref0_57)) 2) 4))) ; (tmp30__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_50) + (11 * tmp1__global__ref0_51)) + ((- 39) * tmp1__global__ref0_52)) + ((- 1) * tmp1__global__ref0_53)) + (41 * tmp1__global__ref0_54)) + ((- 14) * tmp1__global__ref0_55)) + (8 * tmp1__global__ref0_56)) + ((- 2) * tmp1__global__ref0_57)) + 2) div 4))
(assert (= tmp4__global__buf_29 tmp30__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_29 = tmp30__func_com_grad_x_l_nn__val)
(assert (= tmp31__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_51) (* 11 tmp1__global__ref0_52)) (* (- 39) tmp1__global__ref0_53)) (* (- 1) tmp1__global__ref0_54)) (* 41 tmp1__global__ref0_55)) (* (- 14) tmp1__global__ref0_56)) (* 8 tmp1__global__ref0_57)) (* (- 2) tmp1__global__ref0_58)) 2) 4))) ; (tmp31__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_51) + (11 * tmp1__global__ref0_52)) + ((- 39) * tmp1__global__ref0_53)) + ((- 1) * tmp1__global__ref0_54)) + (41 * tmp1__global__ref0_55)) + ((- 14) * tmp1__global__ref0_56)) + (8 * tmp1__global__ref0_57)) + ((- 2) * tmp1__global__ref0_58)) + 2) div 4))
(assert (= tmp4__global__buf_30 tmp31__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_30 = tmp31__func_com_grad_x_l_nn__val)
(assert (= tmp32__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_52) (* 11 tmp1__global__ref0_53)) (* (- 39) tmp1__global__ref0_54)) (* (- 1) tmp1__global__ref0_55)) (* 41 tmp1__global__ref0_56)) (* (- 14) tmp1__global__ref0_57)) (* 8 tmp1__global__ref0_58)) (* (- 2) tmp1__global__ref0_59)) 2) 4))) ; (tmp32__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_52) + (11 * tmp1__global__ref0_53)) + ((- 39) * tmp1__global__ref0_54)) + ((- 1) * tmp1__global__ref0_55)) + (41 * tmp1__global__ref0_56)) + ((- 14) * tmp1__global__ref0_57)) + (8 * tmp1__global__ref0_58)) + ((- 2) * tmp1__global__ref0_59)) + 2) div 4))
(assert (= tmp4__global__buf_31 tmp32__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_31 = tmp32__func_com_grad_x_l_nn__val)
(assert (= tmp33__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_60) (* 11 tmp1__global__ref0_61)) (* (- 39) tmp1__global__ref0_62)) (* (- 1) tmp1__global__ref0_63)) (* 41 tmp1__global__ref0_64)) (* (- 14) tmp1__global__ref0_65)) (* 8 tmp1__global__ref0_66)) (* (- 2) tmp1__global__ref0_67)) 2) 4))) ; (tmp33__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_60) + (11 * tmp1__global__ref0_61)) + ((- 39) * tmp1__global__ref0_62)) + ((- 1) * tmp1__global__ref0_63)) + (41 * tmp1__global__ref0_64)) + ((- 14) * tmp1__global__ref0_65)) + (8 * tmp1__global__ref0_66)) + ((- 2) * tmp1__global__ref0_67)) + 2) div 4))
(assert (= tmp4__global__buf_32 tmp33__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_32 = tmp33__func_com_grad_x_l_nn__val)
(assert (= tmp34__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_61) (* 11 tmp1__global__ref0_62)) (* (- 39) tmp1__global__ref0_63)) (* (- 1) tmp1__global__ref0_64)) (* 41 tmp1__global__ref0_65)) (* (- 14) tmp1__global__ref0_66)) (* 8 tmp1__global__ref0_67)) (* (- 2) tmp1__global__ref0_68)) 2) 4))) ; (tmp34__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_61) + (11 * tmp1__global__ref0_62)) + ((- 39) * tmp1__global__ref0_63)) + ((- 1) * tmp1__global__ref0_64)) + (41 * tmp1__global__ref0_65)) + ((- 14) * tmp1__global__ref0_66)) + (8 * tmp1__global__ref0_67)) + ((- 2) * tmp1__global__ref0_68)) + 2) div 4))
(assert (= tmp4__global__buf_33 tmp34__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_33 = tmp34__func_com_grad_x_l_nn__val)
(assert (= tmp35__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_62) (* 11 tmp1__global__ref0_63)) (* (- 39) tmp1__global__ref0_64)) (* (- 1) tmp1__global__ref0_65)) (* 41 tmp1__global__ref0_66)) (* (- 14) tmp1__global__ref0_67)) (* 8 tmp1__global__ref0_68)) (* (- 2) tmp1__global__ref0_69)) 2) 4))) ; (tmp35__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_62) + (11 * tmp1__global__ref0_63)) + ((- 39) * tmp1__global__ref0_64)) + ((- 1) * tmp1__global__ref0_65)) + (41 * tmp1__global__ref0_66)) + ((- 14) * tmp1__global__ref0_67)) + (8 * tmp1__global__ref0_68)) + ((- 2) * tmp1__global__ref0_69)) + 2) div 4))
(assert (= tmp4__global__buf_34 tmp35__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_34 = tmp35__func_com_grad_x_l_nn__val)
(assert (= tmp36__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_63) (* 11 tmp1__global__ref0_64)) (* (- 39) tmp1__global__ref0_65)) (* (- 1) tmp1__global__ref0_66)) (* 41 tmp1__global__ref0_67)) (* (- 14) tmp1__global__ref0_68)) (* 8 tmp1__global__ref0_69)) (* (- 2) tmp1__global__ref0_70)) 2) 4))) ; (tmp36__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_63) + (11 * tmp1__global__ref0_64)) + ((- 39) * tmp1__global__ref0_65)) + ((- 1) * tmp1__global__ref0_66)) + (41 * tmp1__global__ref0_67)) + ((- 14) * tmp1__global__ref0_68)) + (8 * tmp1__global__ref0_69)) + ((- 2) * tmp1__global__ref0_70)) + 2) div 4))
(assert (= tmp4__global__buf_35 tmp36__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_35 = tmp36__func_com_grad_x_l_nn__val)
(assert (= tmp37__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_64) (* 11 tmp1__global__ref0_65)) (* (- 39) tmp1__global__ref0_66)) (* (- 1) tmp1__global__ref0_67)) (* 41 tmp1__global__ref0_68)) (* (- 14) tmp1__global__ref0_69)) (* 8 tmp1__global__ref0_70)) (* (- 2) tmp1__global__ref0_71)) 2) 4))) ; (tmp37__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_64) + (11 * tmp1__global__ref0_65)) + ((- 39) * tmp1__global__ref0_66)) + ((- 1) * tmp1__global__ref0_67)) + (41 * tmp1__global__ref0_68)) + ((- 14) * tmp1__global__ref0_69)) + (8 * tmp1__global__ref0_70)) + ((- 2) * tmp1__global__ref0_71)) + 2) div 4))
(assert (= tmp4__global__buf_36 tmp37__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_36 = tmp37__func_com_grad_x_l_nn__val)
(assert (= tmp38__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_65) (* 11 tmp1__global__ref0_66)) (* (- 39) tmp1__global__ref0_67)) (* (- 1) tmp1__global__ref0_68)) (* 41 tmp1__global__ref0_69)) (* (- 14) tmp1__global__ref0_70)) (* 8 tmp1__global__ref0_71)) (* (- 2) tmp1__global__ref0_72)) 2) 4))) ; (tmp38__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_65) + (11 * tmp1__global__ref0_66)) + ((- 39) * tmp1__global__ref0_67)) + ((- 1) * tmp1__global__ref0_68)) + (41 * tmp1__global__ref0_69)) + ((- 14) * tmp1__global__ref0_70)) + (8 * tmp1__global__ref0_71)) + ((- 2) * tmp1__global__ref0_72)) + 2) div 4))
(assert (= tmp4__global__buf_37 tmp38__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_37 = tmp38__func_com_grad_x_l_nn__val)
(assert (= tmp39__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_66) (* 11 tmp1__global__ref0_67)) (* (- 39) tmp1__global__ref0_68)) (* (- 1) tmp1__global__ref0_69)) (* 41 tmp1__global__ref0_70)) (* (- 14) tmp1__global__ref0_71)) (* 8 tmp1__global__ref0_72)) (* (- 2) tmp1__global__ref0_73)) 2) 4))) ; (tmp39__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_66) + (11 * tmp1__global__ref0_67)) + ((- 39) * tmp1__global__ref0_68)) + ((- 1) * tmp1__global__ref0_69)) + (41 * tmp1__global__ref0_70)) + ((- 14) * tmp1__global__ref0_71)) + (8 * tmp1__global__ref0_72)) + ((- 2) * tmp1__global__ref0_73)) + 2) div 4))
(assert (= tmp4__global__buf_38 tmp39__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_38 = tmp39__func_com_grad_x_l_nn__val)
(assert (= tmp40__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_67) (* 11 tmp1__global__ref0_68)) (* (- 39) tmp1__global__ref0_69)) (* (- 1) tmp1__global__ref0_70)) (* 41 tmp1__global__ref0_71)) (* (- 14) tmp1__global__ref0_72)) (* 8 tmp1__global__ref0_73)) (* (- 2) tmp1__global__ref0_74)) 2) 4))) ; (tmp40__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_67) + (11 * tmp1__global__ref0_68)) + ((- 39) * tmp1__global__ref0_69)) + ((- 1) * tmp1__global__ref0_70)) + (41 * tmp1__global__ref0_71)) + ((- 14) * tmp1__global__ref0_72)) + (8 * tmp1__global__ref0_73)) + ((- 2) * tmp1__global__ref0_74)) + 2) div 4))
(assert (= tmp4__global__buf_39 tmp40__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_39 = tmp40__func_com_grad_x_l_nn__val)
(assert (= tmp41__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_75) (* 11 tmp1__global__ref0_76)) (* (- 39) tmp1__global__ref0_77)) (* (- 1) tmp1__global__ref0_78)) (* 41 tmp1__global__ref0_79)) (* (- 14) tmp1__global__ref0_80)) (* 8 tmp1__global__ref0_81)) (* (- 2) tmp1__global__ref0_82)) 2) 4))) ; (tmp41__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_75) + (11 * tmp1__global__ref0_76)) + ((- 39) * tmp1__global__ref0_77)) + ((- 1) * tmp1__global__ref0_78)) + (41 * tmp1__global__ref0_79)) + ((- 14) * tmp1__global__ref0_80)) + (8 * tmp1__global__ref0_81)) + ((- 2) * tmp1__global__ref0_82)) + 2) div 4))
(assert (= tmp4__global__buf_40 tmp41__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_40 = tmp41__func_com_grad_x_l_nn__val)
(assert (= tmp42__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_76) (* 11 tmp1__global__ref0_77)) (* (- 39) tmp1__global__ref0_78)) (* (- 1) tmp1__global__ref0_79)) (* 41 tmp1__global__ref0_80)) (* (- 14) tmp1__global__ref0_81)) (* 8 tmp1__global__ref0_82)) (* (- 2) tmp1__global__ref0_83)) 2) 4))) ; (tmp42__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_76) + (11 * tmp1__global__ref0_77)) + ((- 39) * tmp1__global__ref0_78)) + ((- 1) * tmp1__global__ref0_79)) + (41 * tmp1__global__ref0_80)) + ((- 14) * tmp1__global__ref0_81)) + (8 * tmp1__global__ref0_82)) + ((- 2) * tmp1__global__ref0_83)) + 2) div 4))
(assert (= tmp4__global__buf_41 tmp42__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_41 = tmp42__func_com_grad_x_l_nn__val)
(assert (= tmp43__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_77) (* 11 tmp1__global__ref0_78)) (* (- 39) tmp1__global__ref0_79)) (* (- 1) tmp1__global__ref0_80)) (* 41 tmp1__global__ref0_81)) (* (- 14) tmp1__global__ref0_82)) (* 8 tmp1__global__ref0_83)) (* (- 2) tmp1__global__ref0_84)) 2) 4))) ; (tmp43__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_77) + (11 * tmp1__global__ref0_78)) + ((- 39) * tmp1__global__ref0_79)) + ((- 1) * tmp1__global__ref0_80)) + (41 * tmp1__global__ref0_81)) + ((- 14) * tmp1__global__ref0_82)) + (8 * tmp1__global__ref0_83)) + ((- 2) * tmp1__global__ref0_84)) + 2) div 4))
(assert (= tmp4__global__buf_42 tmp43__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_42 = tmp43__func_com_grad_x_l_nn__val)
(assert (= tmp44__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_78) (* 11 tmp1__global__ref0_79)) (* (- 39) tmp1__global__ref0_80)) (* (- 1) tmp1__global__ref0_81)) (* 41 tmp1__global__ref0_82)) (* (- 14) tmp1__global__ref0_83)) (* 8 tmp1__global__ref0_84)) (* (- 2) tmp1__global__ref0_85)) 2) 4))) ; (tmp44__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_78) + (11 * tmp1__global__ref0_79)) + ((- 39) * tmp1__global__ref0_80)) + ((- 1) * tmp1__global__ref0_81)) + (41 * tmp1__global__ref0_82)) + ((- 14) * tmp1__global__ref0_83)) + (8 * tmp1__global__ref0_84)) + ((- 2) * tmp1__global__ref0_85)) + 2) div 4))
(assert (= tmp4__global__buf_43 tmp44__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_43 = tmp44__func_com_grad_x_l_nn__val)
(assert (= tmp45__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_79) (* 11 tmp1__global__ref0_80)) (* (- 39) tmp1__global__ref0_81)) (* (- 1) tmp1__global__ref0_82)) (* 41 tmp1__global__ref0_83)) (* (- 14) tmp1__global__ref0_84)) (* 8 tmp1__global__ref0_85)) (* (- 2) tmp1__global__ref0_86)) 2) 4))) ; (tmp45__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_79) + (11 * tmp1__global__ref0_80)) + ((- 39) * tmp1__global__ref0_81)) + ((- 1) * tmp1__global__ref0_82)) + (41 * tmp1__global__ref0_83)) + ((- 14) * tmp1__global__ref0_84)) + (8 * tmp1__global__ref0_85)) + ((- 2) * tmp1__global__ref0_86)) + 2) div 4))
(assert (= tmp4__global__buf_44 tmp45__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_44 = tmp45__func_com_grad_x_l_nn__val)
(assert (= tmp46__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_80) (* 11 tmp1__global__ref0_81)) (* (- 39) tmp1__global__ref0_82)) (* (- 1) tmp1__global__ref0_83)) (* 41 tmp1__global__ref0_84)) (* (- 14) tmp1__global__ref0_85)) (* 8 tmp1__global__ref0_86)) (* (- 2) tmp1__global__ref0_87)) 2) 4))) ; (tmp46__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_80) + (11 * tmp1__global__ref0_81)) + ((- 39) * tmp1__global__ref0_82)) + ((- 1) * tmp1__global__ref0_83)) + (41 * tmp1__global__ref0_84)) + ((- 14) * tmp1__global__ref0_85)) + (8 * tmp1__global__ref0_86)) + ((- 2) * tmp1__global__ref0_87)) + 2) div 4))
(assert (= tmp4__global__buf_45 tmp46__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_45 = tmp46__func_com_grad_x_l_nn__val)
(assert (= tmp47__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_81) (* 11 tmp1__global__ref0_82)) (* (- 39) tmp1__global__ref0_83)) (* (- 1) tmp1__global__ref0_84)) (* 41 tmp1__global__ref0_85)) (* (- 14) tmp1__global__ref0_86)) (* 8 tmp1__global__ref0_87)) (* (- 2) tmp1__global__ref0_88)) 2) 4))) ; (tmp47__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_81) + (11 * tmp1__global__ref0_82)) + ((- 39) * tmp1__global__ref0_83)) + ((- 1) * tmp1__global__ref0_84)) + (41 * tmp1__global__ref0_85)) + ((- 14) * tmp1__global__ref0_86)) + (8 * tmp1__global__ref0_87)) + ((- 2) * tmp1__global__ref0_88)) + 2) div 4))
(assert (= tmp4__global__buf_46 tmp47__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_46 = tmp47__func_com_grad_x_l_nn__val)
(assert (= tmp48__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_82) (* 11 tmp1__global__ref0_83)) (* (- 39) tmp1__global__ref0_84)) (* (- 1) tmp1__global__ref0_85)) (* 41 tmp1__global__ref0_86)) (* (- 14) tmp1__global__ref0_87)) (* 8 tmp1__global__ref0_88)) (* (- 2) tmp1__global__ref0_89)) 2) 4))) ; (tmp48__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_82) + (11 * tmp1__global__ref0_83)) + ((- 39) * tmp1__global__ref0_84)) + ((- 1) * tmp1__global__ref0_85)) + (41 * tmp1__global__ref0_86)) + ((- 14) * tmp1__global__ref0_87)) + (8 * tmp1__global__ref0_88)) + ((- 2) * tmp1__global__ref0_89)) + 2) div 4))
(assert (= tmp4__global__buf_47 tmp48__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_47 = tmp48__func_com_grad_x_l_nn__val)
(assert (= tmp49__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_90) (* 11 tmp1__global__ref0_91)) (* (- 39) tmp1__global__ref0_92)) (* (- 1) tmp1__global__ref0_93)) (* 41 tmp1__global__ref0_94)) (* (- 14) tmp1__global__ref0_95)) (* 8 tmp1__global__ref0_96)) (* (- 2) tmp1__global__ref0_97)) 2) 4))) ; (tmp49__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_90) + (11 * tmp1__global__ref0_91)) + ((- 39) * tmp1__global__ref0_92)) + ((- 1) * tmp1__global__ref0_93)) + (41 * tmp1__global__ref0_94)) + ((- 14) * tmp1__global__ref0_95)) + (8 * tmp1__global__ref0_96)) + ((- 2) * tmp1__global__ref0_97)) + 2) div 4))
(assert (= tmp4__global__buf_48 tmp49__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_48 = tmp49__func_com_grad_x_l_nn__val)
(assert (= tmp50__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_91) (* 11 tmp1__global__ref0_92)) (* (- 39) tmp1__global__ref0_93)) (* (- 1) tmp1__global__ref0_94)) (* 41 tmp1__global__ref0_95)) (* (- 14) tmp1__global__ref0_96)) (* 8 tmp1__global__ref0_97)) (* (- 2) tmp1__global__ref0_98)) 2) 4))) ; (tmp50__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_91) + (11 * tmp1__global__ref0_92)) + ((- 39) * tmp1__global__ref0_93)) + ((- 1) * tmp1__global__ref0_94)) + (41 * tmp1__global__ref0_95)) + ((- 14) * tmp1__global__ref0_96)) + (8 * tmp1__global__ref0_97)) + ((- 2) * tmp1__global__ref0_98)) + 2) div 4))
(assert (= tmp4__global__buf_49 tmp50__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_49 = tmp50__func_com_grad_x_l_nn__val)
(assert (= tmp51__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_92) (* 11 tmp1__global__ref0_93)) (* (- 39) tmp1__global__ref0_94)) (* (- 1) tmp1__global__ref0_95)) (* 41 tmp1__global__ref0_96)) (* (- 14) tmp1__global__ref0_97)) (* 8 tmp1__global__ref0_98)) (* (- 2) tmp1__global__ref0_99)) 2) 4))) ; (tmp51__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_92) + (11 * tmp1__global__ref0_93)) + ((- 39) * tmp1__global__ref0_94)) + ((- 1) * tmp1__global__ref0_95)) + (41 * tmp1__global__ref0_96)) + ((- 14) * tmp1__global__ref0_97)) + (8 * tmp1__global__ref0_98)) + ((- 2) * tmp1__global__ref0_99)) + 2) div 4))
(assert (= tmp4__global__buf_50 tmp51__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_50 = tmp51__func_com_grad_x_l_nn__val)
(assert (= tmp52__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_93) (* 11 tmp1__global__ref0_94)) (* (- 39) tmp1__global__ref0_95)) (* (- 1) tmp1__global__ref0_96)) (* 41 tmp1__global__ref0_97)) (* (- 14) tmp1__global__ref0_98)) (* 8 tmp1__global__ref0_99)) (* (- 2) tmp1__global__ref0_100)) 2) 4))) ; (tmp52__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_93) + (11 * tmp1__global__ref0_94)) + ((- 39) * tmp1__global__ref0_95)) + ((- 1) * tmp1__global__ref0_96)) + (41 * tmp1__global__ref0_97)) + ((- 14) * tmp1__global__ref0_98)) + (8 * tmp1__global__ref0_99)) + ((- 2) * tmp1__global__ref0_100)) + 2) div 4))
(assert (= tmp4__global__buf_51 tmp52__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_51 = tmp52__func_com_grad_x_l_nn__val)
(assert (= tmp53__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_94) (* 11 tmp1__global__ref0_95)) (* (- 39) tmp1__global__ref0_96)) (* (- 1) tmp1__global__ref0_97)) (* 41 tmp1__global__ref0_98)) (* (- 14) tmp1__global__ref0_99)) (* 8 tmp1__global__ref0_100)) (* (- 2) tmp1__global__ref0_101)) 2) 4))) ; (tmp53__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_94) + (11 * tmp1__global__ref0_95)) + ((- 39) * tmp1__global__ref0_96)) + ((- 1) * tmp1__global__ref0_97)) + (41 * tmp1__global__ref0_98)) + ((- 14) * tmp1__global__ref0_99)) + (8 * tmp1__global__ref0_100)) + ((- 2) * tmp1__global__ref0_101)) + 2) div 4))
(assert (= tmp4__global__buf_52 tmp53__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_52 = tmp53__func_com_grad_x_l_nn__val)
(assert (= tmp54__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_95) (* 11 tmp1__global__ref0_96)) (* (- 39) tmp1__global__ref0_97)) (* (- 1) tmp1__global__ref0_98)) (* 41 tmp1__global__ref0_99)) (* (- 14) tmp1__global__ref0_100)) (* 8 tmp1__global__ref0_101)) (* (- 2) tmp1__global__ref0_102)) 2) 4))) ; (tmp54__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_95) + (11 * tmp1__global__ref0_96)) + ((- 39) * tmp1__global__ref0_97)) + ((- 1) * tmp1__global__ref0_98)) + (41 * tmp1__global__ref0_99)) + ((- 14) * tmp1__global__ref0_100)) + (8 * tmp1__global__ref0_101)) + ((- 2) * tmp1__global__ref0_102)) + 2) div 4))
(assert (= tmp4__global__buf_53 tmp54__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_53 = tmp54__func_com_grad_x_l_nn__val)
(assert (= tmp55__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_96) (* 11 tmp1__global__ref0_97)) (* (- 39) tmp1__global__ref0_98)) (* (- 1) tmp1__global__ref0_99)) (* 41 tmp1__global__ref0_100)) (* (- 14) tmp1__global__ref0_101)) (* 8 tmp1__global__ref0_102)) (* (- 2) tmp1__global__ref0_103)) 2) 4))) ; (tmp55__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_96) + (11 * tmp1__global__ref0_97)) + ((- 39) * tmp1__global__ref0_98)) + ((- 1) * tmp1__global__ref0_99)) + (41 * tmp1__global__ref0_100)) + ((- 14) * tmp1__global__ref0_101)) + (8 * tmp1__global__ref0_102)) + ((- 2) * tmp1__global__ref0_103)) + 2) div 4))
(assert (= tmp4__global__buf_54 tmp55__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_54 = tmp55__func_com_grad_x_l_nn__val)
(assert (= tmp56__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_97) (* 11 tmp1__global__ref0_98)) (* (- 39) tmp1__global__ref0_99)) (* (- 1) tmp1__global__ref0_100)) (* 41 tmp1__global__ref0_101)) (* (- 14) tmp1__global__ref0_102)) (* 8 tmp1__global__ref0_103)) (* (- 2) tmp1__global__ref0_104)) 2) 4))) ; (tmp56__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_97) + (11 * tmp1__global__ref0_98)) + ((- 39) * tmp1__global__ref0_99)) + ((- 1) * tmp1__global__ref0_100)) + (41 * tmp1__global__ref0_101)) + ((- 14) * tmp1__global__ref0_102)) + (8 * tmp1__global__ref0_103)) + ((- 2) * tmp1__global__ref0_104)) + 2) div 4))
(assert (= tmp4__global__buf_55 tmp56__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_55 = tmp56__func_com_grad_x_l_nn__val)
(assert (= tmp57__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_105) (* 11 tmp1__global__ref0_106)) (* (- 39) tmp1__global__ref0_107)) (* (- 1) tmp1__global__ref0_108)) (* 41 tmp1__global__ref0_109)) (* (- 14) tmp1__global__ref0_110)) (* 8 tmp1__global__ref0_111)) (* (- 2) tmp1__global__ref0_112)) 2) 4))) ; (tmp57__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_105) + (11 * tmp1__global__ref0_106)) + ((- 39) * tmp1__global__ref0_107)) + ((- 1) * tmp1__global__ref0_108)) + (41 * tmp1__global__ref0_109)) + ((- 14) * tmp1__global__ref0_110)) + (8 * tmp1__global__ref0_111)) + ((- 2) * tmp1__global__ref0_112)) + 2) div 4))
(assert (= tmp4__global__buf_56 tmp57__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_56 = tmp57__func_com_grad_x_l_nn__val)
(assert (= tmp58__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_106) (* 11 tmp1__global__ref0_107)) (* (- 39) tmp1__global__ref0_108)) (* (- 1) tmp1__global__ref0_109)) (* 41 tmp1__global__ref0_110)) (* (- 14) tmp1__global__ref0_111)) (* 8 tmp1__global__ref0_112)) (* (- 2) tmp1__global__ref0_113)) 2) 4))) ; (tmp58__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_106) + (11 * tmp1__global__ref0_107)) + ((- 39) * tmp1__global__ref0_108)) + ((- 1) * tmp1__global__ref0_109)) + (41 * tmp1__global__ref0_110)) + ((- 14) * tmp1__global__ref0_111)) + (8 * tmp1__global__ref0_112)) + ((- 2) * tmp1__global__ref0_113)) + 2) div 4))
(assert (= tmp4__global__buf_57 tmp58__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_57 = tmp58__func_com_grad_x_l_nn__val)
(assert (= tmp59__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_107) (* 11 tmp1__global__ref0_108)) (* (- 39) tmp1__global__ref0_109)) (* (- 1) tmp1__global__ref0_110)) (* 41 tmp1__global__ref0_111)) (* (- 14) tmp1__global__ref0_112)) (* 8 tmp1__global__ref0_113)) (* (- 2) tmp1__global__ref0_114)) 2) 4))) ; (tmp59__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_107) + (11 * tmp1__global__ref0_108)) + ((- 39) * tmp1__global__ref0_109)) + ((- 1) * tmp1__global__ref0_110)) + (41 * tmp1__global__ref0_111)) + ((- 14) * tmp1__global__ref0_112)) + (8 * tmp1__global__ref0_113)) + ((- 2) * tmp1__global__ref0_114)) + 2) div 4))
(assert (= tmp4__global__buf_58 tmp59__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_58 = tmp59__func_com_grad_x_l_nn__val)
(assert (= tmp60__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_108) (* 11 tmp1__global__ref0_109)) (* (- 39) tmp1__global__ref0_110)) (* (- 1) tmp1__global__ref0_111)) (* 41 tmp1__global__ref0_112)) (* (- 14) tmp1__global__ref0_113)) (* 8 tmp1__global__ref0_114)) (* (- 2) tmp1__global__ref0_115)) 2) 4))) ; (tmp60__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_108) + (11 * tmp1__global__ref0_109)) + ((- 39) * tmp1__global__ref0_110)) + ((- 1) * tmp1__global__ref0_111)) + (41 * tmp1__global__ref0_112)) + ((- 14) * tmp1__global__ref0_113)) + (8 * tmp1__global__ref0_114)) + ((- 2) * tmp1__global__ref0_115)) + 2) div 4))
(assert (= tmp4__global__buf_59 tmp60__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_59 = tmp60__func_com_grad_x_l_nn__val)
(assert (= tmp61__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_109) (* 11 tmp1__global__ref0_110)) (* (- 39) tmp1__global__ref0_111)) (* (- 1) tmp1__global__ref0_112)) (* 41 tmp1__global__ref0_113)) (* (- 14) tmp1__global__ref0_114)) (* 8 tmp1__global__ref0_115)) (* (- 2) tmp1__global__ref0_116)) 2) 4))) ; (tmp61__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_109) + (11 * tmp1__global__ref0_110)) + ((- 39) * tmp1__global__ref0_111)) + ((- 1) * tmp1__global__ref0_112)) + (41 * tmp1__global__ref0_113)) + ((- 14) * tmp1__global__ref0_114)) + (8 * tmp1__global__ref0_115)) + ((- 2) * tmp1__global__ref0_116)) + 2) div 4))
(assert (= tmp4__global__buf_60 tmp61__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_60 = tmp61__func_com_grad_x_l_nn__val)
(assert (= tmp62__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_110) (* 11 tmp1__global__ref0_111)) (* (- 39) tmp1__global__ref0_112)) (* (- 1) tmp1__global__ref0_113)) (* 41 tmp1__global__ref0_114)) (* (- 14) tmp1__global__ref0_115)) (* 8 tmp1__global__ref0_116)) (* (- 2) tmp1__global__ref0_117)) 2) 4))) ; (tmp62__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_110) + (11 * tmp1__global__ref0_111)) + ((- 39) * tmp1__global__ref0_112)) + ((- 1) * tmp1__global__ref0_113)) + (41 * tmp1__global__ref0_114)) + ((- 14) * tmp1__global__ref0_115)) + (8 * tmp1__global__ref0_116)) + ((- 2) * tmp1__global__ref0_117)) + 2) div 4))
(assert (= tmp4__global__buf_61 tmp62__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_61 = tmp62__func_com_grad_x_l_nn__val)
(assert (= tmp63__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_111) (* 11 tmp1__global__ref0_112)) (* (- 39) tmp1__global__ref0_113)) (* (- 1) tmp1__global__ref0_114)) (* 41 tmp1__global__ref0_115)) (* (- 14) tmp1__global__ref0_116)) (* 8 tmp1__global__ref0_117)) (* (- 2) tmp1__global__ref0_118)) 2) 4))) ; (tmp63__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_111) + (11 * tmp1__global__ref0_112)) + ((- 39) * tmp1__global__ref0_113)) + ((- 1) * tmp1__global__ref0_114)) + (41 * tmp1__global__ref0_115)) + ((- 14) * tmp1__global__ref0_116)) + (8 * tmp1__global__ref0_117)) + ((- 2) * tmp1__global__ref0_118)) + 2) div 4))
(assert (= tmp4__global__buf_62 tmp63__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_62 = tmp63__func_com_grad_x_l_nn__val)
(assert (= tmp64__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_112) (* 11 tmp1__global__ref0_113)) (* (- 39) tmp1__global__ref0_114)) (* (- 1) tmp1__global__ref0_115)) (* 41 tmp1__global__ref0_116)) (* (- 14) tmp1__global__ref0_117)) (* 8 tmp1__global__ref0_118)) (* (- 2) tmp1__global__ref0_119)) 2) 4))) ; (tmp64__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_112) + (11 * tmp1__global__ref0_113)) + ((- 39) * tmp1__global__ref0_114)) + ((- 1) * tmp1__global__ref0_115)) + (41 * tmp1__global__ref0_116)) + ((- 14) * tmp1__global__ref0_117)) + (8 * tmp1__global__ref0_118)) + ((- 2) * tmp1__global__ref0_119)) + 2) div 4))
(assert (= tmp4__global__buf_63 tmp64__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_63 = tmp64__func_com_grad_x_l_nn__val)
(assert (= tmp65__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_120) (* 11 tmp1__global__ref0_121)) (* (- 39) tmp1__global__ref0_122)) (* (- 1) tmp1__global__ref0_123)) (* 41 tmp1__global__ref0_124)) (* (- 14) tmp1__global__ref0_125)) (* 8 tmp1__global__ref0_126)) (* (- 2) tmp1__global__ref0_127)) 2) 4))) ; (tmp65__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_120) + (11 * tmp1__global__ref0_121)) + ((- 39) * tmp1__global__ref0_122)) + ((- 1) * tmp1__global__ref0_123)) + (41 * tmp1__global__ref0_124)) + ((- 14) * tmp1__global__ref0_125)) + (8 * tmp1__global__ref0_126)) + ((- 2) * tmp1__global__ref0_127)) + 2) div 4))
(assert (= tmp4__global__buf_64 tmp65__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_64 = tmp65__func_com_grad_x_l_nn__val)
(assert (= tmp66__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_121) (* 11 tmp1__global__ref0_122)) (* (- 39) tmp1__global__ref0_123)) (* (- 1) tmp1__global__ref0_124)) (* 41 tmp1__global__ref0_125)) (* (- 14) tmp1__global__ref0_126)) (* 8 tmp1__global__ref0_127)) (* (- 2) tmp1__global__ref0_128)) 2) 4))) ; (tmp66__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_121) + (11 * tmp1__global__ref0_122)) + ((- 39) * tmp1__global__ref0_123)) + ((- 1) * tmp1__global__ref0_124)) + (41 * tmp1__global__ref0_125)) + ((- 14) * tmp1__global__ref0_126)) + (8 * tmp1__global__ref0_127)) + ((- 2) * tmp1__global__ref0_128)) + 2) div 4))
(assert (= tmp4__global__buf_65 tmp66__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_65 = tmp66__func_com_grad_x_l_nn__val)
(assert (= tmp67__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_122) (* 11 tmp1__global__ref0_123)) (* (- 39) tmp1__global__ref0_124)) (* (- 1) tmp1__global__ref0_125)) (* 41 tmp1__global__ref0_126)) (* (- 14) tmp1__global__ref0_127)) (* 8 tmp1__global__ref0_128)) (* (- 2) tmp1__global__ref0_129)) 2) 4))) ; (tmp67__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_122) + (11 * tmp1__global__ref0_123)) + ((- 39) * tmp1__global__ref0_124)) + ((- 1) * tmp1__global__ref0_125)) + (41 * tmp1__global__ref0_126)) + ((- 14) * tmp1__global__ref0_127)) + (8 * tmp1__global__ref0_128)) + ((- 2) * tmp1__global__ref0_129)) + 2) div 4))
(assert (= tmp4__global__buf_66 tmp67__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_66 = tmp67__func_com_grad_x_l_nn__val)
(assert (= tmp68__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_123) (* 11 tmp1__global__ref0_124)) (* (- 39) tmp1__global__ref0_125)) (* (- 1) tmp1__global__ref0_126)) (* 41 tmp1__global__ref0_127)) (* (- 14) tmp1__global__ref0_128)) (* 8 tmp1__global__ref0_129)) (* (- 2) tmp1__global__ref0_130)) 2) 4))) ; (tmp68__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_123) + (11 * tmp1__global__ref0_124)) + ((- 39) * tmp1__global__ref0_125)) + ((- 1) * tmp1__global__ref0_126)) + (41 * tmp1__global__ref0_127)) + ((- 14) * tmp1__global__ref0_128)) + (8 * tmp1__global__ref0_129)) + ((- 2) * tmp1__global__ref0_130)) + 2) div 4))
(assert (= tmp4__global__buf_67 tmp68__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_67 = tmp68__func_com_grad_x_l_nn__val)
(assert (= tmp69__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_124) (* 11 tmp1__global__ref0_125)) (* (- 39) tmp1__global__ref0_126)) (* (- 1) tmp1__global__ref0_127)) (* 41 tmp1__global__ref0_128)) (* (- 14) tmp1__global__ref0_129)) (* 8 tmp1__global__ref0_130)) (* (- 2) tmp1__global__ref0_131)) 2) 4))) ; (tmp69__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_124) + (11 * tmp1__global__ref0_125)) + ((- 39) * tmp1__global__ref0_126)) + ((- 1) * tmp1__global__ref0_127)) + (41 * tmp1__global__ref0_128)) + ((- 14) * tmp1__global__ref0_129)) + (8 * tmp1__global__ref0_130)) + ((- 2) * tmp1__global__ref0_131)) + 2) div 4))
(assert (= tmp4__global__buf_68 tmp69__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_68 = tmp69__func_com_grad_x_l_nn__val)
(assert (= tmp70__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_125) (* 11 tmp1__global__ref0_126)) (* (- 39) tmp1__global__ref0_127)) (* (- 1) tmp1__global__ref0_128)) (* 41 tmp1__global__ref0_129)) (* (- 14) tmp1__global__ref0_130)) (* 8 tmp1__global__ref0_131)) (* (- 2) tmp1__global__ref0_132)) 2) 4))) ; (tmp70__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_125) + (11 * tmp1__global__ref0_126)) + ((- 39) * tmp1__global__ref0_127)) + ((- 1) * tmp1__global__ref0_128)) + (41 * tmp1__global__ref0_129)) + ((- 14) * tmp1__global__ref0_130)) + (8 * tmp1__global__ref0_131)) + ((- 2) * tmp1__global__ref0_132)) + 2) div 4))
(assert (= tmp4__global__buf_69 tmp70__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_69 = tmp70__func_com_grad_x_l_nn__val)
(assert (= tmp71__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_126) (* 11 tmp1__global__ref0_127)) (* (- 39) tmp1__global__ref0_128)) (* (- 1) tmp1__global__ref0_129)) (* 41 tmp1__global__ref0_130)) (* (- 14) tmp1__global__ref0_131)) (* 8 tmp1__global__ref0_132)) (* (- 2) tmp1__global__ref0_133)) 2) 4))) ; (tmp71__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_126) + (11 * tmp1__global__ref0_127)) + ((- 39) * tmp1__global__ref0_128)) + ((- 1) * tmp1__global__ref0_129)) + (41 * tmp1__global__ref0_130)) + ((- 14) * tmp1__global__ref0_131)) + (8 * tmp1__global__ref0_132)) + ((- 2) * tmp1__global__ref0_133)) + 2) div 4))
(assert (= tmp4__global__buf_70 tmp71__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_70 = tmp71__func_com_grad_x_l_nn__val)
(assert (= tmp72__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_127) (* 11 tmp1__global__ref0_128)) (* (- 39) tmp1__global__ref0_129)) (* (- 1) tmp1__global__ref0_130)) (* 41 tmp1__global__ref0_131)) (* (- 14) tmp1__global__ref0_132)) (* 8 tmp1__global__ref0_133)) (* (- 2) tmp1__global__ref0_134)) 2) 4))) ; (tmp72__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_127) + (11 * tmp1__global__ref0_128)) + ((- 39) * tmp1__global__ref0_129)) + ((- 1) * tmp1__global__ref0_130)) + (41 * tmp1__global__ref0_131)) + ((- 14) * tmp1__global__ref0_132)) + (8 * tmp1__global__ref0_133)) + ((- 2) * tmp1__global__ref0_134)) + 2) div 4))
(assert (= tmp4__global__buf_71 tmp72__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_71 = tmp72__func_com_grad_x_l_nn__val)
(assert (= tmp73__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_135) (* 11 tmp1__global__ref0_136)) (* (- 39) tmp1__global__ref0_137)) (* (- 1) tmp1__global__ref0_138)) (* 41 tmp1__global__ref0_139)) (* (- 14) tmp1__global__ref0_140)) (* 8 tmp1__global__ref0_141)) (* (- 2) tmp1__global__ref0_142)) 2) 4))) ; (tmp73__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_135) + (11 * tmp1__global__ref0_136)) + ((- 39) * tmp1__global__ref0_137)) + ((- 1) * tmp1__global__ref0_138)) + (41 * tmp1__global__ref0_139)) + ((- 14) * tmp1__global__ref0_140)) + (8 * tmp1__global__ref0_141)) + ((- 2) * tmp1__global__ref0_142)) + 2) div 4))
(assert (= tmp4__global__buf_72 tmp73__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_72 = tmp73__func_com_grad_x_l_nn__val)
(assert (= tmp74__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_136) (* 11 tmp1__global__ref0_137)) (* (- 39) tmp1__global__ref0_138)) (* (- 1) tmp1__global__ref0_139)) (* 41 tmp1__global__ref0_140)) (* (- 14) tmp1__global__ref0_141)) (* 8 tmp1__global__ref0_142)) (* (- 2) tmp1__global__ref0_143)) 2) 4))) ; (tmp74__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_136) + (11 * tmp1__global__ref0_137)) + ((- 39) * tmp1__global__ref0_138)) + ((- 1) * tmp1__global__ref0_139)) + (41 * tmp1__global__ref0_140)) + ((- 14) * tmp1__global__ref0_141)) + (8 * tmp1__global__ref0_142)) + ((- 2) * tmp1__global__ref0_143)) + 2) div 4))
(assert (= tmp4__global__buf_73 tmp74__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_73 = tmp74__func_com_grad_x_l_nn__val)
(assert (= tmp75__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_137) (* 11 tmp1__global__ref0_138)) (* (- 39) tmp1__global__ref0_139)) (* (- 1) tmp1__global__ref0_140)) (* 41 tmp1__global__ref0_141)) (* (- 14) tmp1__global__ref0_142)) (* 8 tmp1__global__ref0_143)) (* (- 2) tmp1__global__ref0_144)) 2) 4))) ; (tmp75__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_137) + (11 * tmp1__global__ref0_138)) + ((- 39) * tmp1__global__ref0_139)) + ((- 1) * tmp1__global__ref0_140)) + (41 * tmp1__global__ref0_141)) + ((- 14) * tmp1__global__ref0_142)) + (8 * tmp1__global__ref0_143)) + ((- 2) * tmp1__global__ref0_144)) + 2) div 4))
(assert (= tmp4__global__buf_74 tmp75__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_74 = tmp75__func_com_grad_x_l_nn__val)
(assert (= tmp76__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_138) (* 11 tmp1__global__ref0_139)) (* (- 39) tmp1__global__ref0_140)) (* (- 1) tmp1__global__ref0_141)) (* 41 tmp1__global__ref0_142)) (* (- 14) tmp1__global__ref0_143)) (* 8 tmp1__global__ref0_144)) (* (- 2) tmp1__global__ref0_145)) 2) 4))) ; (tmp76__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_138) + (11 * tmp1__global__ref0_139)) + ((- 39) * tmp1__global__ref0_140)) + ((- 1) * tmp1__global__ref0_141)) + (41 * tmp1__global__ref0_142)) + ((- 14) * tmp1__global__ref0_143)) + (8 * tmp1__global__ref0_144)) + ((- 2) * tmp1__global__ref0_145)) + 2) div 4))
(assert (= tmp4__global__buf_75 tmp76__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_75 = tmp76__func_com_grad_x_l_nn__val)
(assert (= tmp77__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_139) (* 11 tmp1__global__ref0_140)) (* (- 39) tmp1__global__ref0_141)) (* (- 1) tmp1__global__ref0_142)) (* 41 tmp1__global__ref0_143)) (* (- 14) tmp1__global__ref0_144)) (* 8 tmp1__global__ref0_145)) (* (- 2) tmp1__global__ref0_146)) 2) 4))) ; (tmp77__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_139) + (11 * tmp1__global__ref0_140)) + ((- 39) * tmp1__global__ref0_141)) + ((- 1) * tmp1__global__ref0_142)) + (41 * tmp1__global__ref0_143)) + ((- 14) * tmp1__global__ref0_144)) + (8 * tmp1__global__ref0_145)) + ((- 2) * tmp1__global__ref0_146)) + 2) div 4))
(assert (= tmp4__global__buf_76 tmp77__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_76 = tmp77__func_com_grad_x_l_nn__val)
(assert (= tmp78__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_140) (* 11 tmp1__global__ref0_141)) (* (- 39) tmp1__global__ref0_142)) (* (- 1) tmp1__global__ref0_143)) (* 41 tmp1__global__ref0_144)) (* (- 14) tmp1__global__ref0_145)) (* 8 tmp1__global__ref0_146)) (* (- 2) tmp1__global__ref0_147)) 2) 4))) ; (tmp78__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_140) + (11 * tmp1__global__ref0_141)) + ((- 39) * tmp1__global__ref0_142)) + ((- 1) * tmp1__global__ref0_143)) + (41 * tmp1__global__ref0_144)) + ((- 14) * tmp1__global__ref0_145)) + (8 * tmp1__global__ref0_146)) + ((- 2) * tmp1__global__ref0_147)) + 2) div 4))
(assert (= tmp4__global__buf_77 tmp78__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_77 = tmp78__func_com_grad_x_l_nn__val)
(assert (= tmp79__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_141) (* 11 tmp1__global__ref0_142)) (* (- 39) tmp1__global__ref0_143)) (* (- 1) tmp1__global__ref0_144)) (* 41 tmp1__global__ref0_145)) (* (- 14) tmp1__global__ref0_146)) (* 8 tmp1__global__ref0_147)) (* (- 2) tmp1__global__ref0_148)) 2) 4))) ; (tmp79__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_141) + (11 * tmp1__global__ref0_142)) + ((- 39) * tmp1__global__ref0_143)) + ((- 1) * tmp1__global__ref0_144)) + (41 * tmp1__global__ref0_145)) + ((- 14) * tmp1__global__ref0_146)) + (8 * tmp1__global__ref0_147)) + ((- 2) * tmp1__global__ref0_148)) + 2) div 4))
(assert (= tmp4__global__buf_78 tmp79__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_78 = tmp79__func_com_grad_x_l_nn__val)
(assert (= tmp80__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_142) (* 11 tmp1__global__ref0_143)) (* (- 39) tmp1__global__ref0_144)) (* (- 1) tmp1__global__ref0_145)) (* 41 tmp1__global__ref0_146)) (* (- 14) tmp1__global__ref0_147)) (* 8 tmp1__global__ref0_148)) (* (- 2) tmp1__global__ref0_149)) 2) 4))) ; (tmp80__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_142) + (11 * tmp1__global__ref0_143)) + ((- 39) * tmp1__global__ref0_144)) + ((- 1) * tmp1__global__ref0_145)) + (41 * tmp1__global__ref0_146)) + ((- 14) * tmp1__global__ref0_147)) + (8 * tmp1__global__ref0_148)) + ((- 2) * tmp1__global__ref0_149)) + 2) div 4))
(assert (= tmp4__global__buf_79 tmp80__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_79 = tmp80__func_com_grad_x_l_nn__val)
(assert (= tmp81__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_150) (* 11 tmp1__global__ref0_151)) (* (- 39) tmp1__global__ref0_152)) (* (- 1) tmp1__global__ref0_153)) (* 41 tmp1__global__ref0_154)) (* (- 14) tmp1__global__ref0_155)) (* 8 tmp1__global__ref0_156)) (* (- 2) tmp1__global__ref0_157)) 2) 4))) ; (tmp81__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_150) + (11 * tmp1__global__ref0_151)) + ((- 39) * tmp1__global__ref0_152)) + ((- 1) * tmp1__global__ref0_153)) + (41 * tmp1__global__ref0_154)) + ((- 14) * tmp1__global__ref0_155)) + (8 * tmp1__global__ref0_156)) + ((- 2) * tmp1__global__ref0_157)) + 2) div 4))
(assert (= tmp4__global__buf_80 tmp81__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_80 = tmp81__func_com_grad_x_l_nn__val)
(assert (= tmp82__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_151) (* 11 tmp1__global__ref0_152)) (* (- 39) tmp1__global__ref0_153)) (* (- 1) tmp1__global__ref0_154)) (* 41 tmp1__global__ref0_155)) (* (- 14) tmp1__global__ref0_156)) (* 8 tmp1__global__ref0_157)) (* (- 2) tmp1__global__ref0_158)) 2) 4))) ; (tmp82__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_151) + (11 * tmp1__global__ref0_152)) + ((- 39) * tmp1__global__ref0_153)) + ((- 1) * tmp1__global__ref0_154)) + (41 * tmp1__global__ref0_155)) + ((- 14) * tmp1__global__ref0_156)) + (8 * tmp1__global__ref0_157)) + ((- 2) * tmp1__global__ref0_158)) + 2) div 4))
(assert (= tmp4__global__buf_81 tmp82__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_81 = tmp82__func_com_grad_x_l_nn__val)
(assert (= tmp83__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_152) (* 11 tmp1__global__ref0_153)) (* (- 39) tmp1__global__ref0_154)) (* (- 1) tmp1__global__ref0_155)) (* 41 tmp1__global__ref0_156)) (* (- 14) tmp1__global__ref0_157)) (* 8 tmp1__global__ref0_158)) (* (- 2) tmp1__global__ref0_159)) 2) 4))) ; (tmp83__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_152) + (11 * tmp1__global__ref0_153)) + ((- 39) * tmp1__global__ref0_154)) + ((- 1) * tmp1__global__ref0_155)) + (41 * tmp1__global__ref0_156)) + ((- 14) * tmp1__global__ref0_157)) + (8 * tmp1__global__ref0_158)) + ((- 2) * tmp1__global__ref0_159)) + 2) div 4))
(assert (= tmp4__global__buf_82 tmp83__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_82 = tmp83__func_com_grad_x_l_nn__val)
(assert (= tmp84__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_153) (* 11 tmp1__global__ref0_154)) (* (- 39) tmp1__global__ref0_155)) (* (- 1) tmp1__global__ref0_156)) (* 41 tmp1__global__ref0_157)) (* (- 14) tmp1__global__ref0_158)) (* 8 tmp1__global__ref0_159)) (* (- 2) tmp1__global__ref0_160)) 2) 4))) ; (tmp84__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_153) + (11 * tmp1__global__ref0_154)) + ((- 39) * tmp1__global__ref0_155)) + ((- 1) * tmp1__global__ref0_156)) + (41 * tmp1__global__ref0_157)) + ((- 14) * tmp1__global__ref0_158)) + (8 * tmp1__global__ref0_159)) + ((- 2) * tmp1__global__ref0_160)) + 2) div 4))
(assert (= tmp4__global__buf_83 tmp84__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_83 = tmp84__func_com_grad_x_l_nn__val)
(assert (= tmp85__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_154) (* 11 tmp1__global__ref0_155)) (* (- 39) tmp1__global__ref0_156)) (* (- 1) tmp1__global__ref0_157)) (* 41 tmp1__global__ref0_158)) (* (- 14) tmp1__global__ref0_159)) (* 8 tmp1__global__ref0_160)) (* (- 2) tmp1__global__ref0_161)) 2) 4))) ; (tmp85__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_154) + (11 * tmp1__global__ref0_155)) + ((- 39) * tmp1__global__ref0_156)) + ((- 1) * tmp1__global__ref0_157)) + (41 * tmp1__global__ref0_158)) + ((- 14) * tmp1__global__ref0_159)) + (8 * tmp1__global__ref0_160)) + ((- 2) * tmp1__global__ref0_161)) + 2) div 4))
(assert (= tmp4__global__buf_84 tmp85__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_84 = tmp85__func_com_grad_x_l_nn__val)
(assert (= tmp86__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_155) (* 11 tmp1__global__ref0_156)) (* (- 39) tmp1__global__ref0_157)) (* (- 1) tmp1__global__ref0_158)) (* 41 tmp1__global__ref0_159)) (* (- 14) tmp1__global__ref0_160)) (* 8 tmp1__global__ref0_161)) (* (- 2) tmp1__global__ref0_162)) 2) 4))) ; (tmp86__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_155) + (11 * tmp1__global__ref0_156)) + ((- 39) * tmp1__global__ref0_157)) + ((- 1) * tmp1__global__ref0_158)) + (41 * tmp1__global__ref0_159)) + ((- 14) * tmp1__global__ref0_160)) + (8 * tmp1__global__ref0_161)) + ((- 2) * tmp1__global__ref0_162)) + 2) div 4))
(assert (= tmp4__global__buf_85 tmp86__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_85 = tmp86__func_com_grad_x_l_nn__val)
(assert (= tmp87__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_156) (* 11 tmp1__global__ref0_157)) (* (- 39) tmp1__global__ref0_158)) (* (- 1) tmp1__global__ref0_159)) (* 41 tmp1__global__ref0_160)) (* (- 14) tmp1__global__ref0_161)) (* 8 tmp1__global__ref0_162)) (* (- 2) tmp1__global__ref0_163)) 2) 4))) ; (tmp87__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_156) + (11 * tmp1__global__ref0_157)) + ((- 39) * tmp1__global__ref0_158)) + ((- 1) * tmp1__global__ref0_159)) + (41 * tmp1__global__ref0_160)) + ((- 14) * tmp1__global__ref0_161)) + (8 * tmp1__global__ref0_162)) + ((- 2) * tmp1__global__ref0_163)) + 2) div 4))
(assert (= tmp4__global__buf_86 tmp87__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_86 = tmp87__func_com_grad_x_l_nn__val)
(assert (= tmp88__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_157) (* 11 tmp1__global__ref0_158)) (* (- 39) tmp1__global__ref0_159)) (* (- 1) tmp1__global__ref0_160)) (* 41 tmp1__global__ref0_161)) (* (- 14) tmp1__global__ref0_162)) (* 8 tmp1__global__ref0_163)) (* (- 2) tmp1__global__ref0_164)) 2) 4))) ; (tmp88__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_157) + (11 * tmp1__global__ref0_158)) + ((- 39) * tmp1__global__ref0_159)) + ((- 1) * tmp1__global__ref0_160)) + (41 * tmp1__global__ref0_161)) + ((- 14) * tmp1__global__ref0_162)) + (8 * tmp1__global__ref0_163)) + ((- 2) * tmp1__global__ref0_164)) + 2) div 4))
(assert (= tmp4__global__buf_87 tmp88__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_87 = tmp88__func_com_grad_x_l_nn__val)
(assert (= tmp89__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_165) (* 11 tmp1__global__ref0_166)) (* (- 39) tmp1__global__ref0_167)) (* (- 1) tmp1__global__ref0_168)) (* 41 tmp1__global__ref0_169)) (* (- 14) tmp1__global__ref0_170)) (* 8 tmp1__global__ref0_171)) (* (- 2) tmp1__global__ref0_172)) 2) 4))) ; (tmp89__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_165) + (11 * tmp1__global__ref0_166)) + ((- 39) * tmp1__global__ref0_167)) + ((- 1) * tmp1__global__ref0_168)) + (41 * tmp1__global__ref0_169)) + ((- 14) * tmp1__global__ref0_170)) + (8 * tmp1__global__ref0_171)) + ((- 2) * tmp1__global__ref0_172)) + 2) div 4))
(assert (= tmp4__global__buf_88 tmp89__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_88 = tmp89__func_com_grad_x_l_nn__val)
(assert (= tmp90__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_166) (* 11 tmp1__global__ref0_167)) (* (- 39) tmp1__global__ref0_168)) (* (- 1) tmp1__global__ref0_169)) (* 41 tmp1__global__ref0_170)) (* (- 14) tmp1__global__ref0_171)) (* 8 tmp1__global__ref0_172)) (* (- 2) tmp1__global__ref0_173)) 2) 4))) ; (tmp90__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_166) + (11 * tmp1__global__ref0_167)) + ((- 39) * tmp1__global__ref0_168)) + ((- 1) * tmp1__global__ref0_169)) + (41 * tmp1__global__ref0_170)) + ((- 14) * tmp1__global__ref0_171)) + (8 * tmp1__global__ref0_172)) + ((- 2) * tmp1__global__ref0_173)) + 2) div 4))
(assert (= tmp4__global__buf_89 tmp90__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_89 = tmp90__func_com_grad_x_l_nn__val)
(assert (= tmp91__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_167) (* 11 tmp1__global__ref0_168)) (* (- 39) tmp1__global__ref0_169)) (* (- 1) tmp1__global__ref0_170)) (* 41 tmp1__global__ref0_171)) (* (- 14) tmp1__global__ref0_172)) (* 8 tmp1__global__ref0_173)) (* (- 2) tmp1__global__ref0_174)) 2) 4))) ; (tmp91__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_167) + (11 * tmp1__global__ref0_168)) + ((- 39) * tmp1__global__ref0_169)) + ((- 1) * tmp1__global__ref0_170)) + (41 * tmp1__global__ref0_171)) + ((- 14) * tmp1__global__ref0_172)) + (8 * tmp1__global__ref0_173)) + ((- 2) * tmp1__global__ref0_174)) + 2) div 4))
(assert (= tmp4__global__buf_90 tmp91__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_90 = tmp91__func_com_grad_x_l_nn__val)
(assert (= tmp92__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_168) (* 11 tmp1__global__ref0_169)) (* (- 39) tmp1__global__ref0_170)) (* (- 1) tmp1__global__ref0_171)) (* 41 tmp1__global__ref0_172)) (* (- 14) tmp1__global__ref0_173)) (* 8 tmp1__global__ref0_174)) (* (- 2) tmp1__global__ref0_175)) 2) 4))) ; (tmp92__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_168) + (11 * tmp1__global__ref0_169)) + ((- 39) * tmp1__global__ref0_170)) + ((- 1) * tmp1__global__ref0_171)) + (41 * tmp1__global__ref0_172)) + ((- 14) * tmp1__global__ref0_173)) + (8 * tmp1__global__ref0_174)) + ((- 2) * tmp1__global__ref0_175)) + 2) div 4))
(assert (= tmp4__global__buf_91 tmp92__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_91 = tmp92__func_com_grad_x_l_nn__val)
(assert (= tmp93__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_169) (* 11 tmp1__global__ref0_170)) (* (- 39) tmp1__global__ref0_171)) (* (- 1) tmp1__global__ref0_172)) (* 41 tmp1__global__ref0_173)) (* (- 14) tmp1__global__ref0_174)) (* 8 tmp1__global__ref0_175)) (* (- 2) tmp1__global__ref0_176)) 2) 4))) ; (tmp93__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_169) + (11 * tmp1__global__ref0_170)) + ((- 39) * tmp1__global__ref0_171)) + ((- 1) * tmp1__global__ref0_172)) + (41 * tmp1__global__ref0_173)) + ((- 14) * tmp1__global__ref0_174)) + (8 * tmp1__global__ref0_175)) + ((- 2) * tmp1__global__ref0_176)) + 2) div 4))
(assert (= tmp4__global__buf_92 tmp93__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_92 = tmp93__func_com_grad_x_l_nn__val)
(assert (= tmp94__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_170) (* 11 tmp1__global__ref0_171)) (* (- 39) tmp1__global__ref0_172)) (* (- 1) tmp1__global__ref0_173)) (* 41 tmp1__global__ref0_174)) (* (- 14) tmp1__global__ref0_175)) (* 8 tmp1__global__ref0_176)) (* (- 2) tmp1__global__ref0_177)) 2) 4))) ; (tmp94__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_170) + (11 * tmp1__global__ref0_171)) + ((- 39) * tmp1__global__ref0_172)) + ((- 1) * tmp1__global__ref0_173)) + (41 * tmp1__global__ref0_174)) + ((- 14) * tmp1__global__ref0_175)) + (8 * tmp1__global__ref0_176)) + ((- 2) * tmp1__global__ref0_177)) + 2) div 4))
(assert (= tmp4__global__buf_93 tmp94__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_93 = tmp94__func_com_grad_x_l_nn__val)
(assert (= tmp95__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_171) (* 11 tmp1__global__ref0_172)) (* (- 39) tmp1__global__ref0_173)) (* (- 1) tmp1__global__ref0_174)) (* 41 tmp1__global__ref0_175)) (* (- 14) tmp1__global__ref0_176)) (* 8 tmp1__global__ref0_177)) (* (- 2) tmp1__global__ref0_178)) 2) 4))) ; (tmp95__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_171) + (11 * tmp1__global__ref0_172)) + ((- 39) * tmp1__global__ref0_173)) + ((- 1) * tmp1__global__ref0_174)) + (41 * tmp1__global__ref0_175)) + ((- 14) * tmp1__global__ref0_176)) + (8 * tmp1__global__ref0_177)) + ((- 2) * tmp1__global__ref0_178)) + 2) div 4))
(assert (= tmp4__global__buf_94 tmp95__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_94 = tmp95__func_com_grad_x_l_nn__val)
(assert (= tmp96__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_172) (* 11 tmp1__global__ref0_173)) (* (- 39) tmp1__global__ref0_174)) (* (- 1) tmp1__global__ref0_175)) (* 41 tmp1__global__ref0_176)) (* (- 14) tmp1__global__ref0_177)) (* 8 tmp1__global__ref0_178)) (* (- 2) tmp1__global__ref0_179)) 2) 4))) ; (tmp96__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_172) + (11 * tmp1__global__ref0_173)) + ((- 39) * tmp1__global__ref0_174)) + ((- 1) * tmp1__global__ref0_175)) + (41 * tmp1__global__ref0_176)) + ((- 14) * tmp1__global__ref0_177)) + (8 * tmp1__global__ref0_178)) + ((- 2) * tmp1__global__ref0_179)) + 2) div 4))
(assert (= tmp4__global__buf_95 tmp96__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_95 = tmp96__func_com_grad_x_l_nn__val)
(assert (= tmp97__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_180) (* 11 tmp1__global__ref0_181)) (* (- 39) tmp1__global__ref0_182)) (* (- 1) tmp1__global__ref0_183)) (* 41 tmp1__global__ref0_184)) (* (- 14) tmp1__global__ref0_185)) (* 8 tmp1__global__ref0_186)) (* (- 2) tmp1__global__ref0_187)) 2) 4))) ; (tmp97__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_180) + (11 * tmp1__global__ref0_181)) + ((- 39) * tmp1__global__ref0_182)) + ((- 1) * tmp1__global__ref0_183)) + (41 * tmp1__global__ref0_184)) + ((- 14) * tmp1__global__ref0_185)) + (8 * tmp1__global__ref0_186)) + ((- 2) * tmp1__global__ref0_187)) + 2) div 4))
(assert (= tmp4__global__buf_96 tmp97__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_96 = tmp97__func_com_grad_x_l_nn__val)
(assert (= tmp98__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_181) (* 11 tmp1__global__ref0_182)) (* (- 39) tmp1__global__ref0_183)) (* (- 1) tmp1__global__ref0_184)) (* 41 tmp1__global__ref0_185)) (* (- 14) tmp1__global__ref0_186)) (* 8 tmp1__global__ref0_187)) (* (- 2) tmp1__global__ref0_188)) 2) 4))) ; (tmp98__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_181) + (11 * tmp1__global__ref0_182)) + ((- 39) * tmp1__global__ref0_183)) + ((- 1) * tmp1__global__ref0_184)) + (41 * tmp1__global__ref0_185)) + ((- 14) * tmp1__global__ref0_186)) + (8 * tmp1__global__ref0_187)) + ((- 2) * tmp1__global__ref0_188)) + 2) div 4))
(assert (= tmp4__global__buf_97 tmp98__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_97 = tmp98__func_com_grad_x_l_nn__val)
(assert (= tmp99__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_182) (* 11 tmp1__global__ref0_183)) (* (- 39) tmp1__global__ref0_184)) (* (- 1) tmp1__global__ref0_185)) (* 41 tmp1__global__ref0_186)) (* (- 14) tmp1__global__ref0_187)) (* 8 tmp1__global__ref0_188)) (* (- 2) tmp1__global__ref0_189)) 2) 4))) ; (tmp99__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_182) + (11 * tmp1__global__ref0_183)) + ((- 39) * tmp1__global__ref0_184)) + ((- 1) * tmp1__global__ref0_185)) + (41 * tmp1__global__ref0_186)) + ((- 14) * tmp1__global__ref0_187)) + (8 * tmp1__global__ref0_188)) + ((- 2) * tmp1__global__ref0_189)) + 2) div 4))
(assert (= tmp4__global__buf_98 tmp99__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_98 = tmp99__func_com_grad_x_l_nn__val)
(assert (= tmp100__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_183) (* 11 tmp1__global__ref0_184)) (* (- 39) tmp1__global__ref0_185)) (* (- 1) tmp1__global__ref0_186)) (* 41 tmp1__global__ref0_187)) (* (- 14) tmp1__global__ref0_188)) (* 8 tmp1__global__ref0_189)) (* (- 2) tmp1__global__ref0_190)) 2) 4))) ; (tmp100__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_183) + (11 * tmp1__global__ref0_184)) + ((- 39) * tmp1__global__ref0_185)) + ((- 1) * tmp1__global__ref0_186)) + (41 * tmp1__global__ref0_187)) + ((- 14) * tmp1__global__ref0_188)) + (8 * tmp1__global__ref0_189)) + ((- 2) * tmp1__global__ref0_190)) + 2) div 4))
(assert (= tmp4__global__buf_99 tmp100__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_99 = tmp100__func_com_grad_x_l_nn__val)
(assert (= tmp101__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_184) (* 11 tmp1__global__ref0_185)) (* (- 39) tmp1__global__ref0_186)) (* (- 1) tmp1__global__ref0_187)) (* 41 tmp1__global__ref0_188)) (* (- 14) tmp1__global__ref0_189)) (* 8 tmp1__global__ref0_190)) (* (- 2) tmp1__global__ref0_191)) 2) 4))) ; (tmp101__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_184) + (11 * tmp1__global__ref0_185)) + ((- 39) * tmp1__global__ref0_186)) + ((- 1) * tmp1__global__ref0_187)) + (41 * tmp1__global__ref0_188)) + ((- 14) * tmp1__global__ref0_189)) + (8 * tmp1__global__ref0_190)) + ((- 2) * tmp1__global__ref0_191)) + 2) div 4))
(assert (= tmp4__global__buf_100 tmp101__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_100 = tmp101__func_com_grad_x_l_nn__val)
(assert (= tmp102__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_185) (* 11 tmp1__global__ref0_186)) (* (- 39) tmp1__global__ref0_187)) (* (- 1) tmp1__global__ref0_188)) (* 41 tmp1__global__ref0_189)) (* (- 14) tmp1__global__ref0_190)) (* 8 tmp1__global__ref0_191)) (* (- 2) tmp1__global__ref0_192)) 2) 4))) ; (tmp102__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_185) + (11 * tmp1__global__ref0_186)) + ((- 39) * tmp1__global__ref0_187)) + ((- 1) * tmp1__global__ref0_188)) + (41 * tmp1__global__ref0_189)) + ((- 14) * tmp1__global__ref0_190)) + (8 * tmp1__global__ref0_191)) + ((- 2) * tmp1__global__ref0_192)) + 2) div 4))
(assert (= tmp4__global__buf_101 tmp102__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_101 = tmp102__func_com_grad_x_l_nn__val)
(assert (= tmp103__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_186) (* 11 tmp1__global__ref0_187)) (* (- 39) tmp1__global__ref0_188)) (* (- 1) tmp1__global__ref0_189)) (* 41 tmp1__global__ref0_190)) (* (- 14) tmp1__global__ref0_191)) (* 8 tmp1__global__ref0_192)) (* (- 2) tmp1__global__ref0_193)) 2) 4))) ; (tmp103__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_186) + (11 * tmp1__global__ref0_187)) + ((- 39) * tmp1__global__ref0_188)) + ((- 1) * tmp1__global__ref0_189)) + (41 * tmp1__global__ref0_190)) + ((- 14) * tmp1__global__ref0_191)) + (8 * tmp1__global__ref0_192)) + ((- 2) * tmp1__global__ref0_193)) + 2) div 4))
(assert (= tmp4__global__buf_102 tmp103__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_102 = tmp103__func_com_grad_x_l_nn__val)
(assert (= tmp104__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_187) (* 11 tmp1__global__ref0_188)) (* (- 39) tmp1__global__ref0_189)) (* (- 1) tmp1__global__ref0_190)) (* 41 tmp1__global__ref0_191)) (* (- 14) tmp1__global__ref0_192)) (* 8 tmp1__global__ref0_193)) (* (- 2) tmp1__global__ref0_194)) 2) 4))) ; (tmp104__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_187) + (11 * tmp1__global__ref0_188)) + ((- 39) * tmp1__global__ref0_189)) + ((- 1) * tmp1__global__ref0_190)) + (41 * tmp1__global__ref0_191)) + ((- 14) * tmp1__global__ref0_192)) + (8 * tmp1__global__ref0_193)) + ((- 2) * tmp1__global__ref0_194)) + 2) div 4))
(assert (= tmp4__global__buf_103 tmp104__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_103 = tmp104__func_com_grad_x_l_nn__val)
(assert (= tmp105__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_195) (* 11 tmp1__global__ref0_196)) (* (- 39) tmp1__global__ref0_197)) (* (- 1) tmp1__global__ref0_198)) (* 41 tmp1__global__ref0_199)) (* (- 14) tmp1__global__ref0_200)) (* 8 tmp1__global__ref0_201)) (* (- 2) tmp1__global__ref0_202)) 2) 4))) ; (tmp105__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_195) + (11 * tmp1__global__ref0_196)) + ((- 39) * tmp1__global__ref0_197)) + ((- 1) * tmp1__global__ref0_198)) + (41 * tmp1__global__ref0_199)) + ((- 14) * tmp1__global__ref0_200)) + (8 * tmp1__global__ref0_201)) + ((- 2) * tmp1__global__ref0_202)) + 2) div 4))
(assert (= tmp4__global__buf_104 tmp105__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_104 = tmp105__func_com_grad_x_l_nn__val)
(assert (= tmp106__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_196) (* 11 tmp1__global__ref0_197)) (* (- 39) tmp1__global__ref0_198)) (* (- 1) tmp1__global__ref0_199)) (* 41 tmp1__global__ref0_200)) (* (- 14) tmp1__global__ref0_201)) (* 8 tmp1__global__ref0_202)) (* (- 2) tmp1__global__ref0_203)) 2) 4))) ; (tmp106__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_196) + (11 * tmp1__global__ref0_197)) + ((- 39) * tmp1__global__ref0_198)) + ((- 1) * tmp1__global__ref0_199)) + (41 * tmp1__global__ref0_200)) + ((- 14) * tmp1__global__ref0_201)) + (8 * tmp1__global__ref0_202)) + ((- 2) * tmp1__global__ref0_203)) + 2) div 4))
(assert (= tmp4__global__buf_105 tmp106__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_105 = tmp106__func_com_grad_x_l_nn__val)
(assert (= tmp107__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_197) (* 11 tmp1__global__ref0_198)) (* (- 39) tmp1__global__ref0_199)) (* (- 1) tmp1__global__ref0_200)) (* 41 tmp1__global__ref0_201)) (* (- 14) tmp1__global__ref0_202)) (* 8 tmp1__global__ref0_203)) (* (- 2) tmp1__global__ref0_204)) 2) 4))) ; (tmp107__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_197) + (11 * tmp1__global__ref0_198)) + ((- 39) * tmp1__global__ref0_199)) + ((- 1) * tmp1__global__ref0_200)) + (41 * tmp1__global__ref0_201)) + ((- 14) * tmp1__global__ref0_202)) + (8 * tmp1__global__ref0_203)) + ((- 2) * tmp1__global__ref0_204)) + 2) div 4))
(assert (= tmp4__global__buf_106 tmp107__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_106 = tmp107__func_com_grad_x_l_nn__val)
(assert (= tmp108__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_198) (* 11 tmp1__global__ref0_199)) (* (- 39) tmp1__global__ref0_200)) (* (- 1) tmp1__global__ref0_201)) (* 41 tmp1__global__ref0_202)) (* (- 14) tmp1__global__ref0_203)) (* 8 tmp1__global__ref0_204)) (* (- 2) tmp1__global__ref0_205)) 2) 4))) ; (tmp108__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_198) + (11 * tmp1__global__ref0_199)) + ((- 39) * tmp1__global__ref0_200)) + ((- 1) * tmp1__global__ref0_201)) + (41 * tmp1__global__ref0_202)) + ((- 14) * tmp1__global__ref0_203)) + (8 * tmp1__global__ref0_204)) + ((- 2) * tmp1__global__ref0_205)) + 2) div 4))
(assert (= tmp4__global__buf_107 tmp108__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_107 = tmp108__func_com_grad_x_l_nn__val)
(assert (= tmp109__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_199) (* 11 tmp1__global__ref0_200)) (* (- 39) tmp1__global__ref0_201)) (* (- 1) tmp1__global__ref0_202)) (* 41 tmp1__global__ref0_203)) (* (- 14) tmp1__global__ref0_204)) (* 8 tmp1__global__ref0_205)) (* (- 2) tmp1__global__ref0_206)) 2) 4))) ; (tmp109__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_199) + (11 * tmp1__global__ref0_200)) + ((- 39) * tmp1__global__ref0_201)) + ((- 1) * tmp1__global__ref0_202)) + (41 * tmp1__global__ref0_203)) + ((- 14) * tmp1__global__ref0_204)) + (8 * tmp1__global__ref0_205)) + ((- 2) * tmp1__global__ref0_206)) + 2) div 4))
(assert (= tmp4__global__buf_108 tmp109__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_108 = tmp109__func_com_grad_x_l_nn__val)
(assert (= tmp110__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_200) (* 11 tmp1__global__ref0_201)) (* (- 39) tmp1__global__ref0_202)) (* (- 1) tmp1__global__ref0_203)) (* 41 tmp1__global__ref0_204)) (* (- 14) tmp1__global__ref0_205)) (* 8 tmp1__global__ref0_206)) (* (- 2) tmp1__global__ref0_207)) 2) 4))) ; (tmp110__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_200) + (11 * tmp1__global__ref0_201)) + ((- 39) * tmp1__global__ref0_202)) + ((- 1) * tmp1__global__ref0_203)) + (41 * tmp1__global__ref0_204)) + ((- 14) * tmp1__global__ref0_205)) + (8 * tmp1__global__ref0_206)) + ((- 2) * tmp1__global__ref0_207)) + 2) div 4))
(assert (= tmp4__global__buf_109 tmp110__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_109 = tmp110__func_com_grad_x_l_nn__val)
(assert (= tmp111__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_201) (* 11 tmp1__global__ref0_202)) (* (- 39) tmp1__global__ref0_203)) (* (- 1) tmp1__global__ref0_204)) (* 41 tmp1__global__ref0_205)) (* (- 14) tmp1__global__ref0_206)) (* 8 tmp1__global__ref0_207)) (* (- 2) tmp1__global__ref0_208)) 2) 4))) ; (tmp111__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_201) + (11 * tmp1__global__ref0_202)) + ((- 39) * tmp1__global__ref0_203)) + ((- 1) * tmp1__global__ref0_204)) + (41 * tmp1__global__ref0_205)) + ((- 14) * tmp1__global__ref0_206)) + (8 * tmp1__global__ref0_207)) + ((- 2) * tmp1__global__ref0_208)) + 2) div 4))
(assert (= tmp4__global__buf_110 tmp111__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_110 = tmp111__func_com_grad_x_l_nn__val)
(assert (= tmp112__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_202) (* 11 tmp1__global__ref0_203)) (* (- 39) tmp1__global__ref0_204)) (* (- 1) tmp1__global__ref0_205)) (* 41 tmp1__global__ref0_206)) (* (- 14) tmp1__global__ref0_207)) (* 8 tmp1__global__ref0_208)) (* (- 2) tmp1__global__ref0_209)) 2) 4))) ; (tmp112__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_202) + (11 * tmp1__global__ref0_203)) + ((- 39) * tmp1__global__ref0_204)) + ((- 1) * tmp1__global__ref0_205)) + (41 * tmp1__global__ref0_206)) + ((- 14) * tmp1__global__ref0_207)) + (8 * tmp1__global__ref0_208)) + ((- 2) * tmp1__global__ref0_209)) + 2) div 4))
(assert (= tmp4__global__buf_111 tmp112__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_111 = tmp112__func_com_grad_x_l_nn__val)
(assert (= tmp113__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_210) (* 11 tmp1__global__ref0_211)) (* (- 39) tmp1__global__ref0_212)) (* (- 1) tmp1__global__ref0_213)) (* 41 tmp1__global__ref0_214)) (* (- 14) tmp1__global__ref0_215)) (* 8 tmp1__global__ref0_216)) (* (- 2) tmp1__global__ref0_217)) 2) 4))) ; (tmp113__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_210) + (11 * tmp1__global__ref0_211)) + ((- 39) * tmp1__global__ref0_212)) + ((- 1) * tmp1__global__ref0_213)) + (41 * tmp1__global__ref0_214)) + ((- 14) * tmp1__global__ref0_215)) + (8 * tmp1__global__ref0_216)) + ((- 2) * tmp1__global__ref0_217)) + 2) div 4))
(assert (= tmp4__global__buf_112 tmp113__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_112 = tmp113__func_com_grad_x_l_nn__val)
(assert (= tmp114__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_211) (* 11 tmp1__global__ref0_212)) (* (- 39) tmp1__global__ref0_213)) (* (- 1) tmp1__global__ref0_214)) (* 41 tmp1__global__ref0_215)) (* (- 14) tmp1__global__ref0_216)) (* 8 tmp1__global__ref0_217)) (* (- 2) tmp1__global__ref0_218)) 2) 4))) ; (tmp114__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_211) + (11 * tmp1__global__ref0_212)) + ((- 39) * tmp1__global__ref0_213)) + ((- 1) * tmp1__global__ref0_214)) + (41 * tmp1__global__ref0_215)) + ((- 14) * tmp1__global__ref0_216)) + (8 * tmp1__global__ref0_217)) + ((- 2) * tmp1__global__ref0_218)) + 2) div 4))
(assert (= tmp4__global__buf_113 tmp114__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_113 = tmp114__func_com_grad_x_l_nn__val)
(assert (= tmp115__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_212) (* 11 tmp1__global__ref0_213)) (* (- 39) tmp1__global__ref0_214)) (* (- 1) tmp1__global__ref0_215)) (* 41 tmp1__global__ref0_216)) (* (- 14) tmp1__global__ref0_217)) (* 8 tmp1__global__ref0_218)) (* (- 2) tmp1__global__ref0_219)) 2) 4))) ; (tmp115__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_212) + (11 * tmp1__global__ref0_213)) + ((- 39) * tmp1__global__ref0_214)) + ((- 1) * tmp1__global__ref0_215)) + (41 * tmp1__global__ref0_216)) + ((- 14) * tmp1__global__ref0_217)) + (8 * tmp1__global__ref0_218)) + ((- 2) * tmp1__global__ref0_219)) + 2) div 4))
(assert (= tmp4__global__buf_114 tmp115__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_114 = tmp115__func_com_grad_x_l_nn__val)
(assert (= tmp116__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_213) (* 11 tmp1__global__ref0_214)) (* (- 39) tmp1__global__ref0_215)) (* (- 1) tmp1__global__ref0_216)) (* 41 tmp1__global__ref0_217)) (* (- 14) tmp1__global__ref0_218)) (* 8 tmp1__global__ref0_219)) (* (- 2) tmp1__global__ref0_220)) 2) 4))) ; (tmp116__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_213) + (11 * tmp1__global__ref0_214)) + ((- 39) * tmp1__global__ref0_215)) + ((- 1) * tmp1__global__ref0_216)) + (41 * tmp1__global__ref0_217)) + ((- 14) * tmp1__global__ref0_218)) + (8 * tmp1__global__ref0_219)) + ((- 2) * tmp1__global__ref0_220)) + 2) div 4))
(assert (= tmp4__global__buf_115 tmp116__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_115 = tmp116__func_com_grad_x_l_nn__val)
(assert (= tmp117__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_214) (* 11 tmp1__global__ref0_215)) (* (- 39) tmp1__global__ref0_216)) (* (- 1) tmp1__global__ref0_217)) (* 41 tmp1__global__ref0_218)) (* (- 14) tmp1__global__ref0_219)) (* 8 tmp1__global__ref0_220)) (* (- 2) tmp1__global__ref0_221)) 2) 4))) ; (tmp117__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_214) + (11 * tmp1__global__ref0_215)) + ((- 39) * tmp1__global__ref0_216)) + ((- 1) * tmp1__global__ref0_217)) + (41 * tmp1__global__ref0_218)) + ((- 14) * tmp1__global__ref0_219)) + (8 * tmp1__global__ref0_220)) + ((- 2) * tmp1__global__ref0_221)) + 2) div 4))
(assert (= tmp4__global__buf_116 tmp117__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_116 = tmp117__func_com_grad_x_l_nn__val)
(assert (= tmp118__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_215) (* 11 tmp1__global__ref0_216)) (* (- 39) tmp1__global__ref0_217)) (* (- 1) tmp1__global__ref0_218)) (* 41 tmp1__global__ref0_219)) (* (- 14) tmp1__global__ref0_220)) (* 8 tmp1__global__ref0_221)) (* (- 2) tmp1__global__ref0_222)) 2) 4))) ; (tmp118__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_215) + (11 * tmp1__global__ref0_216)) + ((- 39) * tmp1__global__ref0_217)) + ((- 1) * tmp1__global__ref0_218)) + (41 * tmp1__global__ref0_219)) + ((- 14) * tmp1__global__ref0_220)) + (8 * tmp1__global__ref0_221)) + ((- 2) * tmp1__global__ref0_222)) + 2) div 4))
(assert (= tmp4__global__buf_117 tmp118__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_117 = tmp118__func_com_grad_x_l_nn__val)
(assert (= tmp119__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_216) (* 11 tmp1__global__ref0_217)) (* (- 39) tmp1__global__ref0_218)) (* (- 1) tmp1__global__ref0_219)) (* 41 tmp1__global__ref0_220)) (* (- 14) tmp1__global__ref0_221)) (* 8 tmp1__global__ref0_222)) (* (- 2) tmp1__global__ref0_223)) 2) 4))) ; (tmp119__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_216) + (11 * tmp1__global__ref0_217)) + ((- 39) * tmp1__global__ref0_218)) + ((- 1) * tmp1__global__ref0_219)) + (41 * tmp1__global__ref0_220)) + ((- 14) * tmp1__global__ref0_221)) + (8 * tmp1__global__ref0_222)) + ((- 2) * tmp1__global__ref0_223)) + 2) div 4))
(assert (= tmp4__global__buf_118 tmp119__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_118 = tmp119__func_com_grad_x_l_nn__val)
(assert (= tmp120__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref0_217) (* 11 tmp1__global__ref0_218)) (* (- 39) tmp1__global__ref0_219)) (* (- 1) tmp1__global__ref0_220)) (* 41 tmp1__global__ref0_221)) (* (- 14) tmp1__global__ref0_222)) (* 8 tmp1__global__ref0_223)) (* (- 2) tmp1__global__ref0_224)) 2) 4))) ; (tmp120__func_com_grad_x_l_nn__val = (((((((((((- 4) * tmp1__global__ref0_217) + (11 * tmp1__global__ref0_218)) + ((- 39) * tmp1__global__ref0_219)) + ((- 1) * tmp1__global__ref0_220)) + (41 * tmp1__global__ref0_221)) + ((- 14) * tmp1__global__ref0_222)) + (8 * tmp1__global__ref0_223)) + ((- 2) * tmp1__global__ref0_224)) + 2) div 4))
(assert (= tmp4__global__buf_119 tmp120__func_com_grad_x_l_nn__val)) ; (tmp4__global__buf_119 = tmp120__func_com_grad_x_l_nn__val)
(assert (= tmp121__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_0) (* 4 tmp4__global__buf_8)) (* (- 10) tmp4__global__buf_16)) (* 57 tmp4__global__buf_24)) (* 19 tmp4__global__buf_32)) (* (- 7) tmp4__global__buf_40)) (* 3 tmp4__global__buf_48)) (* (- 1) tmp4__global__buf_56)) 8192) 16384))) ; (tmp121__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_0) + (4 * tmp4__global__buf_8)) + ((- 10) * tmp4__global__buf_16)) + (57 * tmp4__global__buf_24)) + (19 * tmp4__global__buf_32)) + ((- 7) * tmp4__global__buf_40)) + (3 * tmp4__global__buf_48)) + ((- 1) * tmp4__global__buf_56)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_0 tmp121__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_0 = tmp121__func_com_grad_x_l_nn__val)
(assert (= tmp122__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_1) (* 4 tmp4__global__buf_9)) (* (- 10) tmp4__global__buf_17)) (* 57 tmp4__global__buf_25)) (* 19 tmp4__global__buf_33)) (* (- 7) tmp4__global__buf_41)) (* 3 tmp4__global__buf_49)) (* (- 1) tmp4__global__buf_57)) 8192) 16384))) ; (tmp122__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_1) + (4 * tmp4__global__buf_9)) + ((- 10) * tmp4__global__buf_17)) + (57 * tmp4__global__buf_25)) + (19 * tmp4__global__buf_33)) + ((- 7) * tmp4__global__buf_41)) + (3 * tmp4__global__buf_49)) + ((- 1) * tmp4__global__buf_57)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_1 tmp122__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_1 = tmp122__func_com_grad_x_l_nn__val)
(assert (= tmp123__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_2) (* 4 tmp4__global__buf_10)) (* (- 10) tmp4__global__buf_18)) (* 57 tmp4__global__buf_26)) (* 19 tmp4__global__buf_34)) (* (- 7) tmp4__global__buf_42)) (* 3 tmp4__global__buf_50)) (* (- 1) tmp4__global__buf_58)) 8192) 16384))) ; (tmp123__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_2) + (4 * tmp4__global__buf_10)) + ((- 10) * tmp4__global__buf_18)) + (57 * tmp4__global__buf_26)) + (19 * tmp4__global__buf_34)) + ((- 7) * tmp4__global__buf_42)) + (3 * tmp4__global__buf_50)) + ((- 1) * tmp4__global__buf_58)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_2 tmp123__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_2 = tmp123__func_com_grad_x_l_nn__val)
(assert (= tmp124__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_3) (* 4 tmp4__global__buf_11)) (* (- 10) tmp4__global__buf_19)) (* 57 tmp4__global__buf_27)) (* 19 tmp4__global__buf_35)) (* (- 7) tmp4__global__buf_43)) (* 3 tmp4__global__buf_51)) (* (- 1) tmp4__global__buf_59)) 8192) 16384))) ; (tmp124__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_3) + (4 * tmp4__global__buf_11)) + ((- 10) * tmp4__global__buf_19)) + (57 * tmp4__global__buf_27)) + (19 * tmp4__global__buf_35)) + ((- 7) * tmp4__global__buf_43)) + (3 * tmp4__global__buf_51)) + ((- 1) * tmp4__global__buf_59)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_3 tmp124__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_3 = tmp124__func_com_grad_x_l_nn__val)
(assert (= tmp125__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_4) (* 4 tmp4__global__buf_12)) (* (- 10) tmp4__global__buf_20)) (* 57 tmp4__global__buf_28)) (* 19 tmp4__global__buf_36)) (* (- 7) tmp4__global__buf_44)) (* 3 tmp4__global__buf_52)) (* (- 1) tmp4__global__buf_60)) 8192) 16384))) ; (tmp125__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_4) + (4 * tmp4__global__buf_12)) + ((- 10) * tmp4__global__buf_20)) + (57 * tmp4__global__buf_28)) + (19 * tmp4__global__buf_36)) + ((- 7) * tmp4__global__buf_44)) + (3 * tmp4__global__buf_52)) + ((- 1) * tmp4__global__buf_60)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_4 tmp125__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_4 = tmp125__func_com_grad_x_l_nn__val)
(assert (= tmp126__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_5) (* 4 tmp4__global__buf_13)) (* (- 10) tmp4__global__buf_21)) (* 57 tmp4__global__buf_29)) (* 19 tmp4__global__buf_37)) (* (- 7) tmp4__global__buf_45)) (* 3 tmp4__global__buf_53)) (* (- 1) tmp4__global__buf_61)) 8192) 16384))) ; (tmp126__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_5) + (4 * tmp4__global__buf_13)) + ((- 10) * tmp4__global__buf_21)) + (57 * tmp4__global__buf_29)) + (19 * tmp4__global__buf_37)) + ((- 7) * tmp4__global__buf_45)) + (3 * tmp4__global__buf_53)) + ((- 1) * tmp4__global__buf_61)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_5 tmp126__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_5 = tmp126__func_com_grad_x_l_nn__val)
(assert (= tmp127__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_6) (* 4 tmp4__global__buf_14)) (* (- 10) tmp4__global__buf_22)) (* 57 tmp4__global__buf_30)) (* 19 tmp4__global__buf_38)) (* (- 7) tmp4__global__buf_46)) (* 3 tmp4__global__buf_54)) (* (- 1) tmp4__global__buf_62)) 8192) 16384))) ; (tmp127__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_6) + (4 * tmp4__global__buf_14)) + ((- 10) * tmp4__global__buf_22)) + (57 * tmp4__global__buf_30)) + (19 * tmp4__global__buf_38)) + ((- 7) * tmp4__global__buf_46)) + (3 * tmp4__global__buf_54)) + ((- 1) * tmp4__global__buf_62)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_6 tmp127__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_6 = tmp127__func_com_grad_x_l_nn__val)
(assert (= tmp128__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_7) (* 4 tmp4__global__buf_15)) (* (- 10) tmp4__global__buf_23)) (* 57 tmp4__global__buf_31)) (* 19 tmp4__global__buf_39)) (* (- 7) tmp4__global__buf_47)) (* 3 tmp4__global__buf_55)) (* (- 1) tmp4__global__buf_63)) 8192) 16384))) ; (tmp128__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_7) + (4 * tmp4__global__buf_15)) + ((- 10) * tmp4__global__buf_23)) + (57 * tmp4__global__buf_31)) + (19 * tmp4__global__buf_39)) + ((- 7) * tmp4__global__buf_47)) + (3 * tmp4__global__buf_55)) + ((- 1) * tmp4__global__buf_63)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_7 tmp128__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_7 = tmp128__func_com_grad_x_l_nn__val)
(assert (= tmp129__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_8) (* 4 tmp4__global__buf_16)) (* (- 10) tmp4__global__buf_24)) (* 57 tmp4__global__buf_32)) (* 19 tmp4__global__buf_40)) (* (- 7) tmp4__global__buf_48)) (* 3 tmp4__global__buf_56)) (* (- 1) tmp4__global__buf_64)) 8192) 16384))) ; (tmp129__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_8) + (4 * tmp4__global__buf_16)) + ((- 10) * tmp4__global__buf_24)) + (57 * tmp4__global__buf_32)) + (19 * tmp4__global__buf_40)) + ((- 7) * tmp4__global__buf_48)) + (3 * tmp4__global__buf_56)) + ((- 1) * tmp4__global__buf_64)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_8 tmp129__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_8 = tmp129__func_com_grad_x_l_nn__val)
(assert (= tmp130__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_9) (* 4 tmp4__global__buf_17)) (* (- 10) tmp4__global__buf_25)) (* 57 tmp4__global__buf_33)) (* 19 tmp4__global__buf_41)) (* (- 7) tmp4__global__buf_49)) (* 3 tmp4__global__buf_57)) (* (- 1) tmp4__global__buf_65)) 8192) 16384))) ; (tmp130__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_9) + (4 * tmp4__global__buf_17)) + ((- 10) * tmp4__global__buf_25)) + (57 * tmp4__global__buf_33)) + (19 * tmp4__global__buf_41)) + ((- 7) * tmp4__global__buf_49)) + (3 * tmp4__global__buf_57)) + ((- 1) * tmp4__global__buf_65)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_9 tmp130__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_9 = tmp130__func_com_grad_x_l_nn__val)
(assert (= tmp131__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_10) (* 4 tmp4__global__buf_18)) (* (- 10) tmp4__global__buf_26)) (* 57 tmp4__global__buf_34)) (* 19 tmp4__global__buf_42)) (* (- 7) tmp4__global__buf_50)) (* 3 tmp4__global__buf_58)) (* (- 1) tmp4__global__buf_66)) 8192) 16384))) ; (tmp131__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_10) + (4 * tmp4__global__buf_18)) + ((- 10) * tmp4__global__buf_26)) + (57 * tmp4__global__buf_34)) + (19 * tmp4__global__buf_42)) + ((- 7) * tmp4__global__buf_50)) + (3 * tmp4__global__buf_58)) + ((- 1) * tmp4__global__buf_66)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_10 tmp131__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_10 = tmp131__func_com_grad_x_l_nn__val)
(assert (= tmp132__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_11) (* 4 tmp4__global__buf_19)) (* (- 10) tmp4__global__buf_27)) (* 57 tmp4__global__buf_35)) (* 19 tmp4__global__buf_43)) (* (- 7) tmp4__global__buf_51)) (* 3 tmp4__global__buf_59)) (* (- 1) tmp4__global__buf_67)) 8192) 16384))) ; (tmp132__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_11) + (4 * tmp4__global__buf_19)) + ((- 10) * tmp4__global__buf_27)) + (57 * tmp4__global__buf_35)) + (19 * tmp4__global__buf_43)) + ((- 7) * tmp4__global__buf_51)) + (3 * tmp4__global__buf_59)) + ((- 1) * tmp4__global__buf_67)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_11 tmp132__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_11 = tmp132__func_com_grad_x_l_nn__val)
(assert (= tmp133__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_12) (* 4 tmp4__global__buf_20)) (* (- 10) tmp4__global__buf_28)) (* 57 tmp4__global__buf_36)) (* 19 tmp4__global__buf_44)) (* (- 7) tmp4__global__buf_52)) (* 3 tmp4__global__buf_60)) (* (- 1) tmp4__global__buf_68)) 8192) 16384))) ; (tmp133__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_12) + (4 * tmp4__global__buf_20)) + ((- 10) * tmp4__global__buf_28)) + (57 * tmp4__global__buf_36)) + (19 * tmp4__global__buf_44)) + ((- 7) * tmp4__global__buf_52)) + (3 * tmp4__global__buf_60)) + ((- 1) * tmp4__global__buf_68)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_12 tmp133__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_12 = tmp133__func_com_grad_x_l_nn__val)
(assert (= tmp134__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_13) (* 4 tmp4__global__buf_21)) (* (- 10) tmp4__global__buf_29)) (* 57 tmp4__global__buf_37)) (* 19 tmp4__global__buf_45)) (* (- 7) tmp4__global__buf_53)) (* 3 tmp4__global__buf_61)) (* (- 1) tmp4__global__buf_69)) 8192) 16384))) ; (tmp134__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_13) + (4 * tmp4__global__buf_21)) + ((- 10) * tmp4__global__buf_29)) + (57 * tmp4__global__buf_37)) + (19 * tmp4__global__buf_45)) + ((- 7) * tmp4__global__buf_53)) + (3 * tmp4__global__buf_61)) + ((- 1) * tmp4__global__buf_69)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_13 tmp134__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_13 = tmp134__func_com_grad_x_l_nn__val)
(assert (= tmp135__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_14) (* 4 tmp4__global__buf_22)) (* (- 10) tmp4__global__buf_30)) (* 57 tmp4__global__buf_38)) (* 19 tmp4__global__buf_46)) (* (- 7) tmp4__global__buf_54)) (* 3 tmp4__global__buf_62)) (* (- 1) tmp4__global__buf_70)) 8192) 16384))) ; (tmp135__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_14) + (4 * tmp4__global__buf_22)) + ((- 10) * tmp4__global__buf_30)) + (57 * tmp4__global__buf_38)) + (19 * tmp4__global__buf_46)) + ((- 7) * tmp4__global__buf_54)) + (3 * tmp4__global__buf_62)) + ((- 1) * tmp4__global__buf_70)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_14 tmp135__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_14 = tmp135__func_com_grad_x_l_nn__val)
(assert (= tmp136__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_15) (* 4 tmp4__global__buf_23)) (* (- 10) tmp4__global__buf_31)) (* 57 tmp4__global__buf_39)) (* 19 tmp4__global__buf_47)) (* (- 7) tmp4__global__buf_55)) (* 3 tmp4__global__buf_63)) (* (- 1) tmp4__global__buf_71)) 8192) 16384))) ; (tmp136__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_15) + (4 * tmp4__global__buf_23)) + ((- 10) * tmp4__global__buf_31)) + (57 * tmp4__global__buf_39)) + (19 * tmp4__global__buf_47)) + ((- 7) * tmp4__global__buf_55)) + (3 * tmp4__global__buf_63)) + ((- 1) * tmp4__global__buf_71)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_15 tmp136__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_15 = tmp136__func_com_grad_x_l_nn__val)
(assert (= tmp137__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_16) (* 4 tmp4__global__buf_24)) (* (- 10) tmp4__global__buf_32)) (* 57 tmp4__global__buf_40)) (* 19 tmp4__global__buf_48)) (* (- 7) tmp4__global__buf_56)) (* 3 tmp4__global__buf_64)) (* (- 1) tmp4__global__buf_72)) 8192) 16384))) ; (tmp137__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_16) + (4 * tmp4__global__buf_24)) + ((- 10) * tmp4__global__buf_32)) + (57 * tmp4__global__buf_40)) + (19 * tmp4__global__buf_48)) + ((- 7) * tmp4__global__buf_56)) + (3 * tmp4__global__buf_64)) + ((- 1) * tmp4__global__buf_72)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_16 tmp137__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_16 = tmp137__func_com_grad_x_l_nn__val)
(assert (= tmp138__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_17) (* 4 tmp4__global__buf_25)) (* (- 10) tmp4__global__buf_33)) (* 57 tmp4__global__buf_41)) (* 19 tmp4__global__buf_49)) (* (- 7) tmp4__global__buf_57)) (* 3 tmp4__global__buf_65)) (* (- 1) tmp4__global__buf_73)) 8192) 16384))) ; (tmp138__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_17) + (4 * tmp4__global__buf_25)) + ((- 10) * tmp4__global__buf_33)) + (57 * tmp4__global__buf_41)) + (19 * tmp4__global__buf_49)) + ((- 7) * tmp4__global__buf_57)) + (3 * tmp4__global__buf_65)) + ((- 1) * tmp4__global__buf_73)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_17 tmp138__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_17 = tmp138__func_com_grad_x_l_nn__val)
(assert (= tmp139__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_18) (* 4 tmp4__global__buf_26)) (* (- 10) tmp4__global__buf_34)) (* 57 tmp4__global__buf_42)) (* 19 tmp4__global__buf_50)) (* (- 7) tmp4__global__buf_58)) (* 3 tmp4__global__buf_66)) (* (- 1) tmp4__global__buf_74)) 8192) 16384))) ; (tmp139__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_18) + (4 * tmp4__global__buf_26)) + ((- 10) * tmp4__global__buf_34)) + (57 * tmp4__global__buf_42)) + (19 * tmp4__global__buf_50)) + ((- 7) * tmp4__global__buf_58)) + (3 * tmp4__global__buf_66)) + ((- 1) * tmp4__global__buf_74)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_18 tmp139__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_18 = tmp139__func_com_grad_x_l_nn__val)
(assert (= tmp140__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_19) (* 4 tmp4__global__buf_27)) (* (- 10) tmp4__global__buf_35)) (* 57 tmp4__global__buf_43)) (* 19 tmp4__global__buf_51)) (* (- 7) tmp4__global__buf_59)) (* 3 tmp4__global__buf_67)) (* (- 1) tmp4__global__buf_75)) 8192) 16384))) ; (tmp140__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_19) + (4 * tmp4__global__buf_27)) + ((- 10) * tmp4__global__buf_35)) + (57 * tmp4__global__buf_43)) + (19 * tmp4__global__buf_51)) + ((- 7) * tmp4__global__buf_59)) + (3 * tmp4__global__buf_67)) + ((- 1) * tmp4__global__buf_75)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_19 tmp140__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_19 = tmp140__func_com_grad_x_l_nn__val)
(assert (= tmp141__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_20) (* 4 tmp4__global__buf_28)) (* (- 10) tmp4__global__buf_36)) (* 57 tmp4__global__buf_44)) (* 19 tmp4__global__buf_52)) (* (- 7) tmp4__global__buf_60)) (* 3 tmp4__global__buf_68)) (* (- 1) tmp4__global__buf_76)) 8192) 16384))) ; (tmp141__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_20) + (4 * tmp4__global__buf_28)) + ((- 10) * tmp4__global__buf_36)) + (57 * tmp4__global__buf_44)) + (19 * tmp4__global__buf_52)) + ((- 7) * tmp4__global__buf_60)) + (3 * tmp4__global__buf_68)) + ((- 1) * tmp4__global__buf_76)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_20 tmp141__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_20 = tmp141__func_com_grad_x_l_nn__val)
(assert (= tmp142__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_21) (* 4 tmp4__global__buf_29)) (* (- 10) tmp4__global__buf_37)) (* 57 tmp4__global__buf_45)) (* 19 tmp4__global__buf_53)) (* (- 7) tmp4__global__buf_61)) (* 3 tmp4__global__buf_69)) (* (- 1) tmp4__global__buf_77)) 8192) 16384))) ; (tmp142__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_21) + (4 * tmp4__global__buf_29)) + ((- 10) * tmp4__global__buf_37)) + (57 * tmp4__global__buf_45)) + (19 * tmp4__global__buf_53)) + ((- 7) * tmp4__global__buf_61)) + (3 * tmp4__global__buf_69)) + ((- 1) * tmp4__global__buf_77)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_21 tmp142__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_21 = tmp142__func_com_grad_x_l_nn__val)
(assert (= tmp143__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_22) (* 4 tmp4__global__buf_30)) (* (- 10) tmp4__global__buf_38)) (* 57 tmp4__global__buf_46)) (* 19 tmp4__global__buf_54)) (* (- 7) tmp4__global__buf_62)) (* 3 tmp4__global__buf_70)) (* (- 1) tmp4__global__buf_78)) 8192) 16384))) ; (tmp143__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_22) + (4 * tmp4__global__buf_30)) + ((- 10) * tmp4__global__buf_38)) + (57 * tmp4__global__buf_46)) + (19 * tmp4__global__buf_54)) + ((- 7) * tmp4__global__buf_62)) + (3 * tmp4__global__buf_70)) + ((- 1) * tmp4__global__buf_78)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_22 tmp143__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_22 = tmp143__func_com_grad_x_l_nn__val)
(assert (= tmp144__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_23) (* 4 tmp4__global__buf_31)) (* (- 10) tmp4__global__buf_39)) (* 57 tmp4__global__buf_47)) (* 19 tmp4__global__buf_55)) (* (- 7) tmp4__global__buf_63)) (* 3 tmp4__global__buf_71)) (* (- 1) tmp4__global__buf_79)) 8192) 16384))) ; (tmp144__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_23) + (4 * tmp4__global__buf_31)) + ((- 10) * tmp4__global__buf_39)) + (57 * tmp4__global__buf_47)) + (19 * tmp4__global__buf_55)) + ((- 7) * tmp4__global__buf_63)) + (3 * tmp4__global__buf_71)) + ((- 1) * tmp4__global__buf_79)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_23 tmp144__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_23 = tmp144__func_com_grad_x_l_nn__val)
(assert (= tmp145__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_24) (* 4 tmp4__global__buf_32)) (* (- 10) tmp4__global__buf_40)) (* 57 tmp4__global__buf_48)) (* 19 tmp4__global__buf_56)) (* (- 7) tmp4__global__buf_64)) (* 3 tmp4__global__buf_72)) (* (- 1) tmp4__global__buf_80)) 8192) 16384))) ; (tmp145__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_24) + (4 * tmp4__global__buf_32)) + ((- 10) * tmp4__global__buf_40)) + (57 * tmp4__global__buf_48)) + (19 * tmp4__global__buf_56)) + ((- 7) * tmp4__global__buf_64)) + (3 * tmp4__global__buf_72)) + ((- 1) * tmp4__global__buf_80)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_24 tmp145__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_24 = tmp145__func_com_grad_x_l_nn__val)
(assert (= tmp146__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_25) (* 4 tmp4__global__buf_33)) (* (- 10) tmp4__global__buf_41)) (* 57 tmp4__global__buf_49)) (* 19 tmp4__global__buf_57)) (* (- 7) tmp4__global__buf_65)) (* 3 tmp4__global__buf_73)) (* (- 1) tmp4__global__buf_81)) 8192) 16384))) ; (tmp146__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_25) + (4 * tmp4__global__buf_33)) + ((- 10) * tmp4__global__buf_41)) + (57 * tmp4__global__buf_49)) + (19 * tmp4__global__buf_57)) + ((- 7) * tmp4__global__buf_65)) + (3 * tmp4__global__buf_73)) + ((- 1) * tmp4__global__buf_81)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_25 tmp146__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_25 = tmp146__func_com_grad_x_l_nn__val)
(assert (= tmp147__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_26) (* 4 tmp4__global__buf_34)) (* (- 10) tmp4__global__buf_42)) (* 57 tmp4__global__buf_50)) (* 19 tmp4__global__buf_58)) (* (- 7) tmp4__global__buf_66)) (* 3 tmp4__global__buf_74)) (* (- 1) tmp4__global__buf_82)) 8192) 16384))) ; (tmp147__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_26) + (4 * tmp4__global__buf_34)) + ((- 10) * tmp4__global__buf_42)) + (57 * tmp4__global__buf_50)) + (19 * tmp4__global__buf_58)) + ((- 7) * tmp4__global__buf_66)) + (3 * tmp4__global__buf_74)) + ((- 1) * tmp4__global__buf_82)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_26 tmp147__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_26 = tmp147__func_com_grad_x_l_nn__val)
(assert (= tmp148__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_27) (* 4 tmp4__global__buf_35)) (* (- 10) tmp4__global__buf_43)) (* 57 tmp4__global__buf_51)) (* 19 tmp4__global__buf_59)) (* (- 7) tmp4__global__buf_67)) (* 3 tmp4__global__buf_75)) (* (- 1) tmp4__global__buf_83)) 8192) 16384))) ; (tmp148__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_27) + (4 * tmp4__global__buf_35)) + ((- 10) * tmp4__global__buf_43)) + (57 * tmp4__global__buf_51)) + (19 * tmp4__global__buf_59)) + ((- 7) * tmp4__global__buf_67)) + (3 * tmp4__global__buf_75)) + ((- 1) * tmp4__global__buf_83)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_27 tmp148__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_27 = tmp148__func_com_grad_x_l_nn__val)
(assert (= tmp149__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_28) (* 4 tmp4__global__buf_36)) (* (- 10) tmp4__global__buf_44)) (* 57 tmp4__global__buf_52)) (* 19 tmp4__global__buf_60)) (* (- 7) tmp4__global__buf_68)) (* 3 tmp4__global__buf_76)) (* (- 1) tmp4__global__buf_84)) 8192) 16384))) ; (tmp149__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_28) + (4 * tmp4__global__buf_36)) + ((- 10) * tmp4__global__buf_44)) + (57 * tmp4__global__buf_52)) + (19 * tmp4__global__buf_60)) + ((- 7) * tmp4__global__buf_68)) + (3 * tmp4__global__buf_76)) + ((- 1) * tmp4__global__buf_84)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_28 tmp149__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_28 = tmp149__func_com_grad_x_l_nn__val)
(assert (= tmp150__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_29) (* 4 tmp4__global__buf_37)) (* (- 10) tmp4__global__buf_45)) (* 57 tmp4__global__buf_53)) (* 19 tmp4__global__buf_61)) (* (- 7) tmp4__global__buf_69)) (* 3 tmp4__global__buf_77)) (* (- 1) tmp4__global__buf_85)) 8192) 16384))) ; (tmp150__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_29) + (4 * tmp4__global__buf_37)) + ((- 10) * tmp4__global__buf_45)) + (57 * tmp4__global__buf_53)) + (19 * tmp4__global__buf_61)) + ((- 7) * tmp4__global__buf_69)) + (3 * tmp4__global__buf_77)) + ((- 1) * tmp4__global__buf_85)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_29 tmp150__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_29 = tmp150__func_com_grad_x_l_nn__val)
(assert (= tmp151__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_30) (* 4 tmp4__global__buf_38)) (* (- 10) tmp4__global__buf_46)) (* 57 tmp4__global__buf_54)) (* 19 tmp4__global__buf_62)) (* (- 7) tmp4__global__buf_70)) (* 3 tmp4__global__buf_78)) (* (- 1) tmp4__global__buf_86)) 8192) 16384))) ; (tmp151__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_30) + (4 * tmp4__global__buf_38)) + ((- 10) * tmp4__global__buf_46)) + (57 * tmp4__global__buf_54)) + (19 * tmp4__global__buf_62)) + ((- 7) * tmp4__global__buf_70)) + (3 * tmp4__global__buf_78)) + ((- 1) * tmp4__global__buf_86)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_30 tmp151__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_30 = tmp151__func_com_grad_x_l_nn__val)
(assert (= tmp152__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_31) (* 4 tmp4__global__buf_39)) (* (- 10) tmp4__global__buf_47)) (* 57 tmp4__global__buf_55)) (* 19 tmp4__global__buf_63)) (* (- 7) tmp4__global__buf_71)) (* 3 tmp4__global__buf_79)) (* (- 1) tmp4__global__buf_87)) 8192) 16384))) ; (tmp152__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_31) + (4 * tmp4__global__buf_39)) + ((- 10) * tmp4__global__buf_47)) + (57 * tmp4__global__buf_55)) + (19 * tmp4__global__buf_63)) + ((- 7) * tmp4__global__buf_71)) + (3 * tmp4__global__buf_79)) + ((- 1) * tmp4__global__buf_87)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_31 tmp152__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_31 = tmp152__func_com_grad_x_l_nn__val)
(assert (= tmp153__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_32) (* 4 tmp4__global__buf_40)) (* (- 10) tmp4__global__buf_48)) (* 57 tmp4__global__buf_56)) (* 19 tmp4__global__buf_64)) (* (- 7) tmp4__global__buf_72)) (* 3 tmp4__global__buf_80)) (* (- 1) tmp4__global__buf_88)) 8192) 16384))) ; (tmp153__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_32) + (4 * tmp4__global__buf_40)) + ((- 10) * tmp4__global__buf_48)) + (57 * tmp4__global__buf_56)) + (19 * tmp4__global__buf_64)) + ((- 7) * tmp4__global__buf_72)) + (3 * tmp4__global__buf_80)) + ((- 1) * tmp4__global__buf_88)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_32 tmp153__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_32 = tmp153__func_com_grad_x_l_nn__val)
(assert (= tmp154__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_33) (* 4 tmp4__global__buf_41)) (* (- 10) tmp4__global__buf_49)) (* 57 tmp4__global__buf_57)) (* 19 tmp4__global__buf_65)) (* (- 7) tmp4__global__buf_73)) (* 3 tmp4__global__buf_81)) (* (- 1) tmp4__global__buf_89)) 8192) 16384))) ; (tmp154__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_33) + (4 * tmp4__global__buf_41)) + ((- 10) * tmp4__global__buf_49)) + (57 * tmp4__global__buf_57)) + (19 * tmp4__global__buf_65)) + ((- 7) * tmp4__global__buf_73)) + (3 * tmp4__global__buf_81)) + ((- 1) * tmp4__global__buf_89)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_33 tmp154__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_33 = tmp154__func_com_grad_x_l_nn__val)
(assert (= tmp155__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_34) (* 4 tmp4__global__buf_42)) (* (- 10) tmp4__global__buf_50)) (* 57 tmp4__global__buf_58)) (* 19 tmp4__global__buf_66)) (* (- 7) tmp4__global__buf_74)) (* 3 tmp4__global__buf_82)) (* (- 1) tmp4__global__buf_90)) 8192) 16384))) ; (tmp155__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_34) + (4 * tmp4__global__buf_42)) + ((- 10) * tmp4__global__buf_50)) + (57 * tmp4__global__buf_58)) + (19 * tmp4__global__buf_66)) + ((- 7) * tmp4__global__buf_74)) + (3 * tmp4__global__buf_82)) + ((- 1) * tmp4__global__buf_90)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_34 tmp155__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_34 = tmp155__func_com_grad_x_l_nn__val)
(assert (= tmp156__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_35) (* 4 tmp4__global__buf_43)) (* (- 10) tmp4__global__buf_51)) (* 57 tmp4__global__buf_59)) (* 19 tmp4__global__buf_67)) (* (- 7) tmp4__global__buf_75)) (* 3 tmp4__global__buf_83)) (* (- 1) tmp4__global__buf_91)) 8192) 16384))) ; (tmp156__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_35) + (4 * tmp4__global__buf_43)) + ((- 10) * tmp4__global__buf_51)) + (57 * tmp4__global__buf_59)) + (19 * tmp4__global__buf_67)) + ((- 7) * tmp4__global__buf_75)) + (3 * tmp4__global__buf_83)) + ((- 1) * tmp4__global__buf_91)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_35 tmp156__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_35 = tmp156__func_com_grad_x_l_nn__val)
(assert (= tmp157__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_36) (* 4 tmp4__global__buf_44)) (* (- 10) tmp4__global__buf_52)) (* 57 tmp4__global__buf_60)) (* 19 tmp4__global__buf_68)) (* (- 7) tmp4__global__buf_76)) (* 3 tmp4__global__buf_84)) (* (- 1) tmp4__global__buf_92)) 8192) 16384))) ; (tmp157__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_36) + (4 * tmp4__global__buf_44)) + ((- 10) * tmp4__global__buf_52)) + (57 * tmp4__global__buf_60)) + (19 * tmp4__global__buf_68)) + ((- 7) * tmp4__global__buf_76)) + (3 * tmp4__global__buf_84)) + ((- 1) * tmp4__global__buf_92)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_36 tmp157__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_36 = tmp157__func_com_grad_x_l_nn__val)
(assert (= tmp158__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_37) (* 4 tmp4__global__buf_45)) (* (- 10) tmp4__global__buf_53)) (* 57 tmp4__global__buf_61)) (* 19 tmp4__global__buf_69)) (* (- 7) tmp4__global__buf_77)) (* 3 tmp4__global__buf_85)) (* (- 1) tmp4__global__buf_93)) 8192) 16384))) ; (tmp158__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_37) + (4 * tmp4__global__buf_45)) + ((- 10) * tmp4__global__buf_53)) + (57 * tmp4__global__buf_61)) + (19 * tmp4__global__buf_69)) + ((- 7) * tmp4__global__buf_77)) + (3 * tmp4__global__buf_85)) + ((- 1) * tmp4__global__buf_93)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_37 tmp158__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_37 = tmp158__func_com_grad_x_l_nn__val)
(assert (= tmp159__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_38) (* 4 tmp4__global__buf_46)) (* (- 10) tmp4__global__buf_54)) (* 57 tmp4__global__buf_62)) (* 19 tmp4__global__buf_70)) (* (- 7) tmp4__global__buf_78)) (* 3 tmp4__global__buf_86)) (* (- 1) tmp4__global__buf_94)) 8192) 16384))) ; (tmp159__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_38) + (4 * tmp4__global__buf_46)) + ((- 10) * tmp4__global__buf_54)) + (57 * tmp4__global__buf_62)) + (19 * tmp4__global__buf_70)) + ((- 7) * tmp4__global__buf_78)) + (3 * tmp4__global__buf_86)) + ((- 1) * tmp4__global__buf_94)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_38 tmp159__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_38 = tmp159__func_com_grad_x_l_nn__val)
(assert (= tmp160__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_39) (* 4 tmp4__global__buf_47)) (* (- 10) tmp4__global__buf_55)) (* 57 tmp4__global__buf_63)) (* 19 tmp4__global__buf_71)) (* (- 7) tmp4__global__buf_79)) (* 3 tmp4__global__buf_87)) (* (- 1) tmp4__global__buf_95)) 8192) 16384))) ; (tmp160__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_39) + (4 * tmp4__global__buf_47)) + ((- 10) * tmp4__global__buf_55)) + (57 * tmp4__global__buf_63)) + (19 * tmp4__global__buf_71)) + ((- 7) * tmp4__global__buf_79)) + (3 * tmp4__global__buf_87)) + ((- 1) * tmp4__global__buf_95)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_39 tmp160__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_39 = tmp160__func_com_grad_x_l_nn__val)
(assert (= tmp161__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_40) (* 4 tmp4__global__buf_48)) (* (- 10) tmp4__global__buf_56)) (* 57 tmp4__global__buf_64)) (* 19 tmp4__global__buf_72)) (* (- 7) tmp4__global__buf_80)) (* 3 tmp4__global__buf_88)) (* (- 1) tmp4__global__buf_96)) 8192) 16384))) ; (tmp161__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_40) + (4 * tmp4__global__buf_48)) + ((- 10) * tmp4__global__buf_56)) + (57 * tmp4__global__buf_64)) + (19 * tmp4__global__buf_72)) + ((- 7) * tmp4__global__buf_80)) + (3 * tmp4__global__buf_88)) + ((- 1) * tmp4__global__buf_96)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_40 tmp161__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_40 = tmp161__func_com_grad_x_l_nn__val)
(assert (= tmp162__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_41) (* 4 tmp4__global__buf_49)) (* (- 10) tmp4__global__buf_57)) (* 57 tmp4__global__buf_65)) (* 19 tmp4__global__buf_73)) (* (- 7) tmp4__global__buf_81)) (* 3 tmp4__global__buf_89)) (* (- 1) tmp4__global__buf_97)) 8192) 16384))) ; (tmp162__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_41) + (4 * tmp4__global__buf_49)) + ((- 10) * tmp4__global__buf_57)) + (57 * tmp4__global__buf_65)) + (19 * tmp4__global__buf_73)) + ((- 7) * tmp4__global__buf_81)) + (3 * tmp4__global__buf_89)) + ((- 1) * tmp4__global__buf_97)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_41 tmp162__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_41 = tmp162__func_com_grad_x_l_nn__val)
(assert (= tmp163__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_42) (* 4 tmp4__global__buf_50)) (* (- 10) tmp4__global__buf_58)) (* 57 tmp4__global__buf_66)) (* 19 tmp4__global__buf_74)) (* (- 7) tmp4__global__buf_82)) (* 3 tmp4__global__buf_90)) (* (- 1) tmp4__global__buf_98)) 8192) 16384))) ; (tmp163__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_42) + (4 * tmp4__global__buf_50)) + ((- 10) * tmp4__global__buf_58)) + (57 * tmp4__global__buf_66)) + (19 * tmp4__global__buf_74)) + ((- 7) * tmp4__global__buf_82)) + (3 * tmp4__global__buf_90)) + ((- 1) * tmp4__global__buf_98)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_42 tmp163__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_42 = tmp163__func_com_grad_x_l_nn__val)
(assert (= tmp164__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_43) (* 4 tmp4__global__buf_51)) (* (- 10) tmp4__global__buf_59)) (* 57 tmp4__global__buf_67)) (* 19 tmp4__global__buf_75)) (* (- 7) tmp4__global__buf_83)) (* 3 tmp4__global__buf_91)) (* (- 1) tmp4__global__buf_99)) 8192) 16384))) ; (tmp164__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_43) + (4 * tmp4__global__buf_51)) + ((- 10) * tmp4__global__buf_59)) + (57 * tmp4__global__buf_67)) + (19 * tmp4__global__buf_75)) + ((- 7) * tmp4__global__buf_83)) + (3 * tmp4__global__buf_91)) + ((- 1) * tmp4__global__buf_99)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_43 tmp164__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_43 = tmp164__func_com_grad_x_l_nn__val)
(assert (= tmp165__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_44) (* 4 tmp4__global__buf_52)) (* (- 10) tmp4__global__buf_60)) (* 57 tmp4__global__buf_68)) (* 19 tmp4__global__buf_76)) (* (- 7) tmp4__global__buf_84)) (* 3 tmp4__global__buf_92)) (* (- 1) tmp4__global__buf_100)) 8192) 16384))) ; (tmp165__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_44) + (4 * tmp4__global__buf_52)) + ((- 10) * tmp4__global__buf_60)) + (57 * tmp4__global__buf_68)) + (19 * tmp4__global__buf_76)) + ((- 7) * tmp4__global__buf_84)) + (3 * tmp4__global__buf_92)) + ((- 1) * tmp4__global__buf_100)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_44 tmp165__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_44 = tmp165__func_com_grad_x_l_nn__val)
(assert (= tmp166__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_45) (* 4 tmp4__global__buf_53)) (* (- 10) tmp4__global__buf_61)) (* 57 tmp4__global__buf_69)) (* 19 tmp4__global__buf_77)) (* (- 7) tmp4__global__buf_85)) (* 3 tmp4__global__buf_93)) (* (- 1) tmp4__global__buf_101)) 8192) 16384))) ; (tmp166__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_45) + (4 * tmp4__global__buf_53)) + ((- 10) * tmp4__global__buf_61)) + (57 * tmp4__global__buf_69)) + (19 * tmp4__global__buf_77)) + ((- 7) * tmp4__global__buf_85)) + (3 * tmp4__global__buf_93)) + ((- 1) * tmp4__global__buf_101)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_45 tmp166__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_45 = tmp166__func_com_grad_x_l_nn__val)
(assert (= tmp167__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_46) (* 4 tmp4__global__buf_54)) (* (- 10) tmp4__global__buf_62)) (* 57 tmp4__global__buf_70)) (* 19 tmp4__global__buf_78)) (* (- 7) tmp4__global__buf_86)) (* 3 tmp4__global__buf_94)) (* (- 1) tmp4__global__buf_102)) 8192) 16384))) ; (tmp167__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_46) + (4 * tmp4__global__buf_54)) + ((- 10) * tmp4__global__buf_62)) + (57 * tmp4__global__buf_70)) + (19 * tmp4__global__buf_78)) + ((- 7) * tmp4__global__buf_86)) + (3 * tmp4__global__buf_94)) + ((- 1) * tmp4__global__buf_102)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_46 tmp167__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_46 = tmp167__func_com_grad_x_l_nn__val)
(assert (= tmp168__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_47) (* 4 tmp4__global__buf_55)) (* (- 10) tmp4__global__buf_63)) (* 57 tmp4__global__buf_71)) (* 19 tmp4__global__buf_79)) (* (- 7) tmp4__global__buf_87)) (* 3 tmp4__global__buf_95)) (* (- 1) tmp4__global__buf_103)) 8192) 16384))) ; (tmp168__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_47) + (4 * tmp4__global__buf_55)) + ((- 10) * tmp4__global__buf_63)) + (57 * tmp4__global__buf_71)) + (19 * tmp4__global__buf_79)) + ((- 7) * tmp4__global__buf_87)) + (3 * tmp4__global__buf_95)) + ((- 1) * tmp4__global__buf_103)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_47 tmp168__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_47 = tmp168__func_com_grad_x_l_nn__val)
(assert (= tmp169__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_48) (* 4 tmp4__global__buf_56)) (* (- 10) tmp4__global__buf_64)) (* 57 tmp4__global__buf_72)) (* 19 tmp4__global__buf_80)) (* (- 7) tmp4__global__buf_88)) (* 3 tmp4__global__buf_96)) (* (- 1) tmp4__global__buf_104)) 8192) 16384))) ; (tmp169__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_48) + (4 * tmp4__global__buf_56)) + ((- 10) * tmp4__global__buf_64)) + (57 * tmp4__global__buf_72)) + (19 * tmp4__global__buf_80)) + ((- 7) * tmp4__global__buf_88)) + (3 * tmp4__global__buf_96)) + ((- 1) * tmp4__global__buf_104)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_48 tmp169__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_48 = tmp169__func_com_grad_x_l_nn__val)
(assert (= tmp170__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_49) (* 4 tmp4__global__buf_57)) (* (- 10) tmp4__global__buf_65)) (* 57 tmp4__global__buf_73)) (* 19 tmp4__global__buf_81)) (* (- 7) tmp4__global__buf_89)) (* 3 tmp4__global__buf_97)) (* (- 1) tmp4__global__buf_105)) 8192) 16384))) ; (tmp170__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_49) + (4 * tmp4__global__buf_57)) + ((- 10) * tmp4__global__buf_65)) + (57 * tmp4__global__buf_73)) + (19 * tmp4__global__buf_81)) + ((- 7) * tmp4__global__buf_89)) + (3 * tmp4__global__buf_97)) + ((- 1) * tmp4__global__buf_105)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_49 tmp170__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_49 = tmp170__func_com_grad_x_l_nn__val)
(assert (= tmp171__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_50) (* 4 tmp4__global__buf_58)) (* (- 10) tmp4__global__buf_66)) (* 57 tmp4__global__buf_74)) (* 19 tmp4__global__buf_82)) (* (- 7) tmp4__global__buf_90)) (* 3 tmp4__global__buf_98)) (* (- 1) tmp4__global__buf_106)) 8192) 16384))) ; (tmp171__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_50) + (4 * tmp4__global__buf_58)) + ((- 10) * tmp4__global__buf_66)) + (57 * tmp4__global__buf_74)) + (19 * tmp4__global__buf_82)) + ((- 7) * tmp4__global__buf_90)) + (3 * tmp4__global__buf_98)) + ((- 1) * tmp4__global__buf_106)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_50 tmp171__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_50 = tmp171__func_com_grad_x_l_nn__val)
(assert (= tmp172__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_51) (* 4 tmp4__global__buf_59)) (* (- 10) tmp4__global__buf_67)) (* 57 tmp4__global__buf_75)) (* 19 tmp4__global__buf_83)) (* (- 7) tmp4__global__buf_91)) (* 3 tmp4__global__buf_99)) (* (- 1) tmp4__global__buf_107)) 8192) 16384))) ; (tmp172__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_51) + (4 * tmp4__global__buf_59)) + ((- 10) * tmp4__global__buf_67)) + (57 * tmp4__global__buf_75)) + (19 * tmp4__global__buf_83)) + ((- 7) * tmp4__global__buf_91)) + (3 * tmp4__global__buf_99)) + ((- 1) * tmp4__global__buf_107)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_51 tmp172__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_51 = tmp172__func_com_grad_x_l_nn__val)
(assert (= tmp173__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_52) (* 4 tmp4__global__buf_60)) (* (- 10) tmp4__global__buf_68)) (* 57 tmp4__global__buf_76)) (* 19 tmp4__global__buf_84)) (* (- 7) tmp4__global__buf_92)) (* 3 tmp4__global__buf_100)) (* (- 1) tmp4__global__buf_108)) 8192) 16384))) ; (tmp173__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_52) + (4 * tmp4__global__buf_60)) + ((- 10) * tmp4__global__buf_68)) + (57 * tmp4__global__buf_76)) + (19 * tmp4__global__buf_84)) + ((- 7) * tmp4__global__buf_92)) + (3 * tmp4__global__buf_100)) + ((- 1) * tmp4__global__buf_108)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_52 tmp173__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_52 = tmp173__func_com_grad_x_l_nn__val)
(assert (= tmp174__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_53) (* 4 tmp4__global__buf_61)) (* (- 10) tmp4__global__buf_69)) (* 57 tmp4__global__buf_77)) (* 19 tmp4__global__buf_85)) (* (- 7) tmp4__global__buf_93)) (* 3 tmp4__global__buf_101)) (* (- 1) tmp4__global__buf_109)) 8192) 16384))) ; (tmp174__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_53) + (4 * tmp4__global__buf_61)) + ((- 10) * tmp4__global__buf_69)) + (57 * tmp4__global__buf_77)) + (19 * tmp4__global__buf_85)) + ((- 7) * tmp4__global__buf_93)) + (3 * tmp4__global__buf_101)) + ((- 1) * tmp4__global__buf_109)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_53 tmp174__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_53 = tmp174__func_com_grad_x_l_nn__val)
(assert (= tmp175__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_54) (* 4 tmp4__global__buf_62)) (* (- 10) tmp4__global__buf_70)) (* 57 tmp4__global__buf_78)) (* 19 tmp4__global__buf_86)) (* (- 7) tmp4__global__buf_94)) (* 3 tmp4__global__buf_102)) (* (- 1) tmp4__global__buf_110)) 8192) 16384))) ; (tmp175__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_54) + (4 * tmp4__global__buf_62)) + ((- 10) * tmp4__global__buf_70)) + (57 * tmp4__global__buf_78)) + (19 * tmp4__global__buf_86)) + ((- 7) * tmp4__global__buf_94)) + (3 * tmp4__global__buf_102)) + ((- 1) * tmp4__global__buf_110)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_54 tmp175__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_54 = tmp175__func_com_grad_x_l_nn__val)
(assert (= tmp176__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_55) (* 4 tmp4__global__buf_63)) (* (- 10) tmp4__global__buf_71)) (* 57 tmp4__global__buf_79)) (* 19 tmp4__global__buf_87)) (* (- 7) tmp4__global__buf_95)) (* 3 tmp4__global__buf_103)) (* (- 1) tmp4__global__buf_111)) 8192) 16384))) ; (tmp176__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_55) + (4 * tmp4__global__buf_63)) + ((- 10) * tmp4__global__buf_71)) + (57 * tmp4__global__buf_79)) + (19 * tmp4__global__buf_87)) + ((- 7) * tmp4__global__buf_95)) + (3 * tmp4__global__buf_103)) + ((- 1) * tmp4__global__buf_111)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_55 tmp176__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_55 = tmp176__func_com_grad_x_l_nn__val)
(assert (= tmp177__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_56) (* 4 tmp4__global__buf_64)) (* (- 10) tmp4__global__buf_72)) (* 57 tmp4__global__buf_80)) (* 19 tmp4__global__buf_88)) (* (- 7) tmp4__global__buf_96)) (* 3 tmp4__global__buf_104)) (* (- 1) tmp4__global__buf_112)) 8192) 16384))) ; (tmp177__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_56) + (4 * tmp4__global__buf_64)) + ((- 10) * tmp4__global__buf_72)) + (57 * tmp4__global__buf_80)) + (19 * tmp4__global__buf_88)) + ((- 7) * tmp4__global__buf_96)) + (3 * tmp4__global__buf_104)) + ((- 1) * tmp4__global__buf_112)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_56 tmp177__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_56 = tmp177__func_com_grad_x_l_nn__val)
(assert (= tmp178__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_57) (* 4 tmp4__global__buf_65)) (* (- 10) tmp4__global__buf_73)) (* 57 tmp4__global__buf_81)) (* 19 tmp4__global__buf_89)) (* (- 7) tmp4__global__buf_97)) (* 3 tmp4__global__buf_105)) (* (- 1) tmp4__global__buf_113)) 8192) 16384))) ; (tmp178__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_57) + (4 * tmp4__global__buf_65)) + ((- 10) * tmp4__global__buf_73)) + (57 * tmp4__global__buf_81)) + (19 * tmp4__global__buf_89)) + ((- 7) * tmp4__global__buf_97)) + (3 * tmp4__global__buf_105)) + ((- 1) * tmp4__global__buf_113)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_57 tmp178__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_57 = tmp178__func_com_grad_x_l_nn__val)
(assert (= tmp179__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_58) (* 4 tmp4__global__buf_66)) (* (- 10) tmp4__global__buf_74)) (* 57 tmp4__global__buf_82)) (* 19 tmp4__global__buf_90)) (* (- 7) tmp4__global__buf_98)) (* 3 tmp4__global__buf_106)) (* (- 1) tmp4__global__buf_114)) 8192) 16384))) ; (tmp179__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_58) + (4 * tmp4__global__buf_66)) + ((- 10) * tmp4__global__buf_74)) + (57 * tmp4__global__buf_82)) + (19 * tmp4__global__buf_90)) + ((- 7) * tmp4__global__buf_98)) + (3 * tmp4__global__buf_106)) + ((- 1) * tmp4__global__buf_114)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_58 tmp179__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_58 = tmp179__func_com_grad_x_l_nn__val)
(assert (= tmp180__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_59) (* 4 tmp4__global__buf_67)) (* (- 10) tmp4__global__buf_75)) (* 57 tmp4__global__buf_83)) (* 19 tmp4__global__buf_91)) (* (- 7) tmp4__global__buf_99)) (* 3 tmp4__global__buf_107)) (* (- 1) tmp4__global__buf_115)) 8192) 16384))) ; (tmp180__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_59) + (4 * tmp4__global__buf_67)) + ((- 10) * tmp4__global__buf_75)) + (57 * tmp4__global__buf_83)) + (19 * tmp4__global__buf_91)) + ((- 7) * tmp4__global__buf_99)) + (3 * tmp4__global__buf_107)) + ((- 1) * tmp4__global__buf_115)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_59 tmp180__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_59 = tmp180__func_com_grad_x_l_nn__val)
(assert (= tmp181__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_60) (* 4 tmp4__global__buf_68)) (* (- 10) tmp4__global__buf_76)) (* 57 tmp4__global__buf_84)) (* 19 tmp4__global__buf_92)) (* (- 7) tmp4__global__buf_100)) (* 3 tmp4__global__buf_108)) (* (- 1) tmp4__global__buf_116)) 8192) 16384))) ; (tmp181__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_60) + (4 * tmp4__global__buf_68)) + ((- 10) * tmp4__global__buf_76)) + (57 * tmp4__global__buf_84)) + (19 * tmp4__global__buf_92)) + ((- 7) * tmp4__global__buf_100)) + (3 * tmp4__global__buf_108)) + ((- 1) * tmp4__global__buf_116)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_60 tmp181__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_60 = tmp181__func_com_grad_x_l_nn__val)
(assert (= tmp182__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_61) (* 4 tmp4__global__buf_69)) (* (- 10) tmp4__global__buf_77)) (* 57 tmp4__global__buf_85)) (* 19 tmp4__global__buf_93)) (* (- 7) tmp4__global__buf_101)) (* 3 tmp4__global__buf_109)) (* (- 1) tmp4__global__buf_117)) 8192) 16384))) ; (tmp182__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_61) + (4 * tmp4__global__buf_69)) + ((- 10) * tmp4__global__buf_77)) + (57 * tmp4__global__buf_85)) + (19 * tmp4__global__buf_93)) + ((- 7) * tmp4__global__buf_101)) + (3 * tmp4__global__buf_109)) + ((- 1) * tmp4__global__buf_117)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_61 tmp182__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_61 = tmp182__func_com_grad_x_l_nn__val)
(assert (= tmp183__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_62) (* 4 tmp4__global__buf_70)) (* (- 10) tmp4__global__buf_78)) (* 57 tmp4__global__buf_86)) (* 19 tmp4__global__buf_94)) (* (- 7) tmp4__global__buf_102)) (* 3 tmp4__global__buf_110)) (* (- 1) tmp4__global__buf_118)) 8192) 16384))) ; (tmp183__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_62) + (4 * tmp4__global__buf_70)) + ((- 10) * tmp4__global__buf_78)) + (57 * tmp4__global__buf_86)) + (19 * tmp4__global__buf_94)) + ((- 7) * tmp4__global__buf_102)) + (3 * tmp4__global__buf_110)) + ((- 1) * tmp4__global__buf_118)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_62 tmp183__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_62 = tmp183__func_com_grad_x_l_nn__val)
(assert (= tmp184__func_com_grad_x_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp4__global__buf_63) (* 4 tmp4__global__buf_71)) (* (- 10) tmp4__global__buf_79)) (* 57 tmp4__global__buf_87)) (* 19 tmp4__global__buf_95)) (* (- 7) tmp4__global__buf_103)) (* 3 tmp4__global__buf_111)) (* (- 1) tmp4__global__buf_119)) 8192) 16384))) ; (tmp184__func_com_grad_x_l_nn__val = (((((((((((- 1) * tmp4__global__buf_63) + (4 * tmp4__global__buf_71)) + ((- 10) * tmp4__global__buf_79)) + (57 * tmp4__global__buf_87)) + (19 * tmp4__global__buf_95)) + ((- 7) * tmp4__global__buf_103)) + (3 * tmp4__global__buf_111)) + ((- 1) * tmp4__global__buf_119)) + 8192) div 16384))
(assert (= tmp1__global__gradXL0_63 tmp184__func_com_grad_x_l_nn__val)) ; (tmp1__global__gradXL0_63 = tmp184__func_com_grad_x_l_nn__val)
(assert (= tmp1__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_0) (* 0 tmp1__global__ref0_1)) (* 0 tmp1__global__ref0_2)) (* 64 tmp1__global__ref0_3)) (* 0 tmp1__global__ref0_4)) (* 0 tmp1__global__ref0_5)) (* 0 tmp1__global__ref0_6)) (* 0 tmp1__global__ref0_7)) 2) 4))) ; (tmp1__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_0) + (0 * tmp1__global__ref0_1)) + (0 * tmp1__global__ref0_2)) + (64 * tmp1__global__ref0_3)) + (0 * tmp1__global__ref0_4)) + (0 * tmp1__global__ref0_5)) + (0 * tmp1__global__ref0_6)) + (0 * tmp1__global__ref0_7)) + 2) div 4))
(assert (= tmp5__global__buf_0 tmp1__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_0 = tmp1__func_com_grad_y_l_nn__val)
(assert (= tmp2__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_1) (* 0 tmp1__global__ref0_2)) (* 0 tmp1__global__ref0_3)) (* 64 tmp1__global__ref0_4)) (* 0 tmp1__global__ref0_5)) (* 0 tmp1__global__ref0_6)) (* 0 tmp1__global__ref0_7)) (* 0 tmp1__global__ref0_8)) 2) 4))) ; (tmp2__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_1) + (0 * tmp1__global__ref0_2)) + (0 * tmp1__global__ref0_3)) + (64 * tmp1__global__ref0_4)) + (0 * tmp1__global__ref0_5)) + (0 * tmp1__global__ref0_6)) + (0 * tmp1__global__ref0_7)) + (0 * tmp1__global__ref0_8)) + 2) div 4))
(assert (= tmp5__global__buf_1 tmp2__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_1 = tmp2__func_com_grad_y_l_nn__val)
(assert (= tmp3__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_2) (* 0 tmp1__global__ref0_3)) (* 0 tmp1__global__ref0_4)) (* 64 tmp1__global__ref0_5)) (* 0 tmp1__global__ref0_6)) (* 0 tmp1__global__ref0_7)) (* 0 tmp1__global__ref0_8)) (* 0 tmp1__global__ref0_9)) 2) 4))) ; (tmp3__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_2) + (0 * tmp1__global__ref0_3)) + (0 * tmp1__global__ref0_4)) + (64 * tmp1__global__ref0_5)) + (0 * tmp1__global__ref0_6)) + (0 * tmp1__global__ref0_7)) + (0 * tmp1__global__ref0_8)) + (0 * tmp1__global__ref0_9)) + 2) div 4))
(assert (= tmp5__global__buf_2 tmp3__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_2 = tmp3__func_com_grad_y_l_nn__val)
(assert (= tmp4__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_3) (* 0 tmp1__global__ref0_4)) (* 0 tmp1__global__ref0_5)) (* 64 tmp1__global__ref0_6)) (* 0 tmp1__global__ref0_7)) (* 0 tmp1__global__ref0_8)) (* 0 tmp1__global__ref0_9)) (* 0 tmp1__global__ref0_10)) 2) 4))) ; (tmp4__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_3) + (0 * tmp1__global__ref0_4)) + (0 * tmp1__global__ref0_5)) + (64 * tmp1__global__ref0_6)) + (0 * tmp1__global__ref0_7)) + (0 * tmp1__global__ref0_8)) + (0 * tmp1__global__ref0_9)) + (0 * tmp1__global__ref0_10)) + 2) div 4))
(assert (= tmp5__global__buf_3 tmp4__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_3 = tmp4__func_com_grad_y_l_nn__val)
(assert (= tmp5__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_4) (* 0 tmp1__global__ref0_5)) (* 0 tmp1__global__ref0_6)) (* 64 tmp1__global__ref0_7)) (* 0 tmp1__global__ref0_8)) (* 0 tmp1__global__ref0_9)) (* 0 tmp1__global__ref0_10)) (* 0 tmp1__global__ref0_11)) 2) 4))) ; (tmp5__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_4) + (0 * tmp1__global__ref0_5)) + (0 * tmp1__global__ref0_6)) + (64 * tmp1__global__ref0_7)) + (0 * tmp1__global__ref0_8)) + (0 * tmp1__global__ref0_9)) + (0 * tmp1__global__ref0_10)) + (0 * tmp1__global__ref0_11)) + 2) div 4))
(assert (= tmp5__global__buf_4 tmp5__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_4 = tmp5__func_com_grad_y_l_nn__val)
(assert (= tmp6__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_5) (* 0 tmp1__global__ref0_6)) (* 0 tmp1__global__ref0_7)) (* 64 tmp1__global__ref0_8)) (* 0 tmp1__global__ref0_9)) (* 0 tmp1__global__ref0_10)) (* 0 tmp1__global__ref0_11)) (* 0 tmp1__global__ref0_12)) 2) 4))) ; (tmp6__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_5) + (0 * tmp1__global__ref0_6)) + (0 * tmp1__global__ref0_7)) + (64 * tmp1__global__ref0_8)) + (0 * tmp1__global__ref0_9)) + (0 * tmp1__global__ref0_10)) + (0 * tmp1__global__ref0_11)) + (0 * tmp1__global__ref0_12)) + 2) div 4))
(assert (= tmp5__global__buf_5 tmp6__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_5 = tmp6__func_com_grad_y_l_nn__val)
(assert (= tmp7__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_6) (* 0 tmp1__global__ref0_7)) (* 0 tmp1__global__ref0_8)) (* 64 tmp1__global__ref0_9)) (* 0 tmp1__global__ref0_10)) (* 0 tmp1__global__ref0_11)) (* 0 tmp1__global__ref0_12)) (* 0 tmp1__global__ref0_13)) 2) 4))) ; (tmp7__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_6) + (0 * tmp1__global__ref0_7)) + (0 * tmp1__global__ref0_8)) + (64 * tmp1__global__ref0_9)) + (0 * tmp1__global__ref0_10)) + (0 * tmp1__global__ref0_11)) + (0 * tmp1__global__ref0_12)) + (0 * tmp1__global__ref0_13)) + 2) div 4))
(assert (= tmp5__global__buf_6 tmp7__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_6 = tmp7__func_com_grad_y_l_nn__val)
(assert (= tmp8__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_7) (* 0 tmp1__global__ref0_8)) (* 0 tmp1__global__ref0_9)) (* 64 tmp1__global__ref0_10)) (* 0 tmp1__global__ref0_11)) (* 0 tmp1__global__ref0_12)) (* 0 tmp1__global__ref0_13)) (* 0 tmp1__global__ref0_14)) 2) 4))) ; (tmp8__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_7) + (0 * tmp1__global__ref0_8)) + (0 * tmp1__global__ref0_9)) + (64 * tmp1__global__ref0_10)) + (0 * tmp1__global__ref0_11)) + (0 * tmp1__global__ref0_12)) + (0 * tmp1__global__ref0_13)) + (0 * tmp1__global__ref0_14)) + 2) div 4))
(assert (= tmp5__global__buf_7 tmp8__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_7 = tmp8__func_com_grad_y_l_nn__val)
(assert (= tmp9__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_15) (* 0 tmp1__global__ref0_16)) (* 0 tmp1__global__ref0_17)) (* 64 tmp1__global__ref0_18)) (* 0 tmp1__global__ref0_19)) (* 0 tmp1__global__ref0_20)) (* 0 tmp1__global__ref0_21)) (* 0 tmp1__global__ref0_22)) 2) 4))) ; (tmp9__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_15) + (0 * tmp1__global__ref0_16)) + (0 * tmp1__global__ref0_17)) + (64 * tmp1__global__ref0_18)) + (0 * tmp1__global__ref0_19)) + (0 * tmp1__global__ref0_20)) + (0 * tmp1__global__ref0_21)) + (0 * tmp1__global__ref0_22)) + 2) div 4))
(assert (= tmp5__global__buf_8 tmp9__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_8 = tmp9__func_com_grad_y_l_nn__val)
(assert (= tmp10__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_16) (* 0 tmp1__global__ref0_17)) (* 0 tmp1__global__ref0_18)) (* 64 tmp1__global__ref0_19)) (* 0 tmp1__global__ref0_20)) (* 0 tmp1__global__ref0_21)) (* 0 tmp1__global__ref0_22)) (* 0 tmp1__global__ref0_23)) 2) 4))) ; (tmp10__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_16) + (0 * tmp1__global__ref0_17)) + (0 * tmp1__global__ref0_18)) + (64 * tmp1__global__ref0_19)) + (0 * tmp1__global__ref0_20)) + (0 * tmp1__global__ref0_21)) + (0 * tmp1__global__ref0_22)) + (0 * tmp1__global__ref0_23)) + 2) div 4))
(assert (= tmp5__global__buf_9 tmp10__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_9 = tmp10__func_com_grad_y_l_nn__val)
(assert (= tmp11__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_17) (* 0 tmp1__global__ref0_18)) (* 0 tmp1__global__ref0_19)) (* 64 tmp1__global__ref0_20)) (* 0 tmp1__global__ref0_21)) (* 0 tmp1__global__ref0_22)) (* 0 tmp1__global__ref0_23)) (* 0 tmp1__global__ref0_24)) 2) 4))) ; (tmp11__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_17) + (0 * tmp1__global__ref0_18)) + (0 * tmp1__global__ref0_19)) + (64 * tmp1__global__ref0_20)) + (0 * tmp1__global__ref0_21)) + (0 * tmp1__global__ref0_22)) + (0 * tmp1__global__ref0_23)) + (0 * tmp1__global__ref0_24)) + 2) div 4))
(assert (= tmp5__global__buf_10 tmp11__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_10 = tmp11__func_com_grad_y_l_nn__val)
(assert (= tmp12__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_18) (* 0 tmp1__global__ref0_19)) (* 0 tmp1__global__ref0_20)) (* 64 tmp1__global__ref0_21)) (* 0 tmp1__global__ref0_22)) (* 0 tmp1__global__ref0_23)) (* 0 tmp1__global__ref0_24)) (* 0 tmp1__global__ref0_25)) 2) 4))) ; (tmp12__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_18) + (0 * tmp1__global__ref0_19)) + (0 * tmp1__global__ref0_20)) + (64 * tmp1__global__ref0_21)) + (0 * tmp1__global__ref0_22)) + (0 * tmp1__global__ref0_23)) + (0 * tmp1__global__ref0_24)) + (0 * tmp1__global__ref0_25)) + 2) div 4))
(assert (= tmp5__global__buf_11 tmp12__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_11 = tmp12__func_com_grad_y_l_nn__val)
(assert (= tmp13__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_19) (* 0 tmp1__global__ref0_20)) (* 0 tmp1__global__ref0_21)) (* 64 tmp1__global__ref0_22)) (* 0 tmp1__global__ref0_23)) (* 0 tmp1__global__ref0_24)) (* 0 tmp1__global__ref0_25)) (* 0 tmp1__global__ref0_26)) 2) 4))) ; (tmp13__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_19) + (0 * tmp1__global__ref0_20)) + (0 * tmp1__global__ref0_21)) + (64 * tmp1__global__ref0_22)) + (0 * tmp1__global__ref0_23)) + (0 * tmp1__global__ref0_24)) + (0 * tmp1__global__ref0_25)) + (0 * tmp1__global__ref0_26)) + 2) div 4))
(assert (= tmp5__global__buf_12 tmp13__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_12 = tmp13__func_com_grad_y_l_nn__val)
(assert (= tmp14__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_20) (* 0 tmp1__global__ref0_21)) (* 0 tmp1__global__ref0_22)) (* 64 tmp1__global__ref0_23)) (* 0 tmp1__global__ref0_24)) (* 0 tmp1__global__ref0_25)) (* 0 tmp1__global__ref0_26)) (* 0 tmp1__global__ref0_27)) 2) 4))) ; (tmp14__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_20) + (0 * tmp1__global__ref0_21)) + (0 * tmp1__global__ref0_22)) + (64 * tmp1__global__ref0_23)) + (0 * tmp1__global__ref0_24)) + (0 * tmp1__global__ref0_25)) + (0 * tmp1__global__ref0_26)) + (0 * tmp1__global__ref0_27)) + 2) div 4))
(assert (= tmp5__global__buf_13 tmp14__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_13 = tmp14__func_com_grad_y_l_nn__val)
(assert (= tmp15__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_21) (* 0 tmp1__global__ref0_22)) (* 0 tmp1__global__ref0_23)) (* 64 tmp1__global__ref0_24)) (* 0 tmp1__global__ref0_25)) (* 0 tmp1__global__ref0_26)) (* 0 tmp1__global__ref0_27)) (* 0 tmp1__global__ref0_28)) 2) 4))) ; (tmp15__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_21) + (0 * tmp1__global__ref0_22)) + (0 * tmp1__global__ref0_23)) + (64 * tmp1__global__ref0_24)) + (0 * tmp1__global__ref0_25)) + (0 * tmp1__global__ref0_26)) + (0 * tmp1__global__ref0_27)) + (0 * tmp1__global__ref0_28)) + 2) div 4))
(assert (= tmp5__global__buf_14 tmp15__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_14 = tmp15__func_com_grad_y_l_nn__val)
(assert (= tmp16__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_22) (* 0 tmp1__global__ref0_23)) (* 0 tmp1__global__ref0_24)) (* 64 tmp1__global__ref0_25)) (* 0 tmp1__global__ref0_26)) (* 0 tmp1__global__ref0_27)) (* 0 tmp1__global__ref0_28)) (* 0 tmp1__global__ref0_29)) 2) 4))) ; (tmp16__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_22) + (0 * tmp1__global__ref0_23)) + (0 * tmp1__global__ref0_24)) + (64 * tmp1__global__ref0_25)) + (0 * tmp1__global__ref0_26)) + (0 * tmp1__global__ref0_27)) + (0 * tmp1__global__ref0_28)) + (0 * tmp1__global__ref0_29)) + 2) div 4))
(assert (= tmp5__global__buf_15 tmp16__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_15 = tmp16__func_com_grad_y_l_nn__val)
(assert (= tmp17__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_30) (* 0 tmp1__global__ref0_31)) (* 0 tmp1__global__ref0_32)) (* 64 tmp1__global__ref0_33)) (* 0 tmp1__global__ref0_34)) (* 0 tmp1__global__ref0_35)) (* 0 tmp1__global__ref0_36)) (* 0 tmp1__global__ref0_37)) 2) 4))) ; (tmp17__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_30) + (0 * tmp1__global__ref0_31)) + (0 * tmp1__global__ref0_32)) + (64 * tmp1__global__ref0_33)) + (0 * tmp1__global__ref0_34)) + (0 * tmp1__global__ref0_35)) + (0 * tmp1__global__ref0_36)) + (0 * tmp1__global__ref0_37)) + 2) div 4))
(assert (= tmp5__global__buf_16 tmp17__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_16 = tmp17__func_com_grad_y_l_nn__val)
(assert (= tmp18__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_31) (* 0 tmp1__global__ref0_32)) (* 0 tmp1__global__ref0_33)) (* 64 tmp1__global__ref0_34)) (* 0 tmp1__global__ref0_35)) (* 0 tmp1__global__ref0_36)) (* 0 tmp1__global__ref0_37)) (* 0 tmp1__global__ref0_38)) 2) 4))) ; (tmp18__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_31) + (0 * tmp1__global__ref0_32)) + (0 * tmp1__global__ref0_33)) + (64 * tmp1__global__ref0_34)) + (0 * tmp1__global__ref0_35)) + (0 * tmp1__global__ref0_36)) + (0 * tmp1__global__ref0_37)) + (0 * tmp1__global__ref0_38)) + 2) div 4))
(assert (= tmp5__global__buf_17 tmp18__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_17 = tmp18__func_com_grad_y_l_nn__val)
(assert (= tmp19__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_32) (* 0 tmp1__global__ref0_33)) (* 0 tmp1__global__ref0_34)) (* 64 tmp1__global__ref0_35)) (* 0 tmp1__global__ref0_36)) (* 0 tmp1__global__ref0_37)) (* 0 tmp1__global__ref0_38)) (* 0 tmp1__global__ref0_39)) 2) 4))) ; (tmp19__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_32) + (0 * tmp1__global__ref0_33)) + (0 * tmp1__global__ref0_34)) + (64 * tmp1__global__ref0_35)) + (0 * tmp1__global__ref0_36)) + (0 * tmp1__global__ref0_37)) + (0 * tmp1__global__ref0_38)) + (0 * tmp1__global__ref0_39)) + 2) div 4))
(assert (= tmp5__global__buf_18 tmp19__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_18 = tmp19__func_com_grad_y_l_nn__val)
(assert (= tmp20__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_33) (* 0 tmp1__global__ref0_34)) (* 0 tmp1__global__ref0_35)) (* 64 tmp1__global__ref0_36)) (* 0 tmp1__global__ref0_37)) (* 0 tmp1__global__ref0_38)) (* 0 tmp1__global__ref0_39)) (* 0 tmp1__global__ref0_40)) 2) 4))) ; (tmp20__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_33) + (0 * tmp1__global__ref0_34)) + (0 * tmp1__global__ref0_35)) + (64 * tmp1__global__ref0_36)) + (0 * tmp1__global__ref0_37)) + (0 * tmp1__global__ref0_38)) + (0 * tmp1__global__ref0_39)) + (0 * tmp1__global__ref0_40)) + 2) div 4))
(assert (= tmp5__global__buf_19 tmp20__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_19 = tmp20__func_com_grad_y_l_nn__val)
(assert (= tmp21__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_34) (* 0 tmp1__global__ref0_35)) (* 0 tmp1__global__ref0_36)) (* 64 tmp1__global__ref0_37)) (* 0 tmp1__global__ref0_38)) (* 0 tmp1__global__ref0_39)) (* 0 tmp1__global__ref0_40)) (* 0 tmp1__global__ref0_41)) 2) 4))) ; (tmp21__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_34) + (0 * tmp1__global__ref0_35)) + (0 * tmp1__global__ref0_36)) + (64 * tmp1__global__ref0_37)) + (0 * tmp1__global__ref0_38)) + (0 * tmp1__global__ref0_39)) + (0 * tmp1__global__ref0_40)) + (0 * tmp1__global__ref0_41)) + 2) div 4))
(assert (= tmp5__global__buf_20 tmp21__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_20 = tmp21__func_com_grad_y_l_nn__val)
(assert (= tmp22__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_35) (* 0 tmp1__global__ref0_36)) (* 0 tmp1__global__ref0_37)) (* 64 tmp1__global__ref0_38)) (* 0 tmp1__global__ref0_39)) (* 0 tmp1__global__ref0_40)) (* 0 tmp1__global__ref0_41)) (* 0 tmp1__global__ref0_42)) 2) 4))) ; (tmp22__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_35) + (0 * tmp1__global__ref0_36)) + (0 * tmp1__global__ref0_37)) + (64 * tmp1__global__ref0_38)) + (0 * tmp1__global__ref0_39)) + (0 * tmp1__global__ref0_40)) + (0 * tmp1__global__ref0_41)) + (0 * tmp1__global__ref0_42)) + 2) div 4))
(assert (= tmp5__global__buf_21 tmp22__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_21 = tmp22__func_com_grad_y_l_nn__val)
(assert (= tmp23__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_36) (* 0 tmp1__global__ref0_37)) (* 0 tmp1__global__ref0_38)) (* 64 tmp1__global__ref0_39)) (* 0 tmp1__global__ref0_40)) (* 0 tmp1__global__ref0_41)) (* 0 tmp1__global__ref0_42)) (* 0 tmp1__global__ref0_43)) 2) 4))) ; (tmp23__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_36) + (0 * tmp1__global__ref0_37)) + (0 * tmp1__global__ref0_38)) + (64 * tmp1__global__ref0_39)) + (0 * tmp1__global__ref0_40)) + (0 * tmp1__global__ref0_41)) + (0 * tmp1__global__ref0_42)) + (0 * tmp1__global__ref0_43)) + 2) div 4))
(assert (= tmp5__global__buf_22 tmp23__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_22 = tmp23__func_com_grad_y_l_nn__val)
(assert (= tmp24__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_37) (* 0 tmp1__global__ref0_38)) (* 0 tmp1__global__ref0_39)) (* 64 tmp1__global__ref0_40)) (* 0 tmp1__global__ref0_41)) (* 0 tmp1__global__ref0_42)) (* 0 tmp1__global__ref0_43)) (* 0 tmp1__global__ref0_44)) 2) 4))) ; (tmp24__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_37) + (0 * tmp1__global__ref0_38)) + (0 * tmp1__global__ref0_39)) + (64 * tmp1__global__ref0_40)) + (0 * tmp1__global__ref0_41)) + (0 * tmp1__global__ref0_42)) + (0 * tmp1__global__ref0_43)) + (0 * tmp1__global__ref0_44)) + 2) div 4))
(assert (= tmp5__global__buf_23 tmp24__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_23 = tmp24__func_com_grad_y_l_nn__val)
(assert (= tmp25__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_45) (* 0 tmp1__global__ref0_46)) (* 0 tmp1__global__ref0_47)) (* 64 tmp1__global__ref0_48)) (* 0 tmp1__global__ref0_49)) (* 0 tmp1__global__ref0_50)) (* 0 tmp1__global__ref0_51)) (* 0 tmp1__global__ref0_52)) 2) 4))) ; (tmp25__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_45) + (0 * tmp1__global__ref0_46)) + (0 * tmp1__global__ref0_47)) + (64 * tmp1__global__ref0_48)) + (0 * tmp1__global__ref0_49)) + (0 * tmp1__global__ref0_50)) + (0 * tmp1__global__ref0_51)) + (0 * tmp1__global__ref0_52)) + 2) div 4))
(assert (= tmp5__global__buf_24 tmp25__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_24 = tmp25__func_com_grad_y_l_nn__val)
(assert (= tmp26__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_46) (* 0 tmp1__global__ref0_47)) (* 0 tmp1__global__ref0_48)) (* 64 tmp1__global__ref0_49)) (* 0 tmp1__global__ref0_50)) (* 0 tmp1__global__ref0_51)) (* 0 tmp1__global__ref0_52)) (* 0 tmp1__global__ref0_53)) 2) 4))) ; (tmp26__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_46) + (0 * tmp1__global__ref0_47)) + (0 * tmp1__global__ref0_48)) + (64 * tmp1__global__ref0_49)) + (0 * tmp1__global__ref0_50)) + (0 * tmp1__global__ref0_51)) + (0 * tmp1__global__ref0_52)) + (0 * tmp1__global__ref0_53)) + 2) div 4))
(assert (= tmp5__global__buf_25 tmp26__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_25 = tmp26__func_com_grad_y_l_nn__val)
(assert (= tmp27__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_47) (* 0 tmp1__global__ref0_48)) (* 0 tmp1__global__ref0_49)) (* 64 tmp1__global__ref0_50)) (* 0 tmp1__global__ref0_51)) (* 0 tmp1__global__ref0_52)) (* 0 tmp1__global__ref0_53)) (* 0 tmp1__global__ref0_54)) 2) 4))) ; (tmp27__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_47) + (0 * tmp1__global__ref0_48)) + (0 * tmp1__global__ref0_49)) + (64 * tmp1__global__ref0_50)) + (0 * tmp1__global__ref0_51)) + (0 * tmp1__global__ref0_52)) + (0 * tmp1__global__ref0_53)) + (0 * tmp1__global__ref0_54)) + 2) div 4))
(assert (= tmp5__global__buf_26 tmp27__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_26 = tmp27__func_com_grad_y_l_nn__val)
(assert (= tmp28__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_48) (* 0 tmp1__global__ref0_49)) (* 0 tmp1__global__ref0_50)) (* 64 tmp1__global__ref0_51)) (* 0 tmp1__global__ref0_52)) (* 0 tmp1__global__ref0_53)) (* 0 tmp1__global__ref0_54)) (* 0 tmp1__global__ref0_55)) 2) 4))) ; (tmp28__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_48) + (0 * tmp1__global__ref0_49)) + (0 * tmp1__global__ref0_50)) + (64 * tmp1__global__ref0_51)) + (0 * tmp1__global__ref0_52)) + (0 * tmp1__global__ref0_53)) + (0 * tmp1__global__ref0_54)) + (0 * tmp1__global__ref0_55)) + 2) div 4))
(assert (= tmp5__global__buf_27 tmp28__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_27 = tmp28__func_com_grad_y_l_nn__val)
(assert (= tmp29__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_49) (* 0 tmp1__global__ref0_50)) (* 0 tmp1__global__ref0_51)) (* 64 tmp1__global__ref0_52)) (* 0 tmp1__global__ref0_53)) (* 0 tmp1__global__ref0_54)) (* 0 tmp1__global__ref0_55)) (* 0 tmp1__global__ref0_56)) 2) 4))) ; (tmp29__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_49) + (0 * tmp1__global__ref0_50)) + (0 * tmp1__global__ref0_51)) + (64 * tmp1__global__ref0_52)) + (0 * tmp1__global__ref0_53)) + (0 * tmp1__global__ref0_54)) + (0 * tmp1__global__ref0_55)) + (0 * tmp1__global__ref0_56)) + 2) div 4))
(assert (= tmp5__global__buf_28 tmp29__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_28 = tmp29__func_com_grad_y_l_nn__val)
(assert (= tmp30__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_50) (* 0 tmp1__global__ref0_51)) (* 0 tmp1__global__ref0_52)) (* 64 tmp1__global__ref0_53)) (* 0 tmp1__global__ref0_54)) (* 0 tmp1__global__ref0_55)) (* 0 tmp1__global__ref0_56)) (* 0 tmp1__global__ref0_57)) 2) 4))) ; (tmp30__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_50) + (0 * tmp1__global__ref0_51)) + (0 * tmp1__global__ref0_52)) + (64 * tmp1__global__ref0_53)) + (0 * tmp1__global__ref0_54)) + (0 * tmp1__global__ref0_55)) + (0 * tmp1__global__ref0_56)) + (0 * tmp1__global__ref0_57)) + 2) div 4))
(assert (= tmp5__global__buf_29 tmp30__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_29 = tmp30__func_com_grad_y_l_nn__val)
(assert (= tmp31__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_51) (* 0 tmp1__global__ref0_52)) (* 0 tmp1__global__ref0_53)) (* 64 tmp1__global__ref0_54)) (* 0 tmp1__global__ref0_55)) (* 0 tmp1__global__ref0_56)) (* 0 tmp1__global__ref0_57)) (* 0 tmp1__global__ref0_58)) 2) 4))) ; (tmp31__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_51) + (0 * tmp1__global__ref0_52)) + (0 * tmp1__global__ref0_53)) + (64 * tmp1__global__ref0_54)) + (0 * tmp1__global__ref0_55)) + (0 * tmp1__global__ref0_56)) + (0 * tmp1__global__ref0_57)) + (0 * tmp1__global__ref0_58)) + 2) div 4))
(assert (= tmp5__global__buf_30 tmp31__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_30 = tmp31__func_com_grad_y_l_nn__val)
(assert (= tmp32__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_52) (* 0 tmp1__global__ref0_53)) (* 0 tmp1__global__ref0_54)) (* 64 tmp1__global__ref0_55)) (* 0 tmp1__global__ref0_56)) (* 0 tmp1__global__ref0_57)) (* 0 tmp1__global__ref0_58)) (* 0 tmp1__global__ref0_59)) 2) 4))) ; (tmp32__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_52) + (0 * tmp1__global__ref0_53)) + (0 * tmp1__global__ref0_54)) + (64 * tmp1__global__ref0_55)) + (0 * tmp1__global__ref0_56)) + (0 * tmp1__global__ref0_57)) + (0 * tmp1__global__ref0_58)) + (0 * tmp1__global__ref0_59)) + 2) div 4))
(assert (= tmp5__global__buf_31 tmp32__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_31 = tmp32__func_com_grad_y_l_nn__val)
(assert (= tmp33__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_60) (* 0 tmp1__global__ref0_61)) (* 0 tmp1__global__ref0_62)) (* 64 tmp1__global__ref0_63)) (* 0 tmp1__global__ref0_64)) (* 0 tmp1__global__ref0_65)) (* 0 tmp1__global__ref0_66)) (* 0 tmp1__global__ref0_67)) 2) 4))) ; (tmp33__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_60) + (0 * tmp1__global__ref0_61)) + (0 * tmp1__global__ref0_62)) + (64 * tmp1__global__ref0_63)) + (0 * tmp1__global__ref0_64)) + (0 * tmp1__global__ref0_65)) + (0 * tmp1__global__ref0_66)) + (0 * tmp1__global__ref0_67)) + 2) div 4))
(assert (= tmp5__global__buf_32 tmp33__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_32 = tmp33__func_com_grad_y_l_nn__val)
(assert (= tmp34__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_61) (* 0 tmp1__global__ref0_62)) (* 0 tmp1__global__ref0_63)) (* 64 tmp1__global__ref0_64)) (* 0 tmp1__global__ref0_65)) (* 0 tmp1__global__ref0_66)) (* 0 tmp1__global__ref0_67)) (* 0 tmp1__global__ref0_68)) 2) 4))) ; (tmp34__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_61) + (0 * tmp1__global__ref0_62)) + (0 * tmp1__global__ref0_63)) + (64 * tmp1__global__ref0_64)) + (0 * tmp1__global__ref0_65)) + (0 * tmp1__global__ref0_66)) + (0 * tmp1__global__ref0_67)) + (0 * tmp1__global__ref0_68)) + 2) div 4))
(assert (= tmp5__global__buf_33 tmp34__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_33 = tmp34__func_com_grad_y_l_nn__val)
(assert (= tmp35__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_62) (* 0 tmp1__global__ref0_63)) (* 0 tmp1__global__ref0_64)) (* 64 tmp1__global__ref0_65)) (* 0 tmp1__global__ref0_66)) (* 0 tmp1__global__ref0_67)) (* 0 tmp1__global__ref0_68)) (* 0 tmp1__global__ref0_69)) 2) 4))) ; (tmp35__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_62) + (0 * tmp1__global__ref0_63)) + (0 * tmp1__global__ref0_64)) + (64 * tmp1__global__ref0_65)) + (0 * tmp1__global__ref0_66)) + (0 * tmp1__global__ref0_67)) + (0 * tmp1__global__ref0_68)) + (0 * tmp1__global__ref0_69)) + 2) div 4))
(assert (= tmp5__global__buf_34 tmp35__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_34 = tmp35__func_com_grad_y_l_nn__val)
(assert (= tmp36__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_63) (* 0 tmp1__global__ref0_64)) (* 0 tmp1__global__ref0_65)) (* 64 tmp1__global__ref0_66)) (* 0 tmp1__global__ref0_67)) (* 0 tmp1__global__ref0_68)) (* 0 tmp1__global__ref0_69)) (* 0 tmp1__global__ref0_70)) 2) 4))) ; (tmp36__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_63) + (0 * tmp1__global__ref0_64)) + (0 * tmp1__global__ref0_65)) + (64 * tmp1__global__ref0_66)) + (0 * tmp1__global__ref0_67)) + (0 * tmp1__global__ref0_68)) + (0 * tmp1__global__ref0_69)) + (0 * tmp1__global__ref0_70)) + 2) div 4))
(assert (= tmp5__global__buf_35 tmp36__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_35 = tmp36__func_com_grad_y_l_nn__val)
(assert (= tmp37__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_64) (* 0 tmp1__global__ref0_65)) (* 0 tmp1__global__ref0_66)) (* 64 tmp1__global__ref0_67)) (* 0 tmp1__global__ref0_68)) (* 0 tmp1__global__ref0_69)) (* 0 tmp1__global__ref0_70)) (* 0 tmp1__global__ref0_71)) 2) 4))) ; (tmp37__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_64) + (0 * tmp1__global__ref0_65)) + (0 * tmp1__global__ref0_66)) + (64 * tmp1__global__ref0_67)) + (0 * tmp1__global__ref0_68)) + (0 * tmp1__global__ref0_69)) + (0 * tmp1__global__ref0_70)) + (0 * tmp1__global__ref0_71)) + 2) div 4))
(assert (= tmp5__global__buf_36 tmp37__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_36 = tmp37__func_com_grad_y_l_nn__val)
(assert (= tmp38__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_65) (* 0 tmp1__global__ref0_66)) (* 0 tmp1__global__ref0_67)) (* 64 tmp1__global__ref0_68)) (* 0 tmp1__global__ref0_69)) (* 0 tmp1__global__ref0_70)) (* 0 tmp1__global__ref0_71)) (* 0 tmp1__global__ref0_72)) 2) 4))) ; (tmp38__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_65) + (0 * tmp1__global__ref0_66)) + (0 * tmp1__global__ref0_67)) + (64 * tmp1__global__ref0_68)) + (0 * tmp1__global__ref0_69)) + (0 * tmp1__global__ref0_70)) + (0 * tmp1__global__ref0_71)) + (0 * tmp1__global__ref0_72)) + 2) div 4))
(assert (= tmp5__global__buf_37 tmp38__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_37 = tmp38__func_com_grad_y_l_nn__val)
(assert (= tmp39__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_66) (* 0 tmp1__global__ref0_67)) (* 0 tmp1__global__ref0_68)) (* 64 tmp1__global__ref0_69)) (* 0 tmp1__global__ref0_70)) (* 0 tmp1__global__ref0_71)) (* 0 tmp1__global__ref0_72)) (* 0 tmp1__global__ref0_73)) 2) 4))) ; (tmp39__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_66) + (0 * tmp1__global__ref0_67)) + (0 * tmp1__global__ref0_68)) + (64 * tmp1__global__ref0_69)) + (0 * tmp1__global__ref0_70)) + (0 * tmp1__global__ref0_71)) + (0 * tmp1__global__ref0_72)) + (0 * tmp1__global__ref0_73)) + 2) div 4))
(assert (= tmp5__global__buf_38 tmp39__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_38 = tmp39__func_com_grad_y_l_nn__val)
(assert (= tmp40__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_67) (* 0 tmp1__global__ref0_68)) (* 0 tmp1__global__ref0_69)) (* 64 tmp1__global__ref0_70)) (* 0 tmp1__global__ref0_71)) (* 0 tmp1__global__ref0_72)) (* 0 tmp1__global__ref0_73)) (* 0 tmp1__global__ref0_74)) 2) 4))) ; (tmp40__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_67) + (0 * tmp1__global__ref0_68)) + (0 * tmp1__global__ref0_69)) + (64 * tmp1__global__ref0_70)) + (0 * tmp1__global__ref0_71)) + (0 * tmp1__global__ref0_72)) + (0 * tmp1__global__ref0_73)) + (0 * tmp1__global__ref0_74)) + 2) div 4))
(assert (= tmp5__global__buf_39 tmp40__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_39 = tmp40__func_com_grad_y_l_nn__val)
(assert (= tmp41__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_75) (* 0 tmp1__global__ref0_76)) (* 0 tmp1__global__ref0_77)) (* 64 tmp1__global__ref0_78)) (* 0 tmp1__global__ref0_79)) (* 0 tmp1__global__ref0_80)) (* 0 tmp1__global__ref0_81)) (* 0 tmp1__global__ref0_82)) 2) 4))) ; (tmp41__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_75) + (0 * tmp1__global__ref0_76)) + (0 * tmp1__global__ref0_77)) + (64 * tmp1__global__ref0_78)) + (0 * tmp1__global__ref0_79)) + (0 * tmp1__global__ref0_80)) + (0 * tmp1__global__ref0_81)) + (0 * tmp1__global__ref0_82)) + 2) div 4))
(assert (= tmp5__global__buf_40 tmp41__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_40 = tmp41__func_com_grad_y_l_nn__val)
(assert (= tmp42__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_76) (* 0 tmp1__global__ref0_77)) (* 0 tmp1__global__ref0_78)) (* 64 tmp1__global__ref0_79)) (* 0 tmp1__global__ref0_80)) (* 0 tmp1__global__ref0_81)) (* 0 tmp1__global__ref0_82)) (* 0 tmp1__global__ref0_83)) 2) 4))) ; (tmp42__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_76) + (0 * tmp1__global__ref0_77)) + (0 * tmp1__global__ref0_78)) + (64 * tmp1__global__ref0_79)) + (0 * tmp1__global__ref0_80)) + (0 * tmp1__global__ref0_81)) + (0 * tmp1__global__ref0_82)) + (0 * tmp1__global__ref0_83)) + 2) div 4))
(assert (= tmp5__global__buf_41 tmp42__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_41 = tmp42__func_com_grad_y_l_nn__val)
(assert (= tmp43__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_77) (* 0 tmp1__global__ref0_78)) (* 0 tmp1__global__ref0_79)) (* 64 tmp1__global__ref0_80)) (* 0 tmp1__global__ref0_81)) (* 0 tmp1__global__ref0_82)) (* 0 tmp1__global__ref0_83)) (* 0 tmp1__global__ref0_84)) 2) 4))) ; (tmp43__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_77) + (0 * tmp1__global__ref0_78)) + (0 * tmp1__global__ref0_79)) + (64 * tmp1__global__ref0_80)) + (0 * tmp1__global__ref0_81)) + (0 * tmp1__global__ref0_82)) + (0 * tmp1__global__ref0_83)) + (0 * tmp1__global__ref0_84)) + 2) div 4))
(assert (= tmp5__global__buf_42 tmp43__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_42 = tmp43__func_com_grad_y_l_nn__val)
(assert (= tmp44__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_78) (* 0 tmp1__global__ref0_79)) (* 0 tmp1__global__ref0_80)) (* 64 tmp1__global__ref0_81)) (* 0 tmp1__global__ref0_82)) (* 0 tmp1__global__ref0_83)) (* 0 tmp1__global__ref0_84)) (* 0 tmp1__global__ref0_85)) 2) 4))) ; (tmp44__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_78) + (0 * tmp1__global__ref0_79)) + (0 * tmp1__global__ref0_80)) + (64 * tmp1__global__ref0_81)) + (0 * tmp1__global__ref0_82)) + (0 * tmp1__global__ref0_83)) + (0 * tmp1__global__ref0_84)) + (0 * tmp1__global__ref0_85)) + 2) div 4))
(assert (= tmp5__global__buf_43 tmp44__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_43 = tmp44__func_com_grad_y_l_nn__val)
(assert (= tmp45__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_79) (* 0 tmp1__global__ref0_80)) (* 0 tmp1__global__ref0_81)) (* 64 tmp1__global__ref0_82)) (* 0 tmp1__global__ref0_83)) (* 0 tmp1__global__ref0_84)) (* 0 tmp1__global__ref0_85)) (* 0 tmp1__global__ref0_86)) 2) 4))) ; (tmp45__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_79) + (0 * tmp1__global__ref0_80)) + (0 * tmp1__global__ref0_81)) + (64 * tmp1__global__ref0_82)) + (0 * tmp1__global__ref0_83)) + (0 * tmp1__global__ref0_84)) + (0 * tmp1__global__ref0_85)) + (0 * tmp1__global__ref0_86)) + 2) div 4))
(assert (= tmp5__global__buf_44 tmp45__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_44 = tmp45__func_com_grad_y_l_nn__val)
(assert (= tmp46__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_80) (* 0 tmp1__global__ref0_81)) (* 0 tmp1__global__ref0_82)) (* 64 tmp1__global__ref0_83)) (* 0 tmp1__global__ref0_84)) (* 0 tmp1__global__ref0_85)) (* 0 tmp1__global__ref0_86)) (* 0 tmp1__global__ref0_87)) 2) 4))) ; (tmp46__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_80) + (0 * tmp1__global__ref0_81)) + (0 * tmp1__global__ref0_82)) + (64 * tmp1__global__ref0_83)) + (0 * tmp1__global__ref0_84)) + (0 * tmp1__global__ref0_85)) + (0 * tmp1__global__ref0_86)) + (0 * tmp1__global__ref0_87)) + 2) div 4))
(assert (= tmp5__global__buf_45 tmp46__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_45 = tmp46__func_com_grad_y_l_nn__val)
(assert (= tmp47__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_81) (* 0 tmp1__global__ref0_82)) (* 0 tmp1__global__ref0_83)) (* 64 tmp1__global__ref0_84)) (* 0 tmp1__global__ref0_85)) (* 0 tmp1__global__ref0_86)) (* 0 tmp1__global__ref0_87)) (* 0 tmp1__global__ref0_88)) 2) 4))) ; (tmp47__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_81) + (0 * tmp1__global__ref0_82)) + (0 * tmp1__global__ref0_83)) + (64 * tmp1__global__ref0_84)) + (0 * tmp1__global__ref0_85)) + (0 * tmp1__global__ref0_86)) + (0 * tmp1__global__ref0_87)) + (0 * tmp1__global__ref0_88)) + 2) div 4))
(assert (= tmp5__global__buf_46 tmp47__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_46 = tmp47__func_com_grad_y_l_nn__val)
(assert (= tmp48__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_82) (* 0 tmp1__global__ref0_83)) (* 0 tmp1__global__ref0_84)) (* 64 tmp1__global__ref0_85)) (* 0 tmp1__global__ref0_86)) (* 0 tmp1__global__ref0_87)) (* 0 tmp1__global__ref0_88)) (* 0 tmp1__global__ref0_89)) 2) 4))) ; (tmp48__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_82) + (0 * tmp1__global__ref0_83)) + (0 * tmp1__global__ref0_84)) + (64 * tmp1__global__ref0_85)) + (0 * tmp1__global__ref0_86)) + (0 * tmp1__global__ref0_87)) + (0 * tmp1__global__ref0_88)) + (0 * tmp1__global__ref0_89)) + 2) div 4))
(assert (= tmp5__global__buf_47 tmp48__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_47 = tmp48__func_com_grad_y_l_nn__val)
(assert (= tmp49__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_90) (* 0 tmp1__global__ref0_91)) (* 0 tmp1__global__ref0_92)) (* 64 tmp1__global__ref0_93)) (* 0 tmp1__global__ref0_94)) (* 0 tmp1__global__ref0_95)) (* 0 tmp1__global__ref0_96)) (* 0 tmp1__global__ref0_97)) 2) 4))) ; (tmp49__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_90) + (0 * tmp1__global__ref0_91)) + (0 * tmp1__global__ref0_92)) + (64 * tmp1__global__ref0_93)) + (0 * tmp1__global__ref0_94)) + (0 * tmp1__global__ref0_95)) + (0 * tmp1__global__ref0_96)) + (0 * tmp1__global__ref0_97)) + 2) div 4))
(assert (= tmp5__global__buf_48 tmp49__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_48 = tmp49__func_com_grad_y_l_nn__val)
(assert (= tmp50__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_91) (* 0 tmp1__global__ref0_92)) (* 0 tmp1__global__ref0_93)) (* 64 tmp1__global__ref0_94)) (* 0 tmp1__global__ref0_95)) (* 0 tmp1__global__ref0_96)) (* 0 tmp1__global__ref0_97)) (* 0 tmp1__global__ref0_98)) 2) 4))) ; (tmp50__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_91) + (0 * tmp1__global__ref0_92)) + (0 * tmp1__global__ref0_93)) + (64 * tmp1__global__ref0_94)) + (0 * tmp1__global__ref0_95)) + (0 * tmp1__global__ref0_96)) + (0 * tmp1__global__ref0_97)) + (0 * tmp1__global__ref0_98)) + 2) div 4))
(assert (= tmp5__global__buf_49 tmp50__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_49 = tmp50__func_com_grad_y_l_nn__val)
(assert (= tmp51__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_92) (* 0 tmp1__global__ref0_93)) (* 0 tmp1__global__ref0_94)) (* 64 tmp1__global__ref0_95)) (* 0 tmp1__global__ref0_96)) (* 0 tmp1__global__ref0_97)) (* 0 tmp1__global__ref0_98)) (* 0 tmp1__global__ref0_99)) 2) 4))) ; (tmp51__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_92) + (0 * tmp1__global__ref0_93)) + (0 * tmp1__global__ref0_94)) + (64 * tmp1__global__ref0_95)) + (0 * tmp1__global__ref0_96)) + (0 * tmp1__global__ref0_97)) + (0 * tmp1__global__ref0_98)) + (0 * tmp1__global__ref0_99)) + 2) div 4))
(assert (= tmp5__global__buf_50 tmp51__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_50 = tmp51__func_com_grad_y_l_nn__val)
(assert (= tmp52__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_93) (* 0 tmp1__global__ref0_94)) (* 0 tmp1__global__ref0_95)) (* 64 tmp1__global__ref0_96)) (* 0 tmp1__global__ref0_97)) (* 0 tmp1__global__ref0_98)) (* 0 tmp1__global__ref0_99)) (* 0 tmp1__global__ref0_100)) 2) 4))) ; (tmp52__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_93) + (0 * tmp1__global__ref0_94)) + (0 * tmp1__global__ref0_95)) + (64 * tmp1__global__ref0_96)) + (0 * tmp1__global__ref0_97)) + (0 * tmp1__global__ref0_98)) + (0 * tmp1__global__ref0_99)) + (0 * tmp1__global__ref0_100)) + 2) div 4))
(assert (= tmp5__global__buf_51 tmp52__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_51 = tmp52__func_com_grad_y_l_nn__val)
(assert (= tmp53__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_94) (* 0 tmp1__global__ref0_95)) (* 0 tmp1__global__ref0_96)) (* 64 tmp1__global__ref0_97)) (* 0 tmp1__global__ref0_98)) (* 0 tmp1__global__ref0_99)) (* 0 tmp1__global__ref0_100)) (* 0 tmp1__global__ref0_101)) 2) 4))) ; (tmp53__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_94) + (0 * tmp1__global__ref0_95)) + (0 * tmp1__global__ref0_96)) + (64 * tmp1__global__ref0_97)) + (0 * tmp1__global__ref0_98)) + (0 * tmp1__global__ref0_99)) + (0 * tmp1__global__ref0_100)) + (0 * tmp1__global__ref0_101)) + 2) div 4))
(assert (= tmp5__global__buf_52 tmp53__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_52 = tmp53__func_com_grad_y_l_nn__val)
(assert (= tmp54__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_95) (* 0 tmp1__global__ref0_96)) (* 0 tmp1__global__ref0_97)) (* 64 tmp1__global__ref0_98)) (* 0 tmp1__global__ref0_99)) (* 0 tmp1__global__ref0_100)) (* 0 tmp1__global__ref0_101)) (* 0 tmp1__global__ref0_102)) 2) 4))) ; (tmp54__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_95) + (0 * tmp1__global__ref0_96)) + (0 * tmp1__global__ref0_97)) + (64 * tmp1__global__ref0_98)) + (0 * tmp1__global__ref0_99)) + (0 * tmp1__global__ref0_100)) + (0 * tmp1__global__ref0_101)) + (0 * tmp1__global__ref0_102)) + 2) div 4))
(assert (= tmp5__global__buf_53 tmp54__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_53 = tmp54__func_com_grad_y_l_nn__val)
(assert (= tmp55__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_96) (* 0 tmp1__global__ref0_97)) (* 0 tmp1__global__ref0_98)) (* 64 tmp1__global__ref0_99)) (* 0 tmp1__global__ref0_100)) (* 0 tmp1__global__ref0_101)) (* 0 tmp1__global__ref0_102)) (* 0 tmp1__global__ref0_103)) 2) 4))) ; (tmp55__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_96) + (0 * tmp1__global__ref0_97)) + (0 * tmp1__global__ref0_98)) + (64 * tmp1__global__ref0_99)) + (0 * tmp1__global__ref0_100)) + (0 * tmp1__global__ref0_101)) + (0 * tmp1__global__ref0_102)) + (0 * tmp1__global__ref0_103)) + 2) div 4))
(assert (= tmp5__global__buf_54 tmp55__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_54 = tmp55__func_com_grad_y_l_nn__val)
(assert (= tmp56__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_97) (* 0 tmp1__global__ref0_98)) (* 0 tmp1__global__ref0_99)) (* 64 tmp1__global__ref0_100)) (* 0 tmp1__global__ref0_101)) (* 0 tmp1__global__ref0_102)) (* 0 tmp1__global__ref0_103)) (* 0 tmp1__global__ref0_104)) 2) 4))) ; (tmp56__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_97) + (0 * tmp1__global__ref0_98)) + (0 * tmp1__global__ref0_99)) + (64 * tmp1__global__ref0_100)) + (0 * tmp1__global__ref0_101)) + (0 * tmp1__global__ref0_102)) + (0 * tmp1__global__ref0_103)) + (0 * tmp1__global__ref0_104)) + 2) div 4))
(assert (= tmp5__global__buf_55 tmp56__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_55 = tmp56__func_com_grad_y_l_nn__val)
(assert (= tmp57__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_105) (* 0 tmp1__global__ref0_106)) (* 0 tmp1__global__ref0_107)) (* 64 tmp1__global__ref0_108)) (* 0 tmp1__global__ref0_109)) (* 0 tmp1__global__ref0_110)) (* 0 tmp1__global__ref0_111)) (* 0 tmp1__global__ref0_112)) 2) 4))) ; (tmp57__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_105) + (0 * tmp1__global__ref0_106)) + (0 * tmp1__global__ref0_107)) + (64 * tmp1__global__ref0_108)) + (0 * tmp1__global__ref0_109)) + (0 * tmp1__global__ref0_110)) + (0 * tmp1__global__ref0_111)) + (0 * tmp1__global__ref0_112)) + 2) div 4))
(assert (= tmp5__global__buf_56 tmp57__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_56 = tmp57__func_com_grad_y_l_nn__val)
(assert (= tmp58__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_106) (* 0 tmp1__global__ref0_107)) (* 0 tmp1__global__ref0_108)) (* 64 tmp1__global__ref0_109)) (* 0 tmp1__global__ref0_110)) (* 0 tmp1__global__ref0_111)) (* 0 tmp1__global__ref0_112)) (* 0 tmp1__global__ref0_113)) 2) 4))) ; (tmp58__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_106) + (0 * tmp1__global__ref0_107)) + (0 * tmp1__global__ref0_108)) + (64 * tmp1__global__ref0_109)) + (0 * tmp1__global__ref0_110)) + (0 * tmp1__global__ref0_111)) + (0 * tmp1__global__ref0_112)) + (0 * tmp1__global__ref0_113)) + 2) div 4))
(assert (= tmp5__global__buf_57 tmp58__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_57 = tmp58__func_com_grad_y_l_nn__val)
(assert (= tmp59__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_107) (* 0 tmp1__global__ref0_108)) (* 0 tmp1__global__ref0_109)) (* 64 tmp1__global__ref0_110)) (* 0 tmp1__global__ref0_111)) (* 0 tmp1__global__ref0_112)) (* 0 tmp1__global__ref0_113)) (* 0 tmp1__global__ref0_114)) 2) 4))) ; (tmp59__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_107) + (0 * tmp1__global__ref0_108)) + (0 * tmp1__global__ref0_109)) + (64 * tmp1__global__ref0_110)) + (0 * tmp1__global__ref0_111)) + (0 * tmp1__global__ref0_112)) + (0 * tmp1__global__ref0_113)) + (0 * tmp1__global__ref0_114)) + 2) div 4))
(assert (= tmp5__global__buf_58 tmp59__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_58 = tmp59__func_com_grad_y_l_nn__val)
(assert (= tmp60__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_108) (* 0 tmp1__global__ref0_109)) (* 0 tmp1__global__ref0_110)) (* 64 tmp1__global__ref0_111)) (* 0 tmp1__global__ref0_112)) (* 0 tmp1__global__ref0_113)) (* 0 tmp1__global__ref0_114)) (* 0 tmp1__global__ref0_115)) 2) 4))) ; (tmp60__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_108) + (0 * tmp1__global__ref0_109)) + (0 * tmp1__global__ref0_110)) + (64 * tmp1__global__ref0_111)) + (0 * tmp1__global__ref0_112)) + (0 * tmp1__global__ref0_113)) + (0 * tmp1__global__ref0_114)) + (0 * tmp1__global__ref0_115)) + 2) div 4))
(assert (= tmp5__global__buf_59 tmp60__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_59 = tmp60__func_com_grad_y_l_nn__val)
(assert (= tmp61__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_109) (* 0 tmp1__global__ref0_110)) (* 0 tmp1__global__ref0_111)) (* 64 tmp1__global__ref0_112)) (* 0 tmp1__global__ref0_113)) (* 0 tmp1__global__ref0_114)) (* 0 tmp1__global__ref0_115)) (* 0 tmp1__global__ref0_116)) 2) 4))) ; (tmp61__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_109) + (0 * tmp1__global__ref0_110)) + (0 * tmp1__global__ref0_111)) + (64 * tmp1__global__ref0_112)) + (0 * tmp1__global__ref0_113)) + (0 * tmp1__global__ref0_114)) + (0 * tmp1__global__ref0_115)) + (0 * tmp1__global__ref0_116)) + 2) div 4))
(assert (= tmp5__global__buf_60 tmp61__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_60 = tmp61__func_com_grad_y_l_nn__val)
(assert (= tmp62__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_110) (* 0 tmp1__global__ref0_111)) (* 0 tmp1__global__ref0_112)) (* 64 tmp1__global__ref0_113)) (* 0 tmp1__global__ref0_114)) (* 0 tmp1__global__ref0_115)) (* 0 tmp1__global__ref0_116)) (* 0 tmp1__global__ref0_117)) 2) 4))) ; (tmp62__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_110) + (0 * tmp1__global__ref0_111)) + (0 * tmp1__global__ref0_112)) + (64 * tmp1__global__ref0_113)) + (0 * tmp1__global__ref0_114)) + (0 * tmp1__global__ref0_115)) + (0 * tmp1__global__ref0_116)) + (0 * tmp1__global__ref0_117)) + 2) div 4))
(assert (= tmp5__global__buf_61 tmp62__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_61 = tmp62__func_com_grad_y_l_nn__val)
(assert (= tmp63__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_111) (* 0 tmp1__global__ref0_112)) (* 0 tmp1__global__ref0_113)) (* 64 tmp1__global__ref0_114)) (* 0 tmp1__global__ref0_115)) (* 0 tmp1__global__ref0_116)) (* 0 tmp1__global__ref0_117)) (* 0 tmp1__global__ref0_118)) 2) 4))) ; (tmp63__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_111) + (0 * tmp1__global__ref0_112)) + (0 * tmp1__global__ref0_113)) + (64 * tmp1__global__ref0_114)) + (0 * tmp1__global__ref0_115)) + (0 * tmp1__global__ref0_116)) + (0 * tmp1__global__ref0_117)) + (0 * tmp1__global__ref0_118)) + 2) div 4))
(assert (= tmp5__global__buf_62 tmp63__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_62 = tmp63__func_com_grad_y_l_nn__val)
(assert (= tmp64__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_112) (* 0 tmp1__global__ref0_113)) (* 0 tmp1__global__ref0_114)) (* 64 tmp1__global__ref0_115)) (* 0 tmp1__global__ref0_116)) (* 0 tmp1__global__ref0_117)) (* 0 tmp1__global__ref0_118)) (* 0 tmp1__global__ref0_119)) 2) 4))) ; (tmp64__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_112) + (0 * tmp1__global__ref0_113)) + (0 * tmp1__global__ref0_114)) + (64 * tmp1__global__ref0_115)) + (0 * tmp1__global__ref0_116)) + (0 * tmp1__global__ref0_117)) + (0 * tmp1__global__ref0_118)) + (0 * tmp1__global__ref0_119)) + 2) div 4))
(assert (= tmp5__global__buf_63 tmp64__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_63 = tmp64__func_com_grad_y_l_nn__val)
(assert (= tmp65__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_120) (* 0 tmp1__global__ref0_121)) (* 0 tmp1__global__ref0_122)) (* 64 tmp1__global__ref0_123)) (* 0 tmp1__global__ref0_124)) (* 0 tmp1__global__ref0_125)) (* 0 tmp1__global__ref0_126)) (* 0 tmp1__global__ref0_127)) 2) 4))) ; (tmp65__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_120) + (0 * tmp1__global__ref0_121)) + (0 * tmp1__global__ref0_122)) + (64 * tmp1__global__ref0_123)) + (0 * tmp1__global__ref0_124)) + (0 * tmp1__global__ref0_125)) + (0 * tmp1__global__ref0_126)) + (0 * tmp1__global__ref0_127)) + 2) div 4))
(assert (= tmp5__global__buf_64 tmp65__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_64 = tmp65__func_com_grad_y_l_nn__val)
(assert (= tmp66__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_121) (* 0 tmp1__global__ref0_122)) (* 0 tmp1__global__ref0_123)) (* 64 tmp1__global__ref0_124)) (* 0 tmp1__global__ref0_125)) (* 0 tmp1__global__ref0_126)) (* 0 tmp1__global__ref0_127)) (* 0 tmp1__global__ref0_128)) 2) 4))) ; (tmp66__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_121) + (0 * tmp1__global__ref0_122)) + (0 * tmp1__global__ref0_123)) + (64 * tmp1__global__ref0_124)) + (0 * tmp1__global__ref0_125)) + (0 * tmp1__global__ref0_126)) + (0 * tmp1__global__ref0_127)) + (0 * tmp1__global__ref0_128)) + 2) div 4))
(assert (= tmp5__global__buf_65 tmp66__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_65 = tmp66__func_com_grad_y_l_nn__val)
(assert (= tmp67__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_122) (* 0 tmp1__global__ref0_123)) (* 0 tmp1__global__ref0_124)) (* 64 tmp1__global__ref0_125)) (* 0 tmp1__global__ref0_126)) (* 0 tmp1__global__ref0_127)) (* 0 tmp1__global__ref0_128)) (* 0 tmp1__global__ref0_129)) 2) 4))) ; (tmp67__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_122) + (0 * tmp1__global__ref0_123)) + (0 * tmp1__global__ref0_124)) + (64 * tmp1__global__ref0_125)) + (0 * tmp1__global__ref0_126)) + (0 * tmp1__global__ref0_127)) + (0 * tmp1__global__ref0_128)) + (0 * tmp1__global__ref0_129)) + 2) div 4))
(assert (= tmp5__global__buf_66 tmp67__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_66 = tmp67__func_com_grad_y_l_nn__val)
(assert (= tmp68__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_123) (* 0 tmp1__global__ref0_124)) (* 0 tmp1__global__ref0_125)) (* 64 tmp1__global__ref0_126)) (* 0 tmp1__global__ref0_127)) (* 0 tmp1__global__ref0_128)) (* 0 tmp1__global__ref0_129)) (* 0 tmp1__global__ref0_130)) 2) 4))) ; (tmp68__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_123) + (0 * tmp1__global__ref0_124)) + (0 * tmp1__global__ref0_125)) + (64 * tmp1__global__ref0_126)) + (0 * tmp1__global__ref0_127)) + (0 * tmp1__global__ref0_128)) + (0 * tmp1__global__ref0_129)) + (0 * tmp1__global__ref0_130)) + 2) div 4))
(assert (= tmp5__global__buf_67 tmp68__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_67 = tmp68__func_com_grad_y_l_nn__val)
(assert (= tmp69__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_124) (* 0 tmp1__global__ref0_125)) (* 0 tmp1__global__ref0_126)) (* 64 tmp1__global__ref0_127)) (* 0 tmp1__global__ref0_128)) (* 0 tmp1__global__ref0_129)) (* 0 tmp1__global__ref0_130)) (* 0 tmp1__global__ref0_131)) 2) 4))) ; (tmp69__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_124) + (0 * tmp1__global__ref0_125)) + (0 * tmp1__global__ref0_126)) + (64 * tmp1__global__ref0_127)) + (0 * tmp1__global__ref0_128)) + (0 * tmp1__global__ref0_129)) + (0 * tmp1__global__ref0_130)) + (0 * tmp1__global__ref0_131)) + 2) div 4))
(assert (= tmp5__global__buf_68 tmp69__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_68 = tmp69__func_com_grad_y_l_nn__val)
(assert (= tmp70__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_125) (* 0 tmp1__global__ref0_126)) (* 0 tmp1__global__ref0_127)) (* 64 tmp1__global__ref0_128)) (* 0 tmp1__global__ref0_129)) (* 0 tmp1__global__ref0_130)) (* 0 tmp1__global__ref0_131)) (* 0 tmp1__global__ref0_132)) 2) 4))) ; (tmp70__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_125) + (0 * tmp1__global__ref0_126)) + (0 * tmp1__global__ref0_127)) + (64 * tmp1__global__ref0_128)) + (0 * tmp1__global__ref0_129)) + (0 * tmp1__global__ref0_130)) + (0 * tmp1__global__ref0_131)) + (0 * tmp1__global__ref0_132)) + 2) div 4))
(assert (= tmp5__global__buf_69 tmp70__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_69 = tmp70__func_com_grad_y_l_nn__val)
(assert (= tmp71__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_126) (* 0 tmp1__global__ref0_127)) (* 0 tmp1__global__ref0_128)) (* 64 tmp1__global__ref0_129)) (* 0 tmp1__global__ref0_130)) (* 0 tmp1__global__ref0_131)) (* 0 tmp1__global__ref0_132)) (* 0 tmp1__global__ref0_133)) 2) 4))) ; (tmp71__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_126) + (0 * tmp1__global__ref0_127)) + (0 * tmp1__global__ref0_128)) + (64 * tmp1__global__ref0_129)) + (0 * tmp1__global__ref0_130)) + (0 * tmp1__global__ref0_131)) + (0 * tmp1__global__ref0_132)) + (0 * tmp1__global__ref0_133)) + 2) div 4))
(assert (= tmp5__global__buf_70 tmp71__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_70 = tmp71__func_com_grad_y_l_nn__val)
(assert (= tmp72__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_127) (* 0 tmp1__global__ref0_128)) (* 0 tmp1__global__ref0_129)) (* 64 tmp1__global__ref0_130)) (* 0 tmp1__global__ref0_131)) (* 0 tmp1__global__ref0_132)) (* 0 tmp1__global__ref0_133)) (* 0 tmp1__global__ref0_134)) 2) 4))) ; (tmp72__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_127) + (0 * tmp1__global__ref0_128)) + (0 * tmp1__global__ref0_129)) + (64 * tmp1__global__ref0_130)) + (0 * tmp1__global__ref0_131)) + (0 * tmp1__global__ref0_132)) + (0 * tmp1__global__ref0_133)) + (0 * tmp1__global__ref0_134)) + 2) div 4))
(assert (= tmp5__global__buf_71 tmp72__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_71 = tmp72__func_com_grad_y_l_nn__val)
(assert (= tmp73__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_135) (* 0 tmp1__global__ref0_136)) (* 0 tmp1__global__ref0_137)) (* 64 tmp1__global__ref0_138)) (* 0 tmp1__global__ref0_139)) (* 0 tmp1__global__ref0_140)) (* 0 tmp1__global__ref0_141)) (* 0 tmp1__global__ref0_142)) 2) 4))) ; (tmp73__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_135) + (0 * tmp1__global__ref0_136)) + (0 * tmp1__global__ref0_137)) + (64 * tmp1__global__ref0_138)) + (0 * tmp1__global__ref0_139)) + (0 * tmp1__global__ref0_140)) + (0 * tmp1__global__ref0_141)) + (0 * tmp1__global__ref0_142)) + 2) div 4))
(assert (= tmp5__global__buf_72 tmp73__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_72 = tmp73__func_com_grad_y_l_nn__val)
(assert (= tmp74__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_136) (* 0 tmp1__global__ref0_137)) (* 0 tmp1__global__ref0_138)) (* 64 tmp1__global__ref0_139)) (* 0 tmp1__global__ref0_140)) (* 0 tmp1__global__ref0_141)) (* 0 tmp1__global__ref0_142)) (* 0 tmp1__global__ref0_143)) 2) 4))) ; (tmp74__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_136) + (0 * tmp1__global__ref0_137)) + (0 * tmp1__global__ref0_138)) + (64 * tmp1__global__ref0_139)) + (0 * tmp1__global__ref0_140)) + (0 * tmp1__global__ref0_141)) + (0 * tmp1__global__ref0_142)) + (0 * tmp1__global__ref0_143)) + 2) div 4))
(assert (= tmp5__global__buf_73 tmp74__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_73 = tmp74__func_com_grad_y_l_nn__val)
(assert (= tmp75__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_137) (* 0 tmp1__global__ref0_138)) (* 0 tmp1__global__ref0_139)) (* 64 tmp1__global__ref0_140)) (* 0 tmp1__global__ref0_141)) (* 0 tmp1__global__ref0_142)) (* 0 tmp1__global__ref0_143)) (* 0 tmp1__global__ref0_144)) 2) 4))) ; (tmp75__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_137) + (0 * tmp1__global__ref0_138)) + (0 * tmp1__global__ref0_139)) + (64 * tmp1__global__ref0_140)) + (0 * tmp1__global__ref0_141)) + (0 * tmp1__global__ref0_142)) + (0 * tmp1__global__ref0_143)) + (0 * tmp1__global__ref0_144)) + 2) div 4))
(assert (= tmp5__global__buf_74 tmp75__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_74 = tmp75__func_com_grad_y_l_nn__val)
(assert (= tmp76__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_138) (* 0 tmp1__global__ref0_139)) (* 0 tmp1__global__ref0_140)) (* 64 tmp1__global__ref0_141)) (* 0 tmp1__global__ref0_142)) (* 0 tmp1__global__ref0_143)) (* 0 tmp1__global__ref0_144)) (* 0 tmp1__global__ref0_145)) 2) 4))) ; (tmp76__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_138) + (0 * tmp1__global__ref0_139)) + (0 * tmp1__global__ref0_140)) + (64 * tmp1__global__ref0_141)) + (0 * tmp1__global__ref0_142)) + (0 * tmp1__global__ref0_143)) + (0 * tmp1__global__ref0_144)) + (0 * tmp1__global__ref0_145)) + 2) div 4))
(assert (= tmp5__global__buf_75 tmp76__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_75 = tmp76__func_com_grad_y_l_nn__val)
(assert (= tmp77__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_139) (* 0 tmp1__global__ref0_140)) (* 0 tmp1__global__ref0_141)) (* 64 tmp1__global__ref0_142)) (* 0 tmp1__global__ref0_143)) (* 0 tmp1__global__ref0_144)) (* 0 tmp1__global__ref0_145)) (* 0 tmp1__global__ref0_146)) 2) 4))) ; (tmp77__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_139) + (0 * tmp1__global__ref0_140)) + (0 * tmp1__global__ref0_141)) + (64 * tmp1__global__ref0_142)) + (0 * tmp1__global__ref0_143)) + (0 * tmp1__global__ref0_144)) + (0 * tmp1__global__ref0_145)) + (0 * tmp1__global__ref0_146)) + 2) div 4))
(assert (= tmp5__global__buf_76 tmp77__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_76 = tmp77__func_com_grad_y_l_nn__val)
(assert (= tmp78__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_140) (* 0 tmp1__global__ref0_141)) (* 0 tmp1__global__ref0_142)) (* 64 tmp1__global__ref0_143)) (* 0 tmp1__global__ref0_144)) (* 0 tmp1__global__ref0_145)) (* 0 tmp1__global__ref0_146)) (* 0 tmp1__global__ref0_147)) 2) 4))) ; (tmp78__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_140) + (0 * tmp1__global__ref0_141)) + (0 * tmp1__global__ref0_142)) + (64 * tmp1__global__ref0_143)) + (0 * tmp1__global__ref0_144)) + (0 * tmp1__global__ref0_145)) + (0 * tmp1__global__ref0_146)) + (0 * tmp1__global__ref0_147)) + 2) div 4))
(assert (= tmp5__global__buf_77 tmp78__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_77 = tmp78__func_com_grad_y_l_nn__val)
(assert (= tmp79__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_141) (* 0 tmp1__global__ref0_142)) (* 0 tmp1__global__ref0_143)) (* 64 tmp1__global__ref0_144)) (* 0 tmp1__global__ref0_145)) (* 0 tmp1__global__ref0_146)) (* 0 tmp1__global__ref0_147)) (* 0 tmp1__global__ref0_148)) 2) 4))) ; (tmp79__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_141) + (0 * tmp1__global__ref0_142)) + (0 * tmp1__global__ref0_143)) + (64 * tmp1__global__ref0_144)) + (0 * tmp1__global__ref0_145)) + (0 * tmp1__global__ref0_146)) + (0 * tmp1__global__ref0_147)) + (0 * tmp1__global__ref0_148)) + 2) div 4))
(assert (= tmp5__global__buf_78 tmp79__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_78 = tmp79__func_com_grad_y_l_nn__val)
(assert (= tmp80__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_142) (* 0 tmp1__global__ref0_143)) (* 0 tmp1__global__ref0_144)) (* 64 tmp1__global__ref0_145)) (* 0 tmp1__global__ref0_146)) (* 0 tmp1__global__ref0_147)) (* 0 tmp1__global__ref0_148)) (* 0 tmp1__global__ref0_149)) 2) 4))) ; (tmp80__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_142) + (0 * tmp1__global__ref0_143)) + (0 * tmp1__global__ref0_144)) + (64 * tmp1__global__ref0_145)) + (0 * tmp1__global__ref0_146)) + (0 * tmp1__global__ref0_147)) + (0 * tmp1__global__ref0_148)) + (0 * tmp1__global__ref0_149)) + 2) div 4))
(assert (= tmp5__global__buf_79 tmp80__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_79 = tmp80__func_com_grad_y_l_nn__val)
(assert (= tmp81__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_150) (* 0 tmp1__global__ref0_151)) (* 0 tmp1__global__ref0_152)) (* 64 tmp1__global__ref0_153)) (* 0 tmp1__global__ref0_154)) (* 0 tmp1__global__ref0_155)) (* 0 tmp1__global__ref0_156)) (* 0 tmp1__global__ref0_157)) 2) 4))) ; (tmp81__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_150) + (0 * tmp1__global__ref0_151)) + (0 * tmp1__global__ref0_152)) + (64 * tmp1__global__ref0_153)) + (0 * tmp1__global__ref0_154)) + (0 * tmp1__global__ref0_155)) + (0 * tmp1__global__ref0_156)) + (0 * tmp1__global__ref0_157)) + 2) div 4))
(assert (= tmp5__global__buf_80 tmp81__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_80 = tmp81__func_com_grad_y_l_nn__val)
(assert (= tmp82__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_151) (* 0 tmp1__global__ref0_152)) (* 0 tmp1__global__ref0_153)) (* 64 tmp1__global__ref0_154)) (* 0 tmp1__global__ref0_155)) (* 0 tmp1__global__ref0_156)) (* 0 tmp1__global__ref0_157)) (* 0 tmp1__global__ref0_158)) 2) 4))) ; (tmp82__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_151) + (0 * tmp1__global__ref0_152)) + (0 * tmp1__global__ref0_153)) + (64 * tmp1__global__ref0_154)) + (0 * tmp1__global__ref0_155)) + (0 * tmp1__global__ref0_156)) + (0 * tmp1__global__ref0_157)) + (0 * tmp1__global__ref0_158)) + 2) div 4))
(assert (= tmp5__global__buf_81 tmp82__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_81 = tmp82__func_com_grad_y_l_nn__val)
(assert (= tmp83__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_152) (* 0 tmp1__global__ref0_153)) (* 0 tmp1__global__ref0_154)) (* 64 tmp1__global__ref0_155)) (* 0 tmp1__global__ref0_156)) (* 0 tmp1__global__ref0_157)) (* 0 tmp1__global__ref0_158)) (* 0 tmp1__global__ref0_159)) 2) 4))) ; (tmp83__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_152) + (0 * tmp1__global__ref0_153)) + (0 * tmp1__global__ref0_154)) + (64 * tmp1__global__ref0_155)) + (0 * tmp1__global__ref0_156)) + (0 * tmp1__global__ref0_157)) + (0 * tmp1__global__ref0_158)) + (0 * tmp1__global__ref0_159)) + 2) div 4))
(assert (= tmp5__global__buf_82 tmp83__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_82 = tmp83__func_com_grad_y_l_nn__val)
(assert (= tmp84__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_153) (* 0 tmp1__global__ref0_154)) (* 0 tmp1__global__ref0_155)) (* 64 tmp1__global__ref0_156)) (* 0 tmp1__global__ref0_157)) (* 0 tmp1__global__ref0_158)) (* 0 tmp1__global__ref0_159)) (* 0 tmp1__global__ref0_160)) 2) 4))) ; (tmp84__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_153) + (0 * tmp1__global__ref0_154)) + (0 * tmp1__global__ref0_155)) + (64 * tmp1__global__ref0_156)) + (0 * tmp1__global__ref0_157)) + (0 * tmp1__global__ref0_158)) + (0 * tmp1__global__ref0_159)) + (0 * tmp1__global__ref0_160)) + 2) div 4))
(assert (= tmp5__global__buf_83 tmp84__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_83 = tmp84__func_com_grad_y_l_nn__val)
(assert (= tmp85__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_154) (* 0 tmp1__global__ref0_155)) (* 0 tmp1__global__ref0_156)) (* 64 tmp1__global__ref0_157)) (* 0 tmp1__global__ref0_158)) (* 0 tmp1__global__ref0_159)) (* 0 tmp1__global__ref0_160)) (* 0 tmp1__global__ref0_161)) 2) 4))) ; (tmp85__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_154) + (0 * tmp1__global__ref0_155)) + (0 * tmp1__global__ref0_156)) + (64 * tmp1__global__ref0_157)) + (0 * tmp1__global__ref0_158)) + (0 * tmp1__global__ref0_159)) + (0 * tmp1__global__ref0_160)) + (0 * tmp1__global__ref0_161)) + 2) div 4))
(assert (= tmp5__global__buf_84 tmp85__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_84 = tmp85__func_com_grad_y_l_nn__val)
(assert (= tmp86__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_155) (* 0 tmp1__global__ref0_156)) (* 0 tmp1__global__ref0_157)) (* 64 tmp1__global__ref0_158)) (* 0 tmp1__global__ref0_159)) (* 0 tmp1__global__ref0_160)) (* 0 tmp1__global__ref0_161)) (* 0 tmp1__global__ref0_162)) 2) 4))) ; (tmp86__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_155) + (0 * tmp1__global__ref0_156)) + (0 * tmp1__global__ref0_157)) + (64 * tmp1__global__ref0_158)) + (0 * tmp1__global__ref0_159)) + (0 * tmp1__global__ref0_160)) + (0 * tmp1__global__ref0_161)) + (0 * tmp1__global__ref0_162)) + 2) div 4))
(assert (= tmp5__global__buf_85 tmp86__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_85 = tmp86__func_com_grad_y_l_nn__val)
(assert (= tmp87__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_156) (* 0 tmp1__global__ref0_157)) (* 0 tmp1__global__ref0_158)) (* 64 tmp1__global__ref0_159)) (* 0 tmp1__global__ref0_160)) (* 0 tmp1__global__ref0_161)) (* 0 tmp1__global__ref0_162)) (* 0 tmp1__global__ref0_163)) 2) 4))) ; (tmp87__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_156) + (0 * tmp1__global__ref0_157)) + (0 * tmp1__global__ref0_158)) + (64 * tmp1__global__ref0_159)) + (0 * tmp1__global__ref0_160)) + (0 * tmp1__global__ref0_161)) + (0 * tmp1__global__ref0_162)) + (0 * tmp1__global__ref0_163)) + 2) div 4))
(assert (= tmp5__global__buf_86 tmp87__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_86 = tmp87__func_com_grad_y_l_nn__val)
(assert (= tmp88__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_157) (* 0 tmp1__global__ref0_158)) (* 0 tmp1__global__ref0_159)) (* 64 tmp1__global__ref0_160)) (* 0 tmp1__global__ref0_161)) (* 0 tmp1__global__ref0_162)) (* 0 tmp1__global__ref0_163)) (* 0 tmp1__global__ref0_164)) 2) 4))) ; (tmp88__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_157) + (0 * tmp1__global__ref0_158)) + (0 * tmp1__global__ref0_159)) + (64 * tmp1__global__ref0_160)) + (0 * tmp1__global__ref0_161)) + (0 * tmp1__global__ref0_162)) + (0 * tmp1__global__ref0_163)) + (0 * tmp1__global__ref0_164)) + 2) div 4))
(assert (= tmp5__global__buf_87 tmp88__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_87 = tmp88__func_com_grad_y_l_nn__val)
(assert (= tmp89__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_165) (* 0 tmp1__global__ref0_166)) (* 0 tmp1__global__ref0_167)) (* 64 tmp1__global__ref0_168)) (* 0 tmp1__global__ref0_169)) (* 0 tmp1__global__ref0_170)) (* 0 tmp1__global__ref0_171)) (* 0 tmp1__global__ref0_172)) 2) 4))) ; (tmp89__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_165) + (0 * tmp1__global__ref0_166)) + (0 * tmp1__global__ref0_167)) + (64 * tmp1__global__ref0_168)) + (0 * tmp1__global__ref0_169)) + (0 * tmp1__global__ref0_170)) + (0 * tmp1__global__ref0_171)) + (0 * tmp1__global__ref0_172)) + 2) div 4))
(assert (= tmp5__global__buf_88 tmp89__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_88 = tmp89__func_com_grad_y_l_nn__val)
(assert (= tmp90__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_166) (* 0 tmp1__global__ref0_167)) (* 0 tmp1__global__ref0_168)) (* 64 tmp1__global__ref0_169)) (* 0 tmp1__global__ref0_170)) (* 0 tmp1__global__ref0_171)) (* 0 tmp1__global__ref0_172)) (* 0 tmp1__global__ref0_173)) 2) 4))) ; (tmp90__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_166) + (0 * tmp1__global__ref0_167)) + (0 * tmp1__global__ref0_168)) + (64 * tmp1__global__ref0_169)) + (0 * tmp1__global__ref0_170)) + (0 * tmp1__global__ref0_171)) + (0 * tmp1__global__ref0_172)) + (0 * tmp1__global__ref0_173)) + 2) div 4))
(assert (= tmp5__global__buf_89 tmp90__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_89 = tmp90__func_com_grad_y_l_nn__val)
(assert (= tmp91__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_167) (* 0 tmp1__global__ref0_168)) (* 0 tmp1__global__ref0_169)) (* 64 tmp1__global__ref0_170)) (* 0 tmp1__global__ref0_171)) (* 0 tmp1__global__ref0_172)) (* 0 tmp1__global__ref0_173)) (* 0 tmp1__global__ref0_174)) 2) 4))) ; (tmp91__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_167) + (0 * tmp1__global__ref0_168)) + (0 * tmp1__global__ref0_169)) + (64 * tmp1__global__ref0_170)) + (0 * tmp1__global__ref0_171)) + (0 * tmp1__global__ref0_172)) + (0 * tmp1__global__ref0_173)) + (0 * tmp1__global__ref0_174)) + 2) div 4))
(assert (= tmp5__global__buf_90 tmp91__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_90 = tmp91__func_com_grad_y_l_nn__val)
(assert (= tmp92__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_168) (* 0 tmp1__global__ref0_169)) (* 0 tmp1__global__ref0_170)) (* 64 tmp1__global__ref0_171)) (* 0 tmp1__global__ref0_172)) (* 0 tmp1__global__ref0_173)) (* 0 tmp1__global__ref0_174)) (* 0 tmp1__global__ref0_175)) 2) 4))) ; (tmp92__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_168) + (0 * tmp1__global__ref0_169)) + (0 * tmp1__global__ref0_170)) + (64 * tmp1__global__ref0_171)) + (0 * tmp1__global__ref0_172)) + (0 * tmp1__global__ref0_173)) + (0 * tmp1__global__ref0_174)) + (0 * tmp1__global__ref0_175)) + 2) div 4))
(assert (= tmp5__global__buf_91 tmp92__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_91 = tmp92__func_com_grad_y_l_nn__val)
(assert (= tmp93__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_169) (* 0 tmp1__global__ref0_170)) (* 0 tmp1__global__ref0_171)) (* 64 tmp1__global__ref0_172)) (* 0 tmp1__global__ref0_173)) (* 0 tmp1__global__ref0_174)) (* 0 tmp1__global__ref0_175)) (* 0 tmp1__global__ref0_176)) 2) 4))) ; (tmp93__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_169) + (0 * tmp1__global__ref0_170)) + (0 * tmp1__global__ref0_171)) + (64 * tmp1__global__ref0_172)) + (0 * tmp1__global__ref0_173)) + (0 * tmp1__global__ref0_174)) + (0 * tmp1__global__ref0_175)) + (0 * tmp1__global__ref0_176)) + 2) div 4))
(assert (= tmp5__global__buf_92 tmp93__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_92 = tmp93__func_com_grad_y_l_nn__val)
(assert (= tmp94__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_170) (* 0 tmp1__global__ref0_171)) (* 0 tmp1__global__ref0_172)) (* 64 tmp1__global__ref0_173)) (* 0 tmp1__global__ref0_174)) (* 0 tmp1__global__ref0_175)) (* 0 tmp1__global__ref0_176)) (* 0 tmp1__global__ref0_177)) 2) 4))) ; (tmp94__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_170) + (0 * tmp1__global__ref0_171)) + (0 * tmp1__global__ref0_172)) + (64 * tmp1__global__ref0_173)) + (0 * tmp1__global__ref0_174)) + (0 * tmp1__global__ref0_175)) + (0 * tmp1__global__ref0_176)) + (0 * tmp1__global__ref0_177)) + 2) div 4))
(assert (= tmp5__global__buf_93 tmp94__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_93 = tmp94__func_com_grad_y_l_nn__val)
(assert (= tmp95__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_171) (* 0 tmp1__global__ref0_172)) (* 0 tmp1__global__ref0_173)) (* 64 tmp1__global__ref0_174)) (* 0 tmp1__global__ref0_175)) (* 0 tmp1__global__ref0_176)) (* 0 tmp1__global__ref0_177)) (* 0 tmp1__global__ref0_178)) 2) 4))) ; (tmp95__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_171) + (0 * tmp1__global__ref0_172)) + (0 * tmp1__global__ref0_173)) + (64 * tmp1__global__ref0_174)) + (0 * tmp1__global__ref0_175)) + (0 * tmp1__global__ref0_176)) + (0 * tmp1__global__ref0_177)) + (0 * tmp1__global__ref0_178)) + 2) div 4))
(assert (= tmp5__global__buf_94 tmp95__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_94 = tmp95__func_com_grad_y_l_nn__val)
(assert (= tmp96__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_172) (* 0 tmp1__global__ref0_173)) (* 0 tmp1__global__ref0_174)) (* 64 tmp1__global__ref0_175)) (* 0 tmp1__global__ref0_176)) (* 0 tmp1__global__ref0_177)) (* 0 tmp1__global__ref0_178)) (* 0 tmp1__global__ref0_179)) 2) 4))) ; (tmp96__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_172) + (0 * tmp1__global__ref0_173)) + (0 * tmp1__global__ref0_174)) + (64 * tmp1__global__ref0_175)) + (0 * tmp1__global__ref0_176)) + (0 * tmp1__global__ref0_177)) + (0 * tmp1__global__ref0_178)) + (0 * tmp1__global__ref0_179)) + 2) div 4))
(assert (= tmp5__global__buf_95 tmp96__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_95 = tmp96__func_com_grad_y_l_nn__val)
(assert (= tmp97__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_180) (* 0 tmp1__global__ref0_181)) (* 0 tmp1__global__ref0_182)) (* 64 tmp1__global__ref0_183)) (* 0 tmp1__global__ref0_184)) (* 0 tmp1__global__ref0_185)) (* 0 tmp1__global__ref0_186)) (* 0 tmp1__global__ref0_187)) 2) 4))) ; (tmp97__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_180) + (0 * tmp1__global__ref0_181)) + (0 * tmp1__global__ref0_182)) + (64 * tmp1__global__ref0_183)) + (0 * tmp1__global__ref0_184)) + (0 * tmp1__global__ref0_185)) + (0 * tmp1__global__ref0_186)) + (0 * tmp1__global__ref0_187)) + 2) div 4))
(assert (= tmp5__global__buf_96 tmp97__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_96 = tmp97__func_com_grad_y_l_nn__val)
(assert (= tmp98__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_181) (* 0 tmp1__global__ref0_182)) (* 0 tmp1__global__ref0_183)) (* 64 tmp1__global__ref0_184)) (* 0 tmp1__global__ref0_185)) (* 0 tmp1__global__ref0_186)) (* 0 tmp1__global__ref0_187)) (* 0 tmp1__global__ref0_188)) 2) 4))) ; (tmp98__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_181) + (0 * tmp1__global__ref0_182)) + (0 * tmp1__global__ref0_183)) + (64 * tmp1__global__ref0_184)) + (0 * tmp1__global__ref0_185)) + (0 * tmp1__global__ref0_186)) + (0 * tmp1__global__ref0_187)) + (0 * tmp1__global__ref0_188)) + 2) div 4))
(assert (= tmp5__global__buf_97 tmp98__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_97 = tmp98__func_com_grad_y_l_nn__val)
(assert (= tmp99__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_182) (* 0 tmp1__global__ref0_183)) (* 0 tmp1__global__ref0_184)) (* 64 tmp1__global__ref0_185)) (* 0 tmp1__global__ref0_186)) (* 0 tmp1__global__ref0_187)) (* 0 tmp1__global__ref0_188)) (* 0 tmp1__global__ref0_189)) 2) 4))) ; (tmp99__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_182) + (0 * tmp1__global__ref0_183)) + (0 * tmp1__global__ref0_184)) + (64 * tmp1__global__ref0_185)) + (0 * tmp1__global__ref0_186)) + (0 * tmp1__global__ref0_187)) + (0 * tmp1__global__ref0_188)) + (0 * tmp1__global__ref0_189)) + 2) div 4))
(assert (= tmp5__global__buf_98 tmp99__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_98 = tmp99__func_com_grad_y_l_nn__val)
(assert (= tmp100__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_183) (* 0 tmp1__global__ref0_184)) (* 0 tmp1__global__ref0_185)) (* 64 tmp1__global__ref0_186)) (* 0 tmp1__global__ref0_187)) (* 0 tmp1__global__ref0_188)) (* 0 tmp1__global__ref0_189)) (* 0 tmp1__global__ref0_190)) 2) 4))) ; (tmp100__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_183) + (0 * tmp1__global__ref0_184)) + (0 * tmp1__global__ref0_185)) + (64 * tmp1__global__ref0_186)) + (0 * tmp1__global__ref0_187)) + (0 * tmp1__global__ref0_188)) + (0 * tmp1__global__ref0_189)) + (0 * tmp1__global__ref0_190)) + 2) div 4))
(assert (= tmp5__global__buf_99 tmp100__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_99 = tmp100__func_com_grad_y_l_nn__val)
(assert (= tmp101__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_184) (* 0 tmp1__global__ref0_185)) (* 0 tmp1__global__ref0_186)) (* 64 tmp1__global__ref0_187)) (* 0 tmp1__global__ref0_188)) (* 0 tmp1__global__ref0_189)) (* 0 tmp1__global__ref0_190)) (* 0 tmp1__global__ref0_191)) 2) 4))) ; (tmp101__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_184) + (0 * tmp1__global__ref0_185)) + (0 * tmp1__global__ref0_186)) + (64 * tmp1__global__ref0_187)) + (0 * tmp1__global__ref0_188)) + (0 * tmp1__global__ref0_189)) + (0 * tmp1__global__ref0_190)) + (0 * tmp1__global__ref0_191)) + 2) div 4))
(assert (= tmp5__global__buf_100 tmp101__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_100 = tmp101__func_com_grad_y_l_nn__val)
(assert (= tmp102__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_185) (* 0 tmp1__global__ref0_186)) (* 0 tmp1__global__ref0_187)) (* 64 tmp1__global__ref0_188)) (* 0 tmp1__global__ref0_189)) (* 0 tmp1__global__ref0_190)) (* 0 tmp1__global__ref0_191)) (* 0 tmp1__global__ref0_192)) 2) 4))) ; (tmp102__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_185) + (0 * tmp1__global__ref0_186)) + (0 * tmp1__global__ref0_187)) + (64 * tmp1__global__ref0_188)) + (0 * tmp1__global__ref0_189)) + (0 * tmp1__global__ref0_190)) + (0 * tmp1__global__ref0_191)) + (0 * tmp1__global__ref0_192)) + 2) div 4))
(assert (= tmp5__global__buf_101 tmp102__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_101 = tmp102__func_com_grad_y_l_nn__val)
(assert (= tmp103__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_186) (* 0 tmp1__global__ref0_187)) (* 0 tmp1__global__ref0_188)) (* 64 tmp1__global__ref0_189)) (* 0 tmp1__global__ref0_190)) (* 0 tmp1__global__ref0_191)) (* 0 tmp1__global__ref0_192)) (* 0 tmp1__global__ref0_193)) 2) 4))) ; (tmp103__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_186) + (0 * tmp1__global__ref0_187)) + (0 * tmp1__global__ref0_188)) + (64 * tmp1__global__ref0_189)) + (0 * tmp1__global__ref0_190)) + (0 * tmp1__global__ref0_191)) + (0 * tmp1__global__ref0_192)) + (0 * tmp1__global__ref0_193)) + 2) div 4))
(assert (= tmp5__global__buf_102 tmp103__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_102 = tmp103__func_com_grad_y_l_nn__val)
(assert (= tmp104__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_187) (* 0 tmp1__global__ref0_188)) (* 0 tmp1__global__ref0_189)) (* 64 tmp1__global__ref0_190)) (* 0 tmp1__global__ref0_191)) (* 0 tmp1__global__ref0_192)) (* 0 tmp1__global__ref0_193)) (* 0 tmp1__global__ref0_194)) 2) 4))) ; (tmp104__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_187) + (0 * tmp1__global__ref0_188)) + (0 * tmp1__global__ref0_189)) + (64 * tmp1__global__ref0_190)) + (0 * tmp1__global__ref0_191)) + (0 * tmp1__global__ref0_192)) + (0 * tmp1__global__ref0_193)) + (0 * tmp1__global__ref0_194)) + 2) div 4))
(assert (= tmp5__global__buf_103 tmp104__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_103 = tmp104__func_com_grad_y_l_nn__val)
(assert (= tmp105__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_195) (* 0 tmp1__global__ref0_196)) (* 0 tmp1__global__ref0_197)) (* 64 tmp1__global__ref0_198)) (* 0 tmp1__global__ref0_199)) (* 0 tmp1__global__ref0_200)) (* 0 tmp1__global__ref0_201)) (* 0 tmp1__global__ref0_202)) 2) 4))) ; (tmp105__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_195) + (0 * tmp1__global__ref0_196)) + (0 * tmp1__global__ref0_197)) + (64 * tmp1__global__ref0_198)) + (0 * tmp1__global__ref0_199)) + (0 * tmp1__global__ref0_200)) + (0 * tmp1__global__ref0_201)) + (0 * tmp1__global__ref0_202)) + 2) div 4))
(assert (= tmp5__global__buf_104 tmp105__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_104 = tmp105__func_com_grad_y_l_nn__val)
(assert (= tmp106__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_196) (* 0 tmp1__global__ref0_197)) (* 0 tmp1__global__ref0_198)) (* 64 tmp1__global__ref0_199)) (* 0 tmp1__global__ref0_200)) (* 0 tmp1__global__ref0_201)) (* 0 tmp1__global__ref0_202)) (* 0 tmp1__global__ref0_203)) 2) 4))) ; (tmp106__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_196) + (0 * tmp1__global__ref0_197)) + (0 * tmp1__global__ref0_198)) + (64 * tmp1__global__ref0_199)) + (0 * tmp1__global__ref0_200)) + (0 * tmp1__global__ref0_201)) + (0 * tmp1__global__ref0_202)) + (0 * tmp1__global__ref0_203)) + 2) div 4))
(assert (= tmp5__global__buf_105 tmp106__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_105 = tmp106__func_com_grad_y_l_nn__val)
(assert (= tmp107__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_197) (* 0 tmp1__global__ref0_198)) (* 0 tmp1__global__ref0_199)) (* 64 tmp1__global__ref0_200)) (* 0 tmp1__global__ref0_201)) (* 0 tmp1__global__ref0_202)) (* 0 tmp1__global__ref0_203)) (* 0 tmp1__global__ref0_204)) 2) 4))) ; (tmp107__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_197) + (0 * tmp1__global__ref0_198)) + (0 * tmp1__global__ref0_199)) + (64 * tmp1__global__ref0_200)) + (0 * tmp1__global__ref0_201)) + (0 * tmp1__global__ref0_202)) + (0 * tmp1__global__ref0_203)) + (0 * tmp1__global__ref0_204)) + 2) div 4))
(assert (= tmp5__global__buf_106 tmp107__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_106 = tmp107__func_com_grad_y_l_nn__val)
(assert (= tmp108__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_198) (* 0 tmp1__global__ref0_199)) (* 0 tmp1__global__ref0_200)) (* 64 tmp1__global__ref0_201)) (* 0 tmp1__global__ref0_202)) (* 0 tmp1__global__ref0_203)) (* 0 tmp1__global__ref0_204)) (* 0 tmp1__global__ref0_205)) 2) 4))) ; (tmp108__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_198) + (0 * tmp1__global__ref0_199)) + (0 * tmp1__global__ref0_200)) + (64 * tmp1__global__ref0_201)) + (0 * tmp1__global__ref0_202)) + (0 * tmp1__global__ref0_203)) + (0 * tmp1__global__ref0_204)) + (0 * tmp1__global__ref0_205)) + 2) div 4))
(assert (= tmp5__global__buf_107 tmp108__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_107 = tmp108__func_com_grad_y_l_nn__val)
(assert (= tmp109__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_199) (* 0 tmp1__global__ref0_200)) (* 0 tmp1__global__ref0_201)) (* 64 tmp1__global__ref0_202)) (* 0 tmp1__global__ref0_203)) (* 0 tmp1__global__ref0_204)) (* 0 tmp1__global__ref0_205)) (* 0 tmp1__global__ref0_206)) 2) 4))) ; (tmp109__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_199) + (0 * tmp1__global__ref0_200)) + (0 * tmp1__global__ref0_201)) + (64 * tmp1__global__ref0_202)) + (0 * tmp1__global__ref0_203)) + (0 * tmp1__global__ref0_204)) + (0 * tmp1__global__ref0_205)) + (0 * tmp1__global__ref0_206)) + 2) div 4))
(assert (= tmp5__global__buf_108 tmp109__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_108 = tmp109__func_com_grad_y_l_nn__val)
(assert (= tmp110__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_200) (* 0 tmp1__global__ref0_201)) (* 0 tmp1__global__ref0_202)) (* 64 tmp1__global__ref0_203)) (* 0 tmp1__global__ref0_204)) (* 0 tmp1__global__ref0_205)) (* 0 tmp1__global__ref0_206)) (* 0 tmp1__global__ref0_207)) 2) 4))) ; (tmp110__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_200) + (0 * tmp1__global__ref0_201)) + (0 * tmp1__global__ref0_202)) + (64 * tmp1__global__ref0_203)) + (0 * tmp1__global__ref0_204)) + (0 * tmp1__global__ref0_205)) + (0 * tmp1__global__ref0_206)) + (0 * tmp1__global__ref0_207)) + 2) div 4))
(assert (= tmp5__global__buf_109 tmp110__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_109 = tmp110__func_com_grad_y_l_nn__val)
(assert (= tmp111__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_201) (* 0 tmp1__global__ref0_202)) (* 0 tmp1__global__ref0_203)) (* 64 tmp1__global__ref0_204)) (* 0 tmp1__global__ref0_205)) (* 0 tmp1__global__ref0_206)) (* 0 tmp1__global__ref0_207)) (* 0 tmp1__global__ref0_208)) 2) 4))) ; (tmp111__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_201) + (0 * tmp1__global__ref0_202)) + (0 * tmp1__global__ref0_203)) + (64 * tmp1__global__ref0_204)) + (0 * tmp1__global__ref0_205)) + (0 * tmp1__global__ref0_206)) + (0 * tmp1__global__ref0_207)) + (0 * tmp1__global__ref0_208)) + 2) div 4))
(assert (= tmp5__global__buf_110 tmp111__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_110 = tmp111__func_com_grad_y_l_nn__val)
(assert (= tmp112__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_202) (* 0 tmp1__global__ref0_203)) (* 0 tmp1__global__ref0_204)) (* 64 tmp1__global__ref0_205)) (* 0 tmp1__global__ref0_206)) (* 0 tmp1__global__ref0_207)) (* 0 tmp1__global__ref0_208)) (* 0 tmp1__global__ref0_209)) 2) 4))) ; (tmp112__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_202) + (0 * tmp1__global__ref0_203)) + (0 * tmp1__global__ref0_204)) + (64 * tmp1__global__ref0_205)) + (0 * tmp1__global__ref0_206)) + (0 * tmp1__global__ref0_207)) + (0 * tmp1__global__ref0_208)) + (0 * tmp1__global__ref0_209)) + 2) div 4))
(assert (= tmp5__global__buf_111 tmp112__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_111 = tmp112__func_com_grad_y_l_nn__val)
(assert (= tmp113__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_210) (* 0 tmp1__global__ref0_211)) (* 0 tmp1__global__ref0_212)) (* 64 tmp1__global__ref0_213)) (* 0 tmp1__global__ref0_214)) (* 0 tmp1__global__ref0_215)) (* 0 tmp1__global__ref0_216)) (* 0 tmp1__global__ref0_217)) 2) 4))) ; (tmp113__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_210) + (0 * tmp1__global__ref0_211)) + (0 * tmp1__global__ref0_212)) + (64 * tmp1__global__ref0_213)) + (0 * tmp1__global__ref0_214)) + (0 * tmp1__global__ref0_215)) + (0 * tmp1__global__ref0_216)) + (0 * tmp1__global__ref0_217)) + 2) div 4))
(assert (= tmp5__global__buf_112 tmp113__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_112 = tmp113__func_com_grad_y_l_nn__val)
(assert (= tmp114__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_211) (* 0 tmp1__global__ref0_212)) (* 0 tmp1__global__ref0_213)) (* 64 tmp1__global__ref0_214)) (* 0 tmp1__global__ref0_215)) (* 0 tmp1__global__ref0_216)) (* 0 tmp1__global__ref0_217)) (* 0 tmp1__global__ref0_218)) 2) 4))) ; (tmp114__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_211) + (0 * tmp1__global__ref0_212)) + (0 * tmp1__global__ref0_213)) + (64 * tmp1__global__ref0_214)) + (0 * tmp1__global__ref0_215)) + (0 * tmp1__global__ref0_216)) + (0 * tmp1__global__ref0_217)) + (0 * tmp1__global__ref0_218)) + 2) div 4))
(assert (= tmp5__global__buf_113 tmp114__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_113 = tmp114__func_com_grad_y_l_nn__val)
(assert (= tmp115__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_212) (* 0 tmp1__global__ref0_213)) (* 0 tmp1__global__ref0_214)) (* 64 tmp1__global__ref0_215)) (* 0 tmp1__global__ref0_216)) (* 0 tmp1__global__ref0_217)) (* 0 tmp1__global__ref0_218)) (* 0 tmp1__global__ref0_219)) 2) 4))) ; (tmp115__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_212) + (0 * tmp1__global__ref0_213)) + (0 * tmp1__global__ref0_214)) + (64 * tmp1__global__ref0_215)) + (0 * tmp1__global__ref0_216)) + (0 * tmp1__global__ref0_217)) + (0 * tmp1__global__ref0_218)) + (0 * tmp1__global__ref0_219)) + 2) div 4))
(assert (= tmp5__global__buf_114 tmp115__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_114 = tmp115__func_com_grad_y_l_nn__val)
(assert (= tmp116__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_213) (* 0 tmp1__global__ref0_214)) (* 0 tmp1__global__ref0_215)) (* 64 tmp1__global__ref0_216)) (* 0 tmp1__global__ref0_217)) (* 0 tmp1__global__ref0_218)) (* 0 tmp1__global__ref0_219)) (* 0 tmp1__global__ref0_220)) 2) 4))) ; (tmp116__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_213) + (0 * tmp1__global__ref0_214)) + (0 * tmp1__global__ref0_215)) + (64 * tmp1__global__ref0_216)) + (0 * tmp1__global__ref0_217)) + (0 * tmp1__global__ref0_218)) + (0 * tmp1__global__ref0_219)) + (0 * tmp1__global__ref0_220)) + 2) div 4))
(assert (= tmp5__global__buf_115 tmp116__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_115 = tmp116__func_com_grad_y_l_nn__val)
(assert (= tmp117__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_214) (* 0 tmp1__global__ref0_215)) (* 0 tmp1__global__ref0_216)) (* 64 tmp1__global__ref0_217)) (* 0 tmp1__global__ref0_218)) (* 0 tmp1__global__ref0_219)) (* 0 tmp1__global__ref0_220)) (* 0 tmp1__global__ref0_221)) 2) 4))) ; (tmp117__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_214) + (0 * tmp1__global__ref0_215)) + (0 * tmp1__global__ref0_216)) + (64 * tmp1__global__ref0_217)) + (0 * tmp1__global__ref0_218)) + (0 * tmp1__global__ref0_219)) + (0 * tmp1__global__ref0_220)) + (0 * tmp1__global__ref0_221)) + 2) div 4))
(assert (= tmp5__global__buf_116 tmp117__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_116 = tmp117__func_com_grad_y_l_nn__val)
(assert (= tmp118__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_215) (* 0 tmp1__global__ref0_216)) (* 0 tmp1__global__ref0_217)) (* 64 tmp1__global__ref0_218)) (* 0 tmp1__global__ref0_219)) (* 0 tmp1__global__ref0_220)) (* 0 tmp1__global__ref0_221)) (* 0 tmp1__global__ref0_222)) 2) 4))) ; (tmp118__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_215) + (0 * tmp1__global__ref0_216)) + (0 * tmp1__global__ref0_217)) + (64 * tmp1__global__ref0_218)) + (0 * tmp1__global__ref0_219)) + (0 * tmp1__global__ref0_220)) + (0 * tmp1__global__ref0_221)) + (0 * tmp1__global__ref0_222)) + 2) div 4))
(assert (= tmp5__global__buf_117 tmp118__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_117 = tmp118__func_com_grad_y_l_nn__val)
(assert (= tmp119__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_216) (* 0 tmp1__global__ref0_217)) (* 0 tmp1__global__ref0_218)) (* 64 tmp1__global__ref0_219)) (* 0 tmp1__global__ref0_220)) (* 0 tmp1__global__ref0_221)) (* 0 tmp1__global__ref0_222)) (* 0 tmp1__global__ref0_223)) 2) 4))) ; (tmp119__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_216) + (0 * tmp1__global__ref0_217)) + (0 * tmp1__global__ref0_218)) + (64 * tmp1__global__ref0_219)) + (0 * tmp1__global__ref0_220)) + (0 * tmp1__global__ref0_221)) + (0 * tmp1__global__ref0_222)) + (0 * tmp1__global__ref0_223)) + 2) div 4))
(assert (= tmp5__global__buf_118 tmp119__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_118 = tmp119__func_com_grad_y_l_nn__val)
(assert (= tmp120__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref0_217) (* 0 tmp1__global__ref0_218)) (* 0 tmp1__global__ref0_219)) (* 64 tmp1__global__ref0_220)) (* 0 tmp1__global__ref0_221)) (* 0 tmp1__global__ref0_222)) (* 0 tmp1__global__ref0_223)) (* 0 tmp1__global__ref0_224)) 2) 4))) ; (tmp120__func_com_grad_y_l_nn__val = ((((((((((0 * tmp1__global__ref0_217) + (0 * tmp1__global__ref0_218)) + (0 * tmp1__global__ref0_219)) + (64 * tmp1__global__ref0_220)) + (0 * tmp1__global__ref0_221)) + (0 * tmp1__global__ref0_222)) + (0 * tmp1__global__ref0_223)) + (0 * tmp1__global__ref0_224)) + 2) div 4))
(assert (= tmp5__global__buf_119 tmp120__func_com_grad_y_l_nn__val)) ; (tmp5__global__buf_119 = tmp120__func_com_grad_y_l_nn__val)
(assert (= tmp121__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_0) (* 6 tmp5__global__buf_8)) (* (- 19) tmp5__global__buf_16)) (* (- 31) tmp5__global__buf_24)) (* 53 tmp5__global__buf_32)) (* (- 12) tmp5__global__buf_40)) (* 7 tmp5__global__buf_48)) (* (- 2) tmp5__global__buf_56)) 8192) 16384))) ; (tmp121__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_0) + (6 * tmp5__global__buf_8)) + ((- 19) * tmp5__global__buf_16)) + ((- 31) * tmp5__global__buf_24)) + (53 * tmp5__global__buf_32)) + ((- 12) * tmp5__global__buf_40)) + (7 * tmp5__global__buf_48)) + ((- 2) * tmp5__global__buf_56)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_0 tmp121__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_0 = tmp121__func_com_grad_y_l_nn__val)
(assert (= tmp122__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_1) (* 6 tmp5__global__buf_9)) (* (- 19) tmp5__global__buf_17)) (* (- 31) tmp5__global__buf_25)) (* 53 tmp5__global__buf_33)) (* (- 12) tmp5__global__buf_41)) (* 7 tmp5__global__buf_49)) (* (- 2) tmp5__global__buf_57)) 8192) 16384))) ; (tmp122__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_1) + (6 * tmp5__global__buf_9)) + ((- 19) * tmp5__global__buf_17)) + ((- 31) * tmp5__global__buf_25)) + (53 * tmp5__global__buf_33)) + ((- 12) * tmp5__global__buf_41)) + (7 * tmp5__global__buf_49)) + ((- 2) * tmp5__global__buf_57)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_1 tmp122__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_1 = tmp122__func_com_grad_y_l_nn__val)
(assert (= tmp123__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_2) (* 6 tmp5__global__buf_10)) (* (- 19) tmp5__global__buf_18)) (* (- 31) tmp5__global__buf_26)) (* 53 tmp5__global__buf_34)) (* (- 12) tmp5__global__buf_42)) (* 7 tmp5__global__buf_50)) (* (- 2) tmp5__global__buf_58)) 8192) 16384))) ; (tmp123__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_2) + (6 * tmp5__global__buf_10)) + ((- 19) * tmp5__global__buf_18)) + ((- 31) * tmp5__global__buf_26)) + (53 * tmp5__global__buf_34)) + ((- 12) * tmp5__global__buf_42)) + (7 * tmp5__global__buf_50)) + ((- 2) * tmp5__global__buf_58)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_2 tmp123__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_2 = tmp123__func_com_grad_y_l_nn__val)
(assert (= tmp124__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_3) (* 6 tmp5__global__buf_11)) (* (- 19) tmp5__global__buf_19)) (* (- 31) tmp5__global__buf_27)) (* 53 tmp5__global__buf_35)) (* (- 12) tmp5__global__buf_43)) (* 7 tmp5__global__buf_51)) (* (- 2) tmp5__global__buf_59)) 8192) 16384))) ; (tmp124__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_3) + (6 * tmp5__global__buf_11)) + ((- 19) * tmp5__global__buf_19)) + ((- 31) * tmp5__global__buf_27)) + (53 * tmp5__global__buf_35)) + ((- 12) * tmp5__global__buf_43)) + (7 * tmp5__global__buf_51)) + ((- 2) * tmp5__global__buf_59)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_3 tmp124__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_3 = tmp124__func_com_grad_y_l_nn__val)
(assert (= tmp125__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_4) (* 6 tmp5__global__buf_12)) (* (- 19) tmp5__global__buf_20)) (* (- 31) tmp5__global__buf_28)) (* 53 tmp5__global__buf_36)) (* (- 12) tmp5__global__buf_44)) (* 7 tmp5__global__buf_52)) (* (- 2) tmp5__global__buf_60)) 8192) 16384))) ; (tmp125__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_4) + (6 * tmp5__global__buf_12)) + ((- 19) * tmp5__global__buf_20)) + ((- 31) * tmp5__global__buf_28)) + (53 * tmp5__global__buf_36)) + ((- 12) * tmp5__global__buf_44)) + (7 * tmp5__global__buf_52)) + ((- 2) * tmp5__global__buf_60)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_4 tmp125__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_4 = tmp125__func_com_grad_y_l_nn__val)
(assert (= tmp126__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_5) (* 6 tmp5__global__buf_13)) (* (- 19) tmp5__global__buf_21)) (* (- 31) tmp5__global__buf_29)) (* 53 tmp5__global__buf_37)) (* (- 12) tmp5__global__buf_45)) (* 7 tmp5__global__buf_53)) (* (- 2) tmp5__global__buf_61)) 8192) 16384))) ; (tmp126__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_5) + (6 * tmp5__global__buf_13)) + ((- 19) * tmp5__global__buf_21)) + ((- 31) * tmp5__global__buf_29)) + (53 * tmp5__global__buf_37)) + ((- 12) * tmp5__global__buf_45)) + (7 * tmp5__global__buf_53)) + ((- 2) * tmp5__global__buf_61)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_5 tmp126__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_5 = tmp126__func_com_grad_y_l_nn__val)
(assert (= tmp127__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_6) (* 6 tmp5__global__buf_14)) (* (- 19) tmp5__global__buf_22)) (* (- 31) tmp5__global__buf_30)) (* 53 tmp5__global__buf_38)) (* (- 12) tmp5__global__buf_46)) (* 7 tmp5__global__buf_54)) (* (- 2) tmp5__global__buf_62)) 8192) 16384))) ; (tmp127__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_6) + (6 * tmp5__global__buf_14)) + ((- 19) * tmp5__global__buf_22)) + ((- 31) * tmp5__global__buf_30)) + (53 * tmp5__global__buf_38)) + ((- 12) * tmp5__global__buf_46)) + (7 * tmp5__global__buf_54)) + ((- 2) * tmp5__global__buf_62)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_6 tmp127__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_6 = tmp127__func_com_grad_y_l_nn__val)
(assert (= tmp128__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_7) (* 6 tmp5__global__buf_15)) (* (- 19) tmp5__global__buf_23)) (* (- 31) tmp5__global__buf_31)) (* 53 tmp5__global__buf_39)) (* (- 12) tmp5__global__buf_47)) (* 7 tmp5__global__buf_55)) (* (- 2) tmp5__global__buf_63)) 8192) 16384))) ; (tmp128__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_7) + (6 * tmp5__global__buf_15)) + ((- 19) * tmp5__global__buf_23)) + ((- 31) * tmp5__global__buf_31)) + (53 * tmp5__global__buf_39)) + ((- 12) * tmp5__global__buf_47)) + (7 * tmp5__global__buf_55)) + ((- 2) * tmp5__global__buf_63)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_7 tmp128__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_7 = tmp128__func_com_grad_y_l_nn__val)
(assert (= tmp129__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_8) (* 6 tmp5__global__buf_16)) (* (- 19) tmp5__global__buf_24)) (* (- 31) tmp5__global__buf_32)) (* 53 tmp5__global__buf_40)) (* (- 12) tmp5__global__buf_48)) (* 7 tmp5__global__buf_56)) (* (- 2) tmp5__global__buf_64)) 8192) 16384))) ; (tmp129__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_8) + (6 * tmp5__global__buf_16)) + ((- 19) * tmp5__global__buf_24)) + ((- 31) * tmp5__global__buf_32)) + (53 * tmp5__global__buf_40)) + ((- 12) * tmp5__global__buf_48)) + (7 * tmp5__global__buf_56)) + ((- 2) * tmp5__global__buf_64)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_8 tmp129__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_8 = tmp129__func_com_grad_y_l_nn__val)
(assert (= tmp130__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_9) (* 6 tmp5__global__buf_17)) (* (- 19) tmp5__global__buf_25)) (* (- 31) tmp5__global__buf_33)) (* 53 tmp5__global__buf_41)) (* (- 12) tmp5__global__buf_49)) (* 7 tmp5__global__buf_57)) (* (- 2) tmp5__global__buf_65)) 8192) 16384))) ; (tmp130__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_9) + (6 * tmp5__global__buf_17)) + ((- 19) * tmp5__global__buf_25)) + ((- 31) * tmp5__global__buf_33)) + (53 * tmp5__global__buf_41)) + ((- 12) * tmp5__global__buf_49)) + (7 * tmp5__global__buf_57)) + ((- 2) * tmp5__global__buf_65)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_9 tmp130__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_9 = tmp130__func_com_grad_y_l_nn__val)
(assert (= tmp131__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_10) (* 6 tmp5__global__buf_18)) (* (- 19) tmp5__global__buf_26)) (* (- 31) tmp5__global__buf_34)) (* 53 tmp5__global__buf_42)) (* (- 12) tmp5__global__buf_50)) (* 7 tmp5__global__buf_58)) (* (- 2) tmp5__global__buf_66)) 8192) 16384))) ; (tmp131__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_10) + (6 * tmp5__global__buf_18)) + ((- 19) * tmp5__global__buf_26)) + ((- 31) * tmp5__global__buf_34)) + (53 * tmp5__global__buf_42)) + ((- 12) * tmp5__global__buf_50)) + (7 * tmp5__global__buf_58)) + ((- 2) * tmp5__global__buf_66)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_10 tmp131__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_10 = tmp131__func_com_grad_y_l_nn__val)
(assert (= tmp132__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_11) (* 6 tmp5__global__buf_19)) (* (- 19) tmp5__global__buf_27)) (* (- 31) tmp5__global__buf_35)) (* 53 tmp5__global__buf_43)) (* (- 12) tmp5__global__buf_51)) (* 7 tmp5__global__buf_59)) (* (- 2) tmp5__global__buf_67)) 8192) 16384))) ; (tmp132__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_11) + (6 * tmp5__global__buf_19)) + ((- 19) * tmp5__global__buf_27)) + ((- 31) * tmp5__global__buf_35)) + (53 * tmp5__global__buf_43)) + ((- 12) * tmp5__global__buf_51)) + (7 * tmp5__global__buf_59)) + ((- 2) * tmp5__global__buf_67)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_11 tmp132__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_11 = tmp132__func_com_grad_y_l_nn__val)
(assert (= tmp133__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_12) (* 6 tmp5__global__buf_20)) (* (- 19) tmp5__global__buf_28)) (* (- 31) tmp5__global__buf_36)) (* 53 tmp5__global__buf_44)) (* (- 12) tmp5__global__buf_52)) (* 7 tmp5__global__buf_60)) (* (- 2) tmp5__global__buf_68)) 8192) 16384))) ; (tmp133__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_12) + (6 * tmp5__global__buf_20)) + ((- 19) * tmp5__global__buf_28)) + ((- 31) * tmp5__global__buf_36)) + (53 * tmp5__global__buf_44)) + ((- 12) * tmp5__global__buf_52)) + (7 * tmp5__global__buf_60)) + ((- 2) * tmp5__global__buf_68)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_12 tmp133__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_12 = tmp133__func_com_grad_y_l_nn__val)
(assert (= tmp134__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_13) (* 6 tmp5__global__buf_21)) (* (- 19) tmp5__global__buf_29)) (* (- 31) tmp5__global__buf_37)) (* 53 tmp5__global__buf_45)) (* (- 12) tmp5__global__buf_53)) (* 7 tmp5__global__buf_61)) (* (- 2) tmp5__global__buf_69)) 8192) 16384))) ; (tmp134__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_13) + (6 * tmp5__global__buf_21)) + ((- 19) * tmp5__global__buf_29)) + ((- 31) * tmp5__global__buf_37)) + (53 * tmp5__global__buf_45)) + ((- 12) * tmp5__global__buf_53)) + (7 * tmp5__global__buf_61)) + ((- 2) * tmp5__global__buf_69)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_13 tmp134__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_13 = tmp134__func_com_grad_y_l_nn__val)
(assert (= tmp135__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_14) (* 6 tmp5__global__buf_22)) (* (- 19) tmp5__global__buf_30)) (* (- 31) tmp5__global__buf_38)) (* 53 tmp5__global__buf_46)) (* (- 12) tmp5__global__buf_54)) (* 7 tmp5__global__buf_62)) (* (- 2) tmp5__global__buf_70)) 8192) 16384))) ; (tmp135__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_14) + (6 * tmp5__global__buf_22)) + ((- 19) * tmp5__global__buf_30)) + ((- 31) * tmp5__global__buf_38)) + (53 * tmp5__global__buf_46)) + ((- 12) * tmp5__global__buf_54)) + (7 * tmp5__global__buf_62)) + ((- 2) * tmp5__global__buf_70)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_14 tmp135__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_14 = tmp135__func_com_grad_y_l_nn__val)
(assert (= tmp136__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_15) (* 6 tmp5__global__buf_23)) (* (- 19) tmp5__global__buf_31)) (* (- 31) tmp5__global__buf_39)) (* 53 tmp5__global__buf_47)) (* (- 12) tmp5__global__buf_55)) (* 7 tmp5__global__buf_63)) (* (- 2) tmp5__global__buf_71)) 8192) 16384))) ; (tmp136__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_15) + (6 * tmp5__global__buf_23)) + ((- 19) * tmp5__global__buf_31)) + ((- 31) * tmp5__global__buf_39)) + (53 * tmp5__global__buf_47)) + ((- 12) * tmp5__global__buf_55)) + (7 * tmp5__global__buf_63)) + ((- 2) * tmp5__global__buf_71)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_15 tmp136__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_15 = tmp136__func_com_grad_y_l_nn__val)
(assert (= tmp137__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_16) (* 6 tmp5__global__buf_24)) (* (- 19) tmp5__global__buf_32)) (* (- 31) tmp5__global__buf_40)) (* 53 tmp5__global__buf_48)) (* (- 12) tmp5__global__buf_56)) (* 7 tmp5__global__buf_64)) (* (- 2) tmp5__global__buf_72)) 8192) 16384))) ; (tmp137__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_16) + (6 * tmp5__global__buf_24)) + ((- 19) * tmp5__global__buf_32)) + ((- 31) * tmp5__global__buf_40)) + (53 * tmp5__global__buf_48)) + ((- 12) * tmp5__global__buf_56)) + (7 * tmp5__global__buf_64)) + ((- 2) * tmp5__global__buf_72)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_16 tmp137__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_16 = tmp137__func_com_grad_y_l_nn__val)
(assert (= tmp138__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_17) (* 6 tmp5__global__buf_25)) (* (- 19) tmp5__global__buf_33)) (* (- 31) tmp5__global__buf_41)) (* 53 tmp5__global__buf_49)) (* (- 12) tmp5__global__buf_57)) (* 7 tmp5__global__buf_65)) (* (- 2) tmp5__global__buf_73)) 8192) 16384))) ; (tmp138__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_17) + (6 * tmp5__global__buf_25)) + ((- 19) * tmp5__global__buf_33)) + ((- 31) * tmp5__global__buf_41)) + (53 * tmp5__global__buf_49)) + ((- 12) * tmp5__global__buf_57)) + (7 * tmp5__global__buf_65)) + ((- 2) * tmp5__global__buf_73)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_17 tmp138__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_17 = tmp138__func_com_grad_y_l_nn__val)
(assert (= tmp139__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_18) (* 6 tmp5__global__buf_26)) (* (- 19) tmp5__global__buf_34)) (* (- 31) tmp5__global__buf_42)) (* 53 tmp5__global__buf_50)) (* (- 12) tmp5__global__buf_58)) (* 7 tmp5__global__buf_66)) (* (- 2) tmp5__global__buf_74)) 8192) 16384))) ; (tmp139__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_18) + (6 * tmp5__global__buf_26)) + ((- 19) * tmp5__global__buf_34)) + ((- 31) * tmp5__global__buf_42)) + (53 * tmp5__global__buf_50)) + ((- 12) * tmp5__global__buf_58)) + (7 * tmp5__global__buf_66)) + ((- 2) * tmp5__global__buf_74)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_18 tmp139__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_18 = tmp139__func_com_grad_y_l_nn__val)
(assert (= tmp140__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_19) (* 6 tmp5__global__buf_27)) (* (- 19) tmp5__global__buf_35)) (* (- 31) tmp5__global__buf_43)) (* 53 tmp5__global__buf_51)) (* (- 12) tmp5__global__buf_59)) (* 7 tmp5__global__buf_67)) (* (- 2) tmp5__global__buf_75)) 8192) 16384))) ; (tmp140__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_19) + (6 * tmp5__global__buf_27)) + ((- 19) * tmp5__global__buf_35)) + ((- 31) * tmp5__global__buf_43)) + (53 * tmp5__global__buf_51)) + ((- 12) * tmp5__global__buf_59)) + (7 * tmp5__global__buf_67)) + ((- 2) * tmp5__global__buf_75)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_19 tmp140__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_19 = tmp140__func_com_grad_y_l_nn__val)
(assert (= tmp141__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_20) (* 6 tmp5__global__buf_28)) (* (- 19) tmp5__global__buf_36)) (* (- 31) tmp5__global__buf_44)) (* 53 tmp5__global__buf_52)) (* (- 12) tmp5__global__buf_60)) (* 7 tmp5__global__buf_68)) (* (- 2) tmp5__global__buf_76)) 8192) 16384))) ; (tmp141__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_20) + (6 * tmp5__global__buf_28)) + ((- 19) * tmp5__global__buf_36)) + ((- 31) * tmp5__global__buf_44)) + (53 * tmp5__global__buf_52)) + ((- 12) * tmp5__global__buf_60)) + (7 * tmp5__global__buf_68)) + ((- 2) * tmp5__global__buf_76)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_20 tmp141__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_20 = tmp141__func_com_grad_y_l_nn__val)
(assert (= tmp142__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_21) (* 6 tmp5__global__buf_29)) (* (- 19) tmp5__global__buf_37)) (* (- 31) tmp5__global__buf_45)) (* 53 tmp5__global__buf_53)) (* (- 12) tmp5__global__buf_61)) (* 7 tmp5__global__buf_69)) (* (- 2) tmp5__global__buf_77)) 8192) 16384))) ; (tmp142__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_21) + (6 * tmp5__global__buf_29)) + ((- 19) * tmp5__global__buf_37)) + ((- 31) * tmp5__global__buf_45)) + (53 * tmp5__global__buf_53)) + ((- 12) * tmp5__global__buf_61)) + (7 * tmp5__global__buf_69)) + ((- 2) * tmp5__global__buf_77)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_21 tmp142__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_21 = tmp142__func_com_grad_y_l_nn__val)
(assert (= tmp143__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_22) (* 6 tmp5__global__buf_30)) (* (- 19) tmp5__global__buf_38)) (* (- 31) tmp5__global__buf_46)) (* 53 tmp5__global__buf_54)) (* (- 12) tmp5__global__buf_62)) (* 7 tmp5__global__buf_70)) (* (- 2) tmp5__global__buf_78)) 8192) 16384))) ; (tmp143__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_22) + (6 * tmp5__global__buf_30)) + ((- 19) * tmp5__global__buf_38)) + ((- 31) * tmp5__global__buf_46)) + (53 * tmp5__global__buf_54)) + ((- 12) * tmp5__global__buf_62)) + (7 * tmp5__global__buf_70)) + ((- 2) * tmp5__global__buf_78)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_22 tmp143__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_22 = tmp143__func_com_grad_y_l_nn__val)
(assert (= tmp144__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_23) (* 6 tmp5__global__buf_31)) (* (- 19) tmp5__global__buf_39)) (* (- 31) tmp5__global__buf_47)) (* 53 tmp5__global__buf_55)) (* (- 12) tmp5__global__buf_63)) (* 7 tmp5__global__buf_71)) (* (- 2) tmp5__global__buf_79)) 8192) 16384))) ; (tmp144__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_23) + (6 * tmp5__global__buf_31)) + ((- 19) * tmp5__global__buf_39)) + ((- 31) * tmp5__global__buf_47)) + (53 * tmp5__global__buf_55)) + ((- 12) * tmp5__global__buf_63)) + (7 * tmp5__global__buf_71)) + ((- 2) * tmp5__global__buf_79)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_23 tmp144__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_23 = tmp144__func_com_grad_y_l_nn__val)
(assert (= tmp145__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_24) (* 6 tmp5__global__buf_32)) (* (- 19) tmp5__global__buf_40)) (* (- 31) tmp5__global__buf_48)) (* 53 tmp5__global__buf_56)) (* (- 12) tmp5__global__buf_64)) (* 7 tmp5__global__buf_72)) (* (- 2) tmp5__global__buf_80)) 8192) 16384))) ; (tmp145__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_24) + (6 * tmp5__global__buf_32)) + ((- 19) * tmp5__global__buf_40)) + ((- 31) * tmp5__global__buf_48)) + (53 * tmp5__global__buf_56)) + ((- 12) * tmp5__global__buf_64)) + (7 * tmp5__global__buf_72)) + ((- 2) * tmp5__global__buf_80)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_24 tmp145__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_24 = tmp145__func_com_grad_y_l_nn__val)
(assert (= tmp146__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_25) (* 6 tmp5__global__buf_33)) (* (- 19) tmp5__global__buf_41)) (* (- 31) tmp5__global__buf_49)) (* 53 tmp5__global__buf_57)) (* (- 12) tmp5__global__buf_65)) (* 7 tmp5__global__buf_73)) (* (- 2) tmp5__global__buf_81)) 8192) 16384))) ; (tmp146__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_25) + (6 * tmp5__global__buf_33)) + ((- 19) * tmp5__global__buf_41)) + ((- 31) * tmp5__global__buf_49)) + (53 * tmp5__global__buf_57)) + ((- 12) * tmp5__global__buf_65)) + (7 * tmp5__global__buf_73)) + ((- 2) * tmp5__global__buf_81)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_25 tmp146__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_25 = tmp146__func_com_grad_y_l_nn__val)
(assert (= tmp147__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_26) (* 6 tmp5__global__buf_34)) (* (- 19) tmp5__global__buf_42)) (* (- 31) tmp5__global__buf_50)) (* 53 tmp5__global__buf_58)) (* (- 12) tmp5__global__buf_66)) (* 7 tmp5__global__buf_74)) (* (- 2) tmp5__global__buf_82)) 8192) 16384))) ; (tmp147__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_26) + (6 * tmp5__global__buf_34)) + ((- 19) * tmp5__global__buf_42)) + ((- 31) * tmp5__global__buf_50)) + (53 * tmp5__global__buf_58)) + ((- 12) * tmp5__global__buf_66)) + (7 * tmp5__global__buf_74)) + ((- 2) * tmp5__global__buf_82)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_26 tmp147__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_26 = tmp147__func_com_grad_y_l_nn__val)
(assert (= tmp148__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_27) (* 6 tmp5__global__buf_35)) (* (- 19) tmp5__global__buf_43)) (* (- 31) tmp5__global__buf_51)) (* 53 tmp5__global__buf_59)) (* (- 12) tmp5__global__buf_67)) (* 7 tmp5__global__buf_75)) (* (- 2) tmp5__global__buf_83)) 8192) 16384))) ; (tmp148__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_27) + (6 * tmp5__global__buf_35)) + ((- 19) * tmp5__global__buf_43)) + ((- 31) * tmp5__global__buf_51)) + (53 * tmp5__global__buf_59)) + ((- 12) * tmp5__global__buf_67)) + (7 * tmp5__global__buf_75)) + ((- 2) * tmp5__global__buf_83)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_27 tmp148__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_27 = tmp148__func_com_grad_y_l_nn__val)
(assert (= tmp149__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_28) (* 6 tmp5__global__buf_36)) (* (- 19) tmp5__global__buf_44)) (* (- 31) tmp5__global__buf_52)) (* 53 tmp5__global__buf_60)) (* (- 12) tmp5__global__buf_68)) (* 7 tmp5__global__buf_76)) (* (- 2) tmp5__global__buf_84)) 8192) 16384))) ; (tmp149__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_28) + (6 * tmp5__global__buf_36)) + ((- 19) * tmp5__global__buf_44)) + ((- 31) * tmp5__global__buf_52)) + (53 * tmp5__global__buf_60)) + ((- 12) * tmp5__global__buf_68)) + (7 * tmp5__global__buf_76)) + ((- 2) * tmp5__global__buf_84)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_28 tmp149__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_28 = tmp149__func_com_grad_y_l_nn__val)
(assert (= tmp150__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_29) (* 6 tmp5__global__buf_37)) (* (- 19) tmp5__global__buf_45)) (* (- 31) tmp5__global__buf_53)) (* 53 tmp5__global__buf_61)) (* (- 12) tmp5__global__buf_69)) (* 7 tmp5__global__buf_77)) (* (- 2) tmp5__global__buf_85)) 8192) 16384))) ; (tmp150__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_29) + (6 * tmp5__global__buf_37)) + ((- 19) * tmp5__global__buf_45)) + ((- 31) * tmp5__global__buf_53)) + (53 * tmp5__global__buf_61)) + ((- 12) * tmp5__global__buf_69)) + (7 * tmp5__global__buf_77)) + ((- 2) * tmp5__global__buf_85)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_29 tmp150__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_29 = tmp150__func_com_grad_y_l_nn__val)
(assert (= tmp151__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_30) (* 6 tmp5__global__buf_38)) (* (- 19) tmp5__global__buf_46)) (* (- 31) tmp5__global__buf_54)) (* 53 tmp5__global__buf_62)) (* (- 12) tmp5__global__buf_70)) (* 7 tmp5__global__buf_78)) (* (- 2) tmp5__global__buf_86)) 8192) 16384))) ; (tmp151__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_30) + (6 * tmp5__global__buf_38)) + ((- 19) * tmp5__global__buf_46)) + ((- 31) * tmp5__global__buf_54)) + (53 * tmp5__global__buf_62)) + ((- 12) * tmp5__global__buf_70)) + (7 * tmp5__global__buf_78)) + ((- 2) * tmp5__global__buf_86)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_30 tmp151__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_30 = tmp151__func_com_grad_y_l_nn__val)
(assert (= tmp152__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_31) (* 6 tmp5__global__buf_39)) (* (- 19) tmp5__global__buf_47)) (* (- 31) tmp5__global__buf_55)) (* 53 tmp5__global__buf_63)) (* (- 12) tmp5__global__buf_71)) (* 7 tmp5__global__buf_79)) (* (- 2) tmp5__global__buf_87)) 8192) 16384))) ; (tmp152__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_31) + (6 * tmp5__global__buf_39)) + ((- 19) * tmp5__global__buf_47)) + ((- 31) * tmp5__global__buf_55)) + (53 * tmp5__global__buf_63)) + ((- 12) * tmp5__global__buf_71)) + (7 * tmp5__global__buf_79)) + ((- 2) * tmp5__global__buf_87)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_31 tmp152__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_31 = tmp152__func_com_grad_y_l_nn__val)
(assert (= tmp153__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_32) (* 6 tmp5__global__buf_40)) (* (- 19) tmp5__global__buf_48)) (* (- 31) tmp5__global__buf_56)) (* 53 tmp5__global__buf_64)) (* (- 12) tmp5__global__buf_72)) (* 7 tmp5__global__buf_80)) (* (- 2) tmp5__global__buf_88)) 8192) 16384))) ; (tmp153__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_32) + (6 * tmp5__global__buf_40)) + ((- 19) * tmp5__global__buf_48)) + ((- 31) * tmp5__global__buf_56)) + (53 * tmp5__global__buf_64)) + ((- 12) * tmp5__global__buf_72)) + (7 * tmp5__global__buf_80)) + ((- 2) * tmp5__global__buf_88)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_32 tmp153__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_32 = tmp153__func_com_grad_y_l_nn__val)
(assert (= tmp154__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_33) (* 6 tmp5__global__buf_41)) (* (- 19) tmp5__global__buf_49)) (* (- 31) tmp5__global__buf_57)) (* 53 tmp5__global__buf_65)) (* (- 12) tmp5__global__buf_73)) (* 7 tmp5__global__buf_81)) (* (- 2) tmp5__global__buf_89)) 8192) 16384))) ; (tmp154__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_33) + (6 * tmp5__global__buf_41)) + ((- 19) * tmp5__global__buf_49)) + ((- 31) * tmp5__global__buf_57)) + (53 * tmp5__global__buf_65)) + ((- 12) * tmp5__global__buf_73)) + (7 * tmp5__global__buf_81)) + ((- 2) * tmp5__global__buf_89)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_33 tmp154__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_33 = tmp154__func_com_grad_y_l_nn__val)
(assert (= tmp155__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_34) (* 6 tmp5__global__buf_42)) (* (- 19) tmp5__global__buf_50)) (* (- 31) tmp5__global__buf_58)) (* 53 tmp5__global__buf_66)) (* (- 12) tmp5__global__buf_74)) (* 7 tmp5__global__buf_82)) (* (- 2) tmp5__global__buf_90)) 8192) 16384))) ; (tmp155__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_34) + (6 * tmp5__global__buf_42)) + ((- 19) * tmp5__global__buf_50)) + ((- 31) * tmp5__global__buf_58)) + (53 * tmp5__global__buf_66)) + ((- 12) * tmp5__global__buf_74)) + (7 * tmp5__global__buf_82)) + ((- 2) * tmp5__global__buf_90)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_34 tmp155__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_34 = tmp155__func_com_grad_y_l_nn__val)
(assert (= tmp156__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_35) (* 6 tmp5__global__buf_43)) (* (- 19) tmp5__global__buf_51)) (* (- 31) tmp5__global__buf_59)) (* 53 tmp5__global__buf_67)) (* (- 12) tmp5__global__buf_75)) (* 7 tmp5__global__buf_83)) (* (- 2) tmp5__global__buf_91)) 8192) 16384))) ; (tmp156__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_35) + (6 * tmp5__global__buf_43)) + ((- 19) * tmp5__global__buf_51)) + ((- 31) * tmp5__global__buf_59)) + (53 * tmp5__global__buf_67)) + ((- 12) * tmp5__global__buf_75)) + (7 * tmp5__global__buf_83)) + ((- 2) * tmp5__global__buf_91)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_35 tmp156__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_35 = tmp156__func_com_grad_y_l_nn__val)
(assert (= tmp157__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_36) (* 6 tmp5__global__buf_44)) (* (- 19) tmp5__global__buf_52)) (* (- 31) tmp5__global__buf_60)) (* 53 tmp5__global__buf_68)) (* (- 12) tmp5__global__buf_76)) (* 7 tmp5__global__buf_84)) (* (- 2) tmp5__global__buf_92)) 8192) 16384))) ; (tmp157__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_36) + (6 * tmp5__global__buf_44)) + ((- 19) * tmp5__global__buf_52)) + ((- 31) * tmp5__global__buf_60)) + (53 * tmp5__global__buf_68)) + ((- 12) * tmp5__global__buf_76)) + (7 * tmp5__global__buf_84)) + ((- 2) * tmp5__global__buf_92)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_36 tmp157__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_36 = tmp157__func_com_grad_y_l_nn__val)
(assert (= tmp158__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_37) (* 6 tmp5__global__buf_45)) (* (- 19) tmp5__global__buf_53)) (* (- 31) tmp5__global__buf_61)) (* 53 tmp5__global__buf_69)) (* (- 12) tmp5__global__buf_77)) (* 7 tmp5__global__buf_85)) (* (- 2) tmp5__global__buf_93)) 8192) 16384))) ; (tmp158__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_37) + (6 * tmp5__global__buf_45)) + ((- 19) * tmp5__global__buf_53)) + ((- 31) * tmp5__global__buf_61)) + (53 * tmp5__global__buf_69)) + ((- 12) * tmp5__global__buf_77)) + (7 * tmp5__global__buf_85)) + ((- 2) * tmp5__global__buf_93)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_37 tmp158__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_37 = tmp158__func_com_grad_y_l_nn__val)
(assert (= tmp159__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_38) (* 6 tmp5__global__buf_46)) (* (- 19) tmp5__global__buf_54)) (* (- 31) tmp5__global__buf_62)) (* 53 tmp5__global__buf_70)) (* (- 12) tmp5__global__buf_78)) (* 7 tmp5__global__buf_86)) (* (- 2) tmp5__global__buf_94)) 8192) 16384))) ; (tmp159__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_38) + (6 * tmp5__global__buf_46)) + ((- 19) * tmp5__global__buf_54)) + ((- 31) * tmp5__global__buf_62)) + (53 * tmp5__global__buf_70)) + ((- 12) * tmp5__global__buf_78)) + (7 * tmp5__global__buf_86)) + ((- 2) * tmp5__global__buf_94)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_38 tmp159__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_38 = tmp159__func_com_grad_y_l_nn__val)
(assert (= tmp160__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_39) (* 6 tmp5__global__buf_47)) (* (- 19) tmp5__global__buf_55)) (* (- 31) tmp5__global__buf_63)) (* 53 tmp5__global__buf_71)) (* (- 12) tmp5__global__buf_79)) (* 7 tmp5__global__buf_87)) (* (- 2) tmp5__global__buf_95)) 8192) 16384))) ; (tmp160__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_39) + (6 * tmp5__global__buf_47)) + ((- 19) * tmp5__global__buf_55)) + ((- 31) * tmp5__global__buf_63)) + (53 * tmp5__global__buf_71)) + ((- 12) * tmp5__global__buf_79)) + (7 * tmp5__global__buf_87)) + ((- 2) * tmp5__global__buf_95)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_39 tmp160__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_39 = tmp160__func_com_grad_y_l_nn__val)
(assert (= tmp161__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_40) (* 6 tmp5__global__buf_48)) (* (- 19) tmp5__global__buf_56)) (* (- 31) tmp5__global__buf_64)) (* 53 tmp5__global__buf_72)) (* (- 12) tmp5__global__buf_80)) (* 7 tmp5__global__buf_88)) (* (- 2) tmp5__global__buf_96)) 8192) 16384))) ; (tmp161__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_40) + (6 * tmp5__global__buf_48)) + ((- 19) * tmp5__global__buf_56)) + ((- 31) * tmp5__global__buf_64)) + (53 * tmp5__global__buf_72)) + ((- 12) * tmp5__global__buf_80)) + (7 * tmp5__global__buf_88)) + ((- 2) * tmp5__global__buf_96)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_40 tmp161__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_40 = tmp161__func_com_grad_y_l_nn__val)
(assert (= tmp162__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_41) (* 6 tmp5__global__buf_49)) (* (- 19) tmp5__global__buf_57)) (* (- 31) tmp5__global__buf_65)) (* 53 tmp5__global__buf_73)) (* (- 12) tmp5__global__buf_81)) (* 7 tmp5__global__buf_89)) (* (- 2) tmp5__global__buf_97)) 8192) 16384))) ; (tmp162__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_41) + (6 * tmp5__global__buf_49)) + ((- 19) * tmp5__global__buf_57)) + ((- 31) * tmp5__global__buf_65)) + (53 * tmp5__global__buf_73)) + ((- 12) * tmp5__global__buf_81)) + (7 * tmp5__global__buf_89)) + ((- 2) * tmp5__global__buf_97)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_41 tmp162__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_41 = tmp162__func_com_grad_y_l_nn__val)
(assert (= tmp163__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_42) (* 6 tmp5__global__buf_50)) (* (- 19) tmp5__global__buf_58)) (* (- 31) tmp5__global__buf_66)) (* 53 tmp5__global__buf_74)) (* (- 12) tmp5__global__buf_82)) (* 7 tmp5__global__buf_90)) (* (- 2) tmp5__global__buf_98)) 8192) 16384))) ; (tmp163__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_42) + (6 * tmp5__global__buf_50)) + ((- 19) * tmp5__global__buf_58)) + ((- 31) * tmp5__global__buf_66)) + (53 * tmp5__global__buf_74)) + ((- 12) * tmp5__global__buf_82)) + (7 * tmp5__global__buf_90)) + ((- 2) * tmp5__global__buf_98)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_42 tmp163__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_42 = tmp163__func_com_grad_y_l_nn__val)
(assert (= tmp164__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_43) (* 6 tmp5__global__buf_51)) (* (- 19) tmp5__global__buf_59)) (* (- 31) tmp5__global__buf_67)) (* 53 tmp5__global__buf_75)) (* (- 12) tmp5__global__buf_83)) (* 7 tmp5__global__buf_91)) (* (- 2) tmp5__global__buf_99)) 8192) 16384))) ; (tmp164__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_43) + (6 * tmp5__global__buf_51)) + ((- 19) * tmp5__global__buf_59)) + ((- 31) * tmp5__global__buf_67)) + (53 * tmp5__global__buf_75)) + ((- 12) * tmp5__global__buf_83)) + (7 * tmp5__global__buf_91)) + ((- 2) * tmp5__global__buf_99)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_43 tmp164__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_43 = tmp164__func_com_grad_y_l_nn__val)
(assert (= tmp165__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_44) (* 6 tmp5__global__buf_52)) (* (- 19) tmp5__global__buf_60)) (* (- 31) tmp5__global__buf_68)) (* 53 tmp5__global__buf_76)) (* (- 12) tmp5__global__buf_84)) (* 7 tmp5__global__buf_92)) (* (- 2) tmp5__global__buf_100)) 8192) 16384))) ; (tmp165__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_44) + (6 * tmp5__global__buf_52)) + ((- 19) * tmp5__global__buf_60)) + ((- 31) * tmp5__global__buf_68)) + (53 * tmp5__global__buf_76)) + ((- 12) * tmp5__global__buf_84)) + (7 * tmp5__global__buf_92)) + ((- 2) * tmp5__global__buf_100)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_44 tmp165__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_44 = tmp165__func_com_grad_y_l_nn__val)
(assert (= tmp166__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_45) (* 6 tmp5__global__buf_53)) (* (- 19) tmp5__global__buf_61)) (* (- 31) tmp5__global__buf_69)) (* 53 tmp5__global__buf_77)) (* (- 12) tmp5__global__buf_85)) (* 7 tmp5__global__buf_93)) (* (- 2) tmp5__global__buf_101)) 8192) 16384))) ; (tmp166__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_45) + (6 * tmp5__global__buf_53)) + ((- 19) * tmp5__global__buf_61)) + ((- 31) * tmp5__global__buf_69)) + (53 * tmp5__global__buf_77)) + ((- 12) * tmp5__global__buf_85)) + (7 * tmp5__global__buf_93)) + ((- 2) * tmp5__global__buf_101)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_45 tmp166__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_45 = tmp166__func_com_grad_y_l_nn__val)
(assert (= tmp167__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_46) (* 6 tmp5__global__buf_54)) (* (- 19) tmp5__global__buf_62)) (* (- 31) tmp5__global__buf_70)) (* 53 tmp5__global__buf_78)) (* (- 12) tmp5__global__buf_86)) (* 7 tmp5__global__buf_94)) (* (- 2) tmp5__global__buf_102)) 8192) 16384))) ; (tmp167__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_46) + (6 * tmp5__global__buf_54)) + ((- 19) * tmp5__global__buf_62)) + ((- 31) * tmp5__global__buf_70)) + (53 * tmp5__global__buf_78)) + ((- 12) * tmp5__global__buf_86)) + (7 * tmp5__global__buf_94)) + ((- 2) * tmp5__global__buf_102)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_46 tmp167__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_46 = tmp167__func_com_grad_y_l_nn__val)
(assert (= tmp168__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_47) (* 6 tmp5__global__buf_55)) (* (- 19) tmp5__global__buf_63)) (* (- 31) tmp5__global__buf_71)) (* 53 tmp5__global__buf_79)) (* (- 12) tmp5__global__buf_87)) (* 7 tmp5__global__buf_95)) (* (- 2) tmp5__global__buf_103)) 8192) 16384))) ; (tmp168__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_47) + (6 * tmp5__global__buf_55)) + ((- 19) * tmp5__global__buf_63)) + ((- 31) * tmp5__global__buf_71)) + (53 * tmp5__global__buf_79)) + ((- 12) * tmp5__global__buf_87)) + (7 * tmp5__global__buf_95)) + ((- 2) * tmp5__global__buf_103)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_47 tmp168__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_47 = tmp168__func_com_grad_y_l_nn__val)
(assert (= tmp169__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_48) (* 6 tmp5__global__buf_56)) (* (- 19) tmp5__global__buf_64)) (* (- 31) tmp5__global__buf_72)) (* 53 tmp5__global__buf_80)) (* (- 12) tmp5__global__buf_88)) (* 7 tmp5__global__buf_96)) (* (- 2) tmp5__global__buf_104)) 8192) 16384))) ; (tmp169__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_48) + (6 * tmp5__global__buf_56)) + ((- 19) * tmp5__global__buf_64)) + ((- 31) * tmp5__global__buf_72)) + (53 * tmp5__global__buf_80)) + ((- 12) * tmp5__global__buf_88)) + (7 * tmp5__global__buf_96)) + ((- 2) * tmp5__global__buf_104)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_48 tmp169__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_48 = tmp169__func_com_grad_y_l_nn__val)
(assert (= tmp170__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_49) (* 6 tmp5__global__buf_57)) (* (- 19) tmp5__global__buf_65)) (* (- 31) tmp5__global__buf_73)) (* 53 tmp5__global__buf_81)) (* (- 12) tmp5__global__buf_89)) (* 7 tmp5__global__buf_97)) (* (- 2) tmp5__global__buf_105)) 8192) 16384))) ; (tmp170__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_49) + (6 * tmp5__global__buf_57)) + ((- 19) * tmp5__global__buf_65)) + ((- 31) * tmp5__global__buf_73)) + (53 * tmp5__global__buf_81)) + ((- 12) * tmp5__global__buf_89)) + (7 * tmp5__global__buf_97)) + ((- 2) * tmp5__global__buf_105)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_49 tmp170__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_49 = tmp170__func_com_grad_y_l_nn__val)
(assert (= tmp171__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_50) (* 6 tmp5__global__buf_58)) (* (- 19) tmp5__global__buf_66)) (* (- 31) tmp5__global__buf_74)) (* 53 tmp5__global__buf_82)) (* (- 12) tmp5__global__buf_90)) (* 7 tmp5__global__buf_98)) (* (- 2) tmp5__global__buf_106)) 8192) 16384))) ; (tmp171__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_50) + (6 * tmp5__global__buf_58)) + ((- 19) * tmp5__global__buf_66)) + ((- 31) * tmp5__global__buf_74)) + (53 * tmp5__global__buf_82)) + ((- 12) * tmp5__global__buf_90)) + (7 * tmp5__global__buf_98)) + ((- 2) * tmp5__global__buf_106)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_50 tmp171__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_50 = tmp171__func_com_grad_y_l_nn__val)
(assert (= tmp172__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_51) (* 6 tmp5__global__buf_59)) (* (- 19) tmp5__global__buf_67)) (* (- 31) tmp5__global__buf_75)) (* 53 tmp5__global__buf_83)) (* (- 12) tmp5__global__buf_91)) (* 7 tmp5__global__buf_99)) (* (- 2) tmp5__global__buf_107)) 8192) 16384))) ; (tmp172__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_51) + (6 * tmp5__global__buf_59)) + ((- 19) * tmp5__global__buf_67)) + ((- 31) * tmp5__global__buf_75)) + (53 * tmp5__global__buf_83)) + ((- 12) * tmp5__global__buf_91)) + (7 * tmp5__global__buf_99)) + ((- 2) * tmp5__global__buf_107)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_51 tmp172__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_51 = tmp172__func_com_grad_y_l_nn__val)
(assert (= tmp173__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_52) (* 6 tmp5__global__buf_60)) (* (- 19) tmp5__global__buf_68)) (* (- 31) tmp5__global__buf_76)) (* 53 tmp5__global__buf_84)) (* (- 12) tmp5__global__buf_92)) (* 7 tmp5__global__buf_100)) (* (- 2) tmp5__global__buf_108)) 8192) 16384))) ; (tmp173__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_52) + (6 * tmp5__global__buf_60)) + ((- 19) * tmp5__global__buf_68)) + ((- 31) * tmp5__global__buf_76)) + (53 * tmp5__global__buf_84)) + ((- 12) * tmp5__global__buf_92)) + (7 * tmp5__global__buf_100)) + ((- 2) * tmp5__global__buf_108)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_52 tmp173__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_52 = tmp173__func_com_grad_y_l_nn__val)
(assert (= tmp174__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_53) (* 6 tmp5__global__buf_61)) (* (- 19) tmp5__global__buf_69)) (* (- 31) tmp5__global__buf_77)) (* 53 tmp5__global__buf_85)) (* (- 12) tmp5__global__buf_93)) (* 7 tmp5__global__buf_101)) (* (- 2) tmp5__global__buf_109)) 8192) 16384))) ; (tmp174__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_53) + (6 * tmp5__global__buf_61)) + ((- 19) * tmp5__global__buf_69)) + ((- 31) * tmp5__global__buf_77)) + (53 * tmp5__global__buf_85)) + ((- 12) * tmp5__global__buf_93)) + (7 * tmp5__global__buf_101)) + ((- 2) * tmp5__global__buf_109)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_53 tmp174__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_53 = tmp174__func_com_grad_y_l_nn__val)
(assert (= tmp175__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_54) (* 6 tmp5__global__buf_62)) (* (- 19) tmp5__global__buf_70)) (* (- 31) tmp5__global__buf_78)) (* 53 tmp5__global__buf_86)) (* (- 12) tmp5__global__buf_94)) (* 7 tmp5__global__buf_102)) (* (- 2) tmp5__global__buf_110)) 8192) 16384))) ; (tmp175__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_54) + (6 * tmp5__global__buf_62)) + ((- 19) * tmp5__global__buf_70)) + ((- 31) * tmp5__global__buf_78)) + (53 * tmp5__global__buf_86)) + ((- 12) * tmp5__global__buf_94)) + (7 * tmp5__global__buf_102)) + ((- 2) * tmp5__global__buf_110)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_54 tmp175__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_54 = tmp175__func_com_grad_y_l_nn__val)
(assert (= tmp176__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_55) (* 6 tmp5__global__buf_63)) (* (- 19) tmp5__global__buf_71)) (* (- 31) tmp5__global__buf_79)) (* 53 tmp5__global__buf_87)) (* (- 12) tmp5__global__buf_95)) (* 7 tmp5__global__buf_103)) (* (- 2) tmp5__global__buf_111)) 8192) 16384))) ; (tmp176__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_55) + (6 * tmp5__global__buf_63)) + ((- 19) * tmp5__global__buf_71)) + ((- 31) * tmp5__global__buf_79)) + (53 * tmp5__global__buf_87)) + ((- 12) * tmp5__global__buf_95)) + (7 * tmp5__global__buf_103)) + ((- 2) * tmp5__global__buf_111)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_55 tmp176__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_55 = tmp176__func_com_grad_y_l_nn__val)
(assert (= tmp177__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_56) (* 6 tmp5__global__buf_64)) (* (- 19) tmp5__global__buf_72)) (* (- 31) tmp5__global__buf_80)) (* 53 tmp5__global__buf_88)) (* (- 12) tmp5__global__buf_96)) (* 7 tmp5__global__buf_104)) (* (- 2) tmp5__global__buf_112)) 8192) 16384))) ; (tmp177__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_56) + (6 * tmp5__global__buf_64)) + ((- 19) * tmp5__global__buf_72)) + ((- 31) * tmp5__global__buf_80)) + (53 * tmp5__global__buf_88)) + ((- 12) * tmp5__global__buf_96)) + (7 * tmp5__global__buf_104)) + ((- 2) * tmp5__global__buf_112)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_56 tmp177__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_56 = tmp177__func_com_grad_y_l_nn__val)
(assert (= tmp178__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_57) (* 6 tmp5__global__buf_65)) (* (- 19) tmp5__global__buf_73)) (* (- 31) tmp5__global__buf_81)) (* 53 tmp5__global__buf_89)) (* (- 12) tmp5__global__buf_97)) (* 7 tmp5__global__buf_105)) (* (- 2) tmp5__global__buf_113)) 8192) 16384))) ; (tmp178__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_57) + (6 * tmp5__global__buf_65)) + ((- 19) * tmp5__global__buf_73)) + ((- 31) * tmp5__global__buf_81)) + (53 * tmp5__global__buf_89)) + ((- 12) * tmp5__global__buf_97)) + (7 * tmp5__global__buf_105)) + ((- 2) * tmp5__global__buf_113)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_57 tmp178__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_57 = tmp178__func_com_grad_y_l_nn__val)
(assert (= tmp179__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_58) (* 6 tmp5__global__buf_66)) (* (- 19) tmp5__global__buf_74)) (* (- 31) tmp5__global__buf_82)) (* 53 tmp5__global__buf_90)) (* (- 12) tmp5__global__buf_98)) (* 7 tmp5__global__buf_106)) (* (- 2) tmp5__global__buf_114)) 8192) 16384))) ; (tmp179__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_58) + (6 * tmp5__global__buf_66)) + ((- 19) * tmp5__global__buf_74)) + ((- 31) * tmp5__global__buf_82)) + (53 * tmp5__global__buf_90)) + ((- 12) * tmp5__global__buf_98)) + (7 * tmp5__global__buf_106)) + ((- 2) * tmp5__global__buf_114)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_58 tmp179__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_58 = tmp179__func_com_grad_y_l_nn__val)
(assert (= tmp180__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_59) (* 6 tmp5__global__buf_67)) (* (- 19) tmp5__global__buf_75)) (* (- 31) tmp5__global__buf_83)) (* 53 tmp5__global__buf_91)) (* (- 12) tmp5__global__buf_99)) (* 7 tmp5__global__buf_107)) (* (- 2) tmp5__global__buf_115)) 8192) 16384))) ; (tmp180__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_59) + (6 * tmp5__global__buf_67)) + ((- 19) * tmp5__global__buf_75)) + ((- 31) * tmp5__global__buf_83)) + (53 * tmp5__global__buf_91)) + ((- 12) * tmp5__global__buf_99)) + (7 * tmp5__global__buf_107)) + ((- 2) * tmp5__global__buf_115)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_59 tmp180__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_59 = tmp180__func_com_grad_y_l_nn__val)
(assert (= tmp181__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_60) (* 6 tmp5__global__buf_68)) (* (- 19) tmp5__global__buf_76)) (* (- 31) tmp5__global__buf_84)) (* 53 tmp5__global__buf_92)) (* (- 12) tmp5__global__buf_100)) (* 7 tmp5__global__buf_108)) (* (- 2) tmp5__global__buf_116)) 8192) 16384))) ; (tmp181__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_60) + (6 * tmp5__global__buf_68)) + ((- 19) * tmp5__global__buf_76)) + ((- 31) * tmp5__global__buf_84)) + (53 * tmp5__global__buf_92)) + ((- 12) * tmp5__global__buf_100)) + (7 * tmp5__global__buf_108)) + ((- 2) * tmp5__global__buf_116)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_60 tmp181__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_60 = tmp181__func_com_grad_y_l_nn__val)
(assert (= tmp182__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_61) (* 6 tmp5__global__buf_69)) (* (- 19) tmp5__global__buf_77)) (* (- 31) tmp5__global__buf_85)) (* 53 tmp5__global__buf_93)) (* (- 12) tmp5__global__buf_101)) (* 7 tmp5__global__buf_109)) (* (- 2) tmp5__global__buf_117)) 8192) 16384))) ; (tmp182__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_61) + (6 * tmp5__global__buf_69)) + ((- 19) * tmp5__global__buf_77)) + ((- 31) * tmp5__global__buf_85)) + (53 * tmp5__global__buf_93)) + ((- 12) * tmp5__global__buf_101)) + (7 * tmp5__global__buf_109)) + ((- 2) * tmp5__global__buf_117)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_61 tmp182__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_61 = tmp182__func_com_grad_y_l_nn__val)
(assert (= tmp183__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_62) (* 6 tmp5__global__buf_70)) (* (- 19) tmp5__global__buf_78)) (* (- 31) tmp5__global__buf_86)) (* 53 tmp5__global__buf_94)) (* (- 12) tmp5__global__buf_102)) (* 7 tmp5__global__buf_110)) (* (- 2) tmp5__global__buf_118)) 8192) 16384))) ; (tmp183__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_62) + (6 * tmp5__global__buf_70)) + ((- 19) * tmp5__global__buf_78)) + ((- 31) * tmp5__global__buf_86)) + (53 * tmp5__global__buf_94)) + ((- 12) * tmp5__global__buf_102)) + (7 * tmp5__global__buf_110)) + ((- 2) * tmp5__global__buf_118)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_62 tmp183__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_62 = tmp183__func_com_grad_y_l_nn__val)
(assert (= tmp184__func_com_grad_y_l_nn__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp5__global__buf_63) (* 6 tmp5__global__buf_71)) (* (- 19) tmp5__global__buf_79)) (* (- 31) tmp5__global__buf_87)) (* 53 tmp5__global__buf_95)) (* (- 12) tmp5__global__buf_103)) (* 7 tmp5__global__buf_111)) (* (- 2) tmp5__global__buf_119)) 8192) 16384))) ; (tmp184__func_com_grad_y_l_nn__val = (((((((((((- 2) * tmp5__global__buf_63) + (6 * tmp5__global__buf_71)) + ((- 19) * tmp5__global__buf_79)) + ((- 31) * tmp5__global__buf_87)) + (53 * tmp5__global__buf_95)) + ((- 12) * tmp5__global__buf_103)) + (7 * tmp5__global__buf_111)) + ((- 2) * tmp5__global__buf_119)) + 8192) div 16384))
(assert (= tmp1__global__gradYL0_63 tmp184__func_com_grad_y_l_nn__val)) ; (tmp1__global__gradYL0_63 = tmp184__func_com_grad_y_l_nn__val)
(assert (= tmp1__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_0) (* 11 tmp1__global__ref1_1)) (* (- 39) tmp1__global__ref1_2)) (* (- 1) tmp1__global__ref1_3)) (* 41 tmp1__global__ref1_4)) (* (- 14) tmp1__global__ref1_5)) (* 8 tmp1__global__ref1_6)) (* (- 2) tmp1__global__ref1_7)) 2) 4))) ; (tmp1__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_0) + (11 * tmp1__global__ref1_1)) + ((- 39) * tmp1__global__ref1_2)) + ((- 1) * tmp1__global__ref1_3)) + (41 * tmp1__global__ref1_4)) + ((- 14) * tmp1__global__ref1_5)) + (8 * tmp1__global__ref1_6)) + ((- 2) * tmp1__global__ref1_7)) + 2) div 4))
(assert (= tmp6__global__buf_0 tmp1__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_0 = tmp1__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp2__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_1) (* 11 tmp1__global__ref1_2)) (* (- 39) tmp1__global__ref1_3)) (* (- 1) tmp1__global__ref1_4)) (* 41 tmp1__global__ref1_5)) (* (- 14) tmp1__global__ref1_6)) (* 8 tmp1__global__ref1_7)) (* (- 2) tmp1__global__ref1_8)) 2) 4))) ; (tmp2__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_1) + (11 * tmp1__global__ref1_2)) + ((- 39) * tmp1__global__ref1_3)) + ((- 1) * tmp1__global__ref1_4)) + (41 * tmp1__global__ref1_5)) + ((- 14) * tmp1__global__ref1_6)) + (8 * tmp1__global__ref1_7)) + ((- 2) * tmp1__global__ref1_8)) + 2) div 4))
(assert (= tmp6__global__buf_1 tmp2__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_1 = tmp2__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp3__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_2) (* 11 tmp1__global__ref1_3)) (* (- 39) tmp1__global__ref1_4)) (* (- 1) tmp1__global__ref1_5)) (* 41 tmp1__global__ref1_6)) (* (- 14) tmp1__global__ref1_7)) (* 8 tmp1__global__ref1_8)) (* (- 2) tmp1__global__ref1_9)) 2) 4))) ; (tmp3__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_2) + (11 * tmp1__global__ref1_3)) + ((- 39) * tmp1__global__ref1_4)) + ((- 1) * tmp1__global__ref1_5)) + (41 * tmp1__global__ref1_6)) + ((- 14) * tmp1__global__ref1_7)) + (8 * tmp1__global__ref1_8)) + ((- 2) * tmp1__global__ref1_9)) + 2) div 4))
(assert (= tmp6__global__buf_2 tmp3__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_2 = tmp3__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp4__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_3) (* 11 tmp1__global__ref1_4)) (* (- 39) tmp1__global__ref1_5)) (* (- 1) tmp1__global__ref1_6)) (* 41 tmp1__global__ref1_7)) (* (- 14) tmp1__global__ref1_8)) (* 8 tmp1__global__ref1_9)) (* (- 2) tmp1__global__ref1_10)) 2) 4))) ; (tmp4__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_3) + (11 * tmp1__global__ref1_4)) + ((- 39) * tmp1__global__ref1_5)) + ((- 1) * tmp1__global__ref1_6)) + (41 * tmp1__global__ref1_7)) + ((- 14) * tmp1__global__ref1_8)) + (8 * tmp1__global__ref1_9)) + ((- 2) * tmp1__global__ref1_10)) + 2) div 4))
(assert (= tmp6__global__buf_3 tmp4__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_3 = tmp4__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp5__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_4) (* 11 tmp1__global__ref1_5)) (* (- 39) tmp1__global__ref1_6)) (* (- 1) tmp1__global__ref1_7)) (* 41 tmp1__global__ref1_8)) (* (- 14) tmp1__global__ref1_9)) (* 8 tmp1__global__ref1_10)) (* (- 2) tmp1__global__ref1_11)) 2) 4))) ; (tmp5__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_4) + (11 * tmp1__global__ref1_5)) + ((- 39) * tmp1__global__ref1_6)) + ((- 1) * tmp1__global__ref1_7)) + (41 * tmp1__global__ref1_8)) + ((- 14) * tmp1__global__ref1_9)) + (8 * tmp1__global__ref1_10)) + ((- 2) * tmp1__global__ref1_11)) + 2) div 4))
(assert (= tmp6__global__buf_4 tmp5__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_4 = tmp5__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp6__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_5) (* 11 tmp1__global__ref1_6)) (* (- 39) tmp1__global__ref1_7)) (* (- 1) tmp1__global__ref1_8)) (* 41 tmp1__global__ref1_9)) (* (- 14) tmp1__global__ref1_10)) (* 8 tmp1__global__ref1_11)) (* (- 2) tmp1__global__ref1_12)) 2) 4))) ; (tmp6__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_5) + (11 * tmp1__global__ref1_6)) + ((- 39) * tmp1__global__ref1_7)) + ((- 1) * tmp1__global__ref1_8)) + (41 * tmp1__global__ref1_9)) + ((- 14) * tmp1__global__ref1_10)) + (8 * tmp1__global__ref1_11)) + ((- 2) * tmp1__global__ref1_12)) + 2) div 4))
(assert (= tmp6__global__buf_5 tmp6__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_5 = tmp6__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp7__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_6) (* 11 tmp1__global__ref1_7)) (* (- 39) tmp1__global__ref1_8)) (* (- 1) tmp1__global__ref1_9)) (* 41 tmp1__global__ref1_10)) (* (- 14) tmp1__global__ref1_11)) (* 8 tmp1__global__ref1_12)) (* (- 2) tmp1__global__ref1_13)) 2) 4))) ; (tmp7__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_6) + (11 * tmp1__global__ref1_7)) + ((- 39) * tmp1__global__ref1_8)) + ((- 1) * tmp1__global__ref1_9)) + (41 * tmp1__global__ref1_10)) + ((- 14) * tmp1__global__ref1_11)) + (8 * tmp1__global__ref1_12)) + ((- 2) * tmp1__global__ref1_13)) + 2) div 4))
(assert (= tmp6__global__buf_6 tmp7__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_6 = tmp7__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp8__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_7) (* 11 tmp1__global__ref1_8)) (* (- 39) tmp1__global__ref1_9)) (* (- 1) tmp1__global__ref1_10)) (* 41 tmp1__global__ref1_11)) (* (- 14) tmp1__global__ref1_12)) (* 8 tmp1__global__ref1_13)) (* (- 2) tmp1__global__ref1_14)) 2) 4))) ; (tmp8__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_7) + (11 * tmp1__global__ref1_8)) + ((- 39) * tmp1__global__ref1_9)) + ((- 1) * tmp1__global__ref1_10)) + (41 * tmp1__global__ref1_11)) + ((- 14) * tmp1__global__ref1_12)) + (8 * tmp1__global__ref1_13)) + ((- 2) * tmp1__global__ref1_14)) + 2) div 4))
(assert (= tmp6__global__buf_7 tmp8__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_7 = tmp8__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp9__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_15) (* 11 tmp1__global__ref1_16)) (* (- 39) tmp1__global__ref1_17)) (* (- 1) tmp1__global__ref1_18)) (* 41 tmp1__global__ref1_19)) (* (- 14) tmp1__global__ref1_20)) (* 8 tmp1__global__ref1_21)) (* (- 2) tmp1__global__ref1_22)) 2) 4))) ; (tmp9__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_15) + (11 * tmp1__global__ref1_16)) + ((- 39) * tmp1__global__ref1_17)) + ((- 1) * tmp1__global__ref1_18)) + (41 * tmp1__global__ref1_19)) + ((- 14) * tmp1__global__ref1_20)) + (8 * tmp1__global__ref1_21)) + ((- 2) * tmp1__global__ref1_22)) + 2) div 4))
(assert (= tmp6__global__buf_8 tmp9__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_8 = tmp9__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp10__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_16) (* 11 tmp1__global__ref1_17)) (* (- 39) tmp1__global__ref1_18)) (* (- 1) tmp1__global__ref1_19)) (* 41 tmp1__global__ref1_20)) (* (- 14) tmp1__global__ref1_21)) (* 8 tmp1__global__ref1_22)) (* (- 2) tmp1__global__ref1_23)) 2) 4))) ; (tmp10__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_16) + (11 * tmp1__global__ref1_17)) + ((- 39) * tmp1__global__ref1_18)) + ((- 1) * tmp1__global__ref1_19)) + (41 * tmp1__global__ref1_20)) + ((- 14) * tmp1__global__ref1_21)) + (8 * tmp1__global__ref1_22)) + ((- 2) * tmp1__global__ref1_23)) + 2) div 4))
(assert (= tmp6__global__buf_9 tmp10__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_9 = tmp10__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp11__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_17) (* 11 tmp1__global__ref1_18)) (* (- 39) tmp1__global__ref1_19)) (* (- 1) tmp1__global__ref1_20)) (* 41 tmp1__global__ref1_21)) (* (- 14) tmp1__global__ref1_22)) (* 8 tmp1__global__ref1_23)) (* (- 2) tmp1__global__ref1_24)) 2) 4))) ; (tmp11__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_17) + (11 * tmp1__global__ref1_18)) + ((- 39) * tmp1__global__ref1_19)) + ((- 1) * tmp1__global__ref1_20)) + (41 * tmp1__global__ref1_21)) + ((- 14) * tmp1__global__ref1_22)) + (8 * tmp1__global__ref1_23)) + ((- 2) * tmp1__global__ref1_24)) + 2) div 4))
(assert (= tmp6__global__buf_10 tmp11__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_10 = tmp11__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp12__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_18) (* 11 tmp1__global__ref1_19)) (* (- 39) tmp1__global__ref1_20)) (* (- 1) tmp1__global__ref1_21)) (* 41 tmp1__global__ref1_22)) (* (- 14) tmp1__global__ref1_23)) (* 8 tmp1__global__ref1_24)) (* (- 2) tmp1__global__ref1_25)) 2) 4))) ; (tmp12__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_18) + (11 * tmp1__global__ref1_19)) + ((- 39) * tmp1__global__ref1_20)) + ((- 1) * tmp1__global__ref1_21)) + (41 * tmp1__global__ref1_22)) + ((- 14) * tmp1__global__ref1_23)) + (8 * tmp1__global__ref1_24)) + ((- 2) * tmp1__global__ref1_25)) + 2) div 4))
(assert (= tmp6__global__buf_11 tmp12__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_11 = tmp12__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp13__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_19) (* 11 tmp1__global__ref1_20)) (* (- 39) tmp1__global__ref1_21)) (* (- 1) tmp1__global__ref1_22)) (* 41 tmp1__global__ref1_23)) (* (- 14) tmp1__global__ref1_24)) (* 8 tmp1__global__ref1_25)) (* (- 2) tmp1__global__ref1_26)) 2) 4))) ; (tmp13__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_19) + (11 * tmp1__global__ref1_20)) + ((- 39) * tmp1__global__ref1_21)) + ((- 1) * tmp1__global__ref1_22)) + (41 * tmp1__global__ref1_23)) + ((- 14) * tmp1__global__ref1_24)) + (8 * tmp1__global__ref1_25)) + ((- 2) * tmp1__global__ref1_26)) + 2) div 4))
(assert (= tmp6__global__buf_12 tmp13__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_12 = tmp13__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp14__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_20) (* 11 tmp1__global__ref1_21)) (* (- 39) tmp1__global__ref1_22)) (* (- 1) tmp1__global__ref1_23)) (* 41 tmp1__global__ref1_24)) (* (- 14) tmp1__global__ref1_25)) (* 8 tmp1__global__ref1_26)) (* (- 2) tmp1__global__ref1_27)) 2) 4))) ; (tmp14__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_20) + (11 * tmp1__global__ref1_21)) + ((- 39) * tmp1__global__ref1_22)) + ((- 1) * tmp1__global__ref1_23)) + (41 * tmp1__global__ref1_24)) + ((- 14) * tmp1__global__ref1_25)) + (8 * tmp1__global__ref1_26)) + ((- 2) * tmp1__global__ref1_27)) + 2) div 4))
(assert (= tmp6__global__buf_13 tmp14__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_13 = tmp14__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp15__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_21) (* 11 tmp1__global__ref1_22)) (* (- 39) tmp1__global__ref1_23)) (* (- 1) tmp1__global__ref1_24)) (* 41 tmp1__global__ref1_25)) (* (- 14) tmp1__global__ref1_26)) (* 8 tmp1__global__ref1_27)) (* (- 2) tmp1__global__ref1_28)) 2) 4))) ; (tmp15__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_21) + (11 * tmp1__global__ref1_22)) + ((- 39) * tmp1__global__ref1_23)) + ((- 1) * tmp1__global__ref1_24)) + (41 * tmp1__global__ref1_25)) + ((- 14) * tmp1__global__ref1_26)) + (8 * tmp1__global__ref1_27)) + ((- 2) * tmp1__global__ref1_28)) + 2) div 4))
(assert (= tmp6__global__buf_14 tmp15__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_14 = tmp15__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp16__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_22) (* 11 tmp1__global__ref1_23)) (* (- 39) tmp1__global__ref1_24)) (* (- 1) tmp1__global__ref1_25)) (* 41 tmp1__global__ref1_26)) (* (- 14) tmp1__global__ref1_27)) (* 8 tmp1__global__ref1_28)) (* (- 2) tmp1__global__ref1_29)) 2) 4))) ; (tmp16__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_22) + (11 * tmp1__global__ref1_23)) + ((- 39) * tmp1__global__ref1_24)) + ((- 1) * tmp1__global__ref1_25)) + (41 * tmp1__global__ref1_26)) + ((- 14) * tmp1__global__ref1_27)) + (8 * tmp1__global__ref1_28)) + ((- 2) * tmp1__global__ref1_29)) + 2) div 4))
(assert (= tmp6__global__buf_15 tmp16__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_15 = tmp16__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp17__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_30) (* 11 tmp1__global__ref1_31)) (* (- 39) tmp1__global__ref1_32)) (* (- 1) tmp1__global__ref1_33)) (* 41 tmp1__global__ref1_34)) (* (- 14) tmp1__global__ref1_35)) (* 8 tmp1__global__ref1_36)) (* (- 2) tmp1__global__ref1_37)) 2) 4))) ; (tmp17__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_30) + (11 * tmp1__global__ref1_31)) + ((- 39) * tmp1__global__ref1_32)) + ((- 1) * tmp1__global__ref1_33)) + (41 * tmp1__global__ref1_34)) + ((- 14) * tmp1__global__ref1_35)) + (8 * tmp1__global__ref1_36)) + ((- 2) * tmp1__global__ref1_37)) + 2) div 4))
(assert (= tmp6__global__buf_16 tmp17__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_16 = tmp17__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp18__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_31) (* 11 tmp1__global__ref1_32)) (* (- 39) tmp1__global__ref1_33)) (* (- 1) tmp1__global__ref1_34)) (* 41 tmp1__global__ref1_35)) (* (- 14) tmp1__global__ref1_36)) (* 8 tmp1__global__ref1_37)) (* (- 2) tmp1__global__ref1_38)) 2) 4))) ; (tmp18__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_31) + (11 * tmp1__global__ref1_32)) + ((- 39) * tmp1__global__ref1_33)) + ((- 1) * tmp1__global__ref1_34)) + (41 * tmp1__global__ref1_35)) + ((- 14) * tmp1__global__ref1_36)) + (8 * tmp1__global__ref1_37)) + ((- 2) * tmp1__global__ref1_38)) + 2) div 4))
(assert (= tmp6__global__buf_17 tmp18__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_17 = tmp18__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp19__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_32) (* 11 tmp1__global__ref1_33)) (* (- 39) tmp1__global__ref1_34)) (* (- 1) tmp1__global__ref1_35)) (* 41 tmp1__global__ref1_36)) (* (- 14) tmp1__global__ref1_37)) (* 8 tmp1__global__ref1_38)) (* (- 2) tmp1__global__ref1_39)) 2) 4))) ; (tmp19__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_32) + (11 * tmp1__global__ref1_33)) + ((- 39) * tmp1__global__ref1_34)) + ((- 1) * tmp1__global__ref1_35)) + (41 * tmp1__global__ref1_36)) + ((- 14) * tmp1__global__ref1_37)) + (8 * tmp1__global__ref1_38)) + ((- 2) * tmp1__global__ref1_39)) + 2) div 4))
(assert (= tmp6__global__buf_18 tmp19__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_18 = tmp19__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp20__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_33) (* 11 tmp1__global__ref1_34)) (* (- 39) tmp1__global__ref1_35)) (* (- 1) tmp1__global__ref1_36)) (* 41 tmp1__global__ref1_37)) (* (- 14) tmp1__global__ref1_38)) (* 8 tmp1__global__ref1_39)) (* (- 2) tmp1__global__ref1_40)) 2) 4))) ; (tmp20__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_33) + (11 * tmp1__global__ref1_34)) + ((- 39) * tmp1__global__ref1_35)) + ((- 1) * tmp1__global__ref1_36)) + (41 * tmp1__global__ref1_37)) + ((- 14) * tmp1__global__ref1_38)) + (8 * tmp1__global__ref1_39)) + ((- 2) * tmp1__global__ref1_40)) + 2) div 4))
(assert (= tmp6__global__buf_19 tmp20__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_19 = tmp20__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp21__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_34) (* 11 tmp1__global__ref1_35)) (* (- 39) tmp1__global__ref1_36)) (* (- 1) tmp1__global__ref1_37)) (* 41 tmp1__global__ref1_38)) (* (- 14) tmp1__global__ref1_39)) (* 8 tmp1__global__ref1_40)) (* (- 2) tmp1__global__ref1_41)) 2) 4))) ; (tmp21__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_34) + (11 * tmp1__global__ref1_35)) + ((- 39) * tmp1__global__ref1_36)) + ((- 1) * tmp1__global__ref1_37)) + (41 * tmp1__global__ref1_38)) + ((- 14) * tmp1__global__ref1_39)) + (8 * tmp1__global__ref1_40)) + ((- 2) * tmp1__global__ref1_41)) + 2) div 4))
(assert (= tmp6__global__buf_20 tmp21__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_20 = tmp21__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp22__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_35) (* 11 tmp1__global__ref1_36)) (* (- 39) tmp1__global__ref1_37)) (* (- 1) tmp1__global__ref1_38)) (* 41 tmp1__global__ref1_39)) (* (- 14) tmp1__global__ref1_40)) (* 8 tmp1__global__ref1_41)) (* (- 2) tmp1__global__ref1_42)) 2) 4))) ; (tmp22__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_35) + (11 * tmp1__global__ref1_36)) + ((- 39) * tmp1__global__ref1_37)) + ((- 1) * tmp1__global__ref1_38)) + (41 * tmp1__global__ref1_39)) + ((- 14) * tmp1__global__ref1_40)) + (8 * tmp1__global__ref1_41)) + ((- 2) * tmp1__global__ref1_42)) + 2) div 4))
(assert (= tmp6__global__buf_21 tmp22__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_21 = tmp22__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp23__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_36) (* 11 tmp1__global__ref1_37)) (* (- 39) tmp1__global__ref1_38)) (* (- 1) tmp1__global__ref1_39)) (* 41 tmp1__global__ref1_40)) (* (- 14) tmp1__global__ref1_41)) (* 8 tmp1__global__ref1_42)) (* (- 2) tmp1__global__ref1_43)) 2) 4))) ; (tmp23__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_36) + (11 * tmp1__global__ref1_37)) + ((- 39) * tmp1__global__ref1_38)) + ((- 1) * tmp1__global__ref1_39)) + (41 * tmp1__global__ref1_40)) + ((- 14) * tmp1__global__ref1_41)) + (8 * tmp1__global__ref1_42)) + ((- 2) * tmp1__global__ref1_43)) + 2) div 4))
(assert (= tmp6__global__buf_22 tmp23__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_22 = tmp23__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp24__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_37) (* 11 tmp1__global__ref1_38)) (* (- 39) tmp1__global__ref1_39)) (* (- 1) tmp1__global__ref1_40)) (* 41 tmp1__global__ref1_41)) (* (- 14) tmp1__global__ref1_42)) (* 8 tmp1__global__ref1_43)) (* (- 2) tmp1__global__ref1_44)) 2) 4))) ; (tmp24__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_37) + (11 * tmp1__global__ref1_38)) + ((- 39) * tmp1__global__ref1_39)) + ((- 1) * tmp1__global__ref1_40)) + (41 * tmp1__global__ref1_41)) + ((- 14) * tmp1__global__ref1_42)) + (8 * tmp1__global__ref1_43)) + ((- 2) * tmp1__global__ref1_44)) + 2) div 4))
(assert (= tmp6__global__buf_23 tmp24__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_23 = tmp24__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp25__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_45) (* 11 tmp1__global__ref1_46)) (* (- 39) tmp1__global__ref1_47)) (* (- 1) tmp1__global__ref1_48)) (* 41 tmp1__global__ref1_49)) (* (- 14) tmp1__global__ref1_50)) (* 8 tmp1__global__ref1_51)) (* (- 2) tmp1__global__ref1_52)) 2) 4))) ; (tmp25__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_45) + (11 * tmp1__global__ref1_46)) + ((- 39) * tmp1__global__ref1_47)) + ((- 1) * tmp1__global__ref1_48)) + (41 * tmp1__global__ref1_49)) + ((- 14) * tmp1__global__ref1_50)) + (8 * tmp1__global__ref1_51)) + ((- 2) * tmp1__global__ref1_52)) + 2) div 4))
(assert (= tmp6__global__buf_24 tmp25__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_24 = tmp25__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp26__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_46) (* 11 tmp1__global__ref1_47)) (* (- 39) tmp1__global__ref1_48)) (* (- 1) tmp1__global__ref1_49)) (* 41 tmp1__global__ref1_50)) (* (- 14) tmp1__global__ref1_51)) (* 8 tmp1__global__ref1_52)) (* (- 2) tmp1__global__ref1_53)) 2) 4))) ; (tmp26__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_46) + (11 * tmp1__global__ref1_47)) + ((- 39) * tmp1__global__ref1_48)) + ((- 1) * tmp1__global__ref1_49)) + (41 * tmp1__global__ref1_50)) + ((- 14) * tmp1__global__ref1_51)) + (8 * tmp1__global__ref1_52)) + ((- 2) * tmp1__global__ref1_53)) + 2) div 4))
(assert (= tmp6__global__buf_25 tmp26__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_25 = tmp26__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp27__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_47) (* 11 tmp1__global__ref1_48)) (* (- 39) tmp1__global__ref1_49)) (* (- 1) tmp1__global__ref1_50)) (* 41 tmp1__global__ref1_51)) (* (- 14) tmp1__global__ref1_52)) (* 8 tmp1__global__ref1_53)) (* (- 2) tmp1__global__ref1_54)) 2) 4))) ; (tmp27__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_47) + (11 * tmp1__global__ref1_48)) + ((- 39) * tmp1__global__ref1_49)) + ((- 1) * tmp1__global__ref1_50)) + (41 * tmp1__global__ref1_51)) + ((- 14) * tmp1__global__ref1_52)) + (8 * tmp1__global__ref1_53)) + ((- 2) * tmp1__global__ref1_54)) + 2) div 4))
(assert (= tmp6__global__buf_26 tmp27__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_26 = tmp27__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp28__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_48) (* 11 tmp1__global__ref1_49)) (* (- 39) tmp1__global__ref1_50)) (* (- 1) tmp1__global__ref1_51)) (* 41 tmp1__global__ref1_52)) (* (- 14) tmp1__global__ref1_53)) (* 8 tmp1__global__ref1_54)) (* (- 2) tmp1__global__ref1_55)) 2) 4))) ; (tmp28__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_48) + (11 * tmp1__global__ref1_49)) + ((- 39) * tmp1__global__ref1_50)) + ((- 1) * tmp1__global__ref1_51)) + (41 * tmp1__global__ref1_52)) + ((- 14) * tmp1__global__ref1_53)) + (8 * tmp1__global__ref1_54)) + ((- 2) * tmp1__global__ref1_55)) + 2) div 4))
(assert (= tmp6__global__buf_27 tmp28__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_27 = tmp28__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp29__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_49) (* 11 tmp1__global__ref1_50)) (* (- 39) tmp1__global__ref1_51)) (* (- 1) tmp1__global__ref1_52)) (* 41 tmp1__global__ref1_53)) (* (- 14) tmp1__global__ref1_54)) (* 8 tmp1__global__ref1_55)) (* (- 2) tmp1__global__ref1_56)) 2) 4))) ; (tmp29__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_49) + (11 * tmp1__global__ref1_50)) + ((- 39) * tmp1__global__ref1_51)) + ((- 1) * tmp1__global__ref1_52)) + (41 * tmp1__global__ref1_53)) + ((- 14) * tmp1__global__ref1_54)) + (8 * tmp1__global__ref1_55)) + ((- 2) * tmp1__global__ref1_56)) + 2) div 4))
(assert (= tmp6__global__buf_28 tmp29__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_28 = tmp29__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp30__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_50) (* 11 tmp1__global__ref1_51)) (* (- 39) tmp1__global__ref1_52)) (* (- 1) tmp1__global__ref1_53)) (* 41 tmp1__global__ref1_54)) (* (- 14) tmp1__global__ref1_55)) (* 8 tmp1__global__ref1_56)) (* (- 2) tmp1__global__ref1_57)) 2) 4))) ; (tmp30__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_50) + (11 * tmp1__global__ref1_51)) + ((- 39) * tmp1__global__ref1_52)) + ((- 1) * tmp1__global__ref1_53)) + (41 * tmp1__global__ref1_54)) + ((- 14) * tmp1__global__ref1_55)) + (8 * tmp1__global__ref1_56)) + ((- 2) * tmp1__global__ref1_57)) + 2) div 4))
(assert (= tmp6__global__buf_29 tmp30__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_29 = tmp30__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp31__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_51) (* 11 tmp1__global__ref1_52)) (* (- 39) tmp1__global__ref1_53)) (* (- 1) tmp1__global__ref1_54)) (* 41 tmp1__global__ref1_55)) (* (- 14) tmp1__global__ref1_56)) (* 8 tmp1__global__ref1_57)) (* (- 2) tmp1__global__ref1_58)) 2) 4))) ; (tmp31__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_51) + (11 * tmp1__global__ref1_52)) + ((- 39) * tmp1__global__ref1_53)) + ((- 1) * tmp1__global__ref1_54)) + (41 * tmp1__global__ref1_55)) + ((- 14) * tmp1__global__ref1_56)) + (8 * tmp1__global__ref1_57)) + ((- 2) * tmp1__global__ref1_58)) + 2) div 4))
(assert (= tmp6__global__buf_30 tmp31__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_30 = tmp31__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp32__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_52) (* 11 tmp1__global__ref1_53)) (* (- 39) tmp1__global__ref1_54)) (* (- 1) tmp1__global__ref1_55)) (* 41 tmp1__global__ref1_56)) (* (- 14) tmp1__global__ref1_57)) (* 8 tmp1__global__ref1_58)) (* (- 2) tmp1__global__ref1_59)) 2) 4))) ; (tmp32__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_52) + (11 * tmp1__global__ref1_53)) + ((- 39) * tmp1__global__ref1_54)) + ((- 1) * tmp1__global__ref1_55)) + (41 * tmp1__global__ref1_56)) + ((- 14) * tmp1__global__ref1_57)) + (8 * tmp1__global__ref1_58)) + ((- 2) * tmp1__global__ref1_59)) + 2) div 4))
(assert (= tmp6__global__buf_31 tmp32__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_31 = tmp32__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp33__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_60) (* 11 tmp1__global__ref1_61)) (* (- 39) tmp1__global__ref1_62)) (* (- 1) tmp1__global__ref1_63)) (* 41 tmp1__global__ref1_64)) (* (- 14) tmp1__global__ref1_65)) (* 8 tmp1__global__ref1_66)) (* (- 2) tmp1__global__ref1_67)) 2) 4))) ; (tmp33__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_60) + (11 * tmp1__global__ref1_61)) + ((- 39) * tmp1__global__ref1_62)) + ((- 1) * tmp1__global__ref1_63)) + (41 * tmp1__global__ref1_64)) + ((- 14) * tmp1__global__ref1_65)) + (8 * tmp1__global__ref1_66)) + ((- 2) * tmp1__global__ref1_67)) + 2) div 4))
(assert (= tmp6__global__buf_32 tmp33__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_32 = tmp33__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp34__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_61) (* 11 tmp1__global__ref1_62)) (* (- 39) tmp1__global__ref1_63)) (* (- 1) tmp1__global__ref1_64)) (* 41 tmp1__global__ref1_65)) (* (- 14) tmp1__global__ref1_66)) (* 8 tmp1__global__ref1_67)) (* (- 2) tmp1__global__ref1_68)) 2) 4))) ; (tmp34__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_61) + (11 * tmp1__global__ref1_62)) + ((- 39) * tmp1__global__ref1_63)) + ((- 1) * tmp1__global__ref1_64)) + (41 * tmp1__global__ref1_65)) + ((- 14) * tmp1__global__ref1_66)) + (8 * tmp1__global__ref1_67)) + ((- 2) * tmp1__global__ref1_68)) + 2) div 4))
(assert (= tmp6__global__buf_33 tmp34__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_33 = tmp34__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp35__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_62) (* 11 tmp1__global__ref1_63)) (* (- 39) tmp1__global__ref1_64)) (* (- 1) tmp1__global__ref1_65)) (* 41 tmp1__global__ref1_66)) (* (- 14) tmp1__global__ref1_67)) (* 8 tmp1__global__ref1_68)) (* (- 2) tmp1__global__ref1_69)) 2) 4))) ; (tmp35__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_62) + (11 * tmp1__global__ref1_63)) + ((- 39) * tmp1__global__ref1_64)) + ((- 1) * tmp1__global__ref1_65)) + (41 * tmp1__global__ref1_66)) + ((- 14) * tmp1__global__ref1_67)) + (8 * tmp1__global__ref1_68)) + ((- 2) * tmp1__global__ref1_69)) + 2) div 4))
(assert (= tmp6__global__buf_34 tmp35__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_34 = tmp35__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp36__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_63) (* 11 tmp1__global__ref1_64)) (* (- 39) tmp1__global__ref1_65)) (* (- 1) tmp1__global__ref1_66)) (* 41 tmp1__global__ref1_67)) (* (- 14) tmp1__global__ref1_68)) (* 8 tmp1__global__ref1_69)) (* (- 2) tmp1__global__ref1_70)) 2) 4))) ; (tmp36__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_63) + (11 * tmp1__global__ref1_64)) + ((- 39) * tmp1__global__ref1_65)) + ((- 1) * tmp1__global__ref1_66)) + (41 * tmp1__global__ref1_67)) + ((- 14) * tmp1__global__ref1_68)) + (8 * tmp1__global__ref1_69)) + ((- 2) * tmp1__global__ref1_70)) + 2) div 4))
(assert (= tmp6__global__buf_35 tmp36__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_35 = tmp36__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp37__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_64) (* 11 tmp1__global__ref1_65)) (* (- 39) tmp1__global__ref1_66)) (* (- 1) tmp1__global__ref1_67)) (* 41 tmp1__global__ref1_68)) (* (- 14) tmp1__global__ref1_69)) (* 8 tmp1__global__ref1_70)) (* (- 2) tmp1__global__ref1_71)) 2) 4))) ; (tmp37__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_64) + (11 * tmp1__global__ref1_65)) + ((- 39) * tmp1__global__ref1_66)) + ((- 1) * tmp1__global__ref1_67)) + (41 * tmp1__global__ref1_68)) + ((- 14) * tmp1__global__ref1_69)) + (8 * tmp1__global__ref1_70)) + ((- 2) * tmp1__global__ref1_71)) + 2) div 4))
(assert (= tmp6__global__buf_36 tmp37__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_36 = tmp37__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp38__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_65) (* 11 tmp1__global__ref1_66)) (* (- 39) tmp1__global__ref1_67)) (* (- 1) tmp1__global__ref1_68)) (* 41 tmp1__global__ref1_69)) (* (- 14) tmp1__global__ref1_70)) (* 8 tmp1__global__ref1_71)) (* (- 2) tmp1__global__ref1_72)) 2) 4))) ; (tmp38__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_65) + (11 * tmp1__global__ref1_66)) + ((- 39) * tmp1__global__ref1_67)) + ((- 1) * tmp1__global__ref1_68)) + (41 * tmp1__global__ref1_69)) + ((- 14) * tmp1__global__ref1_70)) + (8 * tmp1__global__ref1_71)) + ((- 2) * tmp1__global__ref1_72)) + 2) div 4))
(assert (= tmp6__global__buf_37 tmp38__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_37 = tmp38__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp39__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_66) (* 11 tmp1__global__ref1_67)) (* (- 39) tmp1__global__ref1_68)) (* (- 1) tmp1__global__ref1_69)) (* 41 tmp1__global__ref1_70)) (* (- 14) tmp1__global__ref1_71)) (* 8 tmp1__global__ref1_72)) (* (- 2) tmp1__global__ref1_73)) 2) 4))) ; (tmp39__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_66) + (11 * tmp1__global__ref1_67)) + ((- 39) * tmp1__global__ref1_68)) + ((- 1) * tmp1__global__ref1_69)) + (41 * tmp1__global__ref1_70)) + ((- 14) * tmp1__global__ref1_71)) + (8 * tmp1__global__ref1_72)) + ((- 2) * tmp1__global__ref1_73)) + 2) div 4))
(assert (= tmp6__global__buf_38 tmp39__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_38 = tmp39__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp40__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_67) (* 11 tmp1__global__ref1_68)) (* (- 39) tmp1__global__ref1_69)) (* (- 1) tmp1__global__ref1_70)) (* 41 tmp1__global__ref1_71)) (* (- 14) tmp1__global__ref1_72)) (* 8 tmp1__global__ref1_73)) (* (- 2) tmp1__global__ref1_74)) 2) 4))) ; (tmp40__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_67) + (11 * tmp1__global__ref1_68)) + ((- 39) * tmp1__global__ref1_69)) + ((- 1) * tmp1__global__ref1_70)) + (41 * tmp1__global__ref1_71)) + ((- 14) * tmp1__global__ref1_72)) + (8 * tmp1__global__ref1_73)) + ((- 2) * tmp1__global__ref1_74)) + 2) div 4))
(assert (= tmp6__global__buf_39 tmp40__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_39 = tmp40__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp41__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_75) (* 11 tmp1__global__ref1_76)) (* (- 39) tmp1__global__ref1_77)) (* (- 1) tmp1__global__ref1_78)) (* 41 tmp1__global__ref1_79)) (* (- 14) tmp1__global__ref1_80)) (* 8 tmp1__global__ref1_81)) (* (- 2) tmp1__global__ref1_82)) 2) 4))) ; (tmp41__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_75) + (11 * tmp1__global__ref1_76)) + ((- 39) * tmp1__global__ref1_77)) + ((- 1) * tmp1__global__ref1_78)) + (41 * tmp1__global__ref1_79)) + ((- 14) * tmp1__global__ref1_80)) + (8 * tmp1__global__ref1_81)) + ((- 2) * tmp1__global__ref1_82)) + 2) div 4))
(assert (= tmp6__global__buf_40 tmp41__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_40 = tmp41__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp42__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_76) (* 11 tmp1__global__ref1_77)) (* (- 39) tmp1__global__ref1_78)) (* (- 1) tmp1__global__ref1_79)) (* 41 tmp1__global__ref1_80)) (* (- 14) tmp1__global__ref1_81)) (* 8 tmp1__global__ref1_82)) (* (- 2) tmp1__global__ref1_83)) 2) 4))) ; (tmp42__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_76) + (11 * tmp1__global__ref1_77)) + ((- 39) * tmp1__global__ref1_78)) + ((- 1) * tmp1__global__ref1_79)) + (41 * tmp1__global__ref1_80)) + ((- 14) * tmp1__global__ref1_81)) + (8 * tmp1__global__ref1_82)) + ((- 2) * tmp1__global__ref1_83)) + 2) div 4))
(assert (= tmp6__global__buf_41 tmp42__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_41 = tmp42__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp43__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_77) (* 11 tmp1__global__ref1_78)) (* (- 39) tmp1__global__ref1_79)) (* (- 1) tmp1__global__ref1_80)) (* 41 tmp1__global__ref1_81)) (* (- 14) tmp1__global__ref1_82)) (* 8 tmp1__global__ref1_83)) (* (- 2) tmp1__global__ref1_84)) 2) 4))) ; (tmp43__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_77) + (11 * tmp1__global__ref1_78)) + ((- 39) * tmp1__global__ref1_79)) + ((- 1) * tmp1__global__ref1_80)) + (41 * tmp1__global__ref1_81)) + ((- 14) * tmp1__global__ref1_82)) + (8 * tmp1__global__ref1_83)) + ((- 2) * tmp1__global__ref1_84)) + 2) div 4))
(assert (= tmp6__global__buf_42 tmp43__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_42 = tmp43__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp44__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_78) (* 11 tmp1__global__ref1_79)) (* (- 39) tmp1__global__ref1_80)) (* (- 1) tmp1__global__ref1_81)) (* 41 tmp1__global__ref1_82)) (* (- 14) tmp1__global__ref1_83)) (* 8 tmp1__global__ref1_84)) (* (- 2) tmp1__global__ref1_85)) 2) 4))) ; (tmp44__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_78) + (11 * tmp1__global__ref1_79)) + ((- 39) * tmp1__global__ref1_80)) + ((- 1) * tmp1__global__ref1_81)) + (41 * tmp1__global__ref1_82)) + ((- 14) * tmp1__global__ref1_83)) + (8 * tmp1__global__ref1_84)) + ((- 2) * tmp1__global__ref1_85)) + 2) div 4))
(assert (= tmp6__global__buf_43 tmp44__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_43 = tmp44__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp45__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_79) (* 11 tmp1__global__ref1_80)) (* (- 39) tmp1__global__ref1_81)) (* (- 1) tmp1__global__ref1_82)) (* 41 tmp1__global__ref1_83)) (* (- 14) tmp1__global__ref1_84)) (* 8 tmp1__global__ref1_85)) (* (- 2) tmp1__global__ref1_86)) 2) 4))) ; (tmp45__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_79) + (11 * tmp1__global__ref1_80)) + ((- 39) * tmp1__global__ref1_81)) + ((- 1) * tmp1__global__ref1_82)) + (41 * tmp1__global__ref1_83)) + ((- 14) * tmp1__global__ref1_84)) + (8 * tmp1__global__ref1_85)) + ((- 2) * tmp1__global__ref1_86)) + 2) div 4))
(assert (= tmp6__global__buf_44 tmp45__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_44 = tmp45__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp46__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_80) (* 11 tmp1__global__ref1_81)) (* (- 39) tmp1__global__ref1_82)) (* (- 1) tmp1__global__ref1_83)) (* 41 tmp1__global__ref1_84)) (* (- 14) tmp1__global__ref1_85)) (* 8 tmp1__global__ref1_86)) (* (- 2) tmp1__global__ref1_87)) 2) 4))) ; (tmp46__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_80) + (11 * tmp1__global__ref1_81)) + ((- 39) * tmp1__global__ref1_82)) + ((- 1) * tmp1__global__ref1_83)) + (41 * tmp1__global__ref1_84)) + ((- 14) * tmp1__global__ref1_85)) + (8 * tmp1__global__ref1_86)) + ((- 2) * tmp1__global__ref1_87)) + 2) div 4))
(assert (= tmp6__global__buf_45 tmp46__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_45 = tmp46__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp47__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_81) (* 11 tmp1__global__ref1_82)) (* (- 39) tmp1__global__ref1_83)) (* (- 1) tmp1__global__ref1_84)) (* 41 tmp1__global__ref1_85)) (* (- 14) tmp1__global__ref1_86)) (* 8 tmp1__global__ref1_87)) (* (- 2) tmp1__global__ref1_88)) 2) 4))) ; (tmp47__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_81) + (11 * tmp1__global__ref1_82)) + ((- 39) * tmp1__global__ref1_83)) + ((- 1) * tmp1__global__ref1_84)) + (41 * tmp1__global__ref1_85)) + ((- 14) * tmp1__global__ref1_86)) + (8 * tmp1__global__ref1_87)) + ((- 2) * tmp1__global__ref1_88)) + 2) div 4))
(assert (= tmp6__global__buf_46 tmp47__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_46 = tmp47__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp48__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_82) (* 11 tmp1__global__ref1_83)) (* (- 39) tmp1__global__ref1_84)) (* (- 1) tmp1__global__ref1_85)) (* 41 tmp1__global__ref1_86)) (* (- 14) tmp1__global__ref1_87)) (* 8 tmp1__global__ref1_88)) (* (- 2) tmp1__global__ref1_89)) 2) 4))) ; (tmp48__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_82) + (11 * tmp1__global__ref1_83)) + ((- 39) * tmp1__global__ref1_84)) + ((- 1) * tmp1__global__ref1_85)) + (41 * tmp1__global__ref1_86)) + ((- 14) * tmp1__global__ref1_87)) + (8 * tmp1__global__ref1_88)) + ((- 2) * tmp1__global__ref1_89)) + 2) div 4))
(assert (= tmp6__global__buf_47 tmp48__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_47 = tmp48__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp49__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_90) (* 11 tmp1__global__ref1_91)) (* (- 39) tmp1__global__ref1_92)) (* (- 1) tmp1__global__ref1_93)) (* 41 tmp1__global__ref1_94)) (* (- 14) tmp1__global__ref1_95)) (* 8 tmp1__global__ref1_96)) (* (- 2) tmp1__global__ref1_97)) 2) 4))) ; (tmp49__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_90) + (11 * tmp1__global__ref1_91)) + ((- 39) * tmp1__global__ref1_92)) + ((- 1) * tmp1__global__ref1_93)) + (41 * tmp1__global__ref1_94)) + ((- 14) * tmp1__global__ref1_95)) + (8 * tmp1__global__ref1_96)) + ((- 2) * tmp1__global__ref1_97)) + 2) div 4))
(assert (= tmp6__global__buf_48 tmp49__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_48 = tmp49__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp50__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_91) (* 11 tmp1__global__ref1_92)) (* (- 39) tmp1__global__ref1_93)) (* (- 1) tmp1__global__ref1_94)) (* 41 tmp1__global__ref1_95)) (* (- 14) tmp1__global__ref1_96)) (* 8 tmp1__global__ref1_97)) (* (- 2) tmp1__global__ref1_98)) 2) 4))) ; (tmp50__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_91) + (11 * tmp1__global__ref1_92)) + ((- 39) * tmp1__global__ref1_93)) + ((- 1) * tmp1__global__ref1_94)) + (41 * tmp1__global__ref1_95)) + ((- 14) * tmp1__global__ref1_96)) + (8 * tmp1__global__ref1_97)) + ((- 2) * tmp1__global__ref1_98)) + 2) div 4))
(assert (= tmp6__global__buf_49 tmp50__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_49 = tmp50__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp51__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_92) (* 11 tmp1__global__ref1_93)) (* (- 39) tmp1__global__ref1_94)) (* (- 1) tmp1__global__ref1_95)) (* 41 tmp1__global__ref1_96)) (* (- 14) tmp1__global__ref1_97)) (* 8 tmp1__global__ref1_98)) (* (- 2) tmp1__global__ref1_99)) 2) 4))) ; (tmp51__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_92) + (11 * tmp1__global__ref1_93)) + ((- 39) * tmp1__global__ref1_94)) + ((- 1) * tmp1__global__ref1_95)) + (41 * tmp1__global__ref1_96)) + ((- 14) * tmp1__global__ref1_97)) + (8 * tmp1__global__ref1_98)) + ((- 2) * tmp1__global__ref1_99)) + 2) div 4))
(assert (= tmp6__global__buf_50 tmp51__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_50 = tmp51__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp52__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_93) (* 11 tmp1__global__ref1_94)) (* (- 39) tmp1__global__ref1_95)) (* (- 1) tmp1__global__ref1_96)) (* 41 tmp1__global__ref1_97)) (* (- 14) tmp1__global__ref1_98)) (* 8 tmp1__global__ref1_99)) (* (- 2) tmp1__global__ref1_100)) 2) 4))) ; (tmp52__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_93) + (11 * tmp1__global__ref1_94)) + ((- 39) * tmp1__global__ref1_95)) + ((- 1) * tmp1__global__ref1_96)) + (41 * tmp1__global__ref1_97)) + ((- 14) * tmp1__global__ref1_98)) + (8 * tmp1__global__ref1_99)) + ((- 2) * tmp1__global__ref1_100)) + 2) div 4))
(assert (= tmp6__global__buf_51 tmp52__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_51 = tmp52__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp53__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_94) (* 11 tmp1__global__ref1_95)) (* (- 39) tmp1__global__ref1_96)) (* (- 1) tmp1__global__ref1_97)) (* 41 tmp1__global__ref1_98)) (* (- 14) tmp1__global__ref1_99)) (* 8 tmp1__global__ref1_100)) (* (- 2) tmp1__global__ref1_101)) 2) 4))) ; (tmp53__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_94) + (11 * tmp1__global__ref1_95)) + ((- 39) * tmp1__global__ref1_96)) + ((- 1) * tmp1__global__ref1_97)) + (41 * tmp1__global__ref1_98)) + ((- 14) * tmp1__global__ref1_99)) + (8 * tmp1__global__ref1_100)) + ((- 2) * tmp1__global__ref1_101)) + 2) div 4))
(assert (= tmp6__global__buf_52 tmp53__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_52 = tmp53__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp54__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_95) (* 11 tmp1__global__ref1_96)) (* (- 39) tmp1__global__ref1_97)) (* (- 1) tmp1__global__ref1_98)) (* 41 tmp1__global__ref1_99)) (* (- 14) tmp1__global__ref1_100)) (* 8 tmp1__global__ref1_101)) (* (- 2) tmp1__global__ref1_102)) 2) 4))) ; (tmp54__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_95) + (11 * tmp1__global__ref1_96)) + ((- 39) * tmp1__global__ref1_97)) + ((- 1) * tmp1__global__ref1_98)) + (41 * tmp1__global__ref1_99)) + ((- 14) * tmp1__global__ref1_100)) + (8 * tmp1__global__ref1_101)) + ((- 2) * tmp1__global__ref1_102)) + 2) div 4))
(assert (= tmp6__global__buf_53 tmp54__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_53 = tmp54__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp55__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_96) (* 11 tmp1__global__ref1_97)) (* (- 39) tmp1__global__ref1_98)) (* (- 1) tmp1__global__ref1_99)) (* 41 tmp1__global__ref1_100)) (* (- 14) tmp1__global__ref1_101)) (* 8 tmp1__global__ref1_102)) (* (- 2) tmp1__global__ref1_103)) 2) 4))) ; (tmp55__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_96) + (11 * tmp1__global__ref1_97)) + ((- 39) * tmp1__global__ref1_98)) + ((- 1) * tmp1__global__ref1_99)) + (41 * tmp1__global__ref1_100)) + ((- 14) * tmp1__global__ref1_101)) + (8 * tmp1__global__ref1_102)) + ((- 2) * tmp1__global__ref1_103)) + 2) div 4))
(assert (= tmp6__global__buf_54 tmp55__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_54 = tmp55__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp56__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_97) (* 11 tmp1__global__ref1_98)) (* (- 39) tmp1__global__ref1_99)) (* (- 1) tmp1__global__ref1_100)) (* 41 tmp1__global__ref1_101)) (* (- 14) tmp1__global__ref1_102)) (* 8 tmp1__global__ref1_103)) (* (- 2) tmp1__global__ref1_104)) 2) 4))) ; (tmp56__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_97) + (11 * tmp1__global__ref1_98)) + ((- 39) * tmp1__global__ref1_99)) + ((- 1) * tmp1__global__ref1_100)) + (41 * tmp1__global__ref1_101)) + ((- 14) * tmp1__global__ref1_102)) + (8 * tmp1__global__ref1_103)) + ((- 2) * tmp1__global__ref1_104)) + 2) div 4))
(assert (= tmp6__global__buf_55 tmp56__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_55 = tmp56__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp57__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_105) (* 11 tmp1__global__ref1_106)) (* (- 39) tmp1__global__ref1_107)) (* (- 1) tmp1__global__ref1_108)) (* 41 tmp1__global__ref1_109)) (* (- 14) tmp1__global__ref1_110)) (* 8 tmp1__global__ref1_111)) (* (- 2) tmp1__global__ref1_112)) 2) 4))) ; (tmp57__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_105) + (11 * tmp1__global__ref1_106)) + ((- 39) * tmp1__global__ref1_107)) + ((- 1) * tmp1__global__ref1_108)) + (41 * tmp1__global__ref1_109)) + ((- 14) * tmp1__global__ref1_110)) + (8 * tmp1__global__ref1_111)) + ((- 2) * tmp1__global__ref1_112)) + 2) div 4))
(assert (= tmp6__global__buf_56 tmp57__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_56 = tmp57__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp58__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_106) (* 11 tmp1__global__ref1_107)) (* (- 39) tmp1__global__ref1_108)) (* (- 1) tmp1__global__ref1_109)) (* 41 tmp1__global__ref1_110)) (* (- 14) tmp1__global__ref1_111)) (* 8 tmp1__global__ref1_112)) (* (- 2) tmp1__global__ref1_113)) 2) 4))) ; (tmp58__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_106) + (11 * tmp1__global__ref1_107)) + ((- 39) * tmp1__global__ref1_108)) + ((- 1) * tmp1__global__ref1_109)) + (41 * tmp1__global__ref1_110)) + ((- 14) * tmp1__global__ref1_111)) + (8 * tmp1__global__ref1_112)) + ((- 2) * tmp1__global__ref1_113)) + 2) div 4))
(assert (= tmp6__global__buf_57 tmp58__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_57 = tmp58__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp59__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_107) (* 11 tmp1__global__ref1_108)) (* (- 39) tmp1__global__ref1_109)) (* (- 1) tmp1__global__ref1_110)) (* 41 tmp1__global__ref1_111)) (* (- 14) tmp1__global__ref1_112)) (* 8 tmp1__global__ref1_113)) (* (- 2) tmp1__global__ref1_114)) 2) 4))) ; (tmp59__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_107) + (11 * tmp1__global__ref1_108)) + ((- 39) * tmp1__global__ref1_109)) + ((- 1) * tmp1__global__ref1_110)) + (41 * tmp1__global__ref1_111)) + ((- 14) * tmp1__global__ref1_112)) + (8 * tmp1__global__ref1_113)) + ((- 2) * tmp1__global__ref1_114)) + 2) div 4))
(assert (= tmp6__global__buf_58 tmp59__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_58 = tmp59__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp60__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_108) (* 11 tmp1__global__ref1_109)) (* (- 39) tmp1__global__ref1_110)) (* (- 1) tmp1__global__ref1_111)) (* 41 tmp1__global__ref1_112)) (* (- 14) tmp1__global__ref1_113)) (* 8 tmp1__global__ref1_114)) (* (- 2) tmp1__global__ref1_115)) 2) 4))) ; (tmp60__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_108) + (11 * tmp1__global__ref1_109)) + ((- 39) * tmp1__global__ref1_110)) + ((- 1) * tmp1__global__ref1_111)) + (41 * tmp1__global__ref1_112)) + ((- 14) * tmp1__global__ref1_113)) + (8 * tmp1__global__ref1_114)) + ((- 2) * tmp1__global__ref1_115)) + 2) div 4))
(assert (= tmp6__global__buf_59 tmp60__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_59 = tmp60__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp61__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_109) (* 11 tmp1__global__ref1_110)) (* (- 39) tmp1__global__ref1_111)) (* (- 1) tmp1__global__ref1_112)) (* 41 tmp1__global__ref1_113)) (* (- 14) tmp1__global__ref1_114)) (* 8 tmp1__global__ref1_115)) (* (- 2) tmp1__global__ref1_116)) 2) 4))) ; (tmp61__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_109) + (11 * tmp1__global__ref1_110)) + ((- 39) * tmp1__global__ref1_111)) + ((- 1) * tmp1__global__ref1_112)) + (41 * tmp1__global__ref1_113)) + ((- 14) * tmp1__global__ref1_114)) + (8 * tmp1__global__ref1_115)) + ((- 2) * tmp1__global__ref1_116)) + 2) div 4))
(assert (= tmp6__global__buf_60 tmp61__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_60 = tmp61__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp62__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_110) (* 11 tmp1__global__ref1_111)) (* (- 39) tmp1__global__ref1_112)) (* (- 1) tmp1__global__ref1_113)) (* 41 tmp1__global__ref1_114)) (* (- 14) tmp1__global__ref1_115)) (* 8 tmp1__global__ref1_116)) (* (- 2) tmp1__global__ref1_117)) 2) 4))) ; (tmp62__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_110) + (11 * tmp1__global__ref1_111)) + ((- 39) * tmp1__global__ref1_112)) + ((- 1) * tmp1__global__ref1_113)) + (41 * tmp1__global__ref1_114)) + ((- 14) * tmp1__global__ref1_115)) + (8 * tmp1__global__ref1_116)) + ((- 2) * tmp1__global__ref1_117)) + 2) div 4))
(assert (= tmp6__global__buf_61 tmp62__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_61 = tmp62__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp63__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_111) (* 11 tmp1__global__ref1_112)) (* (- 39) tmp1__global__ref1_113)) (* (- 1) tmp1__global__ref1_114)) (* 41 tmp1__global__ref1_115)) (* (- 14) tmp1__global__ref1_116)) (* 8 tmp1__global__ref1_117)) (* (- 2) tmp1__global__ref1_118)) 2) 4))) ; (tmp63__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_111) + (11 * tmp1__global__ref1_112)) + ((- 39) * tmp1__global__ref1_113)) + ((- 1) * tmp1__global__ref1_114)) + (41 * tmp1__global__ref1_115)) + ((- 14) * tmp1__global__ref1_116)) + (8 * tmp1__global__ref1_117)) + ((- 2) * tmp1__global__ref1_118)) + 2) div 4))
(assert (= tmp6__global__buf_62 tmp63__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_62 = tmp63__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp64__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_112) (* 11 tmp1__global__ref1_113)) (* (- 39) tmp1__global__ref1_114)) (* (- 1) tmp1__global__ref1_115)) (* 41 tmp1__global__ref1_116)) (* (- 14) tmp1__global__ref1_117)) (* 8 tmp1__global__ref1_118)) (* (- 2) tmp1__global__ref1_119)) 2) 4))) ; (tmp64__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_112) + (11 * tmp1__global__ref1_113)) + ((- 39) * tmp1__global__ref1_114)) + ((- 1) * tmp1__global__ref1_115)) + (41 * tmp1__global__ref1_116)) + ((- 14) * tmp1__global__ref1_117)) + (8 * tmp1__global__ref1_118)) + ((- 2) * tmp1__global__ref1_119)) + 2) div 4))
(assert (= tmp6__global__buf_63 tmp64__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_63 = tmp64__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp65__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_120) (* 11 tmp1__global__ref1_121)) (* (- 39) tmp1__global__ref1_122)) (* (- 1) tmp1__global__ref1_123)) (* 41 tmp1__global__ref1_124)) (* (- 14) tmp1__global__ref1_125)) (* 8 tmp1__global__ref1_126)) (* (- 2) tmp1__global__ref1_127)) 2) 4))) ; (tmp65__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_120) + (11 * tmp1__global__ref1_121)) + ((- 39) * tmp1__global__ref1_122)) + ((- 1) * tmp1__global__ref1_123)) + (41 * tmp1__global__ref1_124)) + ((- 14) * tmp1__global__ref1_125)) + (8 * tmp1__global__ref1_126)) + ((- 2) * tmp1__global__ref1_127)) + 2) div 4))
(assert (= tmp6__global__buf_64 tmp65__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_64 = tmp65__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp66__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_121) (* 11 tmp1__global__ref1_122)) (* (- 39) tmp1__global__ref1_123)) (* (- 1) tmp1__global__ref1_124)) (* 41 tmp1__global__ref1_125)) (* (- 14) tmp1__global__ref1_126)) (* 8 tmp1__global__ref1_127)) (* (- 2) tmp1__global__ref1_128)) 2) 4))) ; (tmp66__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_121) + (11 * tmp1__global__ref1_122)) + ((- 39) * tmp1__global__ref1_123)) + ((- 1) * tmp1__global__ref1_124)) + (41 * tmp1__global__ref1_125)) + ((- 14) * tmp1__global__ref1_126)) + (8 * tmp1__global__ref1_127)) + ((- 2) * tmp1__global__ref1_128)) + 2) div 4))
(assert (= tmp6__global__buf_65 tmp66__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_65 = tmp66__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp67__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_122) (* 11 tmp1__global__ref1_123)) (* (- 39) tmp1__global__ref1_124)) (* (- 1) tmp1__global__ref1_125)) (* 41 tmp1__global__ref1_126)) (* (- 14) tmp1__global__ref1_127)) (* 8 tmp1__global__ref1_128)) (* (- 2) tmp1__global__ref1_129)) 2) 4))) ; (tmp67__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_122) + (11 * tmp1__global__ref1_123)) + ((- 39) * tmp1__global__ref1_124)) + ((- 1) * tmp1__global__ref1_125)) + (41 * tmp1__global__ref1_126)) + ((- 14) * tmp1__global__ref1_127)) + (8 * tmp1__global__ref1_128)) + ((- 2) * tmp1__global__ref1_129)) + 2) div 4))
(assert (= tmp6__global__buf_66 tmp67__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_66 = tmp67__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp68__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_123) (* 11 tmp1__global__ref1_124)) (* (- 39) tmp1__global__ref1_125)) (* (- 1) tmp1__global__ref1_126)) (* 41 tmp1__global__ref1_127)) (* (- 14) tmp1__global__ref1_128)) (* 8 tmp1__global__ref1_129)) (* (- 2) tmp1__global__ref1_130)) 2) 4))) ; (tmp68__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_123) + (11 * tmp1__global__ref1_124)) + ((- 39) * tmp1__global__ref1_125)) + ((- 1) * tmp1__global__ref1_126)) + (41 * tmp1__global__ref1_127)) + ((- 14) * tmp1__global__ref1_128)) + (8 * tmp1__global__ref1_129)) + ((- 2) * tmp1__global__ref1_130)) + 2) div 4))
(assert (= tmp6__global__buf_67 tmp68__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_67 = tmp68__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp69__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_124) (* 11 tmp1__global__ref1_125)) (* (- 39) tmp1__global__ref1_126)) (* (- 1) tmp1__global__ref1_127)) (* 41 tmp1__global__ref1_128)) (* (- 14) tmp1__global__ref1_129)) (* 8 tmp1__global__ref1_130)) (* (- 2) tmp1__global__ref1_131)) 2) 4))) ; (tmp69__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_124) + (11 * tmp1__global__ref1_125)) + ((- 39) * tmp1__global__ref1_126)) + ((- 1) * tmp1__global__ref1_127)) + (41 * tmp1__global__ref1_128)) + ((- 14) * tmp1__global__ref1_129)) + (8 * tmp1__global__ref1_130)) + ((- 2) * tmp1__global__ref1_131)) + 2) div 4))
(assert (= tmp6__global__buf_68 tmp69__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_68 = tmp69__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp70__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_125) (* 11 tmp1__global__ref1_126)) (* (- 39) tmp1__global__ref1_127)) (* (- 1) tmp1__global__ref1_128)) (* 41 tmp1__global__ref1_129)) (* (- 14) tmp1__global__ref1_130)) (* 8 tmp1__global__ref1_131)) (* (- 2) tmp1__global__ref1_132)) 2) 4))) ; (tmp70__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_125) + (11 * tmp1__global__ref1_126)) + ((- 39) * tmp1__global__ref1_127)) + ((- 1) * tmp1__global__ref1_128)) + (41 * tmp1__global__ref1_129)) + ((- 14) * tmp1__global__ref1_130)) + (8 * tmp1__global__ref1_131)) + ((- 2) * tmp1__global__ref1_132)) + 2) div 4))
(assert (= tmp6__global__buf_69 tmp70__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_69 = tmp70__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp71__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_126) (* 11 tmp1__global__ref1_127)) (* (- 39) tmp1__global__ref1_128)) (* (- 1) tmp1__global__ref1_129)) (* 41 tmp1__global__ref1_130)) (* (- 14) tmp1__global__ref1_131)) (* 8 tmp1__global__ref1_132)) (* (- 2) tmp1__global__ref1_133)) 2) 4))) ; (tmp71__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_126) + (11 * tmp1__global__ref1_127)) + ((- 39) * tmp1__global__ref1_128)) + ((- 1) * tmp1__global__ref1_129)) + (41 * tmp1__global__ref1_130)) + ((- 14) * tmp1__global__ref1_131)) + (8 * tmp1__global__ref1_132)) + ((- 2) * tmp1__global__ref1_133)) + 2) div 4))
(assert (= tmp6__global__buf_70 tmp71__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_70 = tmp71__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp72__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_127) (* 11 tmp1__global__ref1_128)) (* (- 39) tmp1__global__ref1_129)) (* (- 1) tmp1__global__ref1_130)) (* 41 tmp1__global__ref1_131)) (* (- 14) tmp1__global__ref1_132)) (* 8 tmp1__global__ref1_133)) (* (- 2) tmp1__global__ref1_134)) 2) 4))) ; (tmp72__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_127) + (11 * tmp1__global__ref1_128)) + ((- 39) * tmp1__global__ref1_129)) + ((- 1) * tmp1__global__ref1_130)) + (41 * tmp1__global__ref1_131)) + ((- 14) * tmp1__global__ref1_132)) + (8 * tmp1__global__ref1_133)) + ((- 2) * tmp1__global__ref1_134)) + 2) div 4))
(assert (= tmp6__global__buf_71 tmp72__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_71 = tmp72__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp73__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_135) (* 11 tmp1__global__ref1_136)) (* (- 39) tmp1__global__ref1_137)) (* (- 1) tmp1__global__ref1_138)) (* 41 tmp1__global__ref1_139)) (* (- 14) tmp1__global__ref1_140)) (* 8 tmp1__global__ref1_141)) (* (- 2) tmp1__global__ref1_142)) 2) 4))) ; (tmp73__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_135) + (11 * tmp1__global__ref1_136)) + ((- 39) * tmp1__global__ref1_137)) + ((- 1) * tmp1__global__ref1_138)) + (41 * tmp1__global__ref1_139)) + ((- 14) * tmp1__global__ref1_140)) + (8 * tmp1__global__ref1_141)) + ((- 2) * tmp1__global__ref1_142)) + 2) div 4))
(assert (= tmp6__global__buf_72 tmp73__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_72 = tmp73__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp74__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_136) (* 11 tmp1__global__ref1_137)) (* (- 39) tmp1__global__ref1_138)) (* (- 1) tmp1__global__ref1_139)) (* 41 tmp1__global__ref1_140)) (* (- 14) tmp1__global__ref1_141)) (* 8 tmp1__global__ref1_142)) (* (- 2) tmp1__global__ref1_143)) 2) 4))) ; (tmp74__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_136) + (11 * tmp1__global__ref1_137)) + ((- 39) * tmp1__global__ref1_138)) + ((- 1) * tmp1__global__ref1_139)) + (41 * tmp1__global__ref1_140)) + ((- 14) * tmp1__global__ref1_141)) + (8 * tmp1__global__ref1_142)) + ((- 2) * tmp1__global__ref1_143)) + 2) div 4))
(assert (= tmp6__global__buf_73 tmp74__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_73 = tmp74__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp75__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_137) (* 11 tmp1__global__ref1_138)) (* (- 39) tmp1__global__ref1_139)) (* (- 1) tmp1__global__ref1_140)) (* 41 tmp1__global__ref1_141)) (* (- 14) tmp1__global__ref1_142)) (* 8 tmp1__global__ref1_143)) (* (- 2) tmp1__global__ref1_144)) 2) 4))) ; (tmp75__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_137) + (11 * tmp1__global__ref1_138)) + ((- 39) * tmp1__global__ref1_139)) + ((- 1) * tmp1__global__ref1_140)) + (41 * tmp1__global__ref1_141)) + ((- 14) * tmp1__global__ref1_142)) + (8 * tmp1__global__ref1_143)) + ((- 2) * tmp1__global__ref1_144)) + 2) div 4))
(assert (= tmp6__global__buf_74 tmp75__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_74 = tmp75__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp76__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_138) (* 11 tmp1__global__ref1_139)) (* (- 39) tmp1__global__ref1_140)) (* (- 1) tmp1__global__ref1_141)) (* 41 tmp1__global__ref1_142)) (* (- 14) tmp1__global__ref1_143)) (* 8 tmp1__global__ref1_144)) (* (- 2) tmp1__global__ref1_145)) 2) 4))) ; (tmp76__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_138) + (11 * tmp1__global__ref1_139)) + ((- 39) * tmp1__global__ref1_140)) + ((- 1) * tmp1__global__ref1_141)) + (41 * tmp1__global__ref1_142)) + ((- 14) * tmp1__global__ref1_143)) + (8 * tmp1__global__ref1_144)) + ((- 2) * tmp1__global__ref1_145)) + 2) div 4))
(assert (= tmp6__global__buf_75 tmp76__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_75 = tmp76__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp77__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_139) (* 11 tmp1__global__ref1_140)) (* (- 39) tmp1__global__ref1_141)) (* (- 1) tmp1__global__ref1_142)) (* 41 tmp1__global__ref1_143)) (* (- 14) tmp1__global__ref1_144)) (* 8 tmp1__global__ref1_145)) (* (- 2) tmp1__global__ref1_146)) 2) 4))) ; (tmp77__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_139) + (11 * tmp1__global__ref1_140)) + ((- 39) * tmp1__global__ref1_141)) + ((- 1) * tmp1__global__ref1_142)) + (41 * tmp1__global__ref1_143)) + ((- 14) * tmp1__global__ref1_144)) + (8 * tmp1__global__ref1_145)) + ((- 2) * tmp1__global__ref1_146)) + 2) div 4))
(assert (= tmp6__global__buf_76 tmp77__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_76 = tmp77__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp78__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_140) (* 11 tmp1__global__ref1_141)) (* (- 39) tmp1__global__ref1_142)) (* (- 1) tmp1__global__ref1_143)) (* 41 tmp1__global__ref1_144)) (* (- 14) tmp1__global__ref1_145)) (* 8 tmp1__global__ref1_146)) (* (- 2) tmp1__global__ref1_147)) 2) 4))) ; (tmp78__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_140) + (11 * tmp1__global__ref1_141)) + ((- 39) * tmp1__global__ref1_142)) + ((- 1) * tmp1__global__ref1_143)) + (41 * tmp1__global__ref1_144)) + ((- 14) * tmp1__global__ref1_145)) + (8 * tmp1__global__ref1_146)) + ((- 2) * tmp1__global__ref1_147)) + 2) div 4))
(assert (= tmp6__global__buf_77 tmp78__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_77 = tmp78__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp79__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_141) (* 11 tmp1__global__ref1_142)) (* (- 39) tmp1__global__ref1_143)) (* (- 1) tmp1__global__ref1_144)) (* 41 tmp1__global__ref1_145)) (* (- 14) tmp1__global__ref1_146)) (* 8 tmp1__global__ref1_147)) (* (- 2) tmp1__global__ref1_148)) 2) 4))) ; (tmp79__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_141) + (11 * tmp1__global__ref1_142)) + ((- 39) * tmp1__global__ref1_143)) + ((- 1) * tmp1__global__ref1_144)) + (41 * tmp1__global__ref1_145)) + ((- 14) * tmp1__global__ref1_146)) + (8 * tmp1__global__ref1_147)) + ((- 2) * tmp1__global__ref1_148)) + 2) div 4))
(assert (= tmp6__global__buf_78 tmp79__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_78 = tmp79__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp80__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_142) (* 11 tmp1__global__ref1_143)) (* (- 39) tmp1__global__ref1_144)) (* (- 1) tmp1__global__ref1_145)) (* 41 tmp1__global__ref1_146)) (* (- 14) tmp1__global__ref1_147)) (* 8 tmp1__global__ref1_148)) (* (- 2) tmp1__global__ref1_149)) 2) 4))) ; (tmp80__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_142) + (11 * tmp1__global__ref1_143)) + ((- 39) * tmp1__global__ref1_144)) + ((- 1) * tmp1__global__ref1_145)) + (41 * tmp1__global__ref1_146)) + ((- 14) * tmp1__global__ref1_147)) + (8 * tmp1__global__ref1_148)) + ((- 2) * tmp1__global__ref1_149)) + 2) div 4))
(assert (= tmp6__global__buf_79 tmp80__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_79 = tmp80__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp81__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_150) (* 11 tmp1__global__ref1_151)) (* (- 39) tmp1__global__ref1_152)) (* (- 1) tmp1__global__ref1_153)) (* 41 tmp1__global__ref1_154)) (* (- 14) tmp1__global__ref1_155)) (* 8 tmp1__global__ref1_156)) (* (- 2) tmp1__global__ref1_157)) 2) 4))) ; (tmp81__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_150) + (11 * tmp1__global__ref1_151)) + ((- 39) * tmp1__global__ref1_152)) + ((- 1) * tmp1__global__ref1_153)) + (41 * tmp1__global__ref1_154)) + ((- 14) * tmp1__global__ref1_155)) + (8 * tmp1__global__ref1_156)) + ((- 2) * tmp1__global__ref1_157)) + 2) div 4))
(assert (= tmp6__global__buf_80 tmp81__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_80 = tmp81__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp82__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_151) (* 11 tmp1__global__ref1_152)) (* (- 39) tmp1__global__ref1_153)) (* (- 1) tmp1__global__ref1_154)) (* 41 tmp1__global__ref1_155)) (* (- 14) tmp1__global__ref1_156)) (* 8 tmp1__global__ref1_157)) (* (- 2) tmp1__global__ref1_158)) 2) 4))) ; (tmp82__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_151) + (11 * tmp1__global__ref1_152)) + ((- 39) * tmp1__global__ref1_153)) + ((- 1) * tmp1__global__ref1_154)) + (41 * tmp1__global__ref1_155)) + ((- 14) * tmp1__global__ref1_156)) + (8 * tmp1__global__ref1_157)) + ((- 2) * tmp1__global__ref1_158)) + 2) div 4))
(assert (= tmp6__global__buf_81 tmp82__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_81 = tmp82__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp83__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_152) (* 11 tmp1__global__ref1_153)) (* (- 39) tmp1__global__ref1_154)) (* (- 1) tmp1__global__ref1_155)) (* 41 tmp1__global__ref1_156)) (* (- 14) tmp1__global__ref1_157)) (* 8 tmp1__global__ref1_158)) (* (- 2) tmp1__global__ref1_159)) 2) 4))) ; (tmp83__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_152) + (11 * tmp1__global__ref1_153)) + ((- 39) * tmp1__global__ref1_154)) + ((- 1) * tmp1__global__ref1_155)) + (41 * tmp1__global__ref1_156)) + ((- 14) * tmp1__global__ref1_157)) + (8 * tmp1__global__ref1_158)) + ((- 2) * tmp1__global__ref1_159)) + 2) div 4))
(assert (= tmp6__global__buf_82 tmp83__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_82 = tmp83__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp84__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_153) (* 11 tmp1__global__ref1_154)) (* (- 39) tmp1__global__ref1_155)) (* (- 1) tmp1__global__ref1_156)) (* 41 tmp1__global__ref1_157)) (* (- 14) tmp1__global__ref1_158)) (* 8 tmp1__global__ref1_159)) (* (- 2) tmp1__global__ref1_160)) 2) 4))) ; (tmp84__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_153) + (11 * tmp1__global__ref1_154)) + ((- 39) * tmp1__global__ref1_155)) + ((- 1) * tmp1__global__ref1_156)) + (41 * tmp1__global__ref1_157)) + ((- 14) * tmp1__global__ref1_158)) + (8 * tmp1__global__ref1_159)) + ((- 2) * tmp1__global__ref1_160)) + 2) div 4))
(assert (= tmp6__global__buf_83 tmp84__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_83 = tmp84__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp85__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_154) (* 11 tmp1__global__ref1_155)) (* (- 39) tmp1__global__ref1_156)) (* (- 1) tmp1__global__ref1_157)) (* 41 tmp1__global__ref1_158)) (* (- 14) tmp1__global__ref1_159)) (* 8 tmp1__global__ref1_160)) (* (- 2) tmp1__global__ref1_161)) 2) 4))) ; (tmp85__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_154) + (11 * tmp1__global__ref1_155)) + ((- 39) * tmp1__global__ref1_156)) + ((- 1) * tmp1__global__ref1_157)) + (41 * tmp1__global__ref1_158)) + ((- 14) * tmp1__global__ref1_159)) + (8 * tmp1__global__ref1_160)) + ((- 2) * tmp1__global__ref1_161)) + 2) div 4))
(assert (= tmp6__global__buf_84 tmp85__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_84 = tmp85__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp86__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_155) (* 11 tmp1__global__ref1_156)) (* (- 39) tmp1__global__ref1_157)) (* (- 1) tmp1__global__ref1_158)) (* 41 tmp1__global__ref1_159)) (* (- 14) tmp1__global__ref1_160)) (* 8 tmp1__global__ref1_161)) (* (- 2) tmp1__global__ref1_162)) 2) 4))) ; (tmp86__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_155) + (11 * tmp1__global__ref1_156)) + ((- 39) * tmp1__global__ref1_157)) + ((- 1) * tmp1__global__ref1_158)) + (41 * tmp1__global__ref1_159)) + ((- 14) * tmp1__global__ref1_160)) + (8 * tmp1__global__ref1_161)) + ((- 2) * tmp1__global__ref1_162)) + 2) div 4))
(assert (= tmp6__global__buf_85 tmp86__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_85 = tmp86__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp87__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_156) (* 11 tmp1__global__ref1_157)) (* (- 39) tmp1__global__ref1_158)) (* (- 1) tmp1__global__ref1_159)) (* 41 tmp1__global__ref1_160)) (* (- 14) tmp1__global__ref1_161)) (* 8 tmp1__global__ref1_162)) (* (- 2) tmp1__global__ref1_163)) 2) 4))) ; (tmp87__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_156) + (11 * tmp1__global__ref1_157)) + ((- 39) * tmp1__global__ref1_158)) + ((- 1) * tmp1__global__ref1_159)) + (41 * tmp1__global__ref1_160)) + ((- 14) * tmp1__global__ref1_161)) + (8 * tmp1__global__ref1_162)) + ((- 2) * tmp1__global__ref1_163)) + 2) div 4))
(assert (= tmp6__global__buf_86 tmp87__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_86 = tmp87__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp88__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_157) (* 11 tmp1__global__ref1_158)) (* (- 39) tmp1__global__ref1_159)) (* (- 1) tmp1__global__ref1_160)) (* 41 tmp1__global__ref1_161)) (* (- 14) tmp1__global__ref1_162)) (* 8 tmp1__global__ref1_163)) (* (- 2) tmp1__global__ref1_164)) 2) 4))) ; (tmp88__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_157) + (11 * tmp1__global__ref1_158)) + ((- 39) * tmp1__global__ref1_159)) + ((- 1) * tmp1__global__ref1_160)) + (41 * tmp1__global__ref1_161)) + ((- 14) * tmp1__global__ref1_162)) + (8 * tmp1__global__ref1_163)) + ((- 2) * tmp1__global__ref1_164)) + 2) div 4))
(assert (= tmp6__global__buf_87 tmp88__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_87 = tmp88__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp89__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_165) (* 11 tmp1__global__ref1_166)) (* (- 39) tmp1__global__ref1_167)) (* (- 1) tmp1__global__ref1_168)) (* 41 tmp1__global__ref1_169)) (* (- 14) tmp1__global__ref1_170)) (* 8 tmp1__global__ref1_171)) (* (- 2) tmp1__global__ref1_172)) 2) 4))) ; (tmp89__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_165) + (11 * tmp1__global__ref1_166)) + ((- 39) * tmp1__global__ref1_167)) + ((- 1) * tmp1__global__ref1_168)) + (41 * tmp1__global__ref1_169)) + ((- 14) * tmp1__global__ref1_170)) + (8 * tmp1__global__ref1_171)) + ((- 2) * tmp1__global__ref1_172)) + 2) div 4))
(assert (= tmp6__global__buf_88 tmp89__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_88 = tmp89__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp90__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_166) (* 11 tmp1__global__ref1_167)) (* (- 39) tmp1__global__ref1_168)) (* (- 1) tmp1__global__ref1_169)) (* 41 tmp1__global__ref1_170)) (* (- 14) tmp1__global__ref1_171)) (* 8 tmp1__global__ref1_172)) (* (- 2) tmp1__global__ref1_173)) 2) 4))) ; (tmp90__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_166) + (11 * tmp1__global__ref1_167)) + ((- 39) * tmp1__global__ref1_168)) + ((- 1) * tmp1__global__ref1_169)) + (41 * tmp1__global__ref1_170)) + ((- 14) * tmp1__global__ref1_171)) + (8 * tmp1__global__ref1_172)) + ((- 2) * tmp1__global__ref1_173)) + 2) div 4))
(assert (= tmp6__global__buf_89 tmp90__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_89 = tmp90__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp91__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_167) (* 11 tmp1__global__ref1_168)) (* (- 39) tmp1__global__ref1_169)) (* (- 1) tmp1__global__ref1_170)) (* 41 tmp1__global__ref1_171)) (* (- 14) tmp1__global__ref1_172)) (* 8 tmp1__global__ref1_173)) (* (- 2) tmp1__global__ref1_174)) 2) 4))) ; (tmp91__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_167) + (11 * tmp1__global__ref1_168)) + ((- 39) * tmp1__global__ref1_169)) + ((- 1) * tmp1__global__ref1_170)) + (41 * tmp1__global__ref1_171)) + ((- 14) * tmp1__global__ref1_172)) + (8 * tmp1__global__ref1_173)) + ((- 2) * tmp1__global__ref1_174)) + 2) div 4))
(assert (= tmp6__global__buf_90 tmp91__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_90 = tmp91__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp92__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_168) (* 11 tmp1__global__ref1_169)) (* (- 39) tmp1__global__ref1_170)) (* (- 1) tmp1__global__ref1_171)) (* 41 tmp1__global__ref1_172)) (* (- 14) tmp1__global__ref1_173)) (* 8 tmp1__global__ref1_174)) (* (- 2) tmp1__global__ref1_175)) 2) 4))) ; (tmp92__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_168) + (11 * tmp1__global__ref1_169)) + ((- 39) * tmp1__global__ref1_170)) + ((- 1) * tmp1__global__ref1_171)) + (41 * tmp1__global__ref1_172)) + ((- 14) * tmp1__global__ref1_173)) + (8 * tmp1__global__ref1_174)) + ((- 2) * tmp1__global__ref1_175)) + 2) div 4))
(assert (= tmp6__global__buf_91 tmp92__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_91 = tmp92__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp93__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_169) (* 11 tmp1__global__ref1_170)) (* (- 39) tmp1__global__ref1_171)) (* (- 1) tmp1__global__ref1_172)) (* 41 tmp1__global__ref1_173)) (* (- 14) tmp1__global__ref1_174)) (* 8 tmp1__global__ref1_175)) (* (- 2) tmp1__global__ref1_176)) 2) 4))) ; (tmp93__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_169) + (11 * tmp1__global__ref1_170)) + ((- 39) * tmp1__global__ref1_171)) + ((- 1) * tmp1__global__ref1_172)) + (41 * tmp1__global__ref1_173)) + ((- 14) * tmp1__global__ref1_174)) + (8 * tmp1__global__ref1_175)) + ((- 2) * tmp1__global__ref1_176)) + 2) div 4))
(assert (= tmp6__global__buf_92 tmp93__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_92 = tmp93__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp94__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_170) (* 11 tmp1__global__ref1_171)) (* (- 39) tmp1__global__ref1_172)) (* (- 1) tmp1__global__ref1_173)) (* 41 tmp1__global__ref1_174)) (* (- 14) tmp1__global__ref1_175)) (* 8 tmp1__global__ref1_176)) (* (- 2) tmp1__global__ref1_177)) 2) 4))) ; (tmp94__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_170) + (11 * tmp1__global__ref1_171)) + ((- 39) * tmp1__global__ref1_172)) + ((- 1) * tmp1__global__ref1_173)) + (41 * tmp1__global__ref1_174)) + ((- 14) * tmp1__global__ref1_175)) + (8 * tmp1__global__ref1_176)) + ((- 2) * tmp1__global__ref1_177)) + 2) div 4))
(assert (= tmp6__global__buf_93 tmp94__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_93 = tmp94__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp95__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_171) (* 11 tmp1__global__ref1_172)) (* (- 39) tmp1__global__ref1_173)) (* (- 1) tmp1__global__ref1_174)) (* 41 tmp1__global__ref1_175)) (* (- 14) tmp1__global__ref1_176)) (* 8 tmp1__global__ref1_177)) (* (- 2) tmp1__global__ref1_178)) 2) 4))) ; (tmp95__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_171) + (11 * tmp1__global__ref1_172)) + ((- 39) * tmp1__global__ref1_173)) + ((- 1) * tmp1__global__ref1_174)) + (41 * tmp1__global__ref1_175)) + ((- 14) * tmp1__global__ref1_176)) + (8 * tmp1__global__ref1_177)) + ((- 2) * tmp1__global__ref1_178)) + 2) div 4))
(assert (= tmp6__global__buf_94 tmp95__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_94 = tmp95__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp96__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_172) (* 11 tmp1__global__ref1_173)) (* (- 39) tmp1__global__ref1_174)) (* (- 1) tmp1__global__ref1_175)) (* 41 tmp1__global__ref1_176)) (* (- 14) tmp1__global__ref1_177)) (* 8 tmp1__global__ref1_178)) (* (- 2) tmp1__global__ref1_179)) 2) 4))) ; (tmp96__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_172) + (11 * tmp1__global__ref1_173)) + ((- 39) * tmp1__global__ref1_174)) + ((- 1) * tmp1__global__ref1_175)) + (41 * tmp1__global__ref1_176)) + ((- 14) * tmp1__global__ref1_177)) + (8 * tmp1__global__ref1_178)) + ((- 2) * tmp1__global__ref1_179)) + 2) div 4))
(assert (= tmp6__global__buf_95 tmp96__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_95 = tmp96__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp97__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_180) (* 11 tmp1__global__ref1_181)) (* (- 39) tmp1__global__ref1_182)) (* (- 1) tmp1__global__ref1_183)) (* 41 tmp1__global__ref1_184)) (* (- 14) tmp1__global__ref1_185)) (* 8 tmp1__global__ref1_186)) (* (- 2) tmp1__global__ref1_187)) 2) 4))) ; (tmp97__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_180) + (11 * tmp1__global__ref1_181)) + ((- 39) * tmp1__global__ref1_182)) + ((- 1) * tmp1__global__ref1_183)) + (41 * tmp1__global__ref1_184)) + ((- 14) * tmp1__global__ref1_185)) + (8 * tmp1__global__ref1_186)) + ((- 2) * tmp1__global__ref1_187)) + 2) div 4))
(assert (= tmp6__global__buf_96 tmp97__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_96 = tmp97__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp98__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_181) (* 11 tmp1__global__ref1_182)) (* (- 39) tmp1__global__ref1_183)) (* (- 1) tmp1__global__ref1_184)) (* 41 tmp1__global__ref1_185)) (* (- 14) tmp1__global__ref1_186)) (* 8 tmp1__global__ref1_187)) (* (- 2) tmp1__global__ref1_188)) 2) 4))) ; (tmp98__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_181) + (11 * tmp1__global__ref1_182)) + ((- 39) * tmp1__global__ref1_183)) + ((- 1) * tmp1__global__ref1_184)) + (41 * tmp1__global__ref1_185)) + ((- 14) * tmp1__global__ref1_186)) + (8 * tmp1__global__ref1_187)) + ((- 2) * tmp1__global__ref1_188)) + 2) div 4))
(assert (= tmp6__global__buf_97 tmp98__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_97 = tmp98__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp99__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_182) (* 11 tmp1__global__ref1_183)) (* (- 39) tmp1__global__ref1_184)) (* (- 1) tmp1__global__ref1_185)) (* 41 tmp1__global__ref1_186)) (* (- 14) tmp1__global__ref1_187)) (* 8 tmp1__global__ref1_188)) (* (- 2) tmp1__global__ref1_189)) 2) 4))) ; (tmp99__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_182) + (11 * tmp1__global__ref1_183)) + ((- 39) * tmp1__global__ref1_184)) + ((- 1) * tmp1__global__ref1_185)) + (41 * tmp1__global__ref1_186)) + ((- 14) * tmp1__global__ref1_187)) + (8 * tmp1__global__ref1_188)) + ((- 2) * tmp1__global__ref1_189)) + 2) div 4))
(assert (= tmp6__global__buf_98 tmp99__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_98 = tmp99__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp100__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_183) (* 11 tmp1__global__ref1_184)) (* (- 39) tmp1__global__ref1_185)) (* (- 1) tmp1__global__ref1_186)) (* 41 tmp1__global__ref1_187)) (* (- 14) tmp1__global__ref1_188)) (* 8 tmp1__global__ref1_189)) (* (- 2) tmp1__global__ref1_190)) 2) 4))) ; (tmp100__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_183) + (11 * tmp1__global__ref1_184)) + ((- 39) * tmp1__global__ref1_185)) + ((- 1) * tmp1__global__ref1_186)) + (41 * tmp1__global__ref1_187)) + ((- 14) * tmp1__global__ref1_188)) + (8 * tmp1__global__ref1_189)) + ((- 2) * tmp1__global__ref1_190)) + 2) div 4))
(assert (= tmp6__global__buf_99 tmp100__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_99 = tmp100__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp101__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_184) (* 11 tmp1__global__ref1_185)) (* (- 39) tmp1__global__ref1_186)) (* (- 1) tmp1__global__ref1_187)) (* 41 tmp1__global__ref1_188)) (* (- 14) tmp1__global__ref1_189)) (* 8 tmp1__global__ref1_190)) (* (- 2) tmp1__global__ref1_191)) 2) 4))) ; (tmp101__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_184) + (11 * tmp1__global__ref1_185)) + ((- 39) * tmp1__global__ref1_186)) + ((- 1) * tmp1__global__ref1_187)) + (41 * tmp1__global__ref1_188)) + ((- 14) * tmp1__global__ref1_189)) + (8 * tmp1__global__ref1_190)) + ((- 2) * tmp1__global__ref1_191)) + 2) div 4))
(assert (= tmp6__global__buf_100 tmp101__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_100 = tmp101__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp102__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_185) (* 11 tmp1__global__ref1_186)) (* (- 39) tmp1__global__ref1_187)) (* (- 1) tmp1__global__ref1_188)) (* 41 tmp1__global__ref1_189)) (* (- 14) tmp1__global__ref1_190)) (* 8 tmp1__global__ref1_191)) (* (- 2) tmp1__global__ref1_192)) 2) 4))) ; (tmp102__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_185) + (11 * tmp1__global__ref1_186)) + ((- 39) * tmp1__global__ref1_187)) + ((- 1) * tmp1__global__ref1_188)) + (41 * tmp1__global__ref1_189)) + ((- 14) * tmp1__global__ref1_190)) + (8 * tmp1__global__ref1_191)) + ((- 2) * tmp1__global__ref1_192)) + 2) div 4))
(assert (= tmp6__global__buf_101 tmp102__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_101 = tmp102__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp103__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_186) (* 11 tmp1__global__ref1_187)) (* (- 39) tmp1__global__ref1_188)) (* (- 1) tmp1__global__ref1_189)) (* 41 tmp1__global__ref1_190)) (* (- 14) tmp1__global__ref1_191)) (* 8 tmp1__global__ref1_192)) (* (- 2) tmp1__global__ref1_193)) 2) 4))) ; (tmp103__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_186) + (11 * tmp1__global__ref1_187)) + ((- 39) * tmp1__global__ref1_188)) + ((- 1) * tmp1__global__ref1_189)) + (41 * tmp1__global__ref1_190)) + ((- 14) * tmp1__global__ref1_191)) + (8 * tmp1__global__ref1_192)) + ((- 2) * tmp1__global__ref1_193)) + 2) div 4))
(assert (= tmp6__global__buf_102 tmp103__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_102 = tmp103__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp104__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_187) (* 11 tmp1__global__ref1_188)) (* (- 39) tmp1__global__ref1_189)) (* (- 1) tmp1__global__ref1_190)) (* 41 tmp1__global__ref1_191)) (* (- 14) tmp1__global__ref1_192)) (* 8 tmp1__global__ref1_193)) (* (- 2) tmp1__global__ref1_194)) 2) 4))) ; (tmp104__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_187) + (11 * tmp1__global__ref1_188)) + ((- 39) * tmp1__global__ref1_189)) + ((- 1) * tmp1__global__ref1_190)) + (41 * tmp1__global__ref1_191)) + ((- 14) * tmp1__global__ref1_192)) + (8 * tmp1__global__ref1_193)) + ((- 2) * tmp1__global__ref1_194)) + 2) div 4))
(assert (= tmp6__global__buf_103 tmp104__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_103 = tmp104__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp105__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_195) (* 11 tmp1__global__ref1_196)) (* (- 39) tmp1__global__ref1_197)) (* (- 1) tmp1__global__ref1_198)) (* 41 tmp1__global__ref1_199)) (* (- 14) tmp1__global__ref1_200)) (* 8 tmp1__global__ref1_201)) (* (- 2) tmp1__global__ref1_202)) 2) 4))) ; (tmp105__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_195) + (11 * tmp1__global__ref1_196)) + ((- 39) * tmp1__global__ref1_197)) + ((- 1) * tmp1__global__ref1_198)) + (41 * tmp1__global__ref1_199)) + ((- 14) * tmp1__global__ref1_200)) + (8 * tmp1__global__ref1_201)) + ((- 2) * tmp1__global__ref1_202)) + 2) div 4))
(assert (= tmp6__global__buf_104 tmp105__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_104 = tmp105__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp106__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_196) (* 11 tmp1__global__ref1_197)) (* (- 39) tmp1__global__ref1_198)) (* (- 1) tmp1__global__ref1_199)) (* 41 tmp1__global__ref1_200)) (* (- 14) tmp1__global__ref1_201)) (* 8 tmp1__global__ref1_202)) (* (- 2) tmp1__global__ref1_203)) 2) 4))) ; (tmp106__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_196) + (11 * tmp1__global__ref1_197)) + ((- 39) * tmp1__global__ref1_198)) + ((- 1) * tmp1__global__ref1_199)) + (41 * tmp1__global__ref1_200)) + ((- 14) * tmp1__global__ref1_201)) + (8 * tmp1__global__ref1_202)) + ((- 2) * tmp1__global__ref1_203)) + 2) div 4))
(assert (= tmp6__global__buf_105 tmp106__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_105 = tmp106__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp107__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_197) (* 11 tmp1__global__ref1_198)) (* (- 39) tmp1__global__ref1_199)) (* (- 1) tmp1__global__ref1_200)) (* 41 tmp1__global__ref1_201)) (* (- 14) tmp1__global__ref1_202)) (* 8 tmp1__global__ref1_203)) (* (- 2) tmp1__global__ref1_204)) 2) 4))) ; (tmp107__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_197) + (11 * tmp1__global__ref1_198)) + ((- 39) * tmp1__global__ref1_199)) + ((- 1) * tmp1__global__ref1_200)) + (41 * tmp1__global__ref1_201)) + ((- 14) * tmp1__global__ref1_202)) + (8 * tmp1__global__ref1_203)) + ((- 2) * tmp1__global__ref1_204)) + 2) div 4))
(assert (= tmp6__global__buf_106 tmp107__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_106 = tmp107__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp108__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_198) (* 11 tmp1__global__ref1_199)) (* (- 39) tmp1__global__ref1_200)) (* (- 1) tmp1__global__ref1_201)) (* 41 tmp1__global__ref1_202)) (* (- 14) tmp1__global__ref1_203)) (* 8 tmp1__global__ref1_204)) (* (- 2) tmp1__global__ref1_205)) 2) 4))) ; (tmp108__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_198) + (11 * tmp1__global__ref1_199)) + ((- 39) * tmp1__global__ref1_200)) + ((- 1) * tmp1__global__ref1_201)) + (41 * tmp1__global__ref1_202)) + ((- 14) * tmp1__global__ref1_203)) + (8 * tmp1__global__ref1_204)) + ((- 2) * tmp1__global__ref1_205)) + 2) div 4))
(assert (= tmp6__global__buf_107 tmp108__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_107 = tmp108__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp109__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_199) (* 11 tmp1__global__ref1_200)) (* (- 39) tmp1__global__ref1_201)) (* (- 1) tmp1__global__ref1_202)) (* 41 tmp1__global__ref1_203)) (* (- 14) tmp1__global__ref1_204)) (* 8 tmp1__global__ref1_205)) (* (- 2) tmp1__global__ref1_206)) 2) 4))) ; (tmp109__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_199) + (11 * tmp1__global__ref1_200)) + ((- 39) * tmp1__global__ref1_201)) + ((- 1) * tmp1__global__ref1_202)) + (41 * tmp1__global__ref1_203)) + ((- 14) * tmp1__global__ref1_204)) + (8 * tmp1__global__ref1_205)) + ((- 2) * tmp1__global__ref1_206)) + 2) div 4))
(assert (= tmp6__global__buf_108 tmp109__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_108 = tmp109__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp110__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_200) (* 11 tmp1__global__ref1_201)) (* (- 39) tmp1__global__ref1_202)) (* (- 1) tmp1__global__ref1_203)) (* 41 tmp1__global__ref1_204)) (* (- 14) tmp1__global__ref1_205)) (* 8 tmp1__global__ref1_206)) (* (- 2) tmp1__global__ref1_207)) 2) 4))) ; (tmp110__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_200) + (11 * tmp1__global__ref1_201)) + ((- 39) * tmp1__global__ref1_202)) + ((- 1) * tmp1__global__ref1_203)) + (41 * tmp1__global__ref1_204)) + ((- 14) * tmp1__global__ref1_205)) + (8 * tmp1__global__ref1_206)) + ((- 2) * tmp1__global__ref1_207)) + 2) div 4))
(assert (= tmp6__global__buf_109 tmp110__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_109 = tmp110__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp111__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_201) (* 11 tmp1__global__ref1_202)) (* (- 39) tmp1__global__ref1_203)) (* (- 1) tmp1__global__ref1_204)) (* 41 tmp1__global__ref1_205)) (* (- 14) tmp1__global__ref1_206)) (* 8 tmp1__global__ref1_207)) (* (- 2) tmp1__global__ref1_208)) 2) 4))) ; (tmp111__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_201) + (11 * tmp1__global__ref1_202)) + ((- 39) * tmp1__global__ref1_203)) + ((- 1) * tmp1__global__ref1_204)) + (41 * tmp1__global__ref1_205)) + ((- 14) * tmp1__global__ref1_206)) + (8 * tmp1__global__ref1_207)) + ((- 2) * tmp1__global__ref1_208)) + 2) div 4))
(assert (= tmp6__global__buf_110 tmp111__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_110 = tmp111__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp112__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_202) (* 11 tmp1__global__ref1_203)) (* (- 39) tmp1__global__ref1_204)) (* (- 1) tmp1__global__ref1_205)) (* 41 tmp1__global__ref1_206)) (* (- 14) tmp1__global__ref1_207)) (* 8 tmp1__global__ref1_208)) (* (- 2) tmp1__global__ref1_209)) 2) 4))) ; (tmp112__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_202) + (11 * tmp1__global__ref1_203)) + ((- 39) * tmp1__global__ref1_204)) + ((- 1) * tmp1__global__ref1_205)) + (41 * tmp1__global__ref1_206)) + ((- 14) * tmp1__global__ref1_207)) + (8 * tmp1__global__ref1_208)) + ((- 2) * tmp1__global__ref1_209)) + 2) div 4))
(assert (= tmp6__global__buf_111 tmp112__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_111 = tmp112__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp113__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_210) (* 11 tmp1__global__ref1_211)) (* (- 39) tmp1__global__ref1_212)) (* (- 1) tmp1__global__ref1_213)) (* 41 tmp1__global__ref1_214)) (* (- 14) tmp1__global__ref1_215)) (* 8 tmp1__global__ref1_216)) (* (- 2) tmp1__global__ref1_217)) 2) 4))) ; (tmp113__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_210) + (11 * tmp1__global__ref1_211)) + ((- 39) * tmp1__global__ref1_212)) + ((- 1) * tmp1__global__ref1_213)) + (41 * tmp1__global__ref1_214)) + ((- 14) * tmp1__global__ref1_215)) + (8 * tmp1__global__ref1_216)) + ((- 2) * tmp1__global__ref1_217)) + 2) div 4))
(assert (= tmp6__global__buf_112 tmp113__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_112 = tmp113__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp114__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_211) (* 11 tmp1__global__ref1_212)) (* (- 39) tmp1__global__ref1_213)) (* (- 1) tmp1__global__ref1_214)) (* 41 tmp1__global__ref1_215)) (* (- 14) tmp1__global__ref1_216)) (* 8 tmp1__global__ref1_217)) (* (- 2) tmp1__global__ref1_218)) 2) 4))) ; (tmp114__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_211) + (11 * tmp1__global__ref1_212)) + ((- 39) * tmp1__global__ref1_213)) + ((- 1) * tmp1__global__ref1_214)) + (41 * tmp1__global__ref1_215)) + ((- 14) * tmp1__global__ref1_216)) + (8 * tmp1__global__ref1_217)) + ((- 2) * tmp1__global__ref1_218)) + 2) div 4))
(assert (= tmp6__global__buf_113 tmp114__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_113 = tmp114__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp115__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_212) (* 11 tmp1__global__ref1_213)) (* (- 39) tmp1__global__ref1_214)) (* (- 1) tmp1__global__ref1_215)) (* 41 tmp1__global__ref1_216)) (* (- 14) tmp1__global__ref1_217)) (* 8 tmp1__global__ref1_218)) (* (- 2) tmp1__global__ref1_219)) 2) 4))) ; (tmp115__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_212) + (11 * tmp1__global__ref1_213)) + ((- 39) * tmp1__global__ref1_214)) + ((- 1) * tmp1__global__ref1_215)) + (41 * tmp1__global__ref1_216)) + ((- 14) * tmp1__global__ref1_217)) + (8 * tmp1__global__ref1_218)) + ((- 2) * tmp1__global__ref1_219)) + 2) div 4))
(assert (= tmp6__global__buf_114 tmp115__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_114 = tmp115__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp116__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_213) (* 11 tmp1__global__ref1_214)) (* (- 39) tmp1__global__ref1_215)) (* (- 1) tmp1__global__ref1_216)) (* 41 tmp1__global__ref1_217)) (* (- 14) tmp1__global__ref1_218)) (* 8 tmp1__global__ref1_219)) (* (- 2) tmp1__global__ref1_220)) 2) 4))) ; (tmp116__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_213) + (11 * tmp1__global__ref1_214)) + ((- 39) * tmp1__global__ref1_215)) + ((- 1) * tmp1__global__ref1_216)) + (41 * tmp1__global__ref1_217)) + ((- 14) * tmp1__global__ref1_218)) + (8 * tmp1__global__ref1_219)) + ((- 2) * tmp1__global__ref1_220)) + 2) div 4))
(assert (= tmp6__global__buf_115 tmp116__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_115 = tmp116__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp117__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_214) (* 11 tmp1__global__ref1_215)) (* (- 39) tmp1__global__ref1_216)) (* (- 1) tmp1__global__ref1_217)) (* 41 tmp1__global__ref1_218)) (* (- 14) tmp1__global__ref1_219)) (* 8 tmp1__global__ref1_220)) (* (- 2) tmp1__global__ref1_221)) 2) 4))) ; (tmp117__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_214) + (11 * tmp1__global__ref1_215)) + ((- 39) * tmp1__global__ref1_216)) + ((- 1) * tmp1__global__ref1_217)) + (41 * tmp1__global__ref1_218)) + ((- 14) * tmp1__global__ref1_219)) + (8 * tmp1__global__ref1_220)) + ((- 2) * tmp1__global__ref1_221)) + 2) div 4))
(assert (= tmp6__global__buf_116 tmp117__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_116 = tmp117__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp118__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_215) (* 11 tmp1__global__ref1_216)) (* (- 39) tmp1__global__ref1_217)) (* (- 1) tmp1__global__ref1_218)) (* 41 tmp1__global__ref1_219)) (* (- 14) tmp1__global__ref1_220)) (* 8 tmp1__global__ref1_221)) (* (- 2) tmp1__global__ref1_222)) 2) 4))) ; (tmp118__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_215) + (11 * tmp1__global__ref1_216)) + ((- 39) * tmp1__global__ref1_217)) + ((- 1) * tmp1__global__ref1_218)) + (41 * tmp1__global__ref1_219)) + ((- 14) * tmp1__global__ref1_220)) + (8 * tmp1__global__ref1_221)) + ((- 2) * tmp1__global__ref1_222)) + 2) div 4))
(assert (= tmp6__global__buf_117 tmp118__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_117 = tmp118__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp119__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_216) (* 11 tmp1__global__ref1_217)) (* (- 39) tmp1__global__ref1_218)) (* (- 1) tmp1__global__ref1_219)) (* 41 tmp1__global__ref1_220)) (* (- 14) tmp1__global__ref1_221)) (* 8 tmp1__global__ref1_222)) (* (- 2) tmp1__global__ref1_223)) 2) 4))) ; (tmp119__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_216) + (11 * tmp1__global__ref1_217)) + ((- 39) * tmp1__global__ref1_218)) + ((- 1) * tmp1__global__ref1_219)) + (41 * tmp1__global__ref1_220)) + ((- 14) * tmp1__global__ref1_221)) + (8 * tmp1__global__ref1_222)) + ((- 2) * tmp1__global__ref1_223)) + 2) div 4))
(assert (= tmp6__global__buf_118 tmp119__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_118 = tmp119__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp120__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 4) tmp1__global__ref1_217) (* 11 tmp1__global__ref1_218)) (* (- 39) tmp1__global__ref1_219)) (* (- 1) tmp1__global__ref1_220)) (* 41 tmp1__global__ref1_221)) (* (- 14) tmp1__global__ref1_222)) (* 8 tmp1__global__ref1_223)) (* (- 2) tmp1__global__ref1_224)) 2) 4))) ; (tmp120__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 4) * tmp1__global__ref1_217) + (11 * tmp1__global__ref1_218)) + ((- 39) * tmp1__global__ref1_219)) + ((- 1) * tmp1__global__ref1_220)) + (41 * tmp1__global__ref1_221)) + ((- 14) * tmp1__global__ref1_222)) + (8 * tmp1__global__ref1_223)) + ((- 2) * tmp1__global__ref1_224)) + 2) div 4))
(assert (= tmp6__global__buf_119 tmp120__func_com_grad_x_l_nn_variant_1__val)) ; (tmp6__global__buf_119 = tmp120__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp121__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_0) (* 4 tmp6__global__buf_8)) (* (- 10) tmp6__global__buf_16)) (* 57 tmp6__global__buf_24)) (* 19 tmp6__global__buf_32)) (* (- 7) tmp6__global__buf_40)) (* 3 tmp6__global__buf_48)) (* (- 1) tmp6__global__buf_56)) 8192) 16384))) ; (tmp121__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_0) + (4 * tmp6__global__buf_8)) + ((- 10) * tmp6__global__buf_16)) + (57 * tmp6__global__buf_24)) + (19 * tmp6__global__buf_32)) + ((- 7) * tmp6__global__buf_40)) + (3 * tmp6__global__buf_48)) + ((- 1) * tmp6__global__buf_56)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_0 tmp121__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_0 = tmp121__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp122__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_1) (* 4 tmp6__global__buf_9)) (* (- 10) tmp6__global__buf_17)) (* 57 tmp6__global__buf_25)) (* 19 tmp6__global__buf_33)) (* (- 7) tmp6__global__buf_41)) (* 3 tmp6__global__buf_49)) (* (- 1) tmp6__global__buf_57)) 8192) 16384))) ; (tmp122__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_1) + (4 * tmp6__global__buf_9)) + ((- 10) * tmp6__global__buf_17)) + (57 * tmp6__global__buf_25)) + (19 * tmp6__global__buf_33)) + ((- 7) * tmp6__global__buf_41)) + (3 * tmp6__global__buf_49)) + ((- 1) * tmp6__global__buf_57)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_1 tmp122__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_1 = tmp122__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp123__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_2) (* 4 tmp6__global__buf_10)) (* (- 10) tmp6__global__buf_18)) (* 57 tmp6__global__buf_26)) (* 19 tmp6__global__buf_34)) (* (- 7) tmp6__global__buf_42)) (* 3 tmp6__global__buf_50)) (* (- 1) tmp6__global__buf_58)) 8192) 16384))) ; (tmp123__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_2) + (4 * tmp6__global__buf_10)) + ((- 10) * tmp6__global__buf_18)) + (57 * tmp6__global__buf_26)) + (19 * tmp6__global__buf_34)) + ((- 7) * tmp6__global__buf_42)) + (3 * tmp6__global__buf_50)) + ((- 1) * tmp6__global__buf_58)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_2 tmp123__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_2 = tmp123__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp124__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_3) (* 4 tmp6__global__buf_11)) (* (- 10) tmp6__global__buf_19)) (* 57 tmp6__global__buf_27)) (* 19 tmp6__global__buf_35)) (* (- 7) tmp6__global__buf_43)) (* 3 tmp6__global__buf_51)) (* (- 1) tmp6__global__buf_59)) 8192) 16384))) ; (tmp124__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_3) + (4 * tmp6__global__buf_11)) + ((- 10) * tmp6__global__buf_19)) + (57 * tmp6__global__buf_27)) + (19 * tmp6__global__buf_35)) + ((- 7) * tmp6__global__buf_43)) + (3 * tmp6__global__buf_51)) + ((- 1) * tmp6__global__buf_59)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_3 tmp124__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_3 = tmp124__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp125__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_4) (* 4 tmp6__global__buf_12)) (* (- 10) tmp6__global__buf_20)) (* 57 tmp6__global__buf_28)) (* 19 tmp6__global__buf_36)) (* (- 7) tmp6__global__buf_44)) (* 3 tmp6__global__buf_52)) (* (- 1) tmp6__global__buf_60)) 8192) 16384))) ; (tmp125__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_4) + (4 * tmp6__global__buf_12)) + ((- 10) * tmp6__global__buf_20)) + (57 * tmp6__global__buf_28)) + (19 * tmp6__global__buf_36)) + ((- 7) * tmp6__global__buf_44)) + (3 * tmp6__global__buf_52)) + ((- 1) * tmp6__global__buf_60)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_4 tmp125__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_4 = tmp125__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp126__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_5) (* 4 tmp6__global__buf_13)) (* (- 10) tmp6__global__buf_21)) (* 57 tmp6__global__buf_29)) (* 19 tmp6__global__buf_37)) (* (- 7) tmp6__global__buf_45)) (* 3 tmp6__global__buf_53)) (* (- 1) tmp6__global__buf_61)) 8192) 16384))) ; (tmp126__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_5) + (4 * tmp6__global__buf_13)) + ((- 10) * tmp6__global__buf_21)) + (57 * tmp6__global__buf_29)) + (19 * tmp6__global__buf_37)) + ((- 7) * tmp6__global__buf_45)) + (3 * tmp6__global__buf_53)) + ((- 1) * tmp6__global__buf_61)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_5 tmp126__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_5 = tmp126__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp127__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_6) (* 4 tmp6__global__buf_14)) (* (- 10) tmp6__global__buf_22)) (* 57 tmp6__global__buf_30)) (* 19 tmp6__global__buf_38)) (* (- 7) tmp6__global__buf_46)) (* 3 tmp6__global__buf_54)) (* (- 1) tmp6__global__buf_62)) 8192) 16384))) ; (tmp127__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_6) + (4 * tmp6__global__buf_14)) + ((- 10) * tmp6__global__buf_22)) + (57 * tmp6__global__buf_30)) + (19 * tmp6__global__buf_38)) + ((- 7) * tmp6__global__buf_46)) + (3 * tmp6__global__buf_54)) + ((- 1) * tmp6__global__buf_62)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_6 tmp127__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_6 = tmp127__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp128__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_7) (* 4 tmp6__global__buf_15)) (* (- 10) tmp6__global__buf_23)) (* 57 tmp6__global__buf_31)) (* 19 tmp6__global__buf_39)) (* (- 7) tmp6__global__buf_47)) (* 3 tmp6__global__buf_55)) (* (- 1) tmp6__global__buf_63)) 8192) 16384))) ; (tmp128__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_7) + (4 * tmp6__global__buf_15)) + ((- 10) * tmp6__global__buf_23)) + (57 * tmp6__global__buf_31)) + (19 * tmp6__global__buf_39)) + ((- 7) * tmp6__global__buf_47)) + (3 * tmp6__global__buf_55)) + ((- 1) * tmp6__global__buf_63)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_7 tmp128__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_7 = tmp128__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp129__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_8) (* 4 tmp6__global__buf_16)) (* (- 10) tmp6__global__buf_24)) (* 57 tmp6__global__buf_32)) (* 19 tmp6__global__buf_40)) (* (- 7) tmp6__global__buf_48)) (* 3 tmp6__global__buf_56)) (* (- 1) tmp6__global__buf_64)) 8192) 16384))) ; (tmp129__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_8) + (4 * tmp6__global__buf_16)) + ((- 10) * tmp6__global__buf_24)) + (57 * tmp6__global__buf_32)) + (19 * tmp6__global__buf_40)) + ((- 7) * tmp6__global__buf_48)) + (3 * tmp6__global__buf_56)) + ((- 1) * tmp6__global__buf_64)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_8 tmp129__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_8 = tmp129__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp130__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_9) (* 4 tmp6__global__buf_17)) (* (- 10) tmp6__global__buf_25)) (* 57 tmp6__global__buf_33)) (* 19 tmp6__global__buf_41)) (* (- 7) tmp6__global__buf_49)) (* 3 tmp6__global__buf_57)) (* (- 1) tmp6__global__buf_65)) 8192) 16384))) ; (tmp130__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_9) + (4 * tmp6__global__buf_17)) + ((- 10) * tmp6__global__buf_25)) + (57 * tmp6__global__buf_33)) + (19 * tmp6__global__buf_41)) + ((- 7) * tmp6__global__buf_49)) + (3 * tmp6__global__buf_57)) + ((- 1) * tmp6__global__buf_65)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_9 tmp130__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_9 = tmp130__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp131__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_10) (* 4 tmp6__global__buf_18)) (* (- 10) tmp6__global__buf_26)) (* 57 tmp6__global__buf_34)) (* 19 tmp6__global__buf_42)) (* (- 7) tmp6__global__buf_50)) (* 3 tmp6__global__buf_58)) (* (- 1) tmp6__global__buf_66)) 8192) 16384))) ; (tmp131__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_10) + (4 * tmp6__global__buf_18)) + ((- 10) * tmp6__global__buf_26)) + (57 * tmp6__global__buf_34)) + (19 * tmp6__global__buf_42)) + ((- 7) * tmp6__global__buf_50)) + (3 * tmp6__global__buf_58)) + ((- 1) * tmp6__global__buf_66)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_10 tmp131__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_10 = tmp131__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp132__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_11) (* 4 tmp6__global__buf_19)) (* (- 10) tmp6__global__buf_27)) (* 57 tmp6__global__buf_35)) (* 19 tmp6__global__buf_43)) (* (- 7) tmp6__global__buf_51)) (* 3 tmp6__global__buf_59)) (* (- 1) tmp6__global__buf_67)) 8192) 16384))) ; (tmp132__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_11) + (4 * tmp6__global__buf_19)) + ((- 10) * tmp6__global__buf_27)) + (57 * tmp6__global__buf_35)) + (19 * tmp6__global__buf_43)) + ((- 7) * tmp6__global__buf_51)) + (3 * tmp6__global__buf_59)) + ((- 1) * tmp6__global__buf_67)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_11 tmp132__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_11 = tmp132__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp133__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_12) (* 4 tmp6__global__buf_20)) (* (- 10) tmp6__global__buf_28)) (* 57 tmp6__global__buf_36)) (* 19 tmp6__global__buf_44)) (* (- 7) tmp6__global__buf_52)) (* 3 tmp6__global__buf_60)) (* (- 1) tmp6__global__buf_68)) 8192) 16384))) ; (tmp133__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_12) + (4 * tmp6__global__buf_20)) + ((- 10) * tmp6__global__buf_28)) + (57 * tmp6__global__buf_36)) + (19 * tmp6__global__buf_44)) + ((- 7) * tmp6__global__buf_52)) + (3 * tmp6__global__buf_60)) + ((- 1) * tmp6__global__buf_68)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_12 tmp133__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_12 = tmp133__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp134__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_13) (* 4 tmp6__global__buf_21)) (* (- 10) tmp6__global__buf_29)) (* 57 tmp6__global__buf_37)) (* 19 tmp6__global__buf_45)) (* (- 7) tmp6__global__buf_53)) (* 3 tmp6__global__buf_61)) (* (- 1) tmp6__global__buf_69)) 8192) 16384))) ; (tmp134__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_13) + (4 * tmp6__global__buf_21)) + ((- 10) * tmp6__global__buf_29)) + (57 * tmp6__global__buf_37)) + (19 * tmp6__global__buf_45)) + ((- 7) * tmp6__global__buf_53)) + (3 * tmp6__global__buf_61)) + ((- 1) * tmp6__global__buf_69)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_13 tmp134__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_13 = tmp134__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp135__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_14) (* 4 tmp6__global__buf_22)) (* (- 10) tmp6__global__buf_30)) (* 57 tmp6__global__buf_38)) (* 19 tmp6__global__buf_46)) (* (- 7) tmp6__global__buf_54)) (* 3 tmp6__global__buf_62)) (* (- 1) tmp6__global__buf_70)) 8192) 16384))) ; (tmp135__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_14) + (4 * tmp6__global__buf_22)) + ((- 10) * tmp6__global__buf_30)) + (57 * tmp6__global__buf_38)) + (19 * tmp6__global__buf_46)) + ((- 7) * tmp6__global__buf_54)) + (3 * tmp6__global__buf_62)) + ((- 1) * tmp6__global__buf_70)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_14 tmp135__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_14 = tmp135__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp136__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_15) (* 4 tmp6__global__buf_23)) (* (- 10) tmp6__global__buf_31)) (* 57 tmp6__global__buf_39)) (* 19 tmp6__global__buf_47)) (* (- 7) tmp6__global__buf_55)) (* 3 tmp6__global__buf_63)) (* (- 1) tmp6__global__buf_71)) 8192) 16384))) ; (tmp136__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_15) + (4 * tmp6__global__buf_23)) + ((- 10) * tmp6__global__buf_31)) + (57 * tmp6__global__buf_39)) + (19 * tmp6__global__buf_47)) + ((- 7) * tmp6__global__buf_55)) + (3 * tmp6__global__buf_63)) + ((- 1) * tmp6__global__buf_71)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_15 tmp136__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_15 = tmp136__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp137__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_16) (* 4 tmp6__global__buf_24)) (* (- 10) tmp6__global__buf_32)) (* 57 tmp6__global__buf_40)) (* 19 tmp6__global__buf_48)) (* (- 7) tmp6__global__buf_56)) (* 3 tmp6__global__buf_64)) (* (- 1) tmp6__global__buf_72)) 8192) 16384))) ; (tmp137__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_16) + (4 * tmp6__global__buf_24)) + ((- 10) * tmp6__global__buf_32)) + (57 * tmp6__global__buf_40)) + (19 * tmp6__global__buf_48)) + ((- 7) * tmp6__global__buf_56)) + (3 * tmp6__global__buf_64)) + ((- 1) * tmp6__global__buf_72)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_16 tmp137__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_16 = tmp137__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp138__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_17) (* 4 tmp6__global__buf_25)) (* (- 10) tmp6__global__buf_33)) (* 57 tmp6__global__buf_41)) (* 19 tmp6__global__buf_49)) (* (- 7) tmp6__global__buf_57)) (* 3 tmp6__global__buf_65)) (* (- 1) tmp6__global__buf_73)) 8192) 16384))) ; (tmp138__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_17) + (4 * tmp6__global__buf_25)) + ((- 10) * tmp6__global__buf_33)) + (57 * tmp6__global__buf_41)) + (19 * tmp6__global__buf_49)) + ((- 7) * tmp6__global__buf_57)) + (3 * tmp6__global__buf_65)) + ((- 1) * tmp6__global__buf_73)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_17 tmp138__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_17 = tmp138__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp139__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_18) (* 4 tmp6__global__buf_26)) (* (- 10) tmp6__global__buf_34)) (* 57 tmp6__global__buf_42)) (* 19 tmp6__global__buf_50)) (* (- 7) tmp6__global__buf_58)) (* 3 tmp6__global__buf_66)) (* (- 1) tmp6__global__buf_74)) 8192) 16384))) ; (tmp139__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_18) + (4 * tmp6__global__buf_26)) + ((- 10) * tmp6__global__buf_34)) + (57 * tmp6__global__buf_42)) + (19 * tmp6__global__buf_50)) + ((- 7) * tmp6__global__buf_58)) + (3 * tmp6__global__buf_66)) + ((- 1) * tmp6__global__buf_74)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_18 tmp139__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_18 = tmp139__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp140__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_19) (* 4 tmp6__global__buf_27)) (* (- 10) tmp6__global__buf_35)) (* 57 tmp6__global__buf_43)) (* 19 tmp6__global__buf_51)) (* (- 7) tmp6__global__buf_59)) (* 3 tmp6__global__buf_67)) (* (- 1) tmp6__global__buf_75)) 8192) 16384))) ; (tmp140__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_19) + (4 * tmp6__global__buf_27)) + ((- 10) * tmp6__global__buf_35)) + (57 * tmp6__global__buf_43)) + (19 * tmp6__global__buf_51)) + ((- 7) * tmp6__global__buf_59)) + (3 * tmp6__global__buf_67)) + ((- 1) * tmp6__global__buf_75)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_19 tmp140__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_19 = tmp140__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp141__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_20) (* 4 tmp6__global__buf_28)) (* (- 10) tmp6__global__buf_36)) (* 57 tmp6__global__buf_44)) (* 19 tmp6__global__buf_52)) (* (- 7) tmp6__global__buf_60)) (* 3 tmp6__global__buf_68)) (* (- 1) tmp6__global__buf_76)) 8192) 16384))) ; (tmp141__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_20) + (4 * tmp6__global__buf_28)) + ((- 10) * tmp6__global__buf_36)) + (57 * tmp6__global__buf_44)) + (19 * tmp6__global__buf_52)) + ((- 7) * tmp6__global__buf_60)) + (3 * tmp6__global__buf_68)) + ((- 1) * tmp6__global__buf_76)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_20 tmp141__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_20 = tmp141__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp142__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_21) (* 4 tmp6__global__buf_29)) (* (- 10) tmp6__global__buf_37)) (* 57 tmp6__global__buf_45)) (* 19 tmp6__global__buf_53)) (* (- 7) tmp6__global__buf_61)) (* 3 tmp6__global__buf_69)) (* (- 1) tmp6__global__buf_77)) 8192) 16384))) ; (tmp142__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_21) + (4 * tmp6__global__buf_29)) + ((- 10) * tmp6__global__buf_37)) + (57 * tmp6__global__buf_45)) + (19 * tmp6__global__buf_53)) + ((- 7) * tmp6__global__buf_61)) + (3 * tmp6__global__buf_69)) + ((- 1) * tmp6__global__buf_77)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_21 tmp142__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_21 = tmp142__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp143__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_22) (* 4 tmp6__global__buf_30)) (* (- 10) tmp6__global__buf_38)) (* 57 tmp6__global__buf_46)) (* 19 tmp6__global__buf_54)) (* (- 7) tmp6__global__buf_62)) (* 3 tmp6__global__buf_70)) (* (- 1) tmp6__global__buf_78)) 8192) 16384))) ; (tmp143__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_22) + (4 * tmp6__global__buf_30)) + ((- 10) * tmp6__global__buf_38)) + (57 * tmp6__global__buf_46)) + (19 * tmp6__global__buf_54)) + ((- 7) * tmp6__global__buf_62)) + (3 * tmp6__global__buf_70)) + ((- 1) * tmp6__global__buf_78)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_22 tmp143__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_22 = tmp143__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp144__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_23) (* 4 tmp6__global__buf_31)) (* (- 10) tmp6__global__buf_39)) (* 57 tmp6__global__buf_47)) (* 19 tmp6__global__buf_55)) (* (- 7) tmp6__global__buf_63)) (* 3 tmp6__global__buf_71)) (* (- 1) tmp6__global__buf_79)) 8192) 16384))) ; (tmp144__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_23) + (4 * tmp6__global__buf_31)) + ((- 10) * tmp6__global__buf_39)) + (57 * tmp6__global__buf_47)) + (19 * tmp6__global__buf_55)) + ((- 7) * tmp6__global__buf_63)) + (3 * tmp6__global__buf_71)) + ((- 1) * tmp6__global__buf_79)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_23 tmp144__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_23 = tmp144__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp145__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_24) (* 4 tmp6__global__buf_32)) (* (- 10) tmp6__global__buf_40)) (* 57 tmp6__global__buf_48)) (* 19 tmp6__global__buf_56)) (* (- 7) tmp6__global__buf_64)) (* 3 tmp6__global__buf_72)) (* (- 1) tmp6__global__buf_80)) 8192) 16384))) ; (tmp145__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_24) + (4 * tmp6__global__buf_32)) + ((- 10) * tmp6__global__buf_40)) + (57 * tmp6__global__buf_48)) + (19 * tmp6__global__buf_56)) + ((- 7) * tmp6__global__buf_64)) + (3 * tmp6__global__buf_72)) + ((- 1) * tmp6__global__buf_80)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_24 tmp145__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_24 = tmp145__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp146__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_25) (* 4 tmp6__global__buf_33)) (* (- 10) tmp6__global__buf_41)) (* 57 tmp6__global__buf_49)) (* 19 tmp6__global__buf_57)) (* (- 7) tmp6__global__buf_65)) (* 3 tmp6__global__buf_73)) (* (- 1) tmp6__global__buf_81)) 8192) 16384))) ; (tmp146__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_25) + (4 * tmp6__global__buf_33)) + ((- 10) * tmp6__global__buf_41)) + (57 * tmp6__global__buf_49)) + (19 * tmp6__global__buf_57)) + ((- 7) * tmp6__global__buf_65)) + (3 * tmp6__global__buf_73)) + ((- 1) * tmp6__global__buf_81)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_25 tmp146__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_25 = tmp146__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp147__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_26) (* 4 tmp6__global__buf_34)) (* (- 10) tmp6__global__buf_42)) (* 57 tmp6__global__buf_50)) (* 19 tmp6__global__buf_58)) (* (- 7) tmp6__global__buf_66)) (* 3 tmp6__global__buf_74)) (* (- 1) tmp6__global__buf_82)) 8192) 16384))) ; (tmp147__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_26) + (4 * tmp6__global__buf_34)) + ((- 10) * tmp6__global__buf_42)) + (57 * tmp6__global__buf_50)) + (19 * tmp6__global__buf_58)) + ((- 7) * tmp6__global__buf_66)) + (3 * tmp6__global__buf_74)) + ((- 1) * tmp6__global__buf_82)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_26 tmp147__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_26 = tmp147__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp148__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_27) (* 4 tmp6__global__buf_35)) (* (- 10) tmp6__global__buf_43)) (* 57 tmp6__global__buf_51)) (* 19 tmp6__global__buf_59)) (* (- 7) tmp6__global__buf_67)) (* 3 tmp6__global__buf_75)) (* (- 1) tmp6__global__buf_83)) 8192) 16384))) ; (tmp148__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_27) + (4 * tmp6__global__buf_35)) + ((- 10) * tmp6__global__buf_43)) + (57 * tmp6__global__buf_51)) + (19 * tmp6__global__buf_59)) + ((- 7) * tmp6__global__buf_67)) + (3 * tmp6__global__buf_75)) + ((- 1) * tmp6__global__buf_83)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_27 tmp148__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_27 = tmp148__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp149__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_28) (* 4 tmp6__global__buf_36)) (* (- 10) tmp6__global__buf_44)) (* 57 tmp6__global__buf_52)) (* 19 tmp6__global__buf_60)) (* (- 7) tmp6__global__buf_68)) (* 3 tmp6__global__buf_76)) (* (- 1) tmp6__global__buf_84)) 8192) 16384))) ; (tmp149__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_28) + (4 * tmp6__global__buf_36)) + ((- 10) * tmp6__global__buf_44)) + (57 * tmp6__global__buf_52)) + (19 * tmp6__global__buf_60)) + ((- 7) * tmp6__global__buf_68)) + (3 * tmp6__global__buf_76)) + ((- 1) * tmp6__global__buf_84)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_28 tmp149__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_28 = tmp149__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp150__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_29) (* 4 tmp6__global__buf_37)) (* (- 10) tmp6__global__buf_45)) (* 57 tmp6__global__buf_53)) (* 19 tmp6__global__buf_61)) (* (- 7) tmp6__global__buf_69)) (* 3 tmp6__global__buf_77)) (* (- 1) tmp6__global__buf_85)) 8192) 16384))) ; (tmp150__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_29) + (4 * tmp6__global__buf_37)) + ((- 10) * tmp6__global__buf_45)) + (57 * tmp6__global__buf_53)) + (19 * tmp6__global__buf_61)) + ((- 7) * tmp6__global__buf_69)) + (3 * tmp6__global__buf_77)) + ((- 1) * tmp6__global__buf_85)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_29 tmp150__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_29 = tmp150__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp151__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_30) (* 4 tmp6__global__buf_38)) (* (- 10) tmp6__global__buf_46)) (* 57 tmp6__global__buf_54)) (* 19 tmp6__global__buf_62)) (* (- 7) tmp6__global__buf_70)) (* 3 tmp6__global__buf_78)) (* (- 1) tmp6__global__buf_86)) 8192) 16384))) ; (tmp151__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_30) + (4 * tmp6__global__buf_38)) + ((- 10) * tmp6__global__buf_46)) + (57 * tmp6__global__buf_54)) + (19 * tmp6__global__buf_62)) + ((- 7) * tmp6__global__buf_70)) + (3 * tmp6__global__buf_78)) + ((- 1) * tmp6__global__buf_86)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_30 tmp151__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_30 = tmp151__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp152__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_31) (* 4 tmp6__global__buf_39)) (* (- 10) tmp6__global__buf_47)) (* 57 tmp6__global__buf_55)) (* 19 tmp6__global__buf_63)) (* (- 7) tmp6__global__buf_71)) (* 3 tmp6__global__buf_79)) (* (- 1) tmp6__global__buf_87)) 8192) 16384))) ; (tmp152__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_31) + (4 * tmp6__global__buf_39)) + ((- 10) * tmp6__global__buf_47)) + (57 * tmp6__global__buf_55)) + (19 * tmp6__global__buf_63)) + ((- 7) * tmp6__global__buf_71)) + (3 * tmp6__global__buf_79)) + ((- 1) * tmp6__global__buf_87)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_31 tmp152__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_31 = tmp152__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp153__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_32) (* 4 tmp6__global__buf_40)) (* (- 10) tmp6__global__buf_48)) (* 57 tmp6__global__buf_56)) (* 19 tmp6__global__buf_64)) (* (- 7) tmp6__global__buf_72)) (* 3 tmp6__global__buf_80)) (* (- 1) tmp6__global__buf_88)) 8192) 16384))) ; (tmp153__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_32) + (4 * tmp6__global__buf_40)) + ((- 10) * tmp6__global__buf_48)) + (57 * tmp6__global__buf_56)) + (19 * tmp6__global__buf_64)) + ((- 7) * tmp6__global__buf_72)) + (3 * tmp6__global__buf_80)) + ((- 1) * tmp6__global__buf_88)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_32 tmp153__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_32 = tmp153__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp154__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_33) (* 4 tmp6__global__buf_41)) (* (- 10) tmp6__global__buf_49)) (* 57 tmp6__global__buf_57)) (* 19 tmp6__global__buf_65)) (* (- 7) tmp6__global__buf_73)) (* 3 tmp6__global__buf_81)) (* (- 1) tmp6__global__buf_89)) 8192) 16384))) ; (tmp154__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_33) + (4 * tmp6__global__buf_41)) + ((- 10) * tmp6__global__buf_49)) + (57 * tmp6__global__buf_57)) + (19 * tmp6__global__buf_65)) + ((- 7) * tmp6__global__buf_73)) + (3 * tmp6__global__buf_81)) + ((- 1) * tmp6__global__buf_89)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_33 tmp154__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_33 = tmp154__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp155__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_34) (* 4 tmp6__global__buf_42)) (* (- 10) tmp6__global__buf_50)) (* 57 tmp6__global__buf_58)) (* 19 tmp6__global__buf_66)) (* (- 7) tmp6__global__buf_74)) (* 3 tmp6__global__buf_82)) (* (- 1) tmp6__global__buf_90)) 8192) 16384))) ; (tmp155__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_34) + (4 * tmp6__global__buf_42)) + ((- 10) * tmp6__global__buf_50)) + (57 * tmp6__global__buf_58)) + (19 * tmp6__global__buf_66)) + ((- 7) * tmp6__global__buf_74)) + (3 * tmp6__global__buf_82)) + ((- 1) * tmp6__global__buf_90)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_34 tmp155__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_34 = tmp155__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp156__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_35) (* 4 tmp6__global__buf_43)) (* (- 10) tmp6__global__buf_51)) (* 57 tmp6__global__buf_59)) (* 19 tmp6__global__buf_67)) (* (- 7) tmp6__global__buf_75)) (* 3 tmp6__global__buf_83)) (* (- 1) tmp6__global__buf_91)) 8192) 16384))) ; (tmp156__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_35) + (4 * tmp6__global__buf_43)) + ((- 10) * tmp6__global__buf_51)) + (57 * tmp6__global__buf_59)) + (19 * tmp6__global__buf_67)) + ((- 7) * tmp6__global__buf_75)) + (3 * tmp6__global__buf_83)) + ((- 1) * tmp6__global__buf_91)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_35 tmp156__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_35 = tmp156__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp157__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_36) (* 4 tmp6__global__buf_44)) (* (- 10) tmp6__global__buf_52)) (* 57 tmp6__global__buf_60)) (* 19 tmp6__global__buf_68)) (* (- 7) tmp6__global__buf_76)) (* 3 tmp6__global__buf_84)) (* (- 1) tmp6__global__buf_92)) 8192) 16384))) ; (tmp157__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_36) + (4 * tmp6__global__buf_44)) + ((- 10) * tmp6__global__buf_52)) + (57 * tmp6__global__buf_60)) + (19 * tmp6__global__buf_68)) + ((- 7) * tmp6__global__buf_76)) + (3 * tmp6__global__buf_84)) + ((- 1) * tmp6__global__buf_92)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_36 tmp157__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_36 = tmp157__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp158__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_37) (* 4 tmp6__global__buf_45)) (* (- 10) tmp6__global__buf_53)) (* 57 tmp6__global__buf_61)) (* 19 tmp6__global__buf_69)) (* (- 7) tmp6__global__buf_77)) (* 3 tmp6__global__buf_85)) (* (- 1) tmp6__global__buf_93)) 8192) 16384))) ; (tmp158__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_37) + (4 * tmp6__global__buf_45)) + ((- 10) * tmp6__global__buf_53)) + (57 * tmp6__global__buf_61)) + (19 * tmp6__global__buf_69)) + ((- 7) * tmp6__global__buf_77)) + (3 * tmp6__global__buf_85)) + ((- 1) * tmp6__global__buf_93)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_37 tmp158__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_37 = tmp158__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp159__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_38) (* 4 tmp6__global__buf_46)) (* (- 10) tmp6__global__buf_54)) (* 57 tmp6__global__buf_62)) (* 19 tmp6__global__buf_70)) (* (- 7) tmp6__global__buf_78)) (* 3 tmp6__global__buf_86)) (* (- 1) tmp6__global__buf_94)) 8192) 16384))) ; (tmp159__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_38) + (4 * tmp6__global__buf_46)) + ((- 10) * tmp6__global__buf_54)) + (57 * tmp6__global__buf_62)) + (19 * tmp6__global__buf_70)) + ((- 7) * tmp6__global__buf_78)) + (3 * tmp6__global__buf_86)) + ((- 1) * tmp6__global__buf_94)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_38 tmp159__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_38 = tmp159__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp160__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_39) (* 4 tmp6__global__buf_47)) (* (- 10) tmp6__global__buf_55)) (* 57 tmp6__global__buf_63)) (* 19 tmp6__global__buf_71)) (* (- 7) tmp6__global__buf_79)) (* 3 tmp6__global__buf_87)) (* (- 1) tmp6__global__buf_95)) 8192) 16384))) ; (tmp160__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_39) + (4 * tmp6__global__buf_47)) + ((- 10) * tmp6__global__buf_55)) + (57 * tmp6__global__buf_63)) + (19 * tmp6__global__buf_71)) + ((- 7) * tmp6__global__buf_79)) + (3 * tmp6__global__buf_87)) + ((- 1) * tmp6__global__buf_95)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_39 tmp160__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_39 = tmp160__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp161__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_40) (* 4 tmp6__global__buf_48)) (* (- 10) tmp6__global__buf_56)) (* 57 tmp6__global__buf_64)) (* 19 tmp6__global__buf_72)) (* (- 7) tmp6__global__buf_80)) (* 3 tmp6__global__buf_88)) (* (- 1) tmp6__global__buf_96)) 8192) 16384))) ; (tmp161__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_40) + (4 * tmp6__global__buf_48)) + ((- 10) * tmp6__global__buf_56)) + (57 * tmp6__global__buf_64)) + (19 * tmp6__global__buf_72)) + ((- 7) * tmp6__global__buf_80)) + (3 * tmp6__global__buf_88)) + ((- 1) * tmp6__global__buf_96)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_40 tmp161__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_40 = tmp161__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp162__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_41) (* 4 tmp6__global__buf_49)) (* (- 10) tmp6__global__buf_57)) (* 57 tmp6__global__buf_65)) (* 19 tmp6__global__buf_73)) (* (- 7) tmp6__global__buf_81)) (* 3 tmp6__global__buf_89)) (* (- 1) tmp6__global__buf_97)) 8192) 16384))) ; (tmp162__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_41) + (4 * tmp6__global__buf_49)) + ((- 10) * tmp6__global__buf_57)) + (57 * tmp6__global__buf_65)) + (19 * tmp6__global__buf_73)) + ((- 7) * tmp6__global__buf_81)) + (3 * tmp6__global__buf_89)) + ((- 1) * tmp6__global__buf_97)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_41 tmp162__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_41 = tmp162__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp163__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_42) (* 4 tmp6__global__buf_50)) (* (- 10) tmp6__global__buf_58)) (* 57 tmp6__global__buf_66)) (* 19 tmp6__global__buf_74)) (* (- 7) tmp6__global__buf_82)) (* 3 tmp6__global__buf_90)) (* (- 1) tmp6__global__buf_98)) 8192) 16384))) ; (tmp163__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_42) + (4 * tmp6__global__buf_50)) + ((- 10) * tmp6__global__buf_58)) + (57 * tmp6__global__buf_66)) + (19 * tmp6__global__buf_74)) + ((- 7) * tmp6__global__buf_82)) + (3 * tmp6__global__buf_90)) + ((- 1) * tmp6__global__buf_98)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_42 tmp163__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_42 = tmp163__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp164__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_43) (* 4 tmp6__global__buf_51)) (* (- 10) tmp6__global__buf_59)) (* 57 tmp6__global__buf_67)) (* 19 tmp6__global__buf_75)) (* (- 7) tmp6__global__buf_83)) (* 3 tmp6__global__buf_91)) (* (- 1) tmp6__global__buf_99)) 8192) 16384))) ; (tmp164__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_43) + (4 * tmp6__global__buf_51)) + ((- 10) * tmp6__global__buf_59)) + (57 * tmp6__global__buf_67)) + (19 * tmp6__global__buf_75)) + ((- 7) * tmp6__global__buf_83)) + (3 * tmp6__global__buf_91)) + ((- 1) * tmp6__global__buf_99)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_43 tmp164__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_43 = tmp164__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp165__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_44) (* 4 tmp6__global__buf_52)) (* (- 10) tmp6__global__buf_60)) (* 57 tmp6__global__buf_68)) (* 19 tmp6__global__buf_76)) (* (- 7) tmp6__global__buf_84)) (* 3 tmp6__global__buf_92)) (* (- 1) tmp6__global__buf_100)) 8192) 16384))) ; (tmp165__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_44) + (4 * tmp6__global__buf_52)) + ((- 10) * tmp6__global__buf_60)) + (57 * tmp6__global__buf_68)) + (19 * tmp6__global__buf_76)) + ((- 7) * tmp6__global__buf_84)) + (3 * tmp6__global__buf_92)) + ((- 1) * tmp6__global__buf_100)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_44 tmp165__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_44 = tmp165__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp166__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_45) (* 4 tmp6__global__buf_53)) (* (- 10) tmp6__global__buf_61)) (* 57 tmp6__global__buf_69)) (* 19 tmp6__global__buf_77)) (* (- 7) tmp6__global__buf_85)) (* 3 tmp6__global__buf_93)) (* (- 1) tmp6__global__buf_101)) 8192) 16384))) ; (tmp166__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_45) + (4 * tmp6__global__buf_53)) + ((- 10) * tmp6__global__buf_61)) + (57 * tmp6__global__buf_69)) + (19 * tmp6__global__buf_77)) + ((- 7) * tmp6__global__buf_85)) + (3 * tmp6__global__buf_93)) + ((- 1) * tmp6__global__buf_101)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_45 tmp166__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_45 = tmp166__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp167__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_46) (* 4 tmp6__global__buf_54)) (* (- 10) tmp6__global__buf_62)) (* 57 tmp6__global__buf_70)) (* 19 tmp6__global__buf_78)) (* (- 7) tmp6__global__buf_86)) (* 3 tmp6__global__buf_94)) (* (- 1) tmp6__global__buf_102)) 8192) 16384))) ; (tmp167__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_46) + (4 * tmp6__global__buf_54)) + ((- 10) * tmp6__global__buf_62)) + (57 * tmp6__global__buf_70)) + (19 * tmp6__global__buf_78)) + ((- 7) * tmp6__global__buf_86)) + (3 * tmp6__global__buf_94)) + ((- 1) * tmp6__global__buf_102)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_46 tmp167__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_46 = tmp167__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp168__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_47) (* 4 tmp6__global__buf_55)) (* (- 10) tmp6__global__buf_63)) (* 57 tmp6__global__buf_71)) (* 19 tmp6__global__buf_79)) (* (- 7) tmp6__global__buf_87)) (* 3 tmp6__global__buf_95)) (* (- 1) tmp6__global__buf_103)) 8192) 16384))) ; (tmp168__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_47) + (4 * tmp6__global__buf_55)) + ((- 10) * tmp6__global__buf_63)) + (57 * tmp6__global__buf_71)) + (19 * tmp6__global__buf_79)) + ((- 7) * tmp6__global__buf_87)) + (3 * tmp6__global__buf_95)) + ((- 1) * tmp6__global__buf_103)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_47 tmp168__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_47 = tmp168__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp169__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_48) (* 4 tmp6__global__buf_56)) (* (- 10) tmp6__global__buf_64)) (* 57 tmp6__global__buf_72)) (* 19 tmp6__global__buf_80)) (* (- 7) tmp6__global__buf_88)) (* 3 tmp6__global__buf_96)) (* (- 1) tmp6__global__buf_104)) 8192) 16384))) ; (tmp169__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_48) + (4 * tmp6__global__buf_56)) + ((- 10) * tmp6__global__buf_64)) + (57 * tmp6__global__buf_72)) + (19 * tmp6__global__buf_80)) + ((- 7) * tmp6__global__buf_88)) + (3 * tmp6__global__buf_96)) + ((- 1) * tmp6__global__buf_104)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_48 tmp169__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_48 = tmp169__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp170__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_49) (* 4 tmp6__global__buf_57)) (* (- 10) tmp6__global__buf_65)) (* 57 tmp6__global__buf_73)) (* 19 tmp6__global__buf_81)) (* (- 7) tmp6__global__buf_89)) (* 3 tmp6__global__buf_97)) (* (- 1) tmp6__global__buf_105)) 8192) 16384))) ; (tmp170__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_49) + (4 * tmp6__global__buf_57)) + ((- 10) * tmp6__global__buf_65)) + (57 * tmp6__global__buf_73)) + (19 * tmp6__global__buf_81)) + ((- 7) * tmp6__global__buf_89)) + (3 * tmp6__global__buf_97)) + ((- 1) * tmp6__global__buf_105)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_49 tmp170__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_49 = tmp170__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp171__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_50) (* 4 tmp6__global__buf_58)) (* (- 10) tmp6__global__buf_66)) (* 57 tmp6__global__buf_74)) (* 19 tmp6__global__buf_82)) (* (- 7) tmp6__global__buf_90)) (* 3 tmp6__global__buf_98)) (* (- 1) tmp6__global__buf_106)) 8192) 16384))) ; (tmp171__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_50) + (4 * tmp6__global__buf_58)) + ((- 10) * tmp6__global__buf_66)) + (57 * tmp6__global__buf_74)) + (19 * tmp6__global__buf_82)) + ((- 7) * tmp6__global__buf_90)) + (3 * tmp6__global__buf_98)) + ((- 1) * tmp6__global__buf_106)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_50 tmp171__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_50 = tmp171__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp172__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_51) (* 4 tmp6__global__buf_59)) (* (- 10) tmp6__global__buf_67)) (* 57 tmp6__global__buf_75)) (* 19 tmp6__global__buf_83)) (* (- 7) tmp6__global__buf_91)) (* 3 tmp6__global__buf_99)) (* (- 1) tmp6__global__buf_107)) 8192) 16384))) ; (tmp172__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_51) + (4 * tmp6__global__buf_59)) + ((- 10) * tmp6__global__buf_67)) + (57 * tmp6__global__buf_75)) + (19 * tmp6__global__buf_83)) + ((- 7) * tmp6__global__buf_91)) + (3 * tmp6__global__buf_99)) + ((- 1) * tmp6__global__buf_107)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_51 tmp172__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_51 = tmp172__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp173__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_52) (* 4 tmp6__global__buf_60)) (* (- 10) tmp6__global__buf_68)) (* 57 tmp6__global__buf_76)) (* 19 tmp6__global__buf_84)) (* (- 7) tmp6__global__buf_92)) (* 3 tmp6__global__buf_100)) (* (- 1) tmp6__global__buf_108)) 8192) 16384))) ; (tmp173__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_52) + (4 * tmp6__global__buf_60)) + ((- 10) * tmp6__global__buf_68)) + (57 * tmp6__global__buf_76)) + (19 * tmp6__global__buf_84)) + ((- 7) * tmp6__global__buf_92)) + (3 * tmp6__global__buf_100)) + ((- 1) * tmp6__global__buf_108)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_52 tmp173__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_52 = tmp173__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp174__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_53) (* 4 tmp6__global__buf_61)) (* (- 10) tmp6__global__buf_69)) (* 57 tmp6__global__buf_77)) (* 19 tmp6__global__buf_85)) (* (- 7) tmp6__global__buf_93)) (* 3 tmp6__global__buf_101)) (* (- 1) tmp6__global__buf_109)) 8192) 16384))) ; (tmp174__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_53) + (4 * tmp6__global__buf_61)) + ((- 10) * tmp6__global__buf_69)) + (57 * tmp6__global__buf_77)) + (19 * tmp6__global__buf_85)) + ((- 7) * tmp6__global__buf_93)) + (3 * tmp6__global__buf_101)) + ((- 1) * tmp6__global__buf_109)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_53 tmp174__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_53 = tmp174__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp175__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_54) (* 4 tmp6__global__buf_62)) (* (- 10) tmp6__global__buf_70)) (* 57 tmp6__global__buf_78)) (* 19 tmp6__global__buf_86)) (* (- 7) tmp6__global__buf_94)) (* 3 tmp6__global__buf_102)) (* (- 1) tmp6__global__buf_110)) 8192) 16384))) ; (tmp175__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_54) + (4 * tmp6__global__buf_62)) + ((- 10) * tmp6__global__buf_70)) + (57 * tmp6__global__buf_78)) + (19 * tmp6__global__buf_86)) + ((- 7) * tmp6__global__buf_94)) + (3 * tmp6__global__buf_102)) + ((- 1) * tmp6__global__buf_110)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_54 tmp175__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_54 = tmp175__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp176__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_55) (* 4 tmp6__global__buf_63)) (* (- 10) tmp6__global__buf_71)) (* 57 tmp6__global__buf_79)) (* 19 tmp6__global__buf_87)) (* (- 7) tmp6__global__buf_95)) (* 3 tmp6__global__buf_103)) (* (- 1) tmp6__global__buf_111)) 8192) 16384))) ; (tmp176__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_55) + (4 * tmp6__global__buf_63)) + ((- 10) * tmp6__global__buf_71)) + (57 * tmp6__global__buf_79)) + (19 * tmp6__global__buf_87)) + ((- 7) * tmp6__global__buf_95)) + (3 * tmp6__global__buf_103)) + ((- 1) * tmp6__global__buf_111)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_55 tmp176__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_55 = tmp176__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp177__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_56) (* 4 tmp6__global__buf_64)) (* (- 10) tmp6__global__buf_72)) (* 57 tmp6__global__buf_80)) (* 19 tmp6__global__buf_88)) (* (- 7) tmp6__global__buf_96)) (* 3 tmp6__global__buf_104)) (* (- 1) tmp6__global__buf_112)) 8192) 16384))) ; (tmp177__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_56) + (4 * tmp6__global__buf_64)) + ((- 10) * tmp6__global__buf_72)) + (57 * tmp6__global__buf_80)) + (19 * tmp6__global__buf_88)) + ((- 7) * tmp6__global__buf_96)) + (3 * tmp6__global__buf_104)) + ((- 1) * tmp6__global__buf_112)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_56 tmp177__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_56 = tmp177__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp178__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_57) (* 4 tmp6__global__buf_65)) (* (- 10) tmp6__global__buf_73)) (* 57 tmp6__global__buf_81)) (* 19 tmp6__global__buf_89)) (* (- 7) tmp6__global__buf_97)) (* 3 tmp6__global__buf_105)) (* (- 1) tmp6__global__buf_113)) 8192) 16384))) ; (tmp178__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_57) + (4 * tmp6__global__buf_65)) + ((- 10) * tmp6__global__buf_73)) + (57 * tmp6__global__buf_81)) + (19 * tmp6__global__buf_89)) + ((- 7) * tmp6__global__buf_97)) + (3 * tmp6__global__buf_105)) + ((- 1) * tmp6__global__buf_113)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_57 tmp178__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_57 = tmp178__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp179__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_58) (* 4 tmp6__global__buf_66)) (* (- 10) tmp6__global__buf_74)) (* 57 tmp6__global__buf_82)) (* 19 tmp6__global__buf_90)) (* (- 7) tmp6__global__buf_98)) (* 3 tmp6__global__buf_106)) (* (- 1) tmp6__global__buf_114)) 8192) 16384))) ; (tmp179__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_58) + (4 * tmp6__global__buf_66)) + ((- 10) * tmp6__global__buf_74)) + (57 * tmp6__global__buf_82)) + (19 * tmp6__global__buf_90)) + ((- 7) * tmp6__global__buf_98)) + (3 * tmp6__global__buf_106)) + ((- 1) * tmp6__global__buf_114)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_58 tmp179__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_58 = tmp179__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp180__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_59) (* 4 tmp6__global__buf_67)) (* (- 10) tmp6__global__buf_75)) (* 57 tmp6__global__buf_83)) (* 19 tmp6__global__buf_91)) (* (- 7) tmp6__global__buf_99)) (* 3 tmp6__global__buf_107)) (* (- 1) tmp6__global__buf_115)) 8192) 16384))) ; (tmp180__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_59) + (4 * tmp6__global__buf_67)) + ((- 10) * tmp6__global__buf_75)) + (57 * tmp6__global__buf_83)) + (19 * tmp6__global__buf_91)) + ((- 7) * tmp6__global__buf_99)) + (3 * tmp6__global__buf_107)) + ((- 1) * tmp6__global__buf_115)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_59 tmp180__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_59 = tmp180__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp181__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_60) (* 4 tmp6__global__buf_68)) (* (- 10) tmp6__global__buf_76)) (* 57 tmp6__global__buf_84)) (* 19 tmp6__global__buf_92)) (* (- 7) tmp6__global__buf_100)) (* 3 tmp6__global__buf_108)) (* (- 1) tmp6__global__buf_116)) 8192) 16384))) ; (tmp181__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_60) + (4 * tmp6__global__buf_68)) + ((- 10) * tmp6__global__buf_76)) + (57 * tmp6__global__buf_84)) + (19 * tmp6__global__buf_92)) + ((- 7) * tmp6__global__buf_100)) + (3 * tmp6__global__buf_108)) + ((- 1) * tmp6__global__buf_116)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_60 tmp181__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_60 = tmp181__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp182__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_61) (* 4 tmp6__global__buf_69)) (* (- 10) tmp6__global__buf_77)) (* 57 tmp6__global__buf_85)) (* 19 tmp6__global__buf_93)) (* (- 7) tmp6__global__buf_101)) (* 3 tmp6__global__buf_109)) (* (- 1) tmp6__global__buf_117)) 8192) 16384))) ; (tmp182__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_61) + (4 * tmp6__global__buf_69)) + ((- 10) * tmp6__global__buf_77)) + (57 * tmp6__global__buf_85)) + (19 * tmp6__global__buf_93)) + ((- 7) * tmp6__global__buf_101)) + (3 * tmp6__global__buf_109)) + ((- 1) * tmp6__global__buf_117)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_61 tmp182__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_61 = tmp182__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp183__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_62) (* 4 tmp6__global__buf_70)) (* (- 10) tmp6__global__buf_78)) (* 57 tmp6__global__buf_86)) (* 19 tmp6__global__buf_94)) (* (- 7) tmp6__global__buf_102)) (* 3 tmp6__global__buf_110)) (* (- 1) tmp6__global__buf_118)) 8192) 16384))) ; (tmp183__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_62) + (4 * tmp6__global__buf_70)) + ((- 10) * tmp6__global__buf_78)) + (57 * tmp6__global__buf_86)) + (19 * tmp6__global__buf_94)) + ((- 7) * tmp6__global__buf_102)) + (3 * tmp6__global__buf_110)) + ((- 1) * tmp6__global__buf_118)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_62 tmp183__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_62 = tmp183__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp184__func_com_grad_x_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 1) tmp6__global__buf_63) (* 4 tmp6__global__buf_71)) (* (- 10) tmp6__global__buf_79)) (* 57 tmp6__global__buf_87)) (* 19 tmp6__global__buf_95)) (* (- 7) tmp6__global__buf_103)) (* 3 tmp6__global__buf_111)) (* (- 1) tmp6__global__buf_119)) 8192) 16384))) ; (tmp184__func_com_grad_x_l_nn_variant_1__val = (((((((((((- 1) * tmp6__global__buf_63) + (4 * tmp6__global__buf_71)) + ((- 10) * tmp6__global__buf_79)) + (57 * tmp6__global__buf_87)) + (19 * tmp6__global__buf_95)) + ((- 7) * tmp6__global__buf_103)) + (3 * tmp6__global__buf_111)) + ((- 1) * tmp6__global__buf_119)) + 8192) div 16384))
(assert (= tmp1__global__gradXL1_63 tmp184__func_com_grad_x_l_nn_variant_1__val)) ; (tmp1__global__gradXL1_63 = tmp184__func_com_grad_x_l_nn_variant_1__val)
(assert (= tmp1__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_0) (* 0 tmp1__global__ref1_1)) (* 0 tmp1__global__ref1_2)) (* 64 tmp1__global__ref1_3)) (* 0 tmp1__global__ref1_4)) (* 0 tmp1__global__ref1_5)) (* 0 tmp1__global__ref1_6)) (* 0 tmp1__global__ref1_7)) 2) 4))) ; (tmp1__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_0) + (0 * tmp1__global__ref1_1)) + (0 * tmp1__global__ref1_2)) + (64 * tmp1__global__ref1_3)) + (0 * tmp1__global__ref1_4)) + (0 * tmp1__global__ref1_5)) + (0 * tmp1__global__ref1_6)) + (0 * tmp1__global__ref1_7)) + 2) div 4))
(assert (= tmp7__global__buf_0 tmp1__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_0 = tmp1__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp2__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_1) (* 0 tmp1__global__ref1_2)) (* 0 tmp1__global__ref1_3)) (* 64 tmp1__global__ref1_4)) (* 0 tmp1__global__ref1_5)) (* 0 tmp1__global__ref1_6)) (* 0 tmp1__global__ref1_7)) (* 0 tmp1__global__ref1_8)) 2) 4))) ; (tmp2__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_1) + (0 * tmp1__global__ref1_2)) + (0 * tmp1__global__ref1_3)) + (64 * tmp1__global__ref1_4)) + (0 * tmp1__global__ref1_5)) + (0 * tmp1__global__ref1_6)) + (0 * tmp1__global__ref1_7)) + (0 * tmp1__global__ref1_8)) + 2) div 4))
(assert (= tmp7__global__buf_1 tmp2__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_1 = tmp2__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp3__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_2) (* 0 tmp1__global__ref1_3)) (* 0 tmp1__global__ref1_4)) (* 64 tmp1__global__ref1_5)) (* 0 tmp1__global__ref1_6)) (* 0 tmp1__global__ref1_7)) (* 0 tmp1__global__ref1_8)) (* 0 tmp1__global__ref1_9)) 2) 4))) ; (tmp3__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_2) + (0 * tmp1__global__ref1_3)) + (0 * tmp1__global__ref1_4)) + (64 * tmp1__global__ref1_5)) + (0 * tmp1__global__ref1_6)) + (0 * tmp1__global__ref1_7)) + (0 * tmp1__global__ref1_8)) + (0 * tmp1__global__ref1_9)) + 2) div 4))
(assert (= tmp7__global__buf_2 tmp3__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_2 = tmp3__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp4__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_3) (* 0 tmp1__global__ref1_4)) (* 0 tmp1__global__ref1_5)) (* 64 tmp1__global__ref1_6)) (* 0 tmp1__global__ref1_7)) (* 0 tmp1__global__ref1_8)) (* 0 tmp1__global__ref1_9)) (* 0 tmp1__global__ref1_10)) 2) 4))) ; (tmp4__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_3) + (0 * tmp1__global__ref1_4)) + (0 * tmp1__global__ref1_5)) + (64 * tmp1__global__ref1_6)) + (0 * tmp1__global__ref1_7)) + (0 * tmp1__global__ref1_8)) + (0 * tmp1__global__ref1_9)) + (0 * tmp1__global__ref1_10)) + 2) div 4))
(assert (= tmp7__global__buf_3 tmp4__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_3 = tmp4__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp5__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_4) (* 0 tmp1__global__ref1_5)) (* 0 tmp1__global__ref1_6)) (* 64 tmp1__global__ref1_7)) (* 0 tmp1__global__ref1_8)) (* 0 tmp1__global__ref1_9)) (* 0 tmp1__global__ref1_10)) (* 0 tmp1__global__ref1_11)) 2) 4))) ; (tmp5__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_4) + (0 * tmp1__global__ref1_5)) + (0 * tmp1__global__ref1_6)) + (64 * tmp1__global__ref1_7)) + (0 * tmp1__global__ref1_8)) + (0 * tmp1__global__ref1_9)) + (0 * tmp1__global__ref1_10)) + (0 * tmp1__global__ref1_11)) + 2) div 4))
(assert (= tmp7__global__buf_4 tmp5__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_4 = tmp5__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp6__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_5) (* 0 tmp1__global__ref1_6)) (* 0 tmp1__global__ref1_7)) (* 64 tmp1__global__ref1_8)) (* 0 tmp1__global__ref1_9)) (* 0 tmp1__global__ref1_10)) (* 0 tmp1__global__ref1_11)) (* 0 tmp1__global__ref1_12)) 2) 4))) ; (tmp6__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_5) + (0 * tmp1__global__ref1_6)) + (0 * tmp1__global__ref1_7)) + (64 * tmp1__global__ref1_8)) + (0 * tmp1__global__ref1_9)) + (0 * tmp1__global__ref1_10)) + (0 * tmp1__global__ref1_11)) + (0 * tmp1__global__ref1_12)) + 2) div 4))
(assert (= tmp7__global__buf_5 tmp6__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_5 = tmp6__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp7__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_6) (* 0 tmp1__global__ref1_7)) (* 0 tmp1__global__ref1_8)) (* 64 tmp1__global__ref1_9)) (* 0 tmp1__global__ref1_10)) (* 0 tmp1__global__ref1_11)) (* 0 tmp1__global__ref1_12)) (* 0 tmp1__global__ref1_13)) 2) 4))) ; (tmp7__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_6) + (0 * tmp1__global__ref1_7)) + (0 * tmp1__global__ref1_8)) + (64 * tmp1__global__ref1_9)) + (0 * tmp1__global__ref1_10)) + (0 * tmp1__global__ref1_11)) + (0 * tmp1__global__ref1_12)) + (0 * tmp1__global__ref1_13)) + 2) div 4))
(assert (= tmp7__global__buf_6 tmp7__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_6 = tmp7__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp8__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_7) (* 0 tmp1__global__ref1_8)) (* 0 tmp1__global__ref1_9)) (* 64 tmp1__global__ref1_10)) (* 0 tmp1__global__ref1_11)) (* 0 tmp1__global__ref1_12)) (* 0 tmp1__global__ref1_13)) (* 0 tmp1__global__ref1_14)) 2) 4))) ; (tmp8__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_7) + (0 * tmp1__global__ref1_8)) + (0 * tmp1__global__ref1_9)) + (64 * tmp1__global__ref1_10)) + (0 * tmp1__global__ref1_11)) + (0 * tmp1__global__ref1_12)) + (0 * tmp1__global__ref1_13)) + (0 * tmp1__global__ref1_14)) + 2) div 4))
(assert (= tmp7__global__buf_7 tmp8__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_7 = tmp8__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp9__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_15) (* 0 tmp1__global__ref1_16)) (* 0 tmp1__global__ref1_17)) (* 64 tmp1__global__ref1_18)) (* 0 tmp1__global__ref1_19)) (* 0 tmp1__global__ref1_20)) (* 0 tmp1__global__ref1_21)) (* 0 tmp1__global__ref1_22)) 2) 4))) ; (tmp9__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_15) + (0 * tmp1__global__ref1_16)) + (0 * tmp1__global__ref1_17)) + (64 * tmp1__global__ref1_18)) + (0 * tmp1__global__ref1_19)) + (0 * tmp1__global__ref1_20)) + (0 * tmp1__global__ref1_21)) + (0 * tmp1__global__ref1_22)) + 2) div 4))
(assert (= tmp7__global__buf_8 tmp9__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_8 = tmp9__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp10__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_16) (* 0 tmp1__global__ref1_17)) (* 0 tmp1__global__ref1_18)) (* 64 tmp1__global__ref1_19)) (* 0 tmp1__global__ref1_20)) (* 0 tmp1__global__ref1_21)) (* 0 tmp1__global__ref1_22)) (* 0 tmp1__global__ref1_23)) 2) 4))) ; (tmp10__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_16) + (0 * tmp1__global__ref1_17)) + (0 * tmp1__global__ref1_18)) + (64 * tmp1__global__ref1_19)) + (0 * tmp1__global__ref1_20)) + (0 * tmp1__global__ref1_21)) + (0 * tmp1__global__ref1_22)) + (0 * tmp1__global__ref1_23)) + 2) div 4))
(assert (= tmp7__global__buf_9 tmp10__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_9 = tmp10__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp11__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_17) (* 0 tmp1__global__ref1_18)) (* 0 tmp1__global__ref1_19)) (* 64 tmp1__global__ref1_20)) (* 0 tmp1__global__ref1_21)) (* 0 tmp1__global__ref1_22)) (* 0 tmp1__global__ref1_23)) (* 0 tmp1__global__ref1_24)) 2) 4))) ; (tmp11__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_17) + (0 * tmp1__global__ref1_18)) + (0 * tmp1__global__ref1_19)) + (64 * tmp1__global__ref1_20)) + (0 * tmp1__global__ref1_21)) + (0 * tmp1__global__ref1_22)) + (0 * tmp1__global__ref1_23)) + (0 * tmp1__global__ref1_24)) + 2) div 4))
(assert (= tmp7__global__buf_10 tmp11__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_10 = tmp11__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp12__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_18) (* 0 tmp1__global__ref1_19)) (* 0 tmp1__global__ref1_20)) (* 64 tmp1__global__ref1_21)) (* 0 tmp1__global__ref1_22)) (* 0 tmp1__global__ref1_23)) (* 0 tmp1__global__ref1_24)) (* 0 tmp1__global__ref1_25)) 2) 4))) ; (tmp12__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_18) + (0 * tmp1__global__ref1_19)) + (0 * tmp1__global__ref1_20)) + (64 * tmp1__global__ref1_21)) + (0 * tmp1__global__ref1_22)) + (0 * tmp1__global__ref1_23)) + (0 * tmp1__global__ref1_24)) + (0 * tmp1__global__ref1_25)) + 2) div 4))
(assert (= tmp7__global__buf_11 tmp12__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_11 = tmp12__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp13__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_19) (* 0 tmp1__global__ref1_20)) (* 0 tmp1__global__ref1_21)) (* 64 tmp1__global__ref1_22)) (* 0 tmp1__global__ref1_23)) (* 0 tmp1__global__ref1_24)) (* 0 tmp1__global__ref1_25)) (* 0 tmp1__global__ref1_26)) 2) 4))) ; (tmp13__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_19) + (0 * tmp1__global__ref1_20)) + (0 * tmp1__global__ref1_21)) + (64 * tmp1__global__ref1_22)) + (0 * tmp1__global__ref1_23)) + (0 * tmp1__global__ref1_24)) + (0 * tmp1__global__ref1_25)) + (0 * tmp1__global__ref1_26)) + 2) div 4))
(assert (= tmp7__global__buf_12 tmp13__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_12 = tmp13__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp14__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_20) (* 0 tmp1__global__ref1_21)) (* 0 tmp1__global__ref1_22)) (* 64 tmp1__global__ref1_23)) (* 0 tmp1__global__ref1_24)) (* 0 tmp1__global__ref1_25)) (* 0 tmp1__global__ref1_26)) (* 0 tmp1__global__ref1_27)) 2) 4))) ; (tmp14__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_20) + (0 * tmp1__global__ref1_21)) + (0 * tmp1__global__ref1_22)) + (64 * tmp1__global__ref1_23)) + (0 * tmp1__global__ref1_24)) + (0 * tmp1__global__ref1_25)) + (0 * tmp1__global__ref1_26)) + (0 * tmp1__global__ref1_27)) + 2) div 4))
(assert (= tmp7__global__buf_13 tmp14__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_13 = tmp14__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp15__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_21) (* 0 tmp1__global__ref1_22)) (* 0 tmp1__global__ref1_23)) (* 64 tmp1__global__ref1_24)) (* 0 tmp1__global__ref1_25)) (* 0 tmp1__global__ref1_26)) (* 0 tmp1__global__ref1_27)) (* 0 tmp1__global__ref1_28)) 2) 4))) ; (tmp15__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_21) + (0 * tmp1__global__ref1_22)) + (0 * tmp1__global__ref1_23)) + (64 * tmp1__global__ref1_24)) + (0 * tmp1__global__ref1_25)) + (0 * tmp1__global__ref1_26)) + (0 * tmp1__global__ref1_27)) + (0 * tmp1__global__ref1_28)) + 2) div 4))
(assert (= tmp7__global__buf_14 tmp15__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_14 = tmp15__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp16__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_22) (* 0 tmp1__global__ref1_23)) (* 0 tmp1__global__ref1_24)) (* 64 tmp1__global__ref1_25)) (* 0 tmp1__global__ref1_26)) (* 0 tmp1__global__ref1_27)) (* 0 tmp1__global__ref1_28)) (* 0 tmp1__global__ref1_29)) 2) 4))) ; (tmp16__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_22) + (0 * tmp1__global__ref1_23)) + (0 * tmp1__global__ref1_24)) + (64 * tmp1__global__ref1_25)) + (0 * tmp1__global__ref1_26)) + (0 * tmp1__global__ref1_27)) + (0 * tmp1__global__ref1_28)) + (0 * tmp1__global__ref1_29)) + 2) div 4))
(assert (= tmp7__global__buf_15 tmp16__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_15 = tmp16__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp17__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_30) (* 0 tmp1__global__ref1_31)) (* 0 tmp1__global__ref1_32)) (* 64 tmp1__global__ref1_33)) (* 0 tmp1__global__ref1_34)) (* 0 tmp1__global__ref1_35)) (* 0 tmp1__global__ref1_36)) (* 0 tmp1__global__ref1_37)) 2) 4))) ; (tmp17__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_30) + (0 * tmp1__global__ref1_31)) + (0 * tmp1__global__ref1_32)) + (64 * tmp1__global__ref1_33)) + (0 * tmp1__global__ref1_34)) + (0 * tmp1__global__ref1_35)) + (0 * tmp1__global__ref1_36)) + (0 * tmp1__global__ref1_37)) + 2) div 4))
(assert (= tmp7__global__buf_16 tmp17__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_16 = tmp17__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp18__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_31) (* 0 tmp1__global__ref1_32)) (* 0 tmp1__global__ref1_33)) (* 64 tmp1__global__ref1_34)) (* 0 tmp1__global__ref1_35)) (* 0 tmp1__global__ref1_36)) (* 0 tmp1__global__ref1_37)) (* 0 tmp1__global__ref1_38)) 2) 4))) ; (tmp18__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_31) + (0 * tmp1__global__ref1_32)) + (0 * tmp1__global__ref1_33)) + (64 * tmp1__global__ref1_34)) + (0 * tmp1__global__ref1_35)) + (0 * tmp1__global__ref1_36)) + (0 * tmp1__global__ref1_37)) + (0 * tmp1__global__ref1_38)) + 2) div 4))
(assert (= tmp7__global__buf_17 tmp18__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_17 = tmp18__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp19__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_32) (* 0 tmp1__global__ref1_33)) (* 0 tmp1__global__ref1_34)) (* 64 tmp1__global__ref1_35)) (* 0 tmp1__global__ref1_36)) (* 0 tmp1__global__ref1_37)) (* 0 tmp1__global__ref1_38)) (* 0 tmp1__global__ref1_39)) 2) 4))) ; (tmp19__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_32) + (0 * tmp1__global__ref1_33)) + (0 * tmp1__global__ref1_34)) + (64 * tmp1__global__ref1_35)) + (0 * tmp1__global__ref1_36)) + (0 * tmp1__global__ref1_37)) + (0 * tmp1__global__ref1_38)) + (0 * tmp1__global__ref1_39)) + 2) div 4))
(assert (= tmp7__global__buf_18 tmp19__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_18 = tmp19__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp20__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_33) (* 0 tmp1__global__ref1_34)) (* 0 tmp1__global__ref1_35)) (* 64 tmp1__global__ref1_36)) (* 0 tmp1__global__ref1_37)) (* 0 tmp1__global__ref1_38)) (* 0 tmp1__global__ref1_39)) (* 0 tmp1__global__ref1_40)) 2) 4))) ; (tmp20__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_33) + (0 * tmp1__global__ref1_34)) + (0 * tmp1__global__ref1_35)) + (64 * tmp1__global__ref1_36)) + (0 * tmp1__global__ref1_37)) + (0 * tmp1__global__ref1_38)) + (0 * tmp1__global__ref1_39)) + (0 * tmp1__global__ref1_40)) + 2) div 4))
(assert (= tmp7__global__buf_19 tmp20__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_19 = tmp20__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp21__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_34) (* 0 tmp1__global__ref1_35)) (* 0 tmp1__global__ref1_36)) (* 64 tmp1__global__ref1_37)) (* 0 tmp1__global__ref1_38)) (* 0 tmp1__global__ref1_39)) (* 0 tmp1__global__ref1_40)) (* 0 tmp1__global__ref1_41)) 2) 4))) ; (tmp21__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_34) + (0 * tmp1__global__ref1_35)) + (0 * tmp1__global__ref1_36)) + (64 * tmp1__global__ref1_37)) + (0 * tmp1__global__ref1_38)) + (0 * tmp1__global__ref1_39)) + (0 * tmp1__global__ref1_40)) + (0 * tmp1__global__ref1_41)) + 2) div 4))
(assert (= tmp7__global__buf_20 tmp21__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_20 = tmp21__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp22__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_35) (* 0 tmp1__global__ref1_36)) (* 0 tmp1__global__ref1_37)) (* 64 tmp1__global__ref1_38)) (* 0 tmp1__global__ref1_39)) (* 0 tmp1__global__ref1_40)) (* 0 tmp1__global__ref1_41)) (* 0 tmp1__global__ref1_42)) 2) 4))) ; (tmp22__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_35) + (0 * tmp1__global__ref1_36)) + (0 * tmp1__global__ref1_37)) + (64 * tmp1__global__ref1_38)) + (0 * tmp1__global__ref1_39)) + (0 * tmp1__global__ref1_40)) + (0 * tmp1__global__ref1_41)) + (0 * tmp1__global__ref1_42)) + 2) div 4))
(assert (= tmp7__global__buf_21 tmp22__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_21 = tmp22__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp23__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_36) (* 0 tmp1__global__ref1_37)) (* 0 tmp1__global__ref1_38)) (* 64 tmp1__global__ref1_39)) (* 0 tmp1__global__ref1_40)) (* 0 tmp1__global__ref1_41)) (* 0 tmp1__global__ref1_42)) (* 0 tmp1__global__ref1_43)) 2) 4))) ; (tmp23__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_36) + (0 * tmp1__global__ref1_37)) + (0 * tmp1__global__ref1_38)) + (64 * tmp1__global__ref1_39)) + (0 * tmp1__global__ref1_40)) + (0 * tmp1__global__ref1_41)) + (0 * tmp1__global__ref1_42)) + (0 * tmp1__global__ref1_43)) + 2) div 4))
(assert (= tmp7__global__buf_22 tmp23__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_22 = tmp23__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp24__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_37) (* 0 tmp1__global__ref1_38)) (* 0 tmp1__global__ref1_39)) (* 64 tmp1__global__ref1_40)) (* 0 tmp1__global__ref1_41)) (* 0 tmp1__global__ref1_42)) (* 0 tmp1__global__ref1_43)) (* 0 tmp1__global__ref1_44)) 2) 4))) ; (tmp24__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_37) + (0 * tmp1__global__ref1_38)) + (0 * tmp1__global__ref1_39)) + (64 * tmp1__global__ref1_40)) + (0 * tmp1__global__ref1_41)) + (0 * tmp1__global__ref1_42)) + (0 * tmp1__global__ref1_43)) + (0 * tmp1__global__ref1_44)) + 2) div 4))
(assert (= tmp7__global__buf_23 tmp24__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_23 = tmp24__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp25__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_45) (* 0 tmp1__global__ref1_46)) (* 0 tmp1__global__ref1_47)) (* 64 tmp1__global__ref1_48)) (* 0 tmp1__global__ref1_49)) (* 0 tmp1__global__ref1_50)) (* 0 tmp1__global__ref1_51)) (* 0 tmp1__global__ref1_52)) 2) 4))) ; (tmp25__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_45) + (0 * tmp1__global__ref1_46)) + (0 * tmp1__global__ref1_47)) + (64 * tmp1__global__ref1_48)) + (0 * tmp1__global__ref1_49)) + (0 * tmp1__global__ref1_50)) + (0 * tmp1__global__ref1_51)) + (0 * tmp1__global__ref1_52)) + 2) div 4))
(assert (= tmp7__global__buf_24 tmp25__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_24 = tmp25__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp26__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_46) (* 0 tmp1__global__ref1_47)) (* 0 tmp1__global__ref1_48)) (* 64 tmp1__global__ref1_49)) (* 0 tmp1__global__ref1_50)) (* 0 tmp1__global__ref1_51)) (* 0 tmp1__global__ref1_52)) (* 0 tmp1__global__ref1_53)) 2) 4))) ; (tmp26__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_46) + (0 * tmp1__global__ref1_47)) + (0 * tmp1__global__ref1_48)) + (64 * tmp1__global__ref1_49)) + (0 * tmp1__global__ref1_50)) + (0 * tmp1__global__ref1_51)) + (0 * tmp1__global__ref1_52)) + (0 * tmp1__global__ref1_53)) + 2) div 4))
(assert (= tmp7__global__buf_25 tmp26__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_25 = tmp26__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp27__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_47) (* 0 tmp1__global__ref1_48)) (* 0 tmp1__global__ref1_49)) (* 64 tmp1__global__ref1_50)) (* 0 tmp1__global__ref1_51)) (* 0 tmp1__global__ref1_52)) (* 0 tmp1__global__ref1_53)) (* 0 tmp1__global__ref1_54)) 2) 4))) ; (tmp27__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_47) + (0 * tmp1__global__ref1_48)) + (0 * tmp1__global__ref1_49)) + (64 * tmp1__global__ref1_50)) + (0 * tmp1__global__ref1_51)) + (0 * tmp1__global__ref1_52)) + (0 * tmp1__global__ref1_53)) + (0 * tmp1__global__ref1_54)) + 2) div 4))
(assert (= tmp7__global__buf_26 tmp27__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_26 = tmp27__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp28__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_48) (* 0 tmp1__global__ref1_49)) (* 0 tmp1__global__ref1_50)) (* 64 tmp1__global__ref1_51)) (* 0 tmp1__global__ref1_52)) (* 0 tmp1__global__ref1_53)) (* 0 tmp1__global__ref1_54)) (* 0 tmp1__global__ref1_55)) 2) 4))) ; (tmp28__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_48) + (0 * tmp1__global__ref1_49)) + (0 * tmp1__global__ref1_50)) + (64 * tmp1__global__ref1_51)) + (0 * tmp1__global__ref1_52)) + (0 * tmp1__global__ref1_53)) + (0 * tmp1__global__ref1_54)) + (0 * tmp1__global__ref1_55)) + 2) div 4))
(assert (= tmp7__global__buf_27 tmp28__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_27 = tmp28__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp29__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_49) (* 0 tmp1__global__ref1_50)) (* 0 tmp1__global__ref1_51)) (* 64 tmp1__global__ref1_52)) (* 0 tmp1__global__ref1_53)) (* 0 tmp1__global__ref1_54)) (* 0 tmp1__global__ref1_55)) (* 0 tmp1__global__ref1_56)) 2) 4))) ; (tmp29__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_49) + (0 * tmp1__global__ref1_50)) + (0 * tmp1__global__ref1_51)) + (64 * tmp1__global__ref1_52)) + (0 * tmp1__global__ref1_53)) + (0 * tmp1__global__ref1_54)) + (0 * tmp1__global__ref1_55)) + (0 * tmp1__global__ref1_56)) + 2) div 4))
(assert (= tmp7__global__buf_28 tmp29__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_28 = tmp29__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp30__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_50) (* 0 tmp1__global__ref1_51)) (* 0 tmp1__global__ref1_52)) (* 64 tmp1__global__ref1_53)) (* 0 tmp1__global__ref1_54)) (* 0 tmp1__global__ref1_55)) (* 0 tmp1__global__ref1_56)) (* 0 tmp1__global__ref1_57)) 2) 4))) ; (tmp30__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_50) + (0 * tmp1__global__ref1_51)) + (0 * tmp1__global__ref1_52)) + (64 * tmp1__global__ref1_53)) + (0 * tmp1__global__ref1_54)) + (0 * tmp1__global__ref1_55)) + (0 * tmp1__global__ref1_56)) + (0 * tmp1__global__ref1_57)) + 2) div 4))
(assert (= tmp7__global__buf_29 tmp30__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_29 = tmp30__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp31__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_51) (* 0 tmp1__global__ref1_52)) (* 0 tmp1__global__ref1_53)) (* 64 tmp1__global__ref1_54)) (* 0 tmp1__global__ref1_55)) (* 0 tmp1__global__ref1_56)) (* 0 tmp1__global__ref1_57)) (* 0 tmp1__global__ref1_58)) 2) 4))) ; (tmp31__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_51) + (0 * tmp1__global__ref1_52)) + (0 * tmp1__global__ref1_53)) + (64 * tmp1__global__ref1_54)) + (0 * tmp1__global__ref1_55)) + (0 * tmp1__global__ref1_56)) + (0 * tmp1__global__ref1_57)) + (0 * tmp1__global__ref1_58)) + 2) div 4))
(assert (= tmp7__global__buf_30 tmp31__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_30 = tmp31__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp32__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_52) (* 0 tmp1__global__ref1_53)) (* 0 tmp1__global__ref1_54)) (* 64 tmp1__global__ref1_55)) (* 0 tmp1__global__ref1_56)) (* 0 tmp1__global__ref1_57)) (* 0 tmp1__global__ref1_58)) (* 0 tmp1__global__ref1_59)) 2) 4))) ; (tmp32__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_52) + (0 * tmp1__global__ref1_53)) + (0 * tmp1__global__ref1_54)) + (64 * tmp1__global__ref1_55)) + (0 * tmp1__global__ref1_56)) + (0 * tmp1__global__ref1_57)) + (0 * tmp1__global__ref1_58)) + (0 * tmp1__global__ref1_59)) + 2) div 4))
(assert (= tmp7__global__buf_31 tmp32__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_31 = tmp32__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp33__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_60) (* 0 tmp1__global__ref1_61)) (* 0 tmp1__global__ref1_62)) (* 64 tmp1__global__ref1_63)) (* 0 tmp1__global__ref1_64)) (* 0 tmp1__global__ref1_65)) (* 0 tmp1__global__ref1_66)) (* 0 tmp1__global__ref1_67)) 2) 4))) ; (tmp33__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_60) + (0 * tmp1__global__ref1_61)) + (0 * tmp1__global__ref1_62)) + (64 * tmp1__global__ref1_63)) + (0 * tmp1__global__ref1_64)) + (0 * tmp1__global__ref1_65)) + (0 * tmp1__global__ref1_66)) + (0 * tmp1__global__ref1_67)) + 2) div 4))
(assert (= tmp7__global__buf_32 tmp33__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_32 = tmp33__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp34__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_61) (* 0 tmp1__global__ref1_62)) (* 0 tmp1__global__ref1_63)) (* 64 tmp1__global__ref1_64)) (* 0 tmp1__global__ref1_65)) (* 0 tmp1__global__ref1_66)) (* 0 tmp1__global__ref1_67)) (* 0 tmp1__global__ref1_68)) 2) 4))) ; (tmp34__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_61) + (0 * tmp1__global__ref1_62)) + (0 * tmp1__global__ref1_63)) + (64 * tmp1__global__ref1_64)) + (0 * tmp1__global__ref1_65)) + (0 * tmp1__global__ref1_66)) + (0 * tmp1__global__ref1_67)) + (0 * tmp1__global__ref1_68)) + 2) div 4))
(assert (= tmp7__global__buf_33 tmp34__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_33 = tmp34__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp35__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_62) (* 0 tmp1__global__ref1_63)) (* 0 tmp1__global__ref1_64)) (* 64 tmp1__global__ref1_65)) (* 0 tmp1__global__ref1_66)) (* 0 tmp1__global__ref1_67)) (* 0 tmp1__global__ref1_68)) (* 0 tmp1__global__ref1_69)) 2) 4))) ; (tmp35__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_62) + (0 * tmp1__global__ref1_63)) + (0 * tmp1__global__ref1_64)) + (64 * tmp1__global__ref1_65)) + (0 * tmp1__global__ref1_66)) + (0 * tmp1__global__ref1_67)) + (0 * tmp1__global__ref1_68)) + (0 * tmp1__global__ref1_69)) + 2) div 4))
(assert (= tmp7__global__buf_34 tmp35__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_34 = tmp35__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp36__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_63) (* 0 tmp1__global__ref1_64)) (* 0 tmp1__global__ref1_65)) (* 64 tmp1__global__ref1_66)) (* 0 tmp1__global__ref1_67)) (* 0 tmp1__global__ref1_68)) (* 0 tmp1__global__ref1_69)) (* 0 tmp1__global__ref1_70)) 2) 4))) ; (tmp36__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_63) + (0 * tmp1__global__ref1_64)) + (0 * tmp1__global__ref1_65)) + (64 * tmp1__global__ref1_66)) + (0 * tmp1__global__ref1_67)) + (0 * tmp1__global__ref1_68)) + (0 * tmp1__global__ref1_69)) + (0 * tmp1__global__ref1_70)) + 2) div 4))
(assert (= tmp7__global__buf_35 tmp36__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_35 = tmp36__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp37__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_64) (* 0 tmp1__global__ref1_65)) (* 0 tmp1__global__ref1_66)) (* 64 tmp1__global__ref1_67)) (* 0 tmp1__global__ref1_68)) (* 0 tmp1__global__ref1_69)) (* 0 tmp1__global__ref1_70)) (* 0 tmp1__global__ref1_71)) 2) 4))) ; (tmp37__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_64) + (0 * tmp1__global__ref1_65)) + (0 * tmp1__global__ref1_66)) + (64 * tmp1__global__ref1_67)) + (0 * tmp1__global__ref1_68)) + (0 * tmp1__global__ref1_69)) + (0 * tmp1__global__ref1_70)) + (0 * tmp1__global__ref1_71)) + 2) div 4))
(assert (= tmp7__global__buf_36 tmp37__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_36 = tmp37__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp38__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_65) (* 0 tmp1__global__ref1_66)) (* 0 tmp1__global__ref1_67)) (* 64 tmp1__global__ref1_68)) (* 0 tmp1__global__ref1_69)) (* 0 tmp1__global__ref1_70)) (* 0 tmp1__global__ref1_71)) (* 0 tmp1__global__ref1_72)) 2) 4))) ; (tmp38__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_65) + (0 * tmp1__global__ref1_66)) + (0 * tmp1__global__ref1_67)) + (64 * tmp1__global__ref1_68)) + (0 * tmp1__global__ref1_69)) + (0 * tmp1__global__ref1_70)) + (0 * tmp1__global__ref1_71)) + (0 * tmp1__global__ref1_72)) + 2) div 4))
(assert (= tmp7__global__buf_37 tmp38__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_37 = tmp38__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp39__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_66) (* 0 tmp1__global__ref1_67)) (* 0 tmp1__global__ref1_68)) (* 64 tmp1__global__ref1_69)) (* 0 tmp1__global__ref1_70)) (* 0 tmp1__global__ref1_71)) (* 0 tmp1__global__ref1_72)) (* 0 tmp1__global__ref1_73)) 2) 4))) ; (tmp39__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_66) + (0 * tmp1__global__ref1_67)) + (0 * tmp1__global__ref1_68)) + (64 * tmp1__global__ref1_69)) + (0 * tmp1__global__ref1_70)) + (0 * tmp1__global__ref1_71)) + (0 * tmp1__global__ref1_72)) + (0 * tmp1__global__ref1_73)) + 2) div 4))
(assert (= tmp7__global__buf_38 tmp39__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_38 = tmp39__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp40__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_67) (* 0 tmp1__global__ref1_68)) (* 0 tmp1__global__ref1_69)) (* 64 tmp1__global__ref1_70)) (* 0 tmp1__global__ref1_71)) (* 0 tmp1__global__ref1_72)) (* 0 tmp1__global__ref1_73)) (* 0 tmp1__global__ref1_74)) 2) 4))) ; (tmp40__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_67) + (0 * tmp1__global__ref1_68)) + (0 * tmp1__global__ref1_69)) + (64 * tmp1__global__ref1_70)) + (0 * tmp1__global__ref1_71)) + (0 * tmp1__global__ref1_72)) + (0 * tmp1__global__ref1_73)) + (0 * tmp1__global__ref1_74)) + 2) div 4))
(assert (= tmp7__global__buf_39 tmp40__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_39 = tmp40__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp41__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_75) (* 0 tmp1__global__ref1_76)) (* 0 tmp1__global__ref1_77)) (* 64 tmp1__global__ref1_78)) (* 0 tmp1__global__ref1_79)) (* 0 tmp1__global__ref1_80)) (* 0 tmp1__global__ref1_81)) (* 0 tmp1__global__ref1_82)) 2) 4))) ; (tmp41__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_75) + (0 * tmp1__global__ref1_76)) + (0 * tmp1__global__ref1_77)) + (64 * tmp1__global__ref1_78)) + (0 * tmp1__global__ref1_79)) + (0 * tmp1__global__ref1_80)) + (0 * tmp1__global__ref1_81)) + (0 * tmp1__global__ref1_82)) + 2) div 4))
(assert (= tmp7__global__buf_40 tmp41__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_40 = tmp41__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp42__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_76) (* 0 tmp1__global__ref1_77)) (* 0 tmp1__global__ref1_78)) (* 64 tmp1__global__ref1_79)) (* 0 tmp1__global__ref1_80)) (* 0 tmp1__global__ref1_81)) (* 0 tmp1__global__ref1_82)) (* 0 tmp1__global__ref1_83)) 2) 4))) ; (tmp42__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_76) + (0 * tmp1__global__ref1_77)) + (0 * tmp1__global__ref1_78)) + (64 * tmp1__global__ref1_79)) + (0 * tmp1__global__ref1_80)) + (0 * tmp1__global__ref1_81)) + (0 * tmp1__global__ref1_82)) + (0 * tmp1__global__ref1_83)) + 2) div 4))
(assert (= tmp7__global__buf_41 tmp42__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_41 = tmp42__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp43__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_77) (* 0 tmp1__global__ref1_78)) (* 0 tmp1__global__ref1_79)) (* 64 tmp1__global__ref1_80)) (* 0 tmp1__global__ref1_81)) (* 0 tmp1__global__ref1_82)) (* 0 tmp1__global__ref1_83)) (* 0 tmp1__global__ref1_84)) 2) 4))) ; (tmp43__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_77) + (0 * tmp1__global__ref1_78)) + (0 * tmp1__global__ref1_79)) + (64 * tmp1__global__ref1_80)) + (0 * tmp1__global__ref1_81)) + (0 * tmp1__global__ref1_82)) + (0 * tmp1__global__ref1_83)) + (0 * tmp1__global__ref1_84)) + 2) div 4))
(assert (= tmp7__global__buf_42 tmp43__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_42 = tmp43__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp44__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_78) (* 0 tmp1__global__ref1_79)) (* 0 tmp1__global__ref1_80)) (* 64 tmp1__global__ref1_81)) (* 0 tmp1__global__ref1_82)) (* 0 tmp1__global__ref1_83)) (* 0 tmp1__global__ref1_84)) (* 0 tmp1__global__ref1_85)) 2) 4))) ; (tmp44__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_78) + (0 * tmp1__global__ref1_79)) + (0 * tmp1__global__ref1_80)) + (64 * tmp1__global__ref1_81)) + (0 * tmp1__global__ref1_82)) + (0 * tmp1__global__ref1_83)) + (0 * tmp1__global__ref1_84)) + (0 * tmp1__global__ref1_85)) + 2) div 4))
(assert (= tmp7__global__buf_43 tmp44__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_43 = tmp44__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp45__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_79) (* 0 tmp1__global__ref1_80)) (* 0 tmp1__global__ref1_81)) (* 64 tmp1__global__ref1_82)) (* 0 tmp1__global__ref1_83)) (* 0 tmp1__global__ref1_84)) (* 0 tmp1__global__ref1_85)) (* 0 tmp1__global__ref1_86)) 2) 4))) ; (tmp45__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_79) + (0 * tmp1__global__ref1_80)) + (0 * tmp1__global__ref1_81)) + (64 * tmp1__global__ref1_82)) + (0 * tmp1__global__ref1_83)) + (0 * tmp1__global__ref1_84)) + (0 * tmp1__global__ref1_85)) + (0 * tmp1__global__ref1_86)) + 2) div 4))
(assert (= tmp7__global__buf_44 tmp45__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_44 = tmp45__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp46__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_80) (* 0 tmp1__global__ref1_81)) (* 0 tmp1__global__ref1_82)) (* 64 tmp1__global__ref1_83)) (* 0 tmp1__global__ref1_84)) (* 0 tmp1__global__ref1_85)) (* 0 tmp1__global__ref1_86)) (* 0 tmp1__global__ref1_87)) 2) 4))) ; (tmp46__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_80) + (0 * tmp1__global__ref1_81)) + (0 * tmp1__global__ref1_82)) + (64 * tmp1__global__ref1_83)) + (0 * tmp1__global__ref1_84)) + (0 * tmp1__global__ref1_85)) + (0 * tmp1__global__ref1_86)) + (0 * tmp1__global__ref1_87)) + 2) div 4))
(assert (= tmp7__global__buf_45 tmp46__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_45 = tmp46__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp47__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_81) (* 0 tmp1__global__ref1_82)) (* 0 tmp1__global__ref1_83)) (* 64 tmp1__global__ref1_84)) (* 0 tmp1__global__ref1_85)) (* 0 tmp1__global__ref1_86)) (* 0 tmp1__global__ref1_87)) (* 0 tmp1__global__ref1_88)) 2) 4))) ; (tmp47__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_81) + (0 * tmp1__global__ref1_82)) + (0 * tmp1__global__ref1_83)) + (64 * tmp1__global__ref1_84)) + (0 * tmp1__global__ref1_85)) + (0 * tmp1__global__ref1_86)) + (0 * tmp1__global__ref1_87)) + (0 * tmp1__global__ref1_88)) + 2) div 4))
(assert (= tmp7__global__buf_46 tmp47__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_46 = tmp47__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp48__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_82) (* 0 tmp1__global__ref1_83)) (* 0 tmp1__global__ref1_84)) (* 64 tmp1__global__ref1_85)) (* 0 tmp1__global__ref1_86)) (* 0 tmp1__global__ref1_87)) (* 0 tmp1__global__ref1_88)) (* 0 tmp1__global__ref1_89)) 2) 4))) ; (tmp48__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_82) + (0 * tmp1__global__ref1_83)) + (0 * tmp1__global__ref1_84)) + (64 * tmp1__global__ref1_85)) + (0 * tmp1__global__ref1_86)) + (0 * tmp1__global__ref1_87)) + (0 * tmp1__global__ref1_88)) + (0 * tmp1__global__ref1_89)) + 2) div 4))
(assert (= tmp7__global__buf_47 tmp48__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_47 = tmp48__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp49__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_90) (* 0 tmp1__global__ref1_91)) (* 0 tmp1__global__ref1_92)) (* 64 tmp1__global__ref1_93)) (* 0 tmp1__global__ref1_94)) (* 0 tmp1__global__ref1_95)) (* 0 tmp1__global__ref1_96)) (* 0 tmp1__global__ref1_97)) 2) 4))) ; (tmp49__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_90) + (0 * tmp1__global__ref1_91)) + (0 * tmp1__global__ref1_92)) + (64 * tmp1__global__ref1_93)) + (0 * tmp1__global__ref1_94)) + (0 * tmp1__global__ref1_95)) + (0 * tmp1__global__ref1_96)) + (0 * tmp1__global__ref1_97)) + 2) div 4))
(assert (= tmp7__global__buf_48 tmp49__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_48 = tmp49__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp50__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_91) (* 0 tmp1__global__ref1_92)) (* 0 tmp1__global__ref1_93)) (* 64 tmp1__global__ref1_94)) (* 0 tmp1__global__ref1_95)) (* 0 tmp1__global__ref1_96)) (* 0 tmp1__global__ref1_97)) (* 0 tmp1__global__ref1_98)) 2) 4))) ; (tmp50__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_91) + (0 * tmp1__global__ref1_92)) + (0 * tmp1__global__ref1_93)) + (64 * tmp1__global__ref1_94)) + (0 * tmp1__global__ref1_95)) + (0 * tmp1__global__ref1_96)) + (0 * tmp1__global__ref1_97)) + (0 * tmp1__global__ref1_98)) + 2) div 4))
(assert (= tmp7__global__buf_49 tmp50__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_49 = tmp50__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp51__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_92) (* 0 tmp1__global__ref1_93)) (* 0 tmp1__global__ref1_94)) (* 64 tmp1__global__ref1_95)) (* 0 tmp1__global__ref1_96)) (* 0 tmp1__global__ref1_97)) (* 0 tmp1__global__ref1_98)) (* 0 tmp1__global__ref1_99)) 2) 4))) ; (tmp51__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_92) + (0 * tmp1__global__ref1_93)) + (0 * tmp1__global__ref1_94)) + (64 * tmp1__global__ref1_95)) + (0 * tmp1__global__ref1_96)) + (0 * tmp1__global__ref1_97)) + (0 * tmp1__global__ref1_98)) + (0 * tmp1__global__ref1_99)) + 2) div 4))
(assert (= tmp7__global__buf_50 tmp51__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_50 = tmp51__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp52__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_93) (* 0 tmp1__global__ref1_94)) (* 0 tmp1__global__ref1_95)) (* 64 tmp1__global__ref1_96)) (* 0 tmp1__global__ref1_97)) (* 0 tmp1__global__ref1_98)) (* 0 tmp1__global__ref1_99)) (* 0 tmp1__global__ref1_100)) 2) 4))) ; (tmp52__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_93) + (0 * tmp1__global__ref1_94)) + (0 * tmp1__global__ref1_95)) + (64 * tmp1__global__ref1_96)) + (0 * tmp1__global__ref1_97)) + (0 * tmp1__global__ref1_98)) + (0 * tmp1__global__ref1_99)) + (0 * tmp1__global__ref1_100)) + 2) div 4))
(assert (= tmp7__global__buf_51 tmp52__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_51 = tmp52__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp53__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_94) (* 0 tmp1__global__ref1_95)) (* 0 tmp1__global__ref1_96)) (* 64 tmp1__global__ref1_97)) (* 0 tmp1__global__ref1_98)) (* 0 tmp1__global__ref1_99)) (* 0 tmp1__global__ref1_100)) (* 0 tmp1__global__ref1_101)) 2) 4))) ; (tmp53__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_94) + (0 * tmp1__global__ref1_95)) + (0 * tmp1__global__ref1_96)) + (64 * tmp1__global__ref1_97)) + (0 * tmp1__global__ref1_98)) + (0 * tmp1__global__ref1_99)) + (0 * tmp1__global__ref1_100)) + (0 * tmp1__global__ref1_101)) + 2) div 4))
(assert (= tmp7__global__buf_52 tmp53__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_52 = tmp53__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp54__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_95) (* 0 tmp1__global__ref1_96)) (* 0 tmp1__global__ref1_97)) (* 64 tmp1__global__ref1_98)) (* 0 tmp1__global__ref1_99)) (* 0 tmp1__global__ref1_100)) (* 0 tmp1__global__ref1_101)) (* 0 tmp1__global__ref1_102)) 2) 4))) ; (tmp54__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_95) + (0 * tmp1__global__ref1_96)) + (0 * tmp1__global__ref1_97)) + (64 * tmp1__global__ref1_98)) + (0 * tmp1__global__ref1_99)) + (0 * tmp1__global__ref1_100)) + (0 * tmp1__global__ref1_101)) + (0 * tmp1__global__ref1_102)) + 2) div 4))
(assert (= tmp7__global__buf_53 tmp54__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_53 = tmp54__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp55__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_96) (* 0 tmp1__global__ref1_97)) (* 0 tmp1__global__ref1_98)) (* 64 tmp1__global__ref1_99)) (* 0 tmp1__global__ref1_100)) (* 0 tmp1__global__ref1_101)) (* 0 tmp1__global__ref1_102)) (* 0 tmp1__global__ref1_103)) 2) 4))) ; (tmp55__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_96) + (0 * tmp1__global__ref1_97)) + (0 * tmp1__global__ref1_98)) + (64 * tmp1__global__ref1_99)) + (0 * tmp1__global__ref1_100)) + (0 * tmp1__global__ref1_101)) + (0 * tmp1__global__ref1_102)) + (0 * tmp1__global__ref1_103)) + 2) div 4))
(assert (= tmp7__global__buf_54 tmp55__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_54 = tmp55__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp56__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_97) (* 0 tmp1__global__ref1_98)) (* 0 tmp1__global__ref1_99)) (* 64 tmp1__global__ref1_100)) (* 0 tmp1__global__ref1_101)) (* 0 tmp1__global__ref1_102)) (* 0 tmp1__global__ref1_103)) (* 0 tmp1__global__ref1_104)) 2) 4))) ; (tmp56__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_97) + (0 * tmp1__global__ref1_98)) + (0 * tmp1__global__ref1_99)) + (64 * tmp1__global__ref1_100)) + (0 * tmp1__global__ref1_101)) + (0 * tmp1__global__ref1_102)) + (0 * tmp1__global__ref1_103)) + (0 * tmp1__global__ref1_104)) + 2) div 4))
(assert (= tmp7__global__buf_55 tmp56__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_55 = tmp56__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp57__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_105) (* 0 tmp1__global__ref1_106)) (* 0 tmp1__global__ref1_107)) (* 64 tmp1__global__ref1_108)) (* 0 tmp1__global__ref1_109)) (* 0 tmp1__global__ref1_110)) (* 0 tmp1__global__ref1_111)) (* 0 tmp1__global__ref1_112)) 2) 4))) ; (tmp57__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_105) + (0 * tmp1__global__ref1_106)) + (0 * tmp1__global__ref1_107)) + (64 * tmp1__global__ref1_108)) + (0 * tmp1__global__ref1_109)) + (0 * tmp1__global__ref1_110)) + (0 * tmp1__global__ref1_111)) + (0 * tmp1__global__ref1_112)) + 2) div 4))
(assert (= tmp7__global__buf_56 tmp57__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_56 = tmp57__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp58__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_106) (* 0 tmp1__global__ref1_107)) (* 0 tmp1__global__ref1_108)) (* 64 tmp1__global__ref1_109)) (* 0 tmp1__global__ref1_110)) (* 0 tmp1__global__ref1_111)) (* 0 tmp1__global__ref1_112)) (* 0 tmp1__global__ref1_113)) 2) 4))) ; (tmp58__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_106) + (0 * tmp1__global__ref1_107)) + (0 * tmp1__global__ref1_108)) + (64 * tmp1__global__ref1_109)) + (0 * tmp1__global__ref1_110)) + (0 * tmp1__global__ref1_111)) + (0 * tmp1__global__ref1_112)) + (0 * tmp1__global__ref1_113)) + 2) div 4))
(assert (= tmp7__global__buf_57 tmp58__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_57 = tmp58__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp59__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_107) (* 0 tmp1__global__ref1_108)) (* 0 tmp1__global__ref1_109)) (* 64 tmp1__global__ref1_110)) (* 0 tmp1__global__ref1_111)) (* 0 tmp1__global__ref1_112)) (* 0 tmp1__global__ref1_113)) (* 0 tmp1__global__ref1_114)) 2) 4))) ; (tmp59__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_107) + (0 * tmp1__global__ref1_108)) + (0 * tmp1__global__ref1_109)) + (64 * tmp1__global__ref1_110)) + (0 * tmp1__global__ref1_111)) + (0 * tmp1__global__ref1_112)) + (0 * tmp1__global__ref1_113)) + (0 * tmp1__global__ref1_114)) + 2) div 4))
(assert (= tmp7__global__buf_58 tmp59__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_58 = tmp59__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp60__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_108) (* 0 tmp1__global__ref1_109)) (* 0 tmp1__global__ref1_110)) (* 64 tmp1__global__ref1_111)) (* 0 tmp1__global__ref1_112)) (* 0 tmp1__global__ref1_113)) (* 0 tmp1__global__ref1_114)) (* 0 tmp1__global__ref1_115)) 2) 4))) ; (tmp60__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_108) + (0 * tmp1__global__ref1_109)) + (0 * tmp1__global__ref1_110)) + (64 * tmp1__global__ref1_111)) + (0 * tmp1__global__ref1_112)) + (0 * tmp1__global__ref1_113)) + (0 * tmp1__global__ref1_114)) + (0 * tmp1__global__ref1_115)) + 2) div 4))
(assert (= tmp7__global__buf_59 tmp60__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_59 = tmp60__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp61__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_109) (* 0 tmp1__global__ref1_110)) (* 0 tmp1__global__ref1_111)) (* 64 tmp1__global__ref1_112)) (* 0 tmp1__global__ref1_113)) (* 0 tmp1__global__ref1_114)) (* 0 tmp1__global__ref1_115)) (* 0 tmp1__global__ref1_116)) 2) 4))) ; (tmp61__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_109) + (0 * tmp1__global__ref1_110)) + (0 * tmp1__global__ref1_111)) + (64 * tmp1__global__ref1_112)) + (0 * tmp1__global__ref1_113)) + (0 * tmp1__global__ref1_114)) + (0 * tmp1__global__ref1_115)) + (0 * tmp1__global__ref1_116)) + 2) div 4))
(assert (= tmp7__global__buf_60 tmp61__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_60 = tmp61__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp62__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_110) (* 0 tmp1__global__ref1_111)) (* 0 tmp1__global__ref1_112)) (* 64 tmp1__global__ref1_113)) (* 0 tmp1__global__ref1_114)) (* 0 tmp1__global__ref1_115)) (* 0 tmp1__global__ref1_116)) (* 0 tmp1__global__ref1_117)) 2) 4))) ; (tmp62__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_110) + (0 * tmp1__global__ref1_111)) + (0 * tmp1__global__ref1_112)) + (64 * tmp1__global__ref1_113)) + (0 * tmp1__global__ref1_114)) + (0 * tmp1__global__ref1_115)) + (0 * tmp1__global__ref1_116)) + (0 * tmp1__global__ref1_117)) + 2) div 4))
(assert (= tmp7__global__buf_61 tmp62__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_61 = tmp62__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp63__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_111) (* 0 tmp1__global__ref1_112)) (* 0 tmp1__global__ref1_113)) (* 64 tmp1__global__ref1_114)) (* 0 tmp1__global__ref1_115)) (* 0 tmp1__global__ref1_116)) (* 0 tmp1__global__ref1_117)) (* 0 tmp1__global__ref1_118)) 2) 4))) ; (tmp63__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_111) + (0 * tmp1__global__ref1_112)) + (0 * tmp1__global__ref1_113)) + (64 * tmp1__global__ref1_114)) + (0 * tmp1__global__ref1_115)) + (0 * tmp1__global__ref1_116)) + (0 * tmp1__global__ref1_117)) + (0 * tmp1__global__ref1_118)) + 2) div 4))
(assert (= tmp7__global__buf_62 tmp63__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_62 = tmp63__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp64__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_112) (* 0 tmp1__global__ref1_113)) (* 0 tmp1__global__ref1_114)) (* 64 tmp1__global__ref1_115)) (* 0 tmp1__global__ref1_116)) (* 0 tmp1__global__ref1_117)) (* 0 tmp1__global__ref1_118)) (* 0 tmp1__global__ref1_119)) 2) 4))) ; (tmp64__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_112) + (0 * tmp1__global__ref1_113)) + (0 * tmp1__global__ref1_114)) + (64 * tmp1__global__ref1_115)) + (0 * tmp1__global__ref1_116)) + (0 * tmp1__global__ref1_117)) + (0 * tmp1__global__ref1_118)) + (0 * tmp1__global__ref1_119)) + 2) div 4))
(assert (= tmp7__global__buf_63 tmp64__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_63 = tmp64__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp65__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_120) (* 0 tmp1__global__ref1_121)) (* 0 tmp1__global__ref1_122)) (* 64 tmp1__global__ref1_123)) (* 0 tmp1__global__ref1_124)) (* 0 tmp1__global__ref1_125)) (* 0 tmp1__global__ref1_126)) (* 0 tmp1__global__ref1_127)) 2) 4))) ; (tmp65__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_120) + (0 * tmp1__global__ref1_121)) + (0 * tmp1__global__ref1_122)) + (64 * tmp1__global__ref1_123)) + (0 * tmp1__global__ref1_124)) + (0 * tmp1__global__ref1_125)) + (0 * tmp1__global__ref1_126)) + (0 * tmp1__global__ref1_127)) + 2) div 4))
(assert (= tmp7__global__buf_64 tmp65__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_64 = tmp65__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp66__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_121) (* 0 tmp1__global__ref1_122)) (* 0 tmp1__global__ref1_123)) (* 64 tmp1__global__ref1_124)) (* 0 tmp1__global__ref1_125)) (* 0 tmp1__global__ref1_126)) (* 0 tmp1__global__ref1_127)) (* 0 tmp1__global__ref1_128)) 2) 4))) ; (tmp66__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_121) + (0 * tmp1__global__ref1_122)) + (0 * tmp1__global__ref1_123)) + (64 * tmp1__global__ref1_124)) + (0 * tmp1__global__ref1_125)) + (0 * tmp1__global__ref1_126)) + (0 * tmp1__global__ref1_127)) + (0 * tmp1__global__ref1_128)) + 2) div 4))
(assert (= tmp7__global__buf_65 tmp66__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_65 = tmp66__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp67__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_122) (* 0 tmp1__global__ref1_123)) (* 0 tmp1__global__ref1_124)) (* 64 tmp1__global__ref1_125)) (* 0 tmp1__global__ref1_126)) (* 0 tmp1__global__ref1_127)) (* 0 tmp1__global__ref1_128)) (* 0 tmp1__global__ref1_129)) 2) 4))) ; (tmp67__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_122) + (0 * tmp1__global__ref1_123)) + (0 * tmp1__global__ref1_124)) + (64 * tmp1__global__ref1_125)) + (0 * tmp1__global__ref1_126)) + (0 * tmp1__global__ref1_127)) + (0 * tmp1__global__ref1_128)) + (0 * tmp1__global__ref1_129)) + 2) div 4))
(assert (= tmp7__global__buf_66 tmp67__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_66 = tmp67__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp68__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_123) (* 0 tmp1__global__ref1_124)) (* 0 tmp1__global__ref1_125)) (* 64 tmp1__global__ref1_126)) (* 0 tmp1__global__ref1_127)) (* 0 tmp1__global__ref1_128)) (* 0 tmp1__global__ref1_129)) (* 0 tmp1__global__ref1_130)) 2) 4))) ; (tmp68__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_123) + (0 * tmp1__global__ref1_124)) + (0 * tmp1__global__ref1_125)) + (64 * tmp1__global__ref1_126)) + (0 * tmp1__global__ref1_127)) + (0 * tmp1__global__ref1_128)) + (0 * tmp1__global__ref1_129)) + (0 * tmp1__global__ref1_130)) + 2) div 4))
(assert (= tmp7__global__buf_67 tmp68__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_67 = tmp68__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp69__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_124) (* 0 tmp1__global__ref1_125)) (* 0 tmp1__global__ref1_126)) (* 64 tmp1__global__ref1_127)) (* 0 tmp1__global__ref1_128)) (* 0 tmp1__global__ref1_129)) (* 0 tmp1__global__ref1_130)) (* 0 tmp1__global__ref1_131)) 2) 4))) ; (tmp69__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_124) + (0 * tmp1__global__ref1_125)) + (0 * tmp1__global__ref1_126)) + (64 * tmp1__global__ref1_127)) + (0 * tmp1__global__ref1_128)) + (0 * tmp1__global__ref1_129)) + (0 * tmp1__global__ref1_130)) + (0 * tmp1__global__ref1_131)) + 2) div 4))
(assert (= tmp7__global__buf_68 tmp69__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_68 = tmp69__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp70__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_125) (* 0 tmp1__global__ref1_126)) (* 0 tmp1__global__ref1_127)) (* 64 tmp1__global__ref1_128)) (* 0 tmp1__global__ref1_129)) (* 0 tmp1__global__ref1_130)) (* 0 tmp1__global__ref1_131)) (* 0 tmp1__global__ref1_132)) 2) 4))) ; (tmp70__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_125) + (0 * tmp1__global__ref1_126)) + (0 * tmp1__global__ref1_127)) + (64 * tmp1__global__ref1_128)) + (0 * tmp1__global__ref1_129)) + (0 * tmp1__global__ref1_130)) + (0 * tmp1__global__ref1_131)) + (0 * tmp1__global__ref1_132)) + 2) div 4))
(assert (= tmp7__global__buf_69 tmp70__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_69 = tmp70__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp71__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_126) (* 0 tmp1__global__ref1_127)) (* 0 tmp1__global__ref1_128)) (* 64 tmp1__global__ref1_129)) (* 0 tmp1__global__ref1_130)) (* 0 tmp1__global__ref1_131)) (* 0 tmp1__global__ref1_132)) (* 0 tmp1__global__ref1_133)) 2) 4))) ; (tmp71__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_126) + (0 * tmp1__global__ref1_127)) + (0 * tmp1__global__ref1_128)) + (64 * tmp1__global__ref1_129)) + (0 * tmp1__global__ref1_130)) + (0 * tmp1__global__ref1_131)) + (0 * tmp1__global__ref1_132)) + (0 * tmp1__global__ref1_133)) + 2) div 4))
(assert (= tmp7__global__buf_70 tmp71__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_70 = tmp71__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp72__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_127) (* 0 tmp1__global__ref1_128)) (* 0 tmp1__global__ref1_129)) (* 64 tmp1__global__ref1_130)) (* 0 tmp1__global__ref1_131)) (* 0 tmp1__global__ref1_132)) (* 0 tmp1__global__ref1_133)) (* 0 tmp1__global__ref1_134)) 2) 4))) ; (tmp72__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_127) + (0 * tmp1__global__ref1_128)) + (0 * tmp1__global__ref1_129)) + (64 * tmp1__global__ref1_130)) + (0 * tmp1__global__ref1_131)) + (0 * tmp1__global__ref1_132)) + (0 * tmp1__global__ref1_133)) + (0 * tmp1__global__ref1_134)) + 2) div 4))
(assert (= tmp7__global__buf_71 tmp72__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_71 = tmp72__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp73__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_135) (* 0 tmp1__global__ref1_136)) (* 0 tmp1__global__ref1_137)) (* 64 tmp1__global__ref1_138)) (* 0 tmp1__global__ref1_139)) (* 0 tmp1__global__ref1_140)) (* 0 tmp1__global__ref1_141)) (* 0 tmp1__global__ref1_142)) 2) 4))) ; (tmp73__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_135) + (0 * tmp1__global__ref1_136)) + (0 * tmp1__global__ref1_137)) + (64 * tmp1__global__ref1_138)) + (0 * tmp1__global__ref1_139)) + (0 * tmp1__global__ref1_140)) + (0 * tmp1__global__ref1_141)) + (0 * tmp1__global__ref1_142)) + 2) div 4))
(assert (= tmp7__global__buf_72 tmp73__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_72 = tmp73__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp74__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_136) (* 0 tmp1__global__ref1_137)) (* 0 tmp1__global__ref1_138)) (* 64 tmp1__global__ref1_139)) (* 0 tmp1__global__ref1_140)) (* 0 tmp1__global__ref1_141)) (* 0 tmp1__global__ref1_142)) (* 0 tmp1__global__ref1_143)) 2) 4))) ; (tmp74__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_136) + (0 * tmp1__global__ref1_137)) + (0 * tmp1__global__ref1_138)) + (64 * tmp1__global__ref1_139)) + (0 * tmp1__global__ref1_140)) + (0 * tmp1__global__ref1_141)) + (0 * tmp1__global__ref1_142)) + (0 * tmp1__global__ref1_143)) + 2) div 4))
(assert (= tmp7__global__buf_73 tmp74__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_73 = tmp74__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp75__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_137) (* 0 tmp1__global__ref1_138)) (* 0 tmp1__global__ref1_139)) (* 64 tmp1__global__ref1_140)) (* 0 tmp1__global__ref1_141)) (* 0 tmp1__global__ref1_142)) (* 0 tmp1__global__ref1_143)) (* 0 tmp1__global__ref1_144)) 2) 4))) ; (tmp75__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_137) + (0 * tmp1__global__ref1_138)) + (0 * tmp1__global__ref1_139)) + (64 * tmp1__global__ref1_140)) + (0 * tmp1__global__ref1_141)) + (0 * tmp1__global__ref1_142)) + (0 * tmp1__global__ref1_143)) + (0 * tmp1__global__ref1_144)) + 2) div 4))
(assert (= tmp7__global__buf_74 tmp75__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_74 = tmp75__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp76__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_138) (* 0 tmp1__global__ref1_139)) (* 0 tmp1__global__ref1_140)) (* 64 tmp1__global__ref1_141)) (* 0 tmp1__global__ref1_142)) (* 0 tmp1__global__ref1_143)) (* 0 tmp1__global__ref1_144)) (* 0 tmp1__global__ref1_145)) 2) 4))) ; (tmp76__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_138) + (0 * tmp1__global__ref1_139)) + (0 * tmp1__global__ref1_140)) + (64 * tmp1__global__ref1_141)) + (0 * tmp1__global__ref1_142)) + (0 * tmp1__global__ref1_143)) + (0 * tmp1__global__ref1_144)) + (0 * tmp1__global__ref1_145)) + 2) div 4))
(assert (= tmp7__global__buf_75 tmp76__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_75 = tmp76__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp77__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_139) (* 0 tmp1__global__ref1_140)) (* 0 tmp1__global__ref1_141)) (* 64 tmp1__global__ref1_142)) (* 0 tmp1__global__ref1_143)) (* 0 tmp1__global__ref1_144)) (* 0 tmp1__global__ref1_145)) (* 0 tmp1__global__ref1_146)) 2) 4))) ; (tmp77__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_139) + (0 * tmp1__global__ref1_140)) + (0 * tmp1__global__ref1_141)) + (64 * tmp1__global__ref1_142)) + (0 * tmp1__global__ref1_143)) + (0 * tmp1__global__ref1_144)) + (0 * tmp1__global__ref1_145)) + (0 * tmp1__global__ref1_146)) + 2) div 4))
(assert (= tmp7__global__buf_76 tmp77__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_76 = tmp77__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp78__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_140) (* 0 tmp1__global__ref1_141)) (* 0 tmp1__global__ref1_142)) (* 64 tmp1__global__ref1_143)) (* 0 tmp1__global__ref1_144)) (* 0 tmp1__global__ref1_145)) (* 0 tmp1__global__ref1_146)) (* 0 tmp1__global__ref1_147)) 2) 4))) ; (tmp78__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_140) + (0 * tmp1__global__ref1_141)) + (0 * tmp1__global__ref1_142)) + (64 * tmp1__global__ref1_143)) + (0 * tmp1__global__ref1_144)) + (0 * tmp1__global__ref1_145)) + (0 * tmp1__global__ref1_146)) + (0 * tmp1__global__ref1_147)) + 2) div 4))
(assert (= tmp7__global__buf_77 tmp78__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_77 = tmp78__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp79__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_141) (* 0 tmp1__global__ref1_142)) (* 0 tmp1__global__ref1_143)) (* 64 tmp1__global__ref1_144)) (* 0 tmp1__global__ref1_145)) (* 0 tmp1__global__ref1_146)) (* 0 tmp1__global__ref1_147)) (* 0 tmp1__global__ref1_148)) 2) 4))) ; (tmp79__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_141) + (0 * tmp1__global__ref1_142)) + (0 * tmp1__global__ref1_143)) + (64 * tmp1__global__ref1_144)) + (0 * tmp1__global__ref1_145)) + (0 * tmp1__global__ref1_146)) + (0 * tmp1__global__ref1_147)) + (0 * tmp1__global__ref1_148)) + 2) div 4))
(assert (= tmp7__global__buf_78 tmp79__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_78 = tmp79__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp80__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_142) (* 0 tmp1__global__ref1_143)) (* 0 tmp1__global__ref1_144)) (* 64 tmp1__global__ref1_145)) (* 0 tmp1__global__ref1_146)) (* 0 tmp1__global__ref1_147)) (* 0 tmp1__global__ref1_148)) (* 0 tmp1__global__ref1_149)) 2) 4))) ; (tmp80__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_142) + (0 * tmp1__global__ref1_143)) + (0 * tmp1__global__ref1_144)) + (64 * tmp1__global__ref1_145)) + (0 * tmp1__global__ref1_146)) + (0 * tmp1__global__ref1_147)) + (0 * tmp1__global__ref1_148)) + (0 * tmp1__global__ref1_149)) + 2) div 4))
(assert (= tmp7__global__buf_79 tmp80__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_79 = tmp80__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp81__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_150) (* 0 tmp1__global__ref1_151)) (* 0 tmp1__global__ref1_152)) (* 64 tmp1__global__ref1_153)) (* 0 tmp1__global__ref1_154)) (* 0 tmp1__global__ref1_155)) (* 0 tmp1__global__ref1_156)) (* 0 tmp1__global__ref1_157)) 2) 4))) ; (tmp81__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_150) + (0 * tmp1__global__ref1_151)) + (0 * tmp1__global__ref1_152)) + (64 * tmp1__global__ref1_153)) + (0 * tmp1__global__ref1_154)) + (0 * tmp1__global__ref1_155)) + (0 * tmp1__global__ref1_156)) + (0 * tmp1__global__ref1_157)) + 2) div 4))
(assert (= tmp7__global__buf_80 tmp81__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_80 = tmp81__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp82__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_151) (* 0 tmp1__global__ref1_152)) (* 0 tmp1__global__ref1_153)) (* 64 tmp1__global__ref1_154)) (* 0 tmp1__global__ref1_155)) (* 0 tmp1__global__ref1_156)) (* 0 tmp1__global__ref1_157)) (* 0 tmp1__global__ref1_158)) 2) 4))) ; (tmp82__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_151) + (0 * tmp1__global__ref1_152)) + (0 * tmp1__global__ref1_153)) + (64 * tmp1__global__ref1_154)) + (0 * tmp1__global__ref1_155)) + (0 * tmp1__global__ref1_156)) + (0 * tmp1__global__ref1_157)) + (0 * tmp1__global__ref1_158)) + 2) div 4))
(assert (= tmp7__global__buf_81 tmp82__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_81 = tmp82__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp83__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_152) (* 0 tmp1__global__ref1_153)) (* 0 tmp1__global__ref1_154)) (* 64 tmp1__global__ref1_155)) (* 0 tmp1__global__ref1_156)) (* 0 tmp1__global__ref1_157)) (* 0 tmp1__global__ref1_158)) (* 0 tmp1__global__ref1_159)) 2) 4))) ; (tmp83__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_152) + (0 * tmp1__global__ref1_153)) + (0 * tmp1__global__ref1_154)) + (64 * tmp1__global__ref1_155)) + (0 * tmp1__global__ref1_156)) + (0 * tmp1__global__ref1_157)) + (0 * tmp1__global__ref1_158)) + (0 * tmp1__global__ref1_159)) + 2) div 4))
(assert (= tmp7__global__buf_82 tmp83__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_82 = tmp83__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp84__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_153) (* 0 tmp1__global__ref1_154)) (* 0 tmp1__global__ref1_155)) (* 64 tmp1__global__ref1_156)) (* 0 tmp1__global__ref1_157)) (* 0 tmp1__global__ref1_158)) (* 0 tmp1__global__ref1_159)) (* 0 tmp1__global__ref1_160)) 2) 4))) ; (tmp84__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_153) + (0 * tmp1__global__ref1_154)) + (0 * tmp1__global__ref1_155)) + (64 * tmp1__global__ref1_156)) + (0 * tmp1__global__ref1_157)) + (0 * tmp1__global__ref1_158)) + (0 * tmp1__global__ref1_159)) + (0 * tmp1__global__ref1_160)) + 2) div 4))
(assert (= tmp7__global__buf_83 tmp84__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_83 = tmp84__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp85__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_154) (* 0 tmp1__global__ref1_155)) (* 0 tmp1__global__ref1_156)) (* 64 tmp1__global__ref1_157)) (* 0 tmp1__global__ref1_158)) (* 0 tmp1__global__ref1_159)) (* 0 tmp1__global__ref1_160)) (* 0 tmp1__global__ref1_161)) 2) 4))) ; (tmp85__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_154) + (0 * tmp1__global__ref1_155)) + (0 * tmp1__global__ref1_156)) + (64 * tmp1__global__ref1_157)) + (0 * tmp1__global__ref1_158)) + (0 * tmp1__global__ref1_159)) + (0 * tmp1__global__ref1_160)) + (0 * tmp1__global__ref1_161)) + 2) div 4))
(assert (= tmp7__global__buf_84 tmp85__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_84 = tmp85__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp86__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_155) (* 0 tmp1__global__ref1_156)) (* 0 tmp1__global__ref1_157)) (* 64 tmp1__global__ref1_158)) (* 0 tmp1__global__ref1_159)) (* 0 tmp1__global__ref1_160)) (* 0 tmp1__global__ref1_161)) (* 0 tmp1__global__ref1_162)) 2) 4))) ; (tmp86__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_155) + (0 * tmp1__global__ref1_156)) + (0 * tmp1__global__ref1_157)) + (64 * tmp1__global__ref1_158)) + (0 * tmp1__global__ref1_159)) + (0 * tmp1__global__ref1_160)) + (0 * tmp1__global__ref1_161)) + (0 * tmp1__global__ref1_162)) + 2) div 4))
(assert (= tmp7__global__buf_85 tmp86__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_85 = tmp86__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp87__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_156) (* 0 tmp1__global__ref1_157)) (* 0 tmp1__global__ref1_158)) (* 64 tmp1__global__ref1_159)) (* 0 tmp1__global__ref1_160)) (* 0 tmp1__global__ref1_161)) (* 0 tmp1__global__ref1_162)) (* 0 tmp1__global__ref1_163)) 2) 4))) ; (tmp87__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_156) + (0 * tmp1__global__ref1_157)) + (0 * tmp1__global__ref1_158)) + (64 * tmp1__global__ref1_159)) + (0 * tmp1__global__ref1_160)) + (0 * tmp1__global__ref1_161)) + (0 * tmp1__global__ref1_162)) + (0 * tmp1__global__ref1_163)) + 2) div 4))
(assert (= tmp7__global__buf_86 tmp87__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_86 = tmp87__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp88__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_157) (* 0 tmp1__global__ref1_158)) (* 0 tmp1__global__ref1_159)) (* 64 tmp1__global__ref1_160)) (* 0 tmp1__global__ref1_161)) (* 0 tmp1__global__ref1_162)) (* 0 tmp1__global__ref1_163)) (* 0 tmp1__global__ref1_164)) 2) 4))) ; (tmp88__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_157) + (0 * tmp1__global__ref1_158)) + (0 * tmp1__global__ref1_159)) + (64 * tmp1__global__ref1_160)) + (0 * tmp1__global__ref1_161)) + (0 * tmp1__global__ref1_162)) + (0 * tmp1__global__ref1_163)) + (0 * tmp1__global__ref1_164)) + 2) div 4))
(assert (= tmp7__global__buf_87 tmp88__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_87 = tmp88__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp89__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_165) (* 0 tmp1__global__ref1_166)) (* 0 tmp1__global__ref1_167)) (* 64 tmp1__global__ref1_168)) (* 0 tmp1__global__ref1_169)) (* 0 tmp1__global__ref1_170)) (* 0 tmp1__global__ref1_171)) (* 0 tmp1__global__ref1_172)) 2) 4))) ; (tmp89__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_165) + (0 * tmp1__global__ref1_166)) + (0 * tmp1__global__ref1_167)) + (64 * tmp1__global__ref1_168)) + (0 * tmp1__global__ref1_169)) + (0 * tmp1__global__ref1_170)) + (0 * tmp1__global__ref1_171)) + (0 * tmp1__global__ref1_172)) + 2) div 4))
(assert (= tmp7__global__buf_88 tmp89__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_88 = tmp89__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp90__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_166) (* 0 tmp1__global__ref1_167)) (* 0 tmp1__global__ref1_168)) (* 64 tmp1__global__ref1_169)) (* 0 tmp1__global__ref1_170)) (* 0 tmp1__global__ref1_171)) (* 0 tmp1__global__ref1_172)) (* 0 tmp1__global__ref1_173)) 2) 4))) ; (tmp90__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_166) + (0 * tmp1__global__ref1_167)) + (0 * tmp1__global__ref1_168)) + (64 * tmp1__global__ref1_169)) + (0 * tmp1__global__ref1_170)) + (0 * tmp1__global__ref1_171)) + (0 * tmp1__global__ref1_172)) + (0 * tmp1__global__ref1_173)) + 2) div 4))
(assert (= tmp7__global__buf_89 tmp90__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_89 = tmp90__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp91__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_167) (* 0 tmp1__global__ref1_168)) (* 0 tmp1__global__ref1_169)) (* 64 tmp1__global__ref1_170)) (* 0 tmp1__global__ref1_171)) (* 0 tmp1__global__ref1_172)) (* 0 tmp1__global__ref1_173)) (* 0 tmp1__global__ref1_174)) 2) 4))) ; (tmp91__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_167) + (0 * tmp1__global__ref1_168)) + (0 * tmp1__global__ref1_169)) + (64 * tmp1__global__ref1_170)) + (0 * tmp1__global__ref1_171)) + (0 * tmp1__global__ref1_172)) + (0 * tmp1__global__ref1_173)) + (0 * tmp1__global__ref1_174)) + 2) div 4))
(assert (= tmp7__global__buf_90 tmp91__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_90 = tmp91__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp92__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_168) (* 0 tmp1__global__ref1_169)) (* 0 tmp1__global__ref1_170)) (* 64 tmp1__global__ref1_171)) (* 0 tmp1__global__ref1_172)) (* 0 tmp1__global__ref1_173)) (* 0 tmp1__global__ref1_174)) (* 0 tmp1__global__ref1_175)) 2) 4))) ; (tmp92__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_168) + (0 * tmp1__global__ref1_169)) + (0 * tmp1__global__ref1_170)) + (64 * tmp1__global__ref1_171)) + (0 * tmp1__global__ref1_172)) + (0 * tmp1__global__ref1_173)) + (0 * tmp1__global__ref1_174)) + (0 * tmp1__global__ref1_175)) + 2) div 4))
(assert (= tmp7__global__buf_91 tmp92__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_91 = tmp92__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp93__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_169) (* 0 tmp1__global__ref1_170)) (* 0 tmp1__global__ref1_171)) (* 64 tmp1__global__ref1_172)) (* 0 tmp1__global__ref1_173)) (* 0 tmp1__global__ref1_174)) (* 0 tmp1__global__ref1_175)) (* 0 tmp1__global__ref1_176)) 2) 4))) ; (tmp93__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_169) + (0 * tmp1__global__ref1_170)) + (0 * tmp1__global__ref1_171)) + (64 * tmp1__global__ref1_172)) + (0 * tmp1__global__ref1_173)) + (0 * tmp1__global__ref1_174)) + (0 * tmp1__global__ref1_175)) + (0 * tmp1__global__ref1_176)) + 2) div 4))
(assert (= tmp7__global__buf_92 tmp93__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_92 = tmp93__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp94__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_170) (* 0 tmp1__global__ref1_171)) (* 0 tmp1__global__ref1_172)) (* 64 tmp1__global__ref1_173)) (* 0 tmp1__global__ref1_174)) (* 0 tmp1__global__ref1_175)) (* 0 tmp1__global__ref1_176)) (* 0 tmp1__global__ref1_177)) 2) 4))) ; (tmp94__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_170) + (0 * tmp1__global__ref1_171)) + (0 * tmp1__global__ref1_172)) + (64 * tmp1__global__ref1_173)) + (0 * tmp1__global__ref1_174)) + (0 * tmp1__global__ref1_175)) + (0 * tmp1__global__ref1_176)) + (0 * tmp1__global__ref1_177)) + 2) div 4))
(assert (= tmp7__global__buf_93 tmp94__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_93 = tmp94__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp95__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_171) (* 0 tmp1__global__ref1_172)) (* 0 tmp1__global__ref1_173)) (* 64 tmp1__global__ref1_174)) (* 0 tmp1__global__ref1_175)) (* 0 tmp1__global__ref1_176)) (* 0 tmp1__global__ref1_177)) (* 0 tmp1__global__ref1_178)) 2) 4))) ; (tmp95__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_171) + (0 * tmp1__global__ref1_172)) + (0 * tmp1__global__ref1_173)) + (64 * tmp1__global__ref1_174)) + (0 * tmp1__global__ref1_175)) + (0 * tmp1__global__ref1_176)) + (0 * tmp1__global__ref1_177)) + (0 * tmp1__global__ref1_178)) + 2) div 4))
(assert (= tmp7__global__buf_94 tmp95__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_94 = tmp95__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp96__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_172) (* 0 tmp1__global__ref1_173)) (* 0 tmp1__global__ref1_174)) (* 64 tmp1__global__ref1_175)) (* 0 tmp1__global__ref1_176)) (* 0 tmp1__global__ref1_177)) (* 0 tmp1__global__ref1_178)) (* 0 tmp1__global__ref1_179)) 2) 4))) ; (tmp96__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_172) + (0 * tmp1__global__ref1_173)) + (0 * tmp1__global__ref1_174)) + (64 * tmp1__global__ref1_175)) + (0 * tmp1__global__ref1_176)) + (0 * tmp1__global__ref1_177)) + (0 * tmp1__global__ref1_178)) + (0 * tmp1__global__ref1_179)) + 2) div 4))
(assert (= tmp7__global__buf_95 tmp96__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_95 = tmp96__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp97__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_180) (* 0 tmp1__global__ref1_181)) (* 0 tmp1__global__ref1_182)) (* 64 tmp1__global__ref1_183)) (* 0 tmp1__global__ref1_184)) (* 0 tmp1__global__ref1_185)) (* 0 tmp1__global__ref1_186)) (* 0 tmp1__global__ref1_187)) 2) 4))) ; (tmp97__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_180) + (0 * tmp1__global__ref1_181)) + (0 * tmp1__global__ref1_182)) + (64 * tmp1__global__ref1_183)) + (0 * tmp1__global__ref1_184)) + (0 * tmp1__global__ref1_185)) + (0 * tmp1__global__ref1_186)) + (0 * tmp1__global__ref1_187)) + 2) div 4))
(assert (= tmp7__global__buf_96 tmp97__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_96 = tmp97__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp98__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_181) (* 0 tmp1__global__ref1_182)) (* 0 tmp1__global__ref1_183)) (* 64 tmp1__global__ref1_184)) (* 0 tmp1__global__ref1_185)) (* 0 tmp1__global__ref1_186)) (* 0 tmp1__global__ref1_187)) (* 0 tmp1__global__ref1_188)) 2) 4))) ; (tmp98__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_181) + (0 * tmp1__global__ref1_182)) + (0 * tmp1__global__ref1_183)) + (64 * tmp1__global__ref1_184)) + (0 * tmp1__global__ref1_185)) + (0 * tmp1__global__ref1_186)) + (0 * tmp1__global__ref1_187)) + (0 * tmp1__global__ref1_188)) + 2) div 4))
(assert (= tmp7__global__buf_97 tmp98__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_97 = tmp98__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp99__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_182) (* 0 tmp1__global__ref1_183)) (* 0 tmp1__global__ref1_184)) (* 64 tmp1__global__ref1_185)) (* 0 tmp1__global__ref1_186)) (* 0 tmp1__global__ref1_187)) (* 0 tmp1__global__ref1_188)) (* 0 tmp1__global__ref1_189)) 2) 4))) ; (tmp99__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_182) + (0 * tmp1__global__ref1_183)) + (0 * tmp1__global__ref1_184)) + (64 * tmp1__global__ref1_185)) + (0 * tmp1__global__ref1_186)) + (0 * tmp1__global__ref1_187)) + (0 * tmp1__global__ref1_188)) + (0 * tmp1__global__ref1_189)) + 2) div 4))
(assert (= tmp7__global__buf_98 tmp99__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_98 = tmp99__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp100__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_183) (* 0 tmp1__global__ref1_184)) (* 0 tmp1__global__ref1_185)) (* 64 tmp1__global__ref1_186)) (* 0 tmp1__global__ref1_187)) (* 0 tmp1__global__ref1_188)) (* 0 tmp1__global__ref1_189)) (* 0 tmp1__global__ref1_190)) 2) 4))) ; (tmp100__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_183) + (0 * tmp1__global__ref1_184)) + (0 * tmp1__global__ref1_185)) + (64 * tmp1__global__ref1_186)) + (0 * tmp1__global__ref1_187)) + (0 * tmp1__global__ref1_188)) + (0 * tmp1__global__ref1_189)) + (0 * tmp1__global__ref1_190)) + 2) div 4))
(assert (= tmp7__global__buf_99 tmp100__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_99 = tmp100__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp101__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_184) (* 0 tmp1__global__ref1_185)) (* 0 tmp1__global__ref1_186)) (* 64 tmp1__global__ref1_187)) (* 0 tmp1__global__ref1_188)) (* 0 tmp1__global__ref1_189)) (* 0 tmp1__global__ref1_190)) (* 0 tmp1__global__ref1_191)) 2) 4))) ; (tmp101__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_184) + (0 * tmp1__global__ref1_185)) + (0 * tmp1__global__ref1_186)) + (64 * tmp1__global__ref1_187)) + (0 * tmp1__global__ref1_188)) + (0 * tmp1__global__ref1_189)) + (0 * tmp1__global__ref1_190)) + (0 * tmp1__global__ref1_191)) + 2) div 4))
(assert (= tmp7__global__buf_100 tmp101__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_100 = tmp101__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp102__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_185) (* 0 tmp1__global__ref1_186)) (* 0 tmp1__global__ref1_187)) (* 64 tmp1__global__ref1_188)) (* 0 tmp1__global__ref1_189)) (* 0 tmp1__global__ref1_190)) (* 0 tmp1__global__ref1_191)) (* 0 tmp1__global__ref1_192)) 2) 4))) ; (tmp102__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_185) + (0 * tmp1__global__ref1_186)) + (0 * tmp1__global__ref1_187)) + (64 * tmp1__global__ref1_188)) + (0 * tmp1__global__ref1_189)) + (0 * tmp1__global__ref1_190)) + (0 * tmp1__global__ref1_191)) + (0 * tmp1__global__ref1_192)) + 2) div 4))
(assert (= tmp7__global__buf_101 tmp102__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_101 = tmp102__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp103__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_186) (* 0 tmp1__global__ref1_187)) (* 0 tmp1__global__ref1_188)) (* 64 tmp1__global__ref1_189)) (* 0 tmp1__global__ref1_190)) (* 0 tmp1__global__ref1_191)) (* 0 tmp1__global__ref1_192)) (* 0 tmp1__global__ref1_193)) 2) 4))) ; (tmp103__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_186) + (0 * tmp1__global__ref1_187)) + (0 * tmp1__global__ref1_188)) + (64 * tmp1__global__ref1_189)) + (0 * tmp1__global__ref1_190)) + (0 * tmp1__global__ref1_191)) + (0 * tmp1__global__ref1_192)) + (0 * tmp1__global__ref1_193)) + 2) div 4))
(assert (= tmp7__global__buf_102 tmp103__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_102 = tmp103__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp104__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_187) (* 0 tmp1__global__ref1_188)) (* 0 tmp1__global__ref1_189)) (* 64 tmp1__global__ref1_190)) (* 0 tmp1__global__ref1_191)) (* 0 tmp1__global__ref1_192)) (* 0 tmp1__global__ref1_193)) (* 0 tmp1__global__ref1_194)) 2) 4))) ; (tmp104__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_187) + (0 * tmp1__global__ref1_188)) + (0 * tmp1__global__ref1_189)) + (64 * tmp1__global__ref1_190)) + (0 * tmp1__global__ref1_191)) + (0 * tmp1__global__ref1_192)) + (0 * tmp1__global__ref1_193)) + (0 * tmp1__global__ref1_194)) + 2) div 4))
(assert (= tmp7__global__buf_103 tmp104__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_103 = tmp104__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp105__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_195) (* 0 tmp1__global__ref1_196)) (* 0 tmp1__global__ref1_197)) (* 64 tmp1__global__ref1_198)) (* 0 tmp1__global__ref1_199)) (* 0 tmp1__global__ref1_200)) (* 0 tmp1__global__ref1_201)) (* 0 tmp1__global__ref1_202)) 2) 4))) ; (tmp105__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_195) + (0 * tmp1__global__ref1_196)) + (0 * tmp1__global__ref1_197)) + (64 * tmp1__global__ref1_198)) + (0 * tmp1__global__ref1_199)) + (0 * tmp1__global__ref1_200)) + (0 * tmp1__global__ref1_201)) + (0 * tmp1__global__ref1_202)) + 2) div 4))
(assert (= tmp7__global__buf_104 tmp105__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_104 = tmp105__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp106__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_196) (* 0 tmp1__global__ref1_197)) (* 0 tmp1__global__ref1_198)) (* 64 tmp1__global__ref1_199)) (* 0 tmp1__global__ref1_200)) (* 0 tmp1__global__ref1_201)) (* 0 tmp1__global__ref1_202)) (* 0 tmp1__global__ref1_203)) 2) 4))) ; (tmp106__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_196) + (0 * tmp1__global__ref1_197)) + (0 * tmp1__global__ref1_198)) + (64 * tmp1__global__ref1_199)) + (0 * tmp1__global__ref1_200)) + (0 * tmp1__global__ref1_201)) + (0 * tmp1__global__ref1_202)) + (0 * tmp1__global__ref1_203)) + 2) div 4))
(assert (= tmp7__global__buf_105 tmp106__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_105 = tmp106__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp107__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_197) (* 0 tmp1__global__ref1_198)) (* 0 tmp1__global__ref1_199)) (* 64 tmp1__global__ref1_200)) (* 0 tmp1__global__ref1_201)) (* 0 tmp1__global__ref1_202)) (* 0 tmp1__global__ref1_203)) (* 0 tmp1__global__ref1_204)) 2) 4))) ; (tmp107__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_197) + (0 * tmp1__global__ref1_198)) + (0 * tmp1__global__ref1_199)) + (64 * tmp1__global__ref1_200)) + (0 * tmp1__global__ref1_201)) + (0 * tmp1__global__ref1_202)) + (0 * tmp1__global__ref1_203)) + (0 * tmp1__global__ref1_204)) + 2) div 4))
(assert (= tmp7__global__buf_106 tmp107__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_106 = tmp107__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp108__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_198) (* 0 tmp1__global__ref1_199)) (* 0 tmp1__global__ref1_200)) (* 64 tmp1__global__ref1_201)) (* 0 tmp1__global__ref1_202)) (* 0 tmp1__global__ref1_203)) (* 0 tmp1__global__ref1_204)) (* 0 tmp1__global__ref1_205)) 2) 4))) ; (tmp108__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_198) + (0 * tmp1__global__ref1_199)) + (0 * tmp1__global__ref1_200)) + (64 * tmp1__global__ref1_201)) + (0 * tmp1__global__ref1_202)) + (0 * tmp1__global__ref1_203)) + (0 * tmp1__global__ref1_204)) + (0 * tmp1__global__ref1_205)) + 2) div 4))
(assert (= tmp7__global__buf_107 tmp108__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_107 = tmp108__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp109__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_199) (* 0 tmp1__global__ref1_200)) (* 0 tmp1__global__ref1_201)) (* 64 tmp1__global__ref1_202)) (* 0 tmp1__global__ref1_203)) (* 0 tmp1__global__ref1_204)) (* 0 tmp1__global__ref1_205)) (* 0 tmp1__global__ref1_206)) 2) 4))) ; (tmp109__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_199) + (0 * tmp1__global__ref1_200)) + (0 * tmp1__global__ref1_201)) + (64 * tmp1__global__ref1_202)) + (0 * tmp1__global__ref1_203)) + (0 * tmp1__global__ref1_204)) + (0 * tmp1__global__ref1_205)) + (0 * tmp1__global__ref1_206)) + 2) div 4))
(assert (= tmp7__global__buf_108 tmp109__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_108 = tmp109__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp110__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_200) (* 0 tmp1__global__ref1_201)) (* 0 tmp1__global__ref1_202)) (* 64 tmp1__global__ref1_203)) (* 0 tmp1__global__ref1_204)) (* 0 tmp1__global__ref1_205)) (* 0 tmp1__global__ref1_206)) (* 0 tmp1__global__ref1_207)) 2) 4))) ; (tmp110__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_200) + (0 * tmp1__global__ref1_201)) + (0 * tmp1__global__ref1_202)) + (64 * tmp1__global__ref1_203)) + (0 * tmp1__global__ref1_204)) + (0 * tmp1__global__ref1_205)) + (0 * tmp1__global__ref1_206)) + (0 * tmp1__global__ref1_207)) + 2) div 4))
(assert (= tmp7__global__buf_109 tmp110__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_109 = tmp110__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp111__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_201) (* 0 tmp1__global__ref1_202)) (* 0 tmp1__global__ref1_203)) (* 64 tmp1__global__ref1_204)) (* 0 tmp1__global__ref1_205)) (* 0 tmp1__global__ref1_206)) (* 0 tmp1__global__ref1_207)) (* 0 tmp1__global__ref1_208)) 2) 4))) ; (tmp111__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_201) + (0 * tmp1__global__ref1_202)) + (0 * tmp1__global__ref1_203)) + (64 * tmp1__global__ref1_204)) + (0 * tmp1__global__ref1_205)) + (0 * tmp1__global__ref1_206)) + (0 * tmp1__global__ref1_207)) + (0 * tmp1__global__ref1_208)) + 2) div 4))
(assert (= tmp7__global__buf_110 tmp111__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_110 = tmp111__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp112__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_202) (* 0 tmp1__global__ref1_203)) (* 0 tmp1__global__ref1_204)) (* 64 tmp1__global__ref1_205)) (* 0 tmp1__global__ref1_206)) (* 0 tmp1__global__ref1_207)) (* 0 tmp1__global__ref1_208)) (* 0 tmp1__global__ref1_209)) 2) 4))) ; (tmp112__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_202) + (0 * tmp1__global__ref1_203)) + (0 * tmp1__global__ref1_204)) + (64 * tmp1__global__ref1_205)) + (0 * tmp1__global__ref1_206)) + (0 * tmp1__global__ref1_207)) + (0 * tmp1__global__ref1_208)) + (0 * tmp1__global__ref1_209)) + 2) div 4))
(assert (= tmp7__global__buf_111 tmp112__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_111 = tmp112__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp113__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_210) (* 0 tmp1__global__ref1_211)) (* 0 tmp1__global__ref1_212)) (* 64 tmp1__global__ref1_213)) (* 0 tmp1__global__ref1_214)) (* 0 tmp1__global__ref1_215)) (* 0 tmp1__global__ref1_216)) (* 0 tmp1__global__ref1_217)) 2) 4))) ; (tmp113__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_210) + (0 * tmp1__global__ref1_211)) + (0 * tmp1__global__ref1_212)) + (64 * tmp1__global__ref1_213)) + (0 * tmp1__global__ref1_214)) + (0 * tmp1__global__ref1_215)) + (0 * tmp1__global__ref1_216)) + (0 * tmp1__global__ref1_217)) + 2) div 4))
(assert (= tmp7__global__buf_112 tmp113__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_112 = tmp113__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp114__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_211) (* 0 tmp1__global__ref1_212)) (* 0 tmp1__global__ref1_213)) (* 64 tmp1__global__ref1_214)) (* 0 tmp1__global__ref1_215)) (* 0 tmp1__global__ref1_216)) (* 0 tmp1__global__ref1_217)) (* 0 tmp1__global__ref1_218)) 2) 4))) ; (tmp114__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_211) + (0 * tmp1__global__ref1_212)) + (0 * tmp1__global__ref1_213)) + (64 * tmp1__global__ref1_214)) + (0 * tmp1__global__ref1_215)) + (0 * tmp1__global__ref1_216)) + (0 * tmp1__global__ref1_217)) + (0 * tmp1__global__ref1_218)) + 2) div 4))
(assert (= tmp7__global__buf_113 tmp114__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_113 = tmp114__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp115__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_212) (* 0 tmp1__global__ref1_213)) (* 0 tmp1__global__ref1_214)) (* 64 tmp1__global__ref1_215)) (* 0 tmp1__global__ref1_216)) (* 0 tmp1__global__ref1_217)) (* 0 tmp1__global__ref1_218)) (* 0 tmp1__global__ref1_219)) 2) 4))) ; (tmp115__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_212) + (0 * tmp1__global__ref1_213)) + (0 * tmp1__global__ref1_214)) + (64 * tmp1__global__ref1_215)) + (0 * tmp1__global__ref1_216)) + (0 * tmp1__global__ref1_217)) + (0 * tmp1__global__ref1_218)) + (0 * tmp1__global__ref1_219)) + 2) div 4))
(assert (= tmp7__global__buf_114 tmp115__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_114 = tmp115__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp116__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_213) (* 0 tmp1__global__ref1_214)) (* 0 tmp1__global__ref1_215)) (* 64 tmp1__global__ref1_216)) (* 0 tmp1__global__ref1_217)) (* 0 tmp1__global__ref1_218)) (* 0 tmp1__global__ref1_219)) (* 0 tmp1__global__ref1_220)) 2) 4))) ; (tmp116__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_213) + (0 * tmp1__global__ref1_214)) + (0 * tmp1__global__ref1_215)) + (64 * tmp1__global__ref1_216)) + (0 * tmp1__global__ref1_217)) + (0 * tmp1__global__ref1_218)) + (0 * tmp1__global__ref1_219)) + (0 * tmp1__global__ref1_220)) + 2) div 4))
(assert (= tmp7__global__buf_115 tmp116__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_115 = tmp116__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp117__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_214) (* 0 tmp1__global__ref1_215)) (* 0 tmp1__global__ref1_216)) (* 64 tmp1__global__ref1_217)) (* 0 tmp1__global__ref1_218)) (* 0 tmp1__global__ref1_219)) (* 0 tmp1__global__ref1_220)) (* 0 tmp1__global__ref1_221)) 2) 4))) ; (tmp117__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_214) + (0 * tmp1__global__ref1_215)) + (0 * tmp1__global__ref1_216)) + (64 * tmp1__global__ref1_217)) + (0 * tmp1__global__ref1_218)) + (0 * tmp1__global__ref1_219)) + (0 * tmp1__global__ref1_220)) + (0 * tmp1__global__ref1_221)) + 2) div 4))
(assert (= tmp7__global__buf_116 tmp117__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_116 = tmp117__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp118__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_215) (* 0 tmp1__global__ref1_216)) (* 0 tmp1__global__ref1_217)) (* 64 tmp1__global__ref1_218)) (* 0 tmp1__global__ref1_219)) (* 0 tmp1__global__ref1_220)) (* 0 tmp1__global__ref1_221)) (* 0 tmp1__global__ref1_222)) 2) 4))) ; (tmp118__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_215) + (0 * tmp1__global__ref1_216)) + (0 * tmp1__global__ref1_217)) + (64 * tmp1__global__ref1_218)) + (0 * tmp1__global__ref1_219)) + (0 * tmp1__global__ref1_220)) + (0 * tmp1__global__ref1_221)) + (0 * tmp1__global__ref1_222)) + 2) div 4))
(assert (= tmp7__global__buf_117 tmp118__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_117 = tmp118__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp119__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_216) (* 0 tmp1__global__ref1_217)) (* 0 tmp1__global__ref1_218)) (* 64 tmp1__global__ref1_219)) (* 0 tmp1__global__ref1_220)) (* 0 tmp1__global__ref1_221)) (* 0 tmp1__global__ref1_222)) (* 0 tmp1__global__ref1_223)) 2) 4))) ; (tmp119__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_216) + (0 * tmp1__global__ref1_217)) + (0 * tmp1__global__ref1_218)) + (64 * tmp1__global__ref1_219)) + (0 * tmp1__global__ref1_220)) + (0 * tmp1__global__ref1_221)) + (0 * tmp1__global__ref1_222)) + (0 * tmp1__global__ref1_223)) + 2) div 4))
(assert (= tmp7__global__buf_118 tmp119__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_118 = tmp119__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp120__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* 0 tmp1__global__ref1_217) (* 0 tmp1__global__ref1_218)) (* 0 tmp1__global__ref1_219)) (* 64 tmp1__global__ref1_220)) (* 0 tmp1__global__ref1_221)) (* 0 tmp1__global__ref1_222)) (* 0 tmp1__global__ref1_223)) (* 0 tmp1__global__ref1_224)) 2) 4))) ; (tmp120__func_com_grad_y_l_nn_variant_1__val = ((((((((((0 * tmp1__global__ref1_217) + (0 * tmp1__global__ref1_218)) + (0 * tmp1__global__ref1_219)) + (64 * tmp1__global__ref1_220)) + (0 * tmp1__global__ref1_221)) + (0 * tmp1__global__ref1_222)) + (0 * tmp1__global__ref1_223)) + (0 * tmp1__global__ref1_224)) + 2) div 4))
(assert (= tmp7__global__buf_119 tmp120__func_com_grad_y_l_nn_variant_1__val)) ; (tmp7__global__buf_119 = tmp120__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp121__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_0) (* 6 tmp7__global__buf_8)) (* (- 19) tmp7__global__buf_16)) (* (- 31) tmp7__global__buf_24)) (* 53 tmp7__global__buf_32)) (* (- 12) tmp7__global__buf_40)) (* 7 tmp7__global__buf_48)) (* (- 2) tmp7__global__buf_56)) 8192) 16384))) ; (tmp121__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_0) + (6 * tmp7__global__buf_8)) + ((- 19) * tmp7__global__buf_16)) + ((- 31) * tmp7__global__buf_24)) + (53 * tmp7__global__buf_32)) + ((- 12) * tmp7__global__buf_40)) + (7 * tmp7__global__buf_48)) + ((- 2) * tmp7__global__buf_56)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_0 tmp121__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_0 = tmp121__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp122__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_1) (* 6 tmp7__global__buf_9)) (* (- 19) tmp7__global__buf_17)) (* (- 31) tmp7__global__buf_25)) (* 53 tmp7__global__buf_33)) (* (- 12) tmp7__global__buf_41)) (* 7 tmp7__global__buf_49)) (* (- 2) tmp7__global__buf_57)) 8192) 16384))) ; (tmp122__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_1) + (6 * tmp7__global__buf_9)) + ((- 19) * tmp7__global__buf_17)) + ((- 31) * tmp7__global__buf_25)) + (53 * tmp7__global__buf_33)) + ((- 12) * tmp7__global__buf_41)) + (7 * tmp7__global__buf_49)) + ((- 2) * tmp7__global__buf_57)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_1 tmp122__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_1 = tmp122__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp123__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_2) (* 6 tmp7__global__buf_10)) (* (- 19) tmp7__global__buf_18)) (* (- 31) tmp7__global__buf_26)) (* 53 tmp7__global__buf_34)) (* (- 12) tmp7__global__buf_42)) (* 7 tmp7__global__buf_50)) (* (- 2) tmp7__global__buf_58)) 8192) 16384))) ; (tmp123__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_2) + (6 * tmp7__global__buf_10)) + ((- 19) * tmp7__global__buf_18)) + ((- 31) * tmp7__global__buf_26)) + (53 * tmp7__global__buf_34)) + ((- 12) * tmp7__global__buf_42)) + (7 * tmp7__global__buf_50)) + ((- 2) * tmp7__global__buf_58)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_2 tmp123__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_2 = tmp123__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp124__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_3) (* 6 tmp7__global__buf_11)) (* (- 19) tmp7__global__buf_19)) (* (- 31) tmp7__global__buf_27)) (* 53 tmp7__global__buf_35)) (* (- 12) tmp7__global__buf_43)) (* 7 tmp7__global__buf_51)) (* (- 2) tmp7__global__buf_59)) 8192) 16384))) ; (tmp124__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_3) + (6 * tmp7__global__buf_11)) + ((- 19) * tmp7__global__buf_19)) + ((- 31) * tmp7__global__buf_27)) + (53 * tmp7__global__buf_35)) + ((- 12) * tmp7__global__buf_43)) + (7 * tmp7__global__buf_51)) + ((- 2) * tmp7__global__buf_59)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_3 tmp124__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_3 = tmp124__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp125__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_4) (* 6 tmp7__global__buf_12)) (* (- 19) tmp7__global__buf_20)) (* (- 31) tmp7__global__buf_28)) (* 53 tmp7__global__buf_36)) (* (- 12) tmp7__global__buf_44)) (* 7 tmp7__global__buf_52)) (* (- 2) tmp7__global__buf_60)) 8192) 16384))) ; (tmp125__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_4) + (6 * tmp7__global__buf_12)) + ((- 19) * tmp7__global__buf_20)) + ((- 31) * tmp7__global__buf_28)) + (53 * tmp7__global__buf_36)) + ((- 12) * tmp7__global__buf_44)) + (7 * tmp7__global__buf_52)) + ((- 2) * tmp7__global__buf_60)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_4 tmp125__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_4 = tmp125__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp126__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_5) (* 6 tmp7__global__buf_13)) (* (- 19) tmp7__global__buf_21)) (* (- 31) tmp7__global__buf_29)) (* 53 tmp7__global__buf_37)) (* (- 12) tmp7__global__buf_45)) (* 7 tmp7__global__buf_53)) (* (- 2) tmp7__global__buf_61)) 8192) 16384))) ; (tmp126__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_5) + (6 * tmp7__global__buf_13)) + ((- 19) * tmp7__global__buf_21)) + ((- 31) * tmp7__global__buf_29)) + (53 * tmp7__global__buf_37)) + ((- 12) * tmp7__global__buf_45)) + (7 * tmp7__global__buf_53)) + ((- 2) * tmp7__global__buf_61)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_5 tmp126__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_5 = tmp126__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp127__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_6) (* 6 tmp7__global__buf_14)) (* (- 19) tmp7__global__buf_22)) (* (- 31) tmp7__global__buf_30)) (* 53 tmp7__global__buf_38)) (* (- 12) tmp7__global__buf_46)) (* 7 tmp7__global__buf_54)) (* (- 2) tmp7__global__buf_62)) 8192) 16384))) ; (tmp127__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_6) + (6 * tmp7__global__buf_14)) + ((- 19) * tmp7__global__buf_22)) + ((- 31) * tmp7__global__buf_30)) + (53 * tmp7__global__buf_38)) + ((- 12) * tmp7__global__buf_46)) + (7 * tmp7__global__buf_54)) + ((- 2) * tmp7__global__buf_62)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_6 tmp127__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_6 = tmp127__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp128__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_7) (* 6 tmp7__global__buf_15)) (* (- 19) tmp7__global__buf_23)) (* (- 31) tmp7__global__buf_31)) (* 53 tmp7__global__buf_39)) (* (- 12) tmp7__global__buf_47)) (* 7 tmp7__global__buf_55)) (* (- 2) tmp7__global__buf_63)) 8192) 16384))) ; (tmp128__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_7) + (6 * tmp7__global__buf_15)) + ((- 19) * tmp7__global__buf_23)) + ((- 31) * tmp7__global__buf_31)) + (53 * tmp7__global__buf_39)) + ((- 12) * tmp7__global__buf_47)) + (7 * tmp7__global__buf_55)) + ((- 2) * tmp7__global__buf_63)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_7 tmp128__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_7 = tmp128__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp129__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_8) (* 6 tmp7__global__buf_16)) (* (- 19) tmp7__global__buf_24)) (* (- 31) tmp7__global__buf_32)) (* 53 tmp7__global__buf_40)) (* (- 12) tmp7__global__buf_48)) (* 7 tmp7__global__buf_56)) (* (- 2) tmp7__global__buf_64)) 8192) 16384))) ; (tmp129__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_8) + (6 * tmp7__global__buf_16)) + ((- 19) * tmp7__global__buf_24)) + ((- 31) * tmp7__global__buf_32)) + (53 * tmp7__global__buf_40)) + ((- 12) * tmp7__global__buf_48)) + (7 * tmp7__global__buf_56)) + ((- 2) * tmp7__global__buf_64)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_8 tmp129__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_8 = tmp129__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp130__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_9) (* 6 tmp7__global__buf_17)) (* (- 19) tmp7__global__buf_25)) (* (- 31) tmp7__global__buf_33)) (* 53 tmp7__global__buf_41)) (* (- 12) tmp7__global__buf_49)) (* 7 tmp7__global__buf_57)) (* (- 2) tmp7__global__buf_65)) 8192) 16384))) ; (tmp130__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_9) + (6 * tmp7__global__buf_17)) + ((- 19) * tmp7__global__buf_25)) + ((- 31) * tmp7__global__buf_33)) + (53 * tmp7__global__buf_41)) + ((- 12) * tmp7__global__buf_49)) + (7 * tmp7__global__buf_57)) + ((- 2) * tmp7__global__buf_65)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_9 tmp130__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_9 = tmp130__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp131__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_10) (* 6 tmp7__global__buf_18)) (* (- 19) tmp7__global__buf_26)) (* (- 31) tmp7__global__buf_34)) (* 53 tmp7__global__buf_42)) (* (- 12) tmp7__global__buf_50)) (* 7 tmp7__global__buf_58)) (* (- 2) tmp7__global__buf_66)) 8192) 16384))) ; (tmp131__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_10) + (6 * tmp7__global__buf_18)) + ((- 19) * tmp7__global__buf_26)) + ((- 31) * tmp7__global__buf_34)) + (53 * tmp7__global__buf_42)) + ((- 12) * tmp7__global__buf_50)) + (7 * tmp7__global__buf_58)) + ((- 2) * tmp7__global__buf_66)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_10 tmp131__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_10 = tmp131__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp132__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_11) (* 6 tmp7__global__buf_19)) (* (- 19) tmp7__global__buf_27)) (* (- 31) tmp7__global__buf_35)) (* 53 tmp7__global__buf_43)) (* (- 12) tmp7__global__buf_51)) (* 7 tmp7__global__buf_59)) (* (- 2) tmp7__global__buf_67)) 8192) 16384))) ; (tmp132__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_11) + (6 * tmp7__global__buf_19)) + ((- 19) * tmp7__global__buf_27)) + ((- 31) * tmp7__global__buf_35)) + (53 * tmp7__global__buf_43)) + ((- 12) * tmp7__global__buf_51)) + (7 * tmp7__global__buf_59)) + ((- 2) * tmp7__global__buf_67)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_11 tmp132__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_11 = tmp132__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp133__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_12) (* 6 tmp7__global__buf_20)) (* (- 19) tmp7__global__buf_28)) (* (- 31) tmp7__global__buf_36)) (* 53 tmp7__global__buf_44)) (* (- 12) tmp7__global__buf_52)) (* 7 tmp7__global__buf_60)) (* (- 2) tmp7__global__buf_68)) 8192) 16384))) ; (tmp133__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_12) + (6 * tmp7__global__buf_20)) + ((- 19) * tmp7__global__buf_28)) + ((- 31) * tmp7__global__buf_36)) + (53 * tmp7__global__buf_44)) + ((- 12) * tmp7__global__buf_52)) + (7 * tmp7__global__buf_60)) + ((- 2) * tmp7__global__buf_68)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_12 tmp133__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_12 = tmp133__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp134__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_13) (* 6 tmp7__global__buf_21)) (* (- 19) tmp7__global__buf_29)) (* (- 31) tmp7__global__buf_37)) (* 53 tmp7__global__buf_45)) (* (- 12) tmp7__global__buf_53)) (* 7 tmp7__global__buf_61)) (* (- 2) tmp7__global__buf_69)) 8192) 16384))) ; (tmp134__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_13) + (6 * tmp7__global__buf_21)) + ((- 19) * tmp7__global__buf_29)) + ((- 31) * tmp7__global__buf_37)) + (53 * tmp7__global__buf_45)) + ((- 12) * tmp7__global__buf_53)) + (7 * tmp7__global__buf_61)) + ((- 2) * tmp7__global__buf_69)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_13 tmp134__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_13 = tmp134__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp135__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_14) (* 6 tmp7__global__buf_22)) (* (- 19) tmp7__global__buf_30)) (* (- 31) tmp7__global__buf_38)) (* 53 tmp7__global__buf_46)) (* (- 12) tmp7__global__buf_54)) (* 7 tmp7__global__buf_62)) (* (- 2) tmp7__global__buf_70)) 8192) 16384))) ; (tmp135__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_14) + (6 * tmp7__global__buf_22)) + ((- 19) * tmp7__global__buf_30)) + ((- 31) * tmp7__global__buf_38)) + (53 * tmp7__global__buf_46)) + ((- 12) * tmp7__global__buf_54)) + (7 * tmp7__global__buf_62)) + ((- 2) * tmp7__global__buf_70)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_14 tmp135__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_14 = tmp135__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp136__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_15) (* 6 tmp7__global__buf_23)) (* (- 19) tmp7__global__buf_31)) (* (- 31) tmp7__global__buf_39)) (* 53 tmp7__global__buf_47)) (* (- 12) tmp7__global__buf_55)) (* 7 tmp7__global__buf_63)) (* (- 2) tmp7__global__buf_71)) 8192) 16384))) ; (tmp136__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_15) + (6 * tmp7__global__buf_23)) + ((- 19) * tmp7__global__buf_31)) + ((- 31) * tmp7__global__buf_39)) + (53 * tmp7__global__buf_47)) + ((- 12) * tmp7__global__buf_55)) + (7 * tmp7__global__buf_63)) + ((- 2) * tmp7__global__buf_71)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_15 tmp136__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_15 = tmp136__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp137__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_16) (* 6 tmp7__global__buf_24)) (* (- 19) tmp7__global__buf_32)) (* (- 31) tmp7__global__buf_40)) (* 53 tmp7__global__buf_48)) (* (- 12) tmp7__global__buf_56)) (* 7 tmp7__global__buf_64)) (* (- 2) tmp7__global__buf_72)) 8192) 16384))) ; (tmp137__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_16) + (6 * tmp7__global__buf_24)) + ((- 19) * tmp7__global__buf_32)) + ((- 31) * tmp7__global__buf_40)) + (53 * tmp7__global__buf_48)) + ((- 12) * tmp7__global__buf_56)) + (7 * tmp7__global__buf_64)) + ((- 2) * tmp7__global__buf_72)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_16 tmp137__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_16 = tmp137__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp138__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_17) (* 6 tmp7__global__buf_25)) (* (- 19) tmp7__global__buf_33)) (* (- 31) tmp7__global__buf_41)) (* 53 tmp7__global__buf_49)) (* (- 12) tmp7__global__buf_57)) (* 7 tmp7__global__buf_65)) (* (- 2) tmp7__global__buf_73)) 8192) 16384))) ; (tmp138__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_17) + (6 * tmp7__global__buf_25)) + ((- 19) * tmp7__global__buf_33)) + ((- 31) * tmp7__global__buf_41)) + (53 * tmp7__global__buf_49)) + ((- 12) * tmp7__global__buf_57)) + (7 * tmp7__global__buf_65)) + ((- 2) * tmp7__global__buf_73)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_17 tmp138__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_17 = tmp138__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp139__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_18) (* 6 tmp7__global__buf_26)) (* (- 19) tmp7__global__buf_34)) (* (- 31) tmp7__global__buf_42)) (* 53 tmp7__global__buf_50)) (* (- 12) tmp7__global__buf_58)) (* 7 tmp7__global__buf_66)) (* (- 2) tmp7__global__buf_74)) 8192) 16384))) ; (tmp139__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_18) + (6 * tmp7__global__buf_26)) + ((- 19) * tmp7__global__buf_34)) + ((- 31) * tmp7__global__buf_42)) + (53 * tmp7__global__buf_50)) + ((- 12) * tmp7__global__buf_58)) + (7 * tmp7__global__buf_66)) + ((- 2) * tmp7__global__buf_74)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_18 tmp139__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_18 = tmp139__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp140__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_19) (* 6 tmp7__global__buf_27)) (* (- 19) tmp7__global__buf_35)) (* (- 31) tmp7__global__buf_43)) (* 53 tmp7__global__buf_51)) (* (- 12) tmp7__global__buf_59)) (* 7 tmp7__global__buf_67)) (* (- 2) tmp7__global__buf_75)) 8192) 16384))) ; (tmp140__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_19) + (6 * tmp7__global__buf_27)) + ((- 19) * tmp7__global__buf_35)) + ((- 31) * tmp7__global__buf_43)) + (53 * tmp7__global__buf_51)) + ((- 12) * tmp7__global__buf_59)) + (7 * tmp7__global__buf_67)) + ((- 2) * tmp7__global__buf_75)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_19 tmp140__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_19 = tmp140__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp141__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_20) (* 6 tmp7__global__buf_28)) (* (- 19) tmp7__global__buf_36)) (* (- 31) tmp7__global__buf_44)) (* 53 tmp7__global__buf_52)) (* (- 12) tmp7__global__buf_60)) (* 7 tmp7__global__buf_68)) (* (- 2) tmp7__global__buf_76)) 8192) 16384))) ; (tmp141__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_20) + (6 * tmp7__global__buf_28)) + ((- 19) * tmp7__global__buf_36)) + ((- 31) * tmp7__global__buf_44)) + (53 * tmp7__global__buf_52)) + ((- 12) * tmp7__global__buf_60)) + (7 * tmp7__global__buf_68)) + ((- 2) * tmp7__global__buf_76)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_20 tmp141__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_20 = tmp141__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp142__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_21) (* 6 tmp7__global__buf_29)) (* (- 19) tmp7__global__buf_37)) (* (- 31) tmp7__global__buf_45)) (* 53 tmp7__global__buf_53)) (* (- 12) tmp7__global__buf_61)) (* 7 tmp7__global__buf_69)) (* (- 2) tmp7__global__buf_77)) 8192) 16384))) ; (tmp142__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_21) + (6 * tmp7__global__buf_29)) + ((- 19) * tmp7__global__buf_37)) + ((- 31) * tmp7__global__buf_45)) + (53 * tmp7__global__buf_53)) + ((- 12) * tmp7__global__buf_61)) + (7 * tmp7__global__buf_69)) + ((- 2) * tmp7__global__buf_77)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_21 tmp142__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_21 = tmp142__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp143__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_22) (* 6 tmp7__global__buf_30)) (* (- 19) tmp7__global__buf_38)) (* (- 31) tmp7__global__buf_46)) (* 53 tmp7__global__buf_54)) (* (- 12) tmp7__global__buf_62)) (* 7 tmp7__global__buf_70)) (* (- 2) tmp7__global__buf_78)) 8192) 16384))) ; (tmp143__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_22) + (6 * tmp7__global__buf_30)) + ((- 19) * tmp7__global__buf_38)) + ((- 31) * tmp7__global__buf_46)) + (53 * tmp7__global__buf_54)) + ((- 12) * tmp7__global__buf_62)) + (7 * tmp7__global__buf_70)) + ((- 2) * tmp7__global__buf_78)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_22 tmp143__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_22 = tmp143__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp144__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_23) (* 6 tmp7__global__buf_31)) (* (- 19) tmp7__global__buf_39)) (* (- 31) tmp7__global__buf_47)) (* 53 tmp7__global__buf_55)) (* (- 12) tmp7__global__buf_63)) (* 7 tmp7__global__buf_71)) (* (- 2) tmp7__global__buf_79)) 8192) 16384))) ; (tmp144__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_23) + (6 * tmp7__global__buf_31)) + ((- 19) * tmp7__global__buf_39)) + ((- 31) * tmp7__global__buf_47)) + (53 * tmp7__global__buf_55)) + ((- 12) * tmp7__global__buf_63)) + (7 * tmp7__global__buf_71)) + ((- 2) * tmp7__global__buf_79)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_23 tmp144__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_23 = tmp144__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp145__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_24) (* 6 tmp7__global__buf_32)) (* (- 19) tmp7__global__buf_40)) (* (- 31) tmp7__global__buf_48)) (* 53 tmp7__global__buf_56)) (* (- 12) tmp7__global__buf_64)) (* 7 tmp7__global__buf_72)) (* (- 2) tmp7__global__buf_80)) 8192) 16384))) ; (tmp145__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_24) + (6 * tmp7__global__buf_32)) + ((- 19) * tmp7__global__buf_40)) + ((- 31) * tmp7__global__buf_48)) + (53 * tmp7__global__buf_56)) + ((- 12) * tmp7__global__buf_64)) + (7 * tmp7__global__buf_72)) + ((- 2) * tmp7__global__buf_80)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_24 tmp145__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_24 = tmp145__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp146__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_25) (* 6 tmp7__global__buf_33)) (* (- 19) tmp7__global__buf_41)) (* (- 31) tmp7__global__buf_49)) (* 53 tmp7__global__buf_57)) (* (- 12) tmp7__global__buf_65)) (* 7 tmp7__global__buf_73)) (* (- 2) tmp7__global__buf_81)) 8192) 16384))) ; (tmp146__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_25) + (6 * tmp7__global__buf_33)) + ((- 19) * tmp7__global__buf_41)) + ((- 31) * tmp7__global__buf_49)) + (53 * tmp7__global__buf_57)) + ((- 12) * tmp7__global__buf_65)) + (7 * tmp7__global__buf_73)) + ((- 2) * tmp7__global__buf_81)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_25 tmp146__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_25 = tmp146__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp147__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_26) (* 6 tmp7__global__buf_34)) (* (- 19) tmp7__global__buf_42)) (* (- 31) tmp7__global__buf_50)) (* 53 tmp7__global__buf_58)) (* (- 12) tmp7__global__buf_66)) (* 7 tmp7__global__buf_74)) (* (- 2) tmp7__global__buf_82)) 8192) 16384))) ; (tmp147__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_26) + (6 * tmp7__global__buf_34)) + ((- 19) * tmp7__global__buf_42)) + ((- 31) * tmp7__global__buf_50)) + (53 * tmp7__global__buf_58)) + ((- 12) * tmp7__global__buf_66)) + (7 * tmp7__global__buf_74)) + ((- 2) * tmp7__global__buf_82)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_26 tmp147__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_26 = tmp147__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp148__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_27) (* 6 tmp7__global__buf_35)) (* (- 19) tmp7__global__buf_43)) (* (- 31) tmp7__global__buf_51)) (* 53 tmp7__global__buf_59)) (* (- 12) tmp7__global__buf_67)) (* 7 tmp7__global__buf_75)) (* (- 2) tmp7__global__buf_83)) 8192) 16384))) ; (tmp148__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_27) + (6 * tmp7__global__buf_35)) + ((- 19) * tmp7__global__buf_43)) + ((- 31) * tmp7__global__buf_51)) + (53 * tmp7__global__buf_59)) + ((- 12) * tmp7__global__buf_67)) + (7 * tmp7__global__buf_75)) + ((- 2) * tmp7__global__buf_83)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_27 tmp148__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_27 = tmp148__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp149__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_28) (* 6 tmp7__global__buf_36)) (* (- 19) tmp7__global__buf_44)) (* (- 31) tmp7__global__buf_52)) (* 53 tmp7__global__buf_60)) (* (- 12) tmp7__global__buf_68)) (* 7 tmp7__global__buf_76)) (* (- 2) tmp7__global__buf_84)) 8192) 16384))) ; (tmp149__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_28) + (6 * tmp7__global__buf_36)) + ((- 19) * tmp7__global__buf_44)) + ((- 31) * tmp7__global__buf_52)) + (53 * tmp7__global__buf_60)) + ((- 12) * tmp7__global__buf_68)) + (7 * tmp7__global__buf_76)) + ((- 2) * tmp7__global__buf_84)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_28 tmp149__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_28 = tmp149__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp150__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_29) (* 6 tmp7__global__buf_37)) (* (- 19) tmp7__global__buf_45)) (* (- 31) tmp7__global__buf_53)) (* 53 tmp7__global__buf_61)) (* (- 12) tmp7__global__buf_69)) (* 7 tmp7__global__buf_77)) (* (- 2) tmp7__global__buf_85)) 8192) 16384))) ; (tmp150__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_29) + (6 * tmp7__global__buf_37)) + ((- 19) * tmp7__global__buf_45)) + ((- 31) * tmp7__global__buf_53)) + (53 * tmp7__global__buf_61)) + ((- 12) * tmp7__global__buf_69)) + (7 * tmp7__global__buf_77)) + ((- 2) * tmp7__global__buf_85)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_29 tmp150__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_29 = tmp150__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp151__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_30) (* 6 tmp7__global__buf_38)) (* (- 19) tmp7__global__buf_46)) (* (- 31) tmp7__global__buf_54)) (* 53 tmp7__global__buf_62)) (* (- 12) tmp7__global__buf_70)) (* 7 tmp7__global__buf_78)) (* (- 2) tmp7__global__buf_86)) 8192) 16384))) ; (tmp151__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_30) + (6 * tmp7__global__buf_38)) + ((- 19) * tmp7__global__buf_46)) + ((- 31) * tmp7__global__buf_54)) + (53 * tmp7__global__buf_62)) + ((- 12) * tmp7__global__buf_70)) + (7 * tmp7__global__buf_78)) + ((- 2) * tmp7__global__buf_86)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_30 tmp151__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_30 = tmp151__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp152__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_31) (* 6 tmp7__global__buf_39)) (* (- 19) tmp7__global__buf_47)) (* (- 31) tmp7__global__buf_55)) (* 53 tmp7__global__buf_63)) (* (- 12) tmp7__global__buf_71)) (* 7 tmp7__global__buf_79)) (* (- 2) tmp7__global__buf_87)) 8192) 16384))) ; (tmp152__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_31) + (6 * tmp7__global__buf_39)) + ((- 19) * tmp7__global__buf_47)) + ((- 31) * tmp7__global__buf_55)) + (53 * tmp7__global__buf_63)) + ((- 12) * tmp7__global__buf_71)) + (7 * tmp7__global__buf_79)) + ((- 2) * tmp7__global__buf_87)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_31 tmp152__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_31 = tmp152__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp153__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_32) (* 6 tmp7__global__buf_40)) (* (- 19) tmp7__global__buf_48)) (* (- 31) tmp7__global__buf_56)) (* 53 tmp7__global__buf_64)) (* (- 12) tmp7__global__buf_72)) (* 7 tmp7__global__buf_80)) (* (- 2) tmp7__global__buf_88)) 8192) 16384))) ; (tmp153__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_32) + (6 * tmp7__global__buf_40)) + ((- 19) * tmp7__global__buf_48)) + ((- 31) * tmp7__global__buf_56)) + (53 * tmp7__global__buf_64)) + ((- 12) * tmp7__global__buf_72)) + (7 * tmp7__global__buf_80)) + ((- 2) * tmp7__global__buf_88)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_32 tmp153__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_32 = tmp153__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp154__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_33) (* 6 tmp7__global__buf_41)) (* (- 19) tmp7__global__buf_49)) (* (- 31) tmp7__global__buf_57)) (* 53 tmp7__global__buf_65)) (* (- 12) tmp7__global__buf_73)) (* 7 tmp7__global__buf_81)) (* (- 2) tmp7__global__buf_89)) 8192) 16384))) ; (tmp154__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_33) + (6 * tmp7__global__buf_41)) + ((- 19) * tmp7__global__buf_49)) + ((- 31) * tmp7__global__buf_57)) + (53 * tmp7__global__buf_65)) + ((- 12) * tmp7__global__buf_73)) + (7 * tmp7__global__buf_81)) + ((- 2) * tmp7__global__buf_89)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_33 tmp154__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_33 = tmp154__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp155__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_34) (* 6 tmp7__global__buf_42)) (* (- 19) tmp7__global__buf_50)) (* (- 31) tmp7__global__buf_58)) (* 53 tmp7__global__buf_66)) (* (- 12) tmp7__global__buf_74)) (* 7 tmp7__global__buf_82)) (* (- 2) tmp7__global__buf_90)) 8192) 16384))) ; (tmp155__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_34) + (6 * tmp7__global__buf_42)) + ((- 19) * tmp7__global__buf_50)) + ((- 31) * tmp7__global__buf_58)) + (53 * tmp7__global__buf_66)) + ((- 12) * tmp7__global__buf_74)) + (7 * tmp7__global__buf_82)) + ((- 2) * tmp7__global__buf_90)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_34 tmp155__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_34 = tmp155__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp156__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_35) (* 6 tmp7__global__buf_43)) (* (- 19) tmp7__global__buf_51)) (* (- 31) tmp7__global__buf_59)) (* 53 tmp7__global__buf_67)) (* (- 12) tmp7__global__buf_75)) (* 7 tmp7__global__buf_83)) (* (- 2) tmp7__global__buf_91)) 8192) 16384))) ; (tmp156__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_35) + (6 * tmp7__global__buf_43)) + ((- 19) * tmp7__global__buf_51)) + ((- 31) * tmp7__global__buf_59)) + (53 * tmp7__global__buf_67)) + ((- 12) * tmp7__global__buf_75)) + (7 * tmp7__global__buf_83)) + ((- 2) * tmp7__global__buf_91)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_35 tmp156__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_35 = tmp156__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp157__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_36) (* 6 tmp7__global__buf_44)) (* (- 19) tmp7__global__buf_52)) (* (- 31) tmp7__global__buf_60)) (* 53 tmp7__global__buf_68)) (* (- 12) tmp7__global__buf_76)) (* 7 tmp7__global__buf_84)) (* (- 2) tmp7__global__buf_92)) 8192) 16384))) ; (tmp157__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_36) + (6 * tmp7__global__buf_44)) + ((- 19) * tmp7__global__buf_52)) + ((- 31) * tmp7__global__buf_60)) + (53 * tmp7__global__buf_68)) + ((- 12) * tmp7__global__buf_76)) + (7 * tmp7__global__buf_84)) + ((- 2) * tmp7__global__buf_92)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_36 tmp157__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_36 = tmp157__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp158__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_37) (* 6 tmp7__global__buf_45)) (* (- 19) tmp7__global__buf_53)) (* (- 31) tmp7__global__buf_61)) (* 53 tmp7__global__buf_69)) (* (- 12) tmp7__global__buf_77)) (* 7 tmp7__global__buf_85)) (* (- 2) tmp7__global__buf_93)) 8192) 16384))) ; (tmp158__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_37) + (6 * tmp7__global__buf_45)) + ((- 19) * tmp7__global__buf_53)) + ((- 31) * tmp7__global__buf_61)) + (53 * tmp7__global__buf_69)) + ((- 12) * tmp7__global__buf_77)) + (7 * tmp7__global__buf_85)) + ((- 2) * tmp7__global__buf_93)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_37 tmp158__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_37 = tmp158__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp159__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_38) (* 6 tmp7__global__buf_46)) (* (- 19) tmp7__global__buf_54)) (* (- 31) tmp7__global__buf_62)) (* 53 tmp7__global__buf_70)) (* (- 12) tmp7__global__buf_78)) (* 7 tmp7__global__buf_86)) (* (- 2) tmp7__global__buf_94)) 8192) 16384))) ; (tmp159__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_38) + (6 * tmp7__global__buf_46)) + ((- 19) * tmp7__global__buf_54)) + ((- 31) * tmp7__global__buf_62)) + (53 * tmp7__global__buf_70)) + ((- 12) * tmp7__global__buf_78)) + (7 * tmp7__global__buf_86)) + ((- 2) * tmp7__global__buf_94)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_38 tmp159__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_38 = tmp159__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp160__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_39) (* 6 tmp7__global__buf_47)) (* (- 19) tmp7__global__buf_55)) (* (- 31) tmp7__global__buf_63)) (* 53 tmp7__global__buf_71)) (* (- 12) tmp7__global__buf_79)) (* 7 tmp7__global__buf_87)) (* (- 2) tmp7__global__buf_95)) 8192) 16384))) ; (tmp160__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_39) + (6 * tmp7__global__buf_47)) + ((- 19) * tmp7__global__buf_55)) + ((- 31) * tmp7__global__buf_63)) + (53 * tmp7__global__buf_71)) + ((- 12) * tmp7__global__buf_79)) + (7 * tmp7__global__buf_87)) + ((- 2) * tmp7__global__buf_95)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_39 tmp160__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_39 = tmp160__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp161__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_40) (* 6 tmp7__global__buf_48)) (* (- 19) tmp7__global__buf_56)) (* (- 31) tmp7__global__buf_64)) (* 53 tmp7__global__buf_72)) (* (- 12) tmp7__global__buf_80)) (* 7 tmp7__global__buf_88)) (* (- 2) tmp7__global__buf_96)) 8192) 16384))) ; (tmp161__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_40) + (6 * tmp7__global__buf_48)) + ((- 19) * tmp7__global__buf_56)) + ((- 31) * tmp7__global__buf_64)) + (53 * tmp7__global__buf_72)) + ((- 12) * tmp7__global__buf_80)) + (7 * tmp7__global__buf_88)) + ((- 2) * tmp7__global__buf_96)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_40 tmp161__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_40 = tmp161__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp162__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_41) (* 6 tmp7__global__buf_49)) (* (- 19) tmp7__global__buf_57)) (* (- 31) tmp7__global__buf_65)) (* 53 tmp7__global__buf_73)) (* (- 12) tmp7__global__buf_81)) (* 7 tmp7__global__buf_89)) (* (- 2) tmp7__global__buf_97)) 8192) 16384))) ; (tmp162__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_41) + (6 * tmp7__global__buf_49)) + ((- 19) * tmp7__global__buf_57)) + ((- 31) * tmp7__global__buf_65)) + (53 * tmp7__global__buf_73)) + ((- 12) * tmp7__global__buf_81)) + (7 * tmp7__global__buf_89)) + ((- 2) * tmp7__global__buf_97)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_41 tmp162__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_41 = tmp162__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp163__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_42) (* 6 tmp7__global__buf_50)) (* (- 19) tmp7__global__buf_58)) (* (- 31) tmp7__global__buf_66)) (* 53 tmp7__global__buf_74)) (* (- 12) tmp7__global__buf_82)) (* 7 tmp7__global__buf_90)) (* (- 2) tmp7__global__buf_98)) 8192) 16384))) ; (tmp163__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_42) + (6 * tmp7__global__buf_50)) + ((- 19) * tmp7__global__buf_58)) + ((- 31) * tmp7__global__buf_66)) + (53 * tmp7__global__buf_74)) + ((- 12) * tmp7__global__buf_82)) + (7 * tmp7__global__buf_90)) + ((- 2) * tmp7__global__buf_98)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_42 tmp163__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_42 = tmp163__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp164__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_43) (* 6 tmp7__global__buf_51)) (* (- 19) tmp7__global__buf_59)) (* (- 31) tmp7__global__buf_67)) (* 53 tmp7__global__buf_75)) (* (- 12) tmp7__global__buf_83)) (* 7 tmp7__global__buf_91)) (* (- 2) tmp7__global__buf_99)) 8192) 16384))) ; (tmp164__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_43) + (6 * tmp7__global__buf_51)) + ((- 19) * tmp7__global__buf_59)) + ((- 31) * tmp7__global__buf_67)) + (53 * tmp7__global__buf_75)) + ((- 12) * tmp7__global__buf_83)) + (7 * tmp7__global__buf_91)) + ((- 2) * tmp7__global__buf_99)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_43 tmp164__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_43 = tmp164__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp165__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_44) (* 6 tmp7__global__buf_52)) (* (- 19) tmp7__global__buf_60)) (* (- 31) tmp7__global__buf_68)) (* 53 tmp7__global__buf_76)) (* (- 12) tmp7__global__buf_84)) (* 7 tmp7__global__buf_92)) (* (- 2) tmp7__global__buf_100)) 8192) 16384))) ; (tmp165__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_44) + (6 * tmp7__global__buf_52)) + ((- 19) * tmp7__global__buf_60)) + ((- 31) * tmp7__global__buf_68)) + (53 * tmp7__global__buf_76)) + ((- 12) * tmp7__global__buf_84)) + (7 * tmp7__global__buf_92)) + ((- 2) * tmp7__global__buf_100)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_44 tmp165__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_44 = tmp165__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp166__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_45) (* 6 tmp7__global__buf_53)) (* (- 19) tmp7__global__buf_61)) (* (- 31) tmp7__global__buf_69)) (* 53 tmp7__global__buf_77)) (* (- 12) tmp7__global__buf_85)) (* 7 tmp7__global__buf_93)) (* (- 2) tmp7__global__buf_101)) 8192) 16384))) ; (tmp166__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_45) + (6 * tmp7__global__buf_53)) + ((- 19) * tmp7__global__buf_61)) + ((- 31) * tmp7__global__buf_69)) + (53 * tmp7__global__buf_77)) + ((- 12) * tmp7__global__buf_85)) + (7 * tmp7__global__buf_93)) + ((- 2) * tmp7__global__buf_101)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_45 tmp166__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_45 = tmp166__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp167__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_46) (* 6 tmp7__global__buf_54)) (* (- 19) tmp7__global__buf_62)) (* (- 31) tmp7__global__buf_70)) (* 53 tmp7__global__buf_78)) (* (- 12) tmp7__global__buf_86)) (* 7 tmp7__global__buf_94)) (* (- 2) tmp7__global__buf_102)) 8192) 16384))) ; (tmp167__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_46) + (6 * tmp7__global__buf_54)) + ((- 19) * tmp7__global__buf_62)) + ((- 31) * tmp7__global__buf_70)) + (53 * tmp7__global__buf_78)) + ((- 12) * tmp7__global__buf_86)) + (7 * tmp7__global__buf_94)) + ((- 2) * tmp7__global__buf_102)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_46 tmp167__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_46 = tmp167__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp168__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_47) (* 6 tmp7__global__buf_55)) (* (- 19) tmp7__global__buf_63)) (* (- 31) tmp7__global__buf_71)) (* 53 tmp7__global__buf_79)) (* (- 12) tmp7__global__buf_87)) (* 7 tmp7__global__buf_95)) (* (- 2) tmp7__global__buf_103)) 8192) 16384))) ; (tmp168__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_47) + (6 * tmp7__global__buf_55)) + ((- 19) * tmp7__global__buf_63)) + ((- 31) * tmp7__global__buf_71)) + (53 * tmp7__global__buf_79)) + ((- 12) * tmp7__global__buf_87)) + (7 * tmp7__global__buf_95)) + ((- 2) * tmp7__global__buf_103)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_47 tmp168__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_47 = tmp168__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp169__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_48) (* 6 tmp7__global__buf_56)) (* (- 19) tmp7__global__buf_64)) (* (- 31) tmp7__global__buf_72)) (* 53 tmp7__global__buf_80)) (* (- 12) tmp7__global__buf_88)) (* 7 tmp7__global__buf_96)) (* (- 2) tmp7__global__buf_104)) 8192) 16384))) ; (tmp169__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_48) + (6 * tmp7__global__buf_56)) + ((- 19) * tmp7__global__buf_64)) + ((- 31) * tmp7__global__buf_72)) + (53 * tmp7__global__buf_80)) + ((- 12) * tmp7__global__buf_88)) + (7 * tmp7__global__buf_96)) + ((- 2) * tmp7__global__buf_104)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_48 tmp169__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_48 = tmp169__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp170__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_49) (* 6 tmp7__global__buf_57)) (* (- 19) tmp7__global__buf_65)) (* (- 31) tmp7__global__buf_73)) (* 53 tmp7__global__buf_81)) (* (- 12) tmp7__global__buf_89)) (* 7 tmp7__global__buf_97)) (* (- 2) tmp7__global__buf_105)) 8192) 16384))) ; (tmp170__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_49) + (6 * tmp7__global__buf_57)) + ((- 19) * tmp7__global__buf_65)) + ((- 31) * tmp7__global__buf_73)) + (53 * tmp7__global__buf_81)) + ((- 12) * tmp7__global__buf_89)) + (7 * tmp7__global__buf_97)) + ((- 2) * tmp7__global__buf_105)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_49 tmp170__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_49 = tmp170__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp171__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_50) (* 6 tmp7__global__buf_58)) (* (- 19) tmp7__global__buf_66)) (* (- 31) tmp7__global__buf_74)) (* 53 tmp7__global__buf_82)) (* (- 12) tmp7__global__buf_90)) (* 7 tmp7__global__buf_98)) (* (- 2) tmp7__global__buf_106)) 8192) 16384))) ; (tmp171__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_50) + (6 * tmp7__global__buf_58)) + ((- 19) * tmp7__global__buf_66)) + ((- 31) * tmp7__global__buf_74)) + (53 * tmp7__global__buf_82)) + ((- 12) * tmp7__global__buf_90)) + (7 * tmp7__global__buf_98)) + ((- 2) * tmp7__global__buf_106)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_50 tmp171__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_50 = tmp171__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp172__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_51) (* 6 tmp7__global__buf_59)) (* (- 19) tmp7__global__buf_67)) (* (- 31) tmp7__global__buf_75)) (* 53 tmp7__global__buf_83)) (* (- 12) tmp7__global__buf_91)) (* 7 tmp7__global__buf_99)) (* (- 2) tmp7__global__buf_107)) 8192) 16384))) ; (tmp172__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_51) + (6 * tmp7__global__buf_59)) + ((- 19) * tmp7__global__buf_67)) + ((- 31) * tmp7__global__buf_75)) + (53 * tmp7__global__buf_83)) + ((- 12) * tmp7__global__buf_91)) + (7 * tmp7__global__buf_99)) + ((- 2) * tmp7__global__buf_107)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_51 tmp172__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_51 = tmp172__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp173__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_52) (* 6 tmp7__global__buf_60)) (* (- 19) tmp7__global__buf_68)) (* (- 31) tmp7__global__buf_76)) (* 53 tmp7__global__buf_84)) (* (- 12) tmp7__global__buf_92)) (* 7 tmp7__global__buf_100)) (* (- 2) tmp7__global__buf_108)) 8192) 16384))) ; (tmp173__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_52) + (6 * tmp7__global__buf_60)) + ((- 19) * tmp7__global__buf_68)) + ((- 31) * tmp7__global__buf_76)) + (53 * tmp7__global__buf_84)) + ((- 12) * tmp7__global__buf_92)) + (7 * tmp7__global__buf_100)) + ((- 2) * tmp7__global__buf_108)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_52 tmp173__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_52 = tmp173__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp174__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_53) (* 6 tmp7__global__buf_61)) (* (- 19) tmp7__global__buf_69)) (* (- 31) tmp7__global__buf_77)) (* 53 tmp7__global__buf_85)) (* (- 12) tmp7__global__buf_93)) (* 7 tmp7__global__buf_101)) (* (- 2) tmp7__global__buf_109)) 8192) 16384))) ; (tmp174__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_53) + (6 * tmp7__global__buf_61)) + ((- 19) * tmp7__global__buf_69)) + ((- 31) * tmp7__global__buf_77)) + (53 * tmp7__global__buf_85)) + ((- 12) * tmp7__global__buf_93)) + (7 * tmp7__global__buf_101)) + ((- 2) * tmp7__global__buf_109)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_53 tmp174__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_53 = tmp174__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp175__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_54) (* 6 tmp7__global__buf_62)) (* (- 19) tmp7__global__buf_70)) (* (- 31) tmp7__global__buf_78)) (* 53 tmp7__global__buf_86)) (* (- 12) tmp7__global__buf_94)) (* 7 tmp7__global__buf_102)) (* (- 2) tmp7__global__buf_110)) 8192) 16384))) ; (tmp175__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_54) + (6 * tmp7__global__buf_62)) + ((- 19) * tmp7__global__buf_70)) + ((- 31) * tmp7__global__buf_78)) + (53 * tmp7__global__buf_86)) + ((- 12) * tmp7__global__buf_94)) + (7 * tmp7__global__buf_102)) + ((- 2) * tmp7__global__buf_110)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_54 tmp175__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_54 = tmp175__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp176__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_55) (* 6 tmp7__global__buf_63)) (* (- 19) tmp7__global__buf_71)) (* (- 31) tmp7__global__buf_79)) (* 53 tmp7__global__buf_87)) (* (- 12) tmp7__global__buf_95)) (* 7 tmp7__global__buf_103)) (* (- 2) tmp7__global__buf_111)) 8192) 16384))) ; (tmp176__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_55) + (6 * tmp7__global__buf_63)) + ((- 19) * tmp7__global__buf_71)) + ((- 31) * tmp7__global__buf_79)) + (53 * tmp7__global__buf_87)) + ((- 12) * tmp7__global__buf_95)) + (7 * tmp7__global__buf_103)) + ((- 2) * tmp7__global__buf_111)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_55 tmp176__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_55 = tmp176__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp177__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_56) (* 6 tmp7__global__buf_64)) (* (- 19) tmp7__global__buf_72)) (* (- 31) tmp7__global__buf_80)) (* 53 tmp7__global__buf_88)) (* (- 12) tmp7__global__buf_96)) (* 7 tmp7__global__buf_104)) (* (- 2) tmp7__global__buf_112)) 8192) 16384))) ; (tmp177__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_56) + (6 * tmp7__global__buf_64)) + ((- 19) * tmp7__global__buf_72)) + ((- 31) * tmp7__global__buf_80)) + (53 * tmp7__global__buf_88)) + ((- 12) * tmp7__global__buf_96)) + (7 * tmp7__global__buf_104)) + ((- 2) * tmp7__global__buf_112)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_56 tmp177__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_56 = tmp177__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp178__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_57) (* 6 tmp7__global__buf_65)) (* (- 19) tmp7__global__buf_73)) (* (- 31) tmp7__global__buf_81)) (* 53 tmp7__global__buf_89)) (* (- 12) tmp7__global__buf_97)) (* 7 tmp7__global__buf_105)) (* (- 2) tmp7__global__buf_113)) 8192) 16384))) ; (tmp178__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_57) + (6 * tmp7__global__buf_65)) + ((- 19) * tmp7__global__buf_73)) + ((- 31) * tmp7__global__buf_81)) + (53 * tmp7__global__buf_89)) + ((- 12) * tmp7__global__buf_97)) + (7 * tmp7__global__buf_105)) + ((- 2) * tmp7__global__buf_113)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_57 tmp178__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_57 = tmp178__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp179__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_58) (* 6 tmp7__global__buf_66)) (* (- 19) tmp7__global__buf_74)) (* (- 31) tmp7__global__buf_82)) (* 53 tmp7__global__buf_90)) (* (- 12) tmp7__global__buf_98)) (* 7 tmp7__global__buf_106)) (* (- 2) tmp7__global__buf_114)) 8192) 16384))) ; (tmp179__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_58) + (6 * tmp7__global__buf_66)) + ((- 19) * tmp7__global__buf_74)) + ((- 31) * tmp7__global__buf_82)) + (53 * tmp7__global__buf_90)) + ((- 12) * tmp7__global__buf_98)) + (7 * tmp7__global__buf_106)) + ((- 2) * tmp7__global__buf_114)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_58 tmp179__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_58 = tmp179__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp180__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_59) (* 6 tmp7__global__buf_67)) (* (- 19) tmp7__global__buf_75)) (* (- 31) tmp7__global__buf_83)) (* 53 tmp7__global__buf_91)) (* (- 12) tmp7__global__buf_99)) (* 7 tmp7__global__buf_107)) (* (- 2) tmp7__global__buf_115)) 8192) 16384))) ; (tmp180__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_59) + (6 * tmp7__global__buf_67)) + ((- 19) * tmp7__global__buf_75)) + ((- 31) * tmp7__global__buf_83)) + (53 * tmp7__global__buf_91)) + ((- 12) * tmp7__global__buf_99)) + (7 * tmp7__global__buf_107)) + ((- 2) * tmp7__global__buf_115)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_59 tmp180__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_59 = tmp180__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp181__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_60) (* 6 tmp7__global__buf_68)) (* (- 19) tmp7__global__buf_76)) (* (- 31) tmp7__global__buf_84)) (* 53 tmp7__global__buf_92)) (* (- 12) tmp7__global__buf_100)) (* 7 tmp7__global__buf_108)) (* (- 2) tmp7__global__buf_116)) 8192) 16384))) ; (tmp181__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_60) + (6 * tmp7__global__buf_68)) + ((- 19) * tmp7__global__buf_76)) + ((- 31) * tmp7__global__buf_84)) + (53 * tmp7__global__buf_92)) + ((- 12) * tmp7__global__buf_100)) + (7 * tmp7__global__buf_108)) + ((- 2) * tmp7__global__buf_116)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_60 tmp181__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_60 = tmp181__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp182__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_61) (* 6 tmp7__global__buf_69)) (* (- 19) tmp7__global__buf_77)) (* (- 31) tmp7__global__buf_85)) (* 53 tmp7__global__buf_93)) (* (- 12) tmp7__global__buf_101)) (* 7 tmp7__global__buf_109)) (* (- 2) tmp7__global__buf_117)) 8192) 16384))) ; (tmp182__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_61) + (6 * tmp7__global__buf_69)) + ((- 19) * tmp7__global__buf_77)) + ((- 31) * tmp7__global__buf_85)) + (53 * tmp7__global__buf_93)) + ((- 12) * tmp7__global__buf_101)) + (7 * tmp7__global__buf_109)) + ((- 2) * tmp7__global__buf_117)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_61 tmp182__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_61 = tmp182__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp183__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_62) (* 6 tmp7__global__buf_70)) (* (- 19) tmp7__global__buf_78)) (* (- 31) tmp7__global__buf_86)) (* 53 tmp7__global__buf_94)) (* (- 12) tmp7__global__buf_102)) (* 7 tmp7__global__buf_110)) (* (- 2) tmp7__global__buf_118)) 8192) 16384))) ; (tmp183__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_62) + (6 * tmp7__global__buf_70)) + ((- 19) * tmp7__global__buf_78)) + ((- 31) * tmp7__global__buf_86)) + (53 * tmp7__global__buf_94)) + ((- 12) * tmp7__global__buf_102)) + (7 * tmp7__global__buf_110)) + ((- 2) * tmp7__global__buf_118)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_62 tmp183__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_62 = tmp183__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp184__func_com_grad_y_l_nn_variant_1__val (div (+ (+ (+ (+ (+ (+ (+ (+ (* (- 2) tmp7__global__buf_63) (* 6 tmp7__global__buf_71)) (* (- 19) tmp7__global__buf_79)) (* (- 31) tmp7__global__buf_87)) (* 53 tmp7__global__buf_95)) (* (- 12) tmp7__global__buf_103)) (* 7 tmp7__global__buf_111)) (* (- 2) tmp7__global__buf_119)) 8192) 16384))) ; (tmp184__func_com_grad_y_l_nn_variant_1__val = (((((((((((- 2) * tmp7__global__buf_63) + (6 * tmp7__global__buf_71)) + ((- 19) * tmp7__global__buf_79)) + ((- 31) * tmp7__global__buf_87)) + (53 * tmp7__global__buf_95)) + ((- 12) * tmp7__global__buf_103)) + (7 * tmp7__global__buf_111)) + ((- 2) * tmp7__global__buf_119)) + 8192) div 16384))
(assert (= tmp1__global__gradYL1_63 tmp184__func_com_grad_y_l_nn_variant_1__val)) ; (tmp1__global__gradYL1_63 = tmp184__func_com_grad_y_l_nn_variant_1__val)
(assert (= tmp1__global__s1_0 0)) ; (tmp1__global__s1_0 = 0)
(assert (= tmp1__global__s1_1 0)) ; (tmp1__global__s1_1 = 0)
(assert (= tmp1__global__s1_2 0)) ; (tmp1__global__s1_2 = 0)
(assert (= tmp1__global__s1_3 0)) ; (tmp1__global__s1_3 = 0)
(assert (= tmp1__global__s1_4 0)) ; (tmp1__global__s1_4 = 0)
(assert (= tmp1__global__s1_5 0)) ; (tmp1__global__s1_5 = 0)
(assert (= tmp1__global__s1_6 0)) ; (tmp1__global__s1_6 = 0)
(assert (= tmp1__global__s1_7 0)) ; (tmp1__global__s1_7 = 0)
(assert (= tmp1__global__s1_8 0)) ; (tmp1__global__s1_8 = 0)
(assert (= tmp1__global__s1_9 0)) ; (tmp1__global__s1_9 = 0)
(assert (= tmp1__global__s1_10 0)) ; (tmp1__global__s1_10 = 0)
(assert (= tmp1__global__s1_11 0)) ; (tmp1__global__s1_11 = 0)
(assert (= tmp1__global__s1_12 0)) ; (tmp1__global__s1_12 = 0)
(assert (= tmp1__global__s1_13 0)) ; (tmp1__global__s1_13 = 0)
(assert (= tmp1__global__s1_14 0)) ; (tmp1__global__s1_14 = 0)
(assert (= tmp1__global__s1_15 0)) ; (tmp1__global__s1_15 = 0)
(assert (= tmp1__global__s1_16 0)) ; (tmp1__global__s1_16 = 0)
(assert (= tmp1__global__s1_17 0)) ; (tmp1__global__s1_17 = 0)
(assert (= tmp1__global__s1_18 0)) ; (tmp1__global__s1_18 = 0)
(assert (= tmp1__global__s1_19 0)) ; (tmp1__global__s1_19 = 0)
(assert (= tmp1__global__s1_20 0)) ; (tmp1__global__s1_20 = 0)
(assert (= tmp1__global__s1_21 0)) ; (tmp1__global__s1_21 = 0)
(assert (= tmp1__global__s1_22 0)) ; (tmp1__global__s1_22 = 0)
(assert (= tmp1__global__s1_23 0)) ; (tmp1__global__s1_23 = 0)
(assert (= tmp1__global__s1_24 0)) ; (tmp1__global__s1_24 = 0)
(assert (= tmp1__global__s1_25 0)) ; (tmp1__global__s1_25 = 0)
(assert (= tmp1__global__s1_26 0)) ; (tmp1__global__s1_26 = 0)
(assert (= tmp1__global__s1_27 0)) ; (tmp1__global__s1_27 = 0)
(assert (= tmp1__global__s1_28 0)) ; (tmp1__global__s1_28 = 0)
(assert (= tmp1__global__s1_29 0)) ; (tmp1__global__s1_29 = 0)
(assert (= tmp1__global__s1_30 0)) ; (tmp1__global__s1_30 = 0)
(assert (= tmp1__global__s1_31 0)) ; (tmp1__global__s1_31 = 0)
(assert (= tmp1__global__s1_32 0)) ; (tmp1__global__s1_32 = 0)
(assert (= tmp1__global__s1_33 0)) ; (tmp1__global__s1_33 = 0)
(assert (= tmp1__global__s1_34 0)) ; (tmp1__global__s1_34 = 0)
(assert (= tmp1__global__s1_35 0)) ; (tmp1__global__s1_35 = 0)
(assert (= tmp1__global__s1_36 0)) ; (tmp1__global__s1_36 = 0)
(assert (= tmp1__global__s1_37 0)) ; (tmp1__global__s1_37 = 0)
(assert (= tmp1__global__s1_38 0)) ; (tmp1__global__s1_38 = 0)
(assert (= tmp1__global__s1_39 0)) ; (tmp1__global__s1_39 = 0)
(assert (= tmp1__global__s1_40 0)) ; (tmp1__global__s1_40 = 0)
(assert (= tmp1__global__s1_41 0)) ; (tmp1__global__s1_41 = 0)
(assert (= tmp1__global__s1_42 0)) ; (tmp1__global__s1_42 = 0)
(assert (= tmp1__global__s1_43 0)) ; (tmp1__global__s1_43 = 0)
(assert (= tmp1__global__s1_44 0)) ; (tmp1__global__s1_44 = 0)
(assert (= tmp1__global__s1_45 0)) ; (tmp1__global__s1_45 = 0)
(assert (= tmp1__global__s1_46 0)) ; (tmp1__global__s1_46 = 0)
(assert (= tmp1__global__s1_47 0)) ; (tmp1__global__s1_47 = 0)
(assert (= tmp1__global__s1_48 0)) ; (tmp1__global__s1_48 = 0)
(assert (= tmp1__global__s1_49 0)) ; (tmp1__global__s1_49 = 0)
(assert (= tmp1__global__s1_50 0)) ; (tmp1__global__s1_50 = 0)
(assert (= tmp1__global__s1_51 0)) ; (tmp1__global__s1_51 = 0)
(assert (= tmp1__global__s1_52 0)) ; (tmp1__global__s1_52 = 0)
(assert (= tmp1__global__s1_53 0)) ; (tmp1__global__s1_53 = 0)
(assert (= tmp1__global__s1_54 0)) ; (tmp1__global__s1_54 = 0)
(assert (= tmp1__global__s1_55 0)) ; (tmp1__global__s1_55 = 0)
(assert (= tmp1__global__s1_56 0)) ; (tmp1__global__s1_56 = 0)
(assert (= tmp1__global__s1_57 0)) ; (tmp1__global__s1_57 = 0)
(assert (= tmp1__global__s1_58 0)) ; (tmp1__global__s1_58 = 0)
(assert (= tmp1__global__s1_59 0)) ; (tmp1__global__s1_59 = 0)
(assert (= tmp1__global__s1_60 0)) ; (tmp1__global__s1_60 = 0)
(assert (= tmp1__global__s1_61 0)) ; (tmp1__global__s1_61 = 0)
(assert (= tmp1__global__s1_62 0)) ; (tmp1__global__s1_62 = 0)
(assert (= tmp1__global__s1_63 0)) ; (tmp1__global__s1_63 = 0)
(assert (= tmp1__global__s2_0 0)) ; (tmp1__global__s2_0 = 0)
(assert (= tmp1__global__s2_1 0)) ; (tmp1__global__s2_1 = 0)
(assert (= tmp1__global__s2_2 0)) ; (tmp1__global__s2_2 = 0)
(assert (= tmp1__global__s2_3 0)) ; (tmp1__global__s2_3 = 0)
(assert (= tmp1__global__s2_4 0)) ; (tmp1__global__s2_4 = 0)
(assert (= tmp1__global__s2_5 0)) ; (tmp1__global__s2_5 = 0)
(assert (= tmp1__global__s2_6 0)) ; (tmp1__global__s2_6 = 0)
(assert (= tmp1__global__s2_7 0)) ; (tmp1__global__s2_7 = 0)
(assert (= tmp1__global__s2_8 0)) ; (tmp1__global__s2_8 = 0)
(assert (= tmp1__global__s2_9 0)) ; (tmp1__global__s2_9 = 0)
(assert (= tmp1__global__s2_10 0)) ; (tmp1__global__s2_10 = 0)
(assert (= tmp1__global__s2_11 0)) ; (tmp1__global__s2_11 = 0)
(assert (= tmp1__global__s2_12 0)) ; (tmp1__global__s2_12 = 0)
(assert (= tmp1__global__s2_13 0)) ; (tmp1__global__s2_13 = 0)
(assert (= tmp1__global__s2_14 0)) ; (tmp1__global__s2_14 = 0)
(assert (= tmp1__global__s2_15 0)) ; (tmp1__global__s2_15 = 0)
(assert (= tmp1__global__s2_16 0)) ; (tmp1__global__s2_16 = 0)
(assert (= tmp1__global__s2_17 0)) ; (tmp1__global__s2_17 = 0)
(assert (= tmp1__global__s2_18 0)) ; (tmp1__global__s2_18 = 0)
(assert (= tmp1__global__s2_19 0)) ; (tmp1__global__s2_19 = 0)
(assert (= tmp1__global__s2_20 0)) ; (tmp1__global__s2_20 = 0)
(assert (= tmp1__global__s2_21 0)) ; (tmp1__global__s2_21 = 0)
(assert (= tmp1__global__s2_22 0)) ; (tmp1__global__s2_22 = 0)
(assert (= tmp1__global__s2_23 0)) ; (tmp1__global__s2_23 = 0)
(assert (= tmp1__global__s2_24 0)) ; (tmp1__global__s2_24 = 0)
(assert (= tmp1__global__s2_25 0)) ; (tmp1__global__s2_25 = 0)
(assert (= tmp1__global__s2_26 0)) ; (tmp1__global__s2_26 = 0)
(assert (= tmp1__global__s2_27 0)) ; (tmp1__global__s2_27 = 0)
(assert (= tmp1__global__s2_28 0)) ; (tmp1__global__s2_28 = 0)
(assert (= tmp1__global__s2_29 0)) ; (tmp1__global__s2_29 = 0)
(assert (= tmp1__global__s2_30 0)) ; (tmp1__global__s2_30 = 0)
(assert (= tmp1__global__s2_31 0)) ; (tmp1__global__s2_31 = 0)
(assert (= tmp1__global__s2_32 0)) ; (tmp1__global__s2_32 = 0)
(assert (= tmp1__global__s2_33 0)) ; (tmp1__global__s2_33 = 0)
(assert (= tmp1__global__s2_34 0)) ; (tmp1__global__s2_34 = 0)
(assert (= tmp1__global__s2_35 0)) ; (tmp1__global__s2_35 = 0)
(assert (= tmp1__global__s2_36 0)) ; (tmp1__global__s2_36 = 0)
(assert (= tmp1__global__s2_37 0)) ; (tmp1__global__s2_37 = 0)
(assert (= tmp1__global__s2_38 0)) ; (tmp1__global__s2_38 = 0)
(assert (= tmp1__global__s2_39 0)) ; (tmp1__global__s2_39 = 0)
(assert (= tmp1__global__s2_40 0)) ; (tmp1__global__s2_40 = 0)
(assert (= tmp1__global__s2_41 0)) ; (tmp1__global__s2_41 = 0)
(assert (= tmp1__global__s2_42 0)) ; (tmp1__global__s2_42 = 0)
(assert (= tmp1__global__s2_43 0)) ; (tmp1__global__s2_43 = 0)
(assert (= tmp1__global__s2_44 0)) ; (tmp1__global__s2_44 = 0)
(assert (= tmp1__global__s2_45 0)) ; (tmp1__global__s2_45 = 0)
(assert (= tmp1__global__s2_46 0)) ; (tmp1__global__s2_46 = 0)
(assert (= tmp1__global__s2_47 0)) ; (tmp1__global__s2_47 = 0)
(assert (= tmp1__global__s2_48 0)) ; (tmp1__global__s2_48 = 0)
(assert (= tmp1__global__s2_49 0)) ; (tmp1__global__s2_49 = 0)
(assert (= tmp1__global__s2_50 0)) ; (tmp1__global__s2_50 = 0)
(assert (= tmp1__global__s2_51 0)) ; (tmp1__global__s2_51 = 0)
(assert (= tmp1__global__s2_52 0)) ; (tmp1__global__s2_52 = 0)
(assert (= tmp1__global__s2_53 0)) ; (tmp1__global__s2_53 = 0)
(assert (= tmp1__global__s2_54 0)) ; (tmp1__global__s2_54 = 0)
(assert (= tmp1__global__s2_55 0)) ; (tmp1__global__s2_55 = 0)
(assert (= tmp1__global__s2_56 0)) ; (tmp1__global__s2_56 = 0)
(assert (= tmp1__global__s2_57 0)) ; (tmp1__global__s2_57 = 0)
(assert (= tmp1__global__s2_58 0)) ; (tmp1__global__s2_58 = 0)
(assert (= tmp1__global__s2_59 0)) ; (tmp1__global__s2_59 = 0)
(assert (= tmp1__global__s2_60 0)) ; (tmp1__global__s2_60 = 0)
(assert (= tmp1__global__s2_61 0)) ; (tmp1__global__s2_61 = 0)
(assert (= tmp1__global__s2_62 0)) ; (tmp1__global__s2_62 = 0)
(assert (= tmp1__global__s2_63 0)) ; (tmp1__global__s2_63 = 0)
(assert (= tmp1__global__s3_0 0)) ; (tmp1__global__s3_0 = 0)
(assert (= tmp1__global__s3_1 0)) ; (tmp1__global__s3_1 = 0)
(assert (= tmp1__global__s3_2 0)) ; (tmp1__global__s3_2 = 0)
(assert (= tmp1__global__s3_3 0)) ; (tmp1__global__s3_3 = 0)
(assert (= tmp1__global__s3_4 0)) ; (tmp1__global__s3_4 = 0)
(assert (= tmp1__global__s3_5 0)) ; (tmp1__global__s3_5 = 0)
(assert (= tmp1__global__s3_6 0)) ; (tmp1__global__s3_6 = 0)
(assert (= tmp1__global__s3_7 0)) ; (tmp1__global__s3_7 = 0)
(assert (= tmp1__global__s3_8 0)) ; (tmp1__global__s3_8 = 0)
(assert (= tmp1__global__s3_9 0)) ; (tmp1__global__s3_9 = 0)
(assert (= tmp1__global__s3_10 0)) ; (tmp1__global__s3_10 = 0)
(assert (= tmp1__global__s3_11 0)) ; (tmp1__global__s3_11 = 0)
(assert (= tmp1__global__s3_12 0)) ; (tmp1__global__s3_12 = 0)
(assert (= tmp1__global__s3_13 0)) ; (tmp1__global__s3_13 = 0)
(assert (= tmp1__global__s3_14 0)) ; (tmp1__global__s3_14 = 0)
(assert (= tmp1__global__s3_15 0)) ; (tmp1__global__s3_15 = 0)
(assert (= tmp1__global__s3_16 0)) ; (tmp1__global__s3_16 = 0)
(assert (= tmp1__global__s3_17 0)) ; (tmp1__global__s3_17 = 0)
(assert (= tmp1__global__s3_18 0)) ; (tmp1__global__s3_18 = 0)
(assert (= tmp1__global__s3_19 0)) ; (tmp1__global__s3_19 = 0)
(assert (= tmp1__global__s3_20 0)) ; (tmp1__global__s3_20 = 0)
(assert (= tmp1__global__s3_21 0)) ; (tmp1__global__s3_21 = 0)
(assert (= tmp1__global__s3_22 0)) ; (tmp1__global__s3_22 = 0)
(assert (= tmp1__global__s3_23 0)) ; (tmp1__global__s3_23 = 0)
(assert (= tmp1__global__s3_24 0)) ; (tmp1__global__s3_24 = 0)
(assert (= tmp1__global__s3_25 0)) ; (tmp1__global__s3_25 = 0)
(assert (= tmp1__global__s3_26 0)) ; (tmp1__global__s3_26 = 0)
(assert (= tmp1__global__s3_27 0)) ; (tmp1__global__s3_27 = 0)
(assert (= tmp1__global__s3_28 0)) ; (tmp1__global__s3_28 = 0)
(assert (= tmp1__global__s3_29 0)) ; (tmp1__global__s3_29 = 0)
(assert (= tmp1__global__s3_30 0)) ; (tmp1__global__s3_30 = 0)
(assert (= tmp1__global__s3_31 0)) ; (tmp1__global__s3_31 = 0)
(assert (= tmp1__global__s3_32 0)) ; (tmp1__global__s3_32 = 0)
(assert (= tmp1__global__s3_33 0)) ; (tmp1__global__s3_33 = 0)
(assert (= tmp1__global__s3_34 0)) ; (tmp1__global__s3_34 = 0)
(assert (= tmp1__global__s3_35 0)) ; (tmp1__global__s3_35 = 0)
(assert (= tmp1__global__s3_36 0)) ; (tmp1__global__s3_36 = 0)
(assert (= tmp1__global__s3_37 0)) ; (tmp1__global__s3_37 = 0)
(assert (= tmp1__global__s3_38 0)) ; (tmp1__global__s3_38 = 0)
(assert (= tmp1__global__s3_39 0)) ; (tmp1__global__s3_39 = 0)
(assert (= tmp1__global__s3_40 0)) ; (tmp1__global__s3_40 = 0)
(assert (= tmp1__global__s3_41 0)) ; (tmp1__global__s3_41 = 0)
(assert (= tmp1__global__s3_42 0)) ; (tmp1__global__s3_42 = 0)
(assert (= tmp1__global__s3_43 0)) ; (tmp1__global__s3_43 = 0)
(assert (= tmp1__global__s3_44 0)) ; (tmp1__global__s3_44 = 0)
(assert (= tmp1__global__s3_45 0)) ; (tmp1__global__s3_45 = 0)
(assert (= tmp1__global__s3_46 0)) ; (tmp1__global__s3_46 = 0)
(assert (= tmp1__global__s3_47 0)) ; (tmp1__global__s3_47 = 0)
(assert (= tmp1__global__s3_48 0)) ; (tmp1__global__s3_48 = 0)
(assert (= tmp1__global__s3_49 0)) ; (tmp1__global__s3_49 = 0)
(assert (= tmp1__global__s3_50 0)) ; (tmp1__global__s3_50 = 0)
(assert (= tmp1__global__s3_51 0)) ; (tmp1__global__s3_51 = 0)
(assert (= tmp1__global__s3_52 0)) ; (tmp1__global__s3_52 = 0)
(assert (= tmp1__global__s3_53 0)) ; (tmp1__global__s3_53 = 0)
(assert (= tmp1__global__s3_54 0)) ; (tmp1__global__s3_54 = 0)
(assert (= tmp1__global__s3_55 0)) ; (tmp1__global__s3_55 = 0)
(assert (= tmp1__global__s3_56 0)) ; (tmp1__global__s3_56 = 0)
(assert (= tmp1__global__s3_57 0)) ; (tmp1__global__s3_57 = 0)
(assert (= tmp1__global__s3_58 0)) ; (tmp1__global__s3_58 = 0)
(assert (= tmp1__global__s3_59 0)) ; (tmp1__global__s3_59 = 0)
(assert (= tmp1__global__s3_60 0)) ; (tmp1__global__s3_60 = 0)
(assert (= tmp1__global__s3_61 0)) ; (tmp1__global__s3_61 = 0)
(assert (= tmp1__global__s3_62 0)) ; (tmp1__global__s3_62 = 0)
(assert (= tmp1__global__s3_63 0)) ; (tmp1__global__s3_63 = 0)
(assert (= tmp1__global__s4_0 0)) ; (tmp1__global__s4_0 = 0)
(assert (= tmp1__global__s4_1 0)) ; (tmp1__global__s4_1 = 0)
(assert (= tmp1__global__s4_2 0)) ; (tmp1__global__s4_2 = 0)
(assert (= tmp1__global__s4_3 0)) ; (tmp1__global__s4_3 = 0)
(assert (= tmp1__global__s4_4 0)) ; (tmp1__global__s4_4 = 0)
(assert (= tmp1__global__s4_5 0)) ; (tmp1__global__s4_5 = 0)
(assert (= tmp1__global__s4_6 0)) ; (tmp1__global__s4_6 = 0)
(assert (= tmp1__global__s4_7 0)) ; (tmp1__global__s4_7 = 0)
(assert (= tmp1__global__s4_8 0)) ; (tmp1__global__s4_8 = 0)
(assert (= tmp1__global__s4_9 0)) ; (tmp1__global__s4_9 = 0)
(assert (= tmp1__global__s4_10 0)) ; (tmp1__global__s4_10 = 0)
(assert (= tmp1__global__s4_11 0)) ; (tmp1__global__s4_11 = 0)
(assert (= tmp1__global__s4_12 0)) ; (tmp1__global__s4_12 = 0)
(assert (= tmp1__global__s4_13 0)) ; (tmp1__global__s4_13 = 0)
(assert (= tmp1__global__s4_14 0)) ; (tmp1__global__s4_14 = 0)
(assert (= tmp1__global__s4_15 0)) ; (tmp1__global__s4_15 = 0)
(assert (= tmp1__global__s4_16 0)) ; (tmp1__global__s4_16 = 0)
(assert (= tmp1__global__s4_17 0)) ; (tmp1__global__s4_17 = 0)
(assert (= tmp1__global__s4_18 0)) ; (tmp1__global__s4_18 = 0)
(assert (= tmp1__global__s4_19 0)) ; (tmp1__global__s4_19 = 0)
(assert (= tmp1__global__s4_20 0)) ; (tmp1__global__s4_20 = 0)
(assert (= tmp1__global__s4_21 0)) ; (tmp1__global__s4_21 = 0)
(assert (= tmp1__global__s4_22 0)) ; (tmp1__global__s4_22 = 0)
(assert (= tmp1__global__s4_23 0)) ; (tmp1__global__s4_23 = 0)
(assert (= tmp1__global__s4_24 0)) ; (tmp1__global__s4_24 = 0)
(assert (= tmp1__global__s4_25 0)) ; (tmp1__global__s4_25 = 0)
(assert (= tmp1__global__s4_26 0)) ; (tmp1__global__s4_26 = 0)
(assert (= tmp1__global__s4_27 0)) ; (tmp1__global__s4_27 = 0)
(assert (= tmp1__global__s4_28 0)) ; (tmp1__global__s4_28 = 0)
(assert (= tmp1__global__s4_29 0)) ; (tmp1__global__s4_29 = 0)
(assert (= tmp1__global__s4_30 0)) ; (tmp1__global__s4_30 = 0)
(assert (= tmp1__global__s4_31 0)) ; (tmp1__global__s4_31 = 0)
(assert (= tmp1__global__s4_32 0)) ; (tmp1__global__s4_32 = 0)
(assert (= tmp1__global__s4_33 0)) ; (tmp1__global__s4_33 = 0)
(assert (= tmp1__global__s4_34 0)) ; (tmp1__global__s4_34 = 0)
(assert (= tmp1__global__s4_35 0)) ; (tmp1__global__s4_35 = 0)
(assert (= tmp1__global__s4_36 0)) ; (tmp1__global__s4_36 = 0)
(assert (= tmp1__global__s4_37 0)) ; (tmp1__global__s4_37 = 0)
(assert (= tmp1__global__s4_38 0)) ; (tmp1__global__s4_38 = 0)
(assert (= tmp1__global__s4_39 0)) ; (tmp1__global__s4_39 = 0)
(assert (= tmp1__global__s4_40 0)) ; (tmp1__global__s4_40 = 0)
(assert (= tmp1__global__s4_41 0)) ; (tmp1__global__s4_41 = 0)
(assert (= tmp1__global__s4_42 0)) ; (tmp1__global__s4_42 = 0)
(assert (= tmp1__global__s4_43 0)) ; (tmp1__global__s4_43 = 0)
(assert (= tmp1__global__s4_44 0)) ; (tmp1__global__s4_44 = 0)
(assert (= tmp1__global__s4_45 0)) ; (tmp1__global__s4_45 = 0)
(assert (= tmp1__global__s4_46 0)) ; (tmp1__global__s4_46 = 0)
(assert (= tmp1__global__s4_47 0)) ; (tmp1__global__s4_47 = 0)
(assert (= tmp1__global__s4_48 0)) ; (tmp1__global__s4_48 = 0)
(assert (= tmp1__global__s4_49 0)) ; (tmp1__global__s4_49 = 0)
(assert (= tmp1__global__s4_50 0)) ; (tmp1__global__s4_50 = 0)
(assert (= tmp1__global__s4_51 0)) ; (tmp1__global__s4_51 = 0)
(assert (= tmp1__global__s4_52 0)) ; (tmp1__global__s4_52 = 0)
(assert (= tmp1__global__s4_53 0)) ; (tmp1__global__s4_53 = 0)
(assert (= tmp1__global__s4_54 0)) ; (tmp1__global__s4_54 = 0)
(assert (= tmp1__global__s4_55 0)) ; (tmp1__global__s4_55 = 0)
(assert (= tmp1__global__s4_56 0)) ; (tmp1__global__s4_56 = 0)
(assert (= tmp1__global__s4_57 0)) ; (tmp1__global__s4_57 = 0)
(assert (= tmp1__global__s4_58 0)) ; (tmp1__global__s4_58 = 0)
(assert (= tmp1__global__s4_59 0)) ; (tmp1__global__s4_59 = 0)
(assert (= tmp1__global__s4_60 0)) ; (tmp1__global__s4_60 = 0)
(assert (= tmp1__global__s4_61 0)) ; (tmp1__global__s4_61 = 0)
(assert (= tmp1__global__s4_62 0)) ; (tmp1__global__s4_62 = 0)
(assert (= tmp1__global__s4_63 0)) ; (tmp1__global__s4_63 = 0)
(assert (= tmp1__global__s5_0 0)) ; (tmp1__global__s5_0 = 0)
(assert (= tmp1__global__s5_1 0)) ; (tmp1__global__s5_1 = 0)
(assert (= tmp1__global__s5_2 0)) ; (tmp1__global__s5_2 = 0)
(assert (= tmp1__global__s5_3 0)) ; (tmp1__global__s5_3 = 0)
(assert (= tmp1__global__s5_4 0)) ; (tmp1__global__s5_4 = 0)
(assert (= tmp1__global__s5_5 0)) ; (tmp1__global__s5_5 = 0)
(assert (= tmp1__global__s5_6 0)) ; (tmp1__global__s5_6 = 0)
(assert (= tmp1__global__s5_7 0)) ; (tmp1__global__s5_7 = 0)
(assert (= tmp1__global__s5_8 0)) ; (tmp1__global__s5_8 = 0)
(assert (= tmp1__global__s5_9 0)) ; (tmp1__global__s5_9 = 0)
(assert (= tmp1__global__s5_10 0)) ; (tmp1__global__s5_10 = 0)
(assert (= tmp1__global__s5_11 0)) ; (tmp1__global__s5_11 = 0)
(assert (= tmp1__global__s5_12 0)) ; (tmp1__global__s5_12 = 0)
(assert (= tmp1__global__s5_13 0)) ; (tmp1__global__s5_13 = 0)
(assert (= tmp1__global__s5_14 0)) ; (tmp1__global__s5_14 = 0)
(assert (= tmp1__global__s5_15 0)) ; (tmp1__global__s5_15 = 0)
(assert (= tmp1__global__s5_16 0)) ; (tmp1__global__s5_16 = 0)
(assert (= tmp1__global__s5_17 0)) ; (tmp1__global__s5_17 = 0)
(assert (= tmp1__global__s5_18 0)) ; (tmp1__global__s5_18 = 0)
(assert (= tmp1__global__s5_19 0)) ; (tmp1__global__s5_19 = 0)
(assert (= tmp1__global__s5_20 0)) ; (tmp1__global__s5_20 = 0)
(assert (= tmp1__global__s5_21 0)) ; (tmp1__global__s5_21 = 0)
(assert (= tmp1__global__s5_22 0)) ; (tmp1__global__s5_22 = 0)
(assert (= tmp1__global__s5_23 0)) ; (tmp1__global__s5_23 = 0)
(assert (= tmp1__global__s5_24 0)) ; (tmp1__global__s5_24 = 0)
(assert (= tmp1__global__s5_25 0)) ; (tmp1__global__s5_25 = 0)
(assert (= tmp1__global__s5_26 0)) ; (tmp1__global__s5_26 = 0)
(assert (= tmp1__global__s5_27 0)) ; (tmp1__global__s5_27 = 0)
(assert (= tmp1__global__s5_28 0)) ; (tmp1__global__s5_28 = 0)
(assert (= tmp1__global__s5_29 0)) ; (tmp1__global__s5_29 = 0)
(assert (= tmp1__global__s5_30 0)) ; (tmp1__global__s5_30 = 0)
(assert (= tmp1__global__s5_31 0)) ; (tmp1__global__s5_31 = 0)
(assert (= tmp1__global__s5_32 0)) ; (tmp1__global__s5_32 = 0)
(assert (= tmp1__global__s5_33 0)) ; (tmp1__global__s5_33 = 0)
(assert (= tmp1__global__s5_34 0)) ; (tmp1__global__s5_34 = 0)
(assert (= tmp1__global__s5_35 0)) ; (tmp1__global__s5_35 = 0)
(assert (= tmp1__global__s5_36 0)) ; (tmp1__global__s5_36 = 0)
(assert (= tmp1__global__s5_37 0)) ; (tmp1__global__s5_37 = 0)
(assert (= tmp1__global__s5_38 0)) ; (tmp1__global__s5_38 = 0)
(assert (= tmp1__global__s5_39 0)) ; (tmp1__global__s5_39 = 0)
(assert (= tmp1__global__s5_40 0)) ; (tmp1__global__s5_40 = 0)
(assert (= tmp1__global__s5_41 0)) ; (tmp1__global__s5_41 = 0)
(assert (= tmp1__global__s5_42 0)) ; (tmp1__global__s5_42 = 0)
(assert (= tmp1__global__s5_43 0)) ; (tmp1__global__s5_43 = 0)
(assert (= tmp1__global__s5_44 0)) ; (tmp1__global__s5_44 = 0)
(assert (= tmp1__global__s5_45 0)) ; (tmp1__global__s5_45 = 0)
(assert (= tmp1__global__s5_46 0)) ; (tmp1__global__s5_46 = 0)
(assert (= tmp1__global__s5_47 0)) ; (tmp1__global__s5_47 = 0)
(assert (= tmp1__global__s5_48 0)) ; (tmp1__global__s5_48 = 0)
(assert (= tmp1__global__s5_49 0)) ; (tmp1__global__s5_49 = 0)
(assert (= tmp1__global__s5_50 0)) ; (tmp1__global__s5_50 = 0)
(assert (= tmp1__global__s5_51 0)) ; (tmp1__global__s5_51 = 0)
(assert (= tmp1__global__s5_52 0)) ; (tmp1__global__s5_52 = 0)
(assert (= tmp1__global__s5_53 0)) ; (tmp1__global__s5_53 = 0)
(assert (= tmp1__global__s5_54 0)) ; (tmp1__global__s5_54 = 0)
(assert (= tmp1__global__s5_55 0)) ; (tmp1__global__s5_55 = 0)
(assert (= tmp1__global__s5_56 0)) ; (tmp1__global__s5_56 = 0)
(assert (= tmp1__global__s5_57 0)) ; (tmp1__global__s5_57 = 0)
(assert (= tmp1__global__s5_58 0)) ; (tmp1__global__s5_58 = 0)
(assert (= tmp1__global__s5_59 0)) ; (tmp1__global__s5_59 = 0)
(assert (= tmp1__global__s5_60 0)) ; (tmp1__global__s5_60 = 0)
(assert (= tmp1__global__s5_61 0)) ; (tmp1__global__s5_61 = 0)
(assert (= tmp1__global__s5_62 0)) ; (tmp1__global__s5_62 = 0)
(assert (= tmp1__global__s5_63 0)) ; (tmp1__global__s5_63 = 0)
(assert (= tmp1__global__0__instrumented__ (- tmp1__global__predL0_0 tmp1__global__predL1_0))) ; (tmp1__global__0__instrumented__ = (tmp1__global__predL0_0 - tmp1__global__predL1_0))
(assert (= tmp1__func_bio_opt__t tmp1__global__0__instrumented__)) ; (tmp1__func_bio_opt__t = tmp1__global__0__instrumented__)
(assert (= tmp1__global__1__instrumented__ (+ tmp1__global__gradXL0_0 tmp1__global__gradXL1_0))) ; (tmp1__global__1__instrumented__ = (tmp1__global__gradXL0_0 + tmp1__global__gradXL1_0))
(assert (= tmp1__func_bio_opt__tx tmp1__global__1__instrumented__)) ; (tmp1__func_bio_opt__tx = tmp1__global__1__instrumented__)
(assert (= tmp1__global__2__instrumented__ (+ tmp1__global__gradYL0_0 tmp1__global__gradYL1_0))) ; (tmp1__global__2__instrumented__ = (tmp1__global__gradYL0_0 + tmp1__global__gradYL1_0))
(assert (= tmp1__func_bio_opt__ty tmp1__global__2__instrumented__)) ; (tmp1__func_bio_opt__ty = tmp1__global__2__instrumented__)
(assert (= tmp1__global__3__instrumented__ (* tmp1__func_bio_opt__tx tmp1__func_bio_opt__tx))) ; (tmp1__global__3__instrumented__ = (tmp1__func_bio_opt__tx * tmp1__func_bio_opt__tx))
(assert (= tmp2__global__s1_0 tmp1__global__3__instrumented__)) ; (tmp2__global__s1_0 = tmp1__global__3__instrumented__)
(assert (= tmp1__global__4__instrumented__ (* tmp1__func_bio_opt__tx tmp1__func_bio_opt__ty))) ; (tmp1__global__4__instrumented__ = (tmp1__func_bio_opt__tx * tmp1__func_bio_opt__ty))
(assert (= tmp2__global__s2_0 tmp1__global__4__instrumented__)) ; (tmp2__global__s2_0 = tmp1__global__4__instrumented__)
(assert (= tmp1__global__5__instrumented__ (- tmp1__func_bio_opt__tx))) ; (tmp1__global__5__instrumented__ = -(tmp1__func_bio_opt__tx))
(assert (= tmp1__global__6__instrumented__ (* (- tmp1__func_bio_opt__tx) tmp1__func_bio_opt__t))) ; (tmp1__global__6__instrumented__ = (-(tmp1__func_bio_opt__tx) * tmp1__func_bio_opt__t))
(assert (= tmp2__global__s3_0 tmp1__global__6__instrumented__)) ; (tmp2__global__s3_0 = tmp1__global__6__instrumented__)
(assert (= tmp1__global__7__instrumented__ (* tmp1__func_bio_opt__ty tmp1__func_bio_opt__ty))) ; (tmp1__global__7__instrumented__ = (tmp1__func_bio_opt__ty * tmp1__func_bio_opt__ty))
(assert (= tmp2__global__s4_0 tmp1__global__7__instrumented__)) ; (tmp2__global__s4_0 = tmp1__global__7__instrumented__)
(assert (= tmp1__global__8__instrumented__ (- tmp1__func_bio_opt__ty))) ; (tmp1__global__8__instrumented__ = -(tmp1__func_bio_opt__ty))
(assert (= tmp1__global__9__instrumented__ (* (- tmp1__func_bio_opt__ty) tmp1__func_bio_opt__t))) ; (tmp1__global__9__instrumented__ = (-(tmp1__func_bio_opt__ty) * tmp1__func_bio_opt__t))
(assert (= tmp2__global__s5_0 tmp1__global__9__instrumented__)) ; (tmp2__global__s5_0 = tmp1__global__9__instrumented__)
(assert (= tmp2__global__0__instrumented__ (- tmp1__global__predL0_1 tmp1__global__predL1_1))) ; (tmp2__global__0__instrumented__ = (tmp1__global__predL0_1 - tmp1__global__predL1_1))
(assert (= tmp2__func_bio_opt__t tmp2__global__0__instrumented__)) ; (tmp2__func_bio_opt__t = tmp2__global__0__instrumented__)
(assert (= tmp2__global__1__instrumented__ (+ tmp1__global__gradXL0_1 tmp1__global__gradXL1_1))) ; (tmp2__global__1__instrumented__ = (tmp1__global__gradXL0_1 + tmp1__global__gradXL1_1))
(assert (= tmp2__func_bio_opt__tx tmp2__global__1__instrumented__)) ; (tmp2__func_bio_opt__tx = tmp2__global__1__instrumented__)
(assert (= tmp2__global__2__instrumented__ (+ tmp1__global__gradYL0_1 tmp1__global__gradYL1_1))) ; (tmp2__global__2__instrumented__ = (tmp1__global__gradYL0_1 + tmp1__global__gradYL1_1))
(assert (= tmp2__func_bio_opt__ty tmp2__global__2__instrumented__)) ; (tmp2__func_bio_opt__ty = tmp2__global__2__instrumented__)
(assert (= tmp2__global__3__instrumented__ (* tmp2__func_bio_opt__tx tmp2__func_bio_opt__tx))) ; (tmp2__global__3__instrumented__ = (tmp2__func_bio_opt__tx * tmp2__func_bio_opt__tx))
(assert (= tmp2__global__s1_1 tmp2__global__3__instrumented__)) ; (tmp2__global__s1_1 = tmp2__global__3__instrumented__)
(assert (= tmp2__global__4__instrumented__ (* tmp2__func_bio_opt__tx tmp2__func_bio_opt__ty))) ; (tmp2__global__4__instrumented__ = (tmp2__func_bio_opt__tx * tmp2__func_bio_opt__ty))
(assert (= tmp2__global__s2_1 tmp2__global__4__instrumented__)) ; (tmp2__global__s2_1 = tmp2__global__4__instrumented__)
(assert (= tmp2__global__5__instrumented__ (- tmp2__func_bio_opt__tx))) ; (tmp2__global__5__instrumented__ = -(tmp2__func_bio_opt__tx))
(assert (= tmp2__global__6__instrumented__ (* (- tmp2__func_bio_opt__tx) tmp2__func_bio_opt__t))) ; (tmp2__global__6__instrumented__ = (-(tmp2__func_bio_opt__tx) * tmp2__func_bio_opt__t))
(assert (= tmp2__global__s3_1 tmp2__global__6__instrumented__)) ; (tmp2__global__s3_1 = tmp2__global__6__instrumented__)
(assert (= tmp2__global__7__instrumented__ (* tmp2__func_bio_opt__ty tmp2__func_bio_opt__ty))) ; (tmp2__global__7__instrumented__ = (tmp2__func_bio_opt__ty * tmp2__func_bio_opt__ty))
(assert (= tmp2__global__s4_1 tmp2__global__7__instrumented__)) ; (tmp2__global__s4_1 = tmp2__global__7__instrumented__)
(assert (= tmp2__global__8__instrumented__ (- tmp2__func_bio_opt__ty))) ; (tmp2__global__8__instrumented__ = -(tmp2__func_bio_opt__ty))
(assert (= tmp2__global__9__instrumented__ (* (- tmp2__func_bio_opt__ty) tmp2__func_bio_opt__t))) ; (tmp2__global__9__instrumented__ = (-(tmp2__func_bio_opt__ty) * tmp2__func_bio_opt__t))
(assert (= tmp2__global__s5_1 tmp2__global__9__instrumented__)) ; (tmp2__global__s5_1 = tmp2__global__9__instrumented__)
(assert (= tmp3__global__0__instrumented__ (- tmp1__global__predL0_2 tmp1__global__predL1_2))) ; (tmp3__global__0__instrumented__ = (tmp1__global__predL0_2 - tmp1__global__predL1_2))
(assert (= tmp3__func_bio_opt__t tmp3__global__0__instrumented__)) ; (tmp3__func_bio_opt__t = tmp3__global__0__instrumented__)
(assert (= tmp3__global__1__instrumented__ (+ tmp1__global__gradXL0_2 tmp1__global__gradXL1_2))) ; (tmp3__global__1__instrumented__ = (tmp1__global__gradXL0_2 + tmp1__global__gradXL1_2))
(assert (= tmp3__func_bio_opt__tx tmp3__global__1__instrumented__)) ; (tmp3__func_bio_opt__tx = tmp3__global__1__instrumented__)
(assert (= tmp3__global__2__instrumented__ (+ tmp1__global__gradYL0_2 tmp1__global__gradYL1_2))) ; (tmp3__global__2__instrumented__ = (tmp1__global__gradYL0_2 + tmp1__global__gradYL1_2))
(assert (= tmp3__func_bio_opt__ty tmp3__global__2__instrumented__)) ; (tmp3__func_bio_opt__ty = tmp3__global__2__instrumented__)
(assert (= tmp3__global__3__instrumented__ (* tmp3__func_bio_opt__tx tmp3__func_bio_opt__tx))) ; (tmp3__global__3__instrumented__ = (tmp3__func_bio_opt__tx * tmp3__func_bio_opt__tx))
(assert (= tmp2__global__s1_2 tmp3__global__3__instrumented__)) ; (tmp2__global__s1_2 = tmp3__global__3__instrumented__)
(assert (= tmp3__global__4__instrumented__ (* tmp3__func_bio_opt__tx tmp3__func_bio_opt__ty))) ; (tmp3__global__4__instrumented__ = (tmp3__func_bio_opt__tx * tmp3__func_bio_opt__ty))
(assert (= tmp2__global__s2_2 tmp3__global__4__instrumented__)) ; (tmp2__global__s2_2 = tmp3__global__4__instrumented__)
(assert (= tmp3__global__5__instrumented__ (- tmp3__func_bio_opt__tx))) ; (tmp3__global__5__instrumented__ = -(tmp3__func_bio_opt__tx))
(assert (= tmp3__global__6__instrumented__ (* (- tmp3__func_bio_opt__tx) tmp3__func_bio_opt__t))) ; (tmp3__global__6__instrumented__ = (-(tmp3__func_bio_opt__tx) * tmp3__func_bio_opt__t))
(assert (= tmp2__global__s3_2 tmp3__global__6__instrumented__)) ; (tmp2__global__s3_2 = tmp3__global__6__instrumented__)
(assert (= tmp3__global__7__instrumented__ (* tmp3__func_bio_opt__ty tmp3__func_bio_opt__ty))) ; (tmp3__global__7__instrumented__ = (tmp3__func_bio_opt__ty * tmp3__func_bio_opt__ty))
(assert (= tmp2__global__s4_2 tmp3__global__7__instrumented__)) ; (tmp2__global__s4_2 = tmp3__global__7__instrumented__)
(assert (= tmp3__global__8__instrumented__ (- tmp3__func_bio_opt__ty))) ; (tmp3__global__8__instrumented__ = -(tmp3__func_bio_opt__ty))
(assert (= tmp3__global__9__instrumented__ (* (- tmp3__func_bio_opt__ty) tmp3__func_bio_opt__t))) ; (tmp3__global__9__instrumented__ = (-(tmp3__func_bio_opt__ty) * tmp3__func_bio_opt__t))
(assert (= tmp2__global__s5_2 tmp3__global__9__instrumented__)) ; (tmp2__global__s5_2 = tmp3__global__9__instrumented__)
(assert (= tmp4__global__0__instrumented__ (- tmp1__global__predL0_3 tmp1__global__predL1_3))) ; (tmp4__global__0__instrumented__ = (tmp1__global__predL0_3 - tmp1__global__predL1_3))
(assert (= tmp4__func_bio_opt__t tmp4__global__0__instrumented__)) ; (tmp4__func_bio_opt__t = tmp4__global__0__instrumented__)
(assert (= tmp4__global__1__instrumented__ (+ tmp1__global__gradXL0_3 tmp1__global__gradXL1_3))) ; (tmp4__global__1__instrumented__ = (tmp1__global__gradXL0_3 + tmp1__global__gradXL1_3))
(assert (= tmp4__func_bio_opt__tx tmp4__global__1__instrumented__)) ; (tmp4__func_bio_opt__tx = tmp4__global__1__instrumented__)
(assert (= tmp4__global__2__instrumented__ (+ tmp1__global__gradYL0_3 tmp1__global__gradYL1_3))) ; (tmp4__global__2__instrumented__ = (tmp1__global__gradYL0_3 + tmp1__global__gradYL1_3))
(assert (= tmp4__func_bio_opt__ty tmp4__global__2__instrumented__)) ; (tmp4__func_bio_opt__ty = tmp4__global__2__instrumented__)
(assert (= tmp4__global__3__instrumented__ (* tmp4__func_bio_opt__tx tmp4__func_bio_opt__tx))) ; (tmp4__global__3__instrumented__ = (tmp4__func_bio_opt__tx * tmp4__func_bio_opt__tx))
(assert (= tmp2__global__s1_3 tmp4__global__3__instrumented__)) ; (tmp2__global__s1_3 = tmp4__global__3__instrumented__)
(assert (= tmp4__global__4__instrumented__ (* tmp4__func_bio_opt__tx tmp4__func_bio_opt__ty))) ; (tmp4__global__4__instrumented__ = (tmp4__func_bio_opt__tx * tmp4__func_bio_opt__ty))
(assert (= tmp2__global__s2_3 tmp4__global__4__instrumented__)) ; (tmp2__global__s2_3 = tmp4__global__4__instrumented__)
(assert (= tmp4__global__5__instrumented__ (- tmp4__func_bio_opt__tx))) ; (tmp4__global__5__instrumented__ = -(tmp4__func_bio_opt__tx))
(assert (= tmp4__global__6__instrumented__ (* (- tmp4__func_bio_opt__tx) tmp4__func_bio_opt__t))) ; (tmp4__global__6__instrumented__ = (-(tmp4__func_bio_opt__tx) * tmp4__func_bio_opt__t))
(assert (= tmp2__global__s3_3 tmp4__global__6__instrumented__)) ; (tmp2__global__s3_3 = tmp4__global__6__instrumented__)
(assert (= tmp4__global__7__instrumented__ (* tmp4__func_bio_opt__ty tmp4__func_bio_opt__ty))) ; (tmp4__global__7__instrumented__ = (tmp4__func_bio_opt__ty * tmp4__func_bio_opt__ty))
(assert (= tmp2__global__s4_3 tmp4__global__7__instrumented__)) ; (tmp2__global__s4_3 = tmp4__global__7__instrumented__)
(assert (= tmp4__global__8__instrumented__ (- tmp4__func_bio_opt__ty))) ; (tmp4__global__8__instrumented__ = -(tmp4__func_bio_opt__ty))
(assert (= tmp4__global__9__instrumented__ (* (- tmp4__func_bio_opt__ty) tmp4__func_bio_opt__t))) ; (tmp4__global__9__instrumented__ = (-(tmp4__func_bio_opt__ty) * tmp4__func_bio_opt__t))
(assert (= tmp2__global__s5_3 tmp4__global__9__instrumented__)) ; (tmp2__global__s5_3 = tmp4__global__9__instrumented__)
(assert (= tmp5__global__0__instrumented__ (- tmp1__global__predL0_4 tmp1__global__predL1_4))) ; (tmp5__global__0__instrumented__ = (tmp1__global__predL0_4 - tmp1__global__predL1_4))
(assert (= tmp5__func_bio_opt__t tmp5__global__0__instrumented__)) ; (tmp5__func_bio_opt__t = tmp5__global__0__instrumented__)
(assert (= tmp5__global__1__instrumented__ (+ tmp1__global__gradXL0_4 tmp1__global__gradXL1_4))) ; (tmp5__global__1__instrumented__ = (tmp1__global__gradXL0_4 + tmp1__global__gradXL1_4))
(assert (= tmp5__func_bio_opt__tx tmp5__global__1__instrumented__)) ; (tmp5__func_bio_opt__tx = tmp5__global__1__instrumented__)
(assert (= tmp5__global__2__instrumented__ (+ tmp1__global__gradYL0_4 tmp1__global__gradYL1_4))) ; (tmp5__global__2__instrumented__ = (tmp1__global__gradYL0_4 + tmp1__global__gradYL1_4))
(assert (= tmp5__func_bio_opt__ty tmp5__global__2__instrumented__)) ; (tmp5__func_bio_opt__ty = tmp5__global__2__instrumented__)
(assert (= tmp5__global__3__instrumented__ (* tmp5__func_bio_opt__tx tmp5__func_bio_opt__tx))) ; (tmp5__global__3__instrumented__ = (tmp5__func_bio_opt__tx * tmp5__func_bio_opt__tx))
(assert (= tmp2__global__s1_4 tmp5__global__3__instrumented__)) ; (tmp2__global__s1_4 = tmp5__global__3__instrumented__)
(assert (= tmp5__global__4__instrumented__ (* tmp5__func_bio_opt__tx tmp5__func_bio_opt__ty))) ; (tmp5__global__4__instrumented__ = (tmp5__func_bio_opt__tx * tmp5__func_bio_opt__ty))
(assert (= tmp2__global__s2_4 tmp5__global__4__instrumented__)) ; (tmp2__global__s2_4 = tmp5__global__4__instrumented__)
(assert (= tmp5__global__5__instrumented__ (- tmp5__func_bio_opt__tx))) ; (tmp5__global__5__instrumented__ = -(tmp5__func_bio_opt__tx))
(assert (= tmp5__global__6__instrumented__ (* (- tmp5__func_bio_opt__tx) tmp5__func_bio_opt__t))) ; (tmp5__global__6__instrumented__ = (-(tmp5__func_bio_opt__tx) * tmp5__func_bio_opt__t))
(assert (= tmp2__global__s3_4 tmp5__global__6__instrumented__)) ; (tmp2__global__s3_4 = tmp5__global__6__instrumented__)
(assert (= tmp5__global__7__instrumented__ (* tmp5__func_bio_opt__ty tmp5__func_bio_opt__ty))) ; (tmp5__global__7__instrumented__ = (tmp5__func_bio_opt__ty * tmp5__func_bio_opt__ty))
(assert (= tmp2__global__s4_4 tmp5__global__7__instrumented__)) ; (tmp2__global__s4_4 = tmp5__global__7__instrumented__)
(assert (= tmp5__global__8__instrumented__ (- tmp5__func_bio_opt__ty))) ; (tmp5__global__8__instrumented__ = -(tmp5__func_bio_opt__ty))
(assert (= tmp5__global__9__instrumented__ (* (- tmp5__func_bio_opt__ty) tmp5__func_bio_opt__t))) ; (tmp5__global__9__instrumented__ = (-(tmp5__func_bio_opt__ty) * tmp5__func_bio_opt__t))
(assert (= tmp2__global__s5_4 tmp5__global__9__instrumented__)) ; (tmp2__global__s5_4 = tmp5__global__9__instrumented__)
(assert (= tmp6__global__0__instrumented__ (- tmp1__global__predL0_5 tmp1__global__predL1_5))) ; (tmp6__global__0__instrumented__ = (tmp1__global__predL0_5 - tmp1__global__predL1_5))
(assert (= tmp6__func_bio_opt__t tmp6__global__0__instrumented__)) ; (tmp6__func_bio_opt__t = tmp6__global__0__instrumented__)
(assert (= tmp6__global__1__instrumented__ (+ tmp1__global__gradXL0_5 tmp1__global__gradXL1_5))) ; (tmp6__global__1__instrumented__ = (tmp1__global__gradXL0_5 + tmp1__global__gradXL1_5))
(assert (= tmp6__func_bio_opt__tx tmp6__global__1__instrumented__)) ; (tmp6__func_bio_opt__tx = tmp6__global__1__instrumented__)
(assert (= tmp6__global__2__instrumented__ (+ tmp1__global__gradYL0_5 tmp1__global__gradYL1_5))) ; (tmp6__global__2__instrumented__ = (tmp1__global__gradYL0_5 + tmp1__global__gradYL1_5))
(assert (= tmp6__func_bio_opt__ty tmp6__global__2__instrumented__)) ; (tmp6__func_bio_opt__ty = tmp6__global__2__instrumented__)
(assert (= tmp6__global__3__instrumented__ (* tmp6__func_bio_opt__tx tmp6__func_bio_opt__tx))) ; (tmp6__global__3__instrumented__ = (tmp6__func_bio_opt__tx * tmp6__func_bio_opt__tx))
(assert (= tmp2__global__s1_5 tmp6__global__3__instrumented__)) ; (tmp2__global__s1_5 = tmp6__global__3__instrumented__)
(assert (= tmp6__global__4__instrumented__ (* tmp6__func_bio_opt__tx tmp6__func_bio_opt__ty))) ; (tmp6__global__4__instrumented__ = (tmp6__func_bio_opt__tx * tmp6__func_bio_opt__ty))
(assert (= tmp2__global__s2_5 tmp6__global__4__instrumented__)) ; (tmp2__global__s2_5 = tmp6__global__4__instrumented__)
(assert (= tmp6__global__5__instrumented__ (- tmp6__func_bio_opt__tx))) ; (tmp6__global__5__instrumented__ = -(tmp6__func_bio_opt__tx))
(assert (= tmp6__global__6__instrumented__ (* (- tmp6__func_bio_opt__tx) tmp6__func_bio_opt__t))) ; (tmp6__global__6__instrumented__ = (-(tmp6__func_bio_opt__tx) * tmp6__func_bio_opt__t))
(assert (= tmp2__global__s3_5 tmp6__global__6__instrumented__)) ; (tmp2__global__s3_5 = tmp6__global__6__instrumented__)
(assert (= tmp6__global__7__instrumented__ (* tmp6__func_bio_opt__ty tmp6__func_bio_opt__ty))) ; (tmp6__global__7__instrumented__ = (tmp6__func_bio_opt__ty * tmp6__func_bio_opt__ty))
(assert (= tmp2__global__s4_5 tmp6__global__7__instrumented__)) ; (tmp2__global__s4_5 = tmp6__global__7__instrumented__)
(assert (= tmp6__global__8__instrumented__ (- tmp6__func_bio_opt__ty))) ; (tmp6__global__8__instrumented__ = -(tmp6__func_bio_opt__ty))
(assert (= tmp6__global__9__instrumented__ (* (- tmp6__func_bio_opt__ty) tmp6__func_bio_opt__t))) ; (tmp6__global__9__instrumented__ = (-(tmp6__func_bio_opt__ty) * tmp6__func_bio_opt__t))
(assert (= tmp2__global__s5_5 tmp6__global__9__instrumented__)) ; (tmp2__global__s5_5 = tmp6__global__9__instrumented__)
(assert (= tmp7__global__0__instrumented__ (- tmp1__global__predL0_6 tmp1__global__predL1_6))) ; (tmp7__global__0__instrumented__ = (tmp1__global__predL0_6 - tmp1__global__predL1_6))
(assert (= tmp7__func_bio_opt__t tmp7__global__0__instrumented__)) ; (tmp7__func_bio_opt__t = tmp7__global__0__instrumented__)
(assert (= tmp7__global__1__instrumented__ (+ tmp1__global__gradXL0_6 tmp1__global__gradXL1_6))) ; (tmp7__global__1__instrumented__ = (tmp1__global__gradXL0_6 + tmp1__global__gradXL1_6))
(assert (= tmp7__func_bio_opt__tx tmp7__global__1__instrumented__)) ; (tmp7__func_bio_opt__tx = tmp7__global__1__instrumented__)
(assert (= tmp7__global__2__instrumented__ (+ tmp1__global__gradYL0_6 tmp1__global__gradYL1_6))) ; (tmp7__global__2__instrumented__ = (tmp1__global__gradYL0_6 + tmp1__global__gradYL1_6))
(assert (= tmp7__func_bio_opt__ty tmp7__global__2__instrumented__)) ; (tmp7__func_bio_opt__ty = tmp7__global__2__instrumented__)
(assert (= tmp7__global__3__instrumented__ (* tmp7__func_bio_opt__tx tmp7__func_bio_opt__tx))) ; (tmp7__global__3__instrumented__ = (tmp7__func_bio_opt__tx * tmp7__func_bio_opt__tx))
(assert (= tmp2__global__s1_6 tmp7__global__3__instrumented__)) ; (tmp2__global__s1_6 = tmp7__global__3__instrumented__)
(assert (= tmp7__global__4__instrumented__ (* tmp7__func_bio_opt__tx tmp7__func_bio_opt__ty))) ; (tmp7__global__4__instrumented__ = (tmp7__func_bio_opt__tx * tmp7__func_bio_opt__ty))
(assert (= tmp2__global__s2_6 tmp7__global__4__instrumented__)) ; (tmp2__global__s2_6 = tmp7__global__4__instrumented__)
(assert (= tmp7__global__5__instrumented__ (- tmp7__func_bio_opt__tx))) ; (tmp7__global__5__instrumented__ = -(tmp7__func_bio_opt__tx))
(assert (= tmp7__global__6__instrumented__ (* (- tmp7__func_bio_opt__tx) tmp7__func_bio_opt__t))) ; (tmp7__global__6__instrumented__ = (-(tmp7__func_bio_opt__tx) * tmp7__func_bio_opt__t))
(assert (= tmp2__global__s3_6 tmp7__global__6__instrumented__)) ; (tmp2__global__s3_6 = tmp7__global__6__instrumented__)
(assert (= tmp7__global__7__instrumented__ (* tmp7__func_bio_opt__ty tmp7__func_bio_opt__ty))) ; (tmp7__global__7__instrumented__ = (tmp7__func_bio_opt__ty * tmp7__func_bio_opt__ty))
(assert (= tmp2__global__s4_6 tmp7__global__7__instrumented__)) ; (tmp2__global__s4_6 = tmp7__global__7__instrumented__)
(assert (= tmp7__global__8__instrumented__ (- tmp7__func_bio_opt__ty))) ; (tmp7__global__8__instrumented__ = -(tmp7__func_bio_opt__ty))
(assert (= tmp7__global__9__instrumented__ (* (- tmp7__func_bio_opt__ty) tmp7__func_bio_opt__t))) ; (tmp7__global__9__instrumented__ = (-(tmp7__func_bio_opt__ty) * tmp7__func_bio_opt__t))
(assert (= tmp2__global__s5_6 tmp7__global__9__instrumented__)) ; (tmp2__global__s5_6 = tmp7__global__9__instrumented__)
(assert (= tmp8__global__0__instrumented__ (- tmp1__global__predL0_7 tmp1__global__predL1_7))) ; (tmp8__global__0__instrumented__ = (tmp1__global__predL0_7 - tmp1__global__predL1_7))
(assert (= tmp8__func_bio_opt__t tmp8__global__0__instrumented__)) ; (tmp8__func_bio_opt__t = tmp8__global__0__instrumented__)
(assert (= tmp8__global__1__instrumented__ (+ tmp1__global__gradXL0_7 tmp1__global__gradXL1_7))) ; (tmp8__global__1__instrumented__ = (tmp1__global__gradXL0_7 + tmp1__global__gradXL1_7))
(assert (= tmp8__func_bio_opt__tx tmp8__global__1__instrumented__)) ; (tmp8__func_bio_opt__tx = tmp8__global__1__instrumented__)
(assert (= tmp8__global__2__instrumented__ (+ tmp1__global__gradYL0_7 tmp1__global__gradYL1_7))) ; (tmp8__global__2__instrumented__ = (tmp1__global__gradYL0_7 + tmp1__global__gradYL1_7))
(assert (= tmp8__func_bio_opt__ty tmp8__global__2__instrumented__)) ; (tmp8__func_bio_opt__ty = tmp8__global__2__instrumented__)
(assert (= tmp8__global__3__instrumented__ (* tmp8__func_bio_opt__tx tmp8__func_bio_opt__tx))) ; (tmp8__global__3__instrumented__ = (tmp8__func_bio_opt__tx * tmp8__func_bio_opt__tx))
(assert (= tmp2__global__s1_7 tmp8__global__3__instrumented__)) ; (tmp2__global__s1_7 = tmp8__global__3__instrumented__)
(assert (= tmp8__global__4__instrumented__ (* tmp8__func_bio_opt__tx tmp8__func_bio_opt__ty))) ; (tmp8__global__4__instrumented__ = (tmp8__func_bio_opt__tx * tmp8__func_bio_opt__ty))
(assert (= tmp2__global__s2_7 tmp8__global__4__instrumented__)) ; (tmp2__global__s2_7 = tmp8__global__4__instrumented__)
(assert (= tmp8__global__5__instrumented__ (- tmp8__func_bio_opt__tx))) ; (tmp8__global__5__instrumented__ = -(tmp8__func_bio_opt__tx))
(assert (= tmp8__global__6__instrumented__ (* (- tmp8__func_bio_opt__tx) tmp8__func_bio_opt__t))) ; (tmp8__global__6__instrumented__ = (-(tmp8__func_bio_opt__tx) * tmp8__func_bio_opt__t))
(assert (= tmp2__global__s3_7 tmp8__global__6__instrumented__)) ; (tmp2__global__s3_7 = tmp8__global__6__instrumented__)
(assert (= tmp8__global__7__instrumented__ (* tmp8__func_bio_opt__ty tmp8__func_bio_opt__ty))) ; (tmp8__global__7__instrumented__ = (tmp8__func_bio_opt__ty * tmp8__func_bio_opt__ty))
(assert (= tmp2__global__s4_7 tmp8__global__7__instrumented__)) ; (tmp2__global__s4_7 = tmp8__global__7__instrumented__)
(assert (= tmp8__global__8__instrumented__ (- tmp8__func_bio_opt__ty))) ; (tmp8__global__8__instrumented__ = -(tmp8__func_bio_opt__ty))
(assert (= tmp8__global__9__instrumented__ (* (- tmp8__func_bio_opt__ty) tmp8__func_bio_opt__t))) ; (tmp8__global__9__instrumented__ = (-(tmp8__func_bio_opt__ty) * tmp8__func_bio_opt__t))
(assert (= tmp2__global__s5_7 tmp8__global__9__instrumented__)) ; (tmp2__global__s5_7 = tmp8__global__9__instrumented__)
(assert (= tmp9__global__0__instrumented__ (- tmp1__global__predL0_8 tmp1__global__predL1_8))) ; (tmp9__global__0__instrumented__ = (tmp1__global__predL0_8 - tmp1__global__predL1_8))
(assert (= tmp9__func_bio_opt__t tmp9__global__0__instrumented__)) ; (tmp9__func_bio_opt__t = tmp9__global__0__instrumented__)
(assert (= tmp9__global__1__instrumented__ (+ tmp1__global__gradXL0_8 tmp1__global__gradXL1_8))) ; (tmp9__global__1__instrumented__ = (tmp1__global__gradXL0_8 + tmp1__global__gradXL1_8))
(assert (= tmp9__func_bio_opt__tx tmp9__global__1__instrumented__)) ; (tmp9__func_bio_opt__tx = tmp9__global__1__instrumented__)
(assert (= tmp9__global__2__instrumented__ (+ tmp1__global__gradYL0_8 tmp1__global__gradYL1_8))) ; (tmp9__global__2__instrumented__ = (tmp1__global__gradYL0_8 + tmp1__global__gradYL1_8))
(assert (= tmp9__func_bio_opt__ty tmp9__global__2__instrumented__)) ; (tmp9__func_bio_opt__ty = tmp9__global__2__instrumented__)
(assert (= tmp9__global__3__instrumented__ (* tmp9__func_bio_opt__tx tmp9__func_bio_opt__tx))) ; (tmp9__global__3__instrumented__ = (tmp9__func_bio_opt__tx * tmp9__func_bio_opt__tx))
(assert (= tmp2__global__s1_8 tmp9__global__3__instrumented__)) ; (tmp2__global__s1_8 = tmp9__global__3__instrumented__)
(assert (= tmp9__global__4__instrumented__ (* tmp9__func_bio_opt__tx tmp9__func_bio_opt__ty))) ; (tmp9__global__4__instrumented__ = (tmp9__func_bio_opt__tx * tmp9__func_bio_opt__ty))
(assert (= tmp2__global__s2_8 tmp9__global__4__instrumented__)) ; (tmp2__global__s2_8 = tmp9__global__4__instrumented__)
(assert (= tmp9__global__5__instrumented__ (- tmp9__func_bio_opt__tx))) ; (tmp9__global__5__instrumented__ = -(tmp9__func_bio_opt__tx))
(assert (= tmp9__global__6__instrumented__ (* (- tmp9__func_bio_opt__tx) tmp9__func_bio_opt__t))) ; (tmp9__global__6__instrumented__ = (-(tmp9__func_bio_opt__tx) * tmp9__func_bio_opt__t))
(assert (= tmp2__global__s3_8 tmp9__global__6__instrumented__)) ; (tmp2__global__s3_8 = tmp9__global__6__instrumented__)
(assert (= tmp9__global__7__instrumented__ (* tmp9__func_bio_opt__ty tmp9__func_bio_opt__ty))) ; (tmp9__global__7__instrumented__ = (tmp9__func_bio_opt__ty * tmp9__func_bio_opt__ty))
(assert (= tmp2__global__s4_8 tmp9__global__7__instrumented__)) ; (tmp2__global__s4_8 = tmp9__global__7__instrumented__)
(assert (= tmp9__global__8__instrumented__ (- tmp9__func_bio_opt__ty))) ; (tmp9__global__8__instrumented__ = -(tmp9__func_bio_opt__ty))
(assert (= tmp9__global__9__instrumented__ (* (- tmp9__func_bio_opt__ty) tmp9__func_bio_opt__t))) ; (tmp9__global__9__instrumented__ = (-(tmp9__func_bio_opt__ty) * tmp9__func_bio_opt__t))
(assert (= tmp2__global__s5_8 tmp9__global__9__instrumented__)) ; (tmp2__global__s5_8 = tmp9__global__9__instrumented__)
(assert (= tmp10__global__0__instrumented__ (- tmp1__global__predL0_9 tmp1__global__predL1_9))) ; (tmp10__global__0__instrumented__ = (tmp1__global__predL0_9 - tmp1__global__predL1_9))
(assert (= tmp10__func_bio_opt__t tmp10__global__0__instrumented__)) ; (tmp10__func_bio_opt__t = tmp10__global__0__instrumented__)
(assert (= tmp10__global__1__instrumented__ (+ tmp1__global__gradXL0_9 tmp1__global__gradXL1_9))) ; (tmp10__global__1__instrumented__ = (tmp1__global__gradXL0_9 + tmp1__global__gradXL1_9))
(assert (= tmp10__func_bio_opt__tx tmp10__global__1__instrumented__)) ; (tmp10__func_bio_opt__tx = tmp10__global__1__instrumented__)
(assert (= tmp10__global__2__instrumented__ (+ tmp1__global__gradYL0_9 tmp1__global__gradYL1_9))) ; (tmp10__global__2__instrumented__ = (tmp1__global__gradYL0_9 + tmp1__global__gradYL1_9))
(assert (= tmp10__func_bio_opt__ty tmp10__global__2__instrumented__)) ; (tmp10__func_bio_opt__ty = tmp10__global__2__instrumented__)
(assert (= tmp10__global__3__instrumented__ (* tmp10__func_bio_opt__tx tmp10__func_bio_opt__tx))) ; (tmp10__global__3__instrumented__ = (tmp10__func_bio_opt__tx * tmp10__func_bio_opt__tx))
(assert (= tmp2__global__s1_9 tmp10__global__3__instrumented__)) ; (tmp2__global__s1_9 = tmp10__global__3__instrumented__)
(assert (= tmp10__global__4__instrumented__ (* tmp10__func_bio_opt__tx tmp10__func_bio_opt__ty))) ; (tmp10__global__4__instrumented__ = (tmp10__func_bio_opt__tx * tmp10__func_bio_opt__ty))
(assert (= tmp2__global__s2_9 tmp10__global__4__instrumented__)) ; (tmp2__global__s2_9 = tmp10__global__4__instrumented__)
(assert (= tmp10__global__5__instrumented__ (- tmp10__func_bio_opt__tx))) ; (tmp10__global__5__instrumented__ = -(tmp10__func_bio_opt__tx))
(assert (= tmp10__global__6__instrumented__ (* (- tmp10__func_bio_opt__tx) tmp10__func_bio_opt__t))) ; (tmp10__global__6__instrumented__ = (-(tmp10__func_bio_opt__tx) * tmp10__func_bio_opt__t))
(assert (= tmp2__global__s3_9 tmp10__global__6__instrumented__)) ; (tmp2__global__s3_9 = tmp10__global__6__instrumented__)
(assert (= tmp10__global__7__instrumented__ (* tmp10__func_bio_opt__ty tmp10__func_bio_opt__ty))) ; (tmp10__global__7__instrumented__ = (tmp10__func_bio_opt__ty * tmp10__func_bio_opt__ty))
(assert (= tmp2__global__s4_9 tmp10__global__7__instrumented__)) ; (tmp2__global__s4_9 = tmp10__global__7__instrumented__)
(assert (= tmp10__global__8__instrumented__ (- tmp10__func_bio_opt__ty))) ; (tmp10__global__8__instrumented__ = -(tmp10__func_bio_opt__ty))
(assert (= tmp10__global__9__instrumented__ (* (- tmp10__func_bio_opt__ty) tmp10__func_bio_opt__t))) ; (tmp10__global__9__instrumented__ = (-(tmp10__func_bio_opt__ty) * tmp10__func_bio_opt__t))
(assert (= tmp2__global__s5_9 tmp10__global__9__instrumented__)) ; (tmp2__global__s5_9 = tmp10__global__9__instrumented__)
(assert (= tmp11__global__0__instrumented__ (- tmp1__global__predL0_10 tmp1__global__predL1_10))) ; (tmp11__global__0__instrumented__ = (tmp1__global__predL0_10 - tmp1__global__predL1_10))
(assert (= tmp11__func_bio_opt__t tmp11__global__0__instrumented__)) ; (tmp11__func_bio_opt__t = tmp11__global__0__instrumented__)
(assert (= tmp11__global__1__instrumented__ (+ tmp1__global__gradXL0_10 tmp1__global__gradXL1_10))) ; (tmp11__global__1__instrumented__ = (tmp1__global__gradXL0_10 + tmp1__global__gradXL1_10))
(assert (= tmp11__func_bio_opt__tx tmp11__global__1__instrumented__)) ; (tmp11__func_bio_opt__tx = tmp11__global__1__instrumented__)
(assert (= tmp11__global__2__instrumented__ (+ tmp1__global__gradYL0_10 tmp1__global__gradYL1_10))) ; (tmp11__global__2__instrumented__ = (tmp1__global__gradYL0_10 + tmp1__global__gradYL1_10))
(assert (= tmp11__func_bio_opt__ty tmp11__global__2__instrumented__)) ; (tmp11__func_bio_opt__ty = tmp11__global__2__instrumented__)
(assert (= tmp11__global__3__instrumented__ (* tmp11__func_bio_opt__tx tmp11__func_bio_opt__tx))) ; (tmp11__global__3__instrumented__ = (tmp11__func_bio_opt__tx * tmp11__func_bio_opt__tx))
(assert (= tmp2__global__s1_10 tmp11__global__3__instrumented__)) ; (tmp2__global__s1_10 = tmp11__global__3__instrumented__)
(assert (= tmp11__global__4__instrumented__ (* tmp11__func_bio_opt__tx tmp11__func_bio_opt__ty))) ; (tmp11__global__4__instrumented__ = (tmp11__func_bio_opt__tx * tmp11__func_bio_opt__ty))
(assert (= tmp2__global__s2_10 tmp11__global__4__instrumented__)) ; (tmp2__global__s2_10 = tmp11__global__4__instrumented__)
(assert (= tmp11__global__5__instrumented__ (- tmp11__func_bio_opt__tx))) ; (tmp11__global__5__instrumented__ = -(tmp11__func_bio_opt__tx))
(assert (= tmp11__global__6__instrumented__ (* (- tmp11__func_bio_opt__tx) tmp11__func_bio_opt__t))) ; (tmp11__global__6__instrumented__ = (-(tmp11__func_bio_opt__tx) * tmp11__func_bio_opt__t))
(assert (= tmp2__global__s3_10 tmp11__global__6__instrumented__)) ; (tmp2__global__s3_10 = tmp11__global__6__instrumented__)
(assert (= tmp11__global__7__instrumented__ (* tmp11__func_bio_opt__ty tmp11__func_bio_opt__ty))) ; (tmp11__global__7__instrumented__ = (tmp11__func_bio_opt__ty * tmp11__func_bio_opt__ty))
(assert (= tmp2__global__s4_10 tmp11__global__7__instrumented__)) ; (tmp2__global__s4_10 = tmp11__global__7__instrumented__)
(assert (= tmp11__global__8__instrumented__ (- tmp11__func_bio_opt__ty))) ; (tmp11__global__8__instrumented__ = -(tmp11__func_bio_opt__ty))
(assert (= tmp11__global__9__instrumented__ (* (- tmp11__func_bio_opt__ty) tmp11__func_bio_opt__t))) ; (tmp11__global__9__instrumented__ = (-(tmp11__func_bio_opt__ty) * tmp11__func_bio_opt__t))
(assert (= tmp2__global__s5_10 tmp11__global__9__instrumented__)) ; (tmp2__global__s5_10 = tmp11__global__9__instrumented__)
(assert (= tmp12__global__0__instrumented__ (- tmp1__global__predL0_11 tmp1__global__predL1_11))) ; (tmp12__global__0__instrumented__ = (tmp1__global__predL0_11 - tmp1__global__predL1_11))
(assert (= tmp12__func_bio_opt__t tmp12__global__0__instrumented__)) ; (tmp12__func_bio_opt__t = tmp12__global__0__instrumented__)
(assert (= tmp12__global__1__instrumented__ (+ tmp1__global__gradXL0_11 tmp1__global__gradXL1_11))) ; (tmp12__global__1__instrumented__ = (tmp1__global__gradXL0_11 + tmp1__global__gradXL1_11))
(assert (= tmp12__func_bio_opt__tx tmp12__global__1__instrumented__)) ; (tmp12__func_bio_opt__tx = tmp12__global__1__instrumented__)
(assert (= tmp12__global__2__instrumented__ (+ tmp1__global__gradYL0_11 tmp1__global__gradYL1_11))) ; (tmp12__global__2__instrumented__ = (tmp1__global__gradYL0_11 + tmp1__global__gradYL1_11))
(assert (= tmp12__func_bio_opt__ty tmp12__global__2__instrumented__)) ; (tmp12__func_bio_opt__ty = tmp12__global__2__instrumented__)
(assert (= tmp12__global__3__instrumented__ (* tmp12__func_bio_opt__tx tmp12__func_bio_opt__tx))) ; (tmp12__global__3__instrumented__ = (tmp12__func_bio_opt__tx * tmp12__func_bio_opt__tx))
(assert (= tmp2__global__s1_11 tmp12__global__3__instrumented__)) ; (tmp2__global__s1_11 = tmp12__global__3__instrumented__)
(assert (= tmp12__global__4__instrumented__ (* tmp12__func_bio_opt__tx tmp12__func_bio_opt__ty))) ; (tmp12__global__4__instrumented__ = (tmp12__func_bio_opt__tx * tmp12__func_bio_opt__ty))
(assert (= tmp2__global__s2_11 tmp12__global__4__instrumented__)) ; (tmp2__global__s2_11 = tmp12__global__4__instrumented__)
(assert (= tmp12__global__5__instrumented__ (- tmp12__func_bio_opt__tx))) ; (tmp12__global__5__instrumented__ = -(tmp12__func_bio_opt__tx))
(assert (= tmp12__global__6__instrumented__ (* (- tmp12__func_bio_opt__tx) tmp12__func_bio_opt__t))) ; (tmp12__global__6__instrumented__ = (-(tmp12__func_bio_opt__tx) * tmp12__func_bio_opt__t))
(assert (= tmp2__global__s3_11 tmp12__global__6__instrumented__)) ; (tmp2__global__s3_11 = tmp12__global__6__instrumented__)
(assert (= tmp12__global__7__instrumented__ (* tmp12__func_bio_opt__ty tmp12__func_bio_opt__ty))) ; (tmp12__global__7__instrumented__ = (tmp12__func_bio_opt__ty * tmp12__func_bio_opt__ty))
(assert (= tmp2__global__s4_11 tmp12__global__7__instrumented__)) ; (tmp2__global__s4_11 = tmp12__global__7__instrumented__)
(assert (= tmp12__global__8__instrumented__ (- tmp12__func_bio_opt__ty))) ; (tmp12__global__8__instrumented__ = -(tmp12__func_bio_opt__ty))
(assert (= tmp12__global__9__instrumented__ (* (- tmp12__func_bio_opt__ty) tmp12__func_bio_opt__t))) ; (tmp12__global__9__instrumented__ = (-(tmp12__func_bio_opt__ty) * tmp12__func_bio_opt__t))
(assert (= tmp2__global__s5_11 tmp12__global__9__instrumented__)) ; (tmp2__global__s5_11 = tmp12__global__9__instrumented__)
(assert (= tmp13__global__0__instrumented__ (- tmp1__global__predL0_12 tmp1__global__predL1_12))) ; (tmp13__global__0__instrumented__ = (tmp1__global__predL0_12 - tmp1__global__predL1_12))
(assert (= tmp13__func_bio_opt__t tmp13__global__0__instrumented__)) ; (tmp13__func_bio_opt__t = tmp13__global__0__instrumented__)
(assert (= tmp13__global__1__instrumented__ (+ tmp1__global__gradXL0_12 tmp1__global__gradXL1_12))) ; (tmp13__global__1__instrumented__ = (tmp1__global__gradXL0_12 + tmp1__global__gradXL1_12))
(assert (= tmp13__func_bio_opt__tx tmp13__global__1__instrumented__)) ; (tmp13__func_bio_opt__tx = tmp13__global__1__instrumented__)
(assert (= tmp13__global__2__instrumented__ (+ tmp1__global__gradYL0_12 tmp1__global__gradYL1_12))) ; (tmp13__global__2__instrumented__ = (tmp1__global__gradYL0_12 + tmp1__global__gradYL1_12))
(assert (= tmp13__func_bio_opt__ty tmp13__global__2__instrumented__)) ; (tmp13__func_bio_opt__ty = tmp13__global__2__instrumented__)
(assert (= tmp13__global__3__instrumented__ (* tmp13__func_bio_opt__tx tmp13__func_bio_opt__tx))) ; (tmp13__global__3__instrumented__ = (tmp13__func_bio_opt__tx * tmp13__func_bio_opt__tx))
(assert (= tmp2__global__s1_12 tmp13__global__3__instrumented__)) ; (tmp2__global__s1_12 = tmp13__global__3__instrumented__)
(assert (= tmp13__global__4__instrumented__ (* tmp13__func_bio_opt__tx tmp13__func_bio_opt__ty))) ; (tmp13__global__4__instrumented__ = (tmp13__func_bio_opt__tx * tmp13__func_bio_opt__ty))
(assert (= tmp2__global__s2_12 tmp13__global__4__instrumented__)) ; (tmp2__global__s2_12 = tmp13__global__4__instrumented__)
(assert (= tmp13__global__5__instrumented__ (- tmp13__func_bio_opt__tx))) ; (tmp13__global__5__instrumented__ = -(tmp13__func_bio_opt__tx))
(assert (= tmp13__global__6__instrumented__ (* (- tmp13__func_bio_opt__tx) tmp13__func_bio_opt__t))) ; (tmp13__global__6__instrumented__ = (-(tmp13__func_bio_opt__tx) * tmp13__func_bio_opt__t))
(assert (= tmp2__global__s3_12 tmp13__global__6__instrumented__)) ; (tmp2__global__s3_12 = tmp13__global__6__instrumented__)
(assert (= tmp13__global__7__instrumented__ (* tmp13__func_bio_opt__ty tmp13__func_bio_opt__ty))) ; (tmp13__global__7__instrumented__ = (tmp13__func_bio_opt__ty * tmp13__func_bio_opt__ty))
(assert (= tmp2__global__s4_12 tmp13__global__7__instrumented__)) ; (tmp2__global__s4_12 = tmp13__global__7__instrumented__)
(assert (= tmp13__global__8__instrumented__ (- tmp13__func_bio_opt__ty))) ; (tmp13__global__8__instrumented__ = -(tmp13__func_bio_opt__ty))
(assert (= tmp13__global__9__instrumented__ (* (- tmp13__func_bio_opt__ty) tmp13__func_bio_opt__t))) ; (tmp13__global__9__instrumented__ = (-(tmp13__func_bio_opt__ty) * tmp13__func_bio_opt__t))
(assert (= tmp2__global__s5_12 tmp13__global__9__instrumented__)) ; (tmp2__global__s5_12 = tmp13__global__9__instrumented__)
(assert (= tmp14__global__0__instrumented__ (- tmp1__global__predL0_13 tmp1__global__predL1_13))) ; (tmp14__global__0__instrumented__ = (tmp1__global__predL0_13 - tmp1__global__predL1_13))
(assert (= tmp14__func_bio_opt__t tmp14__global__0__instrumented__)) ; (tmp14__func_bio_opt__t = tmp14__global__0__instrumented__)
(assert (= tmp14__global__1__instrumented__ (+ tmp1__global__gradXL0_13 tmp1__global__gradXL1_13))) ; (tmp14__global__1__instrumented__ = (tmp1__global__gradXL0_13 + tmp1__global__gradXL1_13))
(assert (= tmp14__func_bio_opt__tx tmp14__global__1__instrumented__)) ; (tmp14__func_bio_opt__tx = tmp14__global__1__instrumented__)
(assert (= tmp14__global__2__instrumented__ (+ tmp1__global__gradYL0_13 tmp1__global__gradYL1_13))) ; (tmp14__global__2__instrumented__ = (tmp1__global__gradYL0_13 + tmp1__global__gradYL1_13))
(assert (= tmp14__func_bio_opt__ty tmp14__global__2__instrumented__)) ; (tmp14__func_bio_opt__ty = tmp14__global__2__instrumented__)
(assert (= tmp14__global__3__instrumented__ (* tmp14__func_bio_opt__tx tmp14__func_bio_opt__tx))) ; (tmp14__global__3__instrumented__ = (tmp14__func_bio_opt__tx * tmp14__func_bio_opt__tx))
(assert (= tmp2__global__s1_13 tmp14__global__3__instrumented__)) ; (tmp2__global__s1_13 = tmp14__global__3__instrumented__)
(assert (= tmp14__global__4__instrumented__ (* tmp14__func_bio_opt__tx tmp14__func_bio_opt__ty))) ; (tmp14__global__4__instrumented__ = (tmp14__func_bio_opt__tx * tmp14__func_bio_opt__ty))
(assert (= tmp2__global__s2_13 tmp14__global__4__instrumented__)) ; (tmp2__global__s2_13 = tmp14__global__4__instrumented__)
(assert (= tmp14__global__5__instrumented__ (- tmp14__func_bio_opt__tx))) ; (tmp14__global__5__instrumented__ = -(tmp14__func_bio_opt__tx))
(assert (= tmp14__global__6__instrumented__ (* (- tmp14__func_bio_opt__tx) tmp14__func_bio_opt__t))) ; (tmp14__global__6__instrumented__ = (-(tmp14__func_bio_opt__tx) * tmp14__func_bio_opt__t))
(assert (= tmp2__global__s3_13 tmp14__global__6__instrumented__)) ; (tmp2__global__s3_13 = tmp14__global__6__instrumented__)
(assert (= tmp14__global__7__instrumented__ (* tmp14__func_bio_opt__ty tmp14__func_bio_opt__ty))) ; (tmp14__global__7__instrumented__ = (tmp14__func_bio_opt__ty * tmp14__func_bio_opt__ty))
(assert (= tmp2__global__s4_13 tmp14__global__7__instrumented__)) ; (tmp2__global__s4_13 = tmp14__global__7__instrumented__)
(assert (= tmp14__global__8__instrumented__ (- tmp14__func_bio_opt__ty))) ; (tmp14__global__8__instrumented__ = -(tmp14__func_bio_opt__ty))
(assert (= tmp14__global__9__instrumented__ (* (- tmp14__func_bio_opt__ty) tmp14__func_bio_opt__t))) ; (tmp14__global__9__instrumented__ = (-(tmp14__func_bio_opt__ty) * tmp14__func_bio_opt__t))
(assert (= tmp2__global__s5_13 tmp14__global__9__instrumented__)) ; (tmp2__global__s5_13 = tmp14__global__9__instrumented__)
(assert (= tmp15__global__0__instrumented__ (- tmp1__global__predL0_14 tmp1__global__predL1_14))) ; (tmp15__global__0__instrumented__ = (tmp1__global__predL0_14 - tmp1__global__predL1_14))
(assert (= tmp15__func_bio_opt__t tmp15__global__0__instrumented__)) ; (tmp15__func_bio_opt__t = tmp15__global__0__instrumented__)
(assert (= tmp15__global__1__instrumented__ (+ tmp1__global__gradXL0_14 tmp1__global__gradXL1_14))) ; (tmp15__global__1__instrumented__ = (tmp1__global__gradXL0_14 + tmp1__global__gradXL1_14))
(assert (= tmp15__func_bio_opt__tx tmp15__global__1__instrumented__)) ; (tmp15__func_bio_opt__tx = tmp15__global__1__instrumented__)
(assert (= tmp15__global__2__instrumented__ (+ tmp1__global__gradYL0_14 tmp1__global__gradYL1_14))) ; (tmp15__global__2__instrumented__ = (tmp1__global__gradYL0_14 + tmp1__global__gradYL1_14))
(assert (= tmp15__func_bio_opt__ty tmp15__global__2__instrumented__)) ; (tmp15__func_bio_opt__ty = tmp15__global__2__instrumented__)
(assert (= tmp15__global__3__instrumented__ (* tmp15__func_bio_opt__tx tmp15__func_bio_opt__tx))) ; (tmp15__global__3__instrumented__ = (tmp15__func_bio_opt__tx * tmp15__func_bio_opt__tx))
(assert (= tmp2__global__s1_14 tmp15__global__3__instrumented__)) ; (tmp2__global__s1_14 = tmp15__global__3__instrumented__)
(assert (= tmp15__global__4__instrumented__ (* tmp15__func_bio_opt__tx tmp15__func_bio_opt__ty))) ; (tmp15__global__4__instrumented__ = (tmp15__func_bio_opt__tx * tmp15__func_bio_opt__ty))
(assert (= tmp2__global__s2_14 tmp15__global__4__instrumented__)) ; (tmp2__global__s2_14 = tmp15__global__4__instrumented__)
(assert (= tmp15__global__5__instrumented__ (- tmp15__func_bio_opt__tx))) ; (tmp15__global__5__instrumented__ = -(tmp15__func_bio_opt__tx))
(assert (= tmp15__global__6__instrumented__ (* (- tmp15__func_bio_opt__tx) tmp15__func_bio_opt__t))) ; (tmp15__global__6__instrumented__ = (-(tmp15__func_bio_opt__tx) * tmp15__func_bio_opt__t))
(assert (= tmp2__global__s3_14 tmp15__global__6__instrumented__)) ; (tmp2__global__s3_14 = tmp15__global__6__instrumented__)
(assert (= tmp15__global__7__instrumented__ (* tmp15__func_bio_opt__ty tmp15__func_bio_opt__ty))) ; (tmp15__global__7__instrumented__ = (tmp15__func_bio_opt__ty * tmp15__func_bio_opt__ty))
(assert (= tmp2__global__s4_14 tmp15__global__7__instrumented__)) ; (tmp2__global__s4_14 = tmp15__global__7__instrumented__)
(assert (= tmp15__global__8__instrumented__ (- tmp15__func_bio_opt__ty))) ; (tmp15__global__8__instrumented__ = -(tmp15__func_bio_opt__ty))
(assert (= tmp15__global__9__instrumented__ (* (- tmp15__func_bio_opt__ty) tmp15__func_bio_opt__t))) ; (tmp15__global__9__instrumented__ = (-(tmp15__func_bio_opt__ty) * tmp15__func_bio_opt__t))
(assert (= tmp2__global__s5_14 tmp15__global__9__instrumented__)) ; (tmp2__global__s5_14 = tmp15__global__9__instrumented__)
(assert (= tmp16__global__0__instrumented__ (- tmp1__global__predL0_15 tmp1__global__predL1_15))) ; (tmp16__global__0__instrumented__ = (tmp1__global__predL0_15 - tmp1__global__predL1_15))
(assert (= tmp16__func_bio_opt__t tmp16__global__0__instrumented__)) ; (tmp16__func_bio_opt__t = tmp16__global__0__instrumented__)
(assert (= tmp16__global__1__instrumented__ (+ tmp1__global__gradXL0_15 tmp1__global__gradXL1_15))) ; (tmp16__global__1__instrumented__ = (tmp1__global__gradXL0_15 + tmp1__global__gradXL1_15))
(assert (= tmp16__func_bio_opt__tx tmp16__global__1__instrumented__)) ; (tmp16__func_bio_opt__tx = tmp16__global__1__instrumented__)
(assert (= tmp16__global__2__instrumented__ (+ tmp1__global__gradYL0_15 tmp1__global__gradYL1_15))) ; (tmp16__global__2__instrumented__ = (tmp1__global__gradYL0_15 + tmp1__global__gradYL1_15))
(assert (= tmp16__func_bio_opt__ty tmp16__global__2__instrumented__)) ; (tmp16__func_bio_opt__ty = tmp16__global__2__instrumented__)
(assert (= tmp16__global__3__instrumented__ (* tmp16__func_bio_opt__tx tmp16__func_bio_opt__tx))) ; (tmp16__global__3__instrumented__ = (tmp16__func_bio_opt__tx * tmp16__func_bio_opt__tx))
(assert (= tmp2__global__s1_15 tmp16__global__3__instrumented__)) ; (tmp2__global__s1_15 = tmp16__global__3__instrumented__)
(assert (= tmp16__global__4__instrumented__ (* tmp16__func_bio_opt__tx tmp16__func_bio_opt__ty))) ; (tmp16__global__4__instrumented__ = (tmp16__func_bio_opt__tx * tmp16__func_bio_opt__ty))
(assert (= tmp2__global__s2_15 tmp16__global__4__instrumented__)) ; (tmp2__global__s2_15 = tmp16__global__4__instrumented__)
(assert (= tmp16__global__5__instrumented__ (- tmp16__func_bio_opt__tx))) ; (tmp16__global__5__instrumented__ = -(tmp16__func_bio_opt__tx))
(assert (= tmp16__global__6__instrumented__ (* (- tmp16__func_bio_opt__tx) tmp16__func_bio_opt__t))) ; (tmp16__global__6__instrumented__ = (-(tmp16__func_bio_opt__tx) * tmp16__func_bio_opt__t))
(assert (= tmp2__global__s3_15 tmp16__global__6__instrumented__)) ; (tmp2__global__s3_15 = tmp16__global__6__instrumented__)
(assert (= tmp16__global__7__instrumented__ (* tmp16__func_bio_opt__ty tmp16__func_bio_opt__ty))) ; (tmp16__global__7__instrumented__ = (tmp16__func_bio_opt__ty * tmp16__func_bio_opt__ty))
(assert (= tmp2__global__s4_15 tmp16__global__7__instrumented__)) ; (tmp2__global__s4_15 = tmp16__global__7__instrumented__)
(assert (= tmp16__global__8__instrumented__ (- tmp16__func_bio_opt__ty))) ; (tmp16__global__8__instrumented__ = -(tmp16__func_bio_opt__ty))
(assert (= tmp16__global__9__instrumented__ (* (- tmp16__func_bio_opt__ty) tmp16__func_bio_opt__t))) ; (tmp16__global__9__instrumented__ = (-(tmp16__func_bio_opt__ty) * tmp16__func_bio_opt__t))
(assert (= tmp2__global__s5_15 tmp16__global__9__instrumented__)) ; (tmp2__global__s5_15 = tmp16__global__9__instrumented__)
(assert (= tmp17__global__0__instrumented__ (- tmp1__global__predL0_16 tmp1__global__predL1_16))) ; (tmp17__global__0__instrumented__ = (tmp1__global__predL0_16 - tmp1__global__predL1_16))
(assert (= tmp17__func_bio_opt__t tmp17__global__0__instrumented__)) ; (tmp17__func_bio_opt__t = tmp17__global__0__instrumented__)
(assert (= tmp17__global__1__instrumented__ (+ tmp1__global__gradXL0_16 tmp1__global__gradXL1_16))) ; (tmp17__global__1__instrumented__ = (tmp1__global__gradXL0_16 + tmp1__global__gradXL1_16))
(assert (= tmp17__func_bio_opt__tx tmp17__global__1__instrumented__)) ; (tmp17__func_bio_opt__tx = tmp17__global__1__instrumented__)
(assert (= tmp17__global__2__instrumented__ (+ tmp1__global__gradYL0_16 tmp1__global__gradYL1_16))) ; (tmp17__global__2__instrumented__ = (tmp1__global__gradYL0_16 + tmp1__global__gradYL1_16))
(assert (= tmp17__func_bio_opt__ty tmp17__global__2__instrumented__)) ; (tmp17__func_bio_opt__ty = tmp17__global__2__instrumented__)
(assert (= tmp17__global__3__instrumented__ (* tmp17__func_bio_opt__tx tmp17__func_bio_opt__tx))) ; (tmp17__global__3__instrumented__ = (tmp17__func_bio_opt__tx * tmp17__func_bio_opt__tx))
(assert (= tmp2__global__s1_16 tmp17__global__3__instrumented__)) ; (tmp2__global__s1_16 = tmp17__global__3__instrumented__)
(assert (= tmp17__global__4__instrumented__ (* tmp17__func_bio_opt__tx tmp17__func_bio_opt__ty))) ; (tmp17__global__4__instrumented__ = (tmp17__func_bio_opt__tx * tmp17__func_bio_opt__ty))
(assert (= tmp2__global__s2_16 tmp17__global__4__instrumented__)) ; (tmp2__global__s2_16 = tmp17__global__4__instrumented__)
(assert (= tmp17__global__5__instrumented__ (- tmp17__func_bio_opt__tx))) ; (tmp17__global__5__instrumented__ = -(tmp17__func_bio_opt__tx))
(assert (= tmp17__global__6__instrumented__ (* (- tmp17__func_bio_opt__tx) tmp17__func_bio_opt__t))) ; (tmp17__global__6__instrumented__ = (-(tmp17__func_bio_opt__tx) * tmp17__func_bio_opt__t))
(assert (= tmp2__global__s3_16 tmp17__global__6__instrumented__)) ; (tmp2__global__s3_16 = tmp17__global__6__instrumented__)
(assert (= tmp17__global__7__instrumented__ (* tmp17__func_bio_opt__ty tmp17__func_bio_opt__ty))) ; (tmp17__global__7__instrumented__ = (tmp17__func_bio_opt__ty * tmp17__func_bio_opt__ty))
(assert (= tmp2__global__s4_16 tmp17__global__7__instrumented__)) ; (tmp2__global__s4_16 = tmp17__global__7__instrumented__)
(assert (= tmp17__global__8__instrumented__ (- tmp17__func_bio_opt__ty))) ; (tmp17__global__8__instrumented__ = -(tmp17__func_bio_opt__ty))
(assert (= tmp17__global__9__instrumented__ (* (- tmp17__func_bio_opt__ty) tmp17__func_bio_opt__t))) ; (tmp17__global__9__instrumented__ = (-(tmp17__func_bio_opt__ty) * tmp17__func_bio_opt__t))
(assert (= tmp2__global__s5_16 tmp17__global__9__instrumented__)) ; (tmp2__global__s5_16 = tmp17__global__9__instrumented__)
(assert (= tmp18__global__0__instrumented__ (- tmp1__global__predL0_17 tmp1__global__predL1_17))) ; (tmp18__global__0__instrumented__ = (tmp1__global__predL0_17 - tmp1__global__predL1_17))
(assert (= tmp18__func_bio_opt__t tmp18__global__0__instrumented__)) ; (tmp18__func_bio_opt__t = tmp18__global__0__instrumented__)
(assert (= tmp18__global__1__instrumented__ (+ tmp1__global__gradXL0_17 tmp1__global__gradXL1_17))) ; (tmp18__global__1__instrumented__ = (tmp1__global__gradXL0_17 + tmp1__global__gradXL1_17))
(assert (= tmp18__func_bio_opt__tx tmp18__global__1__instrumented__)) ; (tmp18__func_bio_opt__tx = tmp18__global__1__instrumented__)
(assert (= tmp18__global__2__instrumented__ (+ tmp1__global__gradYL0_17 tmp1__global__gradYL1_17))) ; (tmp18__global__2__instrumented__ = (tmp1__global__gradYL0_17 + tmp1__global__gradYL1_17))
(assert (= tmp18__func_bio_opt__ty tmp18__global__2__instrumented__)) ; (tmp18__func_bio_opt__ty = tmp18__global__2__instrumented__)
(assert (= tmp18__global__3__instrumented__ (* tmp18__func_bio_opt__tx tmp18__func_bio_opt__tx))) ; (tmp18__global__3__instrumented__ = (tmp18__func_bio_opt__tx * tmp18__func_bio_opt__tx))
(assert (= tmp2__global__s1_17 tmp18__global__3__instrumented__)) ; (tmp2__global__s1_17 = tmp18__global__3__instrumented__)
(assert (= tmp18__global__4__instrumented__ (* tmp18__func_bio_opt__tx tmp18__func_bio_opt__ty))) ; (tmp18__global__4__instrumented__ = (tmp18__func_bio_opt__tx * tmp18__func_bio_opt__ty))
(assert (= tmp2__global__s2_17 tmp18__global__4__instrumented__)) ; (tmp2__global__s2_17 = tmp18__global__4__instrumented__)
(assert (= tmp18__global__5__instrumented__ (- tmp18__func_bio_opt__tx))) ; (tmp18__global__5__instrumented__ = -(tmp18__func_bio_opt__tx))
(assert (= tmp18__global__6__instrumented__ (* (- tmp18__func_bio_opt__tx) tmp18__func_bio_opt__t))) ; (tmp18__global__6__instrumented__ = (-(tmp18__func_bio_opt__tx) * tmp18__func_bio_opt__t))
(assert (= tmp2__global__s3_17 tmp18__global__6__instrumented__)) ; (tmp2__global__s3_17 = tmp18__global__6__instrumented__)
(assert (= tmp18__global__7__instrumented__ (* tmp18__func_bio_opt__ty tmp18__func_bio_opt__ty))) ; (tmp18__global__7__instrumented__ = (tmp18__func_bio_opt__ty * tmp18__func_bio_opt__ty))
(assert (= tmp2__global__s4_17 tmp18__global__7__instrumented__)) ; (tmp2__global__s4_17 = tmp18__global__7__instrumented__)
(assert (= tmp18__global__8__instrumented__ (- tmp18__func_bio_opt__ty))) ; (tmp18__global__8__instrumented__ = -(tmp18__func_bio_opt__ty))
(assert (= tmp18__global__9__instrumented__ (* (- tmp18__func_bio_opt__ty) tmp18__func_bio_opt__t))) ; (tmp18__global__9__instrumented__ = (-(tmp18__func_bio_opt__ty) * tmp18__func_bio_opt__t))
(assert (= tmp2__global__s5_17 tmp18__global__9__instrumented__)) ; (tmp2__global__s5_17 = tmp18__global__9__instrumented__)
(assert (= tmp19__global__0__instrumented__ (- tmp1__global__predL0_18 tmp1__global__predL1_18))) ; (tmp19__global__0__instrumented__ = (tmp1__global__predL0_18 - tmp1__global__predL1_18))
(assert (= tmp19__func_bio_opt__t tmp19__global__0__instrumented__)) ; (tmp19__func_bio_opt__t = tmp19__global__0__instrumented__)
(assert (= tmp19__global__1__instrumented__ (+ tmp1__global__gradXL0_18 tmp1__global__gradXL1_18))) ; (tmp19__global__1__instrumented__ = (tmp1__global__gradXL0_18 + tmp1__global__gradXL1_18))
(assert (= tmp19__func_bio_opt__tx tmp19__global__1__instrumented__)) ; (tmp19__func_bio_opt__tx = tmp19__global__1__instrumented__)
(assert (= tmp19__global__2__instrumented__ (+ tmp1__global__gradYL0_18 tmp1__global__gradYL1_18))) ; (tmp19__global__2__instrumented__ = (tmp1__global__gradYL0_18 + tmp1__global__gradYL1_18))
(assert (= tmp19__func_bio_opt__ty tmp19__global__2__instrumented__)) ; (tmp19__func_bio_opt__ty = tmp19__global__2__instrumented__)
(assert (= tmp19__global__3__instrumented__ (* tmp19__func_bio_opt__tx tmp19__func_bio_opt__tx))) ; (tmp19__global__3__instrumented__ = (tmp19__func_bio_opt__tx * tmp19__func_bio_opt__tx))
(assert (= tmp2__global__s1_18 tmp19__global__3__instrumented__)) ; (tmp2__global__s1_18 = tmp19__global__3__instrumented__)
(assert (= tmp19__global__4__instrumented__ (* tmp19__func_bio_opt__tx tmp19__func_bio_opt__ty))) ; (tmp19__global__4__instrumented__ = (tmp19__func_bio_opt__tx * tmp19__func_bio_opt__ty))
(assert (= tmp2__global__s2_18 tmp19__global__4__instrumented__)) ; (tmp2__global__s2_18 = tmp19__global__4__instrumented__)
(assert (= tmp19__global__5__instrumented__ (- tmp19__func_bio_opt__tx))) ; (tmp19__global__5__instrumented__ = -(tmp19__func_bio_opt__tx))
(assert (= tmp19__global__6__instrumented__ (* (- tmp19__func_bio_opt__tx) tmp19__func_bio_opt__t))) ; (tmp19__global__6__instrumented__ = (-(tmp19__func_bio_opt__tx) * tmp19__func_bio_opt__t))
(assert (= tmp2__global__s3_18 tmp19__global__6__instrumented__)) ; (tmp2__global__s3_18 = tmp19__global__6__instrumented__)
(assert (= tmp19__global__7__instrumented__ (* tmp19__func_bio_opt__ty tmp19__func_bio_opt__ty))) ; (tmp19__global__7__instrumented__ = (tmp19__func_bio_opt__ty * tmp19__func_bio_opt__ty))
(assert (= tmp2__global__s4_18 tmp19__global__7__instrumented__)) ; (tmp2__global__s4_18 = tmp19__global__7__instrumented__)
(assert (= tmp19__global__8__instrumented__ (- tmp19__func_bio_opt__ty))) ; (tmp19__global__8__instrumented__ = -(tmp19__func_bio_opt__ty))
(assert (= tmp19__global__9__instrumented__ (* (- tmp19__func_bio_opt__ty) tmp19__func_bio_opt__t))) ; (tmp19__global__9__instrumented__ = (-(tmp19__func_bio_opt__ty) * tmp19__func_bio_opt__t))
(assert (= tmp2__global__s5_18 tmp19__global__9__instrumented__)) ; (tmp2__global__s5_18 = tmp19__global__9__instrumented__)
(assert (= tmp20__global__0__instrumented__ (- tmp1__global__predL0_19 tmp1__global__predL1_19))) ; (tmp20__global__0__instrumented__ = (tmp1__global__predL0_19 - tmp1__global__predL1_19))
(assert (= tmp20__func_bio_opt__t tmp20__global__0__instrumented__)) ; (tmp20__func_bio_opt__t = tmp20__global__0__instrumented__)
(assert (= tmp20__global__1__instrumented__ (+ tmp1__global__gradXL0_19 tmp1__global__gradXL1_19))) ; (tmp20__global__1__instrumented__ = (tmp1__global__gradXL0_19 + tmp1__global__gradXL1_19))
(assert (= tmp20__func_bio_opt__tx tmp20__global__1__instrumented__)) ; (tmp20__func_bio_opt__tx = tmp20__global__1__instrumented__)
(assert (= tmp20__global__2__instrumented__ (+ tmp1__global__gradYL0_19 tmp1__global__gradYL1_19))) ; (tmp20__global__2__instrumented__ = (tmp1__global__gradYL0_19 + tmp1__global__gradYL1_19))
(assert (= tmp20__func_bio_opt__ty tmp20__global__2__instrumented__)) ; (tmp20__func_bio_opt__ty = tmp20__global__2__instrumented__)
(assert (= tmp20__global__3__instrumented__ (* tmp20__func_bio_opt__tx tmp20__func_bio_opt__tx))) ; (tmp20__global__3__instrumented__ = (tmp20__func_bio_opt__tx * tmp20__func_bio_opt__tx))
(assert (= tmp2__global__s1_19 tmp20__global__3__instrumented__)) ; (tmp2__global__s1_19 = tmp20__global__3__instrumented__)
(assert (= tmp20__global__4__instrumented__ (* tmp20__func_bio_opt__tx tmp20__func_bio_opt__ty))) ; (tmp20__global__4__instrumented__ = (tmp20__func_bio_opt__tx * tmp20__func_bio_opt__ty))
(assert (= tmp2__global__s2_19 tmp20__global__4__instrumented__)) ; (tmp2__global__s2_19 = tmp20__global__4__instrumented__)
(assert (= tmp20__global__5__instrumented__ (- tmp20__func_bio_opt__tx))) ; (tmp20__global__5__instrumented__ = -(tmp20__func_bio_opt__tx))
(assert (= tmp20__global__6__instrumented__ (* (- tmp20__func_bio_opt__tx) tmp20__func_bio_opt__t))) ; (tmp20__global__6__instrumented__ = (-(tmp20__func_bio_opt__tx) * tmp20__func_bio_opt__t))
(assert (= tmp2__global__s3_19 tmp20__global__6__instrumented__)) ; (tmp2__global__s3_19 = tmp20__global__6__instrumented__)
(assert (= tmp20__global__7__instrumented__ (* tmp20__func_bio_opt__ty tmp20__func_bio_opt__ty))) ; (tmp20__global__7__instrumented__ = (tmp20__func_bio_opt__ty * tmp20__func_bio_opt__ty))
(assert (= tmp2__global__s4_19 tmp20__global__7__instrumented__)) ; (tmp2__global__s4_19 = tmp20__global__7__instrumented__)
(assert (= tmp20__global__8__instrumented__ (- tmp20__func_bio_opt__ty))) ; (tmp20__global__8__instrumented__ = -(tmp20__func_bio_opt__ty))
(assert (= tmp20__global__9__instrumented__ (* (- tmp20__func_bio_opt__ty) tmp20__func_bio_opt__t))) ; (tmp20__global__9__instrumented__ = (-(tmp20__func_bio_opt__ty) * tmp20__func_bio_opt__t))
(assert (= tmp2__global__s5_19 tmp20__global__9__instrumented__)) ; (tmp2__global__s5_19 = tmp20__global__9__instrumented__)
(assert (= tmp21__global__0__instrumented__ (- tmp1__global__predL0_20 tmp1__global__predL1_20))) ; (tmp21__global__0__instrumented__ = (tmp1__global__predL0_20 - tmp1__global__predL1_20))
(assert (= tmp21__func_bio_opt__t tmp21__global__0__instrumented__)) ; (tmp21__func_bio_opt__t = tmp21__global__0__instrumented__)
(assert (= tmp21__global__1__instrumented__ (+ tmp1__global__gradXL0_20 tmp1__global__gradXL1_20))) ; (tmp21__global__1__instrumented__ = (tmp1__global__gradXL0_20 + tmp1__global__gradXL1_20))
(assert (= tmp21__func_bio_opt__tx tmp21__global__1__instrumented__)) ; (tmp21__func_bio_opt__tx = tmp21__global__1__instrumented__)
(assert (= tmp21__global__2__instrumented__ (+ tmp1__global__gradYL0_20 tmp1__global__gradYL1_20))) ; (tmp21__global__2__instrumented__ = (tmp1__global__gradYL0_20 + tmp1__global__gradYL1_20))
(assert (= tmp21__func_bio_opt__ty tmp21__global__2__instrumented__)) ; (tmp21__func_bio_opt__ty = tmp21__global__2__instrumented__)
(assert (= tmp21__global__3__instrumented__ (* tmp21__func_bio_opt__tx tmp21__func_bio_opt__tx))) ; (tmp21__global__3__instrumented__ = (tmp21__func_bio_opt__tx * tmp21__func_bio_opt__tx))
(assert (= tmp2__global__s1_20 tmp21__global__3__instrumented__)) ; (tmp2__global__s1_20 = tmp21__global__3__instrumented__)
(assert (= tmp21__global__4__instrumented__ (* tmp21__func_bio_opt__tx tmp21__func_bio_opt__ty))) ; (tmp21__global__4__instrumented__ = (tmp21__func_bio_opt__tx * tmp21__func_bio_opt__ty))
(assert (= tmp2__global__s2_20 tmp21__global__4__instrumented__)) ; (tmp2__global__s2_20 = tmp21__global__4__instrumented__)
(assert (= tmp21__global__5__instrumented__ (- tmp21__func_bio_opt__tx))) ; (tmp21__global__5__instrumented__ = -(tmp21__func_bio_opt__tx))
(assert (= tmp21__global__6__instrumented__ (* (- tmp21__func_bio_opt__tx) tmp21__func_bio_opt__t))) ; (tmp21__global__6__instrumented__ = (-(tmp21__func_bio_opt__tx) * tmp21__func_bio_opt__t))
(assert (= tmp2__global__s3_20 tmp21__global__6__instrumented__)) ; (tmp2__global__s3_20 = tmp21__global__6__instrumented__)
(assert (= tmp21__global__7__instrumented__ (* tmp21__func_bio_opt__ty tmp21__func_bio_opt__ty))) ; (tmp21__global__7__instrumented__ = (tmp21__func_bio_opt__ty * tmp21__func_bio_opt__ty))
(assert (= tmp2__global__s4_20 tmp21__global__7__instrumented__)) ; (tmp2__global__s4_20 = tmp21__global__7__instrumented__)
(assert (= tmp21__global__8__instrumented__ (- tmp21__func_bio_opt__ty))) ; (tmp21__global__8__instrumented__ = -(tmp21__func_bio_opt__ty))
(assert (= tmp21__global__9__instrumented__ (* (- tmp21__func_bio_opt__ty) tmp21__func_bio_opt__t))) ; (tmp21__global__9__instrumented__ = (-(tmp21__func_bio_opt__ty) * tmp21__func_bio_opt__t))
(assert (= tmp2__global__s5_20 tmp21__global__9__instrumented__)) ; (tmp2__global__s5_20 = tmp21__global__9__instrumented__)
(assert (= tmp22__global__0__instrumented__ (- tmp1__global__predL0_21 tmp1__global__predL1_21))) ; (tmp22__global__0__instrumented__ = (tmp1__global__predL0_21 - tmp1__global__predL1_21))
(assert (= tmp22__func_bio_opt__t tmp22__global__0__instrumented__)) ; (tmp22__func_bio_opt__t = tmp22__global__0__instrumented__)
(assert (= tmp22__global__1__instrumented__ (+ tmp1__global__gradXL0_21 tmp1__global__gradXL1_21))) ; (tmp22__global__1__instrumented__ = (tmp1__global__gradXL0_21 + tmp1__global__gradXL1_21))
(assert (= tmp22__func_bio_opt__tx tmp22__global__1__instrumented__)) ; (tmp22__func_bio_opt__tx = tmp22__global__1__instrumented__)
(assert (= tmp22__global__2__instrumented__ (+ tmp1__global__gradYL0_21 tmp1__global__gradYL1_21))) ; (tmp22__global__2__instrumented__ = (tmp1__global__gradYL0_21 + tmp1__global__gradYL1_21))
(assert (= tmp22__func_bio_opt__ty tmp22__global__2__instrumented__)) ; (tmp22__func_bio_opt__ty = tmp22__global__2__instrumented__)
(assert (= tmp22__global__3__instrumented__ (* tmp22__func_bio_opt__tx tmp22__func_bio_opt__tx))) ; (tmp22__global__3__instrumented__ = (tmp22__func_bio_opt__tx * tmp22__func_bio_opt__tx))
(assert (= tmp2__global__s1_21 tmp22__global__3__instrumented__)) ; (tmp2__global__s1_21 = tmp22__global__3__instrumented__)
(assert (= tmp22__global__4__instrumented__ (* tmp22__func_bio_opt__tx tmp22__func_bio_opt__ty))) ; (tmp22__global__4__instrumented__ = (tmp22__func_bio_opt__tx * tmp22__func_bio_opt__ty))
(assert (= tmp2__global__s2_21 tmp22__global__4__instrumented__)) ; (tmp2__global__s2_21 = tmp22__global__4__instrumented__)
(assert (= tmp22__global__5__instrumented__ (- tmp22__func_bio_opt__tx))) ; (tmp22__global__5__instrumented__ = -(tmp22__func_bio_opt__tx))
(assert (= tmp22__global__6__instrumented__ (* (- tmp22__func_bio_opt__tx) tmp22__func_bio_opt__t))) ; (tmp22__global__6__instrumented__ = (-(tmp22__func_bio_opt__tx) * tmp22__func_bio_opt__t))
(assert (= tmp2__global__s3_21 tmp22__global__6__instrumented__)) ; (tmp2__global__s3_21 = tmp22__global__6__instrumented__)
(assert (= tmp22__global__7__instrumented__ (* tmp22__func_bio_opt__ty tmp22__func_bio_opt__ty))) ; (tmp22__global__7__instrumented__ = (tmp22__func_bio_opt__ty * tmp22__func_bio_opt__ty))
(assert (= tmp2__global__s4_21 tmp22__global__7__instrumented__)) ; (tmp2__global__s4_21 = tmp22__global__7__instrumented__)
(assert (= tmp22__global__8__instrumented__ (- tmp22__func_bio_opt__ty))) ; (tmp22__global__8__instrumented__ = -(tmp22__func_bio_opt__ty))
(assert (= tmp22__global__9__instrumented__ (* (- tmp22__func_bio_opt__ty) tmp22__func_bio_opt__t))) ; (tmp22__global__9__instrumented__ = (-(tmp22__func_bio_opt__ty) * tmp22__func_bio_opt__t))
(assert (= tmp2__global__s5_21 tmp22__global__9__instrumented__)) ; (tmp2__global__s5_21 = tmp22__global__9__instrumented__)
(assert (= tmp23__global__0__instrumented__ (- tmp1__global__predL0_22 tmp1__global__predL1_22))) ; (tmp23__global__0__instrumented__ = (tmp1__global__predL0_22 - tmp1__global__predL1_22))
(assert (= tmp23__func_bio_opt__t tmp23__global__0__instrumented__)) ; (tmp23__func_bio_opt__t = tmp23__global__0__instrumented__)
(assert (= tmp23__global__1__instrumented__ (+ tmp1__global__gradXL0_22 tmp1__global__gradXL1_22))) ; (tmp23__global__1__instrumented__ = (tmp1__global__gradXL0_22 + tmp1__global__gradXL1_22))
(assert (= tmp23__func_bio_opt__tx tmp23__global__1__instrumented__)) ; (tmp23__func_bio_opt__tx = tmp23__global__1__instrumented__)
(assert (= tmp23__global__2__instrumented__ (+ tmp1__global__gradYL0_22 tmp1__global__gradYL1_22))) ; (tmp23__global__2__instrumented__ = (tmp1__global__gradYL0_22 + tmp1__global__gradYL1_22))
(assert (= tmp23__func_bio_opt__ty tmp23__global__2__instrumented__)) ; (tmp23__func_bio_opt__ty = tmp23__global__2__instrumented__)
(assert (= tmp23__global__3__instrumented__ (* tmp23__func_bio_opt__tx tmp23__func_bio_opt__tx))) ; (tmp23__global__3__instrumented__ = (tmp23__func_bio_opt__tx * tmp23__func_bio_opt__tx))
(assert (= tmp2__global__s1_22 tmp23__global__3__instrumented__)) ; (tmp2__global__s1_22 = tmp23__global__3__instrumented__)
(assert (= tmp23__global__4__instrumented__ (* tmp23__func_bio_opt__tx tmp23__func_bio_opt__ty))) ; (tmp23__global__4__instrumented__ = (tmp23__func_bio_opt__tx * tmp23__func_bio_opt__ty))
(assert (= tmp2__global__s2_22 tmp23__global__4__instrumented__)) ; (tmp2__global__s2_22 = tmp23__global__4__instrumented__)
(assert (= tmp23__global__5__instrumented__ (- tmp23__func_bio_opt__tx))) ; (tmp23__global__5__instrumented__ = -(tmp23__func_bio_opt__tx))
(assert (= tmp23__global__6__instrumented__ (* (- tmp23__func_bio_opt__tx) tmp23__func_bio_opt__t))) ; (tmp23__global__6__instrumented__ = (-(tmp23__func_bio_opt__tx) * tmp23__func_bio_opt__t))
(assert (= tmp2__global__s3_22 tmp23__global__6__instrumented__)) ; (tmp2__global__s3_22 = tmp23__global__6__instrumented__)
(assert (= tmp23__global__7__instrumented__ (* tmp23__func_bio_opt__ty tmp23__func_bio_opt__ty))) ; (tmp23__global__7__instrumented__ = (tmp23__func_bio_opt__ty * tmp23__func_bio_opt__ty))
(assert (= tmp2__global__s4_22 tmp23__global__7__instrumented__)) ; (tmp2__global__s4_22 = tmp23__global__7__instrumented__)
(assert (= tmp23__global__8__instrumented__ (- tmp23__func_bio_opt__ty))) ; (tmp23__global__8__instrumented__ = -(tmp23__func_bio_opt__ty))
(assert (= tmp23__global__9__instrumented__ (* (- tmp23__func_bio_opt__ty) tmp23__func_bio_opt__t))) ; (tmp23__global__9__instrumented__ = (-(tmp23__func_bio_opt__ty) * tmp23__func_bio_opt__t))
(assert (= tmp2__global__s5_22 tmp23__global__9__instrumented__)) ; (tmp2__global__s5_22 = tmp23__global__9__instrumented__)
(assert (= tmp24__global__0__instrumented__ (- tmp1__global__predL0_23 tmp1__global__predL1_23))) ; (tmp24__global__0__instrumented__ = (tmp1__global__predL0_23 - tmp1__global__predL1_23))
(assert (= tmp24__func_bio_opt__t tmp24__global__0__instrumented__)) ; (tmp24__func_bio_opt__t = tmp24__global__0__instrumented__)
(assert (= tmp24__global__1__instrumented__ (+ tmp1__global__gradXL0_23 tmp1__global__gradXL1_23))) ; (tmp24__global__1__instrumented__ = (tmp1__global__gradXL0_23 + tmp1__global__gradXL1_23))
(assert (= tmp24__func_bio_opt__tx tmp24__global__1__instrumented__)) ; (tmp24__func_bio_opt__tx = tmp24__global__1__instrumented__)
(assert (= tmp24__global__2__instrumented__ (+ tmp1__global__gradYL0_23 tmp1__global__gradYL1_23))) ; (tmp24__global__2__instrumented__ = (tmp1__global__gradYL0_23 + tmp1__global__gradYL1_23))
(assert (= tmp24__func_bio_opt__ty tmp24__global__2__instrumented__)) ; (tmp24__func_bio_opt__ty = tmp24__global__2__instrumented__)
(assert (= tmp24__global__3__instrumented__ (* tmp24__func_bio_opt__tx tmp24__func_bio_opt__tx))) ; (tmp24__global__3__instrumented__ = (tmp24__func_bio_opt__tx * tmp24__func_bio_opt__tx))
(assert (= tmp2__global__s1_23 tmp24__global__3__instrumented__)) ; (tmp2__global__s1_23 = tmp24__global__3__instrumented__)
(assert (= tmp24__global__4__instrumented__ (* tmp24__func_bio_opt__tx tmp24__func_bio_opt__ty))) ; (tmp24__global__4__instrumented__ = (tmp24__func_bio_opt__tx * tmp24__func_bio_opt__ty))
(assert (= tmp2__global__s2_23 tmp24__global__4__instrumented__)) ; (tmp2__global__s2_23 = tmp24__global__4__instrumented__)
(assert (= tmp24__global__5__instrumented__ (- tmp24__func_bio_opt__tx))) ; (tmp24__global__5__instrumented__ = -(tmp24__func_bio_opt__tx))
(assert (= tmp24__global__6__instrumented__ (* (- tmp24__func_bio_opt__tx) tmp24__func_bio_opt__t))) ; (tmp24__global__6__instrumented__ = (-(tmp24__func_bio_opt__tx) * tmp24__func_bio_opt__t))
(assert (= tmp2__global__s3_23 tmp24__global__6__instrumented__)) ; (tmp2__global__s3_23 = tmp24__global__6__instrumented__)
(assert (= tmp24__global__7__instrumented__ (* tmp24__func_bio_opt__ty tmp24__func_bio_opt__ty))) ; (tmp24__global__7__instrumented__ = (tmp24__func_bio_opt__ty * tmp24__func_bio_opt__ty))
(assert (= tmp2__global__s4_23 tmp24__global__7__instrumented__)) ; (tmp2__global__s4_23 = tmp24__global__7__instrumented__)
(assert (= tmp24__global__8__instrumented__ (- tmp24__func_bio_opt__ty))) ; (tmp24__global__8__instrumented__ = -(tmp24__func_bio_opt__ty))
(assert (= tmp24__global__9__instrumented__ (* (- tmp24__func_bio_opt__ty) tmp24__func_bio_opt__t))) ; (tmp24__global__9__instrumented__ = (-(tmp24__func_bio_opt__ty) * tmp24__func_bio_opt__t))
(assert (= tmp2__global__s5_23 tmp24__global__9__instrumented__)) ; (tmp2__global__s5_23 = tmp24__global__9__instrumented__)
(assert (= tmp25__global__0__instrumented__ (- tmp1__global__predL0_24 tmp1__global__predL1_24))) ; (tmp25__global__0__instrumented__ = (tmp1__global__predL0_24 - tmp1__global__predL1_24))
(assert (= tmp25__func_bio_opt__t tmp25__global__0__instrumented__)) ; (tmp25__func_bio_opt__t = tmp25__global__0__instrumented__)
(assert (= tmp25__global__1__instrumented__ (+ tmp1__global__gradXL0_24 tmp1__global__gradXL1_24))) ; (tmp25__global__1__instrumented__ = (tmp1__global__gradXL0_24 + tmp1__global__gradXL1_24))
(assert (= tmp25__func_bio_opt__tx tmp25__global__1__instrumented__)) ; (tmp25__func_bio_opt__tx = tmp25__global__1__instrumented__)
(assert (= tmp25__global__2__instrumented__ (+ tmp1__global__gradYL0_24 tmp1__global__gradYL1_24))) ; (tmp25__global__2__instrumented__ = (tmp1__global__gradYL0_24 + tmp1__global__gradYL1_24))
(assert (= tmp25__func_bio_opt__ty tmp25__global__2__instrumented__)) ; (tmp25__func_bio_opt__ty = tmp25__global__2__instrumented__)
(assert (= tmp25__global__3__instrumented__ (* tmp25__func_bio_opt__tx tmp25__func_bio_opt__tx))) ; (tmp25__global__3__instrumented__ = (tmp25__func_bio_opt__tx * tmp25__func_bio_opt__tx))
(assert (= tmp2__global__s1_24 tmp25__global__3__instrumented__)) ; (tmp2__global__s1_24 = tmp25__global__3__instrumented__)
(assert (= tmp25__global__4__instrumented__ (* tmp25__func_bio_opt__tx tmp25__func_bio_opt__ty))) ; (tmp25__global__4__instrumented__ = (tmp25__func_bio_opt__tx * tmp25__func_bio_opt__ty))
(assert (= tmp2__global__s2_24 tmp25__global__4__instrumented__)) ; (tmp2__global__s2_24 = tmp25__global__4__instrumented__)
(assert (= tmp25__global__5__instrumented__ (- tmp25__func_bio_opt__tx))) ; (tmp25__global__5__instrumented__ = -(tmp25__func_bio_opt__tx))
(assert (= tmp25__global__6__instrumented__ (* (- tmp25__func_bio_opt__tx) tmp25__func_bio_opt__t))) ; (tmp25__global__6__instrumented__ = (-(tmp25__func_bio_opt__tx) * tmp25__func_bio_opt__t))
(assert (= tmp2__global__s3_24 tmp25__global__6__instrumented__)) ; (tmp2__global__s3_24 = tmp25__global__6__instrumented__)
(assert (= tmp25__global__7__instrumented__ (* tmp25__func_bio_opt__ty tmp25__func_bio_opt__ty))) ; (tmp25__global__7__instrumented__ = (tmp25__func_bio_opt__ty * tmp25__func_bio_opt__ty))
(assert (= tmp2__global__s4_24 tmp25__global__7__instrumented__)) ; (tmp2__global__s4_24 = tmp25__global__7__instrumented__)
(assert (= tmp25__global__8__instrumented__ (- tmp25__func_bio_opt__ty))) ; (tmp25__global__8__instrumented__ = -(tmp25__func_bio_opt__ty))
(assert (= tmp25__global__9__instrumented__ (* (- tmp25__func_bio_opt__ty) tmp25__func_bio_opt__t))) ; (tmp25__global__9__instrumented__ = (-(tmp25__func_bio_opt__ty) * tmp25__func_bio_opt__t))
(assert (= tmp2__global__s5_24 tmp25__global__9__instrumented__)) ; (tmp2__global__s5_24 = tmp25__global__9__instrumented__)
(assert (= tmp26__global__0__instrumented__ (- tmp1__global__predL0_25 tmp1__global__predL1_25))) ; (tmp26__global__0__instrumented__ = (tmp1__global__predL0_25 - tmp1__global__predL1_25))
(assert (= tmp26__func_bio_opt__t tmp26__global__0__instrumented__)) ; (tmp26__func_bio_opt__t = tmp26__global__0__instrumented__)
(assert (= tmp26__global__1__instrumented__ (+ tmp1__global__gradXL0_25 tmp1__global__gradXL1_25))) ; (tmp26__global__1__instrumented__ = (tmp1__global__gradXL0_25 + tmp1__global__gradXL1_25))
(assert (= tmp26__func_bio_opt__tx tmp26__global__1__instrumented__)) ; (tmp26__func_bio_opt__tx = tmp26__global__1__instrumented__)
(assert (= tmp26__global__2__instrumented__ (+ tmp1__global__gradYL0_25 tmp1__global__gradYL1_25))) ; (tmp26__global__2__instrumented__ = (tmp1__global__gradYL0_25 + tmp1__global__gradYL1_25))
(assert (= tmp26__func_bio_opt__ty tmp26__global__2__instrumented__)) ; (tmp26__func_bio_opt__ty = tmp26__global__2__instrumented__)
(assert (= tmp26__global__3__instrumented__ (* tmp26__func_bio_opt__tx tmp26__func_bio_opt__tx))) ; (tmp26__global__3__instrumented__ = (tmp26__func_bio_opt__tx * tmp26__func_bio_opt__tx))
(assert (= tmp2__global__s1_25 tmp26__global__3__instrumented__)) ; (tmp2__global__s1_25 = tmp26__global__3__instrumented__)
(assert (= tmp26__global__4__instrumented__ (* tmp26__func_bio_opt__tx tmp26__func_bio_opt__ty))) ; (tmp26__global__4__instrumented__ = (tmp26__func_bio_opt__tx * tmp26__func_bio_opt__ty))
(assert (= tmp2__global__s2_25 tmp26__global__4__instrumented__)) ; (tmp2__global__s2_25 = tmp26__global__4__instrumented__)
(assert (= tmp26__global__5__instrumented__ (- tmp26__func_bio_opt__tx))) ; (tmp26__global__5__instrumented__ = -(tmp26__func_bio_opt__tx))
(assert (= tmp26__global__6__instrumented__ (* (- tmp26__func_bio_opt__tx) tmp26__func_bio_opt__t))) ; (tmp26__global__6__instrumented__ = (-(tmp26__func_bio_opt__tx) * tmp26__func_bio_opt__t))
(assert (= tmp2__global__s3_25 tmp26__global__6__instrumented__)) ; (tmp2__global__s3_25 = tmp26__global__6__instrumented__)
(assert (= tmp26__global__7__instrumented__ (* tmp26__func_bio_opt__ty tmp26__func_bio_opt__ty))) ; (tmp26__global__7__instrumented__ = (tmp26__func_bio_opt__ty * tmp26__func_bio_opt__ty))
(assert (= tmp2__global__s4_25 tmp26__global__7__instrumented__)) ; (tmp2__global__s4_25 = tmp26__global__7__instrumented__)
(assert (= tmp26__global__8__instrumented__ (- tmp26__func_bio_opt__ty))) ; (tmp26__global__8__instrumented__ = -(tmp26__func_bio_opt__ty))
(assert (= tmp26__global__9__instrumented__ (* (- tmp26__func_bio_opt__ty) tmp26__func_bio_opt__t))) ; (tmp26__global__9__instrumented__ = (-(tmp26__func_bio_opt__ty) * tmp26__func_bio_opt__t))
(assert (= tmp2__global__s5_25 tmp26__global__9__instrumented__)) ; (tmp2__global__s5_25 = tmp26__global__9__instrumented__)
(assert (= tmp27__global__0__instrumented__ (- tmp1__global__predL0_26 tmp1__global__predL1_26))) ; (tmp27__global__0__instrumented__ = (tmp1__global__predL0_26 - tmp1__global__predL1_26))
(assert (= tmp27__func_bio_opt__t tmp27__global__0__instrumented__)) ; (tmp27__func_bio_opt__t = tmp27__global__0__instrumented__)
(assert (= tmp27__global__1__instrumented__ (+ tmp1__global__gradXL0_26 tmp1__global__gradXL1_26))) ; (tmp27__global__1__instrumented__ = (tmp1__global__gradXL0_26 + tmp1__global__gradXL1_26))
(assert (= tmp27__func_bio_opt__tx tmp27__global__1__instrumented__)) ; (tmp27__func_bio_opt__tx = tmp27__global__1__instrumented__)
(assert (= tmp27__global__2__instrumented__ (+ tmp1__global__gradYL0_26 tmp1__global__gradYL1_26))) ; (tmp27__global__2__instrumented__ = (tmp1__global__gradYL0_26 + tmp1__global__gradYL1_26))
(assert (= tmp27__func_bio_opt__ty tmp27__global__2__instrumented__)) ; (tmp27__func_bio_opt__ty = tmp27__global__2__instrumented__)
(assert (= tmp27__global__3__instrumented__ (* tmp27__func_bio_opt__tx tmp27__func_bio_opt__tx))) ; (tmp27__global__3__instrumented__ = (tmp27__func_bio_opt__tx * tmp27__func_bio_opt__tx))
(assert (= tmp2__global__s1_26 tmp27__global__3__instrumented__)) ; (tmp2__global__s1_26 = tmp27__global__3__instrumented__)
(assert (= tmp27__global__4__instrumented__ (* tmp27__func_bio_opt__tx tmp27__func_bio_opt__ty))) ; (tmp27__global__4__instrumented__ = (tmp27__func_bio_opt__tx * tmp27__func_bio_opt__ty))
(assert (= tmp2__global__s2_26 tmp27__global__4__instrumented__)) ; (tmp2__global__s2_26 = tmp27__global__4__instrumented__)
(assert (= tmp27__global__5__instrumented__ (- tmp27__func_bio_opt__tx))) ; (tmp27__global__5__instrumented__ = -(tmp27__func_bio_opt__tx))
(assert (= tmp27__global__6__instrumented__ (* (- tmp27__func_bio_opt__tx) tmp27__func_bio_opt__t))) ; (tmp27__global__6__instrumented__ = (-(tmp27__func_bio_opt__tx) * tmp27__func_bio_opt__t))
(assert (= tmp2__global__s3_26 tmp27__global__6__instrumented__)) ; (tmp2__global__s3_26 = tmp27__global__6__instrumented__)
(assert (= tmp27__global__7__instrumented__ (* tmp27__func_bio_opt__ty tmp27__func_bio_opt__ty))) ; (tmp27__global__7__instrumented__ = (tmp27__func_bio_opt__ty * tmp27__func_bio_opt__ty))
(assert (= tmp2__global__s4_26 tmp27__global__7__instrumented__)) ; (tmp2__global__s4_26 = tmp27__global__7__instrumented__)
(assert (= tmp27__global__8__instrumented__ (- tmp27__func_bio_opt__ty))) ; (tmp27__global__8__instrumented__ = -(tmp27__func_bio_opt__ty))
(assert (= tmp27__global__9__instrumented__ (* (- tmp27__func_bio_opt__ty) tmp27__func_bio_opt__t))) ; (tmp27__global__9__instrumented__ = (-(tmp27__func_bio_opt__ty) * tmp27__func_bio_opt__t))
(assert (= tmp2__global__s5_26 tmp27__global__9__instrumented__)) ; (tmp2__global__s5_26 = tmp27__global__9__instrumented__)
(assert (= tmp28__global__0__instrumented__ (- tmp1__global__predL0_27 tmp1__global__predL1_27))) ; (tmp28__global__0__instrumented__ = (tmp1__global__predL0_27 - tmp1__global__predL1_27))
(assert (= tmp28__func_bio_opt__t tmp28__global__0__instrumented__)) ; (tmp28__func_bio_opt__t = tmp28__global__0__instrumented__)
(assert (= tmp28__global__1__instrumented__ (+ tmp1__global__gradXL0_27 tmp1__global__gradXL1_27))) ; (tmp28__global__1__instrumented__ = (tmp1__global__gradXL0_27 + tmp1__global__gradXL1_27))
(assert (= tmp28__func_bio_opt__tx tmp28__global__1__instrumented__)) ; (tmp28__func_bio_opt__tx = tmp28__global__1__instrumented__)
(assert (= tmp28__global__2__instrumented__ (+ tmp1__global__gradYL0_27 tmp1__global__gradYL1_27))) ; (tmp28__global__2__instrumented__ = (tmp1__global__gradYL0_27 + tmp1__global__gradYL1_27))
(assert (= tmp28__func_bio_opt__ty tmp28__global__2__instrumented__)) ; (tmp28__func_bio_opt__ty = tmp28__global__2__instrumented__)
(assert (= tmp28__global__3__instrumented__ (* tmp28__func_bio_opt__tx tmp28__func_bio_opt__tx))) ; (tmp28__global__3__instrumented__ = (tmp28__func_bio_opt__tx * tmp28__func_bio_opt__tx))
(assert (= tmp2__global__s1_27 tmp28__global__3__instrumented__)) ; (tmp2__global__s1_27 = tmp28__global__3__instrumented__)
(assert (= tmp28__global__4__instrumented__ (* tmp28__func_bio_opt__tx tmp28__func_bio_opt__ty))) ; (tmp28__global__4__instrumented__ = (tmp28__func_bio_opt__tx * tmp28__func_bio_opt__ty))
(assert (= tmp2__global__s2_27 tmp28__global__4__instrumented__)) ; (tmp2__global__s2_27 = tmp28__global__4__instrumented__)
(assert (= tmp28__global__5__instrumented__ (- tmp28__func_bio_opt__tx))) ; (tmp28__global__5__instrumented__ = -(tmp28__func_bio_opt__tx))
(assert (= tmp28__global__6__instrumented__ (* (- tmp28__func_bio_opt__tx) tmp28__func_bio_opt__t))) ; (tmp28__global__6__instrumented__ = (-(tmp28__func_bio_opt__tx) * tmp28__func_bio_opt__t))
(assert (= tmp2__global__s3_27 tmp28__global__6__instrumented__)) ; (tmp2__global__s3_27 = tmp28__global__6__instrumented__)
(assert (= tmp28__global__7__instrumented__ (* tmp28__func_bio_opt__ty tmp28__func_bio_opt__ty))) ; (tmp28__global__7__instrumented__ = (tmp28__func_bio_opt__ty * tmp28__func_bio_opt__ty))
(assert (= tmp2__global__s4_27 tmp28__global__7__instrumented__)) ; (tmp2__global__s4_27 = tmp28__global__7__instrumented__)
(assert (= tmp28__global__8__instrumented__ (- tmp28__func_bio_opt__ty))) ; (tmp28__global__8__instrumented__ = -(tmp28__func_bio_opt__ty))
(assert (= tmp28__global__9__instrumented__ (* (- tmp28__func_bio_opt__ty) tmp28__func_bio_opt__t))) ; (tmp28__global__9__instrumented__ = (-(tmp28__func_bio_opt__ty) * tmp28__func_bio_opt__t))
(assert (= tmp2__global__s5_27 tmp28__global__9__instrumented__)) ; (tmp2__global__s5_27 = tmp28__global__9__instrumented__)
(assert (= tmp29__global__0__instrumented__ (- tmp1__global__predL0_28 tmp1__global__predL1_28))) ; (tmp29__global__0__instrumented__ = (tmp1__global__predL0_28 - tmp1__global__predL1_28))
(assert (= tmp29__func_bio_opt__t tmp29__global__0__instrumented__)) ; (tmp29__func_bio_opt__t = tmp29__global__0__instrumented__)
(assert (= tmp29__global__1__instrumented__ (+ tmp1__global__gradXL0_28 tmp1__global__gradXL1_28))) ; (tmp29__global__1__instrumented__ = (tmp1__global__gradXL0_28 + tmp1__global__gradXL1_28))
(assert (= tmp29__func_bio_opt__tx tmp29__global__1__instrumented__)) ; (tmp29__func_bio_opt__tx = tmp29__global__1__instrumented__)
(assert (= tmp29__global__2__instrumented__ (+ tmp1__global__gradYL0_28 tmp1__global__gradYL1_28))) ; (tmp29__global__2__instrumented__ = (tmp1__global__gradYL0_28 + tmp1__global__gradYL1_28))
(assert (= tmp29__func_bio_opt__ty tmp29__global__2__instrumented__)) ; (tmp29__func_bio_opt__ty = tmp29__global__2__instrumented__)
(assert (= tmp29__global__3__instrumented__ (* tmp29__func_bio_opt__tx tmp29__func_bio_opt__tx))) ; (tmp29__global__3__instrumented__ = (tmp29__func_bio_opt__tx * tmp29__func_bio_opt__tx))
(assert (= tmp2__global__s1_28 tmp29__global__3__instrumented__)) ; (tmp2__global__s1_28 = tmp29__global__3__instrumented__)
(assert (= tmp29__global__4__instrumented__ (* tmp29__func_bio_opt__tx tmp29__func_bio_opt__ty))) ; (tmp29__global__4__instrumented__ = (tmp29__func_bio_opt__tx * tmp29__func_bio_opt__ty))
(assert (= tmp2__global__s2_28 tmp29__global__4__instrumented__)) ; (tmp2__global__s2_28 = tmp29__global__4__instrumented__)
(assert (= tmp29__global__5__instrumented__ (- tmp29__func_bio_opt__tx))) ; (tmp29__global__5__instrumented__ = -(tmp29__func_bio_opt__tx))
(assert (= tmp29__global__6__instrumented__ (* (- tmp29__func_bio_opt__tx) tmp29__func_bio_opt__t))) ; (tmp29__global__6__instrumented__ = (-(tmp29__func_bio_opt__tx) * tmp29__func_bio_opt__t))
(assert (= tmp2__global__s3_28 tmp29__global__6__instrumented__)) ; (tmp2__global__s3_28 = tmp29__global__6__instrumented__)
(assert (= tmp29__global__7__instrumented__ (* tmp29__func_bio_opt__ty tmp29__func_bio_opt__ty))) ; (tmp29__global__7__instrumented__ = (tmp29__func_bio_opt__ty * tmp29__func_bio_opt__ty))
(assert (= tmp2__global__s4_28 tmp29__global__7__instrumented__)) ; (tmp2__global__s4_28 = tmp29__global__7__instrumented__)
(assert (= tmp29__global__8__instrumented__ (- tmp29__func_bio_opt__ty))) ; (tmp29__global__8__instrumented__ = -(tmp29__func_bio_opt__ty))
(assert (= tmp29__global__9__instrumented__ (* (- tmp29__func_bio_opt__ty) tmp29__func_bio_opt__t))) ; (tmp29__global__9__instrumented__ = (-(tmp29__func_bio_opt__ty) * tmp29__func_bio_opt__t))
(assert (= tmp2__global__s5_28 tmp29__global__9__instrumented__)) ; (tmp2__global__s5_28 = tmp29__global__9__instrumented__)
(assert (= tmp30__global__0__instrumented__ (- tmp1__global__predL0_29 tmp1__global__predL1_29))) ; (tmp30__global__0__instrumented__ = (tmp1__global__predL0_29 - tmp1__global__predL1_29))
(assert (= tmp30__func_bio_opt__t tmp30__global__0__instrumented__)) ; (tmp30__func_bio_opt__t = tmp30__global__0__instrumented__)
(assert (= tmp30__global__1__instrumented__ (+ tmp1__global__gradXL0_29 tmp1__global__gradXL1_29))) ; (tmp30__global__1__instrumented__ = (tmp1__global__gradXL0_29 + tmp1__global__gradXL1_29))
(assert (= tmp30__func_bio_opt__tx tmp30__global__1__instrumented__)) ; (tmp30__func_bio_opt__tx = tmp30__global__1__instrumented__)
(assert (= tmp30__global__2__instrumented__ (+ tmp1__global__gradYL0_29 tmp1__global__gradYL1_29))) ; (tmp30__global__2__instrumented__ = (tmp1__global__gradYL0_29 + tmp1__global__gradYL1_29))
(assert (= tmp30__func_bio_opt__ty tmp30__global__2__instrumented__)) ; (tmp30__func_bio_opt__ty = tmp30__global__2__instrumented__)
(assert (= tmp30__global__3__instrumented__ (* tmp30__func_bio_opt__tx tmp30__func_bio_opt__tx))) ; (tmp30__global__3__instrumented__ = (tmp30__func_bio_opt__tx * tmp30__func_bio_opt__tx))
(assert (= tmp2__global__s1_29 tmp30__global__3__instrumented__)) ; (tmp2__global__s1_29 = tmp30__global__3__instrumented__)
(assert (= tmp30__global__4__instrumented__ (* tmp30__func_bio_opt__tx tmp30__func_bio_opt__ty))) ; (tmp30__global__4__instrumented__ = (tmp30__func_bio_opt__tx * tmp30__func_bio_opt__ty))
(assert (= tmp2__global__s2_29 tmp30__global__4__instrumented__)) ; (tmp2__global__s2_29 = tmp30__global__4__instrumented__)
(assert (= tmp30__global__5__instrumented__ (- tmp30__func_bio_opt__tx))) ; (tmp30__global__5__instrumented__ = -(tmp30__func_bio_opt__tx))
(assert (= tmp30__global__6__instrumented__ (* (- tmp30__func_bio_opt__tx) tmp30__func_bio_opt__t))) ; (tmp30__global__6__instrumented__ = (-(tmp30__func_bio_opt__tx) * tmp30__func_bio_opt__t))
(assert (= tmp2__global__s3_29 tmp30__global__6__instrumented__)) ; (tmp2__global__s3_29 = tmp30__global__6__instrumented__)
(assert (= tmp30__global__7__instrumented__ (* tmp30__func_bio_opt__ty tmp30__func_bio_opt__ty))) ; (tmp30__global__7__instrumented__ = (tmp30__func_bio_opt__ty * tmp30__func_bio_opt__ty))
(assert (= tmp2__global__s4_29 tmp30__global__7__instrumented__)) ; (tmp2__global__s4_29 = tmp30__global__7__instrumented__)
(assert (= tmp30__global__8__instrumented__ (- tmp30__func_bio_opt__ty))) ; (tmp30__global__8__instrumented__ = -(tmp30__func_bio_opt__ty))
(assert (= tmp30__global__9__instrumented__ (* (- tmp30__func_bio_opt__ty) tmp30__func_bio_opt__t))) ; (tmp30__global__9__instrumented__ = (-(tmp30__func_bio_opt__ty) * tmp30__func_bio_opt__t))
(assert (= tmp2__global__s5_29 tmp30__global__9__instrumented__)) ; (tmp2__global__s5_29 = tmp30__global__9__instrumented__)
(assert (= tmp31__global__0__instrumented__ (- tmp1__global__predL0_30 tmp1__global__predL1_30))) ; (tmp31__global__0__instrumented__ = (tmp1__global__predL0_30 - tmp1__global__predL1_30))
(assert (= tmp31__func_bio_opt__t tmp31__global__0__instrumented__)) ; (tmp31__func_bio_opt__t = tmp31__global__0__instrumented__)
(assert (= tmp31__global__1__instrumented__ (+ tmp1__global__gradXL0_30 tmp1__global__gradXL1_30))) ; (tmp31__global__1__instrumented__ = (tmp1__global__gradXL0_30 + tmp1__global__gradXL1_30))
(assert (= tmp31__func_bio_opt__tx tmp31__global__1__instrumented__)) ; (tmp31__func_bio_opt__tx = tmp31__global__1__instrumented__)
(assert (= tmp31__global__2__instrumented__ (+ tmp1__global__gradYL0_30 tmp1__global__gradYL1_30))) ; (tmp31__global__2__instrumented__ = (tmp1__global__gradYL0_30 + tmp1__global__gradYL1_30))
(assert (= tmp31__func_bio_opt__ty tmp31__global__2__instrumented__)) ; (tmp31__func_bio_opt__ty = tmp31__global__2__instrumented__)
(assert (= tmp31__global__3__instrumented__ (* tmp31__func_bio_opt__tx tmp31__func_bio_opt__tx))) ; (tmp31__global__3__instrumented__ = (tmp31__func_bio_opt__tx * tmp31__func_bio_opt__tx))
(assert (= tmp2__global__s1_30 tmp31__global__3__instrumented__)) ; (tmp2__global__s1_30 = tmp31__global__3__instrumented__)
(assert (= tmp31__global__4__instrumented__ (* tmp31__func_bio_opt__tx tmp31__func_bio_opt__ty))) ; (tmp31__global__4__instrumented__ = (tmp31__func_bio_opt__tx * tmp31__func_bio_opt__ty))
(assert (= tmp2__global__s2_30 tmp31__global__4__instrumented__)) ; (tmp2__global__s2_30 = tmp31__global__4__instrumented__)
(assert (= tmp31__global__5__instrumented__ (- tmp31__func_bio_opt__tx))) ; (tmp31__global__5__instrumented__ = -(tmp31__func_bio_opt__tx))
(assert (= tmp31__global__6__instrumented__ (* (- tmp31__func_bio_opt__tx) tmp31__func_bio_opt__t))) ; (tmp31__global__6__instrumented__ = (-(tmp31__func_bio_opt__tx) * tmp31__func_bio_opt__t))
(assert (= tmp2__global__s3_30 tmp31__global__6__instrumented__)) ; (tmp2__global__s3_30 = tmp31__global__6__instrumented__)
(assert (= tmp31__global__7__instrumented__ (* tmp31__func_bio_opt__ty tmp31__func_bio_opt__ty))) ; (tmp31__global__7__instrumented__ = (tmp31__func_bio_opt__ty * tmp31__func_bio_opt__ty))
(assert (= tmp2__global__s4_30 tmp31__global__7__instrumented__)) ; (tmp2__global__s4_30 = tmp31__global__7__instrumented__)
(assert (= tmp31__global__8__instrumented__ (- tmp31__func_bio_opt__ty))) ; (tmp31__global__8__instrumented__ = -(tmp31__func_bio_opt__ty))
(assert (= tmp31__global__9__instrumented__ (* (- tmp31__func_bio_opt__ty) tmp31__func_bio_opt__t))) ; (tmp31__global__9__instrumented__ = (-(tmp31__func_bio_opt__ty) * tmp31__func_bio_opt__t))
(assert (= tmp2__global__s5_30 tmp31__global__9__instrumented__)) ; (tmp2__global__s5_30 = tmp31__global__9__instrumented__)
(assert (= tmp32__global__0__instrumented__ (- tmp1__global__predL0_31 tmp1__global__predL1_31))) ; (tmp32__global__0__instrumented__ = (tmp1__global__predL0_31 - tmp1__global__predL1_31))
(assert (= tmp32__func_bio_opt__t tmp32__global__0__instrumented__)) ; (tmp32__func_bio_opt__t = tmp32__global__0__instrumented__)
(assert (= tmp32__global__1__instrumented__ (+ tmp1__global__gradXL0_31 tmp1__global__gradXL1_31))) ; (tmp32__global__1__instrumented__ = (tmp1__global__gradXL0_31 + tmp1__global__gradXL1_31))
(assert (= tmp32__func_bio_opt__tx tmp32__global__1__instrumented__)) ; (tmp32__func_bio_opt__tx = tmp32__global__1__instrumented__)
(assert (= tmp32__global__2__instrumented__ (+ tmp1__global__gradYL0_31 tmp1__global__gradYL1_31))) ; (tmp32__global__2__instrumented__ = (tmp1__global__gradYL0_31 + tmp1__global__gradYL1_31))
(assert (= tmp32__func_bio_opt__ty tmp32__global__2__instrumented__)) ; (tmp32__func_bio_opt__ty = tmp32__global__2__instrumented__)
(assert (= tmp32__global__3__instrumented__ (* tmp32__func_bio_opt__tx tmp32__func_bio_opt__tx))) ; (tmp32__global__3__instrumented__ = (tmp32__func_bio_opt__tx * tmp32__func_bio_opt__tx))
(assert (= tmp2__global__s1_31 tmp32__global__3__instrumented__)) ; (tmp2__global__s1_31 = tmp32__global__3__instrumented__)
(assert (= tmp32__global__4__instrumented__ (* tmp32__func_bio_opt__tx tmp32__func_bio_opt__ty))) ; (tmp32__global__4__instrumented__ = (tmp32__func_bio_opt__tx * tmp32__func_bio_opt__ty))
(assert (= tmp2__global__s2_31 tmp32__global__4__instrumented__)) ; (tmp2__global__s2_31 = tmp32__global__4__instrumented__)
(assert (= tmp32__global__5__instrumented__ (- tmp32__func_bio_opt__tx))) ; (tmp32__global__5__instrumented__ = -(tmp32__func_bio_opt__tx))
(assert (= tmp32__global__6__instrumented__ (* (- tmp32__func_bio_opt__tx) tmp32__func_bio_opt__t))) ; (tmp32__global__6__instrumented__ = (-(tmp32__func_bio_opt__tx) * tmp32__func_bio_opt__t))
(assert (= tmp2__global__s3_31 tmp32__global__6__instrumented__)) ; (tmp2__global__s3_31 = tmp32__global__6__instrumented__)
(assert (= tmp32__global__7__instrumented__ (* tmp32__func_bio_opt__ty tmp32__func_bio_opt__ty))) ; (tmp32__global__7__instrumented__ = (tmp32__func_bio_opt__ty * tmp32__func_bio_opt__ty))
(assert (= tmp2__global__s4_31 tmp32__global__7__instrumented__)) ; (tmp2__global__s4_31 = tmp32__global__7__instrumented__)
(assert (= tmp32__global__8__instrumented__ (- tmp32__func_bio_opt__ty))) ; (tmp32__global__8__instrumented__ = -(tmp32__func_bio_opt__ty))
(assert (= tmp32__global__9__instrumented__ (* (- tmp32__func_bio_opt__ty) tmp32__func_bio_opt__t))) ; (tmp32__global__9__instrumented__ = (-(tmp32__func_bio_opt__ty) * tmp32__func_bio_opt__t))
(assert (= tmp2__global__s5_31 tmp32__global__9__instrumented__)) ; (tmp2__global__s5_31 = tmp32__global__9__instrumented__)
(assert (= tmp33__global__0__instrumented__ (- tmp1__global__predL0_32 tmp1__global__predL1_32))) ; (tmp33__global__0__instrumented__ = (tmp1__global__predL0_32 - tmp1__global__predL1_32))
(assert (= tmp33__func_bio_opt__t tmp33__global__0__instrumented__)) ; (tmp33__func_bio_opt__t = tmp33__global__0__instrumented__)
(assert (= tmp33__global__1__instrumented__ (+ tmp1__global__gradXL0_32 tmp1__global__gradXL1_32))) ; (tmp33__global__1__instrumented__ = (tmp1__global__gradXL0_32 + tmp1__global__gradXL1_32))
(assert (= tmp33__func_bio_opt__tx tmp33__global__1__instrumented__)) ; (tmp33__func_bio_opt__tx = tmp33__global__1__instrumented__)
(assert (= tmp33__global__2__instrumented__ (+ tmp1__global__gradYL0_32 tmp1__global__gradYL1_32))) ; (tmp33__global__2__instrumented__ = (tmp1__global__gradYL0_32 + tmp1__global__gradYL1_32))
(assert (= tmp33__func_bio_opt__ty tmp33__global__2__instrumented__)) ; (tmp33__func_bio_opt__ty = tmp33__global__2__instrumented__)
(assert (= tmp33__global__3__instrumented__ (* tmp33__func_bio_opt__tx tmp33__func_bio_opt__tx))) ; (tmp33__global__3__instrumented__ = (tmp33__func_bio_opt__tx * tmp33__func_bio_opt__tx))
(assert (= tmp2__global__s1_32 tmp33__global__3__instrumented__)) ; (tmp2__global__s1_32 = tmp33__global__3__instrumented__)
(assert (= tmp33__global__4__instrumented__ (* tmp33__func_bio_opt__tx tmp33__func_bio_opt__ty))) ; (tmp33__global__4__instrumented__ = (tmp33__func_bio_opt__tx * tmp33__func_bio_opt__ty))
(assert (= tmp2__global__s2_32 tmp33__global__4__instrumented__)) ; (tmp2__global__s2_32 = tmp33__global__4__instrumented__)
(assert (= tmp33__global__5__instrumented__ (- tmp33__func_bio_opt__tx))) ; (tmp33__global__5__instrumented__ = -(tmp33__func_bio_opt__tx))
(assert (= tmp33__global__6__instrumented__ (* (- tmp33__func_bio_opt__tx) tmp33__func_bio_opt__t))) ; (tmp33__global__6__instrumented__ = (-(tmp33__func_bio_opt__tx) * tmp33__func_bio_opt__t))
(assert (= tmp2__global__s3_32 tmp33__global__6__instrumented__)) ; (tmp2__global__s3_32 = tmp33__global__6__instrumented__)
(assert (= tmp33__global__7__instrumented__ (* tmp33__func_bio_opt__ty tmp33__func_bio_opt__ty))) ; (tmp33__global__7__instrumented__ = (tmp33__func_bio_opt__ty * tmp33__func_bio_opt__ty))
(assert (= tmp2__global__s4_32 tmp33__global__7__instrumented__)) ; (tmp2__global__s4_32 = tmp33__global__7__instrumented__)
(assert (= tmp33__global__8__instrumented__ (- tmp33__func_bio_opt__ty))) ; (tmp33__global__8__instrumented__ = -(tmp33__func_bio_opt__ty))
(assert (= tmp33__global__9__instrumented__ (* (- tmp33__func_bio_opt__ty) tmp33__func_bio_opt__t))) ; (tmp33__global__9__instrumented__ = (-(tmp33__func_bio_opt__ty) * tmp33__func_bio_opt__t))
(assert (= tmp2__global__s5_32 tmp33__global__9__instrumented__)) ; (tmp2__global__s5_32 = tmp33__global__9__instrumented__)
(assert (= tmp34__global__0__instrumented__ (- tmp1__global__predL0_33 tmp1__global__predL1_33))) ; (tmp34__global__0__instrumented__ = (tmp1__global__predL0_33 - tmp1__global__predL1_33))
(assert (= tmp34__func_bio_opt__t tmp34__global__0__instrumented__)) ; (tmp34__func_bio_opt__t = tmp34__global__0__instrumented__)
(assert (= tmp34__global__1__instrumented__ (+ tmp1__global__gradXL0_33 tmp1__global__gradXL1_33))) ; (tmp34__global__1__instrumented__ = (tmp1__global__gradXL0_33 + tmp1__global__gradXL1_33))
(assert (= tmp34__func_bio_opt__tx tmp34__global__1__instrumented__)) ; (tmp34__func_bio_opt__tx = tmp34__global__1__instrumented__)
(assert (= tmp34__global__2__instrumented__ (+ tmp1__global__gradYL0_33 tmp1__global__gradYL1_33))) ; (tmp34__global__2__instrumented__ = (tmp1__global__gradYL0_33 + tmp1__global__gradYL1_33))
(assert (= tmp34__func_bio_opt__ty tmp34__global__2__instrumented__)) ; (tmp34__func_bio_opt__ty = tmp34__global__2__instrumented__)
(assert (= tmp34__global__3__instrumented__ (* tmp34__func_bio_opt__tx tmp34__func_bio_opt__tx))) ; (tmp34__global__3__instrumented__ = (tmp34__func_bio_opt__tx * tmp34__func_bio_opt__tx))
(assert (= tmp2__global__s1_33 tmp34__global__3__instrumented__)) ; (tmp2__global__s1_33 = tmp34__global__3__instrumented__)
(assert (= tmp34__global__4__instrumented__ (* tmp34__func_bio_opt__tx tmp34__func_bio_opt__ty))) ; (tmp34__global__4__instrumented__ = (tmp34__func_bio_opt__tx * tmp34__func_bio_opt__ty))
(assert (= tmp2__global__s2_33 tmp34__global__4__instrumented__)) ; (tmp2__global__s2_33 = tmp34__global__4__instrumented__)
(assert (= tmp34__global__5__instrumented__ (- tmp34__func_bio_opt__tx))) ; (tmp34__global__5__instrumented__ = -(tmp34__func_bio_opt__tx))
(assert (= tmp34__global__6__instrumented__ (* (- tmp34__func_bio_opt__tx) tmp34__func_bio_opt__t))) ; (tmp34__global__6__instrumented__ = (-(tmp34__func_bio_opt__tx) * tmp34__func_bio_opt__t))
(assert (= tmp2__global__s3_33 tmp34__global__6__instrumented__)) ; (tmp2__global__s3_33 = tmp34__global__6__instrumented__)
(assert (= tmp34__global__7__instrumented__ (* tmp34__func_bio_opt__ty tmp34__func_bio_opt__ty))) ; (tmp34__global__7__instrumented__ = (tmp34__func_bio_opt__ty * tmp34__func_bio_opt__ty))
(assert (= tmp2__global__s4_33 tmp34__global__7__instrumented__)) ; (tmp2__global__s4_33 = tmp34__global__7__instrumented__)
(assert (= tmp34__global__8__instrumented__ (- tmp34__func_bio_opt__ty))) ; (tmp34__global__8__instrumented__ = -(tmp34__func_bio_opt__ty))
(assert (= tmp34__global__9__instrumented__ (* (- tmp34__func_bio_opt__ty) tmp34__func_bio_opt__t))) ; (tmp34__global__9__instrumented__ = (-(tmp34__func_bio_opt__ty) * tmp34__func_bio_opt__t))
(assert (= tmp2__global__s5_33 tmp34__global__9__instrumented__)) ; (tmp2__global__s5_33 = tmp34__global__9__instrumented__)
(assert (= tmp35__global__0__instrumented__ (- tmp1__global__predL0_34 tmp1__global__predL1_34))) ; (tmp35__global__0__instrumented__ = (tmp1__global__predL0_34 - tmp1__global__predL1_34))
(assert (= tmp35__func_bio_opt__t tmp35__global__0__instrumented__)) ; (tmp35__func_bio_opt__t = tmp35__global__0__instrumented__)
(assert (= tmp35__global__1__instrumented__ (+ tmp1__global__gradXL0_34 tmp1__global__gradXL1_34))) ; (tmp35__global__1__instrumented__ = (tmp1__global__gradXL0_34 + tmp1__global__gradXL1_34))
(assert (= tmp35__func_bio_opt__tx tmp35__global__1__instrumented__)) ; (tmp35__func_bio_opt__tx = tmp35__global__1__instrumented__)
(assert (= tmp35__global__2__instrumented__ (+ tmp1__global__gradYL0_34 tmp1__global__gradYL1_34))) ; (tmp35__global__2__instrumented__ = (tmp1__global__gradYL0_34 + tmp1__global__gradYL1_34))
(assert (= tmp35__func_bio_opt__ty tmp35__global__2__instrumented__)) ; (tmp35__func_bio_opt__ty = tmp35__global__2__instrumented__)
(assert (= tmp35__global__3__instrumented__ (* tmp35__func_bio_opt__tx tmp35__func_bio_opt__tx))) ; (tmp35__global__3__instrumented__ = (tmp35__func_bio_opt__tx * tmp35__func_bio_opt__tx))
(assert (= tmp2__global__s1_34 tmp35__global__3__instrumented__)) ; (tmp2__global__s1_34 = tmp35__global__3__instrumented__)
(assert (= tmp35__global__4__instrumented__ (* tmp35__func_bio_opt__tx tmp35__func_bio_opt__ty))) ; (tmp35__global__4__instrumented__ = (tmp35__func_bio_opt__tx * tmp35__func_bio_opt__ty))
(assert (= tmp2__global__s2_34 tmp35__global__4__instrumented__)) ; (tmp2__global__s2_34 = tmp35__global__4__instrumented__)
(assert (= tmp35__global__5__instrumented__ (- tmp35__func_bio_opt__tx))) ; (tmp35__global__5__instrumented__ = -(tmp35__func_bio_opt__tx))
(assert (= tmp35__global__6__instrumented__ (* (- tmp35__func_bio_opt__tx) tmp35__func_bio_opt__t))) ; (tmp35__global__6__instrumented__ = (-(tmp35__func_bio_opt__tx) * tmp35__func_bio_opt__t))
(assert (= tmp2__global__s3_34 tmp35__global__6__instrumented__)) ; (tmp2__global__s3_34 = tmp35__global__6__instrumented__)
(assert (= tmp35__global__7__instrumented__ (* tmp35__func_bio_opt__ty tmp35__func_bio_opt__ty))) ; (tmp35__global__7__instrumented__ = (tmp35__func_bio_opt__ty * tmp35__func_bio_opt__ty))
(assert (= tmp2__global__s4_34 tmp35__global__7__instrumented__)) ; (tmp2__global__s4_34 = tmp35__global__7__instrumented__)
(assert (= tmp35__global__8__instrumented__ (- tmp35__func_bio_opt__ty))) ; (tmp35__global__8__instrumented__ = -(tmp35__func_bio_opt__ty))
(assert (= tmp35__global__9__instrumented__ (* (- tmp35__func_bio_opt__ty) tmp35__func_bio_opt__t))) ; (tmp35__global__9__instrumented__ = (-(tmp35__func_bio_opt__ty) * tmp35__func_bio_opt__t))
(assert (= tmp2__global__s5_34 tmp35__global__9__instrumented__)) ; (tmp2__global__s5_34 = tmp35__global__9__instrumented__)
(assert (= tmp36__global__0__instrumented__ (- tmp1__global__predL0_35 tmp1__global__predL1_35))) ; (tmp36__global__0__instrumented__ = (tmp1__global__predL0_35 - tmp1__global__predL1_35))
(assert (= tmp36__func_bio_opt__t tmp36__global__0__instrumented__)) ; (tmp36__func_bio_opt__t = tmp36__global__0__instrumented__)
(assert (= tmp36__global__1__instrumented__ (+ tmp1__global__gradXL0_35 tmp1__global__gradXL1_35))) ; (tmp36__global__1__instrumented__ = (tmp1__global__gradXL0_35 + tmp1__global__gradXL1_35))
(assert (= tmp36__func_bio_opt__tx tmp36__global__1__instrumented__)) ; (tmp36__func_bio_opt__tx = tmp36__global__1__instrumented__)
(assert (= tmp36__global__2__instrumented__ (+ tmp1__global__gradYL0_35 tmp1__global__gradYL1_35))) ; (tmp36__global__2__instrumented__ = (tmp1__global__gradYL0_35 + tmp1__global__gradYL1_35))
(assert (= tmp36__func_bio_opt__ty tmp36__global__2__instrumented__)) ; (tmp36__func_bio_opt__ty = tmp36__global__2__instrumented__)
(assert (= tmp36__global__3__instrumented__ (* tmp36__func_bio_opt__tx tmp36__func_bio_opt__tx))) ; (tmp36__global__3__instrumented__ = (tmp36__func_bio_opt__tx * tmp36__func_bio_opt__tx))
(assert (= tmp2__global__s1_35 tmp36__global__3__instrumented__)) ; (tmp2__global__s1_35 = tmp36__global__3__instrumented__)
(assert (= tmp36__global__4__instrumented__ (* tmp36__func_bio_opt__tx tmp36__func_bio_opt__ty))) ; (tmp36__global__4__instrumented__ = (tmp36__func_bio_opt__tx * tmp36__func_bio_opt__ty))
(assert (= tmp2__global__s2_35 tmp36__global__4__instrumented__)) ; (tmp2__global__s2_35 = tmp36__global__4__instrumented__)
(assert (= tmp36__global__5__instrumented__ (- tmp36__func_bio_opt__tx))) ; (tmp36__global__5__instrumented__ = -(tmp36__func_bio_opt__tx))
(assert (= tmp36__global__6__instrumented__ (* (- tmp36__func_bio_opt__tx) tmp36__func_bio_opt__t))) ; (tmp36__global__6__instrumented__ = (-(tmp36__func_bio_opt__tx) * tmp36__func_bio_opt__t))
(assert (= tmp2__global__s3_35 tmp36__global__6__instrumented__)) ; (tmp2__global__s3_35 = tmp36__global__6__instrumented__)
(assert (= tmp36__global__7__instrumented__ (* tmp36__func_bio_opt__ty tmp36__func_bio_opt__ty))) ; (tmp36__global__7__instrumented__ = (tmp36__func_bio_opt__ty * tmp36__func_bio_opt__ty))
(assert (= tmp2__global__s4_35 tmp36__global__7__instrumented__)) ; (tmp2__global__s4_35 = tmp36__global__7__instrumented__)
(assert (= tmp36__global__8__instrumented__ (- tmp36__func_bio_opt__ty))) ; (tmp36__global__8__instrumented__ = -(tmp36__func_bio_opt__ty))
(assert (= tmp36__global__9__instrumented__ (* (- tmp36__func_bio_opt__ty) tmp36__func_bio_opt__t))) ; (tmp36__global__9__instrumented__ = (-(tmp36__func_bio_opt__ty) * tmp36__func_bio_opt__t))
(assert (= tmp2__global__s5_35 tmp36__global__9__instrumented__)) ; (tmp2__global__s5_35 = tmp36__global__9__instrumented__)
(assert (= tmp37__global__0__instrumented__ (- tmp1__global__predL0_36 tmp1__global__predL1_36))) ; (tmp37__global__0__instrumented__ = (tmp1__global__predL0_36 - tmp1__global__predL1_36))
(assert (= tmp37__func_bio_opt__t tmp37__global__0__instrumented__)) ; (tmp37__func_bio_opt__t = tmp37__global__0__instrumented__)
(assert (= tmp37__global__1__instrumented__ (+ tmp1__global__gradXL0_36 tmp1__global__gradXL1_36))) ; (tmp37__global__1__instrumented__ = (tmp1__global__gradXL0_36 + tmp1__global__gradXL1_36))
(assert (= tmp37__func_bio_opt__tx tmp37__global__1__instrumented__)) ; (tmp37__func_bio_opt__tx = tmp37__global__1__instrumented__)
(assert (= tmp37__global__2__instrumented__ (+ tmp1__global__gradYL0_36 tmp1__global__gradYL1_36))) ; (tmp37__global__2__instrumented__ = (tmp1__global__gradYL0_36 + tmp1__global__gradYL1_36))
(assert (= tmp37__func_bio_opt__ty tmp37__global__2__instrumented__)) ; (tmp37__func_bio_opt__ty = tmp37__global__2__instrumented__)
(assert (= tmp37__global__3__instrumented__ (* tmp37__func_bio_opt__tx tmp37__func_bio_opt__tx))) ; (tmp37__global__3__instrumented__ = (tmp37__func_bio_opt__tx * tmp37__func_bio_opt__tx))
(assert (= tmp2__global__s1_36 tmp37__global__3__instrumented__)) ; (tmp2__global__s1_36 = tmp37__global__3__instrumented__)
(assert (= tmp37__global__4__instrumented__ (* tmp37__func_bio_opt__tx tmp37__func_bio_opt__ty))) ; (tmp37__global__4__instrumented__ = (tmp37__func_bio_opt__tx * tmp37__func_bio_opt__ty))
(assert (= tmp2__global__s2_36 tmp37__global__4__instrumented__)) ; (tmp2__global__s2_36 = tmp37__global__4__instrumented__)
(assert (= tmp37__global__5__instrumented__ (- tmp37__func_bio_opt__tx))) ; (tmp37__global__5__instrumented__ = -(tmp37__func_bio_opt__tx))
(assert (= tmp37__global__6__instrumented__ (* (- tmp37__func_bio_opt__tx) tmp37__func_bio_opt__t))) ; (tmp37__global__6__instrumented__ = (-(tmp37__func_bio_opt__tx) * tmp37__func_bio_opt__t))
(assert (= tmp2__global__s3_36 tmp37__global__6__instrumented__)) ; (tmp2__global__s3_36 = tmp37__global__6__instrumented__)
(assert (= tmp37__global__7__instrumented__ (* tmp37__func_bio_opt__ty tmp37__func_bio_opt__ty))) ; (tmp37__global__7__instrumented__ = (tmp37__func_bio_opt__ty * tmp37__func_bio_opt__ty))
(assert (= tmp2__global__s4_36 tmp37__global__7__instrumented__)) ; (tmp2__global__s4_36 = tmp37__global__7__instrumented__)
(assert (= tmp37__global__8__instrumented__ (- tmp37__func_bio_opt__ty))) ; (tmp37__global__8__instrumented__ = -(tmp37__func_bio_opt__ty))
(assert (= tmp37__global__9__instrumented__ (* (- tmp37__func_bio_opt__ty) tmp37__func_bio_opt__t))) ; (tmp37__global__9__instrumented__ = (-(tmp37__func_bio_opt__ty) * tmp37__func_bio_opt__t))
(assert (= tmp2__global__s5_36 tmp37__global__9__instrumented__)) ; (tmp2__global__s5_36 = tmp37__global__9__instrumented__)
(assert (= tmp38__global__0__instrumented__ (- tmp1__global__predL0_37 tmp1__global__predL1_37))) ; (tmp38__global__0__instrumented__ = (tmp1__global__predL0_37 - tmp1__global__predL1_37))
(assert (= tmp38__func_bio_opt__t tmp38__global__0__instrumented__)) ; (tmp38__func_bio_opt__t = tmp38__global__0__instrumented__)
(assert (= tmp38__global__1__instrumented__ (+ tmp1__global__gradXL0_37 tmp1__global__gradXL1_37))) ; (tmp38__global__1__instrumented__ = (tmp1__global__gradXL0_37 + tmp1__global__gradXL1_37))
(assert (= tmp38__func_bio_opt__tx tmp38__global__1__instrumented__)) ; (tmp38__func_bio_opt__tx = tmp38__global__1__instrumented__)
(assert (= tmp38__global__2__instrumented__ (+ tmp1__global__gradYL0_37 tmp1__global__gradYL1_37))) ; (tmp38__global__2__instrumented__ = (tmp1__global__gradYL0_37 + tmp1__global__gradYL1_37))
(assert (= tmp38__func_bio_opt__ty tmp38__global__2__instrumented__)) ; (tmp38__func_bio_opt__ty = tmp38__global__2__instrumented__)
(assert (= tmp38__global__3__instrumented__ (* tmp38__func_bio_opt__tx tmp38__func_bio_opt__tx))) ; (tmp38__global__3__instrumented__ = (tmp38__func_bio_opt__tx * tmp38__func_bio_opt__tx))
(assert (= tmp2__global__s1_37 tmp38__global__3__instrumented__)) ; (tmp2__global__s1_37 = tmp38__global__3__instrumented__)
(assert (= tmp38__global__4__instrumented__ (* tmp38__func_bio_opt__tx tmp38__func_bio_opt__ty))) ; (tmp38__global__4__instrumented__ = (tmp38__func_bio_opt__tx * tmp38__func_bio_opt__ty))
(assert (= tmp2__global__s2_37 tmp38__global__4__instrumented__)) ; (tmp2__global__s2_37 = tmp38__global__4__instrumented__)
(assert (= tmp38__global__5__instrumented__ (- tmp38__func_bio_opt__tx))) ; (tmp38__global__5__instrumented__ = -(tmp38__func_bio_opt__tx))
(assert (= tmp38__global__6__instrumented__ (* (- tmp38__func_bio_opt__tx) tmp38__func_bio_opt__t))) ; (tmp38__global__6__instrumented__ = (-(tmp38__func_bio_opt__tx) * tmp38__func_bio_opt__t))
(assert (= tmp2__global__s3_37 tmp38__global__6__instrumented__)) ; (tmp2__global__s3_37 = tmp38__global__6__instrumented__)
(assert (= tmp38__global__7__instrumented__ (* tmp38__func_bio_opt__ty tmp38__func_bio_opt__ty))) ; (tmp38__global__7__instrumented__ = (tmp38__func_bio_opt__ty * tmp38__func_bio_opt__ty))
(assert (= tmp2__global__s4_37 tmp38__global__7__instrumented__)) ; (tmp2__global__s4_37 = tmp38__global__7__instrumented__)
(assert (= tmp38__global__8__instrumented__ (- tmp38__func_bio_opt__ty))) ; (tmp38__global__8__instrumented__ = -(tmp38__func_bio_opt__ty))
(assert (= tmp38__global__9__instrumented__ (* (- tmp38__func_bio_opt__ty) tmp38__func_bio_opt__t))) ; (tmp38__global__9__instrumented__ = (-(tmp38__func_bio_opt__ty) * tmp38__func_bio_opt__t))
(assert (= tmp2__global__s5_37 tmp38__global__9__instrumented__)) ; (tmp2__global__s5_37 = tmp38__global__9__instrumented__)
(assert (= tmp39__global__0__instrumented__ (- tmp1__global__predL0_38 tmp1__global__predL1_38))) ; (tmp39__global__0__instrumented__ = (tmp1__global__predL0_38 - tmp1__global__predL1_38))
(assert (= tmp39__func_bio_opt__t tmp39__global__0__instrumented__)) ; (tmp39__func_bio_opt__t = tmp39__global__0__instrumented__)
(assert (= tmp39__global__1__instrumented__ (+ tmp1__global__gradXL0_38 tmp1__global__gradXL1_38))) ; (tmp39__global__1__instrumented__ = (tmp1__global__gradXL0_38 + tmp1__global__gradXL1_38))
(assert (= tmp39__func_bio_opt__tx tmp39__global__1__instrumented__)) ; (tmp39__func_bio_opt__tx = tmp39__global__1__instrumented__)
(assert (= tmp39__global__2__instrumented__ (+ tmp1__global__gradYL0_38 tmp1__global__gradYL1_38))) ; (tmp39__global__2__instrumented__ = (tmp1__global__gradYL0_38 + tmp1__global__gradYL1_38))
(assert (= tmp39__func_bio_opt__ty tmp39__global__2__instrumented__)) ; (tmp39__func_bio_opt__ty = tmp39__global__2__instrumented__)
(assert (= tmp39__global__3__instrumented__ (* tmp39__func_bio_opt__tx tmp39__func_bio_opt__tx))) ; (tmp39__global__3__instrumented__ = (tmp39__func_bio_opt__tx * tmp39__func_bio_opt__tx))
(assert (= tmp2__global__s1_38 tmp39__global__3__instrumented__)) ; (tmp2__global__s1_38 = tmp39__global__3__instrumented__)
(assert (= tmp39__global__4__instrumented__ (* tmp39__func_bio_opt__tx tmp39__func_bio_opt__ty))) ; (tmp39__global__4__instrumented__ = (tmp39__func_bio_opt__tx * tmp39__func_bio_opt__ty))
(assert (= tmp2__global__s2_38 tmp39__global__4__instrumented__)) ; (tmp2__global__s2_38 = tmp39__global__4__instrumented__)
(assert (= tmp39__global__5__instrumented__ (- tmp39__func_bio_opt__tx))) ; (tmp39__global__5__instrumented__ = -(tmp39__func_bio_opt__tx))
(assert (= tmp39__global__6__instrumented__ (* (- tmp39__func_bio_opt__tx) tmp39__func_bio_opt__t))) ; (tmp39__global__6__instrumented__ = (-(tmp39__func_bio_opt__tx) * tmp39__func_bio_opt__t))
(assert (= tmp2__global__s3_38 tmp39__global__6__instrumented__)) ; (tmp2__global__s3_38 = tmp39__global__6__instrumented__)
(assert (= tmp39__global__7__instrumented__ (* tmp39__func_bio_opt__ty tmp39__func_bio_opt__ty))) ; (tmp39__global__7__instrumented__ = (tmp39__func_bio_opt__ty * tmp39__func_bio_opt__ty))
(assert (= tmp2__global__s4_38 tmp39__global__7__instrumented__)) ; (tmp2__global__s4_38 = tmp39__global__7__instrumented__)
(assert (= tmp39__global__8__instrumented__ (- tmp39__func_bio_opt__ty))) ; (tmp39__global__8__instrumented__ = -(tmp39__func_bio_opt__ty))
(assert (= tmp39__global__9__instrumented__ (* (- tmp39__func_bio_opt__ty) tmp39__func_bio_opt__t))) ; (tmp39__global__9__instrumented__ = (-(tmp39__func_bio_opt__ty) * tmp39__func_bio_opt__t))
(assert (= tmp2__global__s5_38 tmp39__global__9__instrumented__)) ; (tmp2__global__s5_38 = tmp39__global__9__instrumented__)
(assert (= tmp40__global__0__instrumented__ (- tmp1__global__predL0_39 tmp1__global__predL1_39))) ; (tmp40__global__0__instrumented__ = (tmp1__global__predL0_39 - tmp1__global__predL1_39))
(assert (= tmp40__func_bio_opt__t tmp40__global__0__instrumented__)) ; (tmp40__func_bio_opt__t = tmp40__global__0__instrumented__)
(assert (= tmp40__global__1__instrumented__ (+ tmp1__global__gradXL0_39 tmp1__global__gradXL1_39))) ; (tmp40__global__1__instrumented__ = (tmp1__global__gradXL0_39 + tmp1__global__gradXL1_39))
(assert (= tmp40__func_bio_opt__tx tmp40__global__1__instrumented__)) ; (tmp40__func_bio_opt__tx = tmp40__global__1__instrumented__)
(assert (= tmp40__global__2__instrumented__ (+ tmp1__global__gradYL0_39 tmp1__global__gradYL1_39))) ; (tmp40__global__2__instrumented__ = (tmp1__global__gradYL0_39 + tmp1__global__gradYL1_39))
(assert (= tmp40__func_bio_opt__ty tmp40__global__2__instrumented__)) ; (tmp40__func_bio_opt__ty = tmp40__global__2__instrumented__)
(assert (= tmp40__global__3__instrumented__ (* tmp40__func_bio_opt__tx tmp40__func_bio_opt__tx))) ; (tmp40__global__3__instrumented__ = (tmp40__func_bio_opt__tx * tmp40__func_bio_opt__tx))
(assert (= tmp2__global__s1_39 tmp40__global__3__instrumented__)) ; (tmp2__global__s1_39 = tmp40__global__3__instrumented__)
(assert (= tmp40__global__4__instrumented__ (* tmp40__func_bio_opt__tx tmp40__func_bio_opt__ty))) ; (tmp40__global__4__instrumented__ = (tmp40__func_bio_opt__tx * tmp40__func_bio_opt__ty))
(assert (= tmp2__global__s2_39 tmp40__global__4__instrumented__)) ; (tmp2__global__s2_39 = tmp40__global__4__instrumented__)
(assert (= tmp40__global__5__instrumented__ (- tmp40__func_bio_opt__tx))) ; (tmp40__global__5__instrumented__ = -(tmp40__func_bio_opt__tx))
(assert (= tmp40__global__6__instrumented__ (* (- tmp40__func_bio_opt__tx) tmp40__func_bio_opt__t))) ; (tmp40__global__6__instrumented__ = (-(tmp40__func_bio_opt__tx) * tmp40__func_bio_opt__t))
(assert (= tmp2__global__s3_39 tmp40__global__6__instrumented__)) ; (tmp2__global__s3_39 = tmp40__global__6__instrumented__)
(assert (= tmp40__global__7__instrumented__ (* tmp40__func_bio_opt__ty tmp40__func_bio_opt__ty))) ; (tmp40__global__7__instrumented__ = (tmp40__func_bio_opt__ty * tmp40__func_bio_opt__ty))
(assert (= tmp2__global__s4_39 tmp40__global__7__instrumented__)) ; (tmp2__global__s4_39 = tmp40__global__7__instrumented__)
(assert (= tmp40__global__8__instrumented__ (- tmp40__func_bio_opt__ty))) ; (tmp40__global__8__instrumented__ = -(tmp40__func_bio_opt__ty))
(assert (= tmp40__global__9__instrumented__ (* (- tmp40__func_bio_opt__ty) tmp40__func_bio_opt__t))) ; (tmp40__global__9__instrumented__ = (-(tmp40__func_bio_opt__ty) * tmp40__func_bio_opt__t))
(assert (= tmp2__global__s5_39 tmp40__global__9__instrumented__)) ; (tmp2__global__s5_39 = tmp40__global__9__instrumented__)
(assert (= tmp41__global__0__instrumented__ (- tmp1__global__predL0_40 tmp1__global__predL1_40))) ; (tmp41__global__0__instrumented__ = (tmp1__global__predL0_40 - tmp1__global__predL1_40))
(assert (= tmp41__func_bio_opt__t tmp41__global__0__instrumented__)) ; (tmp41__func_bio_opt__t = tmp41__global__0__instrumented__)
(assert (= tmp41__global__1__instrumented__ (+ tmp1__global__gradXL0_40 tmp1__global__gradXL1_40))) ; (tmp41__global__1__instrumented__ = (tmp1__global__gradXL0_40 + tmp1__global__gradXL1_40))
(assert (= tmp41__func_bio_opt__tx tmp41__global__1__instrumented__)) ; (tmp41__func_bio_opt__tx = tmp41__global__1__instrumented__)
(assert (= tmp41__global__2__instrumented__ (+ tmp1__global__gradYL0_40 tmp1__global__gradYL1_40))) ; (tmp41__global__2__instrumented__ = (tmp1__global__gradYL0_40 + tmp1__global__gradYL1_40))
(assert (= tmp41__func_bio_opt__ty tmp41__global__2__instrumented__)) ; (tmp41__func_bio_opt__ty = tmp41__global__2__instrumented__)
(assert (= tmp41__global__3__instrumented__ (* tmp41__func_bio_opt__tx tmp41__func_bio_opt__tx))) ; (tmp41__global__3__instrumented__ = (tmp41__func_bio_opt__tx * tmp41__func_bio_opt__tx))
(assert (= tmp2__global__s1_40 tmp41__global__3__instrumented__)) ; (tmp2__global__s1_40 = tmp41__global__3__instrumented__)
(assert (= tmp41__global__4__instrumented__ (* tmp41__func_bio_opt__tx tmp41__func_bio_opt__ty))) ; (tmp41__global__4__instrumented__ = (tmp41__func_bio_opt__tx * tmp41__func_bio_opt__ty))
(assert (= tmp2__global__s2_40 tmp41__global__4__instrumented__)) ; (tmp2__global__s2_40 = tmp41__global__4__instrumented__)
(assert (= tmp41__global__5__instrumented__ (- tmp41__func_bio_opt__tx))) ; (tmp41__global__5__instrumented__ = -(tmp41__func_bio_opt__tx))
(assert (= tmp41__global__6__instrumented__ (* (- tmp41__func_bio_opt__tx) tmp41__func_bio_opt__t))) ; (tmp41__global__6__instrumented__ = (-(tmp41__func_bio_opt__tx) * tmp41__func_bio_opt__t))
(assert (= tmp2__global__s3_40 tmp41__global__6__instrumented__)) ; (tmp2__global__s3_40 = tmp41__global__6__instrumented__)
(assert (= tmp41__global__7__instrumented__ (* tmp41__func_bio_opt__ty tmp41__func_bio_opt__ty))) ; (tmp41__global__7__instrumented__ = (tmp41__func_bio_opt__ty * tmp41__func_bio_opt__ty))
(assert (= tmp2__global__s4_40 tmp41__global__7__instrumented__)) ; (tmp2__global__s4_40 = tmp41__global__7__instrumented__)
(assert (= tmp41__global__8__instrumented__ (- tmp41__func_bio_opt__ty))) ; (tmp41__global__8__instrumented__ = -(tmp41__func_bio_opt__ty))
(assert (= tmp41__global__9__instrumented__ (* (- tmp41__func_bio_opt__ty) tmp41__func_bio_opt__t))) ; (tmp41__global__9__instrumented__ = (-(tmp41__func_bio_opt__ty) * tmp41__func_bio_opt__t))
(assert (= tmp2__global__s5_40 tmp41__global__9__instrumented__)) ; (tmp2__global__s5_40 = tmp41__global__9__instrumented__)
(assert (= tmp42__global__0__instrumented__ (- tmp1__global__predL0_41 tmp1__global__predL1_41))) ; (tmp42__global__0__instrumented__ = (tmp1__global__predL0_41 - tmp1__global__predL1_41))
(assert (= tmp42__func_bio_opt__t tmp42__global__0__instrumented__)) ; (tmp42__func_bio_opt__t = tmp42__global__0__instrumented__)
(assert (= tmp42__global__1__instrumented__ (+ tmp1__global__gradXL0_41 tmp1__global__gradXL1_41))) ; (tmp42__global__1__instrumented__ = (tmp1__global__gradXL0_41 + tmp1__global__gradXL1_41))
(assert (= tmp42__func_bio_opt__tx tmp42__global__1__instrumented__)) ; (tmp42__func_bio_opt__tx = tmp42__global__1__instrumented__)
(assert (= tmp42__global__2__instrumented__ (+ tmp1__global__gradYL0_41 tmp1__global__gradYL1_41))) ; (tmp42__global__2__instrumented__ = (tmp1__global__gradYL0_41 + tmp1__global__gradYL1_41))
(assert (= tmp42__func_bio_opt__ty tmp42__global__2__instrumented__)) ; (tmp42__func_bio_opt__ty = tmp42__global__2__instrumented__)
(assert (= tmp42__global__3__instrumented__ (* tmp42__func_bio_opt__tx tmp42__func_bio_opt__tx))) ; (tmp42__global__3__instrumented__ = (tmp42__func_bio_opt__tx * tmp42__func_bio_opt__tx))
(assert (= tmp2__global__s1_41 tmp42__global__3__instrumented__)) ; (tmp2__global__s1_41 = tmp42__global__3__instrumented__)
(assert (= tmp42__global__4__instrumented__ (* tmp42__func_bio_opt__tx tmp42__func_bio_opt__ty))) ; (tmp42__global__4__instrumented__ = (tmp42__func_bio_opt__tx * tmp42__func_bio_opt__ty))
(assert (= tmp2__global__s2_41 tmp42__global__4__instrumented__)) ; (tmp2__global__s2_41 = tmp42__global__4__instrumented__)
(assert (= tmp42__global__5__instrumented__ (- tmp42__func_bio_opt__tx))) ; (tmp42__global__5__instrumented__ = -(tmp42__func_bio_opt__tx))
(assert (= tmp42__global__6__instrumented__ (* (- tmp42__func_bio_opt__tx) tmp42__func_bio_opt__t))) ; (tmp42__global__6__instrumented__ = (-(tmp42__func_bio_opt__tx) * tmp42__func_bio_opt__t))
(assert (= tmp2__global__s3_41 tmp42__global__6__instrumented__)) ; (tmp2__global__s3_41 = tmp42__global__6__instrumented__)
(assert (= tmp42__global__7__instrumented__ (* tmp42__func_bio_opt__ty tmp42__func_bio_opt__ty))) ; (tmp42__global__7__instrumented__ = (tmp42__func_bio_opt__ty * tmp42__func_bio_opt__ty))
(assert (= tmp2__global__s4_41 tmp42__global__7__instrumented__)) ; (tmp2__global__s4_41 = tmp42__global__7__instrumented__)
(assert (= tmp42__global__8__instrumented__ (- tmp42__func_bio_opt__ty))) ; (tmp42__global__8__instrumented__ = -(tmp42__func_bio_opt__ty))
(assert (= tmp42__global__9__instrumented__ (* (- tmp42__func_bio_opt__ty) tmp42__func_bio_opt__t))) ; (tmp42__global__9__instrumented__ = (-(tmp42__func_bio_opt__ty) * tmp42__func_bio_opt__t))
(assert (= tmp2__global__s5_41 tmp42__global__9__instrumented__)) ; (tmp2__global__s5_41 = tmp42__global__9__instrumented__)
(assert (= tmp43__global__0__instrumented__ (- tmp1__global__predL0_42 tmp1__global__predL1_42))) ; (tmp43__global__0__instrumented__ = (tmp1__global__predL0_42 - tmp1__global__predL1_42))
(assert (= tmp43__func_bio_opt__t tmp43__global__0__instrumented__)) ; (tmp43__func_bio_opt__t = tmp43__global__0__instrumented__)
(assert (= tmp43__global__1__instrumented__ (+ tmp1__global__gradXL0_42 tmp1__global__gradXL1_42))) ; (tmp43__global__1__instrumented__ = (tmp1__global__gradXL0_42 + tmp1__global__gradXL1_42))
(assert (= tmp43__func_bio_opt__tx tmp43__global__1__instrumented__)) ; (tmp43__func_bio_opt__tx = tmp43__global__1__instrumented__)
(assert (= tmp43__global__2__instrumented__ (+ tmp1__global__gradYL0_42 tmp1__global__gradYL1_42))) ; (tmp43__global__2__instrumented__ = (tmp1__global__gradYL0_42 + tmp1__global__gradYL1_42))
(assert (= tmp43__func_bio_opt__ty tmp43__global__2__instrumented__)) ; (tmp43__func_bio_opt__ty = tmp43__global__2__instrumented__)
(assert (= tmp43__global__3__instrumented__ (* tmp43__func_bio_opt__tx tmp43__func_bio_opt__tx))) ; (tmp43__global__3__instrumented__ = (tmp43__func_bio_opt__tx * tmp43__func_bio_opt__tx))
(assert (= tmp2__global__s1_42 tmp43__global__3__instrumented__)) ; (tmp2__global__s1_42 = tmp43__global__3__instrumented__)
(assert (= tmp43__global__4__instrumented__ (* tmp43__func_bio_opt__tx tmp43__func_bio_opt__ty))) ; (tmp43__global__4__instrumented__ = (tmp43__func_bio_opt__tx * tmp43__func_bio_opt__ty))
(assert (= tmp2__global__s2_42 tmp43__global__4__instrumented__)) ; (tmp2__global__s2_42 = tmp43__global__4__instrumented__)
(assert (= tmp43__global__5__instrumented__ (- tmp43__func_bio_opt__tx))) ; (tmp43__global__5__instrumented__ = -(tmp43__func_bio_opt__tx))
(assert (= tmp43__global__6__instrumented__ (* (- tmp43__func_bio_opt__tx) tmp43__func_bio_opt__t))) ; (tmp43__global__6__instrumented__ = (-(tmp43__func_bio_opt__tx) * tmp43__func_bio_opt__t))
(assert (= tmp2__global__s3_42 tmp43__global__6__instrumented__)) ; (tmp2__global__s3_42 = tmp43__global__6__instrumented__)
(assert (= tmp43__global__7__instrumented__ (* tmp43__func_bio_opt__ty tmp43__func_bio_opt__ty))) ; (tmp43__global__7__instrumented__ = (tmp43__func_bio_opt__ty * tmp43__func_bio_opt__ty))
(assert (= tmp2__global__s4_42 tmp43__global__7__instrumented__)) ; (tmp2__global__s4_42 = tmp43__global__7__instrumented__)
(assert (= tmp43__global__8__instrumented__ (- tmp43__func_bio_opt__ty))) ; (tmp43__global__8__instrumented__ = -(tmp43__func_bio_opt__ty))
(assert (= tmp43__global__9__instrumented__ (* (- tmp43__func_bio_opt__ty) tmp43__func_bio_opt__t))) ; (tmp43__global__9__instrumented__ = (-(tmp43__func_bio_opt__ty) * tmp43__func_bio_opt__t))
(assert (= tmp2__global__s5_42 tmp43__global__9__instrumented__)) ; (tmp2__global__s5_42 = tmp43__global__9__instrumented__)
(assert (= tmp44__global__0__instrumented__ (- tmp1__global__predL0_43 tmp1__global__predL1_43))) ; (tmp44__global__0__instrumented__ = (tmp1__global__predL0_43 - tmp1__global__predL1_43))
(assert (= tmp44__func_bio_opt__t tmp44__global__0__instrumented__)) ; (tmp44__func_bio_opt__t = tmp44__global__0__instrumented__)
(assert (= tmp44__global__1__instrumented__ (+ tmp1__global__gradXL0_43 tmp1__global__gradXL1_43))) ; (tmp44__global__1__instrumented__ = (tmp1__global__gradXL0_43 + tmp1__global__gradXL1_43))
(assert (= tmp44__func_bio_opt__tx tmp44__global__1__instrumented__)) ; (tmp44__func_bio_opt__tx = tmp44__global__1__instrumented__)
(assert (= tmp44__global__2__instrumented__ (+ tmp1__global__gradYL0_43 tmp1__global__gradYL1_43))) ; (tmp44__global__2__instrumented__ = (tmp1__global__gradYL0_43 + tmp1__global__gradYL1_43))
(assert (= tmp44__func_bio_opt__ty tmp44__global__2__instrumented__)) ; (tmp44__func_bio_opt__ty = tmp44__global__2__instrumented__)
(assert (= tmp44__global__3__instrumented__ (* tmp44__func_bio_opt__tx tmp44__func_bio_opt__tx))) ; (tmp44__global__3__instrumented__ = (tmp44__func_bio_opt__tx * tmp44__func_bio_opt__tx))
(assert (= tmp2__global__s1_43 tmp44__global__3__instrumented__)) ; (tmp2__global__s1_43 = tmp44__global__3__instrumented__)
(assert (= tmp44__global__4__instrumented__ (* tmp44__func_bio_opt__tx tmp44__func_bio_opt__ty))) ; (tmp44__global__4__instrumented__ = (tmp44__func_bio_opt__tx * tmp44__func_bio_opt__ty))
(assert (= tmp2__global__s2_43 tmp44__global__4__instrumented__)) ; (tmp2__global__s2_43 = tmp44__global__4__instrumented__)
(assert (= tmp44__global__5__instrumented__ (- tmp44__func_bio_opt__tx))) ; (tmp44__global__5__instrumented__ = -(tmp44__func_bio_opt__tx))
(assert (= tmp44__global__6__instrumented__ (* (- tmp44__func_bio_opt__tx) tmp44__func_bio_opt__t))) ; (tmp44__global__6__instrumented__ = (-(tmp44__func_bio_opt__tx) * tmp44__func_bio_opt__t))
(assert (= tmp2__global__s3_43 tmp44__global__6__instrumented__)) ; (tmp2__global__s3_43 = tmp44__global__6__instrumented__)
(assert (= tmp44__global__7__instrumented__ (* tmp44__func_bio_opt__ty tmp44__func_bio_opt__ty))) ; (tmp44__global__7__instrumented__ = (tmp44__func_bio_opt__ty * tmp44__func_bio_opt__ty))
(assert (= tmp2__global__s4_43 tmp44__global__7__instrumented__)) ; (tmp2__global__s4_43 = tmp44__global__7__instrumented__)
(assert (= tmp44__global__8__instrumented__ (- tmp44__func_bio_opt__ty))) ; (tmp44__global__8__instrumented__ = -(tmp44__func_bio_opt__ty))
(assert (= tmp44__global__9__instrumented__ (* (- tmp44__func_bio_opt__ty) tmp44__func_bio_opt__t))) ; (tmp44__global__9__instrumented__ = (-(tmp44__func_bio_opt__ty) * tmp44__func_bio_opt__t))
(assert (= tmp2__global__s5_43 tmp44__global__9__instrumented__)) ; (tmp2__global__s5_43 = tmp44__global__9__instrumented__)
(assert (= tmp45__global__0__instrumented__ (- tmp1__global__predL0_44 tmp1__global__predL1_44))) ; (tmp45__global__0__instrumented__ = (tmp1__global__predL0_44 - tmp1__global__predL1_44))
(assert (= tmp45__func_bio_opt__t tmp45__global__0__instrumented__)) ; (tmp45__func_bio_opt__t = tmp45__global__0__instrumented__)
(assert (= tmp45__global__1__instrumented__ (+ tmp1__global__gradXL0_44 tmp1__global__gradXL1_44))) ; (tmp45__global__1__instrumented__ = (tmp1__global__gradXL0_44 + tmp1__global__gradXL1_44))
(assert (= tmp45__func_bio_opt__tx tmp45__global__1__instrumented__)) ; (tmp45__func_bio_opt__tx = tmp45__global__1__instrumented__)
(assert (= tmp45__global__2__instrumented__ (+ tmp1__global__gradYL0_44 tmp1__global__gradYL1_44))) ; (tmp45__global__2__instrumented__ = (tmp1__global__gradYL0_44 + tmp1__global__gradYL1_44))
(assert (= tmp45__func_bio_opt__ty tmp45__global__2__instrumented__)) ; (tmp45__func_bio_opt__ty = tmp45__global__2__instrumented__)
(assert (= tmp45__global__3__instrumented__ (* tmp45__func_bio_opt__tx tmp45__func_bio_opt__tx))) ; (tmp45__global__3__instrumented__ = (tmp45__func_bio_opt__tx * tmp45__func_bio_opt__tx))
(assert (= tmp2__global__s1_44 tmp45__global__3__instrumented__)) ; (tmp2__global__s1_44 = tmp45__global__3__instrumented__)
(assert (= tmp45__global__4__instrumented__ (* tmp45__func_bio_opt__tx tmp45__func_bio_opt__ty))) ; (tmp45__global__4__instrumented__ = (tmp45__func_bio_opt__tx * tmp45__func_bio_opt__ty))
(assert (= tmp2__global__s2_44 tmp45__global__4__instrumented__)) ; (tmp2__global__s2_44 = tmp45__global__4__instrumented__)
(assert (= tmp45__global__5__instrumented__ (- tmp45__func_bio_opt__tx))) ; (tmp45__global__5__instrumented__ = -(tmp45__func_bio_opt__tx))
(assert (= tmp45__global__6__instrumented__ (* (- tmp45__func_bio_opt__tx) tmp45__func_bio_opt__t))) ; (tmp45__global__6__instrumented__ = (-(tmp45__func_bio_opt__tx) * tmp45__func_bio_opt__t))
(assert (= tmp2__global__s3_44 tmp45__global__6__instrumented__)) ; (tmp2__global__s3_44 = tmp45__global__6__instrumented__)
(assert (= tmp45__global__7__instrumented__ (* tmp45__func_bio_opt__ty tmp45__func_bio_opt__ty))) ; (tmp45__global__7__instrumented__ = (tmp45__func_bio_opt__ty * tmp45__func_bio_opt__ty))
(assert (= tmp2__global__s4_44 tmp45__global__7__instrumented__)) ; (tmp2__global__s4_44 = tmp45__global__7__instrumented__)
(assert (= tmp45__global__8__instrumented__ (- tmp45__func_bio_opt__ty))) ; (tmp45__global__8__instrumented__ = -(tmp45__func_bio_opt__ty))
(assert (= tmp45__global__9__instrumented__ (* (- tmp45__func_bio_opt__ty) tmp45__func_bio_opt__t))) ; (tmp45__global__9__instrumented__ = (-(tmp45__func_bio_opt__ty) * tmp45__func_bio_opt__t))
(assert (= tmp2__global__s5_44 tmp45__global__9__instrumented__)) ; (tmp2__global__s5_44 = tmp45__global__9__instrumented__)
(assert (= tmp46__global__0__instrumented__ (- tmp1__global__predL0_45 tmp1__global__predL1_45))) ; (tmp46__global__0__instrumented__ = (tmp1__global__predL0_45 - tmp1__global__predL1_45))
(assert (= tmp46__func_bio_opt__t tmp46__global__0__instrumented__)) ; (tmp46__func_bio_opt__t = tmp46__global__0__instrumented__)
(assert (= tmp46__global__1__instrumented__ (+ tmp1__global__gradXL0_45 tmp1__global__gradXL1_45))) ; (tmp46__global__1__instrumented__ = (tmp1__global__gradXL0_45 + tmp1__global__gradXL1_45))
(assert (= tmp46__func_bio_opt__tx tmp46__global__1__instrumented__)) ; (tmp46__func_bio_opt__tx = tmp46__global__1__instrumented__)
(assert (= tmp46__global__2__instrumented__ (+ tmp1__global__gradYL0_45 tmp1__global__gradYL1_45))) ; (tmp46__global__2__instrumented__ = (tmp1__global__gradYL0_45 + tmp1__global__gradYL1_45))
(assert (= tmp46__func_bio_opt__ty tmp46__global__2__instrumented__)) ; (tmp46__func_bio_opt__ty = tmp46__global__2__instrumented__)
(assert (= tmp46__global__3__instrumented__ (* tmp46__func_bio_opt__tx tmp46__func_bio_opt__tx))) ; (tmp46__global__3__instrumented__ = (tmp46__func_bio_opt__tx * tmp46__func_bio_opt__tx))
(assert (= tmp2__global__s1_45 tmp46__global__3__instrumented__)) ; (tmp2__global__s1_45 = tmp46__global__3__instrumented__)
(assert (= tmp46__global__4__instrumented__ (* tmp46__func_bio_opt__tx tmp46__func_bio_opt__ty))) ; (tmp46__global__4__instrumented__ = (tmp46__func_bio_opt__tx * tmp46__func_bio_opt__ty))
(assert (= tmp2__global__s2_45 tmp46__global__4__instrumented__)) ; (tmp2__global__s2_45 = tmp46__global__4__instrumented__)
(assert (= tmp46__global__5__instrumented__ (- tmp46__func_bio_opt__tx))) ; (tmp46__global__5__instrumented__ = -(tmp46__func_bio_opt__tx))
(assert (= tmp46__global__6__instrumented__ (* (- tmp46__func_bio_opt__tx) tmp46__func_bio_opt__t))) ; (tmp46__global__6__instrumented__ = (-(tmp46__func_bio_opt__tx) * tmp46__func_bio_opt__t))
(assert (= tmp2__global__s3_45 tmp46__global__6__instrumented__)) ; (tmp2__global__s3_45 = tmp46__global__6__instrumented__)
(assert (= tmp46__global__7__instrumented__ (* tmp46__func_bio_opt__ty tmp46__func_bio_opt__ty))) ; (tmp46__global__7__instrumented__ = (tmp46__func_bio_opt__ty * tmp46__func_bio_opt__ty))
(assert (= tmp2__global__s4_45 tmp46__global__7__instrumented__)) ; (tmp2__global__s4_45 = tmp46__global__7__instrumented__)
(assert (= tmp46__global__8__instrumented__ (- tmp46__func_bio_opt__ty))) ; (tmp46__global__8__instrumented__ = -(tmp46__func_bio_opt__ty))
(assert (= tmp46__global__9__instrumented__ (* (- tmp46__func_bio_opt__ty) tmp46__func_bio_opt__t))) ; (tmp46__global__9__instrumented__ = (-(tmp46__func_bio_opt__ty) * tmp46__func_bio_opt__t))
(assert (= tmp2__global__s5_45 tmp46__global__9__instrumented__)) ; (tmp2__global__s5_45 = tmp46__global__9__instrumented__)
(assert (= tmp47__global__0__instrumented__ (- tmp1__global__predL0_46 tmp1__global__predL1_46))) ; (tmp47__global__0__instrumented__ = (tmp1__global__predL0_46 - tmp1__global__predL1_46))
(assert (= tmp47__func_bio_opt__t tmp47__global__0__instrumented__)) ; (tmp47__func_bio_opt__t = tmp47__global__0__instrumented__)
(assert (= tmp47__global__1__instrumented__ (+ tmp1__global__gradXL0_46 tmp1__global__gradXL1_46))) ; (tmp47__global__1__instrumented__ = (tmp1__global__gradXL0_46 + tmp1__global__gradXL1_46))
(assert (= tmp47__func_bio_opt__tx tmp47__global__1__instrumented__)) ; (tmp47__func_bio_opt__tx = tmp47__global__1__instrumented__)
(assert (= tmp47__global__2__instrumented__ (+ tmp1__global__gradYL0_46 tmp1__global__gradYL1_46))) ; (tmp47__global__2__instrumented__ = (tmp1__global__gradYL0_46 + tmp1__global__gradYL1_46))
(assert (= tmp47__func_bio_opt__ty tmp47__global__2__instrumented__)) ; (tmp47__func_bio_opt__ty = tmp47__global__2__instrumented__)
(assert (= tmp47__global__3__instrumented__ (* tmp47__func_bio_opt__tx tmp47__func_bio_opt__tx))) ; (tmp47__global__3__instrumented__ = (tmp47__func_bio_opt__tx * tmp47__func_bio_opt__tx))
(assert (= tmp2__global__s1_46 tmp47__global__3__instrumented__)) ; (tmp2__global__s1_46 = tmp47__global__3__instrumented__)
(assert (= tmp47__global__4__instrumented__ (* tmp47__func_bio_opt__tx tmp47__func_bio_opt__ty))) ; (tmp47__global__4__instrumented__ = (tmp47__func_bio_opt__tx * tmp47__func_bio_opt__ty))
(assert (= tmp2__global__s2_46 tmp47__global__4__instrumented__)) ; (tmp2__global__s2_46 = tmp47__global__4__instrumented__)
(assert (= tmp47__global__5__instrumented__ (- tmp47__func_bio_opt__tx))) ; (tmp47__global__5__instrumented__ = -(tmp47__func_bio_opt__tx))
(assert (= tmp47__global__6__instrumented__ (* (- tmp47__func_bio_opt__tx) tmp47__func_bio_opt__t))) ; (tmp47__global__6__instrumented__ = (-(tmp47__func_bio_opt__tx) * tmp47__func_bio_opt__t))
(assert (= tmp2__global__s3_46 tmp47__global__6__instrumented__)) ; (tmp2__global__s3_46 = tmp47__global__6__instrumented__)
(assert (= tmp47__global__7__instrumented__ (* tmp47__func_bio_opt__ty tmp47__func_bio_opt__ty))) ; (tmp47__global__7__instrumented__ = (tmp47__func_bio_opt__ty * tmp47__func_bio_opt__ty))
(assert (= tmp2__global__s4_46 tmp47__global__7__instrumented__)) ; (tmp2__global__s4_46 = tmp47__global__7__instrumented__)
(assert (= tmp47__global__8__instrumented__ (- tmp47__func_bio_opt__ty))) ; (tmp47__global__8__instrumented__ = -(tmp47__func_bio_opt__ty))
(assert (= tmp47__global__9__instrumented__ (* (- tmp47__func_bio_opt__ty) tmp47__func_bio_opt__t))) ; (tmp47__global__9__instrumented__ = (-(tmp47__func_bio_opt__ty) * tmp47__func_bio_opt__t))
(assert (= tmp2__global__s5_46 tmp47__global__9__instrumented__)) ; (tmp2__global__s5_46 = tmp47__global__9__instrumented__)
(assert (= tmp48__global__0__instrumented__ (- tmp1__global__predL0_47 tmp1__global__predL1_47))) ; (tmp48__global__0__instrumented__ = (tmp1__global__predL0_47 - tmp1__global__predL1_47))
(assert (= tmp48__func_bio_opt__t tmp48__global__0__instrumented__)) ; (tmp48__func_bio_opt__t = tmp48__global__0__instrumented__)
(assert (= tmp48__global__1__instrumented__ (+ tmp1__global__gradXL0_47 tmp1__global__gradXL1_47))) ; (tmp48__global__1__instrumented__ = (tmp1__global__gradXL0_47 + tmp1__global__gradXL1_47))
(assert (= tmp48__func_bio_opt__tx tmp48__global__1__instrumented__)) ; (tmp48__func_bio_opt__tx = tmp48__global__1__instrumented__)
(assert (= tmp48__global__2__instrumented__ (+ tmp1__global__gradYL0_47 tmp1__global__gradYL1_47))) ; (tmp48__global__2__instrumented__ = (tmp1__global__gradYL0_47 + tmp1__global__gradYL1_47))
(assert (= tmp48__func_bio_opt__ty tmp48__global__2__instrumented__)) ; (tmp48__func_bio_opt__ty = tmp48__global__2__instrumented__)
(assert (= tmp48__global__3__instrumented__ (* tmp48__func_bio_opt__tx tmp48__func_bio_opt__tx))) ; (tmp48__global__3__instrumented__ = (tmp48__func_bio_opt__tx * tmp48__func_bio_opt__tx))
(assert (= tmp2__global__s1_47 tmp48__global__3__instrumented__)) ; (tmp2__global__s1_47 = tmp48__global__3__instrumented__)
(assert (= tmp48__global__4__instrumented__ (* tmp48__func_bio_opt__tx tmp48__func_bio_opt__ty))) ; (tmp48__global__4__instrumented__ = (tmp48__func_bio_opt__tx * tmp48__func_bio_opt__ty))
(assert (= tmp2__global__s2_47 tmp48__global__4__instrumented__)) ; (tmp2__global__s2_47 = tmp48__global__4__instrumented__)
(assert (= tmp48__global__5__instrumented__ (- tmp48__func_bio_opt__tx))) ; (tmp48__global__5__instrumented__ = -(tmp48__func_bio_opt__tx))
(assert (= tmp48__global__6__instrumented__ (* (- tmp48__func_bio_opt__tx) tmp48__func_bio_opt__t))) ; (tmp48__global__6__instrumented__ = (-(tmp48__func_bio_opt__tx) * tmp48__func_bio_opt__t))
(assert (= tmp2__global__s3_47 tmp48__global__6__instrumented__)) ; (tmp2__global__s3_47 = tmp48__global__6__instrumented__)
(assert (= tmp48__global__7__instrumented__ (* tmp48__func_bio_opt__ty tmp48__func_bio_opt__ty))) ; (tmp48__global__7__instrumented__ = (tmp48__func_bio_opt__ty * tmp48__func_bio_opt__ty))
(assert (= tmp2__global__s4_47 tmp48__global__7__instrumented__)) ; (tmp2__global__s4_47 = tmp48__global__7__instrumented__)
(assert (= tmp48__global__8__instrumented__ (- tmp48__func_bio_opt__ty))) ; (tmp48__global__8__instrumented__ = -(tmp48__func_bio_opt__ty))
(assert (= tmp48__global__9__instrumented__ (* (- tmp48__func_bio_opt__ty) tmp48__func_bio_opt__t))) ; (tmp48__global__9__instrumented__ = (-(tmp48__func_bio_opt__ty) * tmp48__func_bio_opt__t))
(assert (= tmp2__global__s5_47 tmp48__global__9__instrumented__)) ; (tmp2__global__s5_47 = tmp48__global__9__instrumented__)
(assert (= tmp49__global__0__instrumented__ (- tmp1__global__predL0_48 tmp1__global__predL1_48))) ; (tmp49__global__0__instrumented__ = (tmp1__global__predL0_48 - tmp1__global__predL1_48))
(assert (= tmp49__func_bio_opt__t tmp49__global__0__instrumented__)) ; (tmp49__func_bio_opt__t = tmp49__global__0__instrumented__)
(assert (= tmp49__global__1__instrumented__ (+ tmp1__global__gradXL0_48 tmp1__global__gradXL1_48))) ; (tmp49__global__1__instrumented__ = (tmp1__global__gradXL0_48 + tmp1__global__gradXL1_48))
(assert (= tmp49__func_bio_opt__tx tmp49__global__1__instrumented__)) ; (tmp49__func_bio_opt__tx = tmp49__global__1__instrumented__)
(assert (= tmp49__global__2__instrumented__ (+ tmp1__global__gradYL0_48 tmp1__global__gradYL1_48))) ; (tmp49__global__2__instrumented__ = (tmp1__global__gradYL0_48 + tmp1__global__gradYL1_48))
(assert (= tmp49__func_bio_opt__ty tmp49__global__2__instrumented__)) ; (tmp49__func_bio_opt__ty = tmp49__global__2__instrumented__)
(assert (= tmp49__global__3__instrumented__ (* tmp49__func_bio_opt__tx tmp49__func_bio_opt__tx))) ; (tmp49__global__3__instrumented__ = (tmp49__func_bio_opt__tx * tmp49__func_bio_opt__tx))
(assert (= tmp2__global__s1_48 tmp49__global__3__instrumented__)) ; (tmp2__global__s1_48 = tmp49__global__3__instrumented__)
(assert (= tmp49__global__4__instrumented__ (* tmp49__func_bio_opt__tx tmp49__func_bio_opt__ty))) ; (tmp49__global__4__instrumented__ = (tmp49__func_bio_opt__tx * tmp49__func_bio_opt__ty))
(assert (= tmp2__global__s2_48 tmp49__global__4__instrumented__)) ; (tmp2__global__s2_48 = tmp49__global__4__instrumented__)
(assert (= tmp49__global__5__instrumented__ (- tmp49__func_bio_opt__tx))) ; (tmp49__global__5__instrumented__ = -(tmp49__func_bio_opt__tx))
(assert (= tmp49__global__6__instrumented__ (* (- tmp49__func_bio_opt__tx) tmp49__func_bio_opt__t))) ; (tmp49__global__6__instrumented__ = (-(tmp49__func_bio_opt__tx) * tmp49__func_bio_opt__t))
(assert (= tmp2__global__s3_48 tmp49__global__6__instrumented__)) ; (tmp2__global__s3_48 = tmp49__global__6__instrumented__)
(assert (= tmp49__global__7__instrumented__ (* tmp49__func_bio_opt__ty tmp49__func_bio_opt__ty))) ; (tmp49__global__7__instrumented__ = (tmp49__func_bio_opt__ty * tmp49__func_bio_opt__ty))
(assert (= tmp2__global__s4_48 tmp49__global__7__instrumented__)) ; (tmp2__global__s4_48 = tmp49__global__7__instrumented__)
(assert (= tmp49__global__8__instrumented__ (- tmp49__func_bio_opt__ty))) ; (tmp49__global__8__instrumented__ = -(tmp49__func_bio_opt__ty))
(assert (= tmp49__global__9__instrumented__ (* (- tmp49__func_bio_opt__ty) tmp49__func_bio_opt__t))) ; (tmp49__global__9__instrumented__ = (-(tmp49__func_bio_opt__ty) * tmp49__func_bio_opt__t))
(assert (= tmp2__global__s5_48 tmp49__global__9__instrumented__)) ; (tmp2__global__s5_48 = tmp49__global__9__instrumented__)
(assert (= tmp50__global__0__instrumented__ (- tmp1__global__predL0_49 tmp1__global__predL1_49))) ; (tmp50__global__0__instrumented__ = (tmp1__global__predL0_49 - tmp1__global__predL1_49))
(assert (= tmp50__func_bio_opt__t tmp50__global__0__instrumented__)) ; (tmp50__func_bio_opt__t = tmp50__global__0__instrumented__)
(assert (= tmp50__global__1__instrumented__ (+ tmp1__global__gradXL0_49 tmp1__global__gradXL1_49))) ; (tmp50__global__1__instrumented__ = (tmp1__global__gradXL0_49 + tmp1__global__gradXL1_49))
(assert (= tmp50__func_bio_opt__tx tmp50__global__1__instrumented__)) ; (tmp50__func_bio_opt__tx = tmp50__global__1__instrumented__)
(assert (= tmp50__global__2__instrumented__ (+ tmp1__global__gradYL0_49 tmp1__global__gradYL1_49))) ; (tmp50__global__2__instrumented__ = (tmp1__global__gradYL0_49 + tmp1__global__gradYL1_49))
(assert (= tmp50__func_bio_opt__ty tmp50__global__2__instrumented__)) ; (tmp50__func_bio_opt__ty = tmp50__global__2__instrumented__)
(assert (= tmp50__global__3__instrumented__ (* tmp50__func_bio_opt__tx tmp50__func_bio_opt__tx))) ; (tmp50__global__3__instrumented__ = (tmp50__func_bio_opt__tx * tmp50__func_bio_opt__tx))
(assert (= tmp2__global__s1_49 tmp50__global__3__instrumented__)) ; (tmp2__global__s1_49 = tmp50__global__3__instrumented__)
(assert (= tmp50__global__4__instrumented__ (* tmp50__func_bio_opt__tx tmp50__func_bio_opt__ty))) ; (tmp50__global__4__instrumented__ = (tmp50__func_bio_opt__tx * tmp50__func_bio_opt__ty))
(assert (= tmp2__global__s2_49 tmp50__global__4__instrumented__)) ; (tmp2__global__s2_49 = tmp50__global__4__instrumented__)
(assert (= tmp50__global__5__instrumented__ (- tmp50__func_bio_opt__tx))) ; (tmp50__global__5__instrumented__ = -(tmp50__func_bio_opt__tx))
(assert (= tmp50__global__6__instrumented__ (* (- tmp50__func_bio_opt__tx) tmp50__func_bio_opt__t))) ; (tmp50__global__6__instrumented__ = (-(tmp50__func_bio_opt__tx) * tmp50__func_bio_opt__t))
(assert (= tmp2__global__s3_49 tmp50__global__6__instrumented__)) ; (tmp2__global__s3_49 = tmp50__global__6__instrumented__)
(assert (= tmp50__global__7__instrumented__ (* tmp50__func_bio_opt__ty tmp50__func_bio_opt__ty))) ; (tmp50__global__7__instrumented__ = (tmp50__func_bio_opt__ty * tmp50__func_bio_opt__ty))
(assert (= tmp2__global__s4_49 tmp50__global__7__instrumented__)) ; (tmp2__global__s4_49 = tmp50__global__7__instrumented__)
(assert (= tmp50__global__8__instrumented__ (- tmp50__func_bio_opt__ty))) ; (tmp50__global__8__instrumented__ = -(tmp50__func_bio_opt__ty))
(assert (= tmp50__global__9__instrumented__ (* (- tmp50__func_bio_opt__ty) tmp50__func_bio_opt__t))) ; (tmp50__global__9__instrumented__ = (-(tmp50__func_bio_opt__ty) * tmp50__func_bio_opt__t))
(assert (= tmp2__global__s5_49 tmp50__global__9__instrumented__)) ; (tmp2__global__s5_49 = tmp50__global__9__instrumented__)
(assert (= tmp51__global__0__instrumented__ (- tmp1__global__predL0_50 tmp1__global__predL1_50))) ; (tmp51__global__0__instrumented__ = (tmp1__global__predL0_50 - tmp1__global__predL1_50))
(assert (= tmp51__func_bio_opt__t tmp51__global__0__instrumented__)) ; (tmp51__func_bio_opt__t = tmp51__global__0__instrumented__)
(assert (= tmp51__global__1__instrumented__ (+ tmp1__global__gradXL0_50 tmp1__global__gradXL1_50))) ; (tmp51__global__1__instrumented__ = (tmp1__global__gradXL0_50 + tmp1__global__gradXL1_50))
(assert (= tmp51__func_bio_opt__tx tmp51__global__1__instrumented__)) ; (tmp51__func_bio_opt__tx = tmp51__global__1__instrumented__)
(assert (= tmp51__global__2__instrumented__ (+ tmp1__global__gradYL0_50 tmp1__global__gradYL1_50))) ; (tmp51__global__2__instrumented__ = (tmp1__global__gradYL0_50 + tmp1__global__gradYL1_50))
(assert (= tmp51__func_bio_opt__ty tmp51__global__2__instrumented__)) ; (tmp51__func_bio_opt__ty = tmp51__global__2__instrumented__)
(assert (= tmp51__global__3__instrumented__ (* tmp51__func_bio_opt__tx tmp51__func_bio_opt__tx))) ; (tmp51__global__3__instrumented__ = (tmp51__func_bio_opt__tx * tmp51__func_bio_opt__tx))
(assert (= tmp2__global__s1_50 tmp51__global__3__instrumented__)) ; (tmp2__global__s1_50 = tmp51__global__3__instrumented__)
(assert (= tmp51__global__4__instrumented__ (* tmp51__func_bio_opt__tx tmp51__func_bio_opt__ty))) ; (tmp51__global__4__instrumented__ = (tmp51__func_bio_opt__tx * tmp51__func_bio_opt__ty))
(assert (= tmp2__global__s2_50 tmp51__global__4__instrumented__)) ; (tmp2__global__s2_50 = tmp51__global__4__instrumented__)
(assert (= tmp51__global__5__instrumented__ (- tmp51__func_bio_opt__tx))) ; (tmp51__global__5__instrumented__ = -(tmp51__func_bio_opt__tx))
(assert (= tmp51__global__6__instrumented__ (* (- tmp51__func_bio_opt__tx) tmp51__func_bio_opt__t))) ; (tmp51__global__6__instrumented__ = (-(tmp51__func_bio_opt__tx) * tmp51__func_bio_opt__t))
(assert (= tmp2__global__s3_50 tmp51__global__6__instrumented__)) ; (tmp2__global__s3_50 = tmp51__global__6__instrumented__)
(assert (= tmp51__global__7__instrumented__ (* tmp51__func_bio_opt__ty tmp51__func_bio_opt__ty))) ; (tmp51__global__7__instrumented__ = (tmp51__func_bio_opt__ty * tmp51__func_bio_opt__ty))
(assert (= tmp2__global__s4_50 tmp51__global__7__instrumented__)) ; (tmp2__global__s4_50 = tmp51__global__7__instrumented__)
(assert (= tmp51__global__8__instrumented__ (- tmp51__func_bio_opt__ty))) ; (tmp51__global__8__instrumented__ = -(tmp51__func_bio_opt__ty))
(assert (= tmp51__global__9__instrumented__ (* (- tmp51__func_bio_opt__ty) tmp51__func_bio_opt__t))) ; (tmp51__global__9__instrumented__ = (-(tmp51__func_bio_opt__ty) * tmp51__func_bio_opt__t))
(assert (= tmp2__global__s5_50 tmp51__global__9__instrumented__)) ; (tmp2__global__s5_50 = tmp51__global__9__instrumented__)
(assert (= tmp52__global__0__instrumented__ (- tmp1__global__predL0_51 tmp1__global__predL1_51))) ; (tmp52__global__0__instrumented__ = (tmp1__global__predL0_51 - tmp1__global__predL1_51))
(assert (= tmp52__func_bio_opt__t tmp52__global__0__instrumented__)) ; (tmp52__func_bio_opt__t = tmp52__global__0__instrumented__)
(assert (= tmp52__global__1__instrumented__ (+ tmp1__global__gradXL0_51 tmp1__global__gradXL1_51))) ; (tmp52__global__1__instrumented__ = (tmp1__global__gradXL0_51 + tmp1__global__gradXL1_51))
(assert (= tmp52__func_bio_opt__tx tmp52__global__1__instrumented__)) ; (tmp52__func_bio_opt__tx = tmp52__global__1__instrumented__)
(assert (= tmp52__global__2__instrumented__ (+ tmp1__global__gradYL0_51 tmp1__global__gradYL1_51))) ; (tmp52__global__2__instrumented__ = (tmp1__global__gradYL0_51 + tmp1__global__gradYL1_51))
(assert (= tmp52__func_bio_opt__ty tmp52__global__2__instrumented__)) ; (tmp52__func_bio_opt__ty = tmp52__global__2__instrumented__)
(assert (= tmp52__global__3__instrumented__ (* tmp52__func_bio_opt__tx tmp52__func_bio_opt__tx))) ; (tmp52__global__3__instrumented__ = (tmp52__func_bio_opt__tx * tmp52__func_bio_opt__tx))
(assert (= tmp2__global__s1_51 tmp52__global__3__instrumented__)) ; (tmp2__global__s1_51 = tmp52__global__3__instrumented__)
(assert (= tmp52__global__4__instrumented__ (* tmp52__func_bio_opt__tx tmp52__func_bio_opt__ty))) ; (tmp52__global__4__instrumented__ = (tmp52__func_bio_opt__tx * tmp52__func_bio_opt__ty))
(assert (= tmp2__global__s2_51 tmp52__global__4__instrumented__)) ; (tmp2__global__s2_51 = tmp52__global__4__instrumented__)
(assert (= tmp52__global__5__instrumented__ (- tmp52__func_bio_opt__tx))) ; (tmp52__global__5__instrumented__ = -(tmp52__func_bio_opt__tx))
(assert (= tmp52__global__6__instrumented__ (* (- tmp52__func_bio_opt__tx) tmp52__func_bio_opt__t))) ; (tmp52__global__6__instrumented__ = (-(tmp52__func_bio_opt__tx) * tmp52__func_bio_opt__t))
(assert (= tmp2__global__s3_51 tmp52__global__6__instrumented__)) ; (tmp2__global__s3_51 = tmp52__global__6__instrumented__)
(assert (= tmp52__global__7__instrumented__ (* tmp52__func_bio_opt__ty tmp52__func_bio_opt__ty))) ; (tmp52__global__7__instrumented__ = (tmp52__func_bio_opt__ty * tmp52__func_bio_opt__ty))
(assert (= tmp2__global__s4_51 tmp52__global__7__instrumented__)) ; (tmp2__global__s4_51 = tmp52__global__7__instrumented__)
(assert (= tmp52__global__8__instrumented__ (- tmp52__func_bio_opt__ty))) ; (tmp52__global__8__instrumented__ = -(tmp52__func_bio_opt__ty))
(assert (= tmp52__global__9__instrumented__ (* (- tmp52__func_bio_opt__ty) tmp52__func_bio_opt__t))) ; (tmp52__global__9__instrumented__ = (-(tmp52__func_bio_opt__ty) * tmp52__func_bio_opt__t))
(assert (= tmp2__global__s5_51 tmp52__global__9__instrumented__)) ; (tmp2__global__s5_51 = tmp52__global__9__instrumented__)
(assert (= tmp53__global__0__instrumented__ (- tmp1__global__predL0_52 tmp1__global__predL1_52))) ; (tmp53__global__0__instrumented__ = (tmp1__global__predL0_52 - tmp1__global__predL1_52))
(assert (= tmp53__func_bio_opt__t tmp53__global__0__instrumented__)) ; (tmp53__func_bio_opt__t = tmp53__global__0__instrumented__)
(assert (= tmp53__global__1__instrumented__ (+ tmp1__global__gradXL0_52 tmp1__global__gradXL1_52))) ; (tmp53__global__1__instrumented__ = (tmp1__global__gradXL0_52 + tmp1__global__gradXL1_52))
(assert (= tmp53__func_bio_opt__tx tmp53__global__1__instrumented__)) ; (tmp53__func_bio_opt__tx = tmp53__global__1__instrumented__)
(assert (= tmp53__global__2__instrumented__ (+ tmp1__global__gradYL0_52 tmp1__global__gradYL1_52))) ; (tmp53__global__2__instrumented__ = (tmp1__global__gradYL0_52 + tmp1__global__gradYL1_52))
(assert (= tmp53__func_bio_opt__ty tmp53__global__2__instrumented__)) ; (tmp53__func_bio_opt__ty = tmp53__global__2__instrumented__)
(assert (= tmp53__global__3__instrumented__ (* tmp53__func_bio_opt__tx tmp53__func_bio_opt__tx))) ; (tmp53__global__3__instrumented__ = (tmp53__func_bio_opt__tx * tmp53__func_bio_opt__tx))
(assert (= tmp2__global__s1_52 tmp53__global__3__instrumented__)) ; (tmp2__global__s1_52 = tmp53__global__3__instrumented__)
(assert (= tmp53__global__4__instrumented__ (* tmp53__func_bio_opt__tx tmp53__func_bio_opt__ty))) ; (tmp53__global__4__instrumented__ = (tmp53__func_bio_opt__tx * tmp53__func_bio_opt__ty))
(assert (= tmp2__global__s2_52 tmp53__global__4__instrumented__)) ; (tmp2__global__s2_52 = tmp53__global__4__instrumented__)
(assert (= tmp53__global__5__instrumented__ (- tmp53__func_bio_opt__tx))) ; (tmp53__global__5__instrumented__ = -(tmp53__func_bio_opt__tx))
(assert (= tmp53__global__6__instrumented__ (* (- tmp53__func_bio_opt__tx) tmp53__func_bio_opt__t))) ; (tmp53__global__6__instrumented__ = (-(tmp53__func_bio_opt__tx) * tmp53__func_bio_opt__t))
(assert (= tmp2__global__s3_52 tmp53__global__6__instrumented__)) ; (tmp2__global__s3_52 = tmp53__global__6__instrumented__)
(assert (= tmp53__global__7__instrumented__ (* tmp53__func_bio_opt__ty tmp53__func_bio_opt__ty))) ; (tmp53__global__7__instrumented__ = (tmp53__func_bio_opt__ty * tmp53__func_bio_opt__ty))
(assert (= tmp2__global__s4_52 tmp53__global__7__instrumented__)) ; (tmp2__global__s4_52 = tmp53__global__7__instrumented__)
(assert (= tmp53__global__8__instrumented__ (- tmp53__func_bio_opt__ty))) ; (tmp53__global__8__instrumented__ = -(tmp53__func_bio_opt__ty))
(assert (= tmp53__global__9__instrumented__ (* (- tmp53__func_bio_opt__ty) tmp53__func_bio_opt__t))) ; (tmp53__global__9__instrumented__ = (-(tmp53__func_bio_opt__ty) * tmp53__func_bio_opt__t))
(assert (= tmp2__global__s5_52 tmp53__global__9__instrumented__)) ; (tmp2__global__s5_52 = tmp53__global__9__instrumented__)
(assert (= tmp54__global__0__instrumented__ (- tmp1__global__predL0_53 tmp1__global__predL1_53))) ; (tmp54__global__0__instrumented__ = (tmp1__global__predL0_53 - tmp1__global__predL1_53))
(assert (= tmp54__func_bio_opt__t tmp54__global__0__instrumented__)) ; (tmp54__func_bio_opt__t = tmp54__global__0__instrumented__)
(assert (= tmp54__global__1__instrumented__ (+ tmp1__global__gradXL0_53 tmp1__global__gradXL1_53))) ; (tmp54__global__1__instrumented__ = (tmp1__global__gradXL0_53 + tmp1__global__gradXL1_53))
(assert (= tmp54__func_bio_opt__tx tmp54__global__1__instrumented__)) ; (tmp54__func_bio_opt__tx = tmp54__global__1__instrumented__)
(assert (= tmp54__global__2__instrumented__ (+ tmp1__global__gradYL0_53 tmp1__global__gradYL1_53))) ; (tmp54__global__2__instrumented__ = (tmp1__global__gradYL0_53 + tmp1__global__gradYL1_53))
(assert (= tmp54__func_bio_opt__ty tmp54__global__2__instrumented__)) ; (tmp54__func_bio_opt__ty = tmp54__global__2__instrumented__)
(assert (= tmp54__global__3__instrumented__ (* tmp54__func_bio_opt__tx tmp54__func_bio_opt__tx))) ; (tmp54__global__3__instrumented__ = (tmp54__func_bio_opt__tx * tmp54__func_bio_opt__tx))
(assert (= tmp2__global__s1_53 tmp54__global__3__instrumented__)) ; (tmp2__global__s1_53 = tmp54__global__3__instrumented__)
(assert (= tmp54__global__4__instrumented__ (* tmp54__func_bio_opt__tx tmp54__func_bio_opt__ty))) ; (tmp54__global__4__instrumented__ = (tmp54__func_bio_opt__tx * tmp54__func_bio_opt__ty))
(assert (= tmp2__global__s2_53 tmp54__global__4__instrumented__)) ; (tmp2__global__s2_53 = tmp54__global__4__instrumented__)
(assert (= tmp54__global__5__instrumented__ (- tmp54__func_bio_opt__tx))) ; (tmp54__global__5__instrumented__ = -(tmp54__func_bio_opt__tx))
(assert (= tmp54__global__6__instrumented__ (* (- tmp54__func_bio_opt__tx) tmp54__func_bio_opt__t))) ; (tmp54__global__6__instrumented__ = (-(tmp54__func_bio_opt__tx) * tmp54__func_bio_opt__t))
(assert (= tmp2__global__s3_53 tmp54__global__6__instrumented__)) ; (tmp2__global__s3_53 = tmp54__global__6__instrumented__)
(assert (= tmp54__global__7__instrumented__ (* tmp54__func_bio_opt__ty tmp54__func_bio_opt__ty))) ; (tmp54__global__7__instrumented__ = (tmp54__func_bio_opt__ty * tmp54__func_bio_opt__ty))
(assert (= tmp2__global__s4_53 tmp54__global__7__instrumented__)) ; (tmp2__global__s4_53 = tmp54__global__7__instrumented__)
(assert (= tmp54__global__8__instrumented__ (- tmp54__func_bio_opt__ty))) ; (tmp54__global__8__instrumented__ = -(tmp54__func_bio_opt__ty))
(assert (= tmp54__global__9__instrumented__ (* (- tmp54__func_bio_opt__ty) tmp54__func_bio_opt__t))) ; (tmp54__global__9__instrumented__ = (-(tmp54__func_bio_opt__ty) * tmp54__func_bio_opt__t))
(assert (= tmp2__global__s5_53 tmp54__global__9__instrumented__)) ; (tmp2__global__s5_53 = tmp54__global__9__instrumented__)
(assert (= tmp55__global__0__instrumented__ (- tmp1__global__predL0_54 tmp1__global__predL1_54))) ; (tmp55__global__0__instrumented__ = (tmp1__global__predL0_54 - tmp1__global__predL1_54))
(assert (= tmp55__func_bio_opt__t tmp55__global__0__instrumented__)) ; (tmp55__func_bio_opt__t = tmp55__global__0__instrumented__)
(assert (= tmp55__global__1__instrumented__ (+ tmp1__global__gradXL0_54 tmp1__global__gradXL1_54))) ; (tmp55__global__1__instrumented__ = (tmp1__global__gradXL0_54 + tmp1__global__gradXL1_54))
(assert (= tmp55__func_bio_opt__tx tmp55__global__1__instrumented__)) ; (tmp55__func_bio_opt__tx = tmp55__global__1__instrumented__)
(assert (= tmp55__global__2__instrumented__ (+ tmp1__global__gradYL0_54 tmp1__global__gradYL1_54))) ; (tmp55__global__2__instrumented__ = (tmp1__global__gradYL0_54 + tmp1__global__gradYL1_54))
(assert (= tmp55__func_bio_opt__ty tmp55__global__2__instrumented__)) ; (tmp55__func_bio_opt__ty = tmp55__global__2__instrumented__)
(assert (= tmp55__global__3__instrumented__ (* tmp55__func_bio_opt__tx tmp55__func_bio_opt__tx))) ; (tmp55__global__3__instrumented__ = (tmp55__func_bio_opt__tx * tmp55__func_bio_opt__tx))
(assert (= tmp2__global__s1_54 tmp55__global__3__instrumented__)) ; (tmp2__global__s1_54 = tmp55__global__3__instrumented__)
(assert (= tmp55__global__4__instrumented__ (* tmp55__func_bio_opt__tx tmp55__func_bio_opt__ty))) ; (tmp55__global__4__instrumented__ = (tmp55__func_bio_opt__tx * tmp55__func_bio_opt__ty))
(assert (= tmp2__global__s2_54 tmp55__global__4__instrumented__)) ; (tmp2__global__s2_54 = tmp55__global__4__instrumented__)
(assert (= tmp55__global__5__instrumented__ (- tmp55__func_bio_opt__tx))) ; (tmp55__global__5__instrumented__ = -(tmp55__func_bio_opt__tx))
(assert (= tmp55__global__6__instrumented__ (* (- tmp55__func_bio_opt__tx) tmp55__func_bio_opt__t))) ; (tmp55__global__6__instrumented__ = (-(tmp55__func_bio_opt__tx) * tmp55__func_bio_opt__t))
(assert (= tmp2__global__s3_54 tmp55__global__6__instrumented__)) ; (tmp2__global__s3_54 = tmp55__global__6__instrumented__)
(assert (= tmp55__global__7__instrumented__ (* tmp55__func_bio_opt__ty tmp55__func_bio_opt__ty))) ; (tmp55__global__7__instrumented__ = (tmp55__func_bio_opt__ty * tmp55__func_bio_opt__ty))
(assert (= tmp2__global__s4_54 tmp55__global__7__instrumented__)) ; (tmp2__global__s4_54 = tmp55__global__7__instrumented__)
(assert (= tmp55__global__8__instrumented__ (- tmp55__func_bio_opt__ty))) ; (tmp55__global__8__instrumented__ = -(tmp55__func_bio_opt__ty))
(assert (= tmp55__global__9__instrumented__ (* (- tmp55__func_bio_opt__ty) tmp55__func_bio_opt__t))) ; (tmp55__global__9__instrumented__ = (-(tmp55__func_bio_opt__ty) * tmp55__func_bio_opt__t))
(assert (= tmp2__global__s5_54 tmp55__global__9__instrumented__)) ; (tmp2__global__s5_54 = tmp55__global__9__instrumented__)
(assert (= tmp56__global__0__instrumented__ (- tmp1__global__predL0_55 tmp1__global__predL1_55))) ; (tmp56__global__0__instrumented__ = (tmp1__global__predL0_55 - tmp1__global__predL1_55))
(assert (= tmp56__func_bio_opt__t tmp56__global__0__instrumented__)) ; (tmp56__func_bio_opt__t = tmp56__global__0__instrumented__)
(assert (= tmp56__global__1__instrumented__ (+ tmp1__global__gradXL0_55 tmp1__global__gradXL1_55))) ; (tmp56__global__1__instrumented__ = (tmp1__global__gradXL0_55 + tmp1__global__gradXL1_55))
(assert (= tmp56__func_bio_opt__tx tmp56__global__1__instrumented__)) ; (tmp56__func_bio_opt__tx = tmp56__global__1__instrumented__)
(assert (= tmp56__global__2__instrumented__ (+ tmp1__global__gradYL0_55 tmp1__global__gradYL1_55))) ; (tmp56__global__2__instrumented__ = (tmp1__global__gradYL0_55 + tmp1__global__gradYL1_55))
(assert (= tmp56__func_bio_opt__ty tmp56__global__2__instrumented__)) ; (tmp56__func_bio_opt__ty = tmp56__global__2__instrumented__)
(assert (= tmp56__global__3__instrumented__ (* tmp56__func_bio_opt__tx tmp56__func_bio_opt__tx))) ; (tmp56__global__3__instrumented__ = (tmp56__func_bio_opt__tx * tmp56__func_bio_opt__tx))
(assert (= tmp2__global__s1_55 tmp56__global__3__instrumented__)) ; (tmp2__global__s1_55 = tmp56__global__3__instrumented__)
(assert (= tmp56__global__4__instrumented__ (* tmp56__func_bio_opt__tx tmp56__func_bio_opt__ty))) ; (tmp56__global__4__instrumented__ = (tmp56__func_bio_opt__tx * tmp56__func_bio_opt__ty))
(assert (= tmp2__global__s2_55 tmp56__global__4__instrumented__)) ; (tmp2__global__s2_55 = tmp56__global__4__instrumented__)
(assert (= tmp56__global__5__instrumented__ (- tmp56__func_bio_opt__tx))) ; (tmp56__global__5__instrumented__ = -(tmp56__func_bio_opt__tx))
(assert (= tmp56__global__6__instrumented__ (* (- tmp56__func_bio_opt__tx) tmp56__func_bio_opt__t))) ; (tmp56__global__6__instrumented__ = (-(tmp56__func_bio_opt__tx) * tmp56__func_bio_opt__t))
(assert (= tmp2__global__s3_55 tmp56__global__6__instrumented__)) ; (tmp2__global__s3_55 = tmp56__global__6__instrumented__)
(assert (= tmp56__global__7__instrumented__ (* tmp56__func_bio_opt__ty tmp56__func_bio_opt__ty))) ; (tmp56__global__7__instrumented__ = (tmp56__func_bio_opt__ty * tmp56__func_bio_opt__ty))
(assert (= tmp2__global__s4_55 tmp56__global__7__instrumented__)) ; (tmp2__global__s4_55 = tmp56__global__7__instrumented__)
(assert (= tmp56__global__8__instrumented__ (- tmp56__func_bio_opt__ty))) ; (tmp56__global__8__instrumented__ = -(tmp56__func_bio_opt__ty))
(assert (= tmp56__global__9__instrumented__ (* (- tmp56__func_bio_opt__ty) tmp56__func_bio_opt__t))) ; (tmp56__global__9__instrumented__ = (-(tmp56__func_bio_opt__ty) * tmp56__func_bio_opt__t))
(assert (= tmp2__global__s5_55 tmp56__global__9__instrumented__)) ; (tmp2__global__s5_55 = tmp56__global__9__instrumented__)
(assert (= tmp57__global__0__instrumented__ (- tmp1__global__predL0_56 tmp1__global__predL1_56))) ; (tmp57__global__0__instrumented__ = (tmp1__global__predL0_56 - tmp1__global__predL1_56))
(assert (= tmp57__func_bio_opt__t tmp57__global__0__instrumented__)) ; (tmp57__func_bio_opt__t = tmp57__global__0__instrumented__)
(assert (= tmp57__global__1__instrumented__ (+ tmp1__global__gradXL0_56 tmp1__global__gradXL1_56))) ; (tmp57__global__1__instrumented__ = (tmp1__global__gradXL0_56 + tmp1__global__gradXL1_56))
(assert (= tmp57__func_bio_opt__tx tmp57__global__1__instrumented__)) ; (tmp57__func_bio_opt__tx = tmp57__global__1__instrumented__)
(assert (= tmp57__global__2__instrumented__ (+ tmp1__global__gradYL0_56 tmp1__global__gradYL1_56))) ; (tmp57__global__2__instrumented__ = (tmp1__global__gradYL0_56 + tmp1__global__gradYL1_56))
(assert (= tmp57__func_bio_opt__ty tmp57__global__2__instrumented__)) ; (tmp57__func_bio_opt__ty = tmp57__global__2__instrumented__)
(assert (= tmp57__global__3__instrumented__ (* tmp57__func_bio_opt__tx tmp57__func_bio_opt__tx))) ; (tmp57__global__3__instrumented__ = (tmp57__func_bio_opt__tx * tmp57__func_bio_opt__tx))
(assert (= tmp2__global__s1_56 tmp57__global__3__instrumented__)) ; (tmp2__global__s1_56 = tmp57__global__3__instrumented__)
(assert (= tmp57__global__4__instrumented__ (* tmp57__func_bio_opt__tx tmp57__func_bio_opt__ty))) ; (tmp57__global__4__instrumented__ = (tmp57__func_bio_opt__tx * tmp57__func_bio_opt__ty))
(assert (= tmp2__global__s2_56 tmp57__global__4__instrumented__)) ; (tmp2__global__s2_56 = tmp57__global__4__instrumented__)
(assert (= tmp57__global__5__instrumented__ (- tmp57__func_bio_opt__tx))) ; (tmp57__global__5__instrumented__ = -(tmp57__func_bio_opt__tx))
(assert (= tmp57__global__6__instrumented__ (* (- tmp57__func_bio_opt__tx) tmp57__func_bio_opt__t))) ; (tmp57__global__6__instrumented__ = (-(tmp57__func_bio_opt__tx) * tmp57__func_bio_opt__t))
(assert (= tmp2__global__s3_56 tmp57__global__6__instrumented__)) ; (tmp2__global__s3_56 = tmp57__global__6__instrumented__)
(assert (= tmp57__global__7__instrumented__ (* tmp57__func_bio_opt__ty tmp57__func_bio_opt__ty))) ; (tmp57__global__7__instrumented__ = (tmp57__func_bio_opt__ty * tmp57__func_bio_opt__ty))
(assert (= tmp2__global__s4_56 tmp57__global__7__instrumented__)) ; (tmp2__global__s4_56 = tmp57__global__7__instrumented__)
(assert (= tmp57__global__8__instrumented__ (- tmp57__func_bio_opt__ty))) ; (tmp57__global__8__instrumented__ = -(tmp57__func_bio_opt__ty))
(assert (= tmp57__global__9__instrumented__ (* (- tmp57__func_bio_opt__ty) tmp57__func_bio_opt__t))) ; (tmp57__global__9__instrumented__ = (-(tmp57__func_bio_opt__ty) * tmp57__func_bio_opt__t))
(assert (= tmp2__global__s5_56 tmp57__global__9__instrumented__)) ; (tmp2__global__s5_56 = tmp57__global__9__instrumented__)
(assert (= tmp58__global__0__instrumented__ (- tmp1__global__predL0_57 tmp1__global__predL1_57))) ; (tmp58__global__0__instrumented__ = (tmp1__global__predL0_57 - tmp1__global__predL1_57))
(assert (= tmp58__func_bio_opt__t tmp58__global__0__instrumented__)) ; (tmp58__func_bio_opt__t = tmp58__global__0__instrumented__)
(assert (= tmp58__global__1__instrumented__ (+ tmp1__global__gradXL0_57 tmp1__global__gradXL1_57))) ; (tmp58__global__1__instrumented__ = (tmp1__global__gradXL0_57 + tmp1__global__gradXL1_57))
(assert (= tmp58__func_bio_opt__tx tmp58__global__1__instrumented__)) ; (tmp58__func_bio_opt__tx = tmp58__global__1__instrumented__)
(assert (= tmp58__global__2__instrumented__ (+ tmp1__global__gradYL0_57 tmp1__global__gradYL1_57))) ; (tmp58__global__2__instrumented__ = (tmp1__global__gradYL0_57 + tmp1__global__gradYL1_57))
(assert (= tmp58__func_bio_opt__ty tmp58__global__2__instrumented__)) ; (tmp58__func_bio_opt__ty = tmp58__global__2__instrumented__)
(assert (= tmp58__global__3__instrumented__ (* tmp58__func_bio_opt__tx tmp58__func_bio_opt__tx))) ; (tmp58__global__3__instrumented__ = (tmp58__func_bio_opt__tx * tmp58__func_bio_opt__tx))
(assert (= tmp2__global__s1_57 tmp58__global__3__instrumented__)) ; (tmp2__global__s1_57 = tmp58__global__3__instrumented__)
(assert (= tmp58__global__4__instrumented__ (* tmp58__func_bio_opt__tx tmp58__func_bio_opt__ty))) ; (tmp58__global__4__instrumented__ = (tmp58__func_bio_opt__tx * tmp58__func_bio_opt__ty))
(assert (= tmp2__global__s2_57 tmp58__global__4__instrumented__)) ; (tmp2__global__s2_57 = tmp58__global__4__instrumented__)
(assert (= tmp58__global__5__instrumented__ (- tmp58__func_bio_opt__tx))) ; (tmp58__global__5__instrumented__ = -(tmp58__func_bio_opt__tx))
(assert (= tmp58__global__6__instrumented__ (* (- tmp58__func_bio_opt__tx) tmp58__func_bio_opt__t))) ; (tmp58__global__6__instrumented__ = (-(tmp58__func_bio_opt__tx) * tmp58__func_bio_opt__t))
(assert (= tmp2__global__s3_57 tmp58__global__6__instrumented__)) ; (tmp2__global__s3_57 = tmp58__global__6__instrumented__)
(assert (= tmp58__global__7__instrumented__ (* tmp58__func_bio_opt__ty tmp58__func_bio_opt__ty))) ; (tmp58__global__7__instrumented__ = (tmp58__func_bio_opt__ty * tmp58__func_bio_opt__ty))
(assert (= tmp2__global__s4_57 tmp58__global__7__instrumented__)) ; (tmp2__global__s4_57 = tmp58__global__7__instrumented__)
(assert (= tmp58__global__8__instrumented__ (- tmp58__func_bio_opt__ty))) ; (tmp58__global__8__instrumented__ = -(tmp58__func_bio_opt__ty))
(assert (= tmp58__global__9__instrumented__ (* (- tmp58__func_bio_opt__ty) tmp58__func_bio_opt__t))) ; (tmp58__global__9__instrumented__ = (-(tmp58__func_bio_opt__ty) * tmp58__func_bio_opt__t))
(assert (= tmp2__global__s5_57 tmp58__global__9__instrumented__)) ; (tmp2__global__s5_57 = tmp58__global__9__instrumented__)
(assert (= tmp59__global__0__instrumented__ (- tmp1__global__predL0_58 tmp1__global__predL1_58))) ; (tmp59__global__0__instrumented__ = (tmp1__global__predL0_58 - tmp1__global__predL1_58))
(assert (= tmp59__func_bio_opt__t tmp59__global__0__instrumented__)) ; (tmp59__func_bio_opt__t = tmp59__global__0__instrumented__)
(assert (= tmp59__global__1__instrumented__ (+ tmp1__global__gradXL0_58 tmp1__global__gradXL1_58))) ; (tmp59__global__1__instrumented__ = (tmp1__global__gradXL0_58 + tmp1__global__gradXL1_58))
(assert (= tmp59__func_bio_opt__tx tmp59__global__1__instrumented__)) ; (tmp59__func_bio_opt__tx = tmp59__global__1__instrumented__)
(assert (= tmp59__global__2__instrumented__ (+ tmp1__global__gradYL0_58 tmp1__global__gradYL1_58))) ; (tmp59__global__2__instrumented__ = (tmp1__global__gradYL0_58 + tmp1__global__gradYL1_58))
(assert (= tmp59__func_bio_opt__ty tmp59__global__2__instrumented__)) ; (tmp59__func_bio_opt__ty = tmp59__global__2__instrumented__)
(assert (= tmp59__global__3__instrumented__ (* tmp59__func_bio_opt__tx tmp59__func_bio_opt__tx))) ; (tmp59__global__3__instrumented__ = (tmp59__func_bio_opt__tx * tmp59__func_bio_opt__tx))
(assert (= tmp2__global__s1_58 tmp59__global__3__instrumented__)) ; (tmp2__global__s1_58 = tmp59__global__3__instrumented__)
(assert (= tmp59__global__4__instrumented__ (* tmp59__func_bio_opt__tx tmp59__func_bio_opt__ty))) ; (tmp59__global__4__instrumented__ = (tmp59__func_bio_opt__tx * tmp59__func_bio_opt__ty))
(assert (= tmp2__global__s2_58 tmp59__global__4__instrumented__)) ; (tmp2__global__s2_58 = tmp59__global__4__instrumented__)
(assert (= tmp59__global__5__instrumented__ (- tmp59__func_bio_opt__tx))) ; (tmp59__global__5__instrumented__ = -(tmp59__func_bio_opt__tx))
(assert (= tmp59__global__6__instrumented__ (* (- tmp59__func_bio_opt__tx) tmp59__func_bio_opt__t))) ; (tmp59__global__6__instrumented__ = (-(tmp59__func_bio_opt__tx) * tmp59__func_bio_opt__t))
(assert (= tmp2__global__s3_58 tmp59__global__6__instrumented__)) ; (tmp2__global__s3_58 = tmp59__global__6__instrumented__)
(assert (= tmp59__global__7__instrumented__ (* tmp59__func_bio_opt__ty tmp59__func_bio_opt__ty))) ; (tmp59__global__7__instrumented__ = (tmp59__func_bio_opt__ty * tmp59__func_bio_opt__ty))
(assert (= tmp2__global__s4_58 tmp59__global__7__instrumented__)) ; (tmp2__global__s4_58 = tmp59__global__7__instrumented__)
(assert (= tmp59__global__8__instrumented__ (- tmp59__func_bio_opt__ty))) ; (tmp59__global__8__instrumented__ = -(tmp59__func_bio_opt__ty))
(assert (= tmp59__global__9__instrumented__ (* (- tmp59__func_bio_opt__ty) tmp59__func_bio_opt__t))) ; (tmp59__global__9__instrumented__ = (-(tmp59__func_bio_opt__ty) * tmp59__func_bio_opt__t))
(assert (= tmp2__global__s5_58 tmp59__global__9__instrumented__)) ; (tmp2__global__s5_58 = tmp59__global__9__instrumented__)
(assert (= tmp60__global__0__instrumented__ (- tmp1__global__predL0_59 tmp1__global__predL1_59))) ; (tmp60__global__0__instrumented__ = (tmp1__global__predL0_59 - tmp1__global__predL1_59))
(assert (= tmp60__func_bio_opt__t tmp60__global__0__instrumented__)) ; (tmp60__func_bio_opt__t = tmp60__global__0__instrumented__)
(assert (= tmp60__global__1__instrumented__ (+ tmp1__global__gradXL0_59 tmp1__global__gradXL1_59))) ; (tmp60__global__1__instrumented__ = (tmp1__global__gradXL0_59 + tmp1__global__gradXL1_59))
(assert (= tmp60__func_bio_opt__tx tmp60__global__1__instrumented__)) ; (tmp60__func_bio_opt__tx = tmp60__global__1__instrumented__)
(assert (= tmp60__global__2__instrumented__ (+ tmp1__global__gradYL0_59 tmp1__global__gradYL1_59))) ; (tmp60__global__2__instrumented__ = (tmp1__global__gradYL0_59 + tmp1__global__gradYL1_59))
(assert (= tmp60__func_bio_opt__ty tmp60__global__2__instrumented__)) ; (tmp60__func_bio_opt__ty = tmp60__global__2__instrumented__)
(assert (= tmp60__global__3__instrumented__ (* tmp60__func_bio_opt__tx tmp60__func_bio_opt__tx))) ; (tmp60__global__3__instrumented__ = (tmp60__func_bio_opt__tx * tmp60__func_bio_opt__tx))
(assert (= tmp2__global__s1_59 tmp60__global__3__instrumented__)) ; (tmp2__global__s1_59 = tmp60__global__3__instrumented__)
(assert (= tmp60__global__4__instrumented__ (* tmp60__func_bio_opt__tx tmp60__func_bio_opt__ty))) ; (tmp60__global__4__instrumented__ = (tmp60__func_bio_opt__tx * tmp60__func_bio_opt__ty))
(assert (= tmp2__global__s2_59 tmp60__global__4__instrumented__)) ; (tmp2__global__s2_59 = tmp60__global__4__instrumented__)
(assert (= tmp60__global__5__instrumented__ (- tmp60__func_bio_opt__tx))) ; (tmp60__global__5__instrumented__ = -(tmp60__func_bio_opt__tx))
(assert (= tmp60__global__6__instrumented__ (* (- tmp60__func_bio_opt__tx) tmp60__func_bio_opt__t))) ; (tmp60__global__6__instrumented__ = (-(tmp60__func_bio_opt__tx) * tmp60__func_bio_opt__t))
(assert (= tmp2__global__s3_59 tmp60__global__6__instrumented__)) ; (tmp2__global__s3_59 = tmp60__global__6__instrumented__)
(assert (= tmp60__global__7__instrumented__ (* tmp60__func_bio_opt__ty tmp60__func_bio_opt__ty))) ; (tmp60__global__7__instrumented__ = (tmp60__func_bio_opt__ty * tmp60__func_bio_opt__ty))
(assert (= tmp2__global__s4_59 tmp60__global__7__instrumented__)) ; (tmp2__global__s4_59 = tmp60__global__7__instrumented__)
(assert (= tmp60__global__8__instrumented__ (- tmp60__func_bio_opt__ty))) ; (tmp60__global__8__instrumented__ = -(tmp60__func_bio_opt__ty))
(assert (= tmp60__global__9__instrumented__ (* (- tmp60__func_bio_opt__ty) tmp60__func_bio_opt__t))) ; (tmp60__global__9__instrumented__ = (-(tmp60__func_bio_opt__ty) * tmp60__func_bio_opt__t))
(assert (= tmp2__global__s5_59 tmp60__global__9__instrumented__)) ; (tmp2__global__s5_59 = tmp60__global__9__instrumented__)
(assert (= tmp61__global__0__instrumented__ (- tmp1__global__predL0_60 tmp1__global__predL1_60))) ; (tmp61__global__0__instrumented__ = (tmp1__global__predL0_60 - tmp1__global__predL1_60))
(assert (= tmp61__func_bio_opt__t tmp61__global__0__instrumented__)) ; (tmp61__func_bio_opt__t = tmp61__global__0__instrumented__)
(assert (= tmp61__global__1__instrumented__ (+ tmp1__global__gradXL0_60 tmp1__global__gradXL1_60))) ; (tmp61__global__1__instrumented__ = (tmp1__global__gradXL0_60 + tmp1__global__gradXL1_60))
(assert (= tmp61__func_bio_opt__tx tmp61__global__1__instrumented__)) ; (tmp61__func_bio_opt__tx = tmp61__global__1__instrumented__)
(assert (= tmp61__global__2__instrumented__ (+ tmp1__global__gradYL0_60 tmp1__global__gradYL1_60))) ; (tmp61__global__2__instrumented__ = (tmp1__global__gradYL0_60 + tmp1__global__gradYL1_60))
(assert (= tmp61__func_bio_opt__ty tmp61__global__2__instrumented__)) ; (tmp61__func_bio_opt__ty = tmp61__global__2__instrumented__)
(assert (= tmp61__global__3__instrumented__ (* tmp61__func_bio_opt__tx tmp61__func_bio_opt__tx))) ; (tmp61__global__3__instrumented__ = (tmp61__func_bio_opt__tx * tmp61__func_bio_opt__tx))
(assert (= tmp2__global__s1_60 tmp61__global__3__instrumented__)) ; (tmp2__global__s1_60 = tmp61__global__3__instrumented__)
(assert (= tmp61__global__4__instrumented__ (* tmp61__func_bio_opt__tx tmp61__func_bio_opt__ty))) ; (tmp61__global__4__instrumented__ = (tmp61__func_bio_opt__tx * tmp61__func_bio_opt__ty))
(assert (= tmp2__global__s2_60 tmp61__global__4__instrumented__)) ; (tmp2__global__s2_60 = tmp61__global__4__instrumented__)
(assert (= tmp61__global__5__instrumented__ (- tmp61__func_bio_opt__tx))) ; (tmp61__global__5__instrumented__ = -(tmp61__func_bio_opt__tx))
(assert (= tmp61__global__6__instrumented__ (* (- tmp61__func_bio_opt__tx) tmp61__func_bio_opt__t))) ; (tmp61__global__6__instrumented__ = (-(tmp61__func_bio_opt__tx) * tmp61__func_bio_opt__t))
(assert (= tmp2__global__s3_60 tmp61__global__6__instrumented__)) ; (tmp2__global__s3_60 = tmp61__global__6__instrumented__)
(assert (= tmp61__global__7__instrumented__ (* tmp61__func_bio_opt__ty tmp61__func_bio_opt__ty))) ; (tmp61__global__7__instrumented__ = (tmp61__func_bio_opt__ty * tmp61__func_bio_opt__ty))
(assert (= tmp2__global__s4_60 tmp61__global__7__instrumented__)) ; (tmp2__global__s4_60 = tmp61__global__7__instrumented__)
(assert (= tmp61__global__8__instrumented__ (- tmp61__func_bio_opt__ty))) ; (tmp61__global__8__instrumented__ = -(tmp61__func_bio_opt__ty))
(assert (= tmp61__global__9__instrumented__ (* (- tmp61__func_bio_opt__ty) tmp61__func_bio_opt__t))) ; (tmp61__global__9__instrumented__ = (-(tmp61__func_bio_opt__ty) * tmp61__func_bio_opt__t))
(assert (= tmp2__global__s5_60 tmp61__global__9__instrumented__)) ; (tmp2__global__s5_60 = tmp61__global__9__instrumented__)
(assert (= tmp62__global__0__instrumented__ (- tmp1__global__predL0_61 tmp1__global__predL1_61))) ; (tmp62__global__0__instrumented__ = (tmp1__global__predL0_61 - tmp1__global__predL1_61))
(assert (= tmp62__func_bio_opt__t tmp62__global__0__instrumented__)) ; (tmp62__func_bio_opt__t = tmp62__global__0__instrumented__)
(assert (= tmp62__global__1__instrumented__ (+ tmp1__global__gradXL0_61 tmp1__global__gradXL1_61))) ; (tmp62__global__1__instrumented__ = (tmp1__global__gradXL0_61 + tmp1__global__gradXL1_61))
(assert (= tmp62__func_bio_opt__tx tmp62__global__1__instrumented__)) ; (tmp62__func_bio_opt__tx = tmp62__global__1__instrumented__)
(assert (= tmp62__global__2__instrumented__ (+ tmp1__global__gradYL0_61 tmp1__global__gradYL1_61))) ; (tmp62__global__2__instrumented__ = (tmp1__global__gradYL0_61 + tmp1__global__gradYL1_61))
(assert (= tmp62__func_bio_opt__ty tmp62__global__2__instrumented__)) ; (tmp62__func_bio_opt__ty = tmp62__global__2__instrumented__)
(assert (= tmp62__global__3__instrumented__ (* tmp62__func_bio_opt__tx tmp62__func_bio_opt__tx))) ; (tmp62__global__3__instrumented__ = (tmp62__func_bio_opt__tx * tmp62__func_bio_opt__tx))
(assert (= tmp2__global__s1_61 tmp62__global__3__instrumented__)) ; (tmp2__global__s1_61 = tmp62__global__3__instrumented__)
(assert (= tmp62__global__4__instrumented__ (* tmp62__func_bio_opt__tx tmp62__func_bio_opt__ty))) ; (tmp62__global__4__instrumented__ = (tmp62__func_bio_opt__tx * tmp62__func_bio_opt__ty))
(assert (= tmp2__global__s2_61 tmp62__global__4__instrumented__)) ; (tmp2__global__s2_61 = tmp62__global__4__instrumented__)
(assert (= tmp62__global__5__instrumented__ (- tmp62__func_bio_opt__tx))) ; (tmp62__global__5__instrumented__ = -(tmp62__func_bio_opt__tx))
(assert (= tmp62__global__6__instrumented__ (* (- tmp62__func_bio_opt__tx) tmp62__func_bio_opt__t))) ; (tmp62__global__6__instrumented__ = (-(tmp62__func_bio_opt__tx) * tmp62__func_bio_opt__t))
(assert (= tmp2__global__s3_61 tmp62__global__6__instrumented__)) ; (tmp2__global__s3_61 = tmp62__global__6__instrumented__)
(assert (= tmp62__global__7__instrumented__ (* tmp62__func_bio_opt__ty tmp62__func_bio_opt__ty))) ; (tmp62__global__7__instrumented__ = (tmp62__func_bio_opt__ty * tmp62__func_bio_opt__ty))
(assert (= tmp2__global__s4_61 tmp62__global__7__instrumented__)) ; (tmp2__global__s4_61 = tmp62__global__7__instrumented__)
(assert (= tmp62__global__8__instrumented__ (- tmp62__func_bio_opt__ty))) ; (tmp62__global__8__instrumented__ = -(tmp62__func_bio_opt__ty))
(assert (= tmp62__global__9__instrumented__ (* (- tmp62__func_bio_opt__ty) tmp62__func_bio_opt__t))) ; (tmp62__global__9__instrumented__ = (-(tmp62__func_bio_opt__ty) * tmp62__func_bio_opt__t))
(assert (= tmp2__global__s5_61 tmp62__global__9__instrumented__)) ; (tmp2__global__s5_61 = tmp62__global__9__instrumented__)
(assert (= tmp63__global__0__instrumented__ (- tmp1__global__predL0_62 tmp1__global__predL1_62))) ; (tmp63__global__0__instrumented__ = (tmp1__global__predL0_62 - tmp1__global__predL1_62))
(assert (= tmp63__func_bio_opt__t tmp63__global__0__instrumented__)) ; (tmp63__func_bio_opt__t = tmp63__global__0__instrumented__)
(assert (= tmp63__global__1__instrumented__ (+ tmp1__global__gradXL0_62 tmp1__global__gradXL1_62))) ; (tmp63__global__1__instrumented__ = (tmp1__global__gradXL0_62 + tmp1__global__gradXL1_62))
(assert (= tmp63__func_bio_opt__tx tmp63__global__1__instrumented__)) ; (tmp63__func_bio_opt__tx = tmp63__global__1__instrumented__)
(assert (= tmp63__global__2__instrumented__ (+ tmp1__global__gradYL0_62 tmp1__global__gradYL1_62))) ; (tmp63__global__2__instrumented__ = (tmp1__global__gradYL0_62 + tmp1__global__gradYL1_62))
(assert (= tmp63__func_bio_opt__ty tmp63__global__2__instrumented__)) ; (tmp63__func_bio_opt__ty = tmp63__global__2__instrumented__)
(assert (= tmp63__global__3__instrumented__ (* tmp63__func_bio_opt__tx tmp63__func_bio_opt__tx))) ; (tmp63__global__3__instrumented__ = (tmp63__func_bio_opt__tx * tmp63__func_bio_opt__tx))
(assert (= tmp2__global__s1_62 tmp63__global__3__instrumented__)) ; (tmp2__global__s1_62 = tmp63__global__3__instrumented__)
(assert (= tmp63__global__4__instrumented__ (* tmp63__func_bio_opt__tx tmp63__func_bio_opt__ty))) ; (tmp63__global__4__instrumented__ = (tmp63__func_bio_opt__tx * tmp63__func_bio_opt__ty))
(assert (= tmp2__global__s2_62 tmp63__global__4__instrumented__)) ; (tmp2__global__s2_62 = tmp63__global__4__instrumented__)
(assert (= tmp63__global__5__instrumented__ (- tmp63__func_bio_opt__tx))) ; (tmp63__global__5__instrumented__ = -(tmp63__func_bio_opt__tx))
(assert (= tmp63__global__6__instrumented__ (* (- tmp63__func_bio_opt__tx) tmp63__func_bio_opt__t))) ; (tmp63__global__6__instrumented__ = (-(tmp63__func_bio_opt__tx) * tmp63__func_bio_opt__t))
(assert (= tmp2__global__s3_62 tmp63__global__6__instrumented__)) ; (tmp2__global__s3_62 = tmp63__global__6__instrumented__)
(assert (= tmp63__global__7__instrumented__ (* tmp63__func_bio_opt__ty tmp63__func_bio_opt__ty))) ; (tmp63__global__7__instrumented__ = (tmp63__func_bio_opt__ty * tmp63__func_bio_opt__ty))
(assert (= tmp2__global__s4_62 tmp63__global__7__instrumented__)) ; (tmp2__global__s4_62 = tmp63__global__7__instrumented__)
(assert (= tmp63__global__8__instrumented__ (- tmp63__func_bio_opt__ty))) ; (tmp63__global__8__instrumented__ = -(tmp63__func_bio_opt__ty))
(assert (= tmp63__global__9__instrumented__ (* (- tmp63__func_bio_opt__ty) tmp63__func_bio_opt__t))) ; (tmp63__global__9__instrumented__ = (-(tmp63__func_bio_opt__ty) * tmp63__func_bio_opt__t))
(assert (= tmp2__global__s5_62 tmp63__global__9__instrumented__)) ; (tmp2__global__s5_62 = tmp63__global__9__instrumented__)
(assert (= tmp64__global__0__instrumented__ (- tmp1__global__predL0_63 tmp1__global__predL1_63))) ; (tmp64__global__0__instrumented__ = (tmp1__global__predL0_63 - tmp1__global__predL1_63))
(assert (= tmp64__func_bio_opt__t tmp64__global__0__instrumented__)) ; (tmp64__func_bio_opt__t = tmp64__global__0__instrumented__)
(assert (= tmp64__global__1__instrumented__ (+ tmp1__global__gradXL0_63 tmp1__global__gradXL1_63))) ; (tmp64__global__1__instrumented__ = (tmp1__global__gradXL0_63 + tmp1__global__gradXL1_63))
(assert (= tmp64__func_bio_opt__tx tmp64__global__1__instrumented__)) ; (tmp64__func_bio_opt__tx = tmp64__global__1__instrumented__)
(assert (= tmp64__global__2__instrumented__ (+ tmp1__global__gradYL0_63 tmp1__global__gradYL1_63))) ; (tmp64__global__2__instrumented__ = (tmp1__global__gradYL0_63 + tmp1__global__gradYL1_63))
(assert (= tmp64__func_bio_opt__ty tmp64__global__2__instrumented__)) ; (tmp64__func_bio_opt__ty = tmp64__global__2__instrumented__)
(assert (= tmp64__global__3__instrumented__ (* tmp64__func_bio_opt__tx tmp64__func_bio_opt__tx))) ; (tmp64__global__3__instrumented__ = (tmp64__func_bio_opt__tx * tmp64__func_bio_opt__tx))
(assert (= tmp2__global__s1_63 tmp64__global__3__instrumented__)) ; (tmp2__global__s1_63 = tmp64__global__3__instrumented__)
(assert (= tmp64__global__4__instrumented__ (* tmp64__func_bio_opt__tx tmp64__func_bio_opt__ty))) ; (tmp64__global__4__instrumented__ = (tmp64__func_bio_opt__tx * tmp64__func_bio_opt__ty))
(assert (= tmp2__global__s2_63 tmp64__global__4__instrumented__)) ; (tmp2__global__s2_63 = tmp64__global__4__instrumented__)
(assert (= tmp64__global__5__instrumented__ (- tmp64__func_bio_opt__tx))) ; (tmp64__global__5__instrumented__ = -(tmp64__func_bio_opt__tx))
(assert (= tmp64__global__6__instrumented__ (* (- tmp64__func_bio_opt__tx) tmp64__func_bio_opt__t))) ; (tmp64__global__6__instrumented__ = (-(tmp64__func_bio_opt__tx) * tmp64__func_bio_opt__t))
(assert (= tmp2__global__s3_63 tmp64__global__6__instrumented__)) ; (tmp2__global__s3_63 = tmp64__global__6__instrumented__)
(assert (= tmp64__global__7__instrumented__ (* tmp64__func_bio_opt__ty tmp64__func_bio_opt__ty))) ; (tmp64__global__7__instrumented__ = (tmp64__func_bio_opt__ty * tmp64__func_bio_opt__ty))
(assert (= tmp2__global__s4_63 tmp64__global__7__instrumented__)) ; (tmp2__global__s4_63 = tmp64__global__7__instrumented__)
(assert (= tmp64__global__8__instrumented__ (- tmp64__func_bio_opt__ty))) ; (tmp64__global__8__instrumented__ = -(tmp64__func_bio_opt__ty))
(assert (= tmp64__global__9__instrumented__ (* (- tmp64__func_bio_opt__ty) tmp64__func_bio_opt__t))) ; (tmp64__global__9__instrumented__ = (-(tmp64__func_bio_opt__ty) * tmp64__func_bio_opt__t))
(assert (= tmp2__global__s5_63 tmp64__global__9__instrumented__)) ; (tmp2__global__s5_63 = tmp64__global__9__instrumented__)
(assert (= tmp1__global__10__instrumented__ (+ 0 tmp2__global__s1_0))) ; (tmp1__global__10__instrumented__ = (0 + tmp2__global__s1_0))
(assert (= tmp1__func_bio_opt__t1 tmp1__global__10__instrumented__)) ; (tmp1__func_bio_opt__t1 = tmp1__global__10__instrumented__)
(assert (= tmp1__global__11__instrumented__ (+ 0 tmp2__global__s2_0))) ; (tmp1__global__11__instrumented__ = (0 + tmp2__global__s2_0))
(assert (= tmp1__func_bio_opt__t2 tmp1__global__11__instrumented__)) ; (tmp1__func_bio_opt__t2 = tmp1__global__11__instrumented__)
(assert (= tmp1__global__12__instrumented__ (+ 0 tmp2__global__s3_0))) ; (tmp1__global__12__instrumented__ = (0 + tmp2__global__s3_0))
(assert (= tmp1__func_bio_opt__t3 tmp1__global__12__instrumented__)) ; (tmp1__func_bio_opt__t3 = tmp1__global__12__instrumented__)
(assert (= tmp1__global__13__instrumented__ (+ 0 tmp2__global__s4_0))) ; (tmp1__global__13__instrumented__ = (0 + tmp2__global__s4_0))
(assert (= tmp1__func_bio_opt__t4 tmp1__global__13__instrumented__)) ; (tmp1__func_bio_opt__t4 = tmp1__global__13__instrumented__)
(assert (= tmp1__global__14__instrumented__ (+ 0 tmp2__global__s5_0))) ; (tmp1__global__14__instrumented__ = (0 + tmp2__global__s5_0))
(assert (= tmp1__func_bio_opt__t5 tmp1__global__14__instrumented__)) ; (tmp1__func_bio_opt__t5 = tmp1__global__14__instrumented__)
(assert (= tmp2__global__10__instrumented__ (+ tmp1__func_bio_opt__t1 tmp2__global__s1_1))) ; (tmp2__global__10__instrumented__ = (tmp1__func_bio_opt__t1 + tmp2__global__s1_1))
(assert (= tmp2__func_bio_opt__t1 tmp2__global__10__instrumented__)) ; (tmp2__func_bio_opt__t1 = tmp2__global__10__instrumented__)
(assert (= tmp2__global__11__instrumented__ (+ tmp1__func_bio_opt__t2 tmp2__global__s2_1))) ; (tmp2__global__11__instrumented__ = (tmp1__func_bio_opt__t2 + tmp2__global__s2_1))
(assert (= tmp2__func_bio_opt__t2 tmp2__global__11__instrumented__)) ; (tmp2__func_bio_opt__t2 = tmp2__global__11__instrumented__)
(assert (= tmp2__global__12__instrumented__ (+ tmp1__func_bio_opt__t3 tmp2__global__s3_1))) ; (tmp2__global__12__instrumented__ = (tmp1__func_bio_opt__t3 + tmp2__global__s3_1))
(assert (= tmp2__func_bio_opt__t3 tmp2__global__12__instrumented__)) ; (tmp2__func_bio_opt__t3 = tmp2__global__12__instrumented__)
(assert (= tmp2__global__13__instrumented__ (+ tmp1__func_bio_opt__t4 tmp2__global__s4_1))) ; (tmp2__global__13__instrumented__ = (tmp1__func_bio_opt__t4 + tmp2__global__s4_1))
(assert (= tmp2__func_bio_opt__t4 tmp2__global__13__instrumented__)) ; (tmp2__func_bio_opt__t4 = tmp2__global__13__instrumented__)
(assert (= tmp2__global__14__instrumented__ (+ tmp1__func_bio_opt__t5 tmp2__global__s5_1))) ; (tmp2__global__14__instrumented__ = (tmp1__func_bio_opt__t5 + tmp2__global__s5_1))
(assert (= tmp2__func_bio_opt__t5 tmp2__global__14__instrumented__)) ; (tmp2__func_bio_opt__t5 = tmp2__global__14__instrumented__)
(assert (= tmp3__global__10__instrumented__ (+ tmp2__func_bio_opt__t1 tmp2__global__s1_2))) ; (tmp3__global__10__instrumented__ = (tmp2__func_bio_opt__t1 + tmp2__global__s1_2))
(assert (= tmp3__func_bio_opt__t1 tmp3__global__10__instrumented__)) ; (tmp3__func_bio_opt__t1 = tmp3__global__10__instrumented__)
(assert (= tmp3__global__11__instrumented__ (+ tmp2__func_bio_opt__t2 tmp2__global__s2_2))) ; (tmp3__global__11__instrumented__ = (tmp2__func_bio_opt__t2 + tmp2__global__s2_2))
(assert (= tmp3__func_bio_opt__t2 tmp3__global__11__instrumented__)) ; (tmp3__func_bio_opt__t2 = tmp3__global__11__instrumented__)
(assert (= tmp3__global__12__instrumented__ (+ tmp2__func_bio_opt__t3 tmp2__global__s3_2))) ; (tmp3__global__12__instrumented__ = (tmp2__func_bio_opt__t3 + tmp2__global__s3_2))
(assert (= tmp3__func_bio_opt__t3 tmp3__global__12__instrumented__)) ; (tmp3__func_bio_opt__t3 = tmp3__global__12__instrumented__)
(assert (= tmp3__global__13__instrumented__ (+ tmp2__func_bio_opt__t4 tmp2__global__s4_2))) ; (tmp3__global__13__instrumented__ = (tmp2__func_bio_opt__t4 + tmp2__global__s4_2))
(assert (= tmp3__func_bio_opt__t4 tmp3__global__13__instrumented__)) ; (tmp3__func_bio_opt__t4 = tmp3__global__13__instrumented__)
(assert (= tmp3__global__14__instrumented__ (+ tmp2__func_bio_opt__t5 tmp2__global__s5_2))) ; (tmp3__global__14__instrumented__ = (tmp2__func_bio_opt__t5 + tmp2__global__s5_2))
(assert (= tmp3__func_bio_opt__t5 tmp3__global__14__instrumented__)) ; (tmp3__func_bio_opt__t5 = tmp3__global__14__instrumented__)
(assert (= tmp4__global__10__instrumented__ (+ tmp3__func_bio_opt__t1 tmp2__global__s1_3))) ; (tmp4__global__10__instrumented__ = (tmp3__func_bio_opt__t1 + tmp2__global__s1_3))
(assert (= tmp4__func_bio_opt__t1 tmp4__global__10__instrumented__)) ; (tmp4__func_bio_opt__t1 = tmp4__global__10__instrumented__)
(assert (= tmp4__global__11__instrumented__ (+ tmp3__func_bio_opt__t2 tmp2__global__s2_3))) ; (tmp4__global__11__instrumented__ = (tmp3__func_bio_opt__t2 + tmp2__global__s2_3))
(assert (= tmp4__func_bio_opt__t2 tmp4__global__11__instrumented__)) ; (tmp4__func_bio_opt__t2 = tmp4__global__11__instrumented__)
(assert (= tmp4__global__12__instrumented__ (+ tmp3__func_bio_opt__t3 tmp2__global__s3_3))) ; (tmp4__global__12__instrumented__ = (tmp3__func_bio_opt__t3 + tmp2__global__s3_3))
(assert (= tmp4__func_bio_opt__t3 tmp4__global__12__instrumented__)) ; (tmp4__func_bio_opt__t3 = tmp4__global__12__instrumented__)
(assert (= tmp4__global__13__instrumented__ (+ tmp3__func_bio_opt__t4 tmp2__global__s4_3))) ; (tmp4__global__13__instrumented__ = (tmp3__func_bio_opt__t4 + tmp2__global__s4_3))
(assert (= tmp4__func_bio_opt__t4 tmp4__global__13__instrumented__)) ; (tmp4__func_bio_opt__t4 = tmp4__global__13__instrumented__)
(assert (= tmp4__global__14__instrumented__ (+ tmp3__func_bio_opt__t5 tmp2__global__s5_3))) ; (tmp4__global__14__instrumented__ = (tmp3__func_bio_opt__t5 + tmp2__global__s5_3))
(assert (= tmp4__func_bio_opt__t5 tmp4__global__14__instrumented__)) ; (tmp4__func_bio_opt__t5 = tmp4__global__14__instrumented__)
(assert (= tmp5__global__10__instrumented__ (+ tmp4__func_bio_opt__t1 tmp2__global__s1_8))) ; (tmp5__global__10__instrumented__ = (tmp4__func_bio_opt__t1 + tmp2__global__s1_8))
(assert (= tmp5__func_bio_opt__t1 tmp5__global__10__instrumented__)) ; (tmp5__func_bio_opt__t1 = tmp5__global__10__instrumented__)
(assert (= tmp5__global__11__instrumented__ (+ tmp4__func_bio_opt__t2 tmp2__global__s2_8))) ; (tmp5__global__11__instrumented__ = (tmp4__func_bio_opt__t2 + tmp2__global__s2_8))
(assert (= tmp5__func_bio_opt__t2 tmp5__global__11__instrumented__)) ; (tmp5__func_bio_opt__t2 = tmp5__global__11__instrumented__)
(assert (= tmp5__global__12__instrumented__ (+ tmp4__func_bio_opt__t3 tmp2__global__s3_8))) ; (tmp5__global__12__instrumented__ = (tmp4__func_bio_opt__t3 + tmp2__global__s3_8))
(assert (= tmp5__func_bio_opt__t3 tmp5__global__12__instrumented__)) ; (tmp5__func_bio_opt__t3 = tmp5__global__12__instrumented__)
(assert (= tmp5__global__13__instrumented__ (+ tmp4__func_bio_opt__t4 tmp2__global__s4_8))) ; (tmp5__global__13__instrumented__ = (tmp4__func_bio_opt__t4 + tmp2__global__s4_8))
(assert (= tmp5__func_bio_opt__t4 tmp5__global__13__instrumented__)) ; (tmp5__func_bio_opt__t4 = tmp5__global__13__instrumented__)
(assert (= tmp5__global__14__instrumented__ (+ tmp4__func_bio_opt__t5 tmp2__global__s5_8))) ; (tmp5__global__14__instrumented__ = (tmp4__func_bio_opt__t5 + tmp2__global__s5_8))
(assert (= tmp5__func_bio_opt__t5 tmp5__global__14__instrumented__)) ; (tmp5__func_bio_opt__t5 = tmp5__global__14__instrumented__)
(assert (= tmp6__global__10__instrumented__ (+ tmp5__func_bio_opt__t1 tmp2__global__s1_9))) ; (tmp6__global__10__instrumented__ = (tmp5__func_bio_opt__t1 + tmp2__global__s1_9))
(assert (= tmp6__func_bio_opt__t1 tmp6__global__10__instrumented__)) ; (tmp6__func_bio_opt__t1 = tmp6__global__10__instrumented__)
(assert (= tmp6__global__11__instrumented__ (+ tmp5__func_bio_opt__t2 tmp2__global__s2_9))) ; (tmp6__global__11__instrumented__ = (tmp5__func_bio_opt__t2 + tmp2__global__s2_9))
(assert (= tmp6__func_bio_opt__t2 tmp6__global__11__instrumented__)) ; (tmp6__func_bio_opt__t2 = tmp6__global__11__instrumented__)
(assert (= tmp6__global__12__instrumented__ (+ tmp5__func_bio_opt__t3 tmp2__global__s3_9))) ; (tmp6__global__12__instrumented__ = (tmp5__func_bio_opt__t3 + tmp2__global__s3_9))
(assert (= tmp6__func_bio_opt__t3 tmp6__global__12__instrumented__)) ; (tmp6__func_bio_opt__t3 = tmp6__global__12__instrumented__)
(assert (= tmp6__global__13__instrumented__ (+ tmp5__func_bio_opt__t4 tmp2__global__s4_9))) ; (tmp6__global__13__instrumented__ = (tmp5__func_bio_opt__t4 + tmp2__global__s4_9))
(assert (= tmp6__func_bio_opt__t4 tmp6__global__13__instrumented__)) ; (tmp6__func_bio_opt__t4 = tmp6__global__13__instrumented__)
(assert (= tmp6__global__14__instrumented__ (+ tmp5__func_bio_opt__t5 tmp2__global__s5_9))) ; (tmp6__global__14__instrumented__ = (tmp5__func_bio_opt__t5 + tmp2__global__s5_9))
(assert (= tmp6__func_bio_opt__t5 tmp6__global__14__instrumented__)) ; (tmp6__func_bio_opt__t5 = tmp6__global__14__instrumented__)
(assert (= tmp7__global__10__instrumented__ (+ tmp6__func_bio_opt__t1 tmp2__global__s1_10))) ; (tmp7__global__10__instrumented__ = (tmp6__func_bio_opt__t1 + tmp2__global__s1_10))
(assert (= tmp7__func_bio_opt__t1 tmp7__global__10__instrumented__)) ; (tmp7__func_bio_opt__t1 = tmp7__global__10__instrumented__)
(assert (= tmp7__global__11__instrumented__ (+ tmp6__func_bio_opt__t2 tmp2__global__s2_10))) ; (tmp7__global__11__instrumented__ = (tmp6__func_bio_opt__t2 + tmp2__global__s2_10))
(assert (= tmp7__func_bio_opt__t2 tmp7__global__11__instrumented__)) ; (tmp7__func_bio_opt__t2 = tmp7__global__11__instrumented__)
(assert (= tmp7__global__12__instrumented__ (+ tmp6__func_bio_opt__t3 tmp2__global__s3_10))) ; (tmp7__global__12__instrumented__ = (tmp6__func_bio_opt__t3 + tmp2__global__s3_10))
(assert (= tmp7__func_bio_opt__t3 tmp7__global__12__instrumented__)) ; (tmp7__func_bio_opt__t3 = tmp7__global__12__instrumented__)
(assert (= tmp7__global__13__instrumented__ (+ tmp6__func_bio_opt__t4 tmp2__global__s4_10))) ; (tmp7__global__13__instrumented__ = (tmp6__func_bio_opt__t4 + tmp2__global__s4_10))
(assert (= tmp7__func_bio_opt__t4 tmp7__global__13__instrumented__)) ; (tmp7__func_bio_opt__t4 = tmp7__global__13__instrumented__)
(assert (= tmp7__global__14__instrumented__ (+ tmp6__func_bio_opt__t5 tmp2__global__s5_10))) ; (tmp7__global__14__instrumented__ = (tmp6__func_bio_opt__t5 + tmp2__global__s5_10))
(assert (= tmp7__func_bio_opt__t5 tmp7__global__14__instrumented__)) ; (tmp7__func_bio_opt__t5 = tmp7__global__14__instrumented__)
(assert (= tmp8__global__10__instrumented__ (+ tmp7__func_bio_opt__t1 tmp2__global__s1_11))) ; (tmp8__global__10__instrumented__ = (tmp7__func_bio_opt__t1 + tmp2__global__s1_11))
(assert (= tmp8__func_bio_opt__t1 tmp8__global__10__instrumented__)) ; (tmp8__func_bio_opt__t1 = tmp8__global__10__instrumented__)
(assert (= tmp8__global__11__instrumented__ (+ tmp7__func_bio_opt__t2 tmp2__global__s2_11))) ; (tmp8__global__11__instrumented__ = (tmp7__func_bio_opt__t2 + tmp2__global__s2_11))
(assert (= tmp8__func_bio_opt__t2 tmp8__global__11__instrumented__)) ; (tmp8__func_bio_opt__t2 = tmp8__global__11__instrumented__)
(assert (= tmp8__global__12__instrumented__ (+ tmp7__func_bio_opt__t3 tmp2__global__s3_11))) ; (tmp8__global__12__instrumented__ = (tmp7__func_bio_opt__t3 + tmp2__global__s3_11))
(assert (= tmp8__func_bio_opt__t3 tmp8__global__12__instrumented__)) ; (tmp8__func_bio_opt__t3 = tmp8__global__12__instrumented__)
(assert (= tmp8__global__13__instrumented__ (+ tmp7__func_bio_opt__t4 tmp2__global__s4_11))) ; (tmp8__global__13__instrumented__ = (tmp7__func_bio_opt__t4 + tmp2__global__s4_11))
(assert (= tmp8__func_bio_opt__t4 tmp8__global__13__instrumented__)) ; (tmp8__func_bio_opt__t4 = tmp8__global__13__instrumented__)
(assert (= tmp8__global__14__instrumented__ (+ tmp7__func_bio_opt__t5 tmp2__global__s5_11))) ; (tmp8__global__14__instrumented__ = (tmp7__func_bio_opt__t5 + tmp2__global__s5_11))
(assert (= tmp8__func_bio_opt__t5 tmp8__global__14__instrumented__)) ; (tmp8__func_bio_opt__t5 = tmp8__global__14__instrumented__)
(assert (= tmp9__global__10__instrumented__ (+ tmp8__func_bio_opt__t1 tmp2__global__s1_16))) ; (tmp9__global__10__instrumented__ = (tmp8__func_bio_opt__t1 + tmp2__global__s1_16))
(assert (= tmp9__func_bio_opt__t1 tmp9__global__10__instrumented__)) ; (tmp9__func_bio_opt__t1 = tmp9__global__10__instrumented__)
(assert (= tmp9__global__11__instrumented__ (+ tmp8__func_bio_opt__t2 tmp2__global__s2_16))) ; (tmp9__global__11__instrumented__ = (tmp8__func_bio_opt__t2 + tmp2__global__s2_16))
(assert (= tmp9__func_bio_opt__t2 tmp9__global__11__instrumented__)) ; (tmp9__func_bio_opt__t2 = tmp9__global__11__instrumented__)
(assert (= tmp9__global__12__instrumented__ (+ tmp8__func_bio_opt__t3 tmp2__global__s3_16))) ; (tmp9__global__12__instrumented__ = (tmp8__func_bio_opt__t3 + tmp2__global__s3_16))
(assert (= tmp9__func_bio_opt__t3 tmp9__global__12__instrumented__)) ; (tmp9__func_bio_opt__t3 = tmp9__global__12__instrumented__)
(assert (= tmp9__global__13__instrumented__ (+ tmp8__func_bio_opt__t4 tmp2__global__s4_16))) ; (tmp9__global__13__instrumented__ = (tmp8__func_bio_opt__t4 + tmp2__global__s4_16))
(assert (= tmp9__func_bio_opt__t4 tmp9__global__13__instrumented__)) ; (tmp9__func_bio_opt__t4 = tmp9__global__13__instrumented__)
(assert (= tmp9__global__14__instrumented__ (+ tmp8__func_bio_opt__t5 tmp2__global__s5_16))) ; (tmp9__global__14__instrumented__ = (tmp8__func_bio_opt__t5 + tmp2__global__s5_16))
(assert (= tmp9__func_bio_opt__t5 tmp9__global__14__instrumented__)) ; (tmp9__func_bio_opt__t5 = tmp9__global__14__instrumented__)
(assert (= tmp10__global__10__instrumented__ (+ tmp9__func_bio_opt__t1 tmp2__global__s1_17))) ; (tmp10__global__10__instrumented__ = (tmp9__func_bio_opt__t1 + tmp2__global__s1_17))
(assert (= tmp10__func_bio_opt__t1 tmp10__global__10__instrumented__)) ; (tmp10__func_bio_opt__t1 = tmp10__global__10__instrumented__)
(assert (= tmp10__global__11__instrumented__ (+ tmp9__func_bio_opt__t2 tmp2__global__s2_17))) ; (tmp10__global__11__instrumented__ = (tmp9__func_bio_opt__t2 + tmp2__global__s2_17))
(assert (= tmp10__func_bio_opt__t2 tmp10__global__11__instrumented__)) ; (tmp10__func_bio_opt__t2 = tmp10__global__11__instrumented__)
(assert (= tmp10__global__12__instrumented__ (+ tmp9__func_bio_opt__t3 tmp2__global__s3_17))) ; (tmp10__global__12__instrumented__ = (tmp9__func_bio_opt__t3 + tmp2__global__s3_17))
(assert (= tmp10__func_bio_opt__t3 tmp10__global__12__instrumented__)) ; (tmp10__func_bio_opt__t3 = tmp10__global__12__instrumented__)
(assert (= tmp10__global__13__instrumented__ (+ tmp9__func_bio_opt__t4 tmp2__global__s4_17))) ; (tmp10__global__13__instrumented__ = (tmp9__func_bio_opt__t4 + tmp2__global__s4_17))
(assert (= tmp10__func_bio_opt__t4 tmp10__global__13__instrumented__)) ; (tmp10__func_bio_opt__t4 = tmp10__global__13__instrumented__)
(assert (= tmp10__global__14__instrumented__ (+ tmp9__func_bio_opt__t5 tmp2__global__s5_17))) ; (tmp10__global__14__instrumented__ = (tmp9__func_bio_opt__t5 + tmp2__global__s5_17))
(assert (= tmp10__func_bio_opt__t5 tmp10__global__14__instrumented__)) ; (tmp10__func_bio_opt__t5 = tmp10__global__14__instrumented__)
(assert (= tmp11__global__10__instrumented__ (+ tmp10__func_bio_opt__t1 tmp2__global__s1_18))) ; (tmp11__global__10__instrumented__ = (tmp10__func_bio_opt__t1 + tmp2__global__s1_18))
(assert (= tmp11__func_bio_opt__t1 tmp11__global__10__instrumented__)) ; (tmp11__func_bio_opt__t1 = tmp11__global__10__instrumented__)
(assert (= tmp11__global__11__instrumented__ (+ tmp10__func_bio_opt__t2 tmp2__global__s2_18))) ; (tmp11__global__11__instrumented__ = (tmp10__func_bio_opt__t2 + tmp2__global__s2_18))
(assert (= tmp11__func_bio_opt__t2 tmp11__global__11__instrumented__)) ; (tmp11__func_bio_opt__t2 = tmp11__global__11__instrumented__)
(assert (= tmp11__global__12__instrumented__ (+ tmp10__func_bio_opt__t3 tmp2__global__s3_18))) ; (tmp11__global__12__instrumented__ = (tmp10__func_bio_opt__t3 + tmp2__global__s3_18))
(assert (= tmp11__func_bio_opt__t3 tmp11__global__12__instrumented__)) ; (tmp11__func_bio_opt__t3 = tmp11__global__12__instrumented__)
(assert (= tmp11__global__13__instrumented__ (+ tmp10__func_bio_opt__t4 tmp2__global__s4_18))) ; (tmp11__global__13__instrumented__ = (tmp10__func_bio_opt__t4 + tmp2__global__s4_18))
(assert (= tmp11__func_bio_opt__t4 tmp11__global__13__instrumented__)) ; (tmp11__func_bio_opt__t4 = tmp11__global__13__instrumented__)
(assert (= tmp11__global__14__instrumented__ (+ tmp10__func_bio_opt__t5 tmp2__global__s5_18))) ; (tmp11__global__14__instrumented__ = (tmp10__func_bio_opt__t5 + tmp2__global__s5_18))
(assert (= tmp11__func_bio_opt__t5 tmp11__global__14__instrumented__)) ; (tmp11__func_bio_opt__t5 = tmp11__global__14__instrumented__)
(assert (= tmp12__global__10__instrumented__ (+ tmp11__func_bio_opt__t1 tmp2__global__s1_19))) ; (tmp12__global__10__instrumented__ = (tmp11__func_bio_opt__t1 + tmp2__global__s1_19))
(assert (= tmp12__func_bio_opt__t1 tmp12__global__10__instrumented__)) ; (tmp12__func_bio_opt__t1 = tmp12__global__10__instrumented__)
(assert (= tmp12__global__11__instrumented__ (+ tmp11__func_bio_opt__t2 tmp2__global__s2_19))) ; (tmp12__global__11__instrumented__ = (tmp11__func_bio_opt__t2 + tmp2__global__s2_19))
(assert (= tmp12__func_bio_opt__t2 tmp12__global__11__instrumented__)) ; (tmp12__func_bio_opt__t2 = tmp12__global__11__instrumented__)
(assert (= tmp12__global__12__instrumented__ (+ tmp11__func_bio_opt__t3 tmp2__global__s3_19))) ; (tmp12__global__12__instrumented__ = (tmp11__func_bio_opt__t3 + tmp2__global__s3_19))
(assert (= tmp12__func_bio_opt__t3 tmp12__global__12__instrumented__)) ; (tmp12__func_bio_opt__t3 = tmp12__global__12__instrumented__)
(assert (= tmp12__global__13__instrumented__ (+ tmp11__func_bio_opt__t4 tmp2__global__s4_19))) ; (tmp12__global__13__instrumented__ = (tmp11__func_bio_opt__t4 + tmp2__global__s4_19))
(assert (= tmp12__func_bio_opt__t4 tmp12__global__13__instrumented__)) ; (tmp12__func_bio_opt__t4 = tmp12__global__13__instrumented__)
(assert (= tmp12__global__14__instrumented__ (+ tmp11__func_bio_opt__t5 tmp2__global__s5_19))) ; (tmp12__global__14__instrumented__ = (tmp11__func_bio_opt__t5 + tmp2__global__s5_19))
(assert (= tmp12__func_bio_opt__t5 tmp12__global__14__instrumented__)) ; (tmp12__func_bio_opt__t5 = tmp12__global__14__instrumented__)
(assert (= tmp13__global__10__instrumented__ (+ tmp12__func_bio_opt__t1 tmp2__global__s1_24))) ; (tmp13__global__10__instrumented__ = (tmp12__func_bio_opt__t1 + tmp2__global__s1_24))
(assert (= tmp13__func_bio_opt__t1 tmp13__global__10__instrumented__)) ; (tmp13__func_bio_opt__t1 = tmp13__global__10__instrumented__)
(assert (= tmp13__global__11__instrumented__ (+ tmp12__func_bio_opt__t2 tmp2__global__s2_24))) ; (tmp13__global__11__instrumented__ = (tmp12__func_bio_opt__t2 + tmp2__global__s2_24))
(assert (= tmp13__func_bio_opt__t2 tmp13__global__11__instrumented__)) ; (tmp13__func_bio_opt__t2 = tmp13__global__11__instrumented__)
(assert (= tmp13__global__12__instrumented__ (+ tmp12__func_bio_opt__t3 tmp2__global__s3_24))) ; (tmp13__global__12__instrumented__ = (tmp12__func_bio_opt__t3 + tmp2__global__s3_24))
(assert (= tmp13__func_bio_opt__t3 tmp13__global__12__instrumented__)) ; (tmp13__func_bio_opt__t3 = tmp13__global__12__instrumented__)
(assert (= tmp13__global__13__instrumented__ (+ tmp12__func_bio_opt__t4 tmp2__global__s4_24))) ; (tmp13__global__13__instrumented__ = (tmp12__func_bio_opt__t4 + tmp2__global__s4_24))
(assert (= tmp13__func_bio_opt__t4 tmp13__global__13__instrumented__)) ; (tmp13__func_bio_opt__t4 = tmp13__global__13__instrumented__)
(assert (= tmp13__global__14__instrumented__ (+ tmp12__func_bio_opt__t5 tmp2__global__s5_24))) ; (tmp13__global__14__instrumented__ = (tmp12__func_bio_opt__t5 + tmp2__global__s5_24))
(assert (= tmp13__func_bio_opt__t5 tmp13__global__14__instrumented__)) ; (tmp13__func_bio_opt__t5 = tmp13__global__14__instrumented__)
(assert (= tmp14__global__10__instrumented__ (+ tmp13__func_bio_opt__t1 tmp2__global__s1_25))) ; (tmp14__global__10__instrumented__ = (tmp13__func_bio_opt__t1 + tmp2__global__s1_25))
(assert (= tmp14__func_bio_opt__t1 tmp14__global__10__instrumented__)) ; (tmp14__func_bio_opt__t1 = tmp14__global__10__instrumented__)
(assert (= tmp14__global__11__instrumented__ (+ tmp13__func_bio_opt__t2 tmp2__global__s2_25))) ; (tmp14__global__11__instrumented__ = (tmp13__func_bio_opt__t2 + tmp2__global__s2_25))
(assert (= tmp14__func_bio_opt__t2 tmp14__global__11__instrumented__)) ; (tmp14__func_bio_opt__t2 = tmp14__global__11__instrumented__)
(assert (= tmp14__global__12__instrumented__ (+ tmp13__func_bio_opt__t3 tmp2__global__s3_25))) ; (tmp14__global__12__instrumented__ = (tmp13__func_bio_opt__t3 + tmp2__global__s3_25))
(assert (= tmp14__func_bio_opt__t3 tmp14__global__12__instrumented__)) ; (tmp14__func_bio_opt__t3 = tmp14__global__12__instrumented__)
(assert (= tmp14__global__13__instrumented__ (+ tmp13__func_bio_opt__t4 tmp2__global__s4_25))) ; (tmp14__global__13__instrumented__ = (tmp13__func_bio_opt__t4 + tmp2__global__s4_25))
(assert (= tmp14__func_bio_opt__t4 tmp14__global__13__instrumented__)) ; (tmp14__func_bio_opt__t4 = tmp14__global__13__instrumented__)
(assert (= tmp14__global__14__instrumented__ (+ tmp13__func_bio_opt__t5 tmp2__global__s5_25))) ; (tmp14__global__14__instrumented__ = (tmp13__func_bio_opt__t5 + tmp2__global__s5_25))
(assert (= tmp14__func_bio_opt__t5 tmp14__global__14__instrumented__)) ; (tmp14__func_bio_opt__t5 = tmp14__global__14__instrumented__)
(assert (= tmp15__global__10__instrumented__ (+ tmp14__func_bio_opt__t1 tmp2__global__s1_26))) ; (tmp15__global__10__instrumented__ = (tmp14__func_bio_opt__t1 + tmp2__global__s1_26))
(assert (= tmp15__func_bio_opt__t1 tmp15__global__10__instrumented__)) ; (tmp15__func_bio_opt__t1 = tmp15__global__10__instrumented__)
(assert (= tmp15__global__11__instrumented__ (+ tmp14__func_bio_opt__t2 tmp2__global__s2_26))) ; (tmp15__global__11__instrumented__ = (tmp14__func_bio_opt__t2 + tmp2__global__s2_26))
(assert (= tmp15__func_bio_opt__t2 tmp15__global__11__instrumented__)) ; (tmp15__func_bio_opt__t2 = tmp15__global__11__instrumented__)
(assert (= tmp15__global__12__instrumented__ (+ tmp14__func_bio_opt__t3 tmp2__global__s3_26))) ; (tmp15__global__12__instrumented__ = (tmp14__func_bio_opt__t3 + tmp2__global__s3_26))
(assert (= tmp15__func_bio_opt__t3 tmp15__global__12__instrumented__)) ; (tmp15__func_bio_opt__t3 = tmp15__global__12__instrumented__)
(assert (= tmp15__global__13__instrumented__ (+ tmp14__func_bio_opt__t4 tmp2__global__s4_26))) ; (tmp15__global__13__instrumented__ = (tmp14__func_bio_opt__t4 + tmp2__global__s4_26))
(assert (= tmp15__func_bio_opt__t4 tmp15__global__13__instrumented__)) ; (tmp15__func_bio_opt__t4 = tmp15__global__13__instrumented__)
(assert (= tmp15__global__14__instrumented__ (+ tmp14__func_bio_opt__t5 tmp2__global__s5_26))) ; (tmp15__global__14__instrumented__ = (tmp14__func_bio_opt__t5 + tmp2__global__s5_26))
(assert (= tmp15__func_bio_opt__t5 tmp15__global__14__instrumented__)) ; (tmp15__func_bio_opt__t5 = tmp15__global__14__instrumented__)
(assert (= tmp16__global__10__instrumented__ (+ tmp15__func_bio_opt__t1 tmp2__global__s1_27))) ; (tmp16__global__10__instrumented__ = (tmp15__func_bio_opt__t1 + tmp2__global__s1_27))
(assert (= tmp16__func_bio_opt__t1 tmp16__global__10__instrumented__)) ; (tmp16__func_bio_opt__t1 = tmp16__global__10__instrumented__)
(assert (= tmp16__global__11__instrumented__ (+ tmp15__func_bio_opt__t2 tmp2__global__s2_27))) ; (tmp16__global__11__instrumented__ = (tmp15__func_bio_opt__t2 + tmp2__global__s2_27))
(assert (= tmp16__func_bio_opt__t2 tmp16__global__11__instrumented__)) ; (tmp16__func_bio_opt__t2 = tmp16__global__11__instrumented__)
(assert (= tmp16__global__12__instrumented__ (+ tmp15__func_bio_opt__t3 tmp2__global__s3_27))) ; (tmp16__global__12__instrumented__ = (tmp15__func_bio_opt__t3 + tmp2__global__s3_27))
(assert (= tmp16__func_bio_opt__t3 tmp16__global__12__instrumented__)) ; (tmp16__func_bio_opt__t3 = tmp16__global__12__instrumented__)
(assert (= tmp16__global__13__instrumented__ (+ tmp15__func_bio_opt__t4 tmp2__global__s4_27))) ; (tmp16__global__13__instrumented__ = (tmp15__func_bio_opt__t4 + tmp2__global__s4_27))
(assert (= tmp16__func_bio_opt__t4 tmp16__global__13__instrumented__)) ; (tmp16__func_bio_opt__t4 = tmp16__global__13__instrumented__)
(assert (= tmp16__global__14__instrumented__ (+ tmp15__func_bio_opt__t5 tmp2__global__s5_27))) ; (tmp16__global__14__instrumented__ = (tmp15__func_bio_opt__t5 + tmp2__global__s5_27))
(assert (= tmp16__func_bio_opt__t5 tmp16__global__14__instrumented__)) ; (tmp16__func_bio_opt__t5 = tmp16__global__14__instrumented__)
(assert (= tmp1__func_bio_opt__vx 0)) ; (tmp1__func_bio_opt__vx = 0)
(assert (= tmp1__global__15__instrumented__ (ite (> tmp16__func_bio_opt__t1 2) 1 0))) ; (tmp1__global__15__instrumented__ = (ite (> tmp16__func_bio_opt__t1 2) 1 0))
(assert (= tmp1__func_Clip3_variant_128__value (div tmp1__global__16__instrumented__ 2))) ; (tmp1__func_Clip3_variant_128__value = (tmp1__global__16__instrumented__ div 2))
(assert (= tmp1__func__return__Clip3_variant_128 (ite (< tmp1__func_Clip3_variant_128__value (- 768)) (- 768) (ite (> tmp1__func_Clip3_variant_128__value 768) 768 tmp1__func_Clip3_variant_128__value)))) ; (tmp1__func__return__Clip3_variant_128 = (ite (< tmp1__func_Clip3_variant_128__value (- 768)) (- 768) (ite (> tmp1__func_Clip3_variant_128__value 768) 768 tmp1__func_Clip3_variant_128__value)))
(assert (=> (> tmp16__func_bio_opt__t1 2) (and (= tmp1__global__16__instrumented__ (* tmp16__func_bio_opt__t3 32)) (= tmp2__func_bio_opt__vx tmp1__func__return__Clip3_variant_128))))
(assert (= tmp3__func_bio_opt__vx (ite (> tmp16__func_bio_opt__t1 2) tmp2__func_bio_opt__vx tmp1__func_bio_opt__vx)))
(assert (=> (not (> tmp16__func_bio_opt__t1 2)) (= tmp4__func_bio_opt__vx 0)))
(assert (= tmp5__func_bio_opt__vx (ite (not (> tmp16__func_bio_opt__t1 2)) tmp4__func_bio_opt__vx tmp3__func_bio_opt__vx)))
(assert (= tmp1__func_bio_opt__vy 0)) ; (tmp1__func_bio_opt__vy = 0)
(assert (= tmp1__global__17__instrumented__ (ite (> tmp16__func_bio_opt__t4 2) 1 0))) ; (tmp1__global__17__instrumented__ = (ite (> tmp16__func_bio_opt__t4 2) 1 0))
(assert (= tmp1__func_Clip3_variant_129__value (div tmp1__global__20__instrumented__ 4))) ; (tmp1__func_Clip3_variant_129__value = (tmp1__global__20__instrumented__ div 4))
(assert (= tmp1__func__return__Clip3_variant_129 (ite (< tmp1__func_Clip3_variant_129__value (- 768)) (- 768) (ite (> tmp1__func_Clip3_variant_129__value 768) 768 tmp1__func_Clip3_variant_129__value)))) ; (tmp1__func__return__Clip3_variant_129 = (ite (< tmp1__func_Clip3_variant_129__value (- 768)) (- 768) (ite (> tmp1__func_Clip3_variant_129__value 768) 768 tmp1__func_Clip3_variant_129__value)))
(assert (=> (> tmp16__func_bio_opt__t4 2) (and (= tmp1__global__18__instrumented__ (* tmp16__func_bio_opt__t5 64)) (= tmp1__global__19__instrumented__ (* tmp5__func_bio_opt__vx tmp16__func_bio_opt__t2)) (= tmp1__global__20__instrumented__ (- (* tmp16__func_bio_opt__t5 64) (* tmp5__func_bio_opt__vx tmp16__func_bio_opt__t2))) (= tmp2__func_bio_opt__vy tmp1__func__return__Clip3_variant_129))))
(assert (= tmp3__func_bio_opt__vy (ite (> tmp16__func_bio_opt__t4 2) tmp2__func_bio_opt__vy tmp1__func_bio_opt__vy)))
(assert (=> (not (> tmp16__func_bio_opt__t4 2)) (= tmp4__func_bio_opt__vy 0)))
(assert (= tmp5__func_bio_opt__vy (ite (not (> tmp16__func_bio_opt__t4 2)) tmp4__func_bio_opt__vy tmp3__func_bio_opt__vy)))
(assert (= tmp1__global__21__instrumented__ (- tmp1__global__gradXL0_0 tmp1__global__gradXL1_0))) ; (tmp1__global__21__instrumented__ = (tmp1__global__gradXL0_0 - tmp1__global__gradXL1_0))
(assert (= tmp1__global__22__instrumented__ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_0 tmp1__global__gradXL1_0)))) ; (tmp1__global__22__instrumented__ = (tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_0 - tmp1__global__gradXL1_0)))
(assert (= tmp1__global__23__instrumented__ (- tmp1__global__gradYL0_0 tmp1__global__gradYL1_0))) ; (tmp1__global__23__instrumented__ = (tmp1__global__gradYL0_0 - tmp1__global__gradYL1_0))
(assert (= tmp1__global__24__instrumented__ (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_0 tmp1__global__gradYL1_0)))) ; (tmp1__global__24__instrumented__ = (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_0 - tmp1__global__gradYL1_0)))
(assert (= tmp1__global__25__instrumented__ (+ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_0 tmp1__global__gradXL1_0)) (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_0 tmp1__global__gradYL1_0))))) ; (tmp1__global__25__instrumented__ = ((tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_0 - tmp1__global__gradXL1_0)) + (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_0 - tmp1__global__gradYL1_0))))
(assert (= tmp1__func_bio_opt__b tmp1__global__25__instrumented__)) ; (tmp1__func_bio_opt__b = tmp1__global__25__instrumented__)
(assert (= tmp1__global__26__instrumented__ (ite (> tmp1__func_bio_opt__b 0) 1 0))) ; (tmp1__global__26__instrumented__ = (ite (> tmp1__func_bio_opt__b 0) 1 0))
(assert (= tmp1__global__27__instrumented__ (+ tmp1__func_bio_opt__b 32))) ; (tmp1__global__27__instrumented__ = (tmp1__func_bio_opt__b + 32))
(assert (= tmp1__global__28__instrumented__ (- tmp1__func_bio_opt__b))) ; (tmp1__global__28__instrumented__ = -(tmp1__func_bio_opt__b))
(assert (= tmp1__global__29__instrumented__ (- (div (+ (- tmp1__func_bio_opt__b) 32) 64)))) ; (tmp1__global__29__instrumented__ = -(((-(tmp1__func_bio_opt__b) + 32) div 64)))
(assert (= tmp2__func_bio_opt__b (ite (> tmp1__func_bio_opt__b 0) (div tmp1__global__27__instrumented__ 64) tmp1__global__29__instrumented__))) ; (tmp2__func_bio_opt__b = (ite (> tmp1__func_bio_opt__b 0) (div tmp1__global__27__instrumented__ 64) tmp1__global__29__instrumented__))
(assert (= tmp1__global__30__instrumented__ (+ tmp1__global__predL0_0 tmp1__global__predL1_0))) ; (tmp1__global__30__instrumented__ = (tmp1__global__predL0_0 + tmp1__global__predL1_0))
(assert (= tmp1__global__31__instrumented__ (+ (+ tmp1__global__predL0_0 tmp1__global__predL1_0) tmp2__func_bio_opt__b))) ; (tmp1__global__31__instrumented__ = ((tmp1__global__predL0_0 + tmp1__global__predL1_0) + tmp2__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_130__value (div (+ tmp1__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_130__value = ((tmp1__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_130 (ite (< tmp1__func_Clip3_variant_130__value 0) 0 (ite (> tmp1__func_Clip3_variant_130__value 255) 255 tmp1__func_Clip3_variant_130__value)))) ; (tmp1__func__return__Clip3_variant_130 = (ite (< tmp1__func_Clip3_variant_130__value 0) 0 (ite (> tmp1__func_Clip3_variant_130__value 255) 255 tmp1__func_Clip3_variant_130__value)))
(assert (= tmp1__global__outputVector_0 tmp1__func__return__Clip3_variant_130)) ; (tmp1__global__outputVector_0 = tmp1__func__return__Clip3_variant_130)
(assert (= tmp2__global__21__instrumented__ (- tmp1__global__gradXL0_1 tmp1__global__gradXL1_1))) ; (tmp2__global__21__instrumented__ = (tmp1__global__gradXL0_1 - tmp1__global__gradXL1_1))
(assert (= tmp2__global__22__instrumented__ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_1 tmp1__global__gradXL1_1)))) ; (tmp2__global__22__instrumented__ = (tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_1 - tmp1__global__gradXL1_1)))
(assert (= tmp2__global__23__instrumented__ (- tmp1__global__gradYL0_1 tmp1__global__gradYL1_1))) ; (tmp2__global__23__instrumented__ = (tmp1__global__gradYL0_1 - tmp1__global__gradYL1_1))
(assert (= tmp2__global__24__instrumented__ (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_1 tmp1__global__gradYL1_1)))) ; (tmp2__global__24__instrumented__ = (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_1 - tmp1__global__gradYL1_1)))
(assert (= tmp2__global__25__instrumented__ (+ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_1 tmp1__global__gradXL1_1)) (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_1 tmp1__global__gradYL1_1))))) ; (tmp2__global__25__instrumented__ = ((tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_1 - tmp1__global__gradXL1_1)) + (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_1 - tmp1__global__gradYL1_1))))
(assert (= tmp3__func_bio_opt__b tmp2__global__25__instrumented__)) ; (tmp3__func_bio_opt__b = tmp2__global__25__instrumented__)
(assert (= tmp2__global__26__instrumented__ (ite (> tmp3__func_bio_opt__b 0) 1 0))) ; (tmp2__global__26__instrumented__ = (ite (> tmp3__func_bio_opt__b 0) 1 0))
(assert (= tmp2__global__27__instrumented__ (+ tmp3__func_bio_opt__b 32))) ; (tmp2__global__27__instrumented__ = (tmp3__func_bio_opt__b + 32))
(assert (= tmp2__global__28__instrumented__ (- tmp3__func_bio_opt__b))) ; (tmp2__global__28__instrumented__ = -(tmp3__func_bio_opt__b))
(assert (= tmp2__global__29__instrumented__ (- (div (+ (- tmp3__func_bio_opt__b) 32) 64)))) ; (tmp2__global__29__instrumented__ = -(((-(tmp3__func_bio_opt__b) + 32) div 64)))
(assert (= tmp4__func_bio_opt__b (ite (> tmp3__func_bio_opt__b 0) (div tmp2__global__27__instrumented__ 64) tmp2__global__29__instrumented__))) ; (tmp4__func_bio_opt__b = (ite (> tmp3__func_bio_opt__b 0) (div tmp2__global__27__instrumented__ 64) tmp2__global__29__instrumented__))
(assert (= tmp2__global__30__instrumented__ (+ tmp1__global__predL0_1 tmp1__global__predL1_1))) ; (tmp2__global__30__instrumented__ = (tmp1__global__predL0_1 + tmp1__global__predL1_1))
(assert (= tmp2__global__31__instrumented__ (+ (+ tmp1__global__predL0_1 tmp1__global__predL1_1) tmp4__func_bio_opt__b))) ; (tmp2__global__31__instrumented__ = ((tmp1__global__predL0_1 + tmp1__global__predL1_1) + tmp4__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_131__value (div (+ tmp2__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_131__value = ((tmp2__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_131 (ite (< tmp1__func_Clip3_variant_131__value 0) 0 (ite (> tmp1__func_Clip3_variant_131__value 255) 255 tmp1__func_Clip3_variant_131__value)))) ; (tmp1__func__return__Clip3_variant_131 = (ite (< tmp1__func_Clip3_variant_131__value 0) 0 (ite (> tmp1__func_Clip3_variant_131__value 255) 255 tmp1__func_Clip3_variant_131__value)))
(assert (= tmp1__global__outputVector_1 tmp1__func__return__Clip3_variant_131)) ; (tmp1__global__outputVector_1 = tmp1__func__return__Clip3_variant_131)
(assert (= tmp3__global__21__instrumented__ (- tmp1__global__gradXL0_2 tmp1__global__gradXL1_2))) ; (tmp3__global__21__instrumented__ = (tmp1__global__gradXL0_2 - tmp1__global__gradXL1_2))
(assert (= tmp3__global__22__instrumented__ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_2 tmp1__global__gradXL1_2)))) ; (tmp3__global__22__instrumented__ = (tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_2 - tmp1__global__gradXL1_2)))
(assert (= tmp3__global__23__instrumented__ (- tmp1__global__gradYL0_2 tmp1__global__gradYL1_2))) ; (tmp3__global__23__instrumented__ = (tmp1__global__gradYL0_2 - tmp1__global__gradYL1_2))
(assert (= tmp3__global__24__instrumented__ (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_2 tmp1__global__gradYL1_2)))) ; (tmp3__global__24__instrumented__ = (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_2 - tmp1__global__gradYL1_2)))
(assert (= tmp3__global__25__instrumented__ (+ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_2 tmp1__global__gradXL1_2)) (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_2 tmp1__global__gradYL1_2))))) ; (tmp3__global__25__instrumented__ = ((tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_2 - tmp1__global__gradXL1_2)) + (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_2 - tmp1__global__gradYL1_2))))
(assert (= tmp5__func_bio_opt__b tmp3__global__25__instrumented__)) ; (tmp5__func_bio_opt__b = tmp3__global__25__instrumented__)
(assert (= tmp3__global__26__instrumented__ (ite (> tmp5__func_bio_opt__b 0) 1 0))) ; (tmp3__global__26__instrumented__ = (ite (> tmp5__func_bio_opt__b 0) 1 0))
(assert (= tmp3__global__27__instrumented__ (+ tmp5__func_bio_opt__b 32))) ; (tmp3__global__27__instrumented__ = (tmp5__func_bio_opt__b + 32))
(assert (= tmp3__global__28__instrumented__ (- tmp5__func_bio_opt__b))) ; (tmp3__global__28__instrumented__ = -(tmp5__func_bio_opt__b))
(assert (= tmp3__global__29__instrumented__ (- (div (+ (- tmp5__func_bio_opt__b) 32) 64)))) ; (tmp3__global__29__instrumented__ = -(((-(tmp5__func_bio_opt__b) + 32) div 64)))
(assert (= tmp6__func_bio_opt__b (ite (> tmp5__func_bio_opt__b 0) (div tmp3__global__27__instrumented__ 64) tmp3__global__29__instrumented__))) ; (tmp6__func_bio_opt__b = (ite (> tmp5__func_bio_opt__b 0) (div tmp3__global__27__instrumented__ 64) tmp3__global__29__instrumented__))
(assert (= tmp3__global__30__instrumented__ (+ tmp1__global__predL0_2 tmp1__global__predL1_2))) ; (tmp3__global__30__instrumented__ = (tmp1__global__predL0_2 + tmp1__global__predL1_2))
(assert (= tmp3__global__31__instrumented__ (+ (+ tmp1__global__predL0_2 tmp1__global__predL1_2) tmp6__func_bio_opt__b))) ; (tmp3__global__31__instrumented__ = ((tmp1__global__predL0_2 + tmp1__global__predL1_2) + tmp6__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_132__value (div (+ tmp3__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_132__value = ((tmp3__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_132 (ite (< tmp1__func_Clip3_variant_132__value 0) 0 (ite (> tmp1__func_Clip3_variant_132__value 255) 255 tmp1__func_Clip3_variant_132__value)))) ; (tmp1__func__return__Clip3_variant_132 = (ite (< tmp1__func_Clip3_variant_132__value 0) 0 (ite (> tmp1__func_Clip3_variant_132__value 255) 255 tmp1__func_Clip3_variant_132__value)))
(assert (= tmp1__global__outputVector_2 tmp1__func__return__Clip3_variant_132)) ; (tmp1__global__outputVector_2 = tmp1__func__return__Clip3_variant_132)
(assert (= tmp4__global__21__instrumented__ (- tmp1__global__gradXL0_3 tmp1__global__gradXL1_3))) ; (tmp4__global__21__instrumented__ = (tmp1__global__gradXL0_3 - tmp1__global__gradXL1_3))
(assert (= tmp4__global__22__instrumented__ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_3 tmp1__global__gradXL1_3)))) ; (tmp4__global__22__instrumented__ = (tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_3 - tmp1__global__gradXL1_3)))
(assert (= tmp4__global__23__instrumented__ (- tmp1__global__gradYL0_3 tmp1__global__gradYL1_3))) ; (tmp4__global__23__instrumented__ = (tmp1__global__gradYL0_3 - tmp1__global__gradYL1_3))
(assert (= tmp4__global__24__instrumented__ (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_3 tmp1__global__gradYL1_3)))) ; (tmp4__global__24__instrumented__ = (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_3 - tmp1__global__gradYL1_3)))
(assert (= tmp4__global__25__instrumented__ (+ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_3 tmp1__global__gradXL1_3)) (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_3 tmp1__global__gradYL1_3))))) ; (tmp4__global__25__instrumented__ = ((tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_3 - tmp1__global__gradXL1_3)) + (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_3 - tmp1__global__gradYL1_3))))
(assert (= tmp7__func_bio_opt__b tmp4__global__25__instrumented__)) ; (tmp7__func_bio_opt__b = tmp4__global__25__instrumented__)
(assert (= tmp4__global__26__instrumented__ (ite (> tmp7__func_bio_opt__b 0) 1 0))) ; (tmp4__global__26__instrumented__ = (ite (> tmp7__func_bio_opt__b 0) 1 0))
(assert (= tmp4__global__27__instrumented__ (+ tmp7__func_bio_opt__b 32))) ; (tmp4__global__27__instrumented__ = (tmp7__func_bio_opt__b + 32))
(assert (= tmp4__global__28__instrumented__ (- tmp7__func_bio_opt__b))) ; (tmp4__global__28__instrumented__ = -(tmp7__func_bio_opt__b))
(assert (= tmp4__global__29__instrumented__ (- (div (+ (- tmp7__func_bio_opt__b) 32) 64)))) ; (tmp4__global__29__instrumented__ = -(((-(tmp7__func_bio_opt__b) + 32) div 64)))
(assert (= tmp8__func_bio_opt__b (ite (> tmp7__func_bio_opt__b 0) (div tmp4__global__27__instrumented__ 64) tmp4__global__29__instrumented__))) ; (tmp8__func_bio_opt__b = (ite (> tmp7__func_bio_opt__b 0) (div tmp4__global__27__instrumented__ 64) tmp4__global__29__instrumented__))
(assert (= tmp4__global__30__instrumented__ (+ tmp1__global__predL0_3 tmp1__global__predL1_3))) ; (tmp4__global__30__instrumented__ = (tmp1__global__predL0_3 + tmp1__global__predL1_3))
(assert (= tmp4__global__31__instrumented__ (+ (+ tmp1__global__predL0_3 tmp1__global__predL1_3) tmp8__func_bio_opt__b))) ; (tmp4__global__31__instrumented__ = ((tmp1__global__predL0_3 + tmp1__global__predL1_3) + tmp8__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_133__value (div (+ tmp4__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_133__value = ((tmp4__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_133 (ite (< tmp1__func_Clip3_variant_133__value 0) 0 (ite (> tmp1__func_Clip3_variant_133__value 255) 255 tmp1__func_Clip3_variant_133__value)))) ; (tmp1__func__return__Clip3_variant_133 = (ite (< tmp1__func_Clip3_variant_133__value 0) 0 (ite (> tmp1__func_Clip3_variant_133__value 255) 255 tmp1__func_Clip3_variant_133__value)))
(assert (= tmp1__global__outputVector_3 tmp1__func__return__Clip3_variant_133)) ; (tmp1__global__outputVector_3 = tmp1__func__return__Clip3_variant_133)
(assert (= tmp5__global__21__instrumented__ (- tmp1__global__gradXL0_8 tmp1__global__gradXL1_8))) ; (tmp5__global__21__instrumented__ = (tmp1__global__gradXL0_8 - tmp1__global__gradXL1_8))
(assert (= tmp5__global__22__instrumented__ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_8 tmp1__global__gradXL1_8)))) ; (tmp5__global__22__instrumented__ = (tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_8 - tmp1__global__gradXL1_8)))
(assert (= tmp5__global__23__instrumented__ (- tmp1__global__gradYL0_8 tmp1__global__gradYL1_8))) ; (tmp5__global__23__instrumented__ = (tmp1__global__gradYL0_8 - tmp1__global__gradYL1_8))
(assert (= tmp5__global__24__instrumented__ (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_8 tmp1__global__gradYL1_8)))) ; (tmp5__global__24__instrumented__ = (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_8 - tmp1__global__gradYL1_8)))
(assert (= tmp5__global__25__instrumented__ (+ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_8 tmp1__global__gradXL1_8)) (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_8 tmp1__global__gradYL1_8))))) ; (tmp5__global__25__instrumented__ = ((tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_8 - tmp1__global__gradXL1_8)) + (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_8 - tmp1__global__gradYL1_8))))
(assert (= tmp9__func_bio_opt__b tmp5__global__25__instrumented__)) ; (tmp9__func_bio_opt__b = tmp5__global__25__instrumented__)
(assert (= tmp5__global__26__instrumented__ (ite (> tmp9__func_bio_opt__b 0) 1 0))) ; (tmp5__global__26__instrumented__ = (ite (> tmp9__func_bio_opt__b 0) 1 0))
(assert (= tmp5__global__27__instrumented__ (+ tmp9__func_bio_opt__b 32))) ; (tmp5__global__27__instrumented__ = (tmp9__func_bio_opt__b + 32))
(assert (= tmp5__global__28__instrumented__ (- tmp9__func_bio_opt__b))) ; (tmp5__global__28__instrumented__ = -(tmp9__func_bio_opt__b))
(assert (= tmp5__global__29__instrumented__ (- (div (+ (- tmp9__func_bio_opt__b) 32) 64)))) ; (tmp5__global__29__instrumented__ = -(((-(tmp9__func_bio_opt__b) + 32) div 64)))
(assert (= tmp10__func_bio_opt__b (ite (> tmp9__func_bio_opt__b 0) (div tmp5__global__27__instrumented__ 64) tmp5__global__29__instrumented__))) ; (tmp10__func_bio_opt__b = (ite (> tmp9__func_bio_opt__b 0) (div tmp5__global__27__instrumented__ 64) tmp5__global__29__instrumented__))
(assert (= tmp5__global__30__instrumented__ (+ tmp1__global__predL0_8 tmp1__global__predL1_8))) ; (tmp5__global__30__instrumented__ = (tmp1__global__predL0_8 + tmp1__global__predL1_8))
(assert (= tmp5__global__31__instrumented__ (+ (+ tmp1__global__predL0_8 tmp1__global__predL1_8) tmp10__func_bio_opt__b))) ; (tmp5__global__31__instrumented__ = ((tmp1__global__predL0_8 + tmp1__global__predL1_8) + tmp10__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_134__value (div (+ tmp5__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_134__value = ((tmp5__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_134 (ite (< tmp1__func_Clip3_variant_134__value 0) 0 (ite (> tmp1__func_Clip3_variant_134__value 255) 255 tmp1__func_Clip3_variant_134__value)))) ; (tmp1__func__return__Clip3_variant_134 = (ite (< tmp1__func_Clip3_variant_134__value 0) 0 (ite (> tmp1__func_Clip3_variant_134__value 255) 255 tmp1__func_Clip3_variant_134__value)))
(assert (= tmp1__global__outputVector_8 tmp1__func__return__Clip3_variant_134)) ; (tmp1__global__outputVector_8 = tmp1__func__return__Clip3_variant_134)
(assert (= tmp6__global__21__instrumented__ (- tmp1__global__gradXL0_9 tmp1__global__gradXL1_9))) ; (tmp6__global__21__instrumented__ = (tmp1__global__gradXL0_9 - tmp1__global__gradXL1_9))
(assert (= tmp6__global__22__instrumented__ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_9 tmp1__global__gradXL1_9)))) ; (tmp6__global__22__instrumented__ = (tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_9 - tmp1__global__gradXL1_9)))
(assert (= tmp6__global__23__instrumented__ (- tmp1__global__gradYL0_9 tmp1__global__gradYL1_9))) ; (tmp6__global__23__instrumented__ = (tmp1__global__gradYL0_9 - tmp1__global__gradYL1_9))
(assert (= tmp6__global__24__instrumented__ (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_9 tmp1__global__gradYL1_9)))) ; (tmp6__global__24__instrumented__ = (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_9 - tmp1__global__gradYL1_9)))
(assert (= tmp6__global__25__instrumented__ (+ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_9 tmp1__global__gradXL1_9)) (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_9 tmp1__global__gradYL1_9))))) ; (tmp6__global__25__instrumented__ = ((tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_9 - tmp1__global__gradXL1_9)) + (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_9 - tmp1__global__gradYL1_9))))
(assert (= tmp11__func_bio_opt__b tmp6__global__25__instrumented__)) ; (tmp11__func_bio_opt__b = tmp6__global__25__instrumented__)
(assert (= tmp6__global__26__instrumented__ (ite (> tmp11__func_bio_opt__b 0) 1 0))) ; (tmp6__global__26__instrumented__ = (ite (> tmp11__func_bio_opt__b 0) 1 0))
(assert (= tmp6__global__27__instrumented__ (+ tmp11__func_bio_opt__b 32))) ; (tmp6__global__27__instrumented__ = (tmp11__func_bio_opt__b + 32))
(assert (= tmp6__global__28__instrumented__ (- tmp11__func_bio_opt__b))) ; (tmp6__global__28__instrumented__ = -(tmp11__func_bio_opt__b))
(assert (= tmp6__global__29__instrumented__ (- (div (+ (- tmp11__func_bio_opt__b) 32) 64)))) ; (tmp6__global__29__instrumented__ = -(((-(tmp11__func_bio_opt__b) + 32) div 64)))
(assert (= tmp12__func_bio_opt__b (ite (> tmp11__func_bio_opt__b 0) (div tmp6__global__27__instrumented__ 64) tmp6__global__29__instrumented__))) ; (tmp12__func_bio_opt__b = (ite (> tmp11__func_bio_opt__b 0) (div tmp6__global__27__instrumented__ 64) tmp6__global__29__instrumented__))
(assert (= tmp6__global__30__instrumented__ (+ tmp1__global__predL0_9 tmp1__global__predL1_9))) ; (tmp6__global__30__instrumented__ = (tmp1__global__predL0_9 + tmp1__global__predL1_9))
(assert (= tmp6__global__31__instrumented__ (+ (+ tmp1__global__predL0_9 tmp1__global__predL1_9) tmp12__func_bio_opt__b))) ; (tmp6__global__31__instrumented__ = ((tmp1__global__predL0_9 + tmp1__global__predL1_9) + tmp12__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_135__value (div (+ tmp6__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_135__value = ((tmp6__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_135 (ite (< tmp1__func_Clip3_variant_135__value 0) 0 (ite (> tmp1__func_Clip3_variant_135__value 255) 255 tmp1__func_Clip3_variant_135__value)))) ; (tmp1__func__return__Clip3_variant_135 = (ite (< tmp1__func_Clip3_variant_135__value 0) 0 (ite (> tmp1__func_Clip3_variant_135__value 255) 255 tmp1__func_Clip3_variant_135__value)))
(assert (= tmp1__global__outputVector_9 tmp1__func__return__Clip3_variant_135)) ; (tmp1__global__outputVector_9 = tmp1__func__return__Clip3_variant_135)
(assert (= tmp7__global__21__instrumented__ (- tmp1__global__gradXL0_10 tmp1__global__gradXL1_10))) ; (tmp7__global__21__instrumented__ = (tmp1__global__gradXL0_10 - tmp1__global__gradXL1_10))
(assert (= tmp7__global__22__instrumented__ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_10 tmp1__global__gradXL1_10)))) ; (tmp7__global__22__instrumented__ = (tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_10 - tmp1__global__gradXL1_10)))
(assert (= tmp7__global__23__instrumented__ (- tmp1__global__gradYL0_10 tmp1__global__gradYL1_10))) ; (tmp7__global__23__instrumented__ = (tmp1__global__gradYL0_10 - tmp1__global__gradYL1_10))
(assert (= tmp7__global__24__instrumented__ (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_10 tmp1__global__gradYL1_10)))) ; (tmp7__global__24__instrumented__ = (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_10 - tmp1__global__gradYL1_10)))
(assert (= tmp7__global__25__instrumented__ (+ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_10 tmp1__global__gradXL1_10)) (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_10 tmp1__global__gradYL1_10))))) ; (tmp7__global__25__instrumented__ = ((tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_10 - tmp1__global__gradXL1_10)) + (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_10 - tmp1__global__gradYL1_10))))
(assert (= tmp13__func_bio_opt__b tmp7__global__25__instrumented__)) ; (tmp13__func_bio_opt__b = tmp7__global__25__instrumented__)
(assert (= tmp7__global__26__instrumented__ (ite (> tmp13__func_bio_opt__b 0) 1 0))) ; (tmp7__global__26__instrumented__ = (ite (> tmp13__func_bio_opt__b 0) 1 0))
(assert (= tmp7__global__27__instrumented__ (+ tmp13__func_bio_opt__b 32))) ; (tmp7__global__27__instrumented__ = (tmp13__func_bio_opt__b + 32))
(assert (= tmp7__global__28__instrumented__ (- tmp13__func_bio_opt__b))) ; (tmp7__global__28__instrumented__ = -(tmp13__func_bio_opt__b))
(assert (= tmp7__global__29__instrumented__ (- (div (+ (- tmp13__func_bio_opt__b) 32) 64)))) ; (tmp7__global__29__instrumented__ = -(((-(tmp13__func_bio_opt__b) + 32) div 64)))
(assert (= tmp14__func_bio_opt__b (ite (> tmp13__func_bio_opt__b 0) (div tmp7__global__27__instrumented__ 64) tmp7__global__29__instrumented__))) ; (tmp14__func_bio_opt__b = (ite (> tmp13__func_bio_opt__b 0) (div tmp7__global__27__instrumented__ 64) tmp7__global__29__instrumented__))
(assert (= tmp7__global__30__instrumented__ (+ tmp1__global__predL0_10 tmp1__global__predL1_10))) ; (tmp7__global__30__instrumented__ = (tmp1__global__predL0_10 + tmp1__global__predL1_10))
(assert (= tmp7__global__31__instrumented__ (+ (+ tmp1__global__predL0_10 tmp1__global__predL1_10) tmp14__func_bio_opt__b))) ; (tmp7__global__31__instrumented__ = ((tmp1__global__predL0_10 + tmp1__global__predL1_10) + tmp14__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_136__value (div (+ tmp7__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_136__value = ((tmp7__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_136 (ite (< tmp1__func_Clip3_variant_136__value 0) 0 (ite (> tmp1__func_Clip3_variant_136__value 255) 255 tmp1__func_Clip3_variant_136__value)))) ; (tmp1__func__return__Clip3_variant_136 = (ite (< tmp1__func_Clip3_variant_136__value 0) 0 (ite (> tmp1__func_Clip3_variant_136__value 255) 255 tmp1__func_Clip3_variant_136__value)))
(assert (= tmp1__global__outputVector_10 tmp1__func__return__Clip3_variant_136)) ; (tmp1__global__outputVector_10 = tmp1__func__return__Clip3_variant_136)
(assert (= tmp8__global__21__instrumented__ (- tmp1__global__gradXL0_11 tmp1__global__gradXL1_11))) ; (tmp8__global__21__instrumented__ = (tmp1__global__gradXL0_11 - tmp1__global__gradXL1_11))
(assert (= tmp8__global__22__instrumented__ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_11 tmp1__global__gradXL1_11)))) ; (tmp8__global__22__instrumented__ = (tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_11 - tmp1__global__gradXL1_11)))
(assert (= tmp8__global__23__instrumented__ (- tmp1__global__gradYL0_11 tmp1__global__gradYL1_11))) ; (tmp8__global__23__instrumented__ = (tmp1__global__gradYL0_11 - tmp1__global__gradYL1_11))
(assert (= tmp8__global__24__instrumented__ (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_11 tmp1__global__gradYL1_11)))) ; (tmp8__global__24__instrumented__ = (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_11 - tmp1__global__gradYL1_11)))
(assert (= tmp8__global__25__instrumented__ (+ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_11 tmp1__global__gradXL1_11)) (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_11 tmp1__global__gradYL1_11))))) ; (tmp8__global__25__instrumented__ = ((tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_11 - tmp1__global__gradXL1_11)) + (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_11 - tmp1__global__gradYL1_11))))
(assert (= tmp15__func_bio_opt__b tmp8__global__25__instrumented__)) ; (tmp15__func_bio_opt__b = tmp8__global__25__instrumented__)
(assert (= tmp8__global__26__instrumented__ (ite (> tmp15__func_bio_opt__b 0) 1 0))) ; (tmp8__global__26__instrumented__ = (ite (> tmp15__func_bio_opt__b 0) 1 0))
(assert (= tmp8__global__27__instrumented__ (+ tmp15__func_bio_opt__b 32))) ; (tmp8__global__27__instrumented__ = (tmp15__func_bio_opt__b + 32))
(assert (= tmp8__global__28__instrumented__ (- tmp15__func_bio_opt__b))) ; (tmp8__global__28__instrumented__ = -(tmp15__func_bio_opt__b))
(assert (= tmp8__global__29__instrumented__ (- (div (+ (- tmp15__func_bio_opt__b) 32) 64)))) ; (tmp8__global__29__instrumented__ = -(((-(tmp15__func_bio_opt__b) + 32) div 64)))
(assert (= tmp16__func_bio_opt__b (ite (> tmp15__func_bio_opt__b 0) (div tmp8__global__27__instrumented__ 64) tmp8__global__29__instrumented__))) ; (tmp16__func_bio_opt__b = (ite (> tmp15__func_bio_opt__b 0) (div tmp8__global__27__instrumented__ 64) tmp8__global__29__instrumented__))
(assert (= tmp8__global__30__instrumented__ (+ tmp1__global__predL0_11 tmp1__global__predL1_11))) ; (tmp8__global__30__instrumented__ = (tmp1__global__predL0_11 + tmp1__global__predL1_11))
(assert (= tmp8__global__31__instrumented__ (+ (+ tmp1__global__predL0_11 tmp1__global__predL1_11) tmp16__func_bio_opt__b))) ; (tmp8__global__31__instrumented__ = ((tmp1__global__predL0_11 + tmp1__global__predL1_11) + tmp16__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_137__value (div (+ tmp8__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_137__value = ((tmp8__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_137 (ite (< tmp1__func_Clip3_variant_137__value 0) 0 (ite (> tmp1__func_Clip3_variant_137__value 255) 255 tmp1__func_Clip3_variant_137__value)))) ; (tmp1__func__return__Clip3_variant_137 = (ite (< tmp1__func_Clip3_variant_137__value 0) 0 (ite (> tmp1__func_Clip3_variant_137__value 255) 255 tmp1__func_Clip3_variant_137__value)))
(assert (= tmp1__global__outputVector_11 tmp1__func__return__Clip3_variant_137)) ; (tmp1__global__outputVector_11 = tmp1__func__return__Clip3_variant_137)
(assert (= tmp9__global__21__instrumented__ (- tmp1__global__gradXL0_16 tmp1__global__gradXL1_16))) ; (tmp9__global__21__instrumented__ = (tmp1__global__gradXL0_16 - tmp1__global__gradXL1_16))
(assert (= tmp9__global__22__instrumented__ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_16 tmp1__global__gradXL1_16)))) ; (tmp9__global__22__instrumented__ = (tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_16 - tmp1__global__gradXL1_16)))
(assert (= tmp9__global__23__instrumented__ (- tmp1__global__gradYL0_16 tmp1__global__gradYL1_16))) ; (tmp9__global__23__instrumented__ = (tmp1__global__gradYL0_16 - tmp1__global__gradYL1_16))
(assert (= tmp9__global__24__instrumented__ (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_16 tmp1__global__gradYL1_16)))) ; (tmp9__global__24__instrumented__ = (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_16 - tmp1__global__gradYL1_16)))
(assert (= tmp9__global__25__instrumented__ (+ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_16 tmp1__global__gradXL1_16)) (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_16 tmp1__global__gradYL1_16))))) ; (tmp9__global__25__instrumented__ = ((tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_16 - tmp1__global__gradXL1_16)) + (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_16 - tmp1__global__gradYL1_16))))
(assert (= tmp17__func_bio_opt__b tmp9__global__25__instrumented__)) ; (tmp17__func_bio_opt__b = tmp9__global__25__instrumented__)
(assert (= tmp9__global__26__instrumented__ (ite (> tmp17__func_bio_opt__b 0) 1 0))) ; (tmp9__global__26__instrumented__ = (ite (> tmp17__func_bio_opt__b 0) 1 0))
(assert (= tmp9__global__27__instrumented__ (+ tmp17__func_bio_opt__b 32))) ; (tmp9__global__27__instrumented__ = (tmp17__func_bio_opt__b + 32))
(assert (= tmp9__global__28__instrumented__ (- tmp17__func_bio_opt__b))) ; (tmp9__global__28__instrumented__ = -(tmp17__func_bio_opt__b))
(assert (= tmp9__global__29__instrumented__ (- (div (+ (- tmp17__func_bio_opt__b) 32) 64)))) ; (tmp9__global__29__instrumented__ = -(((-(tmp17__func_bio_opt__b) + 32) div 64)))
(assert (= tmp18__func_bio_opt__b (ite (> tmp17__func_bio_opt__b 0) (div tmp9__global__27__instrumented__ 64) tmp9__global__29__instrumented__))) ; (tmp18__func_bio_opt__b = (ite (> tmp17__func_bio_opt__b 0) (div tmp9__global__27__instrumented__ 64) tmp9__global__29__instrumented__))
(assert (= tmp9__global__30__instrumented__ (+ tmp1__global__predL0_16 tmp1__global__predL1_16))) ; (tmp9__global__30__instrumented__ = (tmp1__global__predL0_16 + tmp1__global__predL1_16))
(assert (= tmp9__global__31__instrumented__ (+ (+ tmp1__global__predL0_16 tmp1__global__predL1_16) tmp18__func_bio_opt__b))) ; (tmp9__global__31__instrumented__ = ((tmp1__global__predL0_16 + tmp1__global__predL1_16) + tmp18__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_138__value (div (+ tmp9__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_138__value = ((tmp9__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_138 (ite (< tmp1__func_Clip3_variant_138__value 0) 0 (ite (> tmp1__func_Clip3_variant_138__value 255) 255 tmp1__func_Clip3_variant_138__value)))) ; (tmp1__func__return__Clip3_variant_138 = (ite (< tmp1__func_Clip3_variant_138__value 0) 0 (ite (> tmp1__func_Clip3_variant_138__value 255) 255 tmp1__func_Clip3_variant_138__value)))
(assert (= tmp1__global__outputVector_16 tmp1__func__return__Clip3_variant_138)) ; (tmp1__global__outputVector_16 = tmp1__func__return__Clip3_variant_138)
(assert (= tmp10__global__21__instrumented__ (- tmp1__global__gradXL0_17 tmp1__global__gradXL1_17))) ; (tmp10__global__21__instrumented__ = (tmp1__global__gradXL0_17 - tmp1__global__gradXL1_17))
(assert (= tmp10__global__22__instrumented__ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_17 tmp1__global__gradXL1_17)))) ; (tmp10__global__22__instrumented__ = (tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_17 - tmp1__global__gradXL1_17)))
(assert (= tmp10__global__23__instrumented__ (- tmp1__global__gradYL0_17 tmp1__global__gradYL1_17))) ; (tmp10__global__23__instrumented__ = (tmp1__global__gradYL0_17 - tmp1__global__gradYL1_17))
(assert (= tmp10__global__24__instrumented__ (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_17 tmp1__global__gradYL1_17)))) ; (tmp10__global__24__instrumented__ = (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_17 - tmp1__global__gradYL1_17)))
(assert (= tmp10__global__25__instrumented__ (+ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_17 tmp1__global__gradXL1_17)) (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_17 tmp1__global__gradYL1_17))))) ; (tmp10__global__25__instrumented__ = ((tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_17 - tmp1__global__gradXL1_17)) + (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_17 - tmp1__global__gradYL1_17))))
(assert (= tmp19__func_bio_opt__b tmp10__global__25__instrumented__)) ; (tmp19__func_bio_opt__b = tmp10__global__25__instrumented__)
(assert (= tmp10__global__26__instrumented__ (ite (> tmp19__func_bio_opt__b 0) 1 0))) ; (tmp10__global__26__instrumented__ = (ite (> tmp19__func_bio_opt__b 0) 1 0))
(assert (= tmp10__global__27__instrumented__ (+ tmp19__func_bio_opt__b 32))) ; (tmp10__global__27__instrumented__ = (tmp19__func_bio_opt__b + 32))
(assert (= tmp10__global__28__instrumented__ (- tmp19__func_bio_opt__b))) ; (tmp10__global__28__instrumented__ = -(tmp19__func_bio_opt__b))
(assert (= tmp10__global__29__instrumented__ (- (div (+ (- tmp19__func_bio_opt__b) 32) 64)))) ; (tmp10__global__29__instrumented__ = -(((-(tmp19__func_bio_opt__b) + 32) div 64)))
(assert (= tmp20__func_bio_opt__b (ite (> tmp19__func_bio_opt__b 0) (div tmp10__global__27__instrumented__ 64) tmp10__global__29__instrumented__))) ; (tmp20__func_bio_opt__b = (ite (> tmp19__func_bio_opt__b 0) (div tmp10__global__27__instrumented__ 64) tmp10__global__29__instrumented__))
(assert (= tmp10__global__30__instrumented__ (+ tmp1__global__predL0_17 tmp1__global__predL1_17))) ; (tmp10__global__30__instrumented__ = (tmp1__global__predL0_17 + tmp1__global__predL1_17))
(assert (= tmp10__global__31__instrumented__ (+ (+ tmp1__global__predL0_17 tmp1__global__predL1_17) tmp20__func_bio_opt__b))) ; (tmp10__global__31__instrumented__ = ((tmp1__global__predL0_17 + tmp1__global__predL1_17) + tmp20__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_139__value (div (+ tmp10__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_139__value = ((tmp10__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_139 (ite (< tmp1__func_Clip3_variant_139__value 0) 0 (ite (> tmp1__func_Clip3_variant_139__value 255) 255 tmp1__func_Clip3_variant_139__value)))) ; (tmp1__func__return__Clip3_variant_139 = (ite (< tmp1__func_Clip3_variant_139__value 0) 0 (ite (> tmp1__func_Clip3_variant_139__value 255) 255 tmp1__func_Clip3_variant_139__value)))
(assert (= tmp1__global__outputVector_17 tmp1__func__return__Clip3_variant_139)) ; (tmp1__global__outputVector_17 = tmp1__func__return__Clip3_variant_139)
(assert (= tmp11__global__21__instrumented__ (- tmp1__global__gradXL0_18 tmp1__global__gradXL1_18))) ; (tmp11__global__21__instrumented__ = (tmp1__global__gradXL0_18 - tmp1__global__gradXL1_18))
(assert (= tmp11__global__22__instrumented__ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_18 tmp1__global__gradXL1_18)))) ; (tmp11__global__22__instrumented__ = (tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_18 - tmp1__global__gradXL1_18)))
(assert (= tmp11__global__23__instrumented__ (- tmp1__global__gradYL0_18 tmp1__global__gradYL1_18))) ; (tmp11__global__23__instrumented__ = (tmp1__global__gradYL0_18 - tmp1__global__gradYL1_18))
(assert (= tmp11__global__24__instrumented__ (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_18 tmp1__global__gradYL1_18)))) ; (tmp11__global__24__instrumented__ = (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_18 - tmp1__global__gradYL1_18)))
(assert (= tmp11__global__25__instrumented__ (+ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_18 tmp1__global__gradXL1_18)) (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_18 tmp1__global__gradYL1_18))))) ; (tmp11__global__25__instrumented__ = ((tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_18 - tmp1__global__gradXL1_18)) + (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_18 - tmp1__global__gradYL1_18))))
(assert (= tmp21__func_bio_opt__b tmp11__global__25__instrumented__)) ; (tmp21__func_bio_opt__b = tmp11__global__25__instrumented__)
(assert (= tmp11__global__26__instrumented__ (ite (> tmp21__func_bio_opt__b 0) 1 0))) ; (tmp11__global__26__instrumented__ = (ite (> tmp21__func_bio_opt__b 0) 1 0))
(assert (= tmp11__global__27__instrumented__ (+ tmp21__func_bio_opt__b 32))) ; (tmp11__global__27__instrumented__ = (tmp21__func_bio_opt__b + 32))
(assert (= tmp11__global__28__instrumented__ (- tmp21__func_bio_opt__b))) ; (tmp11__global__28__instrumented__ = -(tmp21__func_bio_opt__b))
(assert (= tmp11__global__29__instrumented__ (- (div (+ (- tmp21__func_bio_opt__b) 32) 64)))) ; (tmp11__global__29__instrumented__ = -(((-(tmp21__func_bio_opt__b) + 32) div 64)))
(assert (= tmp22__func_bio_opt__b (ite (> tmp21__func_bio_opt__b 0) (div tmp11__global__27__instrumented__ 64) tmp11__global__29__instrumented__))) ; (tmp22__func_bio_opt__b = (ite (> tmp21__func_bio_opt__b 0) (div tmp11__global__27__instrumented__ 64) tmp11__global__29__instrumented__))
(assert (= tmp11__global__30__instrumented__ (+ tmp1__global__predL0_18 tmp1__global__predL1_18))) ; (tmp11__global__30__instrumented__ = (tmp1__global__predL0_18 + tmp1__global__predL1_18))
(assert (= tmp11__global__31__instrumented__ (+ (+ tmp1__global__predL0_18 tmp1__global__predL1_18) tmp22__func_bio_opt__b))) ; (tmp11__global__31__instrumented__ = ((tmp1__global__predL0_18 + tmp1__global__predL1_18) + tmp22__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_140__value (div (+ tmp11__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_140__value = ((tmp11__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_140 (ite (< tmp1__func_Clip3_variant_140__value 0) 0 (ite (> tmp1__func_Clip3_variant_140__value 255) 255 tmp1__func_Clip3_variant_140__value)))) ; (tmp1__func__return__Clip3_variant_140 = (ite (< tmp1__func_Clip3_variant_140__value 0) 0 (ite (> tmp1__func_Clip3_variant_140__value 255) 255 tmp1__func_Clip3_variant_140__value)))
(assert (= tmp1__global__outputVector_18 tmp1__func__return__Clip3_variant_140)) ; (tmp1__global__outputVector_18 = tmp1__func__return__Clip3_variant_140)
(assert (= tmp12__global__21__instrumented__ (- tmp1__global__gradXL0_19 tmp1__global__gradXL1_19))) ; (tmp12__global__21__instrumented__ = (tmp1__global__gradXL0_19 - tmp1__global__gradXL1_19))
(assert (= tmp12__global__22__instrumented__ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_19 tmp1__global__gradXL1_19)))) ; (tmp12__global__22__instrumented__ = (tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_19 - tmp1__global__gradXL1_19)))
(assert (= tmp12__global__23__instrumented__ (- tmp1__global__gradYL0_19 tmp1__global__gradYL1_19))) ; (tmp12__global__23__instrumented__ = (tmp1__global__gradYL0_19 - tmp1__global__gradYL1_19))
(assert (= tmp12__global__24__instrumented__ (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_19 tmp1__global__gradYL1_19)))) ; (tmp12__global__24__instrumented__ = (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_19 - tmp1__global__gradYL1_19)))
(assert (= tmp12__global__25__instrumented__ (+ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_19 tmp1__global__gradXL1_19)) (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_19 tmp1__global__gradYL1_19))))) ; (tmp12__global__25__instrumented__ = ((tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_19 - tmp1__global__gradXL1_19)) + (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_19 - tmp1__global__gradYL1_19))))
(assert (= tmp23__func_bio_opt__b tmp12__global__25__instrumented__)) ; (tmp23__func_bio_opt__b = tmp12__global__25__instrumented__)
(assert (= tmp12__global__26__instrumented__ (ite (> tmp23__func_bio_opt__b 0) 1 0))) ; (tmp12__global__26__instrumented__ = (ite (> tmp23__func_bio_opt__b 0) 1 0))
(assert (= tmp12__global__27__instrumented__ (+ tmp23__func_bio_opt__b 32))) ; (tmp12__global__27__instrumented__ = (tmp23__func_bio_opt__b + 32))
(assert (= tmp12__global__28__instrumented__ (- tmp23__func_bio_opt__b))) ; (tmp12__global__28__instrumented__ = -(tmp23__func_bio_opt__b))
(assert (= tmp12__global__29__instrumented__ (- (div (+ (- tmp23__func_bio_opt__b) 32) 64)))) ; (tmp12__global__29__instrumented__ = -(((-(tmp23__func_bio_opt__b) + 32) div 64)))
(assert (= tmp24__func_bio_opt__b (ite (> tmp23__func_bio_opt__b 0) (div tmp12__global__27__instrumented__ 64) tmp12__global__29__instrumented__))) ; (tmp24__func_bio_opt__b = (ite (> tmp23__func_bio_opt__b 0) (div tmp12__global__27__instrumented__ 64) tmp12__global__29__instrumented__))
(assert (= tmp12__global__30__instrumented__ (+ tmp1__global__predL0_19 tmp1__global__predL1_19))) ; (tmp12__global__30__instrumented__ = (tmp1__global__predL0_19 + tmp1__global__predL1_19))
(assert (= tmp12__global__31__instrumented__ (+ (+ tmp1__global__predL0_19 tmp1__global__predL1_19) tmp24__func_bio_opt__b))) ; (tmp12__global__31__instrumented__ = ((tmp1__global__predL0_19 + tmp1__global__predL1_19) + tmp24__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_141__value (div (+ tmp12__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_141__value = ((tmp12__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_141 (ite (< tmp1__func_Clip3_variant_141__value 0) 0 (ite (> tmp1__func_Clip3_variant_141__value 255) 255 tmp1__func_Clip3_variant_141__value)))) ; (tmp1__func__return__Clip3_variant_141 = (ite (< tmp1__func_Clip3_variant_141__value 0) 0 (ite (> tmp1__func_Clip3_variant_141__value 255) 255 tmp1__func_Clip3_variant_141__value)))
(assert (= tmp1__global__outputVector_19 tmp1__func__return__Clip3_variant_141)) ; (tmp1__global__outputVector_19 = tmp1__func__return__Clip3_variant_141)
(assert (= tmp13__global__21__instrumented__ (- tmp1__global__gradXL0_24 tmp1__global__gradXL1_24))) ; (tmp13__global__21__instrumented__ = (tmp1__global__gradXL0_24 - tmp1__global__gradXL1_24))
(assert (= tmp13__global__22__instrumented__ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_24 tmp1__global__gradXL1_24)))) ; (tmp13__global__22__instrumented__ = (tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_24 - tmp1__global__gradXL1_24)))
(assert (= tmp13__global__23__instrumented__ (- tmp1__global__gradYL0_24 tmp1__global__gradYL1_24))) ; (tmp13__global__23__instrumented__ = (tmp1__global__gradYL0_24 - tmp1__global__gradYL1_24))
(assert (= tmp13__global__24__instrumented__ (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_24 tmp1__global__gradYL1_24)))) ; (tmp13__global__24__instrumented__ = (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_24 - tmp1__global__gradYL1_24)))
(assert (= tmp13__global__25__instrumented__ (+ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_24 tmp1__global__gradXL1_24)) (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_24 tmp1__global__gradYL1_24))))) ; (tmp13__global__25__instrumented__ = ((tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_24 - tmp1__global__gradXL1_24)) + (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_24 - tmp1__global__gradYL1_24))))
(assert (= tmp25__func_bio_opt__b tmp13__global__25__instrumented__)) ; (tmp25__func_bio_opt__b = tmp13__global__25__instrumented__)
(assert (= tmp13__global__26__instrumented__ (ite (> tmp25__func_bio_opt__b 0) 1 0))) ; (tmp13__global__26__instrumented__ = (ite (> tmp25__func_bio_opt__b 0) 1 0))
(assert (= tmp13__global__27__instrumented__ (+ tmp25__func_bio_opt__b 32))) ; (tmp13__global__27__instrumented__ = (tmp25__func_bio_opt__b + 32))
(assert (= tmp13__global__28__instrumented__ (- tmp25__func_bio_opt__b))) ; (tmp13__global__28__instrumented__ = -(tmp25__func_bio_opt__b))
(assert (= tmp13__global__29__instrumented__ (- (div (+ (- tmp25__func_bio_opt__b) 32) 64)))) ; (tmp13__global__29__instrumented__ = -(((-(tmp25__func_bio_opt__b) + 32) div 64)))
(assert (= tmp26__func_bio_opt__b (ite (> tmp25__func_bio_opt__b 0) (div tmp13__global__27__instrumented__ 64) tmp13__global__29__instrumented__))) ; (tmp26__func_bio_opt__b = (ite (> tmp25__func_bio_opt__b 0) (div tmp13__global__27__instrumented__ 64) tmp13__global__29__instrumented__))
(assert (= tmp13__global__30__instrumented__ (+ tmp1__global__predL0_24 tmp1__global__predL1_24))) ; (tmp13__global__30__instrumented__ = (tmp1__global__predL0_24 + tmp1__global__predL1_24))
(assert (= tmp13__global__31__instrumented__ (+ (+ tmp1__global__predL0_24 tmp1__global__predL1_24) tmp26__func_bio_opt__b))) ; (tmp13__global__31__instrumented__ = ((tmp1__global__predL0_24 + tmp1__global__predL1_24) + tmp26__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_142__value (div (+ tmp13__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_142__value = ((tmp13__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_142 (ite (< tmp1__func_Clip3_variant_142__value 0) 0 (ite (> tmp1__func_Clip3_variant_142__value 255) 255 tmp1__func_Clip3_variant_142__value)))) ; (tmp1__func__return__Clip3_variant_142 = (ite (< tmp1__func_Clip3_variant_142__value 0) 0 (ite (> tmp1__func_Clip3_variant_142__value 255) 255 tmp1__func_Clip3_variant_142__value)))
(assert (= tmp1__global__outputVector_24 tmp1__func__return__Clip3_variant_142)) ; (tmp1__global__outputVector_24 = tmp1__func__return__Clip3_variant_142)
(assert (= tmp14__global__21__instrumented__ (- tmp1__global__gradXL0_25 tmp1__global__gradXL1_25))) ; (tmp14__global__21__instrumented__ = (tmp1__global__gradXL0_25 - tmp1__global__gradXL1_25))
(assert (= tmp14__global__22__instrumented__ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_25 tmp1__global__gradXL1_25)))) ; (tmp14__global__22__instrumented__ = (tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_25 - tmp1__global__gradXL1_25)))
(assert (= tmp14__global__23__instrumented__ (- tmp1__global__gradYL0_25 tmp1__global__gradYL1_25))) ; (tmp14__global__23__instrumented__ = (tmp1__global__gradYL0_25 - tmp1__global__gradYL1_25))
(assert (= tmp14__global__24__instrumented__ (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_25 tmp1__global__gradYL1_25)))) ; (tmp14__global__24__instrumented__ = (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_25 - tmp1__global__gradYL1_25)))
(assert (= tmp14__global__25__instrumented__ (+ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_25 tmp1__global__gradXL1_25)) (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_25 tmp1__global__gradYL1_25))))) ; (tmp14__global__25__instrumented__ = ((tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_25 - tmp1__global__gradXL1_25)) + (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_25 - tmp1__global__gradYL1_25))))
(assert (= tmp27__func_bio_opt__b tmp14__global__25__instrumented__)) ; (tmp27__func_bio_opt__b = tmp14__global__25__instrumented__)
(assert (= tmp14__global__26__instrumented__ (ite (> tmp27__func_bio_opt__b 0) 1 0))) ; (tmp14__global__26__instrumented__ = (ite (> tmp27__func_bio_opt__b 0) 1 0))
(assert (= tmp14__global__27__instrumented__ (+ tmp27__func_bio_opt__b 32))) ; (tmp14__global__27__instrumented__ = (tmp27__func_bio_opt__b + 32))
(assert (= tmp14__global__28__instrumented__ (- tmp27__func_bio_opt__b))) ; (tmp14__global__28__instrumented__ = -(tmp27__func_bio_opt__b))
(assert (= tmp14__global__29__instrumented__ (- (div (+ (- tmp27__func_bio_opt__b) 32) 64)))) ; (tmp14__global__29__instrumented__ = -(((-(tmp27__func_bio_opt__b) + 32) div 64)))
(assert (= tmp28__func_bio_opt__b (ite (> tmp27__func_bio_opt__b 0) (div tmp14__global__27__instrumented__ 64) tmp14__global__29__instrumented__))) ; (tmp28__func_bio_opt__b = (ite (> tmp27__func_bio_opt__b 0) (div tmp14__global__27__instrumented__ 64) tmp14__global__29__instrumented__))
(assert (= tmp14__global__30__instrumented__ (+ tmp1__global__predL0_25 tmp1__global__predL1_25))) ; (tmp14__global__30__instrumented__ = (tmp1__global__predL0_25 + tmp1__global__predL1_25))
(assert (= tmp14__global__31__instrumented__ (+ (+ tmp1__global__predL0_25 tmp1__global__predL1_25) tmp28__func_bio_opt__b))) ; (tmp14__global__31__instrumented__ = ((tmp1__global__predL0_25 + tmp1__global__predL1_25) + tmp28__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_143__value (div (+ tmp14__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_143__value = ((tmp14__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_143 (ite (< tmp1__func_Clip3_variant_143__value 0) 0 (ite (> tmp1__func_Clip3_variant_143__value 255) 255 tmp1__func_Clip3_variant_143__value)))) ; (tmp1__func__return__Clip3_variant_143 = (ite (< tmp1__func_Clip3_variant_143__value 0) 0 (ite (> tmp1__func_Clip3_variant_143__value 255) 255 tmp1__func_Clip3_variant_143__value)))
(assert (= tmp1__global__outputVector_25 tmp1__func__return__Clip3_variant_143)) ; (tmp1__global__outputVector_25 = tmp1__func__return__Clip3_variant_143)
(assert (= tmp15__global__21__instrumented__ (- tmp1__global__gradXL0_26 tmp1__global__gradXL1_26))) ; (tmp15__global__21__instrumented__ = (tmp1__global__gradXL0_26 - tmp1__global__gradXL1_26))
(assert (= tmp15__global__22__instrumented__ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_26 tmp1__global__gradXL1_26)))) ; (tmp15__global__22__instrumented__ = (tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_26 - tmp1__global__gradXL1_26)))
(assert (= tmp15__global__23__instrumented__ (- tmp1__global__gradYL0_26 tmp1__global__gradYL1_26))) ; (tmp15__global__23__instrumented__ = (tmp1__global__gradYL0_26 - tmp1__global__gradYL1_26))
(assert (= tmp15__global__24__instrumented__ (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_26 tmp1__global__gradYL1_26)))) ; (tmp15__global__24__instrumented__ = (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_26 - tmp1__global__gradYL1_26)))
(assert (= tmp15__global__25__instrumented__ (+ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_26 tmp1__global__gradXL1_26)) (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_26 tmp1__global__gradYL1_26))))) ; (tmp15__global__25__instrumented__ = ((tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_26 - tmp1__global__gradXL1_26)) + (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_26 - tmp1__global__gradYL1_26))))
(assert (= tmp29__func_bio_opt__b tmp15__global__25__instrumented__)) ; (tmp29__func_bio_opt__b = tmp15__global__25__instrumented__)
(assert (= tmp15__global__26__instrumented__ (ite (> tmp29__func_bio_opt__b 0) 1 0))) ; (tmp15__global__26__instrumented__ = (ite (> tmp29__func_bio_opt__b 0) 1 0))
(assert (= tmp15__global__27__instrumented__ (+ tmp29__func_bio_opt__b 32))) ; (tmp15__global__27__instrumented__ = (tmp29__func_bio_opt__b + 32))
(assert (= tmp15__global__28__instrumented__ (- tmp29__func_bio_opt__b))) ; (tmp15__global__28__instrumented__ = -(tmp29__func_bio_opt__b))
(assert (= tmp15__global__29__instrumented__ (- (div (+ (- tmp29__func_bio_opt__b) 32) 64)))) ; (tmp15__global__29__instrumented__ = -(((-(tmp29__func_bio_opt__b) + 32) div 64)))
(assert (= tmp30__func_bio_opt__b (ite (> tmp29__func_bio_opt__b 0) (div tmp15__global__27__instrumented__ 64) tmp15__global__29__instrumented__))) ; (tmp30__func_bio_opt__b = (ite (> tmp29__func_bio_opt__b 0) (div tmp15__global__27__instrumented__ 64) tmp15__global__29__instrumented__))
(assert (= tmp15__global__30__instrumented__ (+ tmp1__global__predL0_26 tmp1__global__predL1_26))) ; (tmp15__global__30__instrumented__ = (tmp1__global__predL0_26 + tmp1__global__predL1_26))
(assert (= tmp15__global__31__instrumented__ (+ (+ tmp1__global__predL0_26 tmp1__global__predL1_26) tmp30__func_bio_opt__b))) ; (tmp15__global__31__instrumented__ = ((tmp1__global__predL0_26 + tmp1__global__predL1_26) + tmp30__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_144__value (div (+ tmp15__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_144__value = ((tmp15__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_144 (ite (< tmp1__func_Clip3_variant_144__value 0) 0 (ite (> tmp1__func_Clip3_variant_144__value 255) 255 tmp1__func_Clip3_variant_144__value)))) ; (tmp1__func__return__Clip3_variant_144 = (ite (< tmp1__func_Clip3_variant_144__value 0) 0 (ite (> tmp1__func_Clip3_variant_144__value 255) 255 tmp1__func_Clip3_variant_144__value)))
(assert (= tmp1__global__outputVector_26 tmp1__func__return__Clip3_variant_144)) ; (tmp1__global__outputVector_26 = tmp1__func__return__Clip3_variant_144)
(assert (= tmp16__global__21__instrumented__ (- tmp1__global__gradXL0_27 tmp1__global__gradXL1_27))) ; (tmp16__global__21__instrumented__ = (tmp1__global__gradXL0_27 - tmp1__global__gradXL1_27))
(assert (= tmp16__global__22__instrumented__ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_27 tmp1__global__gradXL1_27)))) ; (tmp16__global__22__instrumented__ = (tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_27 - tmp1__global__gradXL1_27)))
(assert (= tmp16__global__23__instrumented__ (- tmp1__global__gradYL0_27 tmp1__global__gradYL1_27))) ; (tmp16__global__23__instrumented__ = (tmp1__global__gradYL0_27 - tmp1__global__gradYL1_27))
(assert (= tmp16__global__24__instrumented__ (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_27 tmp1__global__gradYL1_27)))) ; (tmp16__global__24__instrumented__ = (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_27 - tmp1__global__gradYL1_27)))
(assert (= tmp16__global__25__instrumented__ (+ (* tmp5__func_bio_opt__vx (- tmp1__global__gradXL0_27 tmp1__global__gradXL1_27)) (* tmp5__func_bio_opt__vy (- tmp1__global__gradYL0_27 tmp1__global__gradYL1_27))))) ; (tmp16__global__25__instrumented__ = ((tmp5__func_bio_opt__vx * (tmp1__global__gradXL0_27 - tmp1__global__gradXL1_27)) + (tmp5__func_bio_opt__vy * (tmp1__global__gradYL0_27 - tmp1__global__gradYL1_27))))
(assert (= tmp31__func_bio_opt__b tmp16__global__25__instrumented__)) ; (tmp31__func_bio_opt__b = tmp16__global__25__instrumented__)
(assert (= tmp16__global__26__instrumented__ (ite (> tmp31__func_bio_opt__b 0) 1 0))) ; (tmp16__global__26__instrumented__ = (ite (> tmp31__func_bio_opt__b 0) 1 0))
(assert (= tmp16__global__27__instrumented__ (+ tmp31__func_bio_opt__b 32))) ; (tmp16__global__27__instrumented__ = (tmp31__func_bio_opt__b + 32))
(assert (= tmp16__global__28__instrumented__ (- tmp31__func_bio_opt__b))) ; (tmp16__global__28__instrumented__ = -(tmp31__func_bio_opt__b))
(assert (= tmp16__global__29__instrumented__ (- (div (+ (- tmp31__func_bio_opt__b) 32) 64)))) ; (tmp16__global__29__instrumented__ = -(((-(tmp31__func_bio_opt__b) + 32) div 64)))
(assert (= tmp32__func_bio_opt__b (ite (> tmp31__func_bio_opt__b 0) (div tmp16__global__27__instrumented__ 64) tmp16__global__29__instrumented__))) ; (tmp32__func_bio_opt__b = (ite (> tmp31__func_bio_opt__b 0) (div tmp16__global__27__instrumented__ 64) tmp16__global__29__instrumented__))
(assert (= tmp16__global__30__instrumented__ (+ tmp1__global__predL0_27 tmp1__global__predL1_27))) ; (tmp16__global__30__instrumented__ = (tmp1__global__predL0_27 + tmp1__global__predL1_27))
(assert (= tmp16__global__31__instrumented__ (+ (+ tmp1__global__predL0_27 tmp1__global__predL1_27) tmp32__func_bio_opt__b))) ; (tmp16__global__31__instrumented__ = ((tmp1__global__predL0_27 + tmp1__global__predL1_27) + tmp32__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_145__value (div (+ tmp16__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_145__value = ((tmp16__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_145 (ite (< tmp1__func_Clip3_variant_145__value 0) 0 (ite (> tmp1__func_Clip3_variant_145__value 255) 255 tmp1__func_Clip3_variant_145__value)))) ; (tmp1__func__return__Clip3_variant_145 = (ite (< tmp1__func_Clip3_variant_145__value 0) 0 (ite (> tmp1__func_Clip3_variant_145__value 255) 255 tmp1__func_Clip3_variant_145__value)))
(assert (= tmp1__global__outputVector_27 tmp1__func__return__Clip3_variant_145)) ; (tmp1__global__outputVector_27 = tmp1__func__return__Clip3_variant_145)
(assert (= tmp17__global__10__instrumented__ (+ 0 tmp2__global__s1_4))) ; (tmp17__global__10__instrumented__ = (0 + tmp2__global__s1_4))
(assert (= tmp17__func_bio_opt__t1 tmp17__global__10__instrumented__)) ; (tmp17__func_bio_opt__t1 = tmp17__global__10__instrumented__)
(assert (= tmp17__global__11__instrumented__ (+ 0 tmp2__global__s2_4))) ; (tmp17__global__11__instrumented__ = (0 + tmp2__global__s2_4))
(assert (= tmp17__func_bio_opt__t2 tmp17__global__11__instrumented__)) ; (tmp17__func_bio_opt__t2 = tmp17__global__11__instrumented__)
(assert (= tmp17__global__12__instrumented__ (+ 0 tmp2__global__s3_4))) ; (tmp17__global__12__instrumented__ = (0 + tmp2__global__s3_4))
(assert (= tmp17__func_bio_opt__t3 tmp17__global__12__instrumented__)) ; (tmp17__func_bio_opt__t3 = tmp17__global__12__instrumented__)
(assert (= tmp17__global__13__instrumented__ (+ 0 tmp2__global__s4_4))) ; (tmp17__global__13__instrumented__ = (0 + tmp2__global__s4_4))
(assert (= tmp17__func_bio_opt__t4 tmp17__global__13__instrumented__)) ; (tmp17__func_bio_opt__t4 = tmp17__global__13__instrumented__)
(assert (= tmp17__global__14__instrumented__ (+ 0 tmp2__global__s5_4))) ; (tmp17__global__14__instrumented__ = (0 + tmp2__global__s5_4))
(assert (= tmp17__func_bio_opt__t5 tmp17__global__14__instrumented__)) ; (tmp17__func_bio_opt__t5 = tmp17__global__14__instrumented__)
(assert (= tmp18__global__10__instrumented__ (+ tmp17__func_bio_opt__t1 tmp2__global__s1_5))) ; (tmp18__global__10__instrumented__ = (tmp17__func_bio_opt__t1 + tmp2__global__s1_5))
(assert (= tmp18__func_bio_opt__t1 tmp18__global__10__instrumented__)) ; (tmp18__func_bio_opt__t1 = tmp18__global__10__instrumented__)
(assert (= tmp18__global__11__instrumented__ (+ tmp17__func_bio_opt__t2 tmp2__global__s2_5))) ; (tmp18__global__11__instrumented__ = (tmp17__func_bio_opt__t2 + tmp2__global__s2_5))
(assert (= tmp18__func_bio_opt__t2 tmp18__global__11__instrumented__)) ; (tmp18__func_bio_opt__t2 = tmp18__global__11__instrumented__)
(assert (= tmp18__global__12__instrumented__ (+ tmp17__func_bio_opt__t3 tmp2__global__s3_5))) ; (tmp18__global__12__instrumented__ = (tmp17__func_bio_opt__t3 + tmp2__global__s3_5))
(assert (= tmp18__func_bio_opt__t3 tmp18__global__12__instrumented__)) ; (tmp18__func_bio_opt__t3 = tmp18__global__12__instrumented__)
(assert (= tmp18__global__13__instrumented__ (+ tmp17__func_bio_opt__t4 tmp2__global__s4_5))) ; (tmp18__global__13__instrumented__ = (tmp17__func_bio_opt__t4 + tmp2__global__s4_5))
(assert (= tmp18__func_bio_opt__t4 tmp18__global__13__instrumented__)) ; (tmp18__func_bio_opt__t4 = tmp18__global__13__instrumented__)
(assert (= tmp18__global__14__instrumented__ (+ tmp17__func_bio_opt__t5 tmp2__global__s5_5))) ; (tmp18__global__14__instrumented__ = (tmp17__func_bio_opt__t5 + tmp2__global__s5_5))
(assert (= tmp18__func_bio_opt__t5 tmp18__global__14__instrumented__)) ; (tmp18__func_bio_opt__t5 = tmp18__global__14__instrumented__)
(assert (= tmp19__global__10__instrumented__ (+ tmp18__func_bio_opt__t1 tmp2__global__s1_6))) ; (tmp19__global__10__instrumented__ = (tmp18__func_bio_opt__t1 + tmp2__global__s1_6))
(assert (= tmp19__func_bio_opt__t1 tmp19__global__10__instrumented__)) ; (tmp19__func_bio_opt__t1 = tmp19__global__10__instrumented__)
(assert (= tmp19__global__11__instrumented__ (+ tmp18__func_bio_opt__t2 tmp2__global__s2_6))) ; (tmp19__global__11__instrumented__ = (tmp18__func_bio_opt__t2 + tmp2__global__s2_6))
(assert (= tmp19__func_bio_opt__t2 tmp19__global__11__instrumented__)) ; (tmp19__func_bio_opt__t2 = tmp19__global__11__instrumented__)
(assert (= tmp19__global__12__instrumented__ (+ tmp18__func_bio_opt__t3 tmp2__global__s3_6))) ; (tmp19__global__12__instrumented__ = (tmp18__func_bio_opt__t3 + tmp2__global__s3_6))
(assert (= tmp19__func_bio_opt__t3 tmp19__global__12__instrumented__)) ; (tmp19__func_bio_opt__t3 = tmp19__global__12__instrumented__)
(assert (= tmp19__global__13__instrumented__ (+ tmp18__func_bio_opt__t4 tmp2__global__s4_6))) ; (tmp19__global__13__instrumented__ = (tmp18__func_bio_opt__t4 + tmp2__global__s4_6))
(assert (= tmp19__func_bio_opt__t4 tmp19__global__13__instrumented__)) ; (tmp19__func_bio_opt__t4 = tmp19__global__13__instrumented__)
(assert (= tmp19__global__14__instrumented__ (+ tmp18__func_bio_opt__t5 tmp2__global__s5_6))) ; (tmp19__global__14__instrumented__ = (tmp18__func_bio_opt__t5 + tmp2__global__s5_6))
(assert (= tmp19__func_bio_opt__t5 tmp19__global__14__instrumented__)) ; (tmp19__func_bio_opt__t5 = tmp19__global__14__instrumented__)
(assert (= tmp20__global__10__instrumented__ (+ tmp19__func_bio_opt__t1 tmp2__global__s1_7))) ; (tmp20__global__10__instrumented__ = (tmp19__func_bio_opt__t1 + tmp2__global__s1_7))
(assert (= tmp20__func_bio_opt__t1 tmp20__global__10__instrumented__)) ; (tmp20__func_bio_opt__t1 = tmp20__global__10__instrumented__)
(assert (= tmp20__global__11__instrumented__ (+ tmp19__func_bio_opt__t2 tmp2__global__s2_7))) ; (tmp20__global__11__instrumented__ = (tmp19__func_bio_opt__t2 + tmp2__global__s2_7))
(assert (= tmp20__func_bio_opt__t2 tmp20__global__11__instrumented__)) ; (tmp20__func_bio_opt__t2 = tmp20__global__11__instrumented__)
(assert (= tmp20__global__12__instrumented__ (+ tmp19__func_bio_opt__t3 tmp2__global__s3_7))) ; (tmp20__global__12__instrumented__ = (tmp19__func_bio_opt__t3 + tmp2__global__s3_7))
(assert (= tmp20__func_bio_opt__t3 tmp20__global__12__instrumented__)) ; (tmp20__func_bio_opt__t3 = tmp20__global__12__instrumented__)
(assert (= tmp20__global__13__instrumented__ (+ tmp19__func_bio_opt__t4 tmp2__global__s4_7))) ; (tmp20__global__13__instrumented__ = (tmp19__func_bio_opt__t4 + tmp2__global__s4_7))
(assert (= tmp20__func_bio_opt__t4 tmp20__global__13__instrumented__)) ; (tmp20__func_bio_opt__t4 = tmp20__global__13__instrumented__)
(assert (= tmp20__global__14__instrumented__ (+ tmp19__func_bio_opt__t5 tmp2__global__s5_7))) ; (tmp20__global__14__instrumented__ = (tmp19__func_bio_opt__t5 + tmp2__global__s5_7))
(assert (= tmp20__func_bio_opt__t5 tmp20__global__14__instrumented__)) ; (tmp20__func_bio_opt__t5 = tmp20__global__14__instrumented__)
(assert (= tmp21__global__10__instrumented__ (+ tmp20__func_bio_opt__t1 tmp2__global__s1_12))) ; (tmp21__global__10__instrumented__ = (tmp20__func_bio_opt__t1 + tmp2__global__s1_12))
(assert (= tmp21__func_bio_opt__t1 tmp21__global__10__instrumented__)) ; (tmp21__func_bio_opt__t1 = tmp21__global__10__instrumented__)
(assert (= tmp21__global__11__instrumented__ (+ tmp20__func_bio_opt__t2 tmp2__global__s2_12))) ; (tmp21__global__11__instrumented__ = (tmp20__func_bio_opt__t2 + tmp2__global__s2_12))
(assert (= tmp21__func_bio_opt__t2 tmp21__global__11__instrumented__)) ; (tmp21__func_bio_opt__t2 = tmp21__global__11__instrumented__)
(assert (= tmp21__global__12__instrumented__ (+ tmp20__func_bio_opt__t3 tmp2__global__s3_12))) ; (tmp21__global__12__instrumented__ = (tmp20__func_bio_opt__t3 + tmp2__global__s3_12))
(assert (= tmp21__func_bio_opt__t3 tmp21__global__12__instrumented__)) ; (tmp21__func_bio_opt__t3 = tmp21__global__12__instrumented__)
(assert (= tmp21__global__13__instrumented__ (+ tmp20__func_bio_opt__t4 tmp2__global__s4_12))) ; (tmp21__global__13__instrumented__ = (tmp20__func_bio_opt__t4 + tmp2__global__s4_12))
(assert (= tmp21__func_bio_opt__t4 tmp21__global__13__instrumented__)) ; (tmp21__func_bio_opt__t4 = tmp21__global__13__instrumented__)
(assert (= tmp21__global__14__instrumented__ (+ tmp20__func_bio_opt__t5 tmp2__global__s5_12))) ; (tmp21__global__14__instrumented__ = (tmp20__func_bio_opt__t5 + tmp2__global__s5_12))
(assert (= tmp21__func_bio_opt__t5 tmp21__global__14__instrumented__)) ; (tmp21__func_bio_opt__t5 = tmp21__global__14__instrumented__)
(assert (= tmp22__global__10__instrumented__ (+ tmp21__func_bio_opt__t1 tmp2__global__s1_13))) ; (tmp22__global__10__instrumented__ = (tmp21__func_bio_opt__t1 + tmp2__global__s1_13))
(assert (= tmp22__func_bio_opt__t1 tmp22__global__10__instrumented__)) ; (tmp22__func_bio_opt__t1 = tmp22__global__10__instrumented__)
(assert (= tmp22__global__11__instrumented__ (+ tmp21__func_bio_opt__t2 tmp2__global__s2_13))) ; (tmp22__global__11__instrumented__ = (tmp21__func_bio_opt__t2 + tmp2__global__s2_13))
(assert (= tmp22__func_bio_opt__t2 tmp22__global__11__instrumented__)) ; (tmp22__func_bio_opt__t2 = tmp22__global__11__instrumented__)
(assert (= tmp22__global__12__instrumented__ (+ tmp21__func_bio_opt__t3 tmp2__global__s3_13))) ; (tmp22__global__12__instrumented__ = (tmp21__func_bio_opt__t3 + tmp2__global__s3_13))
(assert (= tmp22__func_bio_opt__t3 tmp22__global__12__instrumented__)) ; (tmp22__func_bio_opt__t3 = tmp22__global__12__instrumented__)
(assert (= tmp22__global__13__instrumented__ (+ tmp21__func_bio_opt__t4 tmp2__global__s4_13))) ; (tmp22__global__13__instrumented__ = (tmp21__func_bio_opt__t4 + tmp2__global__s4_13))
(assert (= tmp22__func_bio_opt__t4 tmp22__global__13__instrumented__)) ; (tmp22__func_bio_opt__t4 = tmp22__global__13__instrumented__)
(assert (= tmp22__global__14__instrumented__ (+ tmp21__func_bio_opt__t5 tmp2__global__s5_13))) ; (tmp22__global__14__instrumented__ = (tmp21__func_bio_opt__t5 + tmp2__global__s5_13))
(assert (= tmp22__func_bio_opt__t5 tmp22__global__14__instrumented__)) ; (tmp22__func_bio_opt__t5 = tmp22__global__14__instrumented__)
(assert (= tmp23__global__10__instrumented__ (+ tmp22__func_bio_opt__t1 tmp2__global__s1_14))) ; (tmp23__global__10__instrumented__ = (tmp22__func_bio_opt__t1 + tmp2__global__s1_14))
(assert (= tmp23__func_bio_opt__t1 tmp23__global__10__instrumented__)) ; (tmp23__func_bio_opt__t1 = tmp23__global__10__instrumented__)
(assert (= tmp23__global__11__instrumented__ (+ tmp22__func_bio_opt__t2 tmp2__global__s2_14))) ; (tmp23__global__11__instrumented__ = (tmp22__func_bio_opt__t2 + tmp2__global__s2_14))
(assert (= tmp23__func_bio_opt__t2 tmp23__global__11__instrumented__)) ; (tmp23__func_bio_opt__t2 = tmp23__global__11__instrumented__)
(assert (= tmp23__global__12__instrumented__ (+ tmp22__func_bio_opt__t3 tmp2__global__s3_14))) ; (tmp23__global__12__instrumented__ = (tmp22__func_bio_opt__t3 + tmp2__global__s3_14))
(assert (= tmp23__func_bio_opt__t3 tmp23__global__12__instrumented__)) ; (tmp23__func_bio_opt__t3 = tmp23__global__12__instrumented__)
(assert (= tmp23__global__13__instrumented__ (+ tmp22__func_bio_opt__t4 tmp2__global__s4_14))) ; (tmp23__global__13__instrumented__ = (tmp22__func_bio_opt__t4 + tmp2__global__s4_14))
(assert (= tmp23__func_bio_opt__t4 tmp23__global__13__instrumented__)) ; (tmp23__func_bio_opt__t4 = tmp23__global__13__instrumented__)
(assert (= tmp23__global__14__instrumented__ (+ tmp22__func_bio_opt__t5 tmp2__global__s5_14))) ; (tmp23__global__14__instrumented__ = (tmp22__func_bio_opt__t5 + tmp2__global__s5_14))
(assert (= tmp23__func_bio_opt__t5 tmp23__global__14__instrumented__)) ; (tmp23__func_bio_opt__t5 = tmp23__global__14__instrumented__)
(assert (= tmp24__global__10__instrumented__ (+ tmp23__func_bio_opt__t1 tmp2__global__s1_15))) ; (tmp24__global__10__instrumented__ = (tmp23__func_bio_opt__t1 + tmp2__global__s1_15))
(assert (= tmp24__func_bio_opt__t1 tmp24__global__10__instrumented__)) ; (tmp24__func_bio_opt__t1 = tmp24__global__10__instrumented__)
(assert (= tmp24__global__11__instrumented__ (+ tmp23__func_bio_opt__t2 tmp2__global__s2_15))) ; (tmp24__global__11__instrumented__ = (tmp23__func_bio_opt__t2 + tmp2__global__s2_15))
(assert (= tmp24__func_bio_opt__t2 tmp24__global__11__instrumented__)) ; (tmp24__func_bio_opt__t2 = tmp24__global__11__instrumented__)
(assert (= tmp24__global__12__instrumented__ (+ tmp23__func_bio_opt__t3 tmp2__global__s3_15))) ; (tmp24__global__12__instrumented__ = (tmp23__func_bio_opt__t3 + tmp2__global__s3_15))
(assert (= tmp24__func_bio_opt__t3 tmp24__global__12__instrumented__)) ; (tmp24__func_bio_opt__t3 = tmp24__global__12__instrumented__)
(assert (= tmp24__global__13__instrumented__ (+ tmp23__func_bio_opt__t4 tmp2__global__s4_15))) ; (tmp24__global__13__instrumented__ = (tmp23__func_bio_opt__t4 + tmp2__global__s4_15))
(assert (= tmp24__func_bio_opt__t4 tmp24__global__13__instrumented__)) ; (tmp24__func_bio_opt__t4 = tmp24__global__13__instrumented__)
(assert (= tmp24__global__14__instrumented__ (+ tmp23__func_bio_opt__t5 tmp2__global__s5_15))) ; (tmp24__global__14__instrumented__ = (tmp23__func_bio_opt__t5 + tmp2__global__s5_15))
(assert (= tmp24__func_bio_opt__t5 tmp24__global__14__instrumented__)) ; (tmp24__func_bio_opt__t5 = tmp24__global__14__instrumented__)
(assert (= tmp25__global__10__instrumented__ (+ tmp24__func_bio_opt__t1 tmp2__global__s1_20))) ; (tmp25__global__10__instrumented__ = (tmp24__func_bio_opt__t1 + tmp2__global__s1_20))
(assert (= tmp25__func_bio_opt__t1 tmp25__global__10__instrumented__)) ; (tmp25__func_bio_opt__t1 = tmp25__global__10__instrumented__)
(assert (= tmp25__global__11__instrumented__ (+ tmp24__func_bio_opt__t2 tmp2__global__s2_20))) ; (tmp25__global__11__instrumented__ = (tmp24__func_bio_opt__t2 + tmp2__global__s2_20))
(assert (= tmp25__func_bio_opt__t2 tmp25__global__11__instrumented__)) ; (tmp25__func_bio_opt__t2 = tmp25__global__11__instrumented__)
(assert (= tmp25__global__12__instrumented__ (+ tmp24__func_bio_opt__t3 tmp2__global__s3_20))) ; (tmp25__global__12__instrumented__ = (tmp24__func_bio_opt__t3 + tmp2__global__s3_20))
(assert (= tmp25__func_bio_opt__t3 tmp25__global__12__instrumented__)) ; (tmp25__func_bio_opt__t3 = tmp25__global__12__instrumented__)
(assert (= tmp25__global__13__instrumented__ (+ tmp24__func_bio_opt__t4 tmp2__global__s4_20))) ; (tmp25__global__13__instrumented__ = (tmp24__func_bio_opt__t4 + tmp2__global__s4_20))
(assert (= tmp25__func_bio_opt__t4 tmp25__global__13__instrumented__)) ; (tmp25__func_bio_opt__t4 = tmp25__global__13__instrumented__)
(assert (= tmp25__global__14__instrumented__ (+ tmp24__func_bio_opt__t5 tmp2__global__s5_20))) ; (tmp25__global__14__instrumented__ = (tmp24__func_bio_opt__t5 + tmp2__global__s5_20))
(assert (= tmp25__func_bio_opt__t5 tmp25__global__14__instrumented__)) ; (tmp25__func_bio_opt__t5 = tmp25__global__14__instrumented__)
(assert (= tmp26__global__10__instrumented__ (+ tmp25__func_bio_opt__t1 tmp2__global__s1_21))) ; (tmp26__global__10__instrumented__ = (tmp25__func_bio_opt__t1 + tmp2__global__s1_21))
(assert (= tmp26__func_bio_opt__t1 tmp26__global__10__instrumented__)) ; (tmp26__func_bio_opt__t1 = tmp26__global__10__instrumented__)
(assert (= tmp26__global__11__instrumented__ (+ tmp25__func_bio_opt__t2 tmp2__global__s2_21))) ; (tmp26__global__11__instrumented__ = (tmp25__func_bio_opt__t2 + tmp2__global__s2_21))
(assert (= tmp26__func_bio_opt__t2 tmp26__global__11__instrumented__)) ; (tmp26__func_bio_opt__t2 = tmp26__global__11__instrumented__)
(assert (= tmp26__global__12__instrumented__ (+ tmp25__func_bio_opt__t3 tmp2__global__s3_21))) ; (tmp26__global__12__instrumented__ = (tmp25__func_bio_opt__t3 + tmp2__global__s3_21))
(assert (= tmp26__func_bio_opt__t3 tmp26__global__12__instrumented__)) ; (tmp26__func_bio_opt__t3 = tmp26__global__12__instrumented__)
(assert (= tmp26__global__13__instrumented__ (+ tmp25__func_bio_opt__t4 tmp2__global__s4_21))) ; (tmp26__global__13__instrumented__ = (tmp25__func_bio_opt__t4 + tmp2__global__s4_21))
(assert (= tmp26__func_bio_opt__t4 tmp26__global__13__instrumented__)) ; (tmp26__func_bio_opt__t4 = tmp26__global__13__instrumented__)
(assert (= tmp26__global__14__instrumented__ (+ tmp25__func_bio_opt__t5 tmp2__global__s5_21))) ; (tmp26__global__14__instrumented__ = (tmp25__func_bio_opt__t5 + tmp2__global__s5_21))
(assert (= tmp26__func_bio_opt__t5 tmp26__global__14__instrumented__)) ; (tmp26__func_bio_opt__t5 = tmp26__global__14__instrumented__)
(assert (= tmp27__global__10__instrumented__ (+ tmp26__func_bio_opt__t1 tmp2__global__s1_22))) ; (tmp27__global__10__instrumented__ = (tmp26__func_bio_opt__t1 + tmp2__global__s1_22))
(assert (= tmp27__func_bio_opt__t1 tmp27__global__10__instrumented__)) ; (tmp27__func_bio_opt__t1 = tmp27__global__10__instrumented__)
(assert (= tmp27__global__11__instrumented__ (+ tmp26__func_bio_opt__t2 tmp2__global__s2_22))) ; (tmp27__global__11__instrumented__ = (tmp26__func_bio_opt__t2 + tmp2__global__s2_22))
(assert (= tmp27__func_bio_opt__t2 tmp27__global__11__instrumented__)) ; (tmp27__func_bio_opt__t2 = tmp27__global__11__instrumented__)
(assert (= tmp27__global__12__instrumented__ (+ tmp26__func_bio_opt__t3 tmp2__global__s3_22))) ; (tmp27__global__12__instrumented__ = (tmp26__func_bio_opt__t3 + tmp2__global__s3_22))
(assert (= tmp27__func_bio_opt__t3 tmp27__global__12__instrumented__)) ; (tmp27__func_bio_opt__t3 = tmp27__global__12__instrumented__)
(assert (= tmp27__global__13__instrumented__ (+ tmp26__func_bio_opt__t4 tmp2__global__s4_22))) ; (tmp27__global__13__instrumented__ = (tmp26__func_bio_opt__t4 + tmp2__global__s4_22))
(assert (= tmp27__func_bio_opt__t4 tmp27__global__13__instrumented__)) ; (tmp27__func_bio_opt__t4 = tmp27__global__13__instrumented__)
(assert (= tmp27__global__14__instrumented__ (+ tmp26__func_bio_opt__t5 tmp2__global__s5_22))) ; (tmp27__global__14__instrumented__ = (tmp26__func_bio_opt__t5 + tmp2__global__s5_22))
(assert (= tmp27__func_bio_opt__t5 tmp27__global__14__instrumented__)) ; (tmp27__func_bio_opt__t5 = tmp27__global__14__instrumented__)
(assert (= tmp28__global__10__instrumented__ (+ tmp27__func_bio_opt__t1 tmp2__global__s1_23))) ; (tmp28__global__10__instrumented__ = (tmp27__func_bio_opt__t1 + tmp2__global__s1_23))
(assert (= tmp28__func_bio_opt__t1 tmp28__global__10__instrumented__)) ; (tmp28__func_bio_opt__t1 = tmp28__global__10__instrumented__)
(assert (= tmp28__global__11__instrumented__ (+ tmp27__func_bio_opt__t2 tmp2__global__s2_23))) ; (tmp28__global__11__instrumented__ = (tmp27__func_bio_opt__t2 + tmp2__global__s2_23))
(assert (= tmp28__func_bio_opt__t2 tmp28__global__11__instrumented__)) ; (tmp28__func_bio_opt__t2 = tmp28__global__11__instrumented__)
(assert (= tmp28__global__12__instrumented__ (+ tmp27__func_bio_opt__t3 tmp2__global__s3_23))) ; (tmp28__global__12__instrumented__ = (tmp27__func_bio_opt__t3 + tmp2__global__s3_23))
(assert (= tmp28__func_bio_opt__t3 tmp28__global__12__instrumented__)) ; (tmp28__func_bio_opt__t3 = tmp28__global__12__instrumented__)
(assert (= tmp28__global__13__instrumented__ (+ tmp27__func_bio_opt__t4 tmp2__global__s4_23))) ; (tmp28__global__13__instrumented__ = (tmp27__func_bio_opt__t4 + tmp2__global__s4_23))
(assert (= tmp28__func_bio_opt__t4 tmp28__global__13__instrumented__)) ; (tmp28__func_bio_opt__t4 = tmp28__global__13__instrumented__)
(assert (= tmp28__global__14__instrumented__ (+ tmp27__func_bio_opt__t5 tmp2__global__s5_23))) ; (tmp28__global__14__instrumented__ = (tmp27__func_bio_opt__t5 + tmp2__global__s5_23))
(assert (= tmp28__func_bio_opt__t5 tmp28__global__14__instrumented__)) ; (tmp28__func_bio_opt__t5 = tmp28__global__14__instrumented__)
(assert (= tmp29__global__10__instrumented__ (+ tmp28__func_bio_opt__t1 tmp2__global__s1_28))) ; (tmp29__global__10__instrumented__ = (tmp28__func_bio_opt__t1 + tmp2__global__s1_28))
(assert (= tmp29__func_bio_opt__t1 tmp29__global__10__instrumented__)) ; (tmp29__func_bio_opt__t1 = tmp29__global__10__instrumented__)
(assert (= tmp29__global__11__instrumented__ (+ tmp28__func_bio_opt__t2 tmp2__global__s2_28))) ; (tmp29__global__11__instrumented__ = (tmp28__func_bio_opt__t2 + tmp2__global__s2_28))
(assert (= tmp29__func_bio_opt__t2 tmp29__global__11__instrumented__)) ; (tmp29__func_bio_opt__t2 = tmp29__global__11__instrumented__)
(assert (= tmp29__global__12__instrumented__ (+ tmp28__func_bio_opt__t3 tmp2__global__s3_28))) ; (tmp29__global__12__instrumented__ = (tmp28__func_bio_opt__t3 + tmp2__global__s3_28))
(assert (= tmp29__func_bio_opt__t3 tmp29__global__12__instrumented__)) ; (tmp29__func_bio_opt__t3 = tmp29__global__12__instrumented__)
(assert (= tmp29__global__13__instrumented__ (+ tmp28__func_bio_opt__t4 tmp2__global__s4_28))) ; (tmp29__global__13__instrumented__ = (tmp28__func_bio_opt__t4 + tmp2__global__s4_28))
(assert (= tmp29__func_bio_opt__t4 tmp29__global__13__instrumented__)) ; (tmp29__func_bio_opt__t4 = tmp29__global__13__instrumented__)
(assert (= tmp29__global__14__instrumented__ (+ tmp28__func_bio_opt__t5 tmp2__global__s5_28))) ; (tmp29__global__14__instrumented__ = (tmp28__func_bio_opt__t5 + tmp2__global__s5_28))
(assert (= tmp29__func_bio_opt__t5 tmp29__global__14__instrumented__)) ; (tmp29__func_bio_opt__t5 = tmp29__global__14__instrumented__)
(assert (= tmp30__global__10__instrumented__ (+ tmp29__func_bio_opt__t1 tmp2__global__s1_29))) ; (tmp30__global__10__instrumented__ = (tmp29__func_bio_opt__t1 + tmp2__global__s1_29))
(assert (= tmp30__func_bio_opt__t1 tmp30__global__10__instrumented__)) ; (tmp30__func_bio_opt__t1 = tmp30__global__10__instrumented__)
(assert (= tmp30__global__11__instrumented__ (+ tmp29__func_bio_opt__t2 tmp2__global__s2_29))) ; (tmp30__global__11__instrumented__ = (tmp29__func_bio_opt__t2 + tmp2__global__s2_29))
(assert (= tmp30__func_bio_opt__t2 tmp30__global__11__instrumented__)) ; (tmp30__func_bio_opt__t2 = tmp30__global__11__instrumented__)
(assert (= tmp30__global__12__instrumented__ (+ tmp29__func_bio_opt__t3 tmp2__global__s3_29))) ; (tmp30__global__12__instrumented__ = (tmp29__func_bio_opt__t3 + tmp2__global__s3_29))
(assert (= tmp30__func_bio_opt__t3 tmp30__global__12__instrumented__)) ; (tmp30__func_bio_opt__t3 = tmp30__global__12__instrumented__)
(assert (= tmp30__global__13__instrumented__ (+ tmp29__func_bio_opt__t4 tmp2__global__s4_29))) ; (tmp30__global__13__instrumented__ = (tmp29__func_bio_opt__t4 + tmp2__global__s4_29))
(assert (= tmp30__func_bio_opt__t4 tmp30__global__13__instrumented__)) ; (tmp30__func_bio_opt__t4 = tmp30__global__13__instrumented__)
(assert (= tmp30__global__14__instrumented__ (+ tmp29__func_bio_opt__t5 tmp2__global__s5_29))) ; (tmp30__global__14__instrumented__ = (tmp29__func_bio_opt__t5 + tmp2__global__s5_29))
(assert (= tmp30__func_bio_opt__t5 tmp30__global__14__instrumented__)) ; (tmp30__func_bio_opt__t5 = tmp30__global__14__instrumented__)
(assert (= tmp31__global__10__instrumented__ (+ tmp30__func_bio_opt__t1 tmp2__global__s1_30))) ; (tmp31__global__10__instrumented__ = (tmp30__func_bio_opt__t1 + tmp2__global__s1_30))
(assert (= tmp31__func_bio_opt__t1 tmp31__global__10__instrumented__)) ; (tmp31__func_bio_opt__t1 = tmp31__global__10__instrumented__)
(assert (= tmp31__global__11__instrumented__ (+ tmp30__func_bio_opt__t2 tmp2__global__s2_30))) ; (tmp31__global__11__instrumented__ = (tmp30__func_bio_opt__t2 + tmp2__global__s2_30))
(assert (= tmp31__func_bio_opt__t2 tmp31__global__11__instrumented__)) ; (tmp31__func_bio_opt__t2 = tmp31__global__11__instrumented__)
(assert (= tmp31__global__12__instrumented__ (+ tmp30__func_bio_opt__t3 tmp2__global__s3_30))) ; (tmp31__global__12__instrumented__ = (tmp30__func_bio_opt__t3 + tmp2__global__s3_30))
(assert (= tmp31__func_bio_opt__t3 tmp31__global__12__instrumented__)) ; (tmp31__func_bio_opt__t3 = tmp31__global__12__instrumented__)
(assert (= tmp31__global__13__instrumented__ (+ tmp30__func_bio_opt__t4 tmp2__global__s4_30))) ; (tmp31__global__13__instrumented__ = (tmp30__func_bio_opt__t4 + tmp2__global__s4_30))
(assert (= tmp31__func_bio_opt__t4 tmp31__global__13__instrumented__)) ; (tmp31__func_bio_opt__t4 = tmp31__global__13__instrumented__)
(assert (= tmp31__global__14__instrumented__ (+ tmp30__func_bio_opt__t5 tmp2__global__s5_30))) ; (tmp31__global__14__instrumented__ = (tmp30__func_bio_opt__t5 + tmp2__global__s5_30))
(assert (= tmp31__func_bio_opt__t5 tmp31__global__14__instrumented__)) ; (tmp31__func_bio_opt__t5 = tmp31__global__14__instrumented__)
(assert (= tmp32__global__10__instrumented__ (+ tmp31__func_bio_opt__t1 tmp2__global__s1_31))) ; (tmp32__global__10__instrumented__ = (tmp31__func_bio_opt__t1 + tmp2__global__s1_31))
(assert (= tmp32__func_bio_opt__t1 tmp32__global__10__instrumented__)) ; (tmp32__func_bio_opt__t1 = tmp32__global__10__instrumented__)
(assert (= tmp32__global__11__instrumented__ (+ tmp31__func_bio_opt__t2 tmp2__global__s2_31))) ; (tmp32__global__11__instrumented__ = (tmp31__func_bio_opt__t2 + tmp2__global__s2_31))
(assert (= tmp32__func_bio_opt__t2 tmp32__global__11__instrumented__)) ; (tmp32__func_bio_opt__t2 = tmp32__global__11__instrumented__)
(assert (= tmp32__global__12__instrumented__ (+ tmp31__func_bio_opt__t3 tmp2__global__s3_31))) ; (tmp32__global__12__instrumented__ = (tmp31__func_bio_opt__t3 + tmp2__global__s3_31))
(assert (= tmp32__func_bio_opt__t3 tmp32__global__12__instrumented__)) ; (tmp32__func_bio_opt__t3 = tmp32__global__12__instrumented__)
(assert (= tmp32__global__13__instrumented__ (+ tmp31__func_bio_opt__t4 tmp2__global__s4_31))) ; (tmp32__global__13__instrumented__ = (tmp31__func_bio_opt__t4 + tmp2__global__s4_31))
(assert (= tmp32__func_bio_opt__t4 tmp32__global__13__instrumented__)) ; (tmp32__func_bio_opt__t4 = tmp32__global__13__instrumented__)
(assert (= tmp32__global__14__instrumented__ (+ tmp31__func_bio_opt__t5 tmp2__global__s5_31))) ; (tmp32__global__14__instrumented__ = (tmp31__func_bio_opt__t5 + tmp2__global__s5_31))
(assert (= tmp32__func_bio_opt__t5 tmp32__global__14__instrumented__)) ; (tmp32__func_bio_opt__t5 = tmp32__global__14__instrumented__)
(assert (= tmp6__func_bio_opt__vx 0)) ; (tmp6__func_bio_opt__vx = 0)
(assert (= tmp2__global__15__instrumented__ (ite (> tmp32__func_bio_opt__t1 2) 1 0))) ; (tmp2__global__15__instrumented__ = (ite (> tmp32__func_bio_opt__t1 2) 1 0))
(assert (= tmp1__func_Clip3_variant_146__value (div tmp2__global__16__instrumented__ 2))) ; (tmp1__func_Clip3_variant_146__value = (tmp2__global__16__instrumented__ div 2))
(assert (= tmp1__func__return__Clip3_variant_146 (ite (< tmp1__func_Clip3_variant_146__value (- 768)) (- 768) (ite (> tmp1__func_Clip3_variant_146__value 768) 768 tmp1__func_Clip3_variant_146__value)))) ; (tmp1__func__return__Clip3_variant_146 = (ite (< tmp1__func_Clip3_variant_146__value (- 768)) (- 768) (ite (> tmp1__func_Clip3_variant_146__value 768) 768 tmp1__func_Clip3_variant_146__value)))
(assert (=> (> tmp32__func_bio_opt__t1 2) (and (= tmp2__global__16__instrumented__ (* tmp32__func_bio_opt__t3 32)) (= tmp7__func_bio_opt__vx tmp1__func__return__Clip3_variant_146))))
(assert (= tmp8__func_bio_opt__vx (ite (> tmp32__func_bio_opt__t1 2) tmp7__func_bio_opt__vx tmp6__func_bio_opt__vx)))
(assert (= tmp3__global__16__instrumented__ (ite (> tmp32__func_bio_opt__t1 2) tmp2__global__16__instrumented__ tmp1__global__16__instrumented__)))
(assert (=> (not (> tmp32__func_bio_opt__t1 2)) (= tmp9__func_bio_opt__vx 0)))
(assert (= tmp10__func_bio_opt__vx (ite (not (> tmp32__func_bio_opt__t1 2)) tmp9__func_bio_opt__vx tmp8__func_bio_opt__vx)))
(assert (= tmp6__func_bio_opt__vy 0)) ; (tmp6__func_bio_opt__vy = 0)
(assert (= tmp2__global__17__instrumented__ (ite (> tmp32__func_bio_opt__t4 2) 1 0))) ; (tmp2__global__17__instrumented__ = (ite (> tmp32__func_bio_opt__t4 2) 1 0))
(assert (= tmp1__func_Clip3_variant_147__value (div tmp2__global__20__instrumented__ 4))) ; (tmp1__func_Clip3_variant_147__value = (tmp2__global__20__instrumented__ div 4))
(assert (= tmp1__func__return__Clip3_variant_147 (ite (< tmp1__func_Clip3_variant_147__value (- 768)) (- 768) (ite (> tmp1__func_Clip3_variant_147__value 768) 768 tmp1__func_Clip3_variant_147__value)))) ; (tmp1__func__return__Clip3_variant_147 = (ite (< tmp1__func_Clip3_variant_147__value (- 768)) (- 768) (ite (> tmp1__func_Clip3_variant_147__value 768) 768 tmp1__func_Clip3_variant_147__value)))
(assert (=> (> tmp32__func_bio_opt__t4 2) (and (= tmp2__global__18__instrumented__ (* tmp32__func_bio_opt__t5 64)) (= tmp2__global__19__instrumented__ (* tmp10__func_bio_opt__vx tmp32__func_bio_opt__t2)) (= tmp2__global__20__instrumented__ (- (* tmp32__func_bio_opt__t5 64) (* tmp10__func_bio_opt__vx tmp32__func_bio_opt__t2))) (= tmp7__func_bio_opt__vy tmp1__func__return__Clip3_variant_147))))
(assert (= tmp8__func_bio_opt__vy (ite (> tmp32__func_bio_opt__t4 2) tmp7__func_bio_opt__vy tmp6__func_bio_opt__vy)))
(assert (= tmp3__global__18__instrumented__ (ite (> tmp32__func_bio_opt__t4 2) tmp2__global__18__instrumented__ tmp1__global__18__instrumented__)))
(assert (= tmp3__global__19__instrumented__ (ite (> tmp32__func_bio_opt__t4 2) tmp2__global__19__instrumented__ tmp1__global__19__instrumented__)))
(assert (= tmp3__global__20__instrumented__ (ite (> tmp32__func_bio_opt__t4 2) tmp2__global__20__instrumented__ tmp1__global__20__instrumented__)))
(assert (=> (not (> tmp32__func_bio_opt__t4 2)) (= tmp9__func_bio_opt__vy 0)))
(assert (= tmp10__func_bio_opt__vy (ite (not (> tmp32__func_bio_opt__t4 2)) tmp9__func_bio_opt__vy tmp8__func_bio_opt__vy)))
(assert (= tmp17__global__21__instrumented__ (- tmp1__global__gradXL0_4 tmp1__global__gradXL1_4))) ; (tmp17__global__21__instrumented__ = (tmp1__global__gradXL0_4 - tmp1__global__gradXL1_4))
(assert (= tmp17__global__22__instrumented__ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_4 tmp1__global__gradXL1_4)))) ; (tmp17__global__22__instrumented__ = (tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_4 - tmp1__global__gradXL1_4)))
(assert (= tmp17__global__23__instrumented__ (- tmp1__global__gradYL0_4 tmp1__global__gradYL1_4))) ; (tmp17__global__23__instrumented__ = (tmp1__global__gradYL0_4 - tmp1__global__gradYL1_4))
(assert (= tmp17__global__24__instrumented__ (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_4 tmp1__global__gradYL1_4)))) ; (tmp17__global__24__instrumented__ = (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_4 - tmp1__global__gradYL1_4)))
(assert (= tmp17__global__25__instrumented__ (+ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_4 tmp1__global__gradXL1_4)) (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_4 tmp1__global__gradYL1_4))))) ; (tmp17__global__25__instrumented__ = ((tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_4 - tmp1__global__gradXL1_4)) + (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_4 - tmp1__global__gradYL1_4))))
(assert (= tmp33__func_bio_opt__b tmp17__global__25__instrumented__)) ; (tmp33__func_bio_opt__b = tmp17__global__25__instrumented__)
(assert (= tmp17__global__26__instrumented__ (ite (> tmp33__func_bio_opt__b 0) 1 0))) ; (tmp17__global__26__instrumented__ = (ite (> tmp33__func_bio_opt__b 0) 1 0))
(assert (= tmp17__global__27__instrumented__ (+ tmp33__func_bio_opt__b 32))) ; (tmp17__global__27__instrumented__ = (tmp33__func_bio_opt__b + 32))
(assert (= tmp17__global__28__instrumented__ (- tmp33__func_bio_opt__b))) ; (tmp17__global__28__instrumented__ = -(tmp33__func_bio_opt__b))
(assert (= tmp17__global__29__instrumented__ (- (div (+ (- tmp33__func_bio_opt__b) 32) 64)))) ; (tmp17__global__29__instrumented__ = -(((-(tmp33__func_bio_opt__b) + 32) div 64)))
(assert (= tmp34__func_bio_opt__b (ite (> tmp33__func_bio_opt__b 0) (div tmp17__global__27__instrumented__ 64) tmp17__global__29__instrumented__))) ; (tmp34__func_bio_opt__b = (ite (> tmp33__func_bio_opt__b 0) (div tmp17__global__27__instrumented__ 64) tmp17__global__29__instrumented__))
(assert (= tmp17__global__30__instrumented__ (+ tmp1__global__predL0_4 tmp1__global__predL1_4))) ; (tmp17__global__30__instrumented__ = (tmp1__global__predL0_4 + tmp1__global__predL1_4))
(assert (= tmp17__global__31__instrumented__ (+ (+ tmp1__global__predL0_4 tmp1__global__predL1_4) tmp34__func_bio_opt__b))) ; (tmp17__global__31__instrumented__ = ((tmp1__global__predL0_4 + tmp1__global__predL1_4) + tmp34__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_148__value (div (+ tmp17__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_148__value = ((tmp17__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_148 (ite (< tmp1__func_Clip3_variant_148__value 0) 0 (ite (> tmp1__func_Clip3_variant_148__value 255) 255 tmp1__func_Clip3_variant_148__value)))) ; (tmp1__func__return__Clip3_variant_148 = (ite (< tmp1__func_Clip3_variant_148__value 0) 0 (ite (> tmp1__func_Clip3_variant_148__value 255) 255 tmp1__func_Clip3_variant_148__value)))
(assert (= tmp1__global__outputVector_4 tmp1__func__return__Clip3_variant_148)) ; (tmp1__global__outputVector_4 = tmp1__func__return__Clip3_variant_148)
(assert (= tmp18__global__21__instrumented__ (- tmp1__global__gradXL0_5 tmp1__global__gradXL1_5))) ; (tmp18__global__21__instrumented__ = (tmp1__global__gradXL0_5 - tmp1__global__gradXL1_5))
(assert (= tmp18__global__22__instrumented__ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_5 tmp1__global__gradXL1_5)))) ; (tmp18__global__22__instrumented__ = (tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_5 - tmp1__global__gradXL1_5)))
(assert (= tmp18__global__23__instrumented__ (- tmp1__global__gradYL0_5 tmp1__global__gradYL1_5))) ; (tmp18__global__23__instrumented__ = (tmp1__global__gradYL0_5 - tmp1__global__gradYL1_5))
(assert (= tmp18__global__24__instrumented__ (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_5 tmp1__global__gradYL1_5)))) ; (tmp18__global__24__instrumented__ = (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_5 - tmp1__global__gradYL1_5)))
(assert (= tmp18__global__25__instrumented__ (+ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_5 tmp1__global__gradXL1_5)) (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_5 tmp1__global__gradYL1_5))))) ; (tmp18__global__25__instrumented__ = ((tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_5 - tmp1__global__gradXL1_5)) + (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_5 - tmp1__global__gradYL1_5))))
(assert (= tmp35__func_bio_opt__b tmp18__global__25__instrumented__)) ; (tmp35__func_bio_opt__b = tmp18__global__25__instrumented__)
(assert (= tmp18__global__26__instrumented__ (ite (> tmp35__func_bio_opt__b 0) 1 0))) ; (tmp18__global__26__instrumented__ = (ite (> tmp35__func_bio_opt__b 0) 1 0))
(assert (= tmp18__global__27__instrumented__ (+ tmp35__func_bio_opt__b 32))) ; (tmp18__global__27__instrumented__ = (tmp35__func_bio_opt__b + 32))
(assert (= tmp18__global__28__instrumented__ (- tmp35__func_bio_opt__b))) ; (tmp18__global__28__instrumented__ = -(tmp35__func_bio_opt__b))
(assert (= tmp18__global__29__instrumented__ (- (div (+ (- tmp35__func_bio_opt__b) 32) 64)))) ; (tmp18__global__29__instrumented__ = -(((-(tmp35__func_bio_opt__b) + 32) div 64)))
(assert (= tmp36__func_bio_opt__b (ite (> tmp35__func_bio_opt__b 0) (div tmp18__global__27__instrumented__ 64) tmp18__global__29__instrumented__))) ; (tmp36__func_bio_opt__b = (ite (> tmp35__func_bio_opt__b 0) (div tmp18__global__27__instrumented__ 64) tmp18__global__29__instrumented__))
(assert (= tmp18__global__30__instrumented__ (+ tmp1__global__predL0_5 tmp1__global__predL1_5))) ; (tmp18__global__30__instrumented__ = (tmp1__global__predL0_5 + tmp1__global__predL1_5))
(assert (= tmp18__global__31__instrumented__ (+ (+ tmp1__global__predL0_5 tmp1__global__predL1_5) tmp36__func_bio_opt__b))) ; (tmp18__global__31__instrumented__ = ((tmp1__global__predL0_5 + tmp1__global__predL1_5) + tmp36__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_149__value (div (+ tmp18__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_149__value = ((tmp18__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_149 (ite (< tmp1__func_Clip3_variant_149__value 0) 0 (ite (> tmp1__func_Clip3_variant_149__value 255) 255 tmp1__func_Clip3_variant_149__value)))) ; (tmp1__func__return__Clip3_variant_149 = (ite (< tmp1__func_Clip3_variant_149__value 0) 0 (ite (> tmp1__func_Clip3_variant_149__value 255) 255 tmp1__func_Clip3_variant_149__value)))
(assert (= tmp1__global__outputVector_5 tmp1__func__return__Clip3_variant_149)) ; (tmp1__global__outputVector_5 = tmp1__func__return__Clip3_variant_149)
(assert (= tmp19__global__21__instrumented__ (- tmp1__global__gradXL0_6 tmp1__global__gradXL1_6))) ; (tmp19__global__21__instrumented__ = (tmp1__global__gradXL0_6 - tmp1__global__gradXL1_6))
(assert (= tmp19__global__22__instrumented__ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_6 tmp1__global__gradXL1_6)))) ; (tmp19__global__22__instrumented__ = (tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_6 - tmp1__global__gradXL1_6)))
(assert (= tmp19__global__23__instrumented__ (- tmp1__global__gradYL0_6 tmp1__global__gradYL1_6))) ; (tmp19__global__23__instrumented__ = (tmp1__global__gradYL0_6 - tmp1__global__gradYL1_6))
(assert (= tmp19__global__24__instrumented__ (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_6 tmp1__global__gradYL1_6)))) ; (tmp19__global__24__instrumented__ = (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_6 - tmp1__global__gradYL1_6)))
(assert (= tmp19__global__25__instrumented__ (+ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_6 tmp1__global__gradXL1_6)) (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_6 tmp1__global__gradYL1_6))))) ; (tmp19__global__25__instrumented__ = ((tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_6 - tmp1__global__gradXL1_6)) + (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_6 - tmp1__global__gradYL1_6))))
(assert (= tmp37__func_bio_opt__b tmp19__global__25__instrumented__)) ; (tmp37__func_bio_opt__b = tmp19__global__25__instrumented__)
(assert (= tmp19__global__26__instrumented__ (ite (> tmp37__func_bio_opt__b 0) 1 0))) ; (tmp19__global__26__instrumented__ = (ite (> tmp37__func_bio_opt__b 0) 1 0))
(assert (= tmp19__global__27__instrumented__ (+ tmp37__func_bio_opt__b 32))) ; (tmp19__global__27__instrumented__ = (tmp37__func_bio_opt__b + 32))
(assert (= tmp19__global__28__instrumented__ (- tmp37__func_bio_opt__b))) ; (tmp19__global__28__instrumented__ = -(tmp37__func_bio_opt__b))
(assert (= tmp19__global__29__instrumented__ (- (div (+ (- tmp37__func_bio_opt__b) 32) 64)))) ; (tmp19__global__29__instrumented__ = -(((-(tmp37__func_bio_opt__b) + 32) div 64)))
(assert (= tmp38__func_bio_opt__b (ite (> tmp37__func_bio_opt__b 0) (div tmp19__global__27__instrumented__ 64) tmp19__global__29__instrumented__))) ; (tmp38__func_bio_opt__b = (ite (> tmp37__func_bio_opt__b 0) (div tmp19__global__27__instrumented__ 64) tmp19__global__29__instrumented__))
(assert (= tmp19__global__30__instrumented__ (+ tmp1__global__predL0_6 tmp1__global__predL1_6))) ; (tmp19__global__30__instrumented__ = (tmp1__global__predL0_6 + tmp1__global__predL1_6))
(assert (= tmp19__global__31__instrumented__ (+ (+ tmp1__global__predL0_6 tmp1__global__predL1_6) tmp38__func_bio_opt__b))) ; (tmp19__global__31__instrumented__ = ((tmp1__global__predL0_6 + tmp1__global__predL1_6) + tmp38__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_150__value (div (+ tmp19__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_150__value = ((tmp19__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_150 (ite (< tmp1__func_Clip3_variant_150__value 0) 0 (ite (> tmp1__func_Clip3_variant_150__value 255) 255 tmp1__func_Clip3_variant_150__value)))) ; (tmp1__func__return__Clip3_variant_150 = (ite (< tmp1__func_Clip3_variant_150__value 0) 0 (ite (> tmp1__func_Clip3_variant_150__value 255) 255 tmp1__func_Clip3_variant_150__value)))
(assert (= tmp1__global__outputVector_6 tmp1__func__return__Clip3_variant_150)) ; (tmp1__global__outputVector_6 = tmp1__func__return__Clip3_variant_150)
(assert (= tmp20__global__21__instrumented__ (- tmp1__global__gradXL0_7 tmp1__global__gradXL1_7))) ; (tmp20__global__21__instrumented__ = (tmp1__global__gradXL0_7 - tmp1__global__gradXL1_7))
(assert (= tmp20__global__22__instrumented__ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_7 tmp1__global__gradXL1_7)))) ; (tmp20__global__22__instrumented__ = (tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_7 - tmp1__global__gradXL1_7)))
(assert (= tmp20__global__23__instrumented__ (- tmp1__global__gradYL0_7 tmp1__global__gradYL1_7))) ; (tmp20__global__23__instrumented__ = (tmp1__global__gradYL0_7 - tmp1__global__gradYL1_7))
(assert (= tmp20__global__24__instrumented__ (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_7 tmp1__global__gradYL1_7)))) ; (tmp20__global__24__instrumented__ = (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_7 - tmp1__global__gradYL1_7)))
(assert (= tmp20__global__25__instrumented__ (+ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_7 tmp1__global__gradXL1_7)) (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_7 tmp1__global__gradYL1_7))))) ; (tmp20__global__25__instrumented__ = ((tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_7 - tmp1__global__gradXL1_7)) + (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_7 - tmp1__global__gradYL1_7))))
(assert (= tmp39__func_bio_opt__b tmp20__global__25__instrumented__)) ; (tmp39__func_bio_opt__b = tmp20__global__25__instrumented__)
(assert (= tmp20__global__26__instrumented__ (ite (> tmp39__func_bio_opt__b 0) 1 0))) ; (tmp20__global__26__instrumented__ = (ite (> tmp39__func_bio_opt__b 0) 1 0))
(assert (= tmp20__global__27__instrumented__ (+ tmp39__func_bio_opt__b 32))) ; (tmp20__global__27__instrumented__ = (tmp39__func_bio_opt__b + 32))
(assert (= tmp20__global__28__instrumented__ (- tmp39__func_bio_opt__b))) ; (tmp20__global__28__instrumented__ = -(tmp39__func_bio_opt__b))
(assert (= tmp20__global__29__instrumented__ (- (div (+ (- tmp39__func_bio_opt__b) 32) 64)))) ; (tmp20__global__29__instrumented__ = -(((-(tmp39__func_bio_opt__b) + 32) div 64)))
(assert (= tmp40__func_bio_opt__b (ite (> tmp39__func_bio_opt__b 0) (div tmp20__global__27__instrumented__ 64) tmp20__global__29__instrumented__))) ; (tmp40__func_bio_opt__b = (ite (> tmp39__func_bio_opt__b 0) (div tmp20__global__27__instrumented__ 64) tmp20__global__29__instrumented__))
(assert (= tmp20__global__30__instrumented__ (+ tmp1__global__predL0_7 tmp1__global__predL1_7))) ; (tmp20__global__30__instrumented__ = (tmp1__global__predL0_7 + tmp1__global__predL1_7))
(assert (= tmp20__global__31__instrumented__ (+ (+ tmp1__global__predL0_7 tmp1__global__predL1_7) tmp40__func_bio_opt__b))) ; (tmp20__global__31__instrumented__ = ((tmp1__global__predL0_7 + tmp1__global__predL1_7) + tmp40__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_151__value (div (+ tmp20__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_151__value = ((tmp20__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_151 (ite (< tmp1__func_Clip3_variant_151__value 0) 0 (ite (> tmp1__func_Clip3_variant_151__value 255) 255 tmp1__func_Clip3_variant_151__value)))) ; (tmp1__func__return__Clip3_variant_151 = (ite (< tmp1__func_Clip3_variant_151__value 0) 0 (ite (> tmp1__func_Clip3_variant_151__value 255) 255 tmp1__func_Clip3_variant_151__value)))
(assert (= tmp1__global__outputVector_7 tmp1__func__return__Clip3_variant_151)) ; (tmp1__global__outputVector_7 = tmp1__func__return__Clip3_variant_151)
(assert (= tmp21__global__21__instrumented__ (- tmp1__global__gradXL0_12 tmp1__global__gradXL1_12))) ; (tmp21__global__21__instrumented__ = (tmp1__global__gradXL0_12 - tmp1__global__gradXL1_12))
(assert (= tmp21__global__22__instrumented__ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_12 tmp1__global__gradXL1_12)))) ; (tmp21__global__22__instrumented__ = (tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_12 - tmp1__global__gradXL1_12)))
(assert (= tmp21__global__23__instrumented__ (- tmp1__global__gradYL0_12 tmp1__global__gradYL1_12))) ; (tmp21__global__23__instrumented__ = (tmp1__global__gradYL0_12 - tmp1__global__gradYL1_12))
(assert (= tmp21__global__24__instrumented__ (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_12 tmp1__global__gradYL1_12)))) ; (tmp21__global__24__instrumented__ = (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_12 - tmp1__global__gradYL1_12)))
(assert (= tmp21__global__25__instrumented__ (+ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_12 tmp1__global__gradXL1_12)) (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_12 tmp1__global__gradYL1_12))))) ; (tmp21__global__25__instrumented__ = ((tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_12 - tmp1__global__gradXL1_12)) + (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_12 - tmp1__global__gradYL1_12))))
(assert (= tmp41__func_bio_opt__b tmp21__global__25__instrumented__)) ; (tmp41__func_bio_opt__b = tmp21__global__25__instrumented__)
(assert (= tmp21__global__26__instrumented__ (ite (> tmp41__func_bio_opt__b 0) 1 0))) ; (tmp21__global__26__instrumented__ = (ite (> tmp41__func_bio_opt__b 0) 1 0))
(assert (= tmp21__global__27__instrumented__ (+ tmp41__func_bio_opt__b 32))) ; (tmp21__global__27__instrumented__ = (tmp41__func_bio_opt__b + 32))
(assert (= tmp21__global__28__instrumented__ (- tmp41__func_bio_opt__b))) ; (tmp21__global__28__instrumented__ = -(tmp41__func_bio_opt__b))
(assert (= tmp21__global__29__instrumented__ (- (div (+ (- tmp41__func_bio_opt__b) 32) 64)))) ; (tmp21__global__29__instrumented__ = -(((-(tmp41__func_bio_opt__b) + 32) div 64)))
(assert (= tmp42__func_bio_opt__b (ite (> tmp41__func_bio_opt__b 0) (div tmp21__global__27__instrumented__ 64) tmp21__global__29__instrumented__))) ; (tmp42__func_bio_opt__b = (ite (> tmp41__func_bio_opt__b 0) (div tmp21__global__27__instrumented__ 64) tmp21__global__29__instrumented__))
(assert (= tmp21__global__30__instrumented__ (+ tmp1__global__predL0_12 tmp1__global__predL1_12))) ; (tmp21__global__30__instrumented__ = (tmp1__global__predL0_12 + tmp1__global__predL1_12))
(assert (= tmp21__global__31__instrumented__ (+ (+ tmp1__global__predL0_12 tmp1__global__predL1_12) tmp42__func_bio_opt__b))) ; (tmp21__global__31__instrumented__ = ((tmp1__global__predL0_12 + tmp1__global__predL1_12) + tmp42__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_152__value (div (+ tmp21__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_152__value = ((tmp21__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_152 (ite (< tmp1__func_Clip3_variant_152__value 0) 0 (ite (> tmp1__func_Clip3_variant_152__value 255) 255 tmp1__func_Clip3_variant_152__value)))) ; (tmp1__func__return__Clip3_variant_152 = (ite (< tmp1__func_Clip3_variant_152__value 0) 0 (ite (> tmp1__func_Clip3_variant_152__value 255) 255 tmp1__func_Clip3_variant_152__value)))
(assert (= tmp1__global__outputVector_12 tmp1__func__return__Clip3_variant_152)) ; (tmp1__global__outputVector_12 = tmp1__func__return__Clip3_variant_152)
(assert (= tmp22__global__21__instrumented__ (- tmp1__global__gradXL0_13 tmp1__global__gradXL1_13))) ; (tmp22__global__21__instrumented__ = (tmp1__global__gradXL0_13 - tmp1__global__gradXL1_13))
(assert (= tmp22__global__22__instrumented__ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_13 tmp1__global__gradXL1_13)))) ; (tmp22__global__22__instrumented__ = (tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_13 - tmp1__global__gradXL1_13)))
(assert (= tmp22__global__23__instrumented__ (- tmp1__global__gradYL0_13 tmp1__global__gradYL1_13))) ; (tmp22__global__23__instrumented__ = (tmp1__global__gradYL0_13 - tmp1__global__gradYL1_13))
(assert (= tmp22__global__24__instrumented__ (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_13 tmp1__global__gradYL1_13)))) ; (tmp22__global__24__instrumented__ = (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_13 - tmp1__global__gradYL1_13)))
(assert (= tmp22__global__25__instrumented__ (+ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_13 tmp1__global__gradXL1_13)) (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_13 tmp1__global__gradYL1_13))))) ; (tmp22__global__25__instrumented__ = ((tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_13 - tmp1__global__gradXL1_13)) + (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_13 - tmp1__global__gradYL1_13))))
(assert (= tmp43__func_bio_opt__b tmp22__global__25__instrumented__)) ; (tmp43__func_bio_opt__b = tmp22__global__25__instrumented__)
(assert (= tmp22__global__26__instrumented__ (ite (> tmp43__func_bio_opt__b 0) 1 0))) ; (tmp22__global__26__instrumented__ = (ite (> tmp43__func_bio_opt__b 0) 1 0))
(assert (= tmp22__global__27__instrumented__ (+ tmp43__func_bio_opt__b 32))) ; (tmp22__global__27__instrumented__ = (tmp43__func_bio_opt__b + 32))
(assert (= tmp22__global__28__instrumented__ (- tmp43__func_bio_opt__b))) ; (tmp22__global__28__instrumented__ = -(tmp43__func_bio_opt__b))
(assert (= tmp22__global__29__instrumented__ (- (div (+ (- tmp43__func_bio_opt__b) 32) 64)))) ; (tmp22__global__29__instrumented__ = -(((-(tmp43__func_bio_opt__b) + 32) div 64)))
(assert (= tmp44__func_bio_opt__b (ite (> tmp43__func_bio_opt__b 0) (div tmp22__global__27__instrumented__ 64) tmp22__global__29__instrumented__))) ; (tmp44__func_bio_opt__b = (ite (> tmp43__func_bio_opt__b 0) (div tmp22__global__27__instrumented__ 64) tmp22__global__29__instrumented__))
(assert (= tmp22__global__30__instrumented__ (+ tmp1__global__predL0_13 tmp1__global__predL1_13))) ; (tmp22__global__30__instrumented__ = (tmp1__global__predL0_13 + tmp1__global__predL1_13))
(assert (= tmp22__global__31__instrumented__ (+ (+ tmp1__global__predL0_13 tmp1__global__predL1_13) tmp44__func_bio_opt__b))) ; (tmp22__global__31__instrumented__ = ((tmp1__global__predL0_13 + tmp1__global__predL1_13) + tmp44__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_153__value (div (+ tmp22__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_153__value = ((tmp22__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_153 (ite (< tmp1__func_Clip3_variant_153__value 0) 0 (ite (> tmp1__func_Clip3_variant_153__value 255) 255 tmp1__func_Clip3_variant_153__value)))) ; (tmp1__func__return__Clip3_variant_153 = (ite (< tmp1__func_Clip3_variant_153__value 0) 0 (ite (> tmp1__func_Clip3_variant_153__value 255) 255 tmp1__func_Clip3_variant_153__value)))
(assert (= tmp1__global__outputVector_13 tmp1__func__return__Clip3_variant_153)) ; (tmp1__global__outputVector_13 = tmp1__func__return__Clip3_variant_153)
(assert (= tmp23__global__21__instrumented__ (- tmp1__global__gradXL0_14 tmp1__global__gradXL1_14))) ; (tmp23__global__21__instrumented__ = (tmp1__global__gradXL0_14 - tmp1__global__gradXL1_14))
(assert (= tmp23__global__22__instrumented__ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_14 tmp1__global__gradXL1_14)))) ; (tmp23__global__22__instrumented__ = (tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_14 - tmp1__global__gradXL1_14)))
(assert (= tmp23__global__23__instrumented__ (- tmp1__global__gradYL0_14 tmp1__global__gradYL1_14))) ; (tmp23__global__23__instrumented__ = (tmp1__global__gradYL0_14 - tmp1__global__gradYL1_14))
(assert (= tmp23__global__24__instrumented__ (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_14 tmp1__global__gradYL1_14)))) ; (tmp23__global__24__instrumented__ = (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_14 - tmp1__global__gradYL1_14)))
(assert (= tmp23__global__25__instrumented__ (+ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_14 tmp1__global__gradXL1_14)) (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_14 tmp1__global__gradYL1_14))))) ; (tmp23__global__25__instrumented__ = ((tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_14 - tmp1__global__gradXL1_14)) + (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_14 - tmp1__global__gradYL1_14))))
(assert (= tmp45__func_bio_opt__b tmp23__global__25__instrumented__)) ; (tmp45__func_bio_opt__b = tmp23__global__25__instrumented__)
(assert (= tmp23__global__26__instrumented__ (ite (> tmp45__func_bio_opt__b 0) 1 0))) ; (tmp23__global__26__instrumented__ = (ite (> tmp45__func_bio_opt__b 0) 1 0))
(assert (= tmp23__global__27__instrumented__ (+ tmp45__func_bio_opt__b 32))) ; (tmp23__global__27__instrumented__ = (tmp45__func_bio_opt__b + 32))
(assert (= tmp23__global__28__instrumented__ (- tmp45__func_bio_opt__b))) ; (tmp23__global__28__instrumented__ = -(tmp45__func_bio_opt__b))
(assert (= tmp23__global__29__instrumented__ (- (div (+ (- tmp45__func_bio_opt__b) 32) 64)))) ; (tmp23__global__29__instrumented__ = -(((-(tmp45__func_bio_opt__b) + 32) div 64)))
(assert (= tmp46__func_bio_opt__b (ite (> tmp45__func_bio_opt__b 0) (div tmp23__global__27__instrumented__ 64) tmp23__global__29__instrumented__))) ; (tmp46__func_bio_opt__b = (ite (> tmp45__func_bio_opt__b 0) (div tmp23__global__27__instrumented__ 64) tmp23__global__29__instrumented__))
(assert (= tmp23__global__30__instrumented__ (+ tmp1__global__predL0_14 tmp1__global__predL1_14))) ; (tmp23__global__30__instrumented__ = (tmp1__global__predL0_14 + tmp1__global__predL1_14))
(assert (= tmp23__global__31__instrumented__ (+ (+ tmp1__global__predL0_14 tmp1__global__predL1_14) tmp46__func_bio_opt__b))) ; (tmp23__global__31__instrumented__ = ((tmp1__global__predL0_14 + tmp1__global__predL1_14) + tmp46__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_154__value (div (+ tmp23__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_154__value = ((tmp23__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_154 (ite (< tmp1__func_Clip3_variant_154__value 0) 0 (ite (> tmp1__func_Clip3_variant_154__value 255) 255 tmp1__func_Clip3_variant_154__value)))) ; (tmp1__func__return__Clip3_variant_154 = (ite (< tmp1__func_Clip3_variant_154__value 0) 0 (ite (> tmp1__func_Clip3_variant_154__value 255) 255 tmp1__func_Clip3_variant_154__value)))
(assert (= tmp1__global__outputVector_14 tmp1__func__return__Clip3_variant_154)) ; (tmp1__global__outputVector_14 = tmp1__func__return__Clip3_variant_154)
(assert (= tmp24__global__21__instrumented__ (- tmp1__global__gradXL0_15 tmp1__global__gradXL1_15))) ; (tmp24__global__21__instrumented__ = (tmp1__global__gradXL0_15 - tmp1__global__gradXL1_15))
(assert (= tmp24__global__22__instrumented__ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_15 tmp1__global__gradXL1_15)))) ; (tmp24__global__22__instrumented__ = (tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_15 - tmp1__global__gradXL1_15)))
(assert (= tmp24__global__23__instrumented__ (- tmp1__global__gradYL0_15 tmp1__global__gradYL1_15))) ; (tmp24__global__23__instrumented__ = (tmp1__global__gradYL0_15 - tmp1__global__gradYL1_15))
(assert (= tmp24__global__24__instrumented__ (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_15 tmp1__global__gradYL1_15)))) ; (tmp24__global__24__instrumented__ = (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_15 - tmp1__global__gradYL1_15)))
(assert (= tmp24__global__25__instrumented__ (+ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_15 tmp1__global__gradXL1_15)) (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_15 tmp1__global__gradYL1_15))))) ; (tmp24__global__25__instrumented__ = ((tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_15 - tmp1__global__gradXL1_15)) + (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_15 - tmp1__global__gradYL1_15))))
(assert (= tmp47__func_bio_opt__b tmp24__global__25__instrumented__)) ; (tmp47__func_bio_opt__b = tmp24__global__25__instrumented__)
(assert (= tmp24__global__26__instrumented__ (ite (> tmp47__func_bio_opt__b 0) 1 0))) ; (tmp24__global__26__instrumented__ = (ite (> tmp47__func_bio_opt__b 0) 1 0))
(assert (= tmp24__global__27__instrumented__ (+ tmp47__func_bio_opt__b 32))) ; (tmp24__global__27__instrumented__ = (tmp47__func_bio_opt__b + 32))
(assert (= tmp24__global__28__instrumented__ (- tmp47__func_bio_opt__b))) ; (tmp24__global__28__instrumented__ = -(tmp47__func_bio_opt__b))
(assert (= tmp24__global__29__instrumented__ (- (div (+ (- tmp47__func_bio_opt__b) 32) 64)))) ; (tmp24__global__29__instrumented__ = -(((-(tmp47__func_bio_opt__b) + 32) div 64)))
(assert (= tmp48__func_bio_opt__b (ite (> tmp47__func_bio_opt__b 0) (div tmp24__global__27__instrumented__ 64) tmp24__global__29__instrumented__))) ; (tmp48__func_bio_opt__b = (ite (> tmp47__func_bio_opt__b 0) (div tmp24__global__27__instrumented__ 64) tmp24__global__29__instrumented__))
(assert (= tmp24__global__30__instrumented__ (+ tmp1__global__predL0_15 tmp1__global__predL1_15))) ; (tmp24__global__30__instrumented__ = (tmp1__global__predL0_15 + tmp1__global__predL1_15))
(assert (= tmp24__global__31__instrumented__ (+ (+ tmp1__global__predL0_15 tmp1__global__predL1_15) tmp48__func_bio_opt__b))) ; (tmp24__global__31__instrumented__ = ((tmp1__global__predL0_15 + tmp1__global__predL1_15) + tmp48__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_155__value (div (+ tmp24__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_155__value = ((tmp24__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_155 (ite (< tmp1__func_Clip3_variant_155__value 0) 0 (ite (> tmp1__func_Clip3_variant_155__value 255) 255 tmp1__func_Clip3_variant_155__value)))) ; (tmp1__func__return__Clip3_variant_155 = (ite (< tmp1__func_Clip3_variant_155__value 0) 0 (ite (> tmp1__func_Clip3_variant_155__value 255) 255 tmp1__func_Clip3_variant_155__value)))
(assert (= tmp1__global__outputVector_15 tmp1__func__return__Clip3_variant_155)) ; (tmp1__global__outputVector_15 = tmp1__func__return__Clip3_variant_155)
(assert (= tmp25__global__21__instrumented__ (- tmp1__global__gradXL0_20 tmp1__global__gradXL1_20))) ; (tmp25__global__21__instrumented__ = (tmp1__global__gradXL0_20 - tmp1__global__gradXL1_20))
(assert (= tmp25__global__22__instrumented__ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_20 tmp1__global__gradXL1_20)))) ; (tmp25__global__22__instrumented__ = (tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_20 - tmp1__global__gradXL1_20)))
(assert (= tmp25__global__23__instrumented__ (- tmp1__global__gradYL0_20 tmp1__global__gradYL1_20))) ; (tmp25__global__23__instrumented__ = (tmp1__global__gradYL0_20 - tmp1__global__gradYL1_20))
(assert (= tmp25__global__24__instrumented__ (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_20 tmp1__global__gradYL1_20)))) ; (tmp25__global__24__instrumented__ = (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_20 - tmp1__global__gradYL1_20)))
(assert (= tmp25__global__25__instrumented__ (+ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_20 tmp1__global__gradXL1_20)) (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_20 tmp1__global__gradYL1_20))))) ; (tmp25__global__25__instrumented__ = ((tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_20 - tmp1__global__gradXL1_20)) + (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_20 - tmp1__global__gradYL1_20))))
(assert (= tmp49__func_bio_opt__b tmp25__global__25__instrumented__)) ; (tmp49__func_bio_opt__b = tmp25__global__25__instrumented__)
(assert (= tmp25__global__26__instrumented__ (ite (> tmp49__func_bio_opt__b 0) 1 0))) ; (tmp25__global__26__instrumented__ = (ite (> tmp49__func_bio_opt__b 0) 1 0))
(assert (= tmp25__global__27__instrumented__ (+ tmp49__func_bio_opt__b 32))) ; (tmp25__global__27__instrumented__ = (tmp49__func_bio_opt__b + 32))
(assert (= tmp25__global__28__instrumented__ (- tmp49__func_bio_opt__b))) ; (tmp25__global__28__instrumented__ = -(tmp49__func_bio_opt__b))
(assert (= tmp25__global__29__instrumented__ (- (div (+ (- tmp49__func_bio_opt__b) 32) 64)))) ; (tmp25__global__29__instrumented__ = -(((-(tmp49__func_bio_opt__b) + 32) div 64)))
(assert (= tmp50__func_bio_opt__b (ite (> tmp49__func_bio_opt__b 0) (div tmp25__global__27__instrumented__ 64) tmp25__global__29__instrumented__))) ; (tmp50__func_bio_opt__b = (ite (> tmp49__func_bio_opt__b 0) (div tmp25__global__27__instrumented__ 64) tmp25__global__29__instrumented__))
(assert (= tmp25__global__30__instrumented__ (+ tmp1__global__predL0_20 tmp1__global__predL1_20))) ; (tmp25__global__30__instrumented__ = (tmp1__global__predL0_20 + tmp1__global__predL1_20))
(assert (= tmp25__global__31__instrumented__ (+ (+ tmp1__global__predL0_20 tmp1__global__predL1_20) tmp50__func_bio_opt__b))) ; (tmp25__global__31__instrumented__ = ((tmp1__global__predL0_20 + tmp1__global__predL1_20) + tmp50__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_156__value (div (+ tmp25__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_156__value = ((tmp25__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_156 (ite (< tmp1__func_Clip3_variant_156__value 0) 0 (ite (> tmp1__func_Clip3_variant_156__value 255) 255 tmp1__func_Clip3_variant_156__value)))) ; (tmp1__func__return__Clip3_variant_156 = (ite (< tmp1__func_Clip3_variant_156__value 0) 0 (ite (> tmp1__func_Clip3_variant_156__value 255) 255 tmp1__func_Clip3_variant_156__value)))
(assert (= tmp1__global__outputVector_20 tmp1__func__return__Clip3_variant_156)) ; (tmp1__global__outputVector_20 = tmp1__func__return__Clip3_variant_156)
(assert (= tmp26__global__21__instrumented__ (- tmp1__global__gradXL0_21 tmp1__global__gradXL1_21))) ; (tmp26__global__21__instrumented__ = (tmp1__global__gradXL0_21 - tmp1__global__gradXL1_21))
(assert (= tmp26__global__22__instrumented__ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_21 tmp1__global__gradXL1_21)))) ; (tmp26__global__22__instrumented__ = (tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_21 - tmp1__global__gradXL1_21)))
(assert (= tmp26__global__23__instrumented__ (- tmp1__global__gradYL0_21 tmp1__global__gradYL1_21))) ; (tmp26__global__23__instrumented__ = (tmp1__global__gradYL0_21 - tmp1__global__gradYL1_21))
(assert (= tmp26__global__24__instrumented__ (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_21 tmp1__global__gradYL1_21)))) ; (tmp26__global__24__instrumented__ = (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_21 - tmp1__global__gradYL1_21)))
(assert (= tmp26__global__25__instrumented__ (+ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_21 tmp1__global__gradXL1_21)) (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_21 tmp1__global__gradYL1_21))))) ; (tmp26__global__25__instrumented__ = ((tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_21 - tmp1__global__gradXL1_21)) + (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_21 - tmp1__global__gradYL1_21))))
(assert (= tmp51__func_bio_opt__b tmp26__global__25__instrumented__)) ; (tmp51__func_bio_opt__b = tmp26__global__25__instrumented__)
(assert (= tmp26__global__26__instrumented__ (ite (> tmp51__func_bio_opt__b 0) 1 0))) ; (tmp26__global__26__instrumented__ = (ite (> tmp51__func_bio_opt__b 0) 1 0))
(assert (= tmp26__global__27__instrumented__ (+ tmp51__func_bio_opt__b 32))) ; (tmp26__global__27__instrumented__ = (tmp51__func_bio_opt__b + 32))
(assert (= tmp26__global__28__instrumented__ (- tmp51__func_bio_opt__b))) ; (tmp26__global__28__instrumented__ = -(tmp51__func_bio_opt__b))
(assert (= tmp26__global__29__instrumented__ (- (div (+ (- tmp51__func_bio_opt__b) 32) 64)))) ; (tmp26__global__29__instrumented__ = -(((-(tmp51__func_bio_opt__b) + 32) div 64)))
(assert (= tmp52__func_bio_opt__b (ite (> tmp51__func_bio_opt__b 0) (div tmp26__global__27__instrumented__ 64) tmp26__global__29__instrumented__))) ; (tmp52__func_bio_opt__b = (ite (> tmp51__func_bio_opt__b 0) (div tmp26__global__27__instrumented__ 64) tmp26__global__29__instrumented__))
(assert (= tmp26__global__30__instrumented__ (+ tmp1__global__predL0_21 tmp1__global__predL1_21))) ; (tmp26__global__30__instrumented__ = (tmp1__global__predL0_21 + tmp1__global__predL1_21))
(assert (= tmp26__global__31__instrumented__ (+ (+ tmp1__global__predL0_21 tmp1__global__predL1_21) tmp52__func_bio_opt__b))) ; (tmp26__global__31__instrumented__ = ((tmp1__global__predL0_21 + tmp1__global__predL1_21) + tmp52__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_157__value (div (+ tmp26__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_157__value = ((tmp26__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_157 (ite (< tmp1__func_Clip3_variant_157__value 0) 0 (ite (> tmp1__func_Clip3_variant_157__value 255) 255 tmp1__func_Clip3_variant_157__value)))) ; (tmp1__func__return__Clip3_variant_157 = (ite (< tmp1__func_Clip3_variant_157__value 0) 0 (ite (> tmp1__func_Clip3_variant_157__value 255) 255 tmp1__func_Clip3_variant_157__value)))
(assert (= tmp1__global__outputVector_21 tmp1__func__return__Clip3_variant_157)) ; (tmp1__global__outputVector_21 = tmp1__func__return__Clip3_variant_157)
(assert (= tmp27__global__21__instrumented__ (- tmp1__global__gradXL0_22 tmp1__global__gradXL1_22))) ; (tmp27__global__21__instrumented__ = (tmp1__global__gradXL0_22 - tmp1__global__gradXL1_22))
(assert (= tmp27__global__22__instrumented__ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_22 tmp1__global__gradXL1_22)))) ; (tmp27__global__22__instrumented__ = (tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_22 - tmp1__global__gradXL1_22)))
(assert (= tmp27__global__23__instrumented__ (- tmp1__global__gradYL0_22 tmp1__global__gradYL1_22))) ; (tmp27__global__23__instrumented__ = (tmp1__global__gradYL0_22 - tmp1__global__gradYL1_22))
(assert (= tmp27__global__24__instrumented__ (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_22 tmp1__global__gradYL1_22)))) ; (tmp27__global__24__instrumented__ = (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_22 - tmp1__global__gradYL1_22)))
(assert (= tmp27__global__25__instrumented__ (+ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_22 tmp1__global__gradXL1_22)) (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_22 tmp1__global__gradYL1_22))))) ; (tmp27__global__25__instrumented__ = ((tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_22 - tmp1__global__gradXL1_22)) + (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_22 - tmp1__global__gradYL1_22))))
(assert (= tmp53__func_bio_opt__b tmp27__global__25__instrumented__)) ; (tmp53__func_bio_opt__b = tmp27__global__25__instrumented__)
(assert (= tmp27__global__26__instrumented__ (ite (> tmp53__func_bio_opt__b 0) 1 0))) ; (tmp27__global__26__instrumented__ = (ite (> tmp53__func_bio_opt__b 0) 1 0))
(assert (= tmp27__global__27__instrumented__ (+ tmp53__func_bio_opt__b 32))) ; (tmp27__global__27__instrumented__ = (tmp53__func_bio_opt__b + 32))
(assert (= tmp27__global__28__instrumented__ (- tmp53__func_bio_opt__b))) ; (tmp27__global__28__instrumented__ = -(tmp53__func_bio_opt__b))
(assert (= tmp27__global__29__instrumented__ (- (div (+ (- tmp53__func_bio_opt__b) 32) 64)))) ; (tmp27__global__29__instrumented__ = -(((-(tmp53__func_bio_opt__b) + 32) div 64)))
(assert (= tmp54__func_bio_opt__b (ite (> tmp53__func_bio_opt__b 0) (div tmp27__global__27__instrumented__ 64) tmp27__global__29__instrumented__))) ; (tmp54__func_bio_opt__b = (ite (> tmp53__func_bio_opt__b 0) (div tmp27__global__27__instrumented__ 64) tmp27__global__29__instrumented__))
(assert (= tmp27__global__30__instrumented__ (+ tmp1__global__predL0_22 tmp1__global__predL1_22))) ; (tmp27__global__30__instrumented__ = (tmp1__global__predL0_22 + tmp1__global__predL1_22))
(assert (= tmp27__global__31__instrumented__ (+ (+ tmp1__global__predL0_22 tmp1__global__predL1_22) tmp54__func_bio_opt__b))) ; (tmp27__global__31__instrumented__ = ((tmp1__global__predL0_22 + tmp1__global__predL1_22) + tmp54__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_158__value (div (+ tmp27__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_158__value = ((tmp27__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_158 (ite (< tmp1__func_Clip3_variant_158__value 0) 0 (ite (> tmp1__func_Clip3_variant_158__value 255) 255 tmp1__func_Clip3_variant_158__value)))) ; (tmp1__func__return__Clip3_variant_158 = (ite (< tmp1__func_Clip3_variant_158__value 0) 0 (ite (> tmp1__func_Clip3_variant_158__value 255) 255 tmp1__func_Clip3_variant_158__value)))
(assert (= tmp1__global__outputVector_22 tmp1__func__return__Clip3_variant_158)) ; (tmp1__global__outputVector_22 = tmp1__func__return__Clip3_variant_158)
(assert (= tmp28__global__21__instrumented__ (- tmp1__global__gradXL0_23 tmp1__global__gradXL1_23))) ; (tmp28__global__21__instrumented__ = (tmp1__global__gradXL0_23 - tmp1__global__gradXL1_23))
(assert (= tmp28__global__22__instrumented__ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_23 tmp1__global__gradXL1_23)))) ; (tmp28__global__22__instrumented__ = (tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_23 - tmp1__global__gradXL1_23)))
(assert (= tmp28__global__23__instrumented__ (- tmp1__global__gradYL0_23 tmp1__global__gradYL1_23))) ; (tmp28__global__23__instrumented__ = (tmp1__global__gradYL0_23 - tmp1__global__gradYL1_23))
(assert (= tmp28__global__24__instrumented__ (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_23 tmp1__global__gradYL1_23)))) ; (tmp28__global__24__instrumented__ = (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_23 - tmp1__global__gradYL1_23)))
(assert (= tmp28__global__25__instrumented__ (+ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_23 tmp1__global__gradXL1_23)) (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_23 tmp1__global__gradYL1_23))))) ; (tmp28__global__25__instrumented__ = ((tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_23 - tmp1__global__gradXL1_23)) + (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_23 - tmp1__global__gradYL1_23))))
(assert (= tmp55__func_bio_opt__b tmp28__global__25__instrumented__)) ; (tmp55__func_bio_opt__b = tmp28__global__25__instrumented__)
(assert (= tmp28__global__26__instrumented__ (ite (> tmp55__func_bio_opt__b 0) 1 0))) ; (tmp28__global__26__instrumented__ = (ite (> tmp55__func_bio_opt__b 0) 1 0))
(assert (= tmp28__global__27__instrumented__ (+ tmp55__func_bio_opt__b 32))) ; (tmp28__global__27__instrumented__ = (tmp55__func_bio_opt__b + 32))
(assert (= tmp28__global__28__instrumented__ (- tmp55__func_bio_opt__b))) ; (tmp28__global__28__instrumented__ = -(tmp55__func_bio_opt__b))
(assert (= tmp28__global__29__instrumented__ (- (div (+ (- tmp55__func_bio_opt__b) 32) 64)))) ; (tmp28__global__29__instrumented__ = -(((-(tmp55__func_bio_opt__b) + 32) div 64)))
(assert (= tmp56__func_bio_opt__b (ite (> tmp55__func_bio_opt__b 0) (div tmp28__global__27__instrumented__ 64) tmp28__global__29__instrumented__))) ; (tmp56__func_bio_opt__b = (ite (> tmp55__func_bio_opt__b 0) (div tmp28__global__27__instrumented__ 64) tmp28__global__29__instrumented__))
(assert (= tmp28__global__30__instrumented__ (+ tmp1__global__predL0_23 tmp1__global__predL1_23))) ; (tmp28__global__30__instrumented__ = (tmp1__global__predL0_23 + tmp1__global__predL1_23))
(assert (= tmp28__global__31__instrumented__ (+ (+ tmp1__global__predL0_23 tmp1__global__predL1_23) tmp56__func_bio_opt__b))) ; (tmp28__global__31__instrumented__ = ((tmp1__global__predL0_23 + tmp1__global__predL1_23) + tmp56__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_159__value (div (+ tmp28__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_159__value = ((tmp28__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_159 (ite (< tmp1__func_Clip3_variant_159__value 0) 0 (ite (> tmp1__func_Clip3_variant_159__value 255) 255 tmp1__func_Clip3_variant_159__value)))) ; (tmp1__func__return__Clip3_variant_159 = (ite (< tmp1__func_Clip3_variant_159__value 0) 0 (ite (> tmp1__func_Clip3_variant_159__value 255) 255 tmp1__func_Clip3_variant_159__value)))
(assert (= tmp1__global__outputVector_23 tmp1__func__return__Clip3_variant_159)) ; (tmp1__global__outputVector_23 = tmp1__func__return__Clip3_variant_159)
(assert (= tmp29__global__21__instrumented__ (- tmp1__global__gradXL0_28 tmp1__global__gradXL1_28))) ; (tmp29__global__21__instrumented__ = (tmp1__global__gradXL0_28 - tmp1__global__gradXL1_28))
(assert (= tmp29__global__22__instrumented__ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_28 tmp1__global__gradXL1_28)))) ; (tmp29__global__22__instrumented__ = (tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_28 - tmp1__global__gradXL1_28)))
(assert (= tmp29__global__23__instrumented__ (- tmp1__global__gradYL0_28 tmp1__global__gradYL1_28))) ; (tmp29__global__23__instrumented__ = (tmp1__global__gradYL0_28 - tmp1__global__gradYL1_28))
(assert (= tmp29__global__24__instrumented__ (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_28 tmp1__global__gradYL1_28)))) ; (tmp29__global__24__instrumented__ = (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_28 - tmp1__global__gradYL1_28)))
(assert (= tmp29__global__25__instrumented__ (+ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_28 tmp1__global__gradXL1_28)) (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_28 tmp1__global__gradYL1_28))))) ; (tmp29__global__25__instrumented__ = ((tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_28 - tmp1__global__gradXL1_28)) + (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_28 - tmp1__global__gradYL1_28))))
(assert (= tmp57__func_bio_opt__b tmp29__global__25__instrumented__)) ; (tmp57__func_bio_opt__b = tmp29__global__25__instrumented__)
(assert (= tmp29__global__26__instrumented__ (ite (> tmp57__func_bio_opt__b 0) 1 0))) ; (tmp29__global__26__instrumented__ = (ite (> tmp57__func_bio_opt__b 0) 1 0))
(assert (= tmp29__global__27__instrumented__ (+ tmp57__func_bio_opt__b 32))) ; (tmp29__global__27__instrumented__ = (tmp57__func_bio_opt__b + 32))
(assert (= tmp29__global__28__instrumented__ (- tmp57__func_bio_opt__b))) ; (tmp29__global__28__instrumented__ = -(tmp57__func_bio_opt__b))
(assert (= tmp29__global__29__instrumented__ (- (div (+ (- tmp57__func_bio_opt__b) 32) 64)))) ; (tmp29__global__29__instrumented__ = -(((-(tmp57__func_bio_opt__b) + 32) div 64)))
(assert (= tmp58__func_bio_opt__b (ite (> tmp57__func_bio_opt__b 0) (div tmp29__global__27__instrumented__ 64) tmp29__global__29__instrumented__))) ; (tmp58__func_bio_opt__b = (ite (> tmp57__func_bio_opt__b 0) (div tmp29__global__27__instrumented__ 64) tmp29__global__29__instrumented__))
(assert (= tmp29__global__30__instrumented__ (+ tmp1__global__predL0_28 tmp1__global__predL1_28))) ; (tmp29__global__30__instrumented__ = (tmp1__global__predL0_28 + tmp1__global__predL1_28))
(assert (= tmp29__global__31__instrumented__ (+ (+ tmp1__global__predL0_28 tmp1__global__predL1_28) tmp58__func_bio_opt__b))) ; (tmp29__global__31__instrumented__ = ((tmp1__global__predL0_28 + tmp1__global__predL1_28) + tmp58__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_160__value (div (+ tmp29__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_160__value = ((tmp29__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_160 (ite (< tmp1__func_Clip3_variant_160__value 0) 0 (ite (> tmp1__func_Clip3_variant_160__value 255) 255 tmp1__func_Clip3_variant_160__value)))) ; (tmp1__func__return__Clip3_variant_160 = (ite (< tmp1__func_Clip3_variant_160__value 0) 0 (ite (> tmp1__func_Clip3_variant_160__value 255) 255 tmp1__func_Clip3_variant_160__value)))
(assert (= tmp1__global__outputVector_28 tmp1__func__return__Clip3_variant_160)) ; (tmp1__global__outputVector_28 = tmp1__func__return__Clip3_variant_160)
(assert (= tmp30__global__21__instrumented__ (- tmp1__global__gradXL0_29 tmp1__global__gradXL1_29))) ; (tmp30__global__21__instrumented__ = (tmp1__global__gradXL0_29 - tmp1__global__gradXL1_29))
(assert (= tmp30__global__22__instrumented__ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_29 tmp1__global__gradXL1_29)))) ; (tmp30__global__22__instrumented__ = (tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_29 - tmp1__global__gradXL1_29)))
(assert (= tmp30__global__23__instrumented__ (- tmp1__global__gradYL0_29 tmp1__global__gradYL1_29))) ; (tmp30__global__23__instrumented__ = (tmp1__global__gradYL0_29 - tmp1__global__gradYL1_29))
(assert (= tmp30__global__24__instrumented__ (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_29 tmp1__global__gradYL1_29)))) ; (tmp30__global__24__instrumented__ = (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_29 - tmp1__global__gradYL1_29)))
(assert (= tmp30__global__25__instrumented__ (+ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_29 tmp1__global__gradXL1_29)) (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_29 tmp1__global__gradYL1_29))))) ; (tmp30__global__25__instrumented__ = ((tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_29 - tmp1__global__gradXL1_29)) + (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_29 - tmp1__global__gradYL1_29))))
(assert (= tmp59__func_bio_opt__b tmp30__global__25__instrumented__)) ; (tmp59__func_bio_opt__b = tmp30__global__25__instrumented__)
(assert (= tmp30__global__26__instrumented__ (ite (> tmp59__func_bio_opt__b 0) 1 0))) ; (tmp30__global__26__instrumented__ = (ite (> tmp59__func_bio_opt__b 0) 1 0))
(assert (= tmp30__global__27__instrumented__ (+ tmp59__func_bio_opt__b 32))) ; (tmp30__global__27__instrumented__ = (tmp59__func_bio_opt__b + 32))
(assert (= tmp30__global__28__instrumented__ (- tmp59__func_bio_opt__b))) ; (tmp30__global__28__instrumented__ = -(tmp59__func_bio_opt__b))
(assert (= tmp30__global__29__instrumented__ (- (div (+ (- tmp59__func_bio_opt__b) 32) 64)))) ; (tmp30__global__29__instrumented__ = -(((-(tmp59__func_bio_opt__b) + 32) div 64)))
(assert (= tmp60__func_bio_opt__b (ite (> tmp59__func_bio_opt__b 0) (div tmp30__global__27__instrumented__ 64) tmp30__global__29__instrumented__))) ; (tmp60__func_bio_opt__b = (ite (> tmp59__func_bio_opt__b 0) (div tmp30__global__27__instrumented__ 64) tmp30__global__29__instrumented__))
(assert (= tmp30__global__30__instrumented__ (+ tmp1__global__predL0_29 tmp1__global__predL1_29))) ; (tmp30__global__30__instrumented__ = (tmp1__global__predL0_29 + tmp1__global__predL1_29))
(assert (= tmp30__global__31__instrumented__ (+ (+ tmp1__global__predL0_29 tmp1__global__predL1_29) tmp60__func_bio_opt__b))) ; (tmp30__global__31__instrumented__ = ((tmp1__global__predL0_29 + tmp1__global__predL1_29) + tmp60__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_161__value (div (+ tmp30__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_161__value = ((tmp30__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_161 (ite (< tmp1__func_Clip3_variant_161__value 0) 0 (ite (> tmp1__func_Clip3_variant_161__value 255) 255 tmp1__func_Clip3_variant_161__value)))) ; (tmp1__func__return__Clip3_variant_161 = (ite (< tmp1__func_Clip3_variant_161__value 0) 0 (ite (> tmp1__func_Clip3_variant_161__value 255) 255 tmp1__func_Clip3_variant_161__value)))
(assert (= tmp1__global__outputVector_29 tmp1__func__return__Clip3_variant_161)) ; (tmp1__global__outputVector_29 = tmp1__func__return__Clip3_variant_161)
(assert (= tmp31__global__21__instrumented__ (- tmp1__global__gradXL0_30 tmp1__global__gradXL1_30))) ; (tmp31__global__21__instrumented__ = (tmp1__global__gradXL0_30 - tmp1__global__gradXL1_30))
(assert (= tmp31__global__22__instrumented__ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_30 tmp1__global__gradXL1_30)))) ; (tmp31__global__22__instrumented__ = (tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_30 - tmp1__global__gradXL1_30)))
(assert (= tmp31__global__23__instrumented__ (- tmp1__global__gradYL0_30 tmp1__global__gradYL1_30))) ; (tmp31__global__23__instrumented__ = (tmp1__global__gradYL0_30 - tmp1__global__gradYL1_30))
(assert (= tmp31__global__24__instrumented__ (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_30 tmp1__global__gradYL1_30)))) ; (tmp31__global__24__instrumented__ = (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_30 - tmp1__global__gradYL1_30)))
(assert (= tmp31__global__25__instrumented__ (+ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_30 tmp1__global__gradXL1_30)) (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_30 tmp1__global__gradYL1_30))))) ; (tmp31__global__25__instrumented__ = ((tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_30 - tmp1__global__gradXL1_30)) + (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_30 - tmp1__global__gradYL1_30))))
(assert (= tmp61__func_bio_opt__b tmp31__global__25__instrumented__)) ; (tmp61__func_bio_opt__b = tmp31__global__25__instrumented__)
(assert (= tmp31__global__26__instrumented__ (ite (> tmp61__func_bio_opt__b 0) 1 0))) ; (tmp31__global__26__instrumented__ = (ite (> tmp61__func_bio_opt__b 0) 1 0))
(assert (= tmp31__global__27__instrumented__ (+ tmp61__func_bio_opt__b 32))) ; (tmp31__global__27__instrumented__ = (tmp61__func_bio_opt__b + 32))
(assert (= tmp31__global__28__instrumented__ (- tmp61__func_bio_opt__b))) ; (tmp31__global__28__instrumented__ = -(tmp61__func_bio_opt__b))
(assert (= tmp31__global__29__instrumented__ (- (div (+ (- tmp61__func_bio_opt__b) 32) 64)))) ; (tmp31__global__29__instrumented__ = -(((-(tmp61__func_bio_opt__b) + 32) div 64)))
(assert (= tmp62__func_bio_opt__b (ite (> tmp61__func_bio_opt__b 0) (div tmp31__global__27__instrumented__ 64) tmp31__global__29__instrumented__))) ; (tmp62__func_bio_opt__b = (ite (> tmp61__func_bio_opt__b 0) (div tmp31__global__27__instrumented__ 64) tmp31__global__29__instrumented__))
(assert (= tmp31__global__30__instrumented__ (+ tmp1__global__predL0_30 tmp1__global__predL1_30))) ; (tmp31__global__30__instrumented__ = (tmp1__global__predL0_30 + tmp1__global__predL1_30))
(assert (= tmp31__global__31__instrumented__ (+ (+ tmp1__global__predL0_30 tmp1__global__predL1_30) tmp62__func_bio_opt__b))) ; (tmp31__global__31__instrumented__ = ((tmp1__global__predL0_30 + tmp1__global__predL1_30) + tmp62__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_162__value (div (+ tmp31__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_162__value = ((tmp31__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_162 (ite (< tmp1__func_Clip3_variant_162__value 0) 0 (ite (> tmp1__func_Clip3_variant_162__value 255) 255 tmp1__func_Clip3_variant_162__value)))) ; (tmp1__func__return__Clip3_variant_162 = (ite (< tmp1__func_Clip3_variant_162__value 0) 0 (ite (> tmp1__func_Clip3_variant_162__value 255) 255 tmp1__func_Clip3_variant_162__value)))
(assert (= tmp1__global__outputVector_30 tmp1__func__return__Clip3_variant_162)) ; (tmp1__global__outputVector_30 = tmp1__func__return__Clip3_variant_162)
(assert (= tmp32__global__21__instrumented__ (- tmp1__global__gradXL0_31 tmp1__global__gradXL1_31))) ; (tmp32__global__21__instrumented__ = (tmp1__global__gradXL0_31 - tmp1__global__gradXL1_31))
(assert (= tmp32__global__22__instrumented__ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_31 tmp1__global__gradXL1_31)))) ; (tmp32__global__22__instrumented__ = (tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_31 - tmp1__global__gradXL1_31)))
(assert (= tmp32__global__23__instrumented__ (- tmp1__global__gradYL0_31 tmp1__global__gradYL1_31))) ; (tmp32__global__23__instrumented__ = (tmp1__global__gradYL0_31 - tmp1__global__gradYL1_31))
(assert (= tmp32__global__24__instrumented__ (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_31 tmp1__global__gradYL1_31)))) ; (tmp32__global__24__instrumented__ = (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_31 - tmp1__global__gradYL1_31)))
(assert (= tmp32__global__25__instrumented__ (+ (* tmp10__func_bio_opt__vx (- tmp1__global__gradXL0_31 tmp1__global__gradXL1_31)) (* tmp10__func_bio_opt__vy (- tmp1__global__gradYL0_31 tmp1__global__gradYL1_31))))) ; (tmp32__global__25__instrumented__ = ((tmp10__func_bio_opt__vx * (tmp1__global__gradXL0_31 - tmp1__global__gradXL1_31)) + (tmp10__func_bio_opt__vy * (tmp1__global__gradYL0_31 - tmp1__global__gradYL1_31))))
(assert (= tmp63__func_bio_opt__b tmp32__global__25__instrumented__)) ; (tmp63__func_bio_opt__b = tmp32__global__25__instrumented__)
(assert (= tmp32__global__26__instrumented__ (ite (> tmp63__func_bio_opt__b 0) 1 0))) ; (tmp32__global__26__instrumented__ = (ite (> tmp63__func_bio_opt__b 0) 1 0))
(assert (= tmp32__global__27__instrumented__ (+ tmp63__func_bio_opt__b 32))) ; (tmp32__global__27__instrumented__ = (tmp63__func_bio_opt__b + 32))
(assert (= tmp32__global__28__instrumented__ (- tmp63__func_bio_opt__b))) ; (tmp32__global__28__instrumented__ = -(tmp63__func_bio_opt__b))
(assert (= tmp32__global__29__instrumented__ (- (div (+ (- tmp63__func_bio_opt__b) 32) 64)))) ; (tmp32__global__29__instrumented__ = -(((-(tmp63__func_bio_opt__b) + 32) div 64)))
(assert (= tmp64__func_bio_opt__b (ite (> tmp63__func_bio_opt__b 0) (div tmp32__global__27__instrumented__ 64) tmp32__global__29__instrumented__))) ; (tmp64__func_bio_opt__b = (ite (> tmp63__func_bio_opt__b 0) (div tmp32__global__27__instrumented__ 64) tmp32__global__29__instrumented__))
(assert (= tmp32__global__30__instrumented__ (+ tmp1__global__predL0_31 tmp1__global__predL1_31))) ; (tmp32__global__30__instrumented__ = (tmp1__global__predL0_31 + tmp1__global__predL1_31))
(assert (= tmp32__global__31__instrumented__ (+ (+ tmp1__global__predL0_31 tmp1__global__predL1_31) tmp64__func_bio_opt__b))) ; (tmp32__global__31__instrumented__ = ((tmp1__global__predL0_31 + tmp1__global__predL1_31) + tmp64__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_163__value (div (+ tmp32__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_163__value = ((tmp32__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_163 (ite (< tmp1__func_Clip3_variant_163__value 0) 0 (ite (> tmp1__func_Clip3_variant_163__value 255) 255 tmp1__func_Clip3_variant_163__value)))) ; (tmp1__func__return__Clip3_variant_163 = (ite (< tmp1__func_Clip3_variant_163__value 0) 0 (ite (> tmp1__func_Clip3_variant_163__value 255) 255 tmp1__func_Clip3_variant_163__value)))
(assert (= tmp1__global__outputVector_31 tmp1__func__return__Clip3_variant_163)) ; (tmp1__global__outputVector_31 = tmp1__func__return__Clip3_variant_163)
(assert (= tmp33__global__10__instrumented__ (+ 0 tmp2__global__s1_32))) ; (tmp33__global__10__instrumented__ = (0 + tmp2__global__s1_32))
(assert (= tmp33__func_bio_opt__t1 tmp33__global__10__instrumented__)) ; (tmp33__func_bio_opt__t1 = tmp33__global__10__instrumented__)
(assert (= tmp33__global__11__instrumented__ (+ 0 tmp2__global__s2_32))) ; (tmp33__global__11__instrumented__ = (0 + tmp2__global__s2_32))
(assert (= tmp33__func_bio_opt__t2 tmp33__global__11__instrumented__)) ; (tmp33__func_bio_opt__t2 = tmp33__global__11__instrumented__)
(assert (= tmp33__global__12__instrumented__ (+ 0 tmp2__global__s3_32))) ; (tmp33__global__12__instrumented__ = (0 + tmp2__global__s3_32))
(assert (= tmp33__func_bio_opt__t3 tmp33__global__12__instrumented__)) ; (tmp33__func_bio_opt__t3 = tmp33__global__12__instrumented__)
(assert (= tmp33__global__13__instrumented__ (+ 0 tmp2__global__s4_32))) ; (tmp33__global__13__instrumented__ = (0 + tmp2__global__s4_32))
(assert (= tmp33__func_bio_opt__t4 tmp33__global__13__instrumented__)) ; (tmp33__func_bio_opt__t4 = tmp33__global__13__instrumented__)
(assert (= tmp33__global__14__instrumented__ (+ 0 tmp2__global__s5_32))) ; (tmp33__global__14__instrumented__ = (0 + tmp2__global__s5_32))
(assert (= tmp33__func_bio_opt__t5 tmp33__global__14__instrumented__)) ; (tmp33__func_bio_opt__t5 = tmp33__global__14__instrumented__)
(assert (= tmp34__global__10__instrumented__ (+ tmp33__func_bio_opt__t1 tmp2__global__s1_33))) ; (tmp34__global__10__instrumented__ = (tmp33__func_bio_opt__t1 + tmp2__global__s1_33))
(assert (= tmp34__func_bio_opt__t1 tmp34__global__10__instrumented__)) ; (tmp34__func_bio_opt__t1 = tmp34__global__10__instrumented__)
(assert (= tmp34__global__11__instrumented__ (+ tmp33__func_bio_opt__t2 tmp2__global__s2_33))) ; (tmp34__global__11__instrumented__ = (tmp33__func_bio_opt__t2 + tmp2__global__s2_33))
(assert (= tmp34__func_bio_opt__t2 tmp34__global__11__instrumented__)) ; (tmp34__func_bio_opt__t2 = tmp34__global__11__instrumented__)
(assert (= tmp34__global__12__instrumented__ (+ tmp33__func_bio_opt__t3 tmp2__global__s3_33))) ; (tmp34__global__12__instrumented__ = (tmp33__func_bio_opt__t3 + tmp2__global__s3_33))
(assert (= tmp34__func_bio_opt__t3 tmp34__global__12__instrumented__)) ; (tmp34__func_bio_opt__t3 = tmp34__global__12__instrumented__)
(assert (= tmp34__global__13__instrumented__ (+ tmp33__func_bio_opt__t4 tmp2__global__s4_33))) ; (tmp34__global__13__instrumented__ = (tmp33__func_bio_opt__t4 + tmp2__global__s4_33))
(assert (= tmp34__func_bio_opt__t4 tmp34__global__13__instrumented__)) ; (tmp34__func_bio_opt__t4 = tmp34__global__13__instrumented__)
(assert (= tmp34__global__14__instrumented__ (+ tmp33__func_bio_opt__t5 tmp2__global__s5_33))) ; (tmp34__global__14__instrumented__ = (tmp33__func_bio_opt__t5 + tmp2__global__s5_33))
(assert (= tmp34__func_bio_opt__t5 tmp34__global__14__instrumented__)) ; (tmp34__func_bio_opt__t5 = tmp34__global__14__instrumented__)
(assert (= tmp35__global__10__instrumented__ (+ tmp34__func_bio_opt__t1 tmp2__global__s1_34))) ; (tmp35__global__10__instrumented__ = (tmp34__func_bio_opt__t1 + tmp2__global__s1_34))
(assert (= tmp35__func_bio_opt__t1 tmp35__global__10__instrumented__)) ; (tmp35__func_bio_opt__t1 = tmp35__global__10__instrumented__)
(assert (= tmp35__global__11__instrumented__ (+ tmp34__func_bio_opt__t2 tmp2__global__s2_34))) ; (tmp35__global__11__instrumented__ = (tmp34__func_bio_opt__t2 + tmp2__global__s2_34))
(assert (= tmp35__func_bio_opt__t2 tmp35__global__11__instrumented__)) ; (tmp35__func_bio_opt__t2 = tmp35__global__11__instrumented__)
(assert (= tmp35__global__12__instrumented__ (+ tmp34__func_bio_opt__t3 tmp2__global__s3_34))) ; (tmp35__global__12__instrumented__ = (tmp34__func_bio_opt__t3 + tmp2__global__s3_34))
(assert (= tmp35__func_bio_opt__t3 tmp35__global__12__instrumented__)) ; (tmp35__func_bio_opt__t3 = tmp35__global__12__instrumented__)
(assert (= tmp35__global__13__instrumented__ (+ tmp34__func_bio_opt__t4 tmp2__global__s4_34))) ; (tmp35__global__13__instrumented__ = (tmp34__func_bio_opt__t4 + tmp2__global__s4_34))
(assert (= tmp35__func_bio_opt__t4 tmp35__global__13__instrumented__)) ; (tmp35__func_bio_opt__t4 = tmp35__global__13__instrumented__)
(assert (= tmp35__global__14__instrumented__ (+ tmp34__func_bio_opt__t5 tmp2__global__s5_34))) ; (tmp35__global__14__instrumented__ = (tmp34__func_bio_opt__t5 + tmp2__global__s5_34))
(assert (= tmp35__func_bio_opt__t5 tmp35__global__14__instrumented__)) ; (tmp35__func_bio_opt__t5 = tmp35__global__14__instrumented__)
(assert (= tmp36__global__10__instrumented__ (+ tmp35__func_bio_opt__t1 tmp2__global__s1_35))) ; (tmp36__global__10__instrumented__ = (tmp35__func_bio_opt__t1 + tmp2__global__s1_35))
(assert (= tmp36__func_bio_opt__t1 tmp36__global__10__instrumented__)) ; (tmp36__func_bio_opt__t1 = tmp36__global__10__instrumented__)
(assert (= tmp36__global__11__instrumented__ (+ tmp35__func_bio_opt__t2 tmp2__global__s2_35))) ; (tmp36__global__11__instrumented__ = (tmp35__func_bio_opt__t2 + tmp2__global__s2_35))
(assert (= tmp36__func_bio_opt__t2 tmp36__global__11__instrumented__)) ; (tmp36__func_bio_opt__t2 = tmp36__global__11__instrumented__)
(assert (= tmp36__global__12__instrumented__ (+ tmp35__func_bio_opt__t3 tmp2__global__s3_35))) ; (tmp36__global__12__instrumented__ = (tmp35__func_bio_opt__t3 + tmp2__global__s3_35))
(assert (= tmp36__func_bio_opt__t3 tmp36__global__12__instrumented__)) ; (tmp36__func_bio_opt__t3 = tmp36__global__12__instrumented__)
(assert (= tmp36__global__13__instrumented__ (+ tmp35__func_bio_opt__t4 tmp2__global__s4_35))) ; (tmp36__global__13__instrumented__ = (tmp35__func_bio_opt__t4 + tmp2__global__s4_35))
(assert (= tmp36__func_bio_opt__t4 tmp36__global__13__instrumented__)) ; (tmp36__func_bio_opt__t4 = tmp36__global__13__instrumented__)
(assert (= tmp36__global__14__instrumented__ (+ tmp35__func_bio_opt__t5 tmp2__global__s5_35))) ; (tmp36__global__14__instrumented__ = (tmp35__func_bio_opt__t5 + tmp2__global__s5_35))
(assert (= tmp36__func_bio_opt__t5 tmp36__global__14__instrumented__)) ; (tmp36__func_bio_opt__t5 = tmp36__global__14__instrumented__)
(assert (= tmp37__global__10__instrumented__ (+ tmp36__func_bio_opt__t1 tmp2__global__s1_40))) ; (tmp37__global__10__instrumented__ = (tmp36__func_bio_opt__t1 + tmp2__global__s1_40))
(assert (= tmp37__func_bio_opt__t1 tmp37__global__10__instrumented__)) ; (tmp37__func_bio_opt__t1 = tmp37__global__10__instrumented__)
(assert (= tmp37__global__11__instrumented__ (+ tmp36__func_bio_opt__t2 tmp2__global__s2_40))) ; (tmp37__global__11__instrumented__ = (tmp36__func_bio_opt__t2 + tmp2__global__s2_40))
(assert (= tmp37__func_bio_opt__t2 tmp37__global__11__instrumented__)) ; (tmp37__func_bio_opt__t2 = tmp37__global__11__instrumented__)
(assert (= tmp37__global__12__instrumented__ (+ tmp36__func_bio_opt__t3 tmp2__global__s3_40))) ; (tmp37__global__12__instrumented__ = (tmp36__func_bio_opt__t3 + tmp2__global__s3_40))
(assert (= tmp37__func_bio_opt__t3 tmp37__global__12__instrumented__)) ; (tmp37__func_bio_opt__t3 = tmp37__global__12__instrumented__)
(assert (= tmp37__global__13__instrumented__ (+ tmp36__func_bio_opt__t4 tmp2__global__s4_40))) ; (tmp37__global__13__instrumented__ = (tmp36__func_bio_opt__t4 + tmp2__global__s4_40))
(assert (= tmp37__func_bio_opt__t4 tmp37__global__13__instrumented__)) ; (tmp37__func_bio_opt__t4 = tmp37__global__13__instrumented__)
(assert (= tmp37__global__14__instrumented__ (+ tmp36__func_bio_opt__t5 tmp2__global__s5_40))) ; (tmp37__global__14__instrumented__ = (tmp36__func_bio_opt__t5 + tmp2__global__s5_40))
(assert (= tmp37__func_bio_opt__t5 tmp37__global__14__instrumented__)) ; (tmp37__func_bio_opt__t5 = tmp37__global__14__instrumented__)
(assert (= tmp38__global__10__instrumented__ (+ tmp37__func_bio_opt__t1 tmp2__global__s1_41))) ; (tmp38__global__10__instrumented__ = (tmp37__func_bio_opt__t1 + tmp2__global__s1_41))
(assert (= tmp38__func_bio_opt__t1 tmp38__global__10__instrumented__)) ; (tmp38__func_bio_opt__t1 = tmp38__global__10__instrumented__)
(assert (= tmp38__global__11__instrumented__ (+ tmp37__func_bio_opt__t2 tmp2__global__s2_41))) ; (tmp38__global__11__instrumented__ = (tmp37__func_bio_opt__t2 + tmp2__global__s2_41))
(assert (= tmp38__func_bio_opt__t2 tmp38__global__11__instrumented__)) ; (tmp38__func_bio_opt__t2 = tmp38__global__11__instrumented__)
(assert (= tmp38__global__12__instrumented__ (+ tmp37__func_bio_opt__t3 tmp2__global__s3_41))) ; (tmp38__global__12__instrumented__ = (tmp37__func_bio_opt__t3 + tmp2__global__s3_41))
(assert (= tmp38__func_bio_opt__t3 tmp38__global__12__instrumented__)) ; (tmp38__func_bio_opt__t3 = tmp38__global__12__instrumented__)
(assert (= tmp38__global__13__instrumented__ (+ tmp37__func_bio_opt__t4 tmp2__global__s4_41))) ; (tmp38__global__13__instrumented__ = (tmp37__func_bio_opt__t4 + tmp2__global__s4_41))
(assert (= tmp38__func_bio_opt__t4 tmp38__global__13__instrumented__)) ; (tmp38__func_bio_opt__t4 = tmp38__global__13__instrumented__)
(assert (= tmp38__global__14__instrumented__ (+ tmp37__func_bio_opt__t5 tmp2__global__s5_41))) ; (tmp38__global__14__instrumented__ = (tmp37__func_bio_opt__t5 + tmp2__global__s5_41))
(assert (= tmp38__func_bio_opt__t5 tmp38__global__14__instrumented__)) ; (tmp38__func_bio_opt__t5 = tmp38__global__14__instrumented__)
(assert (= tmp39__global__10__instrumented__ (+ tmp38__func_bio_opt__t1 tmp2__global__s1_42))) ; (tmp39__global__10__instrumented__ = (tmp38__func_bio_opt__t1 + tmp2__global__s1_42))
(assert (= tmp39__func_bio_opt__t1 tmp39__global__10__instrumented__)) ; (tmp39__func_bio_opt__t1 = tmp39__global__10__instrumented__)
(assert (= tmp39__global__11__instrumented__ (+ tmp38__func_bio_opt__t2 tmp2__global__s2_42))) ; (tmp39__global__11__instrumented__ = (tmp38__func_bio_opt__t2 + tmp2__global__s2_42))
(assert (= tmp39__func_bio_opt__t2 tmp39__global__11__instrumented__)) ; (tmp39__func_bio_opt__t2 = tmp39__global__11__instrumented__)
(assert (= tmp39__global__12__instrumented__ (+ tmp38__func_bio_opt__t3 tmp2__global__s3_42))) ; (tmp39__global__12__instrumented__ = (tmp38__func_bio_opt__t3 + tmp2__global__s3_42))
(assert (= tmp39__func_bio_opt__t3 tmp39__global__12__instrumented__)) ; (tmp39__func_bio_opt__t3 = tmp39__global__12__instrumented__)
(assert (= tmp39__global__13__instrumented__ (+ tmp38__func_bio_opt__t4 tmp2__global__s4_42))) ; (tmp39__global__13__instrumented__ = (tmp38__func_bio_opt__t4 + tmp2__global__s4_42))
(assert (= tmp39__func_bio_opt__t4 tmp39__global__13__instrumented__)) ; (tmp39__func_bio_opt__t4 = tmp39__global__13__instrumented__)
(assert (= tmp39__global__14__instrumented__ (+ tmp38__func_bio_opt__t5 tmp2__global__s5_42))) ; (tmp39__global__14__instrumented__ = (tmp38__func_bio_opt__t5 + tmp2__global__s5_42))
(assert (= tmp39__func_bio_opt__t5 tmp39__global__14__instrumented__)) ; (tmp39__func_bio_opt__t5 = tmp39__global__14__instrumented__)
(assert (= tmp40__global__10__instrumented__ (+ tmp39__func_bio_opt__t1 tmp2__global__s1_43))) ; (tmp40__global__10__instrumented__ = (tmp39__func_bio_opt__t1 + tmp2__global__s1_43))
(assert (= tmp40__func_bio_opt__t1 tmp40__global__10__instrumented__)) ; (tmp40__func_bio_opt__t1 = tmp40__global__10__instrumented__)
(assert (= tmp40__global__11__instrumented__ (+ tmp39__func_bio_opt__t2 tmp2__global__s2_43))) ; (tmp40__global__11__instrumented__ = (tmp39__func_bio_opt__t2 + tmp2__global__s2_43))
(assert (= tmp40__func_bio_opt__t2 tmp40__global__11__instrumented__)) ; (tmp40__func_bio_opt__t2 = tmp40__global__11__instrumented__)
(assert (= tmp40__global__12__instrumented__ (+ tmp39__func_bio_opt__t3 tmp2__global__s3_43))) ; (tmp40__global__12__instrumented__ = (tmp39__func_bio_opt__t3 + tmp2__global__s3_43))
(assert (= tmp40__func_bio_opt__t3 tmp40__global__12__instrumented__)) ; (tmp40__func_bio_opt__t3 = tmp40__global__12__instrumented__)
(assert (= tmp40__global__13__instrumented__ (+ tmp39__func_bio_opt__t4 tmp2__global__s4_43))) ; (tmp40__global__13__instrumented__ = (tmp39__func_bio_opt__t4 + tmp2__global__s4_43))
(assert (= tmp40__func_bio_opt__t4 tmp40__global__13__instrumented__)) ; (tmp40__func_bio_opt__t4 = tmp40__global__13__instrumented__)
(assert (= tmp40__global__14__instrumented__ (+ tmp39__func_bio_opt__t5 tmp2__global__s5_43))) ; (tmp40__global__14__instrumented__ = (tmp39__func_bio_opt__t5 + tmp2__global__s5_43))
(assert (= tmp40__func_bio_opt__t5 tmp40__global__14__instrumented__)) ; (tmp40__func_bio_opt__t5 = tmp40__global__14__instrumented__)
(assert (= tmp41__global__10__instrumented__ (+ tmp40__func_bio_opt__t1 tmp2__global__s1_48))) ; (tmp41__global__10__instrumented__ = (tmp40__func_bio_opt__t1 + tmp2__global__s1_48))
(assert (= tmp41__func_bio_opt__t1 tmp41__global__10__instrumented__)) ; (tmp41__func_bio_opt__t1 = tmp41__global__10__instrumented__)
(assert (= tmp41__global__11__instrumented__ (+ tmp40__func_bio_opt__t2 tmp2__global__s2_48))) ; (tmp41__global__11__instrumented__ = (tmp40__func_bio_opt__t2 + tmp2__global__s2_48))
(assert (= tmp41__func_bio_opt__t2 tmp41__global__11__instrumented__)) ; (tmp41__func_bio_opt__t2 = tmp41__global__11__instrumented__)
(assert (= tmp41__global__12__instrumented__ (+ tmp40__func_bio_opt__t3 tmp2__global__s3_48))) ; (tmp41__global__12__instrumented__ = (tmp40__func_bio_opt__t3 + tmp2__global__s3_48))
(assert (= tmp41__func_bio_opt__t3 tmp41__global__12__instrumented__)) ; (tmp41__func_bio_opt__t3 = tmp41__global__12__instrumented__)
(assert (= tmp41__global__13__instrumented__ (+ tmp40__func_bio_opt__t4 tmp2__global__s4_48))) ; (tmp41__global__13__instrumented__ = (tmp40__func_bio_opt__t4 + tmp2__global__s4_48))
(assert (= tmp41__func_bio_opt__t4 tmp41__global__13__instrumented__)) ; (tmp41__func_bio_opt__t4 = tmp41__global__13__instrumented__)
(assert (= tmp41__global__14__instrumented__ (+ tmp40__func_bio_opt__t5 tmp2__global__s5_48))) ; (tmp41__global__14__instrumented__ = (tmp40__func_bio_opt__t5 + tmp2__global__s5_48))
(assert (= tmp41__func_bio_opt__t5 tmp41__global__14__instrumented__)) ; (tmp41__func_bio_opt__t5 = tmp41__global__14__instrumented__)
(assert (= tmp42__global__10__instrumented__ (+ tmp41__func_bio_opt__t1 tmp2__global__s1_49))) ; (tmp42__global__10__instrumented__ = (tmp41__func_bio_opt__t1 + tmp2__global__s1_49))
(assert (= tmp42__func_bio_opt__t1 tmp42__global__10__instrumented__)) ; (tmp42__func_bio_opt__t1 = tmp42__global__10__instrumented__)
(assert (= tmp42__global__11__instrumented__ (+ tmp41__func_bio_opt__t2 tmp2__global__s2_49))) ; (tmp42__global__11__instrumented__ = (tmp41__func_bio_opt__t2 + tmp2__global__s2_49))
(assert (= tmp42__func_bio_opt__t2 tmp42__global__11__instrumented__)) ; (tmp42__func_bio_opt__t2 = tmp42__global__11__instrumented__)
(assert (= tmp42__global__12__instrumented__ (+ tmp41__func_bio_opt__t3 tmp2__global__s3_49))) ; (tmp42__global__12__instrumented__ = (tmp41__func_bio_opt__t3 + tmp2__global__s3_49))
(assert (= tmp42__func_bio_opt__t3 tmp42__global__12__instrumented__)) ; (tmp42__func_bio_opt__t3 = tmp42__global__12__instrumented__)
(assert (= tmp42__global__13__instrumented__ (+ tmp41__func_bio_opt__t4 tmp2__global__s4_49))) ; (tmp42__global__13__instrumented__ = (tmp41__func_bio_opt__t4 + tmp2__global__s4_49))
(assert (= tmp42__func_bio_opt__t4 tmp42__global__13__instrumented__)) ; (tmp42__func_bio_opt__t4 = tmp42__global__13__instrumented__)
(assert (= tmp42__global__14__instrumented__ (+ tmp41__func_bio_opt__t5 tmp2__global__s5_49))) ; (tmp42__global__14__instrumented__ = (tmp41__func_bio_opt__t5 + tmp2__global__s5_49))
(assert (= tmp42__func_bio_opt__t5 tmp42__global__14__instrumented__)) ; (tmp42__func_bio_opt__t5 = tmp42__global__14__instrumented__)
(assert (= tmp43__global__10__instrumented__ (+ tmp42__func_bio_opt__t1 tmp2__global__s1_50))) ; (tmp43__global__10__instrumented__ = (tmp42__func_bio_opt__t1 + tmp2__global__s1_50))
(assert (= tmp43__func_bio_opt__t1 tmp43__global__10__instrumented__)) ; (tmp43__func_bio_opt__t1 = tmp43__global__10__instrumented__)
(assert (= tmp43__global__11__instrumented__ (+ tmp42__func_bio_opt__t2 tmp2__global__s2_50))) ; (tmp43__global__11__instrumented__ = (tmp42__func_bio_opt__t2 + tmp2__global__s2_50))
(assert (= tmp43__func_bio_opt__t2 tmp43__global__11__instrumented__)) ; (tmp43__func_bio_opt__t2 = tmp43__global__11__instrumented__)
(assert (= tmp43__global__12__instrumented__ (+ tmp42__func_bio_opt__t3 tmp2__global__s3_50))) ; (tmp43__global__12__instrumented__ = (tmp42__func_bio_opt__t3 + tmp2__global__s3_50))
(assert (= tmp43__func_bio_opt__t3 tmp43__global__12__instrumented__)) ; (tmp43__func_bio_opt__t3 = tmp43__global__12__instrumented__)
(assert (= tmp43__global__13__instrumented__ (+ tmp42__func_bio_opt__t4 tmp2__global__s4_50))) ; (tmp43__global__13__instrumented__ = (tmp42__func_bio_opt__t4 + tmp2__global__s4_50))
(assert (= tmp43__func_bio_opt__t4 tmp43__global__13__instrumented__)) ; (tmp43__func_bio_opt__t4 = tmp43__global__13__instrumented__)
(assert (= tmp43__global__14__instrumented__ (+ tmp42__func_bio_opt__t5 tmp2__global__s5_50))) ; (tmp43__global__14__instrumented__ = (tmp42__func_bio_opt__t5 + tmp2__global__s5_50))
(assert (= tmp43__func_bio_opt__t5 tmp43__global__14__instrumented__)) ; (tmp43__func_bio_opt__t5 = tmp43__global__14__instrumented__)
(assert (= tmp44__global__10__instrumented__ (+ tmp43__func_bio_opt__t1 tmp2__global__s1_51))) ; (tmp44__global__10__instrumented__ = (tmp43__func_bio_opt__t1 + tmp2__global__s1_51))
(assert (= tmp44__func_bio_opt__t1 tmp44__global__10__instrumented__)) ; (tmp44__func_bio_opt__t1 = tmp44__global__10__instrumented__)
(assert (= tmp44__global__11__instrumented__ (+ tmp43__func_bio_opt__t2 tmp2__global__s2_51))) ; (tmp44__global__11__instrumented__ = (tmp43__func_bio_opt__t2 + tmp2__global__s2_51))
(assert (= tmp44__func_bio_opt__t2 tmp44__global__11__instrumented__)) ; (tmp44__func_bio_opt__t2 = tmp44__global__11__instrumented__)
(assert (= tmp44__global__12__instrumented__ (+ tmp43__func_bio_opt__t3 tmp2__global__s3_51))) ; (tmp44__global__12__instrumented__ = (tmp43__func_bio_opt__t3 + tmp2__global__s3_51))
(assert (= tmp44__func_bio_opt__t3 tmp44__global__12__instrumented__)) ; (tmp44__func_bio_opt__t3 = tmp44__global__12__instrumented__)
(assert (= tmp44__global__13__instrumented__ (+ tmp43__func_bio_opt__t4 tmp2__global__s4_51))) ; (tmp44__global__13__instrumented__ = (tmp43__func_bio_opt__t4 + tmp2__global__s4_51))
(assert (= tmp44__func_bio_opt__t4 tmp44__global__13__instrumented__)) ; (tmp44__func_bio_opt__t4 = tmp44__global__13__instrumented__)
(assert (= tmp44__global__14__instrumented__ (+ tmp43__func_bio_opt__t5 tmp2__global__s5_51))) ; (tmp44__global__14__instrumented__ = (tmp43__func_bio_opt__t5 + tmp2__global__s5_51))
(assert (= tmp44__func_bio_opt__t5 tmp44__global__14__instrumented__)) ; (tmp44__func_bio_opt__t5 = tmp44__global__14__instrumented__)
(assert (= tmp45__global__10__instrumented__ (+ tmp44__func_bio_opt__t1 tmp2__global__s1_56))) ; (tmp45__global__10__instrumented__ = (tmp44__func_bio_opt__t1 + tmp2__global__s1_56))
(assert (= tmp45__func_bio_opt__t1 tmp45__global__10__instrumented__)) ; (tmp45__func_bio_opt__t1 = tmp45__global__10__instrumented__)
(assert (= tmp45__global__11__instrumented__ (+ tmp44__func_bio_opt__t2 tmp2__global__s2_56))) ; (tmp45__global__11__instrumented__ = (tmp44__func_bio_opt__t2 + tmp2__global__s2_56))
(assert (= tmp45__func_bio_opt__t2 tmp45__global__11__instrumented__)) ; (tmp45__func_bio_opt__t2 = tmp45__global__11__instrumented__)
(assert (= tmp45__global__12__instrumented__ (+ tmp44__func_bio_opt__t3 tmp2__global__s3_56))) ; (tmp45__global__12__instrumented__ = (tmp44__func_bio_opt__t3 + tmp2__global__s3_56))
(assert (= tmp45__func_bio_opt__t3 tmp45__global__12__instrumented__)) ; (tmp45__func_bio_opt__t3 = tmp45__global__12__instrumented__)
(assert (= tmp45__global__13__instrumented__ (+ tmp44__func_bio_opt__t4 tmp2__global__s4_56))) ; (tmp45__global__13__instrumented__ = (tmp44__func_bio_opt__t4 + tmp2__global__s4_56))
(assert (= tmp45__func_bio_opt__t4 tmp45__global__13__instrumented__)) ; (tmp45__func_bio_opt__t4 = tmp45__global__13__instrumented__)
(assert (= tmp45__global__14__instrumented__ (+ tmp44__func_bio_opt__t5 tmp2__global__s5_56))) ; (tmp45__global__14__instrumented__ = (tmp44__func_bio_opt__t5 + tmp2__global__s5_56))
(assert (= tmp45__func_bio_opt__t5 tmp45__global__14__instrumented__)) ; (tmp45__func_bio_opt__t5 = tmp45__global__14__instrumented__)
(assert (= tmp46__global__10__instrumented__ (+ tmp45__func_bio_opt__t1 tmp2__global__s1_57))) ; (tmp46__global__10__instrumented__ = (tmp45__func_bio_opt__t1 + tmp2__global__s1_57))
(assert (= tmp46__func_bio_opt__t1 tmp46__global__10__instrumented__)) ; (tmp46__func_bio_opt__t1 = tmp46__global__10__instrumented__)
(assert (= tmp46__global__11__instrumented__ (+ tmp45__func_bio_opt__t2 tmp2__global__s2_57))) ; (tmp46__global__11__instrumented__ = (tmp45__func_bio_opt__t2 + tmp2__global__s2_57))
(assert (= tmp46__func_bio_opt__t2 tmp46__global__11__instrumented__)) ; (tmp46__func_bio_opt__t2 = tmp46__global__11__instrumented__)
(assert (= tmp46__global__12__instrumented__ (+ tmp45__func_bio_opt__t3 tmp2__global__s3_57))) ; (tmp46__global__12__instrumented__ = (tmp45__func_bio_opt__t3 + tmp2__global__s3_57))
(assert (= tmp46__func_bio_opt__t3 tmp46__global__12__instrumented__)) ; (tmp46__func_bio_opt__t3 = tmp46__global__12__instrumented__)
(assert (= tmp46__global__13__instrumented__ (+ tmp45__func_bio_opt__t4 tmp2__global__s4_57))) ; (tmp46__global__13__instrumented__ = (tmp45__func_bio_opt__t4 + tmp2__global__s4_57))
(assert (= tmp46__func_bio_opt__t4 tmp46__global__13__instrumented__)) ; (tmp46__func_bio_opt__t4 = tmp46__global__13__instrumented__)
(assert (= tmp46__global__14__instrumented__ (+ tmp45__func_bio_opt__t5 tmp2__global__s5_57))) ; (tmp46__global__14__instrumented__ = (tmp45__func_bio_opt__t5 + tmp2__global__s5_57))
(assert (= tmp46__func_bio_opt__t5 tmp46__global__14__instrumented__)) ; (tmp46__func_bio_opt__t5 = tmp46__global__14__instrumented__)
(assert (= tmp47__global__10__instrumented__ (+ tmp46__func_bio_opt__t1 tmp2__global__s1_58))) ; (tmp47__global__10__instrumented__ = (tmp46__func_bio_opt__t1 + tmp2__global__s1_58))
(assert (= tmp47__func_bio_opt__t1 tmp47__global__10__instrumented__)) ; (tmp47__func_bio_opt__t1 = tmp47__global__10__instrumented__)
(assert (= tmp47__global__11__instrumented__ (+ tmp46__func_bio_opt__t2 tmp2__global__s2_58))) ; (tmp47__global__11__instrumented__ = (tmp46__func_bio_opt__t2 + tmp2__global__s2_58))
(assert (= tmp47__func_bio_opt__t2 tmp47__global__11__instrumented__)) ; (tmp47__func_bio_opt__t2 = tmp47__global__11__instrumented__)
(assert (= tmp47__global__12__instrumented__ (+ tmp46__func_bio_opt__t3 tmp2__global__s3_58))) ; (tmp47__global__12__instrumented__ = (tmp46__func_bio_opt__t3 + tmp2__global__s3_58))
(assert (= tmp47__func_bio_opt__t3 tmp47__global__12__instrumented__)) ; (tmp47__func_bio_opt__t3 = tmp47__global__12__instrumented__)
(assert (= tmp47__global__13__instrumented__ (+ tmp46__func_bio_opt__t4 tmp2__global__s4_58))) ; (tmp47__global__13__instrumented__ = (tmp46__func_bio_opt__t4 + tmp2__global__s4_58))
(assert (= tmp47__func_bio_opt__t4 tmp47__global__13__instrumented__)) ; (tmp47__func_bio_opt__t4 = tmp47__global__13__instrumented__)
(assert (= tmp47__global__14__instrumented__ (+ tmp46__func_bio_opt__t5 tmp2__global__s5_58))) ; (tmp47__global__14__instrumented__ = (tmp46__func_bio_opt__t5 + tmp2__global__s5_58))
(assert (= tmp47__func_bio_opt__t5 tmp47__global__14__instrumented__)) ; (tmp47__func_bio_opt__t5 = tmp47__global__14__instrumented__)
(assert (= tmp48__global__10__instrumented__ (+ tmp47__func_bio_opt__t1 tmp2__global__s1_59))) ; (tmp48__global__10__instrumented__ = (tmp47__func_bio_opt__t1 + tmp2__global__s1_59))
(assert (= tmp48__func_bio_opt__t1 tmp48__global__10__instrumented__)) ; (tmp48__func_bio_opt__t1 = tmp48__global__10__instrumented__)
(assert (= tmp48__global__11__instrumented__ (+ tmp47__func_bio_opt__t2 tmp2__global__s2_59))) ; (tmp48__global__11__instrumented__ = (tmp47__func_bio_opt__t2 + tmp2__global__s2_59))
(assert (= tmp48__func_bio_opt__t2 tmp48__global__11__instrumented__)) ; (tmp48__func_bio_opt__t2 = tmp48__global__11__instrumented__)
(assert (= tmp48__global__12__instrumented__ (+ tmp47__func_bio_opt__t3 tmp2__global__s3_59))) ; (tmp48__global__12__instrumented__ = (tmp47__func_bio_opt__t3 + tmp2__global__s3_59))
(assert (= tmp48__func_bio_opt__t3 tmp48__global__12__instrumented__)) ; (tmp48__func_bio_opt__t3 = tmp48__global__12__instrumented__)
(assert (= tmp48__global__13__instrumented__ (+ tmp47__func_bio_opt__t4 tmp2__global__s4_59))) ; (tmp48__global__13__instrumented__ = (tmp47__func_bio_opt__t4 + tmp2__global__s4_59))
(assert (= tmp48__func_bio_opt__t4 tmp48__global__13__instrumented__)) ; (tmp48__func_bio_opt__t4 = tmp48__global__13__instrumented__)
(assert (= tmp48__global__14__instrumented__ (+ tmp47__func_bio_opt__t5 tmp2__global__s5_59))) ; (tmp48__global__14__instrumented__ = (tmp47__func_bio_opt__t5 + tmp2__global__s5_59))
(assert (= tmp48__func_bio_opt__t5 tmp48__global__14__instrumented__)) ; (tmp48__func_bio_opt__t5 = tmp48__global__14__instrumented__)
(assert (= tmp11__func_bio_opt__vx 0)) ; (tmp11__func_bio_opt__vx = 0)
(assert (= tmp3__global__15__instrumented__ (ite (> tmp48__func_bio_opt__t1 2) 1 0))) ; (tmp3__global__15__instrumented__ = (ite (> tmp48__func_bio_opt__t1 2) 1 0))
(assert (= tmp1__func_Clip3_variant_164__value (div tmp4__global__16__instrumented__ 2))) ; (tmp1__func_Clip3_variant_164__value = (tmp4__global__16__instrumented__ div 2))
(assert (= tmp1__func__return__Clip3_variant_164 (ite (< tmp1__func_Clip3_variant_164__value (- 768)) (- 768) (ite (> tmp1__func_Clip3_variant_164__value 768) 768 tmp1__func_Clip3_variant_164__value)))) ; (tmp1__func__return__Clip3_variant_164 = (ite (< tmp1__func_Clip3_variant_164__value (- 768)) (- 768) (ite (> tmp1__func_Clip3_variant_164__value 768) 768 tmp1__func_Clip3_variant_164__value)))
(assert (=> (> tmp48__func_bio_opt__t1 2) (and (= tmp4__global__16__instrumented__ (* tmp48__func_bio_opt__t3 32)) (= tmp12__func_bio_opt__vx tmp1__func__return__Clip3_variant_164))))
(assert (= tmp13__func_bio_opt__vx (ite (> tmp48__func_bio_opt__t1 2) tmp12__func_bio_opt__vx tmp11__func_bio_opt__vx)))
(assert (= tmp5__global__16__instrumented__ (ite (> tmp48__func_bio_opt__t1 2) tmp4__global__16__instrumented__ tmp3__global__16__instrumented__)))
(assert (=> (not (> tmp48__func_bio_opt__t1 2)) (= tmp14__func_bio_opt__vx 0)))
(assert (= tmp15__func_bio_opt__vx (ite (not (> tmp48__func_bio_opt__t1 2)) tmp14__func_bio_opt__vx tmp13__func_bio_opt__vx)))
(assert (= tmp11__func_bio_opt__vy 0)) ; (tmp11__func_bio_opt__vy = 0)
(assert (= tmp3__global__17__instrumented__ (ite (> tmp48__func_bio_opt__t4 2) 1 0))) ; (tmp3__global__17__instrumented__ = (ite (> tmp48__func_bio_opt__t4 2) 1 0))
(assert (= tmp1__func_Clip3_variant_165__value (div tmp4__global__20__instrumented__ 4))) ; (tmp1__func_Clip3_variant_165__value = (tmp4__global__20__instrumented__ div 4))
(assert (= tmp1__func__return__Clip3_variant_165 (ite (< tmp1__func_Clip3_variant_165__value (- 768)) (- 768) (ite (> tmp1__func_Clip3_variant_165__value 768) 768 tmp1__func_Clip3_variant_165__value)))) ; (tmp1__func__return__Clip3_variant_165 = (ite (< tmp1__func_Clip3_variant_165__value (- 768)) (- 768) (ite (> tmp1__func_Clip3_variant_165__value 768) 768 tmp1__func_Clip3_variant_165__value)))
(assert (=> (> tmp48__func_bio_opt__t4 2) (and (= tmp4__global__18__instrumented__ (* tmp48__func_bio_opt__t5 64)) (= tmp4__global__19__instrumented__ (* tmp15__func_bio_opt__vx tmp48__func_bio_opt__t2)) (= tmp4__global__20__instrumented__ (- (* tmp48__func_bio_opt__t5 64) (* tmp15__func_bio_opt__vx tmp48__func_bio_opt__t2))) (= tmp12__func_bio_opt__vy tmp1__func__return__Clip3_variant_165))))
(assert (= tmp13__func_bio_opt__vy (ite (> tmp48__func_bio_opt__t4 2) tmp12__func_bio_opt__vy tmp11__func_bio_opt__vy)))
(assert (= tmp5__global__18__instrumented__ (ite (> tmp48__func_bio_opt__t4 2) tmp4__global__18__instrumented__ tmp3__global__18__instrumented__)))
(assert (= tmp5__global__19__instrumented__ (ite (> tmp48__func_bio_opt__t4 2) tmp4__global__19__instrumented__ tmp3__global__19__instrumented__)))
(assert (= tmp5__global__20__instrumented__ (ite (> tmp48__func_bio_opt__t4 2) tmp4__global__20__instrumented__ tmp3__global__20__instrumented__)))
(assert (=> (not (> tmp48__func_bio_opt__t4 2)) (= tmp14__func_bio_opt__vy 0)))
(assert (= tmp15__func_bio_opt__vy (ite (not (> tmp48__func_bio_opt__t4 2)) tmp14__func_bio_opt__vy tmp13__func_bio_opt__vy)))
(assert (= tmp33__global__21__instrumented__ (- tmp1__global__gradXL0_32 tmp1__global__gradXL1_32))) ; (tmp33__global__21__instrumented__ = (tmp1__global__gradXL0_32 - tmp1__global__gradXL1_32))
(assert (= tmp33__global__22__instrumented__ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_32 tmp1__global__gradXL1_32)))) ; (tmp33__global__22__instrumented__ = (tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_32 - tmp1__global__gradXL1_32)))
(assert (= tmp33__global__23__instrumented__ (- tmp1__global__gradYL0_32 tmp1__global__gradYL1_32))) ; (tmp33__global__23__instrumented__ = (tmp1__global__gradYL0_32 - tmp1__global__gradYL1_32))
(assert (= tmp33__global__24__instrumented__ (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_32 tmp1__global__gradYL1_32)))) ; (tmp33__global__24__instrumented__ = (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_32 - tmp1__global__gradYL1_32)))
(assert (= tmp33__global__25__instrumented__ (+ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_32 tmp1__global__gradXL1_32)) (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_32 tmp1__global__gradYL1_32))))) ; (tmp33__global__25__instrumented__ = ((tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_32 - tmp1__global__gradXL1_32)) + (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_32 - tmp1__global__gradYL1_32))))
(assert (= tmp65__func_bio_opt__b tmp33__global__25__instrumented__)) ; (tmp65__func_bio_opt__b = tmp33__global__25__instrumented__)
(assert (= tmp33__global__26__instrumented__ (ite (> tmp65__func_bio_opt__b 0) 1 0))) ; (tmp33__global__26__instrumented__ = (ite (> tmp65__func_bio_opt__b 0) 1 0))
(assert (= tmp33__global__27__instrumented__ (+ tmp65__func_bio_opt__b 32))) ; (tmp33__global__27__instrumented__ = (tmp65__func_bio_opt__b + 32))
(assert (= tmp33__global__28__instrumented__ (- tmp65__func_bio_opt__b))) ; (tmp33__global__28__instrumented__ = -(tmp65__func_bio_opt__b))
(assert (= tmp33__global__29__instrumented__ (- (div (+ (- tmp65__func_bio_opt__b) 32) 64)))) ; (tmp33__global__29__instrumented__ = -(((-(tmp65__func_bio_opt__b) + 32) div 64)))
(assert (= tmp66__func_bio_opt__b (ite (> tmp65__func_bio_opt__b 0) (div tmp33__global__27__instrumented__ 64) tmp33__global__29__instrumented__))) ; (tmp66__func_bio_opt__b = (ite (> tmp65__func_bio_opt__b 0) (div tmp33__global__27__instrumented__ 64) tmp33__global__29__instrumented__))
(assert (= tmp33__global__30__instrumented__ (+ tmp1__global__predL0_32 tmp1__global__predL1_32))) ; (tmp33__global__30__instrumented__ = (tmp1__global__predL0_32 + tmp1__global__predL1_32))
(assert (= tmp33__global__31__instrumented__ (+ (+ tmp1__global__predL0_32 tmp1__global__predL1_32) tmp66__func_bio_opt__b))) ; (tmp33__global__31__instrumented__ = ((tmp1__global__predL0_32 + tmp1__global__predL1_32) + tmp66__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_166__value (div (+ tmp33__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_166__value = ((tmp33__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_166 (ite (< tmp1__func_Clip3_variant_166__value 0) 0 (ite (> tmp1__func_Clip3_variant_166__value 255) 255 tmp1__func_Clip3_variant_166__value)))) ; (tmp1__func__return__Clip3_variant_166 = (ite (< tmp1__func_Clip3_variant_166__value 0) 0 (ite (> tmp1__func_Clip3_variant_166__value 255) 255 tmp1__func_Clip3_variant_166__value)))
(assert (= tmp1__global__outputVector_32 tmp1__func__return__Clip3_variant_166)) ; (tmp1__global__outputVector_32 = tmp1__func__return__Clip3_variant_166)
(assert (= tmp34__global__21__instrumented__ (- tmp1__global__gradXL0_33 tmp1__global__gradXL1_33))) ; (tmp34__global__21__instrumented__ = (tmp1__global__gradXL0_33 - tmp1__global__gradXL1_33))
(assert (= tmp34__global__22__instrumented__ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_33 tmp1__global__gradXL1_33)))) ; (tmp34__global__22__instrumented__ = (tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_33 - tmp1__global__gradXL1_33)))
(assert (= tmp34__global__23__instrumented__ (- tmp1__global__gradYL0_33 tmp1__global__gradYL1_33))) ; (tmp34__global__23__instrumented__ = (tmp1__global__gradYL0_33 - tmp1__global__gradYL1_33))
(assert (= tmp34__global__24__instrumented__ (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_33 tmp1__global__gradYL1_33)))) ; (tmp34__global__24__instrumented__ = (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_33 - tmp1__global__gradYL1_33)))
(assert (= tmp34__global__25__instrumented__ (+ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_33 tmp1__global__gradXL1_33)) (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_33 tmp1__global__gradYL1_33))))) ; (tmp34__global__25__instrumented__ = ((tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_33 - tmp1__global__gradXL1_33)) + (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_33 - tmp1__global__gradYL1_33))))
(assert (= tmp67__func_bio_opt__b tmp34__global__25__instrumented__)) ; (tmp67__func_bio_opt__b = tmp34__global__25__instrumented__)
(assert (= tmp34__global__26__instrumented__ (ite (> tmp67__func_bio_opt__b 0) 1 0))) ; (tmp34__global__26__instrumented__ = (ite (> tmp67__func_bio_opt__b 0) 1 0))
(assert (= tmp34__global__27__instrumented__ (+ tmp67__func_bio_opt__b 32))) ; (tmp34__global__27__instrumented__ = (tmp67__func_bio_opt__b + 32))
(assert (= tmp34__global__28__instrumented__ (- tmp67__func_bio_opt__b))) ; (tmp34__global__28__instrumented__ = -(tmp67__func_bio_opt__b))
(assert (= tmp34__global__29__instrumented__ (- (div (+ (- tmp67__func_bio_opt__b) 32) 64)))) ; (tmp34__global__29__instrumented__ = -(((-(tmp67__func_bio_opt__b) + 32) div 64)))
(assert (= tmp68__func_bio_opt__b (ite (> tmp67__func_bio_opt__b 0) (div tmp34__global__27__instrumented__ 64) tmp34__global__29__instrumented__))) ; (tmp68__func_bio_opt__b = (ite (> tmp67__func_bio_opt__b 0) (div tmp34__global__27__instrumented__ 64) tmp34__global__29__instrumented__))
(assert (= tmp34__global__30__instrumented__ (+ tmp1__global__predL0_33 tmp1__global__predL1_33))) ; (tmp34__global__30__instrumented__ = (tmp1__global__predL0_33 + tmp1__global__predL1_33))
(assert (= tmp34__global__31__instrumented__ (+ (+ tmp1__global__predL0_33 tmp1__global__predL1_33) tmp68__func_bio_opt__b))) ; (tmp34__global__31__instrumented__ = ((tmp1__global__predL0_33 + tmp1__global__predL1_33) + tmp68__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_167__value (div (+ tmp34__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_167__value = ((tmp34__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_167 (ite (< tmp1__func_Clip3_variant_167__value 0) 0 (ite (> tmp1__func_Clip3_variant_167__value 255) 255 tmp1__func_Clip3_variant_167__value)))) ; (tmp1__func__return__Clip3_variant_167 = (ite (< tmp1__func_Clip3_variant_167__value 0) 0 (ite (> tmp1__func_Clip3_variant_167__value 255) 255 tmp1__func_Clip3_variant_167__value)))
(assert (= tmp1__global__outputVector_33 tmp1__func__return__Clip3_variant_167)) ; (tmp1__global__outputVector_33 = tmp1__func__return__Clip3_variant_167)
(assert (= tmp35__global__21__instrumented__ (- tmp1__global__gradXL0_34 tmp1__global__gradXL1_34))) ; (tmp35__global__21__instrumented__ = (tmp1__global__gradXL0_34 - tmp1__global__gradXL1_34))
(assert (= tmp35__global__22__instrumented__ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_34 tmp1__global__gradXL1_34)))) ; (tmp35__global__22__instrumented__ = (tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_34 - tmp1__global__gradXL1_34)))
(assert (= tmp35__global__23__instrumented__ (- tmp1__global__gradYL0_34 tmp1__global__gradYL1_34))) ; (tmp35__global__23__instrumented__ = (tmp1__global__gradYL0_34 - tmp1__global__gradYL1_34))
(assert (= tmp35__global__24__instrumented__ (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_34 tmp1__global__gradYL1_34)))) ; (tmp35__global__24__instrumented__ = (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_34 - tmp1__global__gradYL1_34)))
(assert (= tmp35__global__25__instrumented__ (+ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_34 tmp1__global__gradXL1_34)) (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_34 tmp1__global__gradYL1_34))))) ; (tmp35__global__25__instrumented__ = ((tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_34 - tmp1__global__gradXL1_34)) + (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_34 - tmp1__global__gradYL1_34))))
(assert (= tmp69__func_bio_opt__b tmp35__global__25__instrumented__)) ; (tmp69__func_bio_opt__b = tmp35__global__25__instrumented__)
(assert (= tmp35__global__26__instrumented__ (ite (> tmp69__func_bio_opt__b 0) 1 0))) ; (tmp35__global__26__instrumented__ = (ite (> tmp69__func_bio_opt__b 0) 1 0))
(assert (= tmp35__global__27__instrumented__ (+ tmp69__func_bio_opt__b 32))) ; (tmp35__global__27__instrumented__ = (tmp69__func_bio_opt__b + 32))
(assert (= tmp35__global__28__instrumented__ (- tmp69__func_bio_opt__b))) ; (tmp35__global__28__instrumented__ = -(tmp69__func_bio_opt__b))
(assert (= tmp35__global__29__instrumented__ (- (div (+ (- tmp69__func_bio_opt__b) 32) 64)))) ; (tmp35__global__29__instrumented__ = -(((-(tmp69__func_bio_opt__b) + 32) div 64)))
(assert (= tmp70__func_bio_opt__b (ite (> tmp69__func_bio_opt__b 0) (div tmp35__global__27__instrumented__ 64) tmp35__global__29__instrumented__))) ; (tmp70__func_bio_opt__b = (ite (> tmp69__func_bio_opt__b 0) (div tmp35__global__27__instrumented__ 64) tmp35__global__29__instrumented__))
(assert (= tmp35__global__30__instrumented__ (+ tmp1__global__predL0_34 tmp1__global__predL1_34))) ; (tmp35__global__30__instrumented__ = (tmp1__global__predL0_34 + tmp1__global__predL1_34))
(assert (= tmp35__global__31__instrumented__ (+ (+ tmp1__global__predL0_34 tmp1__global__predL1_34) tmp70__func_bio_opt__b))) ; (tmp35__global__31__instrumented__ = ((tmp1__global__predL0_34 + tmp1__global__predL1_34) + tmp70__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_168__value (div (+ tmp35__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_168__value = ((tmp35__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_168 (ite (< tmp1__func_Clip3_variant_168__value 0) 0 (ite (> tmp1__func_Clip3_variant_168__value 255) 255 tmp1__func_Clip3_variant_168__value)))) ; (tmp1__func__return__Clip3_variant_168 = (ite (< tmp1__func_Clip3_variant_168__value 0) 0 (ite (> tmp1__func_Clip3_variant_168__value 255) 255 tmp1__func_Clip3_variant_168__value)))
(assert (= tmp1__global__outputVector_34 tmp1__func__return__Clip3_variant_168)) ; (tmp1__global__outputVector_34 = tmp1__func__return__Clip3_variant_168)
(assert (= tmp36__global__21__instrumented__ (- tmp1__global__gradXL0_35 tmp1__global__gradXL1_35))) ; (tmp36__global__21__instrumented__ = (tmp1__global__gradXL0_35 - tmp1__global__gradXL1_35))
(assert (= tmp36__global__22__instrumented__ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_35 tmp1__global__gradXL1_35)))) ; (tmp36__global__22__instrumented__ = (tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_35 - tmp1__global__gradXL1_35)))
(assert (= tmp36__global__23__instrumented__ (- tmp1__global__gradYL0_35 tmp1__global__gradYL1_35))) ; (tmp36__global__23__instrumented__ = (tmp1__global__gradYL0_35 - tmp1__global__gradYL1_35))
(assert (= tmp36__global__24__instrumented__ (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_35 tmp1__global__gradYL1_35)))) ; (tmp36__global__24__instrumented__ = (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_35 - tmp1__global__gradYL1_35)))
(assert (= tmp36__global__25__instrumented__ (+ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_35 tmp1__global__gradXL1_35)) (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_35 tmp1__global__gradYL1_35))))) ; (tmp36__global__25__instrumented__ = ((tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_35 - tmp1__global__gradXL1_35)) + (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_35 - tmp1__global__gradYL1_35))))
(assert (= tmp71__func_bio_opt__b tmp36__global__25__instrumented__)) ; (tmp71__func_bio_opt__b = tmp36__global__25__instrumented__)
(assert (= tmp36__global__26__instrumented__ (ite (> tmp71__func_bio_opt__b 0) 1 0))) ; (tmp36__global__26__instrumented__ = (ite (> tmp71__func_bio_opt__b 0) 1 0))
(assert (= tmp36__global__27__instrumented__ (+ tmp71__func_bio_opt__b 32))) ; (tmp36__global__27__instrumented__ = (tmp71__func_bio_opt__b + 32))
(assert (= tmp36__global__28__instrumented__ (- tmp71__func_bio_opt__b))) ; (tmp36__global__28__instrumented__ = -(tmp71__func_bio_opt__b))
(assert (= tmp36__global__29__instrumented__ (- (div (+ (- tmp71__func_bio_opt__b) 32) 64)))) ; (tmp36__global__29__instrumented__ = -(((-(tmp71__func_bio_opt__b) + 32) div 64)))
(assert (= tmp72__func_bio_opt__b (ite (> tmp71__func_bio_opt__b 0) (div tmp36__global__27__instrumented__ 64) tmp36__global__29__instrumented__))) ; (tmp72__func_bio_opt__b = (ite (> tmp71__func_bio_opt__b 0) (div tmp36__global__27__instrumented__ 64) tmp36__global__29__instrumented__))
(assert (= tmp36__global__30__instrumented__ (+ tmp1__global__predL0_35 tmp1__global__predL1_35))) ; (tmp36__global__30__instrumented__ = (tmp1__global__predL0_35 + tmp1__global__predL1_35))
(assert (= tmp36__global__31__instrumented__ (+ (+ tmp1__global__predL0_35 tmp1__global__predL1_35) tmp72__func_bio_opt__b))) ; (tmp36__global__31__instrumented__ = ((tmp1__global__predL0_35 + tmp1__global__predL1_35) + tmp72__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_169__value (div (+ tmp36__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_169__value = ((tmp36__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_169 (ite (< tmp1__func_Clip3_variant_169__value 0) 0 (ite (> tmp1__func_Clip3_variant_169__value 255) 255 tmp1__func_Clip3_variant_169__value)))) ; (tmp1__func__return__Clip3_variant_169 = (ite (< tmp1__func_Clip3_variant_169__value 0) 0 (ite (> tmp1__func_Clip3_variant_169__value 255) 255 tmp1__func_Clip3_variant_169__value)))
(assert (= tmp1__global__outputVector_35 tmp1__func__return__Clip3_variant_169)) ; (tmp1__global__outputVector_35 = tmp1__func__return__Clip3_variant_169)
(assert (= tmp37__global__21__instrumented__ (- tmp1__global__gradXL0_40 tmp1__global__gradXL1_40))) ; (tmp37__global__21__instrumented__ = (tmp1__global__gradXL0_40 - tmp1__global__gradXL1_40))
(assert (= tmp37__global__22__instrumented__ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_40 tmp1__global__gradXL1_40)))) ; (tmp37__global__22__instrumented__ = (tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_40 - tmp1__global__gradXL1_40)))
(assert (= tmp37__global__23__instrumented__ (- tmp1__global__gradYL0_40 tmp1__global__gradYL1_40))) ; (tmp37__global__23__instrumented__ = (tmp1__global__gradYL0_40 - tmp1__global__gradYL1_40))
(assert (= tmp37__global__24__instrumented__ (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_40 tmp1__global__gradYL1_40)))) ; (tmp37__global__24__instrumented__ = (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_40 - tmp1__global__gradYL1_40)))
(assert (= tmp37__global__25__instrumented__ (+ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_40 tmp1__global__gradXL1_40)) (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_40 tmp1__global__gradYL1_40))))) ; (tmp37__global__25__instrumented__ = ((tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_40 - tmp1__global__gradXL1_40)) + (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_40 - tmp1__global__gradYL1_40))))
(assert (= tmp73__func_bio_opt__b tmp37__global__25__instrumented__)) ; (tmp73__func_bio_opt__b = tmp37__global__25__instrumented__)
(assert (= tmp37__global__26__instrumented__ (ite (> tmp73__func_bio_opt__b 0) 1 0))) ; (tmp37__global__26__instrumented__ = (ite (> tmp73__func_bio_opt__b 0) 1 0))
(assert (= tmp37__global__27__instrumented__ (+ tmp73__func_bio_opt__b 32))) ; (tmp37__global__27__instrumented__ = (tmp73__func_bio_opt__b + 32))
(assert (= tmp37__global__28__instrumented__ (- tmp73__func_bio_opt__b))) ; (tmp37__global__28__instrumented__ = -(tmp73__func_bio_opt__b))
(assert (= tmp37__global__29__instrumented__ (- (div (+ (- tmp73__func_bio_opt__b) 32) 64)))) ; (tmp37__global__29__instrumented__ = -(((-(tmp73__func_bio_opt__b) + 32) div 64)))
(assert (= tmp74__func_bio_opt__b (ite (> tmp73__func_bio_opt__b 0) (div tmp37__global__27__instrumented__ 64) tmp37__global__29__instrumented__))) ; (tmp74__func_bio_opt__b = (ite (> tmp73__func_bio_opt__b 0) (div tmp37__global__27__instrumented__ 64) tmp37__global__29__instrumented__))
(assert (= tmp37__global__30__instrumented__ (+ tmp1__global__predL0_40 tmp1__global__predL1_40))) ; (tmp37__global__30__instrumented__ = (tmp1__global__predL0_40 + tmp1__global__predL1_40))
(assert (= tmp37__global__31__instrumented__ (+ (+ tmp1__global__predL0_40 tmp1__global__predL1_40) tmp74__func_bio_opt__b))) ; (tmp37__global__31__instrumented__ = ((tmp1__global__predL0_40 + tmp1__global__predL1_40) + tmp74__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_170__value (div (+ tmp37__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_170__value = ((tmp37__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_170 (ite (< tmp1__func_Clip3_variant_170__value 0) 0 (ite (> tmp1__func_Clip3_variant_170__value 255) 255 tmp1__func_Clip3_variant_170__value)))) ; (tmp1__func__return__Clip3_variant_170 = (ite (< tmp1__func_Clip3_variant_170__value 0) 0 (ite (> tmp1__func_Clip3_variant_170__value 255) 255 tmp1__func_Clip3_variant_170__value)))
(assert (= tmp1__global__outputVector_40 tmp1__func__return__Clip3_variant_170)) ; (tmp1__global__outputVector_40 = tmp1__func__return__Clip3_variant_170)
(assert (= tmp38__global__21__instrumented__ (- tmp1__global__gradXL0_41 tmp1__global__gradXL1_41))) ; (tmp38__global__21__instrumented__ = (tmp1__global__gradXL0_41 - tmp1__global__gradXL1_41))
(assert (= tmp38__global__22__instrumented__ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_41 tmp1__global__gradXL1_41)))) ; (tmp38__global__22__instrumented__ = (tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_41 - tmp1__global__gradXL1_41)))
(assert (= tmp38__global__23__instrumented__ (- tmp1__global__gradYL0_41 tmp1__global__gradYL1_41))) ; (tmp38__global__23__instrumented__ = (tmp1__global__gradYL0_41 - tmp1__global__gradYL1_41))
(assert (= tmp38__global__24__instrumented__ (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_41 tmp1__global__gradYL1_41)))) ; (tmp38__global__24__instrumented__ = (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_41 - tmp1__global__gradYL1_41)))
(assert (= tmp38__global__25__instrumented__ (+ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_41 tmp1__global__gradXL1_41)) (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_41 tmp1__global__gradYL1_41))))) ; (tmp38__global__25__instrumented__ = ((tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_41 - tmp1__global__gradXL1_41)) + (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_41 - tmp1__global__gradYL1_41))))
(assert (= tmp75__func_bio_opt__b tmp38__global__25__instrumented__)) ; (tmp75__func_bio_opt__b = tmp38__global__25__instrumented__)
(assert (= tmp38__global__26__instrumented__ (ite (> tmp75__func_bio_opt__b 0) 1 0))) ; (tmp38__global__26__instrumented__ = (ite (> tmp75__func_bio_opt__b 0) 1 0))
(assert (= tmp38__global__27__instrumented__ (+ tmp75__func_bio_opt__b 32))) ; (tmp38__global__27__instrumented__ = (tmp75__func_bio_opt__b + 32))
(assert (= tmp38__global__28__instrumented__ (- tmp75__func_bio_opt__b))) ; (tmp38__global__28__instrumented__ = -(tmp75__func_bio_opt__b))
(assert (= tmp38__global__29__instrumented__ (- (div (+ (- tmp75__func_bio_opt__b) 32) 64)))) ; (tmp38__global__29__instrumented__ = -(((-(tmp75__func_bio_opt__b) + 32) div 64)))
(assert (= tmp76__func_bio_opt__b (ite (> tmp75__func_bio_opt__b 0) (div tmp38__global__27__instrumented__ 64) tmp38__global__29__instrumented__))) ; (tmp76__func_bio_opt__b = (ite (> tmp75__func_bio_opt__b 0) (div tmp38__global__27__instrumented__ 64) tmp38__global__29__instrumented__))
(assert (= tmp38__global__30__instrumented__ (+ tmp1__global__predL0_41 tmp1__global__predL1_41))) ; (tmp38__global__30__instrumented__ = (tmp1__global__predL0_41 + tmp1__global__predL1_41))
(assert (= tmp38__global__31__instrumented__ (+ (+ tmp1__global__predL0_41 tmp1__global__predL1_41) tmp76__func_bio_opt__b))) ; (tmp38__global__31__instrumented__ = ((tmp1__global__predL0_41 + tmp1__global__predL1_41) + tmp76__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_171__value (div (+ tmp38__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_171__value = ((tmp38__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_171 (ite (< tmp1__func_Clip3_variant_171__value 0) 0 (ite (> tmp1__func_Clip3_variant_171__value 255) 255 tmp1__func_Clip3_variant_171__value)))) ; (tmp1__func__return__Clip3_variant_171 = (ite (< tmp1__func_Clip3_variant_171__value 0) 0 (ite (> tmp1__func_Clip3_variant_171__value 255) 255 tmp1__func_Clip3_variant_171__value)))
(assert (= tmp1__global__outputVector_41 tmp1__func__return__Clip3_variant_171)) ; (tmp1__global__outputVector_41 = tmp1__func__return__Clip3_variant_171)
(assert (= tmp39__global__21__instrumented__ (- tmp1__global__gradXL0_42 tmp1__global__gradXL1_42))) ; (tmp39__global__21__instrumented__ = (tmp1__global__gradXL0_42 - tmp1__global__gradXL1_42))
(assert (= tmp39__global__22__instrumented__ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_42 tmp1__global__gradXL1_42)))) ; (tmp39__global__22__instrumented__ = (tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_42 - tmp1__global__gradXL1_42)))
(assert (= tmp39__global__23__instrumented__ (- tmp1__global__gradYL0_42 tmp1__global__gradYL1_42))) ; (tmp39__global__23__instrumented__ = (tmp1__global__gradYL0_42 - tmp1__global__gradYL1_42))
(assert (= tmp39__global__24__instrumented__ (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_42 tmp1__global__gradYL1_42)))) ; (tmp39__global__24__instrumented__ = (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_42 - tmp1__global__gradYL1_42)))
(assert (= tmp39__global__25__instrumented__ (+ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_42 tmp1__global__gradXL1_42)) (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_42 tmp1__global__gradYL1_42))))) ; (tmp39__global__25__instrumented__ = ((tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_42 - tmp1__global__gradXL1_42)) + (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_42 - tmp1__global__gradYL1_42))))
(assert (= tmp77__func_bio_opt__b tmp39__global__25__instrumented__)) ; (tmp77__func_bio_opt__b = tmp39__global__25__instrumented__)
(assert (= tmp39__global__26__instrumented__ (ite (> tmp77__func_bio_opt__b 0) 1 0))) ; (tmp39__global__26__instrumented__ = (ite (> tmp77__func_bio_opt__b 0) 1 0))
(assert (= tmp39__global__27__instrumented__ (+ tmp77__func_bio_opt__b 32))) ; (tmp39__global__27__instrumented__ = (tmp77__func_bio_opt__b + 32))
(assert (= tmp39__global__28__instrumented__ (- tmp77__func_bio_opt__b))) ; (tmp39__global__28__instrumented__ = -(tmp77__func_bio_opt__b))
(assert (= tmp39__global__29__instrumented__ (- (div (+ (- tmp77__func_bio_opt__b) 32) 64)))) ; (tmp39__global__29__instrumented__ = -(((-(tmp77__func_bio_opt__b) + 32) div 64)))
(assert (= tmp78__func_bio_opt__b (ite (> tmp77__func_bio_opt__b 0) (div tmp39__global__27__instrumented__ 64) tmp39__global__29__instrumented__))) ; (tmp78__func_bio_opt__b = (ite (> tmp77__func_bio_opt__b 0) (div tmp39__global__27__instrumented__ 64) tmp39__global__29__instrumented__))
(assert (= tmp39__global__30__instrumented__ (+ tmp1__global__predL0_42 tmp1__global__predL1_42))) ; (tmp39__global__30__instrumented__ = (tmp1__global__predL0_42 + tmp1__global__predL1_42))
(assert (= tmp39__global__31__instrumented__ (+ (+ tmp1__global__predL0_42 tmp1__global__predL1_42) tmp78__func_bio_opt__b))) ; (tmp39__global__31__instrumented__ = ((tmp1__global__predL0_42 + tmp1__global__predL1_42) + tmp78__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_172__value (div (+ tmp39__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_172__value = ((tmp39__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_172 (ite (< tmp1__func_Clip3_variant_172__value 0) 0 (ite (> tmp1__func_Clip3_variant_172__value 255) 255 tmp1__func_Clip3_variant_172__value)))) ; (tmp1__func__return__Clip3_variant_172 = (ite (< tmp1__func_Clip3_variant_172__value 0) 0 (ite (> tmp1__func_Clip3_variant_172__value 255) 255 tmp1__func_Clip3_variant_172__value)))
(assert (= tmp1__global__outputVector_42 tmp1__func__return__Clip3_variant_172)) ; (tmp1__global__outputVector_42 = tmp1__func__return__Clip3_variant_172)
(assert (= tmp40__global__21__instrumented__ (- tmp1__global__gradXL0_43 tmp1__global__gradXL1_43))) ; (tmp40__global__21__instrumented__ = (tmp1__global__gradXL0_43 - tmp1__global__gradXL1_43))
(assert (= tmp40__global__22__instrumented__ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_43 tmp1__global__gradXL1_43)))) ; (tmp40__global__22__instrumented__ = (tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_43 - tmp1__global__gradXL1_43)))
(assert (= tmp40__global__23__instrumented__ (- tmp1__global__gradYL0_43 tmp1__global__gradYL1_43))) ; (tmp40__global__23__instrumented__ = (tmp1__global__gradYL0_43 - tmp1__global__gradYL1_43))
(assert (= tmp40__global__24__instrumented__ (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_43 tmp1__global__gradYL1_43)))) ; (tmp40__global__24__instrumented__ = (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_43 - tmp1__global__gradYL1_43)))
(assert (= tmp40__global__25__instrumented__ (+ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_43 tmp1__global__gradXL1_43)) (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_43 tmp1__global__gradYL1_43))))) ; (tmp40__global__25__instrumented__ = ((tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_43 - tmp1__global__gradXL1_43)) + (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_43 - tmp1__global__gradYL1_43))))
(assert (= tmp79__func_bio_opt__b tmp40__global__25__instrumented__)) ; (tmp79__func_bio_opt__b = tmp40__global__25__instrumented__)
(assert (= tmp40__global__26__instrumented__ (ite (> tmp79__func_bio_opt__b 0) 1 0))) ; (tmp40__global__26__instrumented__ = (ite (> tmp79__func_bio_opt__b 0) 1 0))
(assert (= tmp40__global__27__instrumented__ (+ tmp79__func_bio_opt__b 32))) ; (tmp40__global__27__instrumented__ = (tmp79__func_bio_opt__b + 32))
(assert (= tmp40__global__28__instrumented__ (- tmp79__func_bio_opt__b))) ; (tmp40__global__28__instrumented__ = -(tmp79__func_bio_opt__b))
(assert (= tmp40__global__29__instrumented__ (- (div (+ (- tmp79__func_bio_opt__b) 32) 64)))) ; (tmp40__global__29__instrumented__ = -(((-(tmp79__func_bio_opt__b) + 32) div 64)))
(assert (= tmp80__func_bio_opt__b (ite (> tmp79__func_bio_opt__b 0) (div tmp40__global__27__instrumented__ 64) tmp40__global__29__instrumented__))) ; (tmp80__func_bio_opt__b = (ite (> tmp79__func_bio_opt__b 0) (div tmp40__global__27__instrumented__ 64) tmp40__global__29__instrumented__))
(assert (= tmp40__global__30__instrumented__ (+ tmp1__global__predL0_43 tmp1__global__predL1_43))) ; (tmp40__global__30__instrumented__ = (tmp1__global__predL0_43 + tmp1__global__predL1_43))
(assert (= tmp40__global__31__instrumented__ (+ (+ tmp1__global__predL0_43 tmp1__global__predL1_43) tmp80__func_bio_opt__b))) ; (tmp40__global__31__instrumented__ = ((tmp1__global__predL0_43 + tmp1__global__predL1_43) + tmp80__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_173__value (div (+ tmp40__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_173__value = ((tmp40__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_173 (ite (< tmp1__func_Clip3_variant_173__value 0) 0 (ite (> tmp1__func_Clip3_variant_173__value 255) 255 tmp1__func_Clip3_variant_173__value)))) ; (tmp1__func__return__Clip3_variant_173 = (ite (< tmp1__func_Clip3_variant_173__value 0) 0 (ite (> tmp1__func_Clip3_variant_173__value 255) 255 tmp1__func_Clip3_variant_173__value)))
(assert (= tmp1__global__outputVector_43 tmp1__func__return__Clip3_variant_173)) ; (tmp1__global__outputVector_43 = tmp1__func__return__Clip3_variant_173)
(assert (= tmp41__global__21__instrumented__ (- tmp1__global__gradXL0_48 tmp1__global__gradXL1_48))) ; (tmp41__global__21__instrumented__ = (tmp1__global__gradXL0_48 - tmp1__global__gradXL1_48))
(assert (= tmp41__global__22__instrumented__ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_48 tmp1__global__gradXL1_48)))) ; (tmp41__global__22__instrumented__ = (tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_48 - tmp1__global__gradXL1_48)))
(assert (= tmp41__global__23__instrumented__ (- tmp1__global__gradYL0_48 tmp1__global__gradYL1_48))) ; (tmp41__global__23__instrumented__ = (tmp1__global__gradYL0_48 - tmp1__global__gradYL1_48))
(assert (= tmp41__global__24__instrumented__ (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_48 tmp1__global__gradYL1_48)))) ; (tmp41__global__24__instrumented__ = (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_48 - tmp1__global__gradYL1_48)))
(assert (= tmp41__global__25__instrumented__ (+ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_48 tmp1__global__gradXL1_48)) (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_48 tmp1__global__gradYL1_48))))) ; (tmp41__global__25__instrumented__ = ((tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_48 - tmp1__global__gradXL1_48)) + (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_48 - tmp1__global__gradYL1_48))))
(assert (= tmp81__func_bio_opt__b tmp41__global__25__instrumented__)) ; (tmp81__func_bio_opt__b = tmp41__global__25__instrumented__)
(assert (= tmp41__global__26__instrumented__ (ite (> tmp81__func_bio_opt__b 0) 1 0))) ; (tmp41__global__26__instrumented__ = (ite (> tmp81__func_bio_opt__b 0) 1 0))
(assert (= tmp41__global__27__instrumented__ (+ tmp81__func_bio_opt__b 32))) ; (tmp41__global__27__instrumented__ = (tmp81__func_bio_opt__b + 32))
(assert (= tmp41__global__28__instrumented__ (- tmp81__func_bio_opt__b))) ; (tmp41__global__28__instrumented__ = -(tmp81__func_bio_opt__b))
(assert (= tmp41__global__29__instrumented__ (- (div (+ (- tmp81__func_bio_opt__b) 32) 64)))) ; (tmp41__global__29__instrumented__ = -(((-(tmp81__func_bio_opt__b) + 32) div 64)))
(assert (= tmp82__func_bio_opt__b (ite (> tmp81__func_bio_opt__b 0) (div tmp41__global__27__instrumented__ 64) tmp41__global__29__instrumented__))) ; (tmp82__func_bio_opt__b = (ite (> tmp81__func_bio_opt__b 0) (div tmp41__global__27__instrumented__ 64) tmp41__global__29__instrumented__))
(assert (= tmp41__global__30__instrumented__ (+ tmp1__global__predL0_48 tmp1__global__predL1_48))) ; (tmp41__global__30__instrumented__ = (tmp1__global__predL0_48 + tmp1__global__predL1_48))
(assert (= tmp41__global__31__instrumented__ (+ (+ tmp1__global__predL0_48 tmp1__global__predL1_48) tmp82__func_bio_opt__b))) ; (tmp41__global__31__instrumented__ = ((tmp1__global__predL0_48 + tmp1__global__predL1_48) + tmp82__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_174__value (div (+ tmp41__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_174__value = ((tmp41__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_174 (ite (< tmp1__func_Clip3_variant_174__value 0) 0 (ite (> tmp1__func_Clip3_variant_174__value 255) 255 tmp1__func_Clip3_variant_174__value)))) ; (tmp1__func__return__Clip3_variant_174 = (ite (< tmp1__func_Clip3_variant_174__value 0) 0 (ite (> tmp1__func_Clip3_variant_174__value 255) 255 tmp1__func_Clip3_variant_174__value)))
(assert (= tmp1__global__outputVector_48 tmp1__func__return__Clip3_variant_174)) ; (tmp1__global__outputVector_48 = tmp1__func__return__Clip3_variant_174)
(assert (= tmp42__global__21__instrumented__ (- tmp1__global__gradXL0_49 tmp1__global__gradXL1_49))) ; (tmp42__global__21__instrumented__ = (tmp1__global__gradXL0_49 - tmp1__global__gradXL1_49))
(assert (= tmp42__global__22__instrumented__ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_49 tmp1__global__gradXL1_49)))) ; (tmp42__global__22__instrumented__ = (tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_49 - tmp1__global__gradXL1_49)))
(assert (= tmp42__global__23__instrumented__ (- tmp1__global__gradYL0_49 tmp1__global__gradYL1_49))) ; (tmp42__global__23__instrumented__ = (tmp1__global__gradYL0_49 - tmp1__global__gradYL1_49))
(assert (= tmp42__global__24__instrumented__ (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_49 tmp1__global__gradYL1_49)))) ; (tmp42__global__24__instrumented__ = (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_49 - tmp1__global__gradYL1_49)))
(assert (= tmp42__global__25__instrumented__ (+ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_49 tmp1__global__gradXL1_49)) (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_49 tmp1__global__gradYL1_49))))) ; (tmp42__global__25__instrumented__ = ((tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_49 - tmp1__global__gradXL1_49)) + (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_49 - tmp1__global__gradYL1_49))))
(assert (= tmp83__func_bio_opt__b tmp42__global__25__instrumented__)) ; (tmp83__func_bio_opt__b = tmp42__global__25__instrumented__)
(assert (= tmp42__global__26__instrumented__ (ite (> tmp83__func_bio_opt__b 0) 1 0))) ; (tmp42__global__26__instrumented__ = (ite (> tmp83__func_bio_opt__b 0) 1 0))
(assert (= tmp42__global__27__instrumented__ (+ tmp83__func_bio_opt__b 32))) ; (tmp42__global__27__instrumented__ = (tmp83__func_bio_opt__b + 32))
(assert (= tmp42__global__28__instrumented__ (- tmp83__func_bio_opt__b))) ; (tmp42__global__28__instrumented__ = -(tmp83__func_bio_opt__b))
(assert (= tmp42__global__29__instrumented__ (- (div (+ (- tmp83__func_bio_opt__b) 32) 64)))) ; (tmp42__global__29__instrumented__ = -(((-(tmp83__func_bio_opt__b) + 32) div 64)))
(assert (= tmp84__func_bio_opt__b (ite (> tmp83__func_bio_opt__b 0) (div tmp42__global__27__instrumented__ 64) tmp42__global__29__instrumented__))) ; (tmp84__func_bio_opt__b = (ite (> tmp83__func_bio_opt__b 0) (div tmp42__global__27__instrumented__ 64) tmp42__global__29__instrumented__))
(assert (= tmp42__global__30__instrumented__ (+ tmp1__global__predL0_49 tmp1__global__predL1_49))) ; (tmp42__global__30__instrumented__ = (tmp1__global__predL0_49 + tmp1__global__predL1_49))
(assert (= tmp42__global__31__instrumented__ (+ (+ tmp1__global__predL0_49 tmp1__global__predL1_49) tmp84__func_bio_opt__b))) ; (tmp42__global__31__instrumented__ = ((tmp1__global__predL0_49 + tmp1__global__predL1_49) + tmp84__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_175__value (div (+ tmp42__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_175__value = ((tmp42__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_175 (ite (< tmp1__func_Clip3_variant_175__value 0) 0 (ite (> tmp1__func_Clip3_variant_175__value 255) 255 tmp1__func_Clip3_variant_175__value)))) ; (tmp1__func__return__Clip3_variant_175 = (ite (< tmp1__func_Clip3_variant_175__value 0) 0 (ite (> tmp1__func_Clip3_variant_175__value 255) 255 tmp1__func_Clip3_variant_175__value)))
(assert (= tmp1__global__outputVector_49 tmp1__func__return__Clip3_variant_175)) ; (tmp1__global__outputVector_49 = tmp1__func__return__Clip3_variant_175)
(assert (= tmp43__global__21__instrumented__ (- tmp1__global__gradXL0_50 tmp1__global__gradXL1_50))) ; (tmp43__global__21__instrumented__ = (tmp1__global__gradXL0_50 - tmp1__global__gradXL1_50))
(assert (= tmp43__global__22__instrumented__ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_50 tmp1__global__gradXL1_50)))) ; (tmp43__global__22__instrumented__ = (tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_50 - tmp1__global__gradXL1_50)))
(assert (= tmp43__global__23__instrumented__ (- tmp1__global__gradYL0_50 tmp1__global__gradYL1_50))) ; (tmp43__global__23__instrumented__ = (tmp1__global__gradYL0_50 - tmp1__global__gradYL1_50))
(assert (= tmp43__global__24__instrumented__ (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_50 tmp1__global__gradYL1_50)))) ; (tmp43__global__24__instrumented__ = (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_50 - tmp1__global__gradYL1_50)))
(assert (= tmp43__global__25__instrumented__ (+ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_50 tmp1__global__gradXL1_50)) (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_50 tmp1__global__gradYL1_50))))) ; (tmp43__global__25__instrumented__ = ((tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_50 - tmp1__global__gradXL1_50)) + (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_50 - tmp1__global__gradYL1_50))))
(assert (= tmp85__func_bio_opt__b tmp43__global__25__instrumented__)) ; (tmp85__func_bio_opt__b = tmp43__global__25__instrumented__)
(assert (= tmp43__global__26__instrumented__ (ite (> tmp85__func_bio_opt__b 0) 1 0))) ; (tmp43__global__26__instrumented__ = (ite (> tmp85__func_bio_opt__b 0) 1 0))
(assert (= tmp43__global__27__instrumented__ (+ tmp85__func_bio_opt__b 32))) ; (tmp43__global__27__instrumented__ = (tmp85__func_bio_opt__b + 32))
(assert (= tmp43__global__28__instrumented__ (- tmp85__func_bio_opt__b))) ; (tmp43__global__28__instrumented__ = -(tmp85__func_bio_opt__b))
(assert (= tmp43__global__29__instrumented__ (- (div (+ (- tmp85__func_bio_opt__b) 32) 64)))) ; (tmp43__global__29__instrumented__ = -(((-(tmp85__func_bio_opt__b) + 32) div 64)))
(assert (= tmp86__func_bio_opt__b (ite (> tmp85__func_bio_opt__b 0) (div tmp43__global__27__instrumented__ 64) tmp43__global__29__instrumented__))) ; (tmp86__func_bio_opt__b = (ite (> tmp85__func_bio_opt__b 0) (div tmp43__global__27__instrumented__ 64) tmp43__global__29__instrumented__))
(assert (= tmp43__global__30__instrumented__ (+ tmp1__global__predL0_50 tmp1__global__predL1_50))) ; (tmp43__global__30__instrumented__ = (tmp1__global__predL0_50 + tmp1__global__predL1_50))
(assert (= tmp43__global__31__instrumented__ (+ (+ tmp1__global__predL0_50 tmp1__global__predL1_50) tmp86__func_bio_opt__b))) ; (tmp43__global__31__instrumented__ = ((tmp1__global__predL0_50 + tmp1__global__predL1_50) + tmp86__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_176__value (div (+ tmp43__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_176__value = ((tmp43__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_176 (ite (< tmp1__func_Clip3_variant_176__value 0) 0 (ite (> tmp1__func_Clip3_variant_176__value 255) 255 tmp1__func_Clip3_variant_176__value)))) ; (tmp1__func__return__Clip3_variant_176 = (ite (< tmp1__func_Clip3_variant_176__value 0) 0 (ite (> tmp1__func_Clip3_variant_176__value 255) 255 tmp1__func_Clip3_variant_176__value)))
(assert (= tmp1__global__outputVector_50 tmp1__func__return__Clip3_variant_176)) ; (tmp1__global__outputVector_50 = tmp1__func__return__Clip3_variant_176)
(assert (= tmp44__global__21__instrumented__ (- tmp1__global__gradXL0_51 tmp1__global__gradXL1_51))) ; (tmp44__global__21__instrumented__ = (tmp1__global__gradXL0_51 - tmp1__global__gradXL1_51))
(assert (= tmp44__global__22__instrumented__ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_51 tmp1__global__gradXL1_51)))) ; (tmp44__global__22__instrumented__ = (tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_51 - tmp1__global__gradXL1_51)))
(assert (= tmp44__global__23__instrumented__ (- tmp1__global__gradYL0_51 tmp1__global__gradYL1_51))) ; (tmp44__global__23__instrumented__ = (tmp1__global__gradYL0_51 - tmp1__global__gradYL1_51))
(assert (= tmp44__global__24__instrumented__ (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_51 tmp1__global__gradYL1_51)))) ; (tmp44__global__24__instrumented__ = (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_51 - tmp1__global__gradYL1_51)))
(assert (= tmp44__global__25__instrumented__ (+ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_51 tmp1__global__gradXL1_51)) (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_51 tmp1__global__gradYL1_51))))) ; (tmp44__global__25__instrumented__ = ((tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_51 - tmp1__global__gradXL1_51)) + (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_51 - tmp1__global__gradYL1_51))))
(assert (= tmp87__func_bio_opt__b tmp44__global__25__instrumented__)) ; (tmp87__func_bio_opt__b = tmp44__global__25__instrumented__)
(assert (= tmp44__global__26__instrumented__ (ite (> tmp87__func_bio_opt__b 0) 1 0))) ; (tmp44__global__26__instrumented__ = (ite (> tmp87__func_bio_opt__b 0) 1 0))
(assert (= tmp44__global__27__instrumented__ (+ tmp87__func_bio_opt__b 32))) ; (tmp44__global__27__instrumented__ = (tmp87__func_bio_opt__b + 32))
(assert (= tmp44__global__28__instrumented__ (- tmp87__func_bio_opt__b))) ; (tmp44__global__28__instrumented__ = -(tmp87__func_bio_opt__b))
(assert (= tmp44__global__29__instrumented__ (- (div (+ (- tmp87__func_bio_opt__b) 32) 64)))) ; (tmp44__global__29__instrumented__ = -(((-(tmp87__func_bio_opt__b) + 32) div 64)))
(assert (= tmp88__func_bio_opt__b (ite (> tmp87__func_bio_opt__b 0) (div tmp44__global__27__instrumented__ 64) tmp44__global__29__instrumented__))) ; (tmp88__func_bio_opt__b = (ite (> tmp87__func_bio_opt__b 0) (div tmp44__global__27__instrumented__ 64) tmp44__global__29__instrumented__))
(assert (= tmp44__global__30__instrumented__ (+ tmp1__global__predL0_51 tmp1__global__predL1_51))) ; (tmp44__global__30__instrumented__ = (tmp1__global__predL0_51 + tmp1__global__predL1_51))
(assert (= tmp44__global__31__instrumented__ (+ (+ tmp1__global__predL0_51 tmp1__global__predL1_51) tmp88__func_bio_opt__b))) ; (tmp44__global__31__instrumented__ = ((tmp1__global__predL0_51 + tmp1__global__predL1_51) + tmp88__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_177__value (div (+ tmp44__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_177__value = ((tmp44__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_177 (ite (< tmp1__func_Clip3_variant_177__value 0) 0 (ite (> tmp1__func_Clip3_variant_177__value 255) 255 tmp1__func_Clip3_variant_177__value)))) ; (tmp1__func__return__Clip3_variant_177 = (ite (< tmp1__func_Clip3_variant_177__value 0) 0 (ite (> tmp1__func_Clip3_variant_177__value 255) 255 tmp1__func_Clip3_variant_177__value)))
(assert (= tmp1__global__outputVector_51 tmp1__func__return__Clip3_variant_177)) ; (tmp1__global__outputVector_51 = tmp1__func__return__Clip3_variant_177)
(assert (= tmp45__global__21__instrumented__ (- tmp1__global__gradXL0_56 tmp1__global__gradXL1_56))) ; (tmp45__global__21__instrumented__ = (tmp1__global__gradXL0_56 - tmp1__global__gradXL1_56))
(assert (= tmp45__global__22__instrumented__ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_56 tmp1__global__gradXL1_56)))) ; (tmp45__global__22__instrumented__ = (tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_56 - tmp1__global__gradXL1_56)))
(assert (= tmp45__global__23__instrumented__ (- tmp1__global__gradYL0_56 tmp1__global__gradYL1_56))) ; (tmp45__global__23__instrumented__ = (tmp1__global__gradYL0_56 - tmp1__global__gradYL1_56))
(assert (= tmp45__global__24__instrumented__ (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_56 tmp1__global__gradYL1_56)))) ; (tmp45__global__24__instrumented__ = (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_56 - tmp1__global__gradYL1_56)))
(assert (= tmp45__global__25__instrumented__ (+ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_56 tmp1__global__gradXL1_56)) (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_56 tmp1__global__gradYL1_56))))) ; (tmp45__global__25__instrumented__ = ((tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_56 - tmp1__global__gradXL1_56)) + (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_56 - tmp1__global__gradYL1_56))))
(assert (= tmp89__func_bio_opt__b tmp45__global__25__instrumented__)) ; (tmp89__func_bio_opt__b = tmp45__global__25__instrumented__)
(assert (= tmp45__global__26__instrumented__ (ite (> tmp89__func_bio_opt__b 0) 1 0))) ; (tmp45__global__26__instrumented__ = (ite (> tmp89__func_bio_opt__b 0) 1 0))
(assert (= tmp45__global__27__instrumented__ (+ tmp89__func_bio_opt__b 32))) ; (tmp45__global__27__instrumented__ = (tmp89__func_bio_opt__b + 32))
(assert (= tmp45__global__28__instrumented__ (- tmp89__func_bio_opt__b))) ; (tmp45__global__28__instrumented__ = -(tmp89__func_bio_opt__b))
(assert (= tmp45__global__29__instrumented__ (- (div (+ (- tmp89__func_bio_opt__b) 32) 64)))) ; (tmp45__global__29__instrumented__ = -(((-(tmp89__func_bio_opt__b) + 32) div 64)))
(assert (= tmp90__func_bio_opt__b (ite (> tmp89__func_bio_opt__b 0) (div tmp45__global__27__instrumented__ 64) tmp45__global__29__instrumented__))) ; (tmp90__func_bio_opt__b = (ite (> tmp89__func_bio_opt__b 0) (div tmp45__global__27__instrumented__ 64) tmp45__global__29__instrumented__))
(assert (= tmp45__global__30__instrumented__ (+ tmp1__global__predL0_56 tmp1__global__predL1_56))) ; (tmp45__global__30__instrumented__ = (tmp1__global__predL0_56 + tmp1__global__predL1_56))
(assert (= tmp45__global__31__instrumented__ (+ (+ tmp1__global__predL0_56 tmp1__global__predL1_56) tmp90__func_bio_opt__b))) ; (tmp45__global__31__instrumented__ = ((tmp1__global__predL0_56 + tmp1__global__predL1_56) + tmp90__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_178__value (div (+ tmp45__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_178__value = ((tmp45__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_178 (ite (< tmp1__func_Clip3_variant_178__value 0) 0 (ite (> tmp1__func_Clip3_variant_178__value 255) 255 tmp1__func_Clip3_variant_178__value)))) ; (tmp1__func__return__Clip3_variant_178 = (ite (< tmp1__func_Clip3_variant_178__value 0) 0 (ite (> tmp1__func_Clip3_variant_178__value 255) 255 tmp1__func_Clip3_variant_178__value)))
(assert (= tmp1__global__outputVector_56 tmp1__func__return__Clip3_variant_178)) ; (tmp1__global__outputVector_56 = tmp1__func__return__Clip3_variant_178)
(assert (= tmp46__global__21__instrumented__ (- tmp1__global__gradXL0_57 tmp1__global__gradXL1_57))) ; (tmp46__global__21__instrumented__ = (tmp1__global__gradXL0_57 - tmp1__global__gradXL1_57))
(assert (= tmp46__global__22__instrumented__ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_57 tmp1__global__gradXL1_57)))) ; (tmp46__global__22__instrumented__ = (tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_57 - tmp1__global__gradXL1_57)))
(assert (= tmp46__global__23__instrumented__ (- tmp1__global__gradYL0_57 tmp1__global__gradYL1_57))) ; (tmp46__global__23__instrumented__ = (tmp1__global__gradYL0_57 - tmp1__global__gradYL1_57))
(assert (= tmp46__global__24__instrumented__ (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_57 tmp1__global__gradYL1_57)))) ; (tmp46__global__24__instrumented__ = (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_57 - tmp1__global__gradYL1_57)))
(assert (= tmp46__global__25__instrumented__ (+ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_57 tmp1__global__gradXL1_57)) (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_57 tmp1__global__gradYL1_57))))) ; (tmp46__global__25__instrumented__ = ((tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_57 - tmp1__global__gradXL1_57)) + (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_57 - tmp1__global__gradYL1_57))))
(assert (= tmp91__func_bio_opt__b tmp46__global__25__instrumented__)) ; (tmp91__func_bio_opt__b = tmp46__global__25__instrumented__)
(assert (= tmp46__global__26__instrumented__ (ite (> tmp91__func_bio_opt__b 0) 1 0))) ; (tmp46__global__26__instrumented__ = (ite (> tmp91__func_bio_opt__b 0) 1 0))
(assert (= tmp46__global__27__instrumented__ (+ tmp91__func_bio_opt__b 32))) ; (tmp46__global__27__instrumented__ = (tmp91__func_bio_opt__b + 32))
(assert (= tmp46__global__28__instrumented__ (- tmp91__func_bio_opt__b))) ; (tmp46__global__28__instrumented__ = -(tmp91__func_bio_opt__b))
(assert (= tmp46__global__29__instrumented__ (- (div (+ (- tmp91__func_bio_opt__b) 32) 64)))) ; (tmp46__global__29__instrumented__ = -(((-(tmp91__func_bio_opt__b) + 32) div 64)))
(assert (= tmp92__func_bio_opt__b (ite (> tmp91__func_bio_opt__b 0) (div tmp46__global__27__instrumented__ 64) tmp46__global__29__instrumented__))) ; (tmp92__func_bio_opt__b = (ite (> tmp91__func_bio_opt__b 0) (div tmp46__global__27__instrumented__ 64) tmp46__global__29__instrumented__))
(assert (= tmp46__global__30__instrumented__ (+ tmp1__global__predL0_57 tmp1__global__predL1_57))) ; (tmp46__global__30__instrumented__ = (tmp1__global__predL0_57 + tmp1__global__predL1_57))
(assert (= tmp46__global__31__instrumented__ (+ (+ tmp1__global__predL0_57 tmp1__global__predL1_57) tmp92__func_bio_opt__b))) ; (tmp46__global__31__instrumented__ = ((tmp1__global__predL0_57 + tmp1__global__predL1_57) + tmp92__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_179__value (div (+ tmp46__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_179__value = ((tmp46__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_179 (ite (< tmp1__func_Clip3_variant_179__value 0) 0 (ite (> tmp1__func_Clip3_variant_179__value 255) 255 tmp1__func_Clip3_variant_179__value)))) ; (tmp1__func__return__Clip3_variant_179 = (ite (< tmp1__func_Clip3_variant_179__value 0) 0 (ite (> tmp1__func_Clip3_variant_179__value 255) 255 tmp1__func_Clip3_variant_179__value)))
(assert (= tmp1__global__outputVector_57 tmp1__func__return__Clip3_variant_179)) ; (tmp1__global__outputVector_57 = tmp1__func__return__Clip3_variant_179)
(assert (= tmp47__global__21__instrumented__ (- tmp1__global__gradXL0_58 tmp1__global__gradXL1_58))) ; (tmp47__global__21__instrumented__ = (tmp1__global__gradXL0_58 - tmp1__global__gradXL1_58))
(assert (= tmp47__global__22__instrumented__ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_58 tmp1__global__gradXL1_58)))) ; (tmp47__global__22__instrumented__ = (tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_58 - tmp1__global__gradXL1_58)))
(assert (= tmp47__global__23__instrumented__ (- tmp1__global__gradYL0_58 tmp1__global__gradYL1_58))) ; (tmp47__global__23__instrumented__ = (tmp1__global__gradYL0_58 - tmp1__global__gradYL1_58))
(assert (= tmp47__global__24__instrumented__ (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_58 tmp1__global__gradYL1_58)))) ; (tmp47__global__24__instrumented__ = (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_58 - tmp1__global__gradYL1_58)))
(assert (= tmp47__global__25__instrumented__ (+ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_58 tmp1__global__gradXL1_58)) (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_58 tmp1__global__gradYL1_58))))) ; (tmp47__global__25__instrumented__ = ((tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_58 - tmp1__global__gradXL1_58)) + (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_58 - tmp1__global__gradYL1_58))))
(assert (= tmp93__func_bio_opt__b tmp47__global__25__instrumented__)) ; (tmp93__func_bio_opt__b = tmp47__global__25__instrumented__)
(assert (= tmp47__global__26__instrumented__ (ite (> tmp93__func_bio_opt__b 0) 1 0))) ; (tmp47__global__26__instrumented__ = (ite (> tmp93__func_bio_opt__b 0) 1 0))
(assert (= tmp47__global__27__instrumented__ (+ tmp93__func_bio_opt__b 32))) ; (tmp47__global__27__instrumented__ = (tmp93__func_bio_opt__b + 32))
(assert (= tmp47__global__28__instrumented__ (- tmp93__func_bio_opt__b))) ; (tmp47__global__28__instrumented__ = -(tmp93__func_bio_opt__b))
(assert (= tmp47__global__29__instrumented__ (- (div (+ (- tmp93__func_bio_opt__b) 32) 64)))) ; (tmp47__global__29__instrumented__ = -(((-(tmp93__func_bio_opt__b) + 32) div 64)))
(assert (= tmp94__func_bio_opt__b (ite (> tmp93__func_bio_opt__b 0) (div tmp47__global__27__instrumented__ 64) tmp47__global__29__instrumented__))) ; (tmp94__func_bio_opt__b = (ite (> tmp93__func_bio_opt__b 0) (div tmp47__global__27__instrumented__ 64) tmp47__global__29__instrumented__))
(assert (= tmp47__global__30__instrumented__ (+ tmp1__global__predL0_58 tmp1__global__predL1_58))) ; (tmp47__global__30__instrumented__ = (tmp1__global__predL0_58 + tmp1__global__predL1_58))
(assert (= tmp47__global__31__instrumented__ (+ (+ tmp1__global__predL0_58 tmp1__global__predL1_58) tmp94__func_bio_opt__b))) ; (tmp47__global__31__instrumented__ = ((tmp1__global__predL0_58 + tmp1__global__predL1_58) + tmp94__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_180__value (div (+ tmp47__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_180__value = ((tmp47__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_180 (ite (< tmp1__func_Clip3_variant_180__value 0) 0 (ite (> tmp1__func_Clip3_variant_180__value 255) 255 tmp1__func_Clip3_variant_180__value)))) ; (tmp1__func__return__Clip3_variant_180 = (ite (< tmp1__func_Clip3_variant_180__value 0) 0 (ite (> tmp1__func_Clip3_variant_180__value 255) 255 tmp1__func_Clip3_variant_180__value)))
(assert (= tmp1__global__outputVector_58 tmp1__func__return__Clip3_variant_180)) ; (tmp1__global__outputVector_58 = tmp1__func__return__Clip3_variant_180)
(assert (= tmp48__global__21__instrumented__ (- tmp1__global__gradXL0_59 tmp1__global__gradXL1_59))) ; (tmp48__global__21__instrumented__ = (tmp1__global__gradXL0_59 - tmp1__global__gradXL1_59))
(assert (= tmp48__global__22__instrumented__ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_59 tmp1__global__gradXL1_59)))) ; (tmp48__global__22__instrumented__ = (tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_59 - tmp1__global__gradXL1_59)))
(assert (= tmp48__global__23__instrumented__ (- tmp1__global__gradYL0_59 tmp1__global__gradYL1_59))) ; (tmp48__global__23__instrumented__ = (tmp1__global__gradYL0_59 - tmp1__global__gradYL1_59))
(assert (= tmp48__global__24__instrumented__ (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_59 tmp1__global__gradYL1_59)))) ; (tmp48__global__24__instrumented__ = (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_59 - tmp1__global__gradYL1_59)))
(assert (= tmp48__global__25__instrumented__ (+ (* tmp15__func_bio_opt__vx (- tmp1__global__gradXL0_59 tmp1__global__gradXL1_59)) (* tmp15__func_bio_opt__vy (- tmp1__global__gradYL0_59 tmp1__global__gradYL1_59))))) ; (tmp48__global__25__instrumented__ = ((tmp15__func_bio_opt__vx * (tmp1__global__gradXL0_59 - tmp1__global__gradXL1_59)) + (tmp15__func_bio_opt__vy * (tmp1__global__gradYL0_59 - tmp1__global__gradYL1_59))))
(assert (= tmp95__func_bio_opt__b tmp48__global__25__instrumented__)) ; (tmp95__func_bio_opt__b = tmp48__global__25__instrumented__)
(assert (= tmp48__global__26__instrumented__ (ite (> tmp95__func_bio_opt__b 0) 1 0))) ; (tmp48__global__26__instrumented__ = (ite (> tmp95__func_bio_opt__b 0) 1 0))
(assert (= tmp48__global__27__instrumented__ (+ tmp95__func_bio_opt__b 32))) ; (tmp48__global__27__instrumented__ = (tmp95__func_bio_opt__b + 32))
(assert (= tmp48__global__28__instrumented__ (- tmp95__func_bio_opt__b))) ; (tmp48__global__28__instrumented__ = -(tmp95__func_bio_opt__b))
(assert (= tmp48__global__29__instrumented__ (- (div (+ (- tmp95__func_bio_opt__b) 32) 64)))) ; (tmp48__global__29__instrumented__ = -(((-(tmp95__func_bio_opt__b) + 32) div 64)))
(assert (= tmp96__func_bio_opt__b (ite (> tmp95__func_bio_opt__b 0) (div tmp48__global__27__instrumented__ 64) tmp48__global__29__instrumented__))) ; (tmp96__func_bio_opt__b = (ite (> tmp95__func_bio_opt__b 0) (div tmp48__global__27__instrumented__ 64) tmp48__global__29__instrumented__))
(assert (= tmp48__global__30__instrumented__ (+ tmp1__global__predL0_59 tmp1__global__predL1_59))) ; (tmp48__global__30__instrumented__ = (tmp1__global__predL0_59 + tmp1__global__predL1_59))
(assert (= tmp48__global__31__instrumented__ (+ (+ tmp1__global__predL0_59 tmp1__global__predL1_59) tmp96__func_bio_opt__b))) ; (tmp48__global__31__instrumented__ = ((tmp1__global__predL0_59 + tmp1__global__predL1_59) + tmp96__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_181__value (div (+ tmp48__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_181__value = ((tmp48__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_181 (ite (< tmp1__func_Clip3_variant_181__value 0) 0 (ite (> tmp1__func_Clip3_variant_181__value 255) 255 tmp1__func_Clip3_variant_181__value)))) ; (tmp1__func__return__Clip3_variant_181 = (ite (< tmp1__func_Clip3_variant_181__value 0) 0 (ite (> tmp1__func_Clip3_variant_181__value 255) 255 tmp1__func_Clip3_variant_181__value)))
(assert (= tmp1__global__outputVector_59 tmp1__func__return__Clip3_variant_181)) ; (tmp1__global__outputVector_59 = tmp1__func__return__Clip3_variant_181)
(assert (= tmp49__global__10__instrumented__ (+ 0 tmp2__global__s1_36))) ; (tmp49__global__10__instrumented__ = (0 + tmp2__global__s1_36))
(assert (= tmp49__func_bio_opt__t1 tmp49__global__10__instrumented__)) ; (tmp49__func_bio_opt__t1 = tmp49__global__10__instrumented__)
(assert (= tmp49__global__11__instrumented__ (+ 0 tmp2__global__s2_36))) ; (tmp49__global__11__instrumented__ = (0 + tmp2__global__s2_36))
(assert (= tmp49__func_bio_opt__t2 tmp49__global__11__instrumented__)) ; (tmp49__func_bio_opt__t2 = tmp49__global__11__instrumented__)
(assert (= tmp49__global__12__instrumented__ (+ 0 tmp2__global__s3_36))) ; (tmp49__global__12__instrumented__ = (0 + tmp2__global__s3_36))
(assert (= tmp49__func_bio_opt__t3 tmp49__global__12__instrumented__)) ; (tmp49__func_bio_opt__t3 = tmp49__global__12__instrumented__)
(assert (= tmp49__global__13__instrumented__ (+ 0 tmp2__global__s4_36))) ; (tmp49__global__13__instrumented__ = (0 + tmp2__global__s4_36))
(assert (= tmp49__func_bio_opt__t4 tmp49__global__13__instrumented__)) ; (tmp49__func_bio_opt__t4 = tmp49__global__13__instrumented__)
(assert (= tmp49__global__14__instrumented__ (+ 0 tmp2__global__s5_36))) ; (tmp49__global__14__instrumented__ = (0 + tmp2__global__s5_36))
(assert (= tmp49__func_bio_opt__t5 tmp49__global__14__instrumented__)) ; (tmp49__func_bio_opt__t5 = tmp49__global__14__instrumented__)
(assert (= tmp50__global__10__instrumented__ (+ tmp49__func_bio_opt__t1 tmp2__global__s1_37))) ; (tmp50__global__10__instrumented__ = (tmp49__func_bio_opt__t1 + tmp2__global__s1_37))
(assert (= tmp50__func_bio_opt__t1 tmp50__global__10__instrumented__)) ; (tmp50__func_bio_opt__t1 = tmp50__global__10__instrumented__)
(assert (= tmp50__global__11__instrumented__ (+ tmp49__func_bio_opt__t2 tmp2__global__s2_37))) ; (tmp50__global__11__instrumented__ = (tmp49__func_bio_opt__t2 + tmp2__global__s2_37))
(assert (= tmp50__func_bio_opt__t2 tmp50__global__11__instrumented__)) ; (tmp50__func_bio_opt__t2 = tmp50__global__11__instrumented__)
(assert (= tmp50__global__12__instrumented__ (+ tmp49__func_bio_opt__t3 tmp2__global__s3_37))) ; (tmp50__global__12__instrumented__ = (tmp49__func_bio_opt__t3 + tmp2__global__s3_37))
(assert (= tmp50__func_bio_opt__t3 tmp50__global__12__instrumented__)) ; (tmp50__func_bio_opt__t3 = tmp50__global__12__instrumented__)
(assert (= tmp50__global__13__instrumented__ (+ tmp49__func_bio_opt__t4 tmp2__global__s4_37))) ; (tmp50__global__13__instrumented__ = (tmp49__func_bio_opt__t4 + tmp2__global__s4_37))
(assert (= tmp50__func_bio_opt__t4 tmp50__global__13__instrumented__)) ; (tmp50__func_bio_opt__t4 = tmp50__global__13__instrumented__)
(assert (= tmp50__global__14__instrumented__ (+ tmp49__func_bio_opt__t5 tmp2__global__s5_37))) ; (tmp50__global__14__instrumented__ = (tmp49__func_bio_opt__t5 + tmp2__global__s5_37))
(assert (= tmp50__func_bio_opt__t5 tmp50__global__14__instrumented__)) ; (tmp50__func_bio_opt__t5 = tmp50__global__14__instrumented__)
(assert (= tmp51__global__10__instrumented__ (+ tmp50__func_bio_opt__t1 tmp2__global__s1_38))) ; (tmp51__global__10__instrumented__ = (tmp50__func_bio_opt__t1 + tmp2__global__s1_38))
(assert (= tmp51__func_bio_opt__t1 tmp51__global__10__instrumented__)) ; (tmp51__func_bio_opt__t1 = tmp51__global__10__instrumented__)
(assert (= tmp51__global__11__instrumented__ (+ tmp50__func_bio_opt__t2 tmp2__global__s2_38))) ; (tmp51__global__11__instrumented__ = (tmp50__func_bio_opt__t2 + tmp2__global__s2_38))
(assert (= tmp51__func_bio_opt__t2 tmp51__global__11__instrumented__)) ; (tmp51__func_bio_opt__t2 = tmp51__global__11__instrumented__)
(assert (= tmp51__global__12__instrumented__ (+ tmp50__func_bio_opt__t3 tmp2__global__s3_38))) ; (tmp51__global__12__instrumented__ = (tmp50__func_bio_opt__t3 + tmp2__global__s3_38))
(assert (= tmp51__func_bio_opt__t3 tmp51__global__12__instrumented__)) ; (tmp51__func_bio_opt__t3 = tmp51__global__12__instrumented__)
(assert (= tmp51__global__13__instrumented__ (+ tmp50__func_bio_opt__t4 tmp2__global__s4_38))) ; (tmp51__global__13__instrumented__ = (tmp50__func_bio_opt__t4 + tmp2__global__s4_38))
(assert (= tmp51__func_bio_opt__t4 tmp51__global__13__instrumented__)) ; (tmp51__func_bio_opt__t4 = tmp51__global__13__instrumented__)
(assert (= tmp51__global__14__instrumented__ (+ tmp50__func_bio_opt__t5 tmp2__global__s5_38))) ; (tmp51__global__14__instrumented__ = (tmp50__func_bio_opt__t5 + tmp2__global__s5_38))
(assert (= tmp51__func_bio_opt__t5 tmp51__global__14__instrumented__)) ; (tmp51__func_bio_opt__t5 = tmp51__global__14__instrumented__)
(assert (= tmp52__global__10__instrumented__ (+ tmp51__func_bio_opt__t1 tmp2__global__s1_39))) ; (tmp52__global__10__instrumented__ = (tmp51__func_bio_opt__t1 + tmp2__global__s1_39))
(assert (= tmp52__func_bio_opt__t1 tmp52__global__10__instrumented__)) ; (tmp52__func_bio_opt__t1 = tmp52__global__10__instrumented__)
(assert (= tmp52__global__11__instrumented__ (+ tmp51__func_bio_opt__t2 tmp2__global__s2_39))) ; (tmp52__global__11__instrumented__ = (tmp51__func_bio_opt__t2 + tmp2__global__s2_39))
(assert (= tmp52__func_bio_opt__t2 tmp52__global__11__instrumented__)) ; (tmp52__func_bio_opt__t2 = tmp52__global__11__instrumented__)
(assert (= tmp52__global__12__instrumented__ (+ tmp51__func_bio_opt__t3 tmp2__global__s3_39))) ; (tmp52__global__12__instrumented__ = (tmp51__func_bio_opt__t3 + tmp2__global__s3_39))
(assert (= tmp52__func_bio_opt__t3 tmp52__global__12__instrumented__)) ; (tmp52__func_bio_opt__t3 = tmp52__global__12__instrumented__)
(assert (= tmp52__global__13__instrumented__ (+ tmp51__func_bio_opt__t4 tmp2__global__s4_39))) ; (tmp52__global__13__instrumented__ = (tmp51__func_bio_opt__t4 + tmp2__global__s4_39))
(assert (= tmp52__func_bio_opt__t4 tmp52__global__13__instrumented__)) ; (tmp52__func_bio_opt__t4 = tmp52__global__13__instrumented__)
(assert (= tmp52__global__14__instrumented__ (+ tmp51__func_bio_opt__t5 tmp2__global__s5_39))) ; (tmp52__global__14__instrumented__ = (tmp51__func_bio_opt__t5 + tmp2__global__s5_39))
(assert (= tmp52__func_bio_opt__t5 tmp52__global__14__instrumented__)) ; (tmp52__func_bio_opt__t5 = tmp52__global__14__instrumented__)
(assert (= tmp53__global__10__instrumented__ (+ tmp52__func_bio_opt__t1 tmp2__global__s1_44))) ; (tmp53__global__10__instrumented__ = (tmp52__func_bio_opt__t1 + tmp2__global__s1_44))
(assert (= tmp53__func_bio_opt__t1 tmp53__global__10__instrumented__)) ; (tmp53__func_bio_opt__t1 = tmp53__global__10__instrumented__)
(assert (= tmp53__global__11__instrumented__ (+ tmp52__func_bio_opt__t2 tmp2__global__s2_44))) ; (tmp53__global__11__instrumented__ = (tmp52__func_bio_opt__t2 + tmp2__global__s2_44))
(assert (= tmp53__func_bio_opt__t2 tmp53__global__11__instrumented__)) ; (tmp53__func_bio_opt__t2 = tmp53__global__11__instrumented__)
(assert (= tmp53__global__12__instrumented__ (+ tmp52__func_bio_opt__t3 tmp2__global__s3_44))) ; (tmp53__global__12__instrumented__ = (tmp52__func_bio_opt__t3 + tmp2__global__s3_44))
(assert (= tmp53__func_bio_opt__t3 tmp53__global__12__instrumented__)) ; (tmp53__func_bio_opt__t3 = tmp53__global__12__instrumented__)
(assert (= tmp53__global__13__instrumented__ (+ tmp52__func_bio_opt__t4 tmp2__global__s4_44))) ; (tmp53__global__13__instrumented__ = (tmp52__func_bio_opt__t4 + tmp2__global__s4_44))
(assert (= tmp53__func_bio_opt__t4 tmp53__global__13__instrumented__)) ; (tmp53__func_bio_opt__t4 = tmp53__global__13__instrumented__)
(assert (= tmp53__global__14__instrumented__ (+ tmp52__func_bio_opt__t5 tmp2__global__s5_44))) ; (tmp53__global__14__instrumented__ = (tmp52__func_bio_opt__t5 + tmp2__global__s5_44))
(assert (= tmp53__func_bio_opt__t5 tmp53__global__14__instrumented__)) ; (tmp53__func_bio_opt__t5 = tmp53__global__14__instrumented__)
(assert (= tmp54__global__10__instrumented__ (+ tmp53__func_bio_opt__t1 tmp2__global__s1_45))) ; (tmp54__global__10__instrumented__ = (tmp53__func_bio_opt__t1 + tmp2__global__s1_45))
(assert (= tmp54__func_bio_opt__t1 tmp54__global__10__instrumented__)) ; (tmp54__func_bio_opt__t1 = tmp54__global__10__instrumented__)
(assert (= tmp54__global__11__instrumented__ (+ tmp53__func_bio_opt__t2 tmp2__global__s2_45))) ; (tmp54__global__11__instrumented__ = (tmp53__func_bio_opt__t2 + tmp2__global__s2_45))
(assert (= tmp54__func_bio_opt__t2 tmp54__global__11__instrumented__)) ; (tmp54__func_bio_opt__t2 = tmp54__global__11__instrumented__)
(assert (= tmp54__global__12__instrumented__ (+ tmp53__func_bio_opt__t3 tmp2__global__s3_45))) ; (tmp54__global__12__instrumented__ = (tmp53__func_bio_opt__t3 + tmp2__global__s3_45))
(assert (= tmp54__func_bio_opt__t3 tmp54__global__12__instrumented__)) ; (tmp54__func_bio_opt__t3 = tmp54__global__12__instrumented__)
(assert (= tmp54__global__13__instrumented__ (+ tmp53__func_bio_opt__t4 tmp2__global__s4_45))) ; (tmp54__global__13__instrumented__ = (tmp53__func_bio_opt__t4 + tmp2__global__s4_45))
(assert (= tmp54__func_bio_opt__t4 tmp54__global__13__instrumented__)) ; (tmp54__func_bio_opt__t4 = tmp54__global__13__instrumented__)
(assert (= tmp54__global__14__instrumented__ (+ tmp53__func_bio_opt__t5 tmp2__global__s5_45))) ; (tmp54__global__14__instrumented__ = (tmp53__func_bio_opt__t5 + tmp2__global__s5_45))
(assert (= tmp54__func_bio_opt__t5 tmp54__global__14__instrumented__)) ; (tmp54__func_bio_opt__t5 = tmp54__global__14__instrumented__)
(assert (= tmp55__global__10__instrumented__ (+ tmp54__func_bio_opt__t1 tmp2__global__s1_46))) ; (tmp55__global__10__instrumented__ = (tmp54__func_bio_opt__t1 + tmp2__global__s1_46))
(assert (= tmp55__func_bio_opt__t1 tmp55__global__10__instrumented__)) ; (tmp55__func_bio_opt__t1 = tmp55__global__10__instrumented__)
(assert (= tmp55__global__11__instrumented__ (+ tmp54__func_bio_opt__t2 tmp2__global__s2_46))) ; (tmp55__global__11__instrumented__ = (tmp54__func_bio_opt__t2 + tmp2__global__s2_46))
(assert (= tmp55__func_bio_opt__t2 tmp55__global__11__instrumented__)) ; (tmp55__func_bio_opt__t2 = tmp55__global__11__instrumented__)
(assert (= tmp55__global__12__instrumented__ (+ tmp54__func_bio_opt__t3 tmp2__global__s3_46))) ; (tmp55__global__12__instrumented__ = (tmp54__func_bio_opt__t3 + tmp2__global__s3_46))
(assert (= tmp55__func_bio_opt__t3 tmp55__global__12__instrumented__)) ; (tmp55__func_bio_opt__t3 = tmp55__global__12__instrumented__)
(assert (= tmp55__global__13__instrumented__ (+ tmp54__func_bio_opt__t4 tmp2__global__s4_46))) ; (tmp55__global__13__instrumented__ = (tmp54__func_bio_opt__t4 + tmp2__global__s4_46))
(assert (= tmp55__func_bio_opt__t4 tmp55__global__13__instrumented__)) ; (tmp55__func_bio_opt__t4 = tmp55__global__13__instrumented__)
(assert (= tmp55__global__14__instrumented__ (+ tmp54__func_bio_opt__t5 tmp2__global__s5_46))) ; (tmp55__global__14__instrumented__ = (tmp54__func_bio_opt__t5 + tmp2__global__s5_46))
(assert (= tmp55__func_bio_opt__t5 tmp55__global__14__instrumented__)) ; (tmp55__func_bio_opt__t5 = tmp55__global__14__instrumented__)
(assert (= tmp56__global__10__instrumented__ (+ tmp55__func_bio_opt__t1 tmp2__global__s1_47))) ; (tmp56__global__10__instrumented__ = (tmp55__func_bio_opt__t1 + tmp2__global__s1_47))
(assert (= tmp56__func_bio_opt__t1 tmp56__global__10__instrumented__)) ; (tmp56__func_bio_opt__t1 = tmp56__global__10__instrumented__)
(assert (= tmp56__global__11__instrumented__ (+ tmp55__func_bio_opt__t2 tmp2__global__s2_47))) ; (tmp56__global__11__instrumented__ = (tmp55__func_bio_opt__t2 + tmp2__global__s2_47))
(assert (= tmp56__func_bio_opt__t2 tmp56__global__11__instrumented__)) ; (tmp56__func_bio_opt__t2 = tmp56__global__11__instrumented__)
(assert (= tmp56__global__12__instrumented__ (+ tmp55__func_bio_opt__t3 tmp2__global__s3_47))) ; (tmp56__global__12__instrumented__ = (tmp55__func_bio_opt__t3 + tmp2__global__s3_47))
(assert (= tmp56__func_bio_opt__t3 tmp56__global__12__instrumented__)) ; (tmp56__func_bio_opt__t3 = tmp56__global__12__instrumented__)
(assert (= tmp56__global__13__instrumented__ (+ tmp55__func_bio_opt__t4 tmp2__global__s4_47))) ; (tmp56__global__13__instrumented__ = (tmp55__func_bio_opt__t4 + tmp2__global__s4_47))
(assert (= tmp56__func_bio_opt__t4 tmp56__global__13__instrumented__)) ; (tmp56__func_bio_opt__t4 = tmp56__global__13__instrumented__)
(assert (= tmp56__global__14__instrumented__ (+ tmp55__func_bio_opt__t5 tmp2__global__s5_47))) ; (tmp56__global__14__instrumented__ = (tmp55__func_bio_opt__t5 + tmp2__global__s5_47))
(assert (= tmp56__func_bio_opt__t5 tmp56__global__14__instrumented__)) ; (tmp56__func_bio_opt__t5 = tmp56__global__14__instrumented__)
(assert (= tmp57__global__10__instrumented__ (+ tmp56__func_bio_opt__t1 tmp2__global__s1_52))) ; (tmp57__global__10__instrumented__ = (tmp56__func_bio_opt__t1 + tmp2__global__s1_52))
(assert (= tmp57__func_bio_opt__t1 tmp57__global__10__instrumented__)) ; (tmp57__func_bio_opt__t1 = tmp57__global__10__instrumented__)
(assert (= tmp57__global__11__instrumented__ (+ tmp56__func_bio_opt__t2 tmp2__global__s2_52))) ; (tmp57__global__11__instrumented__ = (tmp56__func_bio_opt__t2 + tmp2__global__s2_52))
(assert (= tmp57__func_bio_opt__t2 tmp57__global__11__instrumented__)) ; (tmp57__func_bio_opt__t2 = tmp57__global__11__instrumented__)
(assert (= tmp57__global__12__instrumented__ (+ tmp56__func_bio_opt__t3 tmp2__global__s3_52))) ; (tmp57__global__12__instrumented__ = (tmp56__func_bio_opt__t3 + tmp2__global__s3_52))
(assert (= tmp57__func_bio_opt__t3 tmp57__global__12__instrumented__)) ; (tmp57__func_bio_opt__t3 = tmp57__global__12__instrumented__)
(assert (= tmp57__global__13__instrumented__ (+ tmp56__func_bio_opt__t4 tmp2__global__s4_52))) ; (tmp57__global__13__instrumented__ = (tmp56__func_bio_opt__t4 + tmp2__global__s4_52))
(assert (= tmp57__func_bio_opt__t4 tmp57__global__13__instrumented__)) ; (tmp57__func_bio_opt__t4 = tmp57__global__13__instrumented__)
(assert (= tmp57__global__14__instrumented__ (+ tmp56__func_bio_opt__t5 tmp2__global__s5_52))) ; (tmp57__global__14__instrumented__ = (tmp56__func_bio_opt__t5 + tmp2__global__s5_52))
(assert (= tmp57__func_bio_opt__t5 tmp57__global__14__instrumented__)) ; (tmp57__func_bio_opt__t5 = tmp57__global__14__instrumented__)
(assert (= tmp58__global__10__instrumented__ (+ tmp57__func_bio_opt__t1 tmp2__global__s1_53))) ; (tmp58__global__10__instrumented__ = (tmp57__func_bio_opt__t1 + tmp2__global__s1_53))
(assert (= tmp58__func_bio_opt__t1 tmp58__global__10__instrumented__)) ; (tmp58__func_bio_opt__t1 = tmp58__global__10__instrumented__)
(assert (= tmp58__global__11__instrumented__ (+ tmp57__func_bio_opt__t2 tmp2__global__s2_53))) ; (tmp58__global__11__instrumented__ = (tmp57__func_bio_opt__t2 + tmp2__global__s2_53))
(assert (= tmp58__func_bio_opt__t2 tmp58__global__11__instrumented__)) ; (tmp58__func_bio_opt__t2 = tmp58__global__11__instrumented__)
(assert (= tmp58__global__12__instrumented__ (+ tmp57__func_bio_opt__t3 tmp2__global__s3_53))) ; (tmp58__global__12__instrumented__ = (tmp57__func_bio_opt__t3 + tmp2__global__s3_53))
(assert (= tmp58__func_bio_opt__t3 tmp58__global__12__instrumented__)) ; (tmp58__func_bio_opt__t3 = tmp58__global__12__instrumented__)
(assert (= tmp58__global__13__instrumented__ (+ tmp57__func_bio_opt__t4 tmp2__global__s4_53))) ; (tmp58__global__13__instrumented__ = (tmp57__func_bio_opt__t4 + tmp2__global__s4_53))
(assert (= tmp58__func_bio_opt__t4 tmp58__global__13__instrumented__)) ; (tmp58__func_bio_opt__t4 = tmp58__global__13__instrumented__)
(assert (= tmp58__global__14__instrumented__ (+ tmp57__func_bio_opt__t5 tmp2__global__s5_53))) ; (tmp58__global__14__instrumented__ = (tmp57__func_bio_opt__t5 + tmp2__global__s5_53))
(assert (= tmp58__func_bio_opt__t5 tmp58__global__14__instrumented__)) ; (tmp58__func_bio_opt__t5 = tmp58__global__14__instrumented__)
(assert (= tmp59__global__10__instrumented__ (+ tmp58__func_bio_opt__t1 tmp2__global__s1_54))) ; (tmp59__global__10__instrumented__ = (tmp58__func_bio_opt__t1 + tmp2__global__s1_54))
(assert (= tmp59__func_bio_opt__t1 tmp59__global__10__instrumented__)) ; (tmp59__func_bio_opt__t1 = tmp59__global__10__instrumented__)
(assert (= tmp59__global__11__instrumented__ (+ tmp58__func_bio_opt__t2 tmp2__global__s2_54))) ; (tmp59__global__11__instrumented__ = (tmp58__func_bio_opt__t2 + tmp2__global__s2_54))
(assert (= tmp59__func_bio_opt__t2 tmp59__global__11__instrumented__)) ; (tmp59__func_bio_opt__t2 = tmp59__global__11__instrumented__)
(assert (= tmp59__global__12__instrumented__ (+ tmp58__func_bio_opt__t3 tmp2__global__s3_54))) ; (tmp59__global__12__instrumented__ = (tmp58__func_bio_opt__t3 + tmp2__global__s3_54))
(assert (= tmp59__func_bio_opt__t3 tmp59__global__12__instrumented__)) ; (tmp59__func_bio_opt__t3 = tmp59__global__12__instrumented__)
(assert (= tmp59__global__13__instrumented__ (+ tmp58__func_bio_opt__t4 tmp2__global__s4_54))) ; (tmp59__global__13__instrumented__ = (tmp58__func_bio_opt__t4 + tmp2__global__s4_54))
(assert (= tmp59__func_bio_opt__t4 tmp59__global__13__instrumented__)) ; (tmp59__func_bio_opt__t4 = tmp59__global__13__instrumented__)
(assert (= tmp59__global__14__instrumented__ (+ tmp58__func_bio_opt__t5 tmp2__global__s5_54))) ; (tmp59__global__14__instrumented__ = (tmp58__func_bio_opt__t5 + tmp2__global__s5_54))
(assert (= tmp59__func_bio_opt__t5 tmp59__global__14__instrumented__)) ; (tmp59__func_bio_opt__t5 = tmp59__global__14__instrumented__)
(assert (= tmp60__global__10__instrumented__ (+ tmp59__func_bio_opt__t1 tmp2__global__s1_55))) ; (tmp60__global__10__instrumented__ = (tmp59__func_bio_opt__t1 + tmp2__global__s1_55))
(assert (= tmp60__func_bio_opt__t1 tmp60__global__10__instrumented__)) ; (tmp60__func_bio_opt__t1 = tmp60__global__10__instrumented__)
(assert (= tmp60__global__11__instrumented__ (+ tmp59__func_bio_opt__t2 tmp2__global__s2_55))) ; (tmp60__global__11__instrumented__ = (tmp59__func_bio_opt__t2 + tmp2__global__s2_55))
(assert (= tmp60__func_bio_opt__t2 tmp60__global__11__instrumented__)) ; (tmp60__func_bio_opt__t2 = tmp60__global__11__instrumented__)
(assert (= tmp60__global__12__instrumented__ (+ tmp59__func_bio_opt__t3 tmp2__global__s3_55))) ; (tmp60__global__12__instrumented__ = (tmp59__func_bio_opt__t3 + tmp2__global__s3_55))
(assert (= tmp60__func_bio_opt__t3 tmp60__global__12__instrumented__)) ; (tmp60__func_bio_opt__t3 = tmp60__global__12__instrumented__)
(assert (= tmp60__global__13__instrumented__ (+ tmp59__func_bio_opt__t4 tmp2__global__s4_55))) ; (tmp60__global__13__instrumented__ = (tmp59__func_bio_opt__t4 + tmp2__global__s4_55))
(assert (= tmp60__func_bio_opt__t4 tmp60__global__13__instrumented__)) ; (tmp60__func_bio_opt__t4 = tmp60__global__13__instrumented__)
(assert (= tmp60__global__14__instrumented__ (+ tmp59__func_bio_opt__t5 tmp2__global__s5_55))) ; (tmp60__global__14__instrumented__ = (tmp59__func_bio_opt__t5 + tmp2__global__s5_55))
(assert (= tmp60__func_bio_opt__t5 tmp60__global__14__instrumented__)) ; (tmp60__func_bio_opt__t5 = tmp60__global__14__instrumented__)
(assert (= tmp61__global__10__instrumented__ (+ tmp60__func_bio_opt__t1 tmp2__global__s1_60))) ; (tmp61__global__10__instrumented__ = (tmp60__func_bio_opt__t1 + tmp2__global__s1_60))
(assert (= tmp61__func_bio_opt__t1 tmp61__global__10__instrumented__)) ; (tmp61__func_bio_opt__t1 = tmp61__global__10__instrumented__)
(assert (= tmp61__global__11__instrumented__ (+ tmp60__func_bio_opt__t2 tmp2__global__s2_60))) ; (tmp61__global__11__instrumented__ = (tmp60__func_bio_opt__t2 + tmp2__global__s2_60))
(assert (= tmp61__func_bio_opt__t2 tmp61__global__11__instrumented__)) ; (tmp61__func_bio_opt__t2 = tmp61__global__11__instrumented__)
(assert (= tmp61__global__12__instrumented__ (+ tmp60__func_bio_opt__t3 tmp2__global__s3_60))) ; (tmp61__global__12__instrumented__ = (tmp60__func_bio_opt__t3 + tmp2__global__s3_60))
(assert (= tmp61__func_bio_opt__t3 tmp61__global__12__instrumented__)) ; (tmp61__func_bio_opt__t3 = tmp61__global__12__instrumented__)
(assert (= tmp61__global__13__instrumented__ (+ tmp60__func_bio_opt__t4 tmp2__global__s4_60))) ; (tmp61__global__13__instrumented__ = (tmp60__func_bio_opt__t4 + tmp2__global__s4_60))
(assert (= tmp61__func_bio_opt__t4 tmp61__global__13__instrumented__)) ; (tmp61__func_bio_opt__t4 = tmp61__global__13__instrumented__)
(assert (= tmp61__global__14__instrumented__ (+ tmp60__func_bio_opt__t5 tmp2__global__s5_60))) ; (tmp61__global__14__instrumented__ = (tmp60__func_bio_opt__t5 + tmp2__global__s5_60))
(assert (= tmp61__func_bio_opt__t5 tmp61__global__14__instrumented__)) ; (tmp61__func_bio_opt__t5 = tmp61__global__14__instrumented__)
(assert (= tmp62__global__10__instrumented__ (+ tmp61__func_bio_opt__t1 tmp2__global__s1_61))) ; (tmp62__global__10__instrumented__ = (tmp61__func_bio_opt__t1 + tmp2__global__s1_61))
(assert (= tmp62__func_bio_opt__t1 tmp62__global__10__instrumented__)) ; (tmp62__func_bio_opt__t1 = tmp62__global__10__instrumented__)
(assert (= tmp62__global__11__instrumented__ (+ tmp61__func_bio_opt__t2 tmp2__global__s2_61))) ; (tmp62__global__11__instrumented__ = (tmp61__func_bio_opt__t2 + tmp2__global__s2_61))
(assert (= tmp62__func_bio_opt__t2 tmp62__global__11__instrumented__)) ; (tmp62__func_bio_opt__t2 = tmp62__global__11__instrumented__)
(assert (= tmp62__global__12__instrumented__ (+ tmp61__func_bio_opt__t3 tmp2__global__s3_61))) ; (tmp62__global__12__instrumented__ = (tmp61__func_bio_opt__t3 + tmp2__global__s3_61))
(assert (= tmp62__func_bio_opt__t3 tmp62__global__12__instrumented__)) ; (tmp62__func_bio_opt__t3 = tmp62__global__12__instrumented__)
(assert (= tmp62__global__13__instrumented__ (+ tmp61__func_bio_opt__t4 tmp2__global__s4_61))) ; (tmp62__global__13__instrumented__ = (tmp61__func_bio_opt__t4 + tmp2__global__s4_61))
(assert (= tmp62__func_bio_opt__t4 tmp62__global__13__instrumented__)) ; (tmp62__func_bio_opt__t4 = tmp62__global__13__instrumented__)
(assert (= tmp62__global__14__instrumented__ (+ tmp61__func_bio_opt__t5 tmp2__global__s5_61))) ; (tmp62__global__14__instrumented__ = (tmp61__func_bio_opt__t5 + tmp2__global__s5_61))
(assert (= tmp62__func_bio_opt__t5 tmp62__global__14__instrumented__)) ; (tmp62__func_bio_opt__t5 = tmp62__global__14__instrumented__)
(assert (= tmp63__global__10__instrumented__ (+ tmp62__func_bio_opt__t1 tmp2__global__s1_62))) ; (tmp63__global__10__instrumented__ = (tmp62__func_bio_opt__t1 + tmp2__global__s1_62))
(assert (= tmp63__func_bio_opt__t1 tmp63__global__10__instrumented__)) ; (tmp63__func_bio_opt__t1 = tmp63__global__10__instrumented__)
(assert (= tmp63__global__11__instrumented__ (+ tmp62__func_bio_opt__t2 tmp2__global__s2_62))) ; (tmp63__global__11__instrumented__ = (tmp62__func_bio_opt__t2 + tmp2__global__s2_62))
(assert (= tmp63__func_bio_opt__t2 tmp63__global__11__instrumented__)) ; (tmp63__func_bio_opt__t2 = tmp63__global__11__instrumented__)
(assert (= tmp63__global__12__instrumented__ (+ tmp62__func_bio_opt__t3 tmp2__global__s3_62))) ; (tmp63__global__12__instrumented__ = (tmp62__func_bio_opt__t3 + tmp2__global__s3_62))
(assert (= tmp63__func_bio_opt__t3 tmp63__global__12__instrumented__)) ; (tmp63__func_bio_opt__t3 = tmp63__global__12__instrumented__)
(assert (= tmp63__global__13__instrumented__ (+ tmp62__func_bio_opt__t4 tmp2__global__s4_62))) ; (tmp63__global__13__instrumented__ = (tmp62__func_bio_opt__t4 + tmp2__global__s4_62))
(assert (= tmp63__func_bio_opt__t4 tmp63__global__13__instrumented__)) ; (tmp63__func_bio_opt__t4 = tmp63__global__13__instrumented__)
(assert (= tmp63__global__14__instrumented__ (+ tmp62__func_bio_opt__t5 tmp2__global__s5_62))) ; (tmp63__global__14__instrumented__ = (tmp62__func_bio_opt__t5 + tmp2__global__s5_62))
(assert (= tmp63__func_bio_opt__t5 tmp63__global__14__instrumented__)) ; (tmp63__func_bio_opt__t5 = tmp63__global__14__instrumented__)
(assert (= tmp64__global__10__instrumented__ (+ tmp63__func_bio_opt__t1 tmp2__global__s1_63))) ; (tmp64__global__10__instrumented__ = (tmp63__func_bio_opt__t1 + tmp2__global__s1_63))
(assert (= tmp64__func_bio_opt__t1 tmp64__global__10__instrumented__)) ; (tmp64__func_bio_opt__t1 = tmp64__global__10__instrumented__)
(assert (= tmp64__global__11__instrumented__ (+ tmp63__func_bio_opt__t2 tmp2__global__s2_63))) ; (tmp64__global__11__instrumented__ = (tmp63__func_bio_opt__t2 + tmp2__global__s2_63))
(assert (= tmp64__func_bio_opt__t2 tmp64__global__11__instrumented__)) ; (tmp64__func_bio_opt__t2 = tmp64__global__11__instrumented__)
(assert (= tmp64__global__12__instrumented__ (+ tmp63__func_bio_opt__t3 tmp2__global__s3_63))) ; (tmp64__global__12__instrumented__ = (tmp63__func_bio_opt__t3 + tmp2__global__s3_63))
(assert (= tmp64__func_bio_opt__t3 tmp64__global__12__instrumented__)) ; (tmp64__func_bio_opt__t3 = tmp64__global__12__instrumented__)
(assert (= tmp64__global__13__instrumented__ (+ tmp63__func_bio_opt__t4 tmp2__global__s4_63))) ; (tmp64__global__13__instrumented__ = (tmp63__func_bio_opt__t4 + tmp2__global__s4_63))
(assert (= tmp64__func_bio_opt__t4 tmp64__global__13__instrumented__)) ; (tmp64__func_bio_opt__t4 = tmp64__global__13__instrumented__)
(assert (= tmp64__global__14__instrumented__ (+ tmp63__func_bio_opt__t5 tmp2__global__s5_63))) ; (tmp64__global__14__instrumented__ = (tmp63__func_bio_opt__t5 + tmp2__global__s5_63))
(assert (= tmp64__func_bio_opt__t5 tmp64__global__14__instrumented__)) ; (tmp64__func_bio_opt__t5 = tmp64__global__14__instrumented__)
(assert (= tmp16__func_bio_opt__vx 0)) ; (tmp16__func_bio_opt__vx = 0)
(assert (= tmp4__global__15__instrumented__ (ite (> tmp64__func_bio_opt__t1 2) 1 0))) ; (tmp4__global__15__instrumented__ = (ite (> tmp64__func_bio_opt__t1 2) 1 0))
(assert (= tmp1__func_Clip3_variant_182__value (div tmp6__global__16__instrumented__ 2))) ; (tmp1__func_Clip3_variant_182__value = (tmp6__global__16__instrumented__ div 2))
(assert (= tmp1__func__return__Clip3_variant_182 (ite (< tmp1__func_Clip3_variant_182__value (- 768)) (- 768) (ite (> tmp1__func_Clip3_variant_182__value 768) 768 tmp1__func_Clip3_variant_182__value)))) ; (tmp1__func__return__Clip3_variant_182 = (ite (< tmp1__func_Clip3_variant_182__value (- 768)) (- 768) (ite (> tmp1__func_Clip3_variant_182__value 768) 768 tmp1__func_Clip3_variant_182__value)))
(assert (=> (> tmp64__func_bio_opt__t1 2) (and (= tmp6__global__16__instrumented__ (* tmp64__func_bio_opt__t3 32)) (= tmp17__func_bio_opt__vx tmp1__func__return__Clip3_variant_182))))
(assert (= tmp18__func_bio_opt__vx (ite (> tmp64__func_bio_opt__t1 2) tmp17__func_bio_opt__vx tmp16__func_bio_opt__vx)))
(assert (= tmp7__global__16__instrumented__ (ite (> tmp64__func_bio_opt__t1 2) tmp6__global__16__instrumented__ tmp5__global__16__instrumented__)))
(assert (=> (not (> tmp64__func_bio_opt__t1 2)) (= tmp19__func_bio_opt__vx 0)))
(assert (= tmp20__func_bio_opt__vx (ite (not (> tmp64__func_bio_opt__t1 2)) tmp19__func_bio_opt__vx tmp18__func_bio_opt__vx)))
(assert (= tmp16__func_bio_opt__vy 0)) ; (tmp16__func_bio_opt__vy = 0)
(assert (= tmp4__global__17__instrumented__ (ite (> tmp64__func_bio_opt__t4 2) 1 0))) ; (tmp4__global__17__instrumented__ = (ite (> tmp64__func_bio_opt__t4 2) 1 0))
(assert (= tmp1__func_Clip3_variant_183__value (div tmp6__global__20__instrumented__ 4))) ; (tmp1__func_Clip3_variant_183__value = (tmp6__global__20__instrumented__ div 4))
(assert (= tmp1__func__return__Clip3_variant_183 (ite (< tmp1__func_Clip3_variant_183__value (- 768)) (- 768) (ite (> tmp1__func_Clip3_variant_183__value 768) 768 tmp1__func_Clip3_variant_183__value)))) ; (tmp1__func__return__Clip3_variant_183 = (ite (< tmp1__func_Clip3_variant_183__value (- 768)) (- 768) (ite (> tmp1__func_Clip3_variant_183__value 768) 768 tmp1__func_Clip3_variant_183__value)))
(assert (=> (> tmp64__func_bio_opt__t4 2) (and (= tmp6__global__18__instrumented__ (* tmp64__func_bio_opt__t5 64)) (= tmp6__global__19__instrumented__ (* tmp20__func_bio_opt__vx tmp64__func_bio_opt__t2)) (= tmp6__global__20__instrumented__ (- (* tmp64__func_bio_opt__t5 64) (* tmp20__func_bio_opt__vx tmp64__func_bio_opt__t2))) (= tmp17__func_bio_opt__vy tmp1__func__return__Clip3_variant_183))))
(assert (= tmp18__func_bio_opt__vy (ite (> tmp64__func_bio_opt__t4 2) tmp17__func_bio_opt__vy tmp16__func_bio_opt__vy)))
(assert (= tmp7__global__18__instrumented__ (ite (> tmp64__func_bio_opt__t4 2) tmp6__global__18__instrumented__ tmp5__global__18__instrumented__)))
(assert (= tmp7__global__19__instrumented__ (ite (> tmp64__func_bio_opt__t4 2) tmp6__global__19__instrumented__ tmp5__global__19__instrumented__)))
(assert (= tmp7__global__20__instrumented__ (ite (> tmp64__func_bio_opt__t4 2) tmp6__global__20__instrumented__ tmp5__global__20__instrumented__)))
(assert (=> (not (> tmp64__func_bio_opt__t4 2)) (= tmp19__func_bio_opt__vy 0)))
(assert (= tmp20__func_bio_opt__vy (ite (not (> tmp64__func_bio_opt__t4 2)) tmp19__func_bio_opt__vy tmp18__func_bio_opt__vy)))
(assert (= tmp49__global__21__instrumented__ (- tmp1__global__gradXL0_36 tmp1__global__gradXL1_36))) ; (tmp49__global__21__instrumented__ = (tmp1__global__gradXL0_36 - tmp1__global__gradXL1_36))
(assert (= tmp49__global__22__instrumented__ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_36 tmp1__global__gradXL1_36)))) ; (tmp49__global__22__instrumented__ = (tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_36 - tmp1__global__gradXL1_36)))
(assert (= tmp49__global__23__instrumented__ (- tmp1__global__gradYL0_36 tmp1__global__gradYL1_36))) ; (tmp49__global__23__instrumented__ = (tmp1__global__gradYL0_36 - tmp1__global__gradYL1_36))
(assert (= tmp49__global__24__instrumented__ (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_36 tmp1__global__gradYL1_36)))) ; (tmp49__global__24__instrumented__ = (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_36 - tmp1__global__gradYL1_36)))
(assert (= tmp49__global__25__instrumented__ (+ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_36 tmp1__global__gradXL1_36)) (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_36 tmp1__global__gradYL1_36))))) ; (tmp49__global__25__instrumented__ = ((tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_36 - tmp1__global__gradXL1_36)) + (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_36 - tmp1__global__gradYL1_36))))
(assert (= tmp97__func_bio_opt__b tmp49__global__25__instrumented__)) ; (tmp97__func_bio_opt__b = tmp49__global__25__instrumented__)
(assert (= tmp49__global__26__instrumented__ (ite (> tmp97__func_bio_opt__b 0) 1 0))) ; (tmp49__global__26__instrumented__ = (ite (> tmp97__func_bio_opt__b 0) 1 0))
(assert (= tmp49__global__27__instrumented__ (+ tmp97__func_bio_opt__b 32))) ; (tmp49__global__27__instrumented__ = (tmp97__func_bio_opt__b + 32))
(assert (= tmp49__global__28__instrumented__ (- tmp97__func_bio_opt__b))) ; (tmp49__global__28__instrumented__ = -(tmp97__func_bio_opt__b))
(assert (= tmp49__global__29__instrumented__ (- (div (+ (- tmp97__func_bio_opt__b) 32) 64)))) ; (tmp49__global__29__instrumented__ = -(((-(tmp97__func_bio_opt__b) + 32) div 64)))
(assert (= tmp98__func_bio_opt__b (ite (> tmp97__func_bio_opt__b 0) (div tmp49__global__27__instrumented__ 64) tmp49__global__29__instrumented__))) ; (tmp98__func_bio_opt__b = (ite (> tmp97__func_bio_opt__b 0) (div tmp49__global__27__instrumented__ 64) tmp49__global__29__instrumented__))
(assert (= tmp49__global__30__instrumented__ (+ tmp1__global__predL0_36 tmp1__global__predL1_36))) ; (tmp49__global__30__instrumented__ = (tmp1__global__predL0_36 + tmp1__global__predL1_36))
(assert (= tmp49__global__31__instrumented__ (+ (+ tmp1__global__predL0_36 tmp1__global__predL1_36) tmp98__func_bio_opt__b))) ; (tmp49__global__31__instrumented__ = ((tmp1__global__predL0_36 + tmp1__global__predL1_36) + tmp98__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_184__value (div (+ tmp49__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_184__value = ((tmp49__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_184 (ite (< tmp1__func_Clip3_variant_184__value 0) 0 (ite (> tmp1__func_Clip3_variant_184__value 255) 255 tmp1__func_Clip3_variant_184__value)))) ; (tmp1__func__return__Clip3_variant_184 = (ite (< tmp1__func_Clip3_variant_184__value 0) 0 (ite (> tmp1__func_Clip3_variant_184__value 255) 255 tmp1__func_Clip3_variant_184__value)))
(assert (= tmp1__global__outputVector_36 tmp1__func__return__Clip3_variant_184)) ; (tmp1__global__outputVector_36 = tmp1__func__return__Clip3_variant_184)
(assert (= tmp50__global__21__instrumented__ (- tmp1__global__gradXL0_37 tmp1__global__gradXL1_37))) ; (tmp50__global__21__instrumented__ = (tmp1__global__gradXL0_37 - tmp1__global__gradXL1_37))
(assert (= tmp50__global__22__instrumented__ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_37 tmp1__global__gradXL1_37)))) ; (tmp50__global__22__instrumented__ = (tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_37 - tmp1__global__gradXL1_37)))
(assert (= tmp50__global__23__instrumented__ (- tmp1__global__gradYL0_37 tmp1__global__gradYL1_37))) ; (tmp50__global__23__instrumented__ = (tmp1__global__gradYL0_37 - tmp1__global__gradYL1_37))
(assert (= tmp50__global__24__instrumented__ (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_37 tmp1__global__gradYL1_37)))) ; (tmp50__global__24__instrumented__ = (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_37 - tmp1__global__gradYL1_37)))
(assert (= tmp50__global__25__instrumented__ (+ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_37 tmp1__global__gradXL1_37)) (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_37 tmp1__global__gradYL1_37))))) ; (tmp50__global__25__instrumented__ = ((tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_37 - tmp1__global__gradXL1_37)) + (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_37 - tmp1__global__gradYL1_37))))
(assert (= tmp99__func_bio_opt__b tmp50__global__25__instrumented__)) ; (tmp99__func_bio_opt__b = tmp50__global__25__instrumented__)
(assert (= tmp50__global__26__instrumented__ (ite (> tmp99__func_bio_opt__b 0) 1 0))) ; (tmp50__global__26__instrumented__ = (ite (> tmp99__func_bio_opt__b 0) 1 0))
(assert (= tmp50__global__27__instrumented__ (+ tmp99__func_bio_opt__b 32))) ; (tmp50__global__27__instrumented__ = (tmp99__func_bio_opt__b + 32))
(assert (= tmp50__global__28__instrumented__ (- tmp99__func_bio_opt__b))) ; (tmp50__global__28__instrumented__ = -(tmp99__func_bio_opt__b))
(assert (= tmp50__global__29__instrumented__ (- (div (+ (- tmp99__func_bio_opt__b) 32) 64)))) ; (tmp50__global__29__instrumented__ = -(((-(tmp99__func_bio_opt__b) + 32) div 64)))
(assert (= tmp100__func_bio_opt__b (ite (> tmp99__func_bio_opt__b 0) (div tmp50__global__27__instrumented__ 64) tmp50__global__29__instrumented__))) ; (tmp100__func_bio_opt__b = (ite (> tmp99__func_bio_opt__b 0) (div tmp50__global__27__instrumented__ 64) tmp50__global__29__instrumented__))
(assert (= tmp50__global__30__instrumented__ (+ tmp1__global__predL0_37 tmp1__global__predL1_37))) ; (tmp50__global__30__instrumented__ = (tmp1__global__predL0_37 + tmp1__global__predL1_37))
(assert (= tmp50__global__31__instrumented__ (+ (+ tmp1__global__predL0_37 tmp1__global__predL1_37) tmp100__func_bio_opt__b))) ; (tmp50__global__31__instrumented__ = ((tmp1__global__predL0_37 + tmp1__global__predL1_37) + tmp100__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_185__value (div (+ tmp50__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_185__value = ((tmp50__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_185 (ite (< tmp1__func_Clip3_variant_185__value 0) 0 (ite (> tmp1__func_Clip3_variant_185__value 255) 255 tmp1__func_Clip3_variant_185__value)))) ; (tmp1__func__return__Clip3_variant_185 = (ite (< tmp1__func_Clip3_variant_185__value 0) 0 (ite (> tmp1__func_Clip3_variant_185__value 255) 255 tmp1__func_Clip3_variant_185__value)))
(assert (= tmp1__global__outputVector_37 tmp1__func__return__Clip3_variant_185)) ; (tmp1__global__outputVector_37 = tmp1__func__return__Clip3_variant_185)
(assert (= tmp51__global__21__instrumented__ (- tmp1__global__gradXL0_38 tmp1__global__gradXL1_38))) ; (tmp51__global__21__instrumented__ = (tmp1__global__gradXL0_38 - tmp1__global__gradXL1_38))
(assert (= tmp51__global__22__instrumented__ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_38 tmp1__global__gradXL1_38)))) ; (tmp51__global__22__instrumented__ = (tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_38 - tmp1__global__gradXL1_38)))
(assert (= tmp51__global__23__instrumented__ (- tmp1__global__gradYL0_38 tmp1__global__gradYL1_38))) ; (tmp51__global__23__instrumented__ = (tmp1__global__gradYL0_38 - tmp1__global__gradYL1_38))
(assert (= tmp51__global__24__instrumented__ (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_38 tmp1__global__gradYL1_38)))) ; (tmp51__global__24__instrumented__ = (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_38 - tmp1__global__gradYL1_38)))
(assert (= tmp51__global__25__instrumented__ (+ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_38 tmp1__global__gradXL1_38)) (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_38 tmp1__global__gradYL1_38))))) ; (tmp51__global__25__instrumented__ = ((tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_38 - tmp1__global__gradXL1_38)) + (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_38 - tmp1__global__gradYL1_38))))
(assert (= tmp101__func_bio_opt__b tmp51__global__25__instrumented__)) ; (tmp101__func_bio_opt__b = tmp51__global__25__instrumented__)
(assert (= tmp51__global__26__instrumented__ (ite (> tmp101__func_bio_opt__b 0) 1 0))) ; (tmp51__global__26__instrumented__ = (ite (> tmp101__func_bio_opt__b 0) 1 0))
(assert (= tmp51__global__27__instrumented__ (+ tmp101__func_bio_opt__b 32))) ; (tmp51__global__27__instrumented__ = (tmp101__func_bio_opt__b + 32))
(assert (= tmp51__global__28__instrumented__ (- tmp101__func_bio_opt__b))) ; (tmp51__global__28__instrumented__ = -(tmp101__func_bio_opt__b))
(assert (= tmp51__global__29__instrumented__ (- (div (+ (- tmp101__func_bio_opt__b) 32) 64)))) ; (tmp51__global__29__instrumented__ = -(((-(tmp101__func_bio_opt__b) + 32) div 64)))
(assert (= tmp102__func_bio_opt__b (ite (> tmp101__func_bio_opt__b 0) (div tmp51__global__27__instrumented__ 64) tmp51__global__29__instrumented__))) ; (tmp102__func_bio_opt__b = (ite (> tmp101__func_bio_opt__b 0) (div tmp51__global__27__instrumented__ 64) tmp51__global__29__instrumented__))
(assert (= tmp51__global__30__instrumented__ (+ tmp1__global__predL0_38 tmp1__global__predL1_38))) ; (tmp51__global__30__instrumented__ = (tmp1__global__predL0_38 + tmp1__global__predL1_38))
(assert (= tmp51__global__31__instrumented__ (+ (+ tmp1__global__predL0_38 tmp1__global__predL1_38) tmp102__func_bio_opt__b))) ; (tmp51__global__31__instrumented__ = ((tmp1__global__predL0_38 + tmp1__global__predL1_38) + tmp102__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_186__value (div (+ tmp51__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_186__value = ((tmp51__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_186 (ite (< tmp1__func_Clip3_variant_186__value 0) 0 (ite (> tmp1__func_Clip3_variant_186__value 255) 255 tmp1__func_Clip3_variant_186__value)))) ; (tmp1__func__return__Clip3_variant_186 = (ite (< tmp1__func_Clip3_variant_186__value 0) 0 (ite (> tmp1__func_Clip3_variant_186__value 255) 255 tmp1__func_Clip3_variant_186__value)))
(assert (= tmp1__global__outputVector_38 tmp1__func__return__Clip3_variant_186)) ; (tmp1__global__outputVector_38 = tmp1__func__return__Clip3_variant_186)
(assert (= tmp52__global__21__instrumented__ (- tmp1__global__gradXL0_39 tmp1__global__gradXL1_39))) ; (tmp52__global__21__instrumented__ = (tmp1__global__gradXL0_39 - tmp1__global__gradXL1_39))
(assert (= tmp52__global__22__instrumented__ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_39 tmp1__global__gradXL1_39)))) ; (tmp52__global__22__instrumented__ = (tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_39 - tmp1__global__gradXL1_39)))
(assert (= tmp52__global__23__instrumented__ (- tmp1__global__gradYL0_39 tmp1__global__gradYL1_39))) ; (tmp52__global__23__instrumented__ = (tmp1__global__gradYL0_39 - tmp1__global__gradYL1_39))
(assert (= tmp52__global__24__instrumented__ (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_39 tmp1__global__gradYL1_39)))) ; (tmp52__global__24__instrumented__ = (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_39 - tmp1__global__gradYL1_39)))
(assert (= tmp52__global__25__instrumented__ (+ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_39 tmp1__global__gradXL1_39)) (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_39 tmp1__global__gradYL1_39))))) ; (tmp52__global__25__instrumented__ = ((tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_39 - tmp1__global__gradXL1_39)) + (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_39 - tmp1__global__gradYL1_39))))
(assert (= tmp103__func_bio_opt__b tmp52__global__25__instrumented__)) ; (tmp103__func_bio_opt__b = tmp52__global__25__instrumented__)
(assert (= tmp52__global__26__instrumented__ (ite (> tmp103__func_bio_opt__b 0) 1 0))) ; (tmp52__global__26__instrumented__ = (ite (> tmp103__func_bio_opt__b 0) 1 0))
(assert (= tmp52__global__27__instrumented__ (+ tmp103__func_bio_opt__b 32))) ; (tmp52__global__27__instrumented__ = (tmp103__func_bio_opt__b + 32))
(assert (= tmp52__global__28__instrumented__ (- tmp103__func_bio_opt__b))) ; (tmp52__global__28__instrumented__ = -(tmp103__func_bio_opt__b))
(assert (= tmp52__global__29__instrumented__ (- (div (+ (- tmp103__func_bio_opt__b) 32) 64)))) ; (tmp52__global__29__instrumented__ = -(((-(tmp103__func_bio_opt__b) + 32) div 64)))
(assert (= tmp104__func_bio_opt__b (ite (> tmp103__func_bio_opt__b 0) (div tmp52__global__27__instrumented__ 64) tmp52__global__29__instrumented__))) ; (tmp104__func_bio_opt__b = (ite (> tmp103__func_bio_opt__b 0) (div tmp52__global__27__instrumented__ 64) tmp52__global__29__instrumented__))
(assert (= tmp52__global__30__instrumented__ (+ tmp1__global__predL0_39 tmp1__global__predL1_39))) ; (tmp52__global__30__instrumented__ = (tmp1__global__predL0_39 + tmp1__global__predL1_39))
(assert (= tmp52__global__31__instrumented__ (+ (+ tmp1__global__predL0_39 tmp1__global__predL1_39) tmp104__func_bio_opt__b))) ; (tmp52__global__31__instrumented__ = ((tmp1__global__predL0_39 + tmp1__global__predL1_39) + tmp104__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_187__value (div (+ tmp52__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_187__value = ((tmp52__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_187 (ite (< tmp1__func_Clip3_variant_187__value 0) 0 (ite (> tmp1__func_Clip3_variant_187__value 255) 255 tmp1__func_Clip3_variant_187__value)))) ; (tmp1__func__return__Clip3_variant_187 = (ite (< tmp1__func_Clip3_variant_187__value 0) 0 (ite (> tmp1__func_Clip3_variant_187__value 255) 255 tmp1__func_Clip3_variant_187__value)))
(assert (= tmp1__global__outputVector_39 tmp1__func__return__Clip3_variant_187)) ; (tmp1__global__outputVector_39 = tmp1__func__return__Clip3_variant_187)
(assert (= tmp53__global__21__instrumented__ (- tmp1__global__gradXL0_44 tmp1__global__gradXL1_44))) ; (tmp53__global__21__instrumented__ = (tmp1__global__gradXL0_44 - tmp1__global__gradXL1_44))
(assert (= tmp53__global__22__instrumented__ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_44 tmp1__global__gradXL1_44)))) ; (tmp53__global__22__instrumented__ = (tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_44 - tmp1__global__gradXL1_44)))
(assert (= tmp53__global__23__instrumented__ (- tmp1__global__gradYL0_44 tmp1__global__gradYL1_44))) ; (tmp53__global__23__instrumented__ = (tmp1__global__gradYL0_44 - tmp1__global__gradYL1_44))
(assert (= tmp53__global__24__instrumented__ (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_44 tmp1__global__gradYL1_44)))) ; (tmp53__global__24__instrumented__ = (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_44 - tmp1__global__gradYL1_44)))
(assert (= tmp53__global__25__instrumented__ (+ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_44 tmp1__global__gradXL1_44)) (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_44 tmp1__global__gradYL1_44))))) ; (tmp53__global__25__instrumented__ = ((tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_44 - tmp1__global__gradXL1_44)) + (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_44 - tmp1__global__gradYL1_44))))
(assert (= tmp105__func_bio_opt__b tmp53__global__25__instrumented__)) ; (tmp105__func_bio_opt__b = tmp53__global__25__instrumented__)
(assert (= tmp53__global__26__instrumented__ (ite (> tmp105__func_bio_opt__b 0) 1 0))) ; (tmp53__global__26__instrumented__ = (ite (> tmp105__func_bio_opt__b 0) 1 0))
(assert (= tmp53__global__27__instrumented__ (+ tmp105__func_bio_opt__b 32))) ; (tmp53__global__27__instrumented__ = (tmp105__func_bio_opt__b + 32))
(assert (= tmp53__global__28__instrumented__ (- tmp105__func_bio_opt__b))) ; (tmp53__global__28__instrumented__ = -(tmp105__func_bio_opt__b))
(assert (= tmp53__global__29__instrumented__ (- (div (+ (- tmp105__func_bio_opt__b) 32) 64)))) ; (tmp53__global__29__instrumented__ = -(((-(tmp105__func_bio_opt__b) + 32) div 64)))
(assert (= tmp106__func_bio_opt__b (ite (> tmp105__func_bio_opt__b 0) (div tmp53__global__27__instrumented__ 64) tmp53__global__29__instrumented__))) ; (tmp106__func_bio_opt__b = (ite (> tmp105__func_bio_opt__b 0) (div tmp53__global__27__instrumented__ 64) tmp53__global__29__instrumented__))
(assert (= tmp53__global__30__instrumented__ (+ tmp1__global__predL0_44 tmp1__global__predL1_44))) ; (tmp53__global__30__instrumented__ = (tmp1__global__predL0_44 + tmp1__global__predL1_44))
(assert (= tmp53__global__31__instrumented__ (+ (+ tmp1__global__predL0_44 tmp1__global__predL1_44) tmp106__func_bio_opt__b))) ; (tmp53__global__31__instrumented__ = ((tmp1__global__predL0_44 + tmp1__global__predL1_44) + tmp106__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_188__value (div (+ tmp53__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_188__value = ((tmp53__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_188 (ite (< tmp1__func_Clip3_variant_188__value 0) 0 (ite (> tmp1__func_Clip3_variant_188__value 255) 255 tmp1__func_Clip3_variant_188__value)))) ; (tmp1__func__return__Clip3_variant_188 = (ite (< tmp1__func_Clip3_variant_188__value 0) 0 (ite (> tmp1__func_Clip3_variant_188__value 255) 255 tmp1__func_Clip3_variant_188__value)))
(assert (= tmp1__global__outputVector_44 tmp1__func__return__Clip3_variant_188)) ; (tmp1__global__outputVector_44 = tmp1__func__return__Clip3_variant_188)
(assert (= tmp54__global__21__instrumented__ (- tmp1__global__gradXL0_45 tmp1__global__gradXL1_45))) ; (tmp54__global__21__instrumented__ = (tmp1__global__gradXL0_45 - tmp1__global__gradXL1_45))
(assert (= tmp54__global__22__instrumented__ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_45 tmp1__global__gradXL1_45)))) ; (tmp54__global__22__instrumented__ = (tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_45 - tmp1__global__gradXL1_45)))
(assert (= tmp54__global__23__instrumented__ (- tmp1__global__gradYL0_45 tmp1__global__gradYL1_45))) ; (tmp54__global__23__instrumented__ = (tmp1__global__gradYL0_45 - tmp1__global__gradYL1_45))
(assert (= tmp54__global__24__instrumented__ (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_45 tmp1__global__gradYL1_45)))) ; (tmp54__global__24__instrumented__ = (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_45 - tmp1__global__gradYL1_45)))
(assert (= tmp54__global__25__instrumented__ (+ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_45 tmp1__global__gradXL1_45)) (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_45 tmp1__global__gradYL1_45))))) ; (tmp54__global__25__instrumented__ = ((tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_45 - tmp1__global__gradXL1_45)) + (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_45 - tmp1__global__gradYL1_45))))
(assert (= tmp107__func_bio_opt__b tmp54__global__25__instrumented__)) ; (tmp107__func_bio_opt__b = tmp54__global__25__instrumented__)
(assert (= tmp54__global__26__instrumented__ (ite (> tmp107__func_bio_opt__b 0) 1 0))) ; (tmp54__global__26__instrumented__ = (ite (> tmp107__func_bio_opt__b 0) 1 0))
(assert (= tmp54__global__27__instrumented__ (+ tmp107__func_bio_opt__b 32))) ; (tmp54__global__27__instrumented__ = (tmp107__func_bio_opt__b + 32))
(assert (= tmp54__global__28__instrumented__ (- tmp107__func_bio_opt__b))) ; (tmp54__global__28__instrumented__ = -(tmp107__func_bio_opt__b))
(assert (= tmp54__global__29__instrumented__ (- (div (+ (- tmp107__func_bio_opt__b) 32) 64)))) ; (tmp54__global__29__instrumented__ = -(((-(tmp107__func_bio_opt__b) + 32) div 64)))
(assert (= tmp108__func_bio_opt__b (ite (> tmp107__func_bio_opt__b 0) (div tmp54__global__27__instrumented__ 64) tmp54__global__29__instrumented__))) ; (tmp108__func_bio_opt__b = (ite (> tmp107__func_bio_opt__b 0) (div tmp54__global__27__instrumented__ 64) tmp54__global__29__instrumented__))
(assert (= tmp54__global__30__instrumented__ (+ tmp1__global__predL0_45 tmp1__global__predL1_45))) ; (tmp54__global__30__instrumented__ = (tmp1__global__predL0_45 + tmp1__global__predL1_45))
(assert (= tmp54__global__31__instrumented__ (+ (+ tmp1__global__predL0_45 tmp1__global__predL1_45) tmp108__func_bio_opt__b))) ; (tmp54__global__31__instrumented__ = ((tmp1__global__predL0_45 + tmp1__global__predL1_45) + tmp108__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_189__value (div (+ tmp54__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_189__value = ((tmp54__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_189 (ite (< tmp1__func_Clip3_variant_189__value 0) 0 (ite (> tmp1__func_Clip3_variant_189__value 255) 255 tmp1__func_Clip3_variant_189__value)))) ; (tmp1__func__return__Clip3_variant_189 = (ite (< tmp1__func_Clip3_variant_189__value 0) 0 (ite (> tmp1__func_Clip3_variant_189__value 255) 255 tmp1__func_Clip3_variant_189__value)))
(assert (= tmp1__global__outputVector_45 tmp1__func__return__Clip3_variant_189)) ; (tmp1__global__outputVector_45 = tmp1__func__return__Clip3_variant_189)
(assert (= tmp55__global__21__instrumented__ (- tmp1__global__gradXL0_46 tmp1__global__gradXL1_46))) ; (tmp55__global__21__instrumented__ = (tmp1__global__gradXL0_46 - tmp1__global__gradXL1_46))
(assert (= tmp55__global__22__instrumented__ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_46 tmp1__global__gradXL1_46)))) ; (tmp55__global__22__instrumented__ = (tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_46 - tmp1__global__gradXL1_46)))
(assert (= tmp55__global__23__instrumented__ (- tmp1__global__gradYL0_46 tmp1__global__gradYL1_46))) ; (tmp55__global__23__instrumented__ = (tmp1__global__gradYL0_46 - tmp1__global__gradYL1_46))
(assert (= tmp55__global__24__instrumented__ (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_46 tmp1__global__gradYL1_46)))) ; (tmp55__global__24__instrumented__ = (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_46 - tmp1__global__gradYL1_46)))
(assert (= tmp55__global__25__instrumented__ (+ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_46 tmp1__global__gradXL1_46)) (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_46 tmp1__global__gradYL1_46))))) ; (tmp55__global__25__instrumented__ = ((tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_46 - tmp1__global__gradXL1_46)) + (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_46 - tmp1__global__gradYL1_46))))
(assert (= tmp109__func_bio_opt__b tmp55__global__25__instrumented__)) ; (tmp109__func_bio_opt__b = tmp55__global__25__instrumented__)
(assert (= tmp55__global__26__instrumented__ (ite (> tmp109__func_bio_opt__b 0) 1 0))) ; (tmp55__global__26__instrumented__ = (ite (> tmp109__func_bio_opt__b 0) 1 0))
(assert (= tmp55__global__27__instrumented__ (+ tmp109__func_bio_opt__b 32))) ; (tmp55__global__27__instrumented__ = (tmp109__func_bio_opt__b + 32))
(assert (= tmp55__global__28__instrumented__ (- tmp109__func_bio_opt__b))) ; (tmp55__global__28__instrumented__ = -(tmp109__func_bio_opt__b))
(assert (= tmp55__global__29__instrumented__ (- (div (+ (- tmp109__func_bio_opt__b) 32) 64)))) ; (tmp55__global__29__instrumented__ = -(((-(tmp109__func_bio_opt__b) + 32) div 64)))
(assert (= tmp110__func_bio_opt__b (ite (> tmp109__func_bio_opt__b 0) (div tmp55__global__27__instrumented__ 64) tmp55__global__29__instrumented__))) ; (tmp110__func_bio_opt__b = (ite (> tmp109__func_bio_opt__b 0) (div tmp55__global__27__instrumented__ 64) tmp55__global__29__instrumented__))
(assert (= tmp55__global__30__instrumented__ (+ tmp1__global__predL0_46 tmp1__global__predL1_46))) ; (tmp55__global__30__instrumented__ = (tmp1__global__predL0_46 + tmp1__global__predL1_46))
(assert (= tmp55__global__31__instrumented__ (+ (+ tmp1__global__predL0_46 tmp1__global__predL1_46) tmp110__func_bio_opt__b))) ; (tmp55__global__31__instrumented__ = ((tmp1__global__predL0_46 + tmp1__global__predL1_46) + tmp110__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_190__value (div (+ tmp55__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_190__value = ((tmp55__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_190 (ite (< tmp1__func_Clip3_variant_190__value 0) 0 (ite (> tmp1__func_Clip3_variant_190__value 255) 255 tmp1__func_Clip3_variant_190__value)))) ; (tmp1__func__return__Clip3_variant_190 = (ite (< tmp1__func_Clip3_variant_190__value 0) 0 (ite (> tmp1__func_Clip3_variant_190__value 255) 255 tmp1__func_Clip3_variant_190__value)))
(assert (= tmp1__global__outputVector_46 tmp1__func__return__Clip3_variant_190)) ; (tmp1__global__outputVector_46 = tmp1__func__return__Clip3_variant_190)
(assert (= tmp56__global__21__instrumented__ (- tmp1__global__gradXL0_47 tmp1__global__gradXL1_47))) ; (tmp56__global__21__instrumented__ = (tmp1__global__gradXL0_47 - tmp1__global__gradXL1_47))
(assert (= tmp56__global__22__instrumented__ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_47 tmp1__global__gradXL1_47)))) ; (tmp56__global__22__instrumented__ = (tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_47 - tmp1__global__gradXL1_47)))
(assert (= tmp56__global__23__instrumented__ (- tmp1__global__gradYL0_47 tmp1__global__gradYL1_47))) ; (tmp56__global__23__instrumented__ = (tmp1__global__gradYL0_47 - tmp1__global__gradYL1_47))
(assert (= tmp56__global__24__instrumented__ (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_47 tmp1__global__gradYL1_47)))) ; (tmp56__global__24__instrumented__ = (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_47 - tmp1__global__gradYL1_47)))
(assert (= tmp56__global__25__instrumented__ (+ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_47 tmp1__global__gradXL1_47)) (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_47 tmp1__global__gradYL1_47))))) ; (tmp56__global__25__instrumented__ = ((tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_47 - tmp1__global__gradXL1_47)) + (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_47 - tmp1__global__gradYL1_47))))
(assert (= tmp111__func_bio_opt__b tmp56__global__25__instrumented__)) ; (tmp111__func_bio_opt__b = tmp56__global__25__instrumented__)
(assert (= tmp56__global__26__instrumented__ (ite (> tmp111__func_bio_opt__b 0) 1 0))) ; (tmp56__global__26__instrumented__ = (ite (> tmp111__func_bio_opt__b 0) 1 0))
(assert (= tmp56__global__27__instrumented__ (+ tmp111__func_bio_opt__b 32))) ; (tmp56__global__27__instrumented__ = (tmp111__func_bio_opt__b + 32))
(assert (= tmp56__global__28__instrumented__ (- tmp111__func_bio_opt__b))) ; (tmp56__global__28__instrumented__ = -(tmp111__func_bio_opt__b))
(assert (= tmp56__global__29__instrumented__ (- (div (+ (- tmp111__func_bio_opt__b) 32) 64)))) ; (tmp56__global__29__instrumented__ = -(((-(tmp111__func_bio_opt__b) + 32) div 64)))
(assert (= tmp112__func_bio_opt__b (ite (> tmp111__func_bio_opt__b 0) (div tmp56__global__27__instrumented__ 64) tmp56__global__29__instrumented__))) ; (tmp112__func_bio_opt__b = (ite (> tmp111__func_bio_opt__b 0) (div tmp56__global__27__instrumented__ 64) tmp56__global__29__instrumented__))
(assert (= tmp56__global__30__instrumented__ (+ tmp1__global__predL0_47 tmp1__global__predL1_47))) ; (tmp56__global__30__instrumented__ = (tmp1__global__predL0_47 + tmp1__global__predL1_47))
(assert (= tmp56__global__31__instrumented__ (+ (+ tmp1__global__predL0_47 tmp1__global__predL1_47) tmp112__func_bio_opt__b))) ; (tmp56__global__31__instrumented__ = ((tmp1__global__predL0_47 + tmp1__global__predL1_47) + tmp112__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_191__value (div (+ tmp56__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_191__value = ((tmp56__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_191 (ite (< tmp1__func_Clip3_variant_191__value 0) 0 (ite (> tmp1__func_Clip3_variant_191__value 255) 255 tmp1__func_Clip3_variant_191__value)))) ; (tmp1__func__return__Clip3_variant_191 = (ite (< tmp1__func_Clip3_variant_191__value 0) 0 (ite (> tmp1__func_Clip3_variant_191__value 255) 255 tmp1__func_Clip3_variant_191__value)))
(assert (= tmp1__global__outputVector_47 tmp1__func__return__Clip3_variant_191)) ; (tmp1__global__outputVector_47 = tmp1__func__return__Clip3_variant_191)
(assert (= tmp57__global__21__instrumented__ (- tmp1__global__gradXL0_52 tmp1__global__gradXL1_52))) ; (tmp57__global__21__instrumented__ = (tmp1__global__gradXL0_52 - tmp1__global__gradXL1_52))
(assert (= tmp57__global__22__instrumented__ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_52 tmp1__global__gradXL1_52)))) ; (tmp57__global__22__instrumented__ = (tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_52 - tmp1__global__gradXL1_52)))
(assert (= tmp57__global__23__instrumented__ (- tmp1__global__gradYL0_52 tmp1__global__gradYL1_52))) ; (tmp57__global__23__instrumented__ = (tmp1__global__gradYL0_52 - tmp1__global__gradYL1_52))
(assert (= tmp57__global__24__instrumented__ (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_52 tmp1__global__gradYL1_52)))) ; (tmp57__global__24__instrumented__ = (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_52 - tmp1__global__gradYL1_52)))
(assert (= tmp57__global__25__instrumented__ (+ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_52 tmp1__global__gradXL1_52)) (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_52 tmp1__global__gradYL1_52))))) ; (tmp57__global__25__instrumented__ = ((tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_52 - tmp1__global__gradXL1_52)) + (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_52 - tmp1__global__gradYL1_52))))
(assert (= tmp113__func_bio_opt__b tmp57__global__25__instrumented__)) ; (tmp113__func_bio_opt__b = tmp57__global__25__instrumented__)
(assert (= tmp57__global__26__instrumented__ (ite (> tmp113__func_bio_opt__b 0) 1 0))) ; (tmp57__global__26__instrumented__ = (ite (> tmp113__func_bio_opt__b 0) 1 0))
(assert (= tmp57__global__27__instrumented__ (+ tmp113__func_bio_opt__b 32))) ; (tmp57__global__27__instrumented__ = (tmp113__func_bio_opt__b + 32))
(assert (= tmp57__global__28__instrumented__ (- tmp113__func_bio_opt__b))) ; (tmp57__global__28__instrumented__ = -(tmp113__func_bio_opt__b))
(assert (= tmp57__global__29__instrumented__ (- (div (+ (- tmp113__func_bio_opt__b) 32) 64)))) ; (tmp57__global__29__instrumented__ = -(((-(tmp113__func_bio_opt__b) + 32) div 64)))
(assert (= tmp114__func_bio_opt__b (ite (> tmp113__func_bio_opt__b 0) (div tmp57__global__27__instrumented__ 64) tmp57__global__29__instrumented__))) ; (tmp114__func_bio_opt__b = (ite (> tmp113__func_bio_opt__b 0) (div tmp57__global__27__instrumented__ 64) tmp57__global__29__instrumented__))
(assert (= tmp57__global__30__instrumented__ (+ tmp1__global__predL0_52 tmp1__global__predL1_52))) ; (tmp57__global__30__instrumented__ = (tmp1__global__predL0_52 + tmp1__global__predL1_52))
(assert (= tmp57__global__31__instrumented__ (+ (+ tmp1__global__predL0_52 tmp1__global__predL1_52) tmp114__func_bio_opt__b))) ; (tmp57__global__31__instrumented__ = ((tmp1__global__predL0_52 + tmp1__global__predL1_52) + tmp114__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_192__value (div (+ tmp57__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_192__value = ((tmp57__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_192 (ite (< tmp1__func_Clip3_variant_192__value 0) 0 (ite (> tmp1__func_Clip3_variant_192__value 255) 255 tmp1__func_Clip3_variant_192__value)))) ; (tmp1__func__return__Clip3_variant_192 = (ite (< tmp1__func_Clip3_variant_192__value 0) 0 (ite (> tmp1__func_Clip3_variant_192__value 255) 255 tmp1__func_Clip3_variant_192__value)))
(assert (= tmp1__global__outputVector_52 tmp1__func__return__Clip3_variant_192)) ; (tmp1__global__outputVector_52 = tmp1__func__return__Clip3_variant_192)
(assert (= tmp58__global__21__instrumented__ (- tmp1__global__gradXL0_53 tmp1__global__gradXL1_53))) ; (tmp58__global__21__instrumented__ = (tmp1__global__gradXL0_53 - tmp1__global__gradXL1_53))
(assert (= tmp58__global__22__instrumented__ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_53 tmp1__global__gradXL1_53)))) ; (tmp58__global__22__instrumented__ = (tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_53 - tmp1__global__gradXL1_53)))
(assert (= tmp58__global__23__instrumented__ (- tmp1__global__gradYL0_53 tmp1__global__gradYL1_53))) ; (tmp58__global__23__instrumented__ = (tmp1__global__gradYL0_53 - tmp1__global__gradYL1_53))
(assert (= tmp58__global__24__instrumented__ (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_53 tmp1__global__gradYL1_53)))) ; (tmp58__global__24__instrumented__ = (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_53 - tmp1__global__gradYL1_53)))
(assert (= tmp58__global__25__instrumented__ (+ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_53 tmp1__global__gradXL1_53)) (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_53 tmp1__global__gradYL1_53))))) ; (tmp58__global__25__instrumented__ = ((tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_53 - tmp1__global__gradXL1_53)) + (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_53 - tmp1__global__gradYL1_53))))
(assert (= tmp115__func_bio_opt__b tmp58__global__25__instrumented__)) ; (tmp115__func_bio_opt__b = tmp58__global__25__instrumented__)
(assert (= tmp58__global__26__instrumented__ (ite (> tmp115__func_bio_opt__b 0) 1 0))) ; (tmp58__global__26__instrumented__ = (ite (> tmp115__func_bio_opt__b 0) 1 0))
(assert (= tmp58__global__27__instrumented__ (+ tmp115__func_bio_opt__b 32))) ; (tmp58__global__27__instrumented__ = (tmp115__func_bio_opt__b + 32))
(assert (= tmp58__global__28__instrumented__ (- tmp115__func_bio_opt__b))) ; (tmp58__global__28__instrumented__ = -(tmp115__func_bio_opt__b))
(assert (= tmp58__global__29__instrumented__ (- (div (+ (- tmp115__func_bio_opt__b) 32) 64)))) ; (tmp58__global__29__instrumented__ = -(((-(tmp115__func_bio_opt__b) + 32) div 64)))
(assert (= tmp116__func_bio_opt__b (ite (> tmp115__func_bio_opt__b 0) (div tmp58__global__27__instrumented__ 64) tmp58__global__29__instrumented__))) ; (tmp116__func_bio_opt__b = (ite (> tmp115__func_bio_opt__b 0) (div tmp58__global__27__instrumented__ 64) tmp58__global__29__instrumented__))
(assert (= tmp58__global__30__instrumented__ (+ tmp1__global__predL0_53 tmp1__global__predL1_53))) ; (tmp58__global__30__instrumented__ = (tmp1__global__predL0_53 + tmp1__global__predL1_53))
(assert (= tmp58__global__31__instrumented__ (+ (+ tmp1__global__predL0_53 tmp1__global__predL1_53) tmp116__func_bio_opt__b))) ; (tmp58__global__31__instrumented__ = ((tmp1__global__predL0_53 + tmp1__global__predL1_53) + tmp116__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_193__value (div (+ tmp58__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_193__value = ((tmp58__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_193 (ite (< tmp1__func_Clip3_variant_193__value 0) 0 (ite (> tmp1__func_Clip3_variant_193__value 255) 255 tmp1__func_Clip3_variant_193__value)))) ; (tmp1__func__return__Clip3_variant_193 = (ite (< tmp1__func_Clip3_variant_193__value 0) 0 (ite (> tmp1__func_Clip3_variant_193__value 255) 255 tmp1__func_Clip3_variant_193__value)))
(assert (= tmp1__global__outputVector_53 tmp1__func__return__Clip3_variant_193)) ; (tmp1__global__outputVector_53 = tmp1__func__return__Clip3_variant_193)
(assert (= tmp59__global__21__instrumented__ (- tmp1__global__gradXL0_54 tmp1__global__gradXL1_54))) ; (tmp59__global__21__instrumented__ = (tmp1__global__gradXL0_54 - tmp1__global__gradXL1_54))
(assert (= tmp59__global__22__instrumented__ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_54 tmp1__global__gradXL1_54)))) ; (tmp59__global__22__instrumented__ = (tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_54 - tmp1__global__gradXL1_54)))
(assert (= tmp59__global__23__instrumented__ (- tmp1__global__gradYL0_54 tmp1__global__gradYL1_54))) ; (tmp59__global__23__instrumented__ = (tmp1__global__gradYL0_54 - tmp1__global__gradYL1_54))
(assert (= tmp59__global__24__instrumented__ (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_54 tmp1__global__gradYL1_54)))) ; (tmp59__global__24__instrumented__ = (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_54 - tmp1__global__gradYL1_54)))
(assert (= tmp59__global__25__instrumented__ (+ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_54 tmp1__global__gradXL1_54)) (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_54 tmp1__global__gradYL1_54))))) ; (tmp59__global__25__instrumented__ = ((tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_54 - tmp1__global__gradXL1_54)) + (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_54 - tmp1__global__gradYL1_54))))
(assert (= tmp117__func_bio_opt__b tmp59__global__25__instrumented__)) ; (tmp117__func_bio_opt__b = tmp59__global__25__instrumented__)
(assert (= tmp59__global__26__instrumented__ (ite (> tmp117__func_bio_opt__b 0) 1 0))) ; (tmp59__global__26__instrumented__ = (ite (> tmp117__func_bio_opt__b 0) 1 0))
(assert (= tmp59__global__27__instrumented__ (+ tmp117__func_bio_opt__b 32))) ; (tmp59__global__27__instrumented__ = (tmp117__func_bio_opt__b + 32))
(assert (= tmp59__global__28__instrumented__ (- tmp117__func_bio_opt__b))) ; (tmp59__global__28__instrumented__ = -(tmp117__func_bio_opt__b))
(assert (= tmp59__global__29__instrumented__ (- (div (+ (- tmp117__func_bio_opt__b) 32) 64)))) ; (tmp59__global__29__instrumented__ = -(((-(tmp117__func_bio_opt__b) + 32) div 64)))
(assert (= tmp118__func_bio_opt__b (ite (> tmp117__func_bio_opt__b 0) (div tmp59__global__27__instrumented__ 64) tmp59__global__29__instrumented__))) ; (tmp118__func_bio_opt__b = (ite (> tmp117__func_bio_opt__b 0) (div tmp59__global__27__instrumented__ 64) tmp59__global__29__instrumented__))
(assert (= tmp59__global__30__instrumented__ (+ tmp1__global__predL0_54 tmp1__global__predL1_54))) ; (tmp59__global__30__instrumented__ = (tmp1__global__predL0_54 + tmp1__global__predL1_54))
(assert (= tmp59__global__31__instrumented__ (+ (+ tmp1__global__predL0_54 tmp1__global__predL1_54) tmp118__func_bio_opt__b))) ; (tmp59__global__31__instrumented__ = ((tmp1__global__predL0_54 + tmp1__global__predL1_54) + tmp118__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_194__value (div (+ tmp59__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_194__value = ((tmp59__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_194 (ite (< tmp1__func_Clip3_variant_194__value 0) 0 (ite (> tmp1__func_Clip3_variant_194__value 255) 255 tmp1__func_Clip3_variant_194__value)))) ; (tmp1__func__return__Clip3_variant_194 = (ite (< tmp1__func_Clip3_variant_194__value 0) 0 (ite (> tmp1__func_Clip3_variant_194__value 255) 255 tmp1__func_Clip3_variant_194__value)))
(assert (= tmp1__global__outputVector_54 tmp1__func__return__Clip3_variant_194)) ; (tmp1__global__outputVector_54 = tmp1__func__return__Clip3_variant_194)
(assert (= tmp60__global__21__instrumented__ (- tmp1__global__gradXL0_55 tmp1__global__gradXL1_55))) ; (tmp60__global__21__instrumented__ = (tmp1__global__gradXL0_55 - tmp1__global__gradXL1_55))
(assert (= tmp60__global__22__instrumented__ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_55 tmp1__global__gradXL1_55)))) ; (tmp60__global__22__instrumented__ = (tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_55 - tmp1__global__gradXL1_55)))
(assert (= tmp60__global__23__instrumented__ (- tmp1__global__gradYL0_55 tmp1__global__gradYL1_55))) ; (tmp60__global__23__instrumented__ = (tmp1__global__gradYL0_55 - tmp1__global__gradYL1_55))
(assert (= tmp60__global__24__instrumented__ (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_55 tmp1__global__gradYL1_55)))) ; (tmp60__global__24__instrumented__ = (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_55 - tmp1__global__gradYL1_55)))
(assert (= tmp60__global__25__instrumented__ (+ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_55 tmp1__global__gradXL1_55)) (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_55 tmp1__global__gradYL1_55))))) ; (tmp60__global__25__instrumented__ = ((tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_55 - tmp1__global__gradXL1_55)) + (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_55 - tmp1__global__gradYL1_55))))
(assert (= tmp119__func_bio_opt__b tmp60__global__25__instrumented__)) ; (tmp119__func_bio_opt__b = tmp60__global__25__instrumented__)
(assert (= tmp60__global__26__instrumented__ (ite (> tmp119__func_bio_opt__b 0) 1 0))) ; (tmp60__global__26__instrumented__ = (ite (> tmp119__func_bio_opt__b 0) 1 0))
(assert (= tmp60__global__27__instrumented__ (+ tmp119__func_bio_opt__b 32))) ; (tmp60__global__27__instrumented__ = (tmp119__func_bio_opt__b + 32))
(assert (= tmp60__global__28__instrumented__ (- tmp119__func_bio_opt__b))) ; (tmp60__global__28__instrumented__ = -(tmp119__func_bio_opt__b))
(assert (= tmp60__global__29__instrumented__ (- (div (+ (- tmp119__func_bio_opt__b) 32) 64)))) ; (tmp60__global__29__instrumented__ = -(((-(tmp119__func_bio_opt__b) + 32) div 64)))
(assert (= tmp120__func_bio_opt__b (ite (> tmp119__func_bio_opt__b 0) (div tmp60__global__27__instrumented__ 64) tmp60__global__29__instrumented__))) ; (tmp120__func_bio_opt__b = (ite (> tmp119__func_bio_opt__b 0) (div tmp60__global__27__instrumented__ 64) tmp60__global__29__instrumented__))
(assert (= tmp60__global__30__instrumented__ (+ tmp1__global__predL0_55 tmp1__global__predL1_55))) ; (tmp60__global__30__instrumented__ = (tmp1__global__predL0_55 + tmp1__global__predL1_55))
(assert (= tmp60__global__31__instrumented__ (+ (+ tmp1__global__predL0_55 tmp1__global__predL1_55) tmp120__func_bio_opt__b))) ; (tmp60__global__31__instrumented__ = ((tmp1__global__predL0_55 + tmp1__global__predL1_55) + tmp120__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_195__value (div (+ tmp60__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_195__value = ((tmp60__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_195 (ite (< tmp1__func_Clip3_variant_195__value 0) 0 (ite (> tmp1__func_Clip3_variant_195__value 255) 255 tmp1__func_Clip3_variant_195__value)))) ; (tmp1__func__return__Clip3_variant_195 = (ite (< tmp1__func_Clip3_variant_195__value 0) 0 (ite (> tmp1__func_Clip3_variant_195__value 255) 255 tmp1__func_Clip3_variant_195__value)))
(assert (= tmp1__global__outputVector_55 tmp1__func__return__Clip3_variant_195)) ; (tmp1__global__outputVector_55 = tmp1__func__return__Clip3_variant_195)
(assert (= tmp61__global__21__instrumented__ (- tmp1__global__gradXL0_60 tmp1__global__gradXL1_60))) ; (tmp61__global__21__instrumented__ = (tmp1__global__gradXL0_60 - tmp1__global__gradXL1_60))
(assert (= tmp61__global__22__instrumented__ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_60 tmp1__global__gradXL1_60)))) ; (tmp61__global__22__instrumented__ = (tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_60 - tmp1__global__gradXL1_60)))
(assert (= tmp61__global__23__instrumented__ (- tmp1__global__gradYL0_60 tmp1__global__gradYL1_60))) ; (tmp61__global__23__instrumented__ = (tmp1__global__gradYL0_60 - tmp1__global__gradYL1_60))
(assert (= tmp61__global__24__instrumented__ (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_60 tmp1__global__gradYL1_60)))) ; (tmp61__global__24__instrumented__ = (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_60 - tmp1__global__gradYL1_60)))
(assert (= tmp61__global__25__instrumented__ (+ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_60 tmp1__global__gradXL1_60)) (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_60 tmp1__global__gradYL1_60))))) ; (tmp61__global__25__instrumented__ = ((tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_60 - tmp1__global__gradXL1_60)) + (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_60 - tmp1__global__gradYL1_60))))
(assert (= tmp121__func_bio_opt__b tmp61__global__25__instrumented__)) ; (tmp121__func_bio_opt__b = tmp61__global__25__instrumented__)
(assert (= tmp61__global__26__instrumented__ (ite (> tmp121__func_bio_opt__b 0) 1 0))) ; (tmp61__global__26__instrumented__ = (ite (> tmp121__func_bio_opt__b 0) 1 0))
(assert (= tmp61__global__27__instrumented__ (+ tmp121__func_bio_opt__b 32))) ; (tmp61__global__27__instrumented__ = (tmp121__func_bio_opt__b + 32))
(assert (= tmp61__global__28__instrumented__ (- tmp121__func_bio_opt__b))) ; (tmp61__global__28__instrumented__ = -(tmp121__func_bio_opt__b))
(assert (= tmp61__global__29__instrumented__ (- (div (+ (- tmp121__func_bio_opt__b) 32) 64)))) ; (tmp61__global__29__instrumented__ = -(((-(tmp121__func_bio_opt__b) + 32) div 64)))
(assert (= tmp122__func_bio_opt__b (ite (> tmp121__func_bio_opt__b 0) (div tmp61__global__27__instrumented__ 64) tmp61__global__29__instrumented__))) ; (tmp122__func_bio_opt__b = (ite (> tmp121__func_bio_opt__b 0) (div tmp61__global__27__instrumented__ 64) tmp61__global__29__instrumented__))
(assert (= tmp61__global__30__instrumented__ (+ tmp1__global__predL0_60 tmp1__global__predL1_60))) ; (tmp61__global__30__instrumented__ = (tmp1__global__predL0_60 + tmp1__global__predL1_60))
(assert (= tmp61__global__31__instrumented__ (+ (+ tmp1__global__predL0_60 tmp1__global__predL1_60) tmp122__func_bio_opt__b))) ; (tmp61__global__31__instrumented__ = ((tmp1__global__predL0_60 + tmp1__global__predL1_60) + tmp122__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_196__value (div (+ tmp61__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_196__value = ((tmp61__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_196 (ite (< tmp1__func_Clip3_variant_196__value 0) 0 (ite (> tmp1__func_Clip3_variant_196__value 255) 255 tmp1__func_Clip3_variant_196__value)))) ; (tmp1__func__return__Clip3_variant_196 = (ite (< tmp1__func_Clip3_variant_196__value 0) 0 (ite (> tmp1__func_Clip3_variant_196__value 255) 255 tmp1__func_Clip3_variant_196__value)))
(assert (= tmp1__global__outputVector_60 tmp1__func__return__Clip3_variant_196)) ; (tmp1__global__outputVector_60 = tmp1__func__return__Clip3_variant_196)
(assert (= tmp62__global__21__instrumented__ (- tmp1__global__gradXL0_61 tmp1__global__gradXL1_61))) ; (tmp62__global__21__instrumented__ = (tmp1__global__gradXL0_61 - tmp1__global__gradXL1_61))
(assert (= tmp62__global__22__instrumented__ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_61 tmp1__global__gradXL1_61)))) ; (tmp62__global__22__instrumented__ = (tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_61 - tmp1__global__gradXL1_61)))
(assert (= tmp62__global__23__instrumented__ (- tmp1__global__gradYL0_61 tmp1__global__gradYL1_61))) ; (tmp62__global__23__instrumented__ = (tmp1__global__gradYL0_61 - tmp1__global__gradYL1_61))
(assert (= tmp62__global__24__instrumented__ (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_61 tmp1__global__gradYL1_61)))) ; (tmp62__global__24__instrumented__ = (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_61 - tmp1__global__gradYL1_61)))
(assert (= tmp62__global__25__instrumented__ (+ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_61 tmp1__global__gradXL1_61)) (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_61 tmp1__global__gradYL1_61))))) ; (tmp62__global__25__instrumented__ = ((tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_61 - tmp1__global__gradXL1_61)) + (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_61 - tmp1__global__gradYL1_61))))
(assert (= tmp123__func_bio_opt__b tmp62__global__25__instrumented__)) ; (tmp123__func_bio_opt__b = tmp62__global__25__instrumented__)
(assert (= tmp62__global__26__instrumented__ (ite (> tmp123__func_bio_opt__b 0) 1 0))) ; (tmp62__global__26__instrumented__ = (ite (> tmp123__func_bio_opt__b 0) 1 0))
(assert (= tmp62__global__27__instrumented__ (+ tmp123__func_bio_opt__b 32))) ; (tmp62__global__27__instrumented__ = (tmp123__func_bio_opt__b + 32))
(assert (= tmp62__global__28__instrumented__ (- tmp123__func_bio_opt__b))) ; (tmp62__global__28__instrumented__ = -(tmp123__func_bio_opt__b))
(assert (= tmp62__global__29__instrumented__ (- (div (+ (- tmp123__func_bio_opt__b) 32) 64)))) ; (tmp62__global__29__instrumented__ = -(((-(tmp123__func_bio_opt__b) + 32) div 64)))
(assert (= tmp124__func_bio_opt__b (ite (> tmp123__func_bio_opt__b 0) (div tmp62__global__27__instrumented__ 64) tmp62__global__29__instrumented__))) ; (tmp124__func_bio_opt__b = (ite (> tmp123__func_bio_opt__b 0) (div tmp62__global__27__instrumented__ 64) tmp62__global__29__instrumented__))
(assert (= tmp62__global__30__instrumented__ (+ tmp1__global__predL0_61 tmp1__global__predL1_61))) ; (tmp62__global__30__instrumented__ = (tmp1__global__predL0_61 + tmp1__global__predL1_61))
(assert (= tmp62__global__31__instrumented__ (+ (+ tmp1__global__predL0_61 tmp1__global__predL1_61) tmp124__func_bio_opt__b))) ; (tmp62__global__31__instrumented__ = ((tmp1__global__predL0_61 + tmp1__global__predL1_61) + tmp124__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_197__value (div (+ tmp62__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_197__value = ((tmp62__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_197 (ite (< tmp1__func_Clip3_variant_197__value 0) 0 (ite (> tmp1__func_Clip3_variant_197__value 255) 255 tmp1__func_Clip3_variant_197__value)))) ; (tmp1__func__return__Clip3_variant_197 = (ite (< tmp1__func_Clip3_variant_197__value 0) 0 (ite (> tmp1__func_Clip3_variant_197__value 255) 255 tmp1__func_Clip3_variant_197__value)))
(assert (= tmp1__global__outputVector_61 tmp1__func__return__Clip3_variant_197)) ; (tmp1__global__outputVector_61 = tmp1__func__return__Clip3_variant_197)
(assert (= tmp63__global__21__instrumented__ (- tmp1__global__gradXL0_62 tmp1__global__gradXL1_62))) ; (tmp63__global__21__instrumented__ = (tmp1__global__gradXL0_62 - tmp1__global__gradXL1_62))
(assert (= tmp63__global__22__instrumented__ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_62 tmp1__global__gradXL1_62)))) ; (tmp63__global__22__instrumented__ = (tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_62 - tmp1__global__gradXL1_62)))
(assert (= tmp63__global__23__instrumented__ (- tmp1__global__gradYL0_62 tmp1__global__gradYL1_62))) ; (tmp63__global__23__instrumented__ = (tmp1__global__gradYL0_62 - tmp1__global__gradYL1_62))
(assert (= tmp63__global__24__instrumented__ (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_62 tmp1__global__gradYL1_62)))) ; (tmp63__global__24__instrumented__ = (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_62 - tmp1__global__gradYL1_62)))
(assert (= tmp63__global__25__instrumented__ (+ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_62 tmp1__global__gradXL1_62)) (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_62 tmp1__global__gradYL1_62))))) ; (tmp63__global__25__instrumented__ = ((tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_62 - tmp1__global__gradXL1_62)) + (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_62 - tmp1__global__gradYL1_62))))
(assert (= tmp125__func_bio_opt__b tmp63__global__25__instrumented__)) ; (tmp125__func_bio_opt__b = tmp63__global__25__instrumented__)
(assert (= tmp63__global__26__instrumented__ (ite (> tmp125__func_bio_opt__b 0) 1 0))) ; (tmp63__global__26__instrumented__ = (ite (> tmp125__func_bio_opt__b 0) 1 0))
(assert (= tmp63__global__27__instrumented__ (+ tmp125__func_bio_opt__b 32))) ; (tmp63__global__27__instrumented__ = (tmp125__func_bio_opt__b + 32))
(assert (= tmp63__global__28__instrumented__ (- tmp125__func_bio_opt__b))) ; (tmp63__global__28__instrumented__ = -(tmp125__func_bio_opt__b))
(assert (= tmp63__global__29__instrumented__ (- (div (+ (- tmp125__func_bio_opt__b) 32) 64)))) ; (tmp63__global__29__instrumented__ = -(((-(tmp125__func_bio_opt__b) + 32) div 64)))
(assert (= tmp126__func_bio_opt__b (ite (> tmp125__func_bio_opt__b 0) (div tmp63__global__27__instrumented__ 64) tmp63__global__29__instrumented__))) ; (tmp126__func_bio_opt__b = (ite (> tmp125__func_bio_opt__b 0) (div tmp63__global__27__instrumented__ 64) tmp63__global__29__instrumented__))
(assert (= tmp63__global__30__instrumented__ (+ tmp1__global__predL0_62 tmp1__global__predL1_62))) ; (tmp63__global__30__instrumented__ = (tmp1__global__predL0_62 + tmp1__global__predL1_62))
(assert (= tmp63__global__31__instrumented__ (+ (+ tmp1__global__predL0_62 tmp1__global__predL1_62) tmp126__func_bio_opt__b))) ; (tmp63__global__31__instrumented__ = ((tmp1__global__predL0_62 + tmp1__global__predL1_62) + tmp126__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_198__value (div (+ tmp63__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_198__value = ((tmp63__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_198 (ite (< tmp1__func_Clip3_variant_198__value 0) 0 (ite (> tmp1__func_Clip3_variant_198__value 255) 255 tmp1__func_Clip3_variant_198__value)))) ; (tmp1__func__return__Clip3_variant_198 = (ite (< tmp1__func_Clip3_variant_198__value 0) 0 (ite (> tmp1__func_Clip3_variant_198__value 255) 255 tmp1__func_Clip3_variant_198__value)))
(assert (= tmp1__global__outputVector_62 tmp1__func__return__Clip3_variant_198)) ; (tmp1__global__outputVector_62 = tmp1__func__return__Clip3_variant_198)
(assert (= tmp64__global__21__instrumented__ (- tmp1__global__gradXL0_63 tmp1__global__gradXL1_63))) ; (tmp64__global__21__instrumented__ = (tmp1__global__gradXL0_63 - tmp1__global__gradXL1_63))
(assert (= tmp64__global__22__instrumented__ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_63 tmp1__global__gradXL1_63)))) ; (tmp64__global__22__instrumented__ = (tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_63 - tmp1__global__gradXL1_63)))
(assert (= tmp64__global__23__instrumented__ (- tmp1__global__gradYL0_63 tmp1__global__gradYL1_63))) ; (tmp64__global__23__instrumented__ = (tmp1__global__gradYL0_63 - tmp1__global__gradYL1_63))
(assert (= tmp64__global__24__instrumented__ (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_63 tmp1__global__gradYL1_63)))) ; (tmp64__global__24__instrumented__ = (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_63 - tmp1__global__gradYL1_63)))
(assert (= tmp64__global__25__instrumented__ (+ (* tmp20__func_bio_opt__vx (- tmp1__global__gradXL0_63 tmp1__global__gradXL1_63)) (* tmp20__func_bio_opt__vy (- tmp1__global__gradYL0_63 tmp1__global__gradYL1_63))))) ; (tmp64__global__25__instrumented__ = ((tmp20__func_bio_opt__vx * (tmp1__global__gradXL0_63 - tmp1__global__gradXL1_63)) + (tmp20__func_bio_opt__vy * (tmp1__global__gradYL0_63 - tmp1__global__gradYL1_63))))
(assert (= tmp127__func_bio_opt__b tmp64__global__25__instrumented__)) ; (tmp127__func_bio_opt__b = tmp64__global__25__instrumented__)
(assert (= tmp64__global__26__instrumented__ (ite (> tmp127__func_bio_opt__b 0) 1 0))) ; (tmp64__global__26__instrumented__ = (ite (> tmp127__func_bio_opt__b 0) 1 0))
(assert (= tmp64__global__27__instrumented__ (+ tmp127__func_bio_opt__b 32))) ; (tmp64__global__27__instrumented__ = (tmp127__func_bio_opt__b + 32))
(assert (= tmp64__global__28__instrumented__ (- tmp127__func_bio_opt__b))) ; (tmp64__global__28__instrumented__ = -(tmp127__func_bio_opt__b))
(assert (= tmp64__global__29__instrumented__ (- (div (+ (- tmp127__func_bio_opt__b) 32) 64)))) ; (tmp64__global__29__instrumented__ = -(((-(tmp127__func_bio_opt__b) + 32) div 64)))
(assert (= tmp128__func_bio_opt__b (ite (> tmp127__func_bio_opt__b 0) (div tmp64__global__27__instrumented__ 64) tmp64__global__29__instrumented__))) ; (tmp128__func_bio_opt__b = (ite (> tmp127__func_bio_opt__b 0) (div tmp64__global__27__instrumented__ 64) tmp64__global__29__instrumented__))
(assert (= tmp64__global__30__instrumented__ (+ tmp1__global__predL0_63 tmp1__global__predL1_63))) ; (tmp64__global__30__instrumented__ = (tmp1__global__predL0_63 + tmp1__global__predL1_63))
(assert (= tmp64__global__31__instrumented__ (+ (+ tmp1__global__predL0_63 tmp1__global__predL1_63) tmp128__func_bio_opt__b))) ; (tmp64__global__31__instrumented__ = ((tmp1__global__predL0_63 + tmp1__global__predL1_63) + tmp128__func_bio_opt__b))
(assert (= tmp1__func_Clip3_variant_199__value (div (+ tmp64__global__31__instrumented__ 1) 2))) ; (tmp1__func_Clip3_variant_199__value = ((tmp64__global__31__instrumented__ + 1) div 2))
(assert (= tmp1__func__return__Clip3_variant_199 (ite (< tmp1__func_Clip3_variant_199__value 0) 0 (ite (> tmp1__func_Clip3_variant_199__value 255) 255 tmp1__func_Clip3_variant_199__value)))) ; (tmp1__func__return__Clip3_variant_199 = (ite (< tmp1__func_Clip3_variant_199__value 0) 0 (ite (> tmp1__func_Clip3_variant_199__value 255) 255 tmp1__func_Clip3_variant_199__value)))
(assert (= tmp1__global__outputVector_63 tmp1__func__return__Clip3_variant_199)) ; (tmp1__global__outputVector_63 = tmp1__func__return__Clip3_variant_199)
(assert (= func_Clip3__value tmp1__func_Clip3__value)) ; (func_Clip3__value = tmp1__func_Clip3__value)
(assert (= func_Clip3_variant_100__value tmp1__func_Clip3_variant_100__value)) ; (func_Clip3_variant_100__value = tmp1__func_Clip3_variant_100__value)
(assert (= func_Clip3_variant_101__value tmp1__func_Clip3_variant_101__value)) ; (func_Clip3_variant_101__value = tmp1__func_Clip3_variant_101__value)
(assert (= func_Clip3_variant_102__value tmp1__func_Clip3_variant_102__value)) ; (func_Clip3_variant_102__value = tmp1__func_Clip3_variant_102__value)
(assert (= func_Clip3_variant_103__value tmp1__func_Clip3_variant_103__value)) ; (func_Clip3_variant_103__value = tmp1__func_Clip3_variant_103__value)
(assert (= func_Clip3_variant_104__value tmp1__func_Clip3_variant_104__value)) ; (func_Clip3_variant_104__value = tmp1__func_Clip3_variant_104__value)
(assert (= func_Clip3_variant_105__value tmp1__func_Clip3_variant_105__value)) ; (func_Clip3_variant_105__value = tmp1__func_Clip3_variant_105__value)
(assert (= func_Clip3_variant_106__value tmp1__func_Clip3_variant_106__value)) ; (func_Clip3_variant_106__value = tmp1__func_Clip3_variant_106__value)
(assert (= func_Clip3_variant_107__value tmp1__func_Clip3_variant_107__value)) ; (func_Clip3_variant_107__value = tmp1__func_Clip3_variant_107__value)
(assert (= func_Clip3_variant_108__value tmp1__func_Clip3_variant_108__value)) ; (func_Clip3_variant_108__value = tmp1__func_Clip3_variant_108__value)
(assert (= func_Clip3_variant_109__value tmp1__func_Clip3_variant_109__value)) ; (func_Clip3_variant_109__value = tmp1__func_Clip3_variant_109__value)
(assert (= func_Clip3_variant_10__value tmp1__func_Clip3_variant_10__value)) ; (func_Clip3_variant_10__value = tmp1__func_Clip3_variant_10__value)
(assert (= func_Clip3_variant_110__value tmp1__func_Clip3_variant_110__value)) ; (func_Clip3_variant_110__value = tmp1__func_Clip3_variant_110__value)
(assert (= func_Clip3_variant_111__value tmp1__func_Clip3_variant_111__value)) ; (func_Clip3_variant_111__value = tmp1__func_Clip3_variant_111__value)
(assert (= func_Clip3_variant_112__value tmp1__func_Clip3_variant_112__value)) ; (func_Clip3_variant_112__value = tmp1__func_Clip3_variant_112__value)
(assert (= func_Clip3_variant_113__value tmp1__func_Clip3_variant_113__value)) ; (func_Clip3_variant_113__value = tmp1__func_Clip3_variant_113__value)
(assert (= func_Clip3_variant_114__value tmp1__func_Clip3_variant_114__value)) ; (func_Clip3_variant_114__value = tmp1__func_Clip3_variant_114__value)
(assert (= func_Clip3_variant_115__value tmp1__func_Clip3_variant_115__value)) ; (func_Clip3_variant_115__value = tmp1__func_Clip3_variant_115__value)
(assert (= func_Clip3_variant_116__value tmp1__func_Clip3_variant_116__value)) ; (func_Clip3_variant_116__value = tmp1__func_Clip3_variant_116__value)
(assert (= func_Clip3_variant_117__value tmp1__func_Clip3_variant_117__value)) ; (func_Clip3_variant_117__value = tmp1__func_Clip3_variant_117__value)
(assert (= func_Clip3_variant_118__value tmp1__func_Clip3_variant_118__value)) ; (func_Clip3_variant_118__value = tmp1__func_Clip3_variant_118__value)
(assert (= func_Clip3_variant_119__value tmp1__func_Clip3_variant_119__value)) ; (func_Clip3_variant_119__value = tmp1__func_Clip3_variant_119__value)
(assert (= func_Clip3_variant_11__value tmp1__func_Clip3_variant_11__value)) ; (func_Clip3_variant_11__value = tmp1__func_Clip3_variant_11__value)
(assert (= func_Clip3_variant_120__value tmp1__func_Clip3_variant_120__value)) ; (func_Clip3_variant_120__value = tmp1__func_Clip3_variant_120__value)
(assert (= func_Clip3_variant_121__value tmp1__func_Clip3_variant_121__value)) ; (func_Clip3_variant_121__value = tmp1__func_Clip3_variant_121__value)
(assert (= func_Clip3_variant_122__value tmp1__func_Clip3_variant_122__value)) ; (func_Clip3_variant_122__value = tmp1__func_Clip3_variant_122__value)
(assert (= func_Clip3_variant_123__value tmp1__func_Clip3_variant_123__value)) ; (func_Clip3_variant_123__value = tmp1__func_Clip3_variant_123__value)
(assert (= func_Clip3_variant_124__value tmp1__func_Clip3_variant_124__value)) ; (func_Clip3_variant_124__value = tmp1__func_Clip3_variant_124__value)
(assert (= func_Clip3_variant_125__value tmp1__func_Clip3_variant_125__value)) ; (func_Clip3_variant_125__value = tmp1__func_Clip3_variant_125__value)
(assert (= func_Clip3_variant_126__value tmp1__func_Clip3_variant_126__value)) ; (func_Clip3_variant_126__value = tmp1__func_Clip3_variant_126__value)
(assert (= func_Clip3_variant_127__value tmp1__func_Clip3_variant_127__value)) ; (func_Clip3_variant_127__value = tmp1__func_Clip3_variant_127__value)
(assert (= func_Clip3_variant_128__value tmp1__func_Clip3_variant_128__value)) ; (func_Clip3_variant_128__value = tmp1__func_Clip3_variant_128__value)
(assert (= func_Clip3_variant_129__value tmp1__func_Clip3_variant_129__value)) ; (func_Clip3_variant_129__value = tmp1__func_Clip3_variant_129__value)
(assert (= func_Clip3_variant_12__value tmp1__func_Clip3_variant_12__value)) ; (func_Clip3_variant_12__value = tmp1__func_Clip3_variant_12__value)
(assert (= func_Clip3_variant_130__value tmp1__func_Clip3_variant_130__value)) ; (func_Clip3_variant_130__value = tmp1__func_Clip3_variant_130__value)
(assert (= func_Clip3_variant_131__value tmp1__func_Clip3_variant_131__value)) ; (func_Clip3_variant_131__value = tmp1__func_Clip3_variant_131__value)
(assert (= func_Clip3_variant_132__value tmp1__func_Clip3_variant_132__value)) ; (func_Clip3_variant_132__value = tmp1__func_Clip3_variant_132__value)
(assert (= func_Clip3_variant_133__value tmp1__func_Clip3_variant_133__value)) ; (func_Clip3_variant_133__value = tmp1__func_Clip3_variant_133__value)
(assert (= func_Clip3_variant_134__value tmp1__func_Clip3_variant_134__value)) ; (func_Clip3_variant_134__value = tmp1__func_Clip3_variant_134__value)
(assert (= func_Clip3_variant_135__value tmp1__func_Clip3_variant_135__value)) ; (func_Clip3_variant_135__value = tmp1__func_Clip3_variant_135__value)
(assert (= func_Clip3_variant_136__value tmp1__func_Clip3_variant_136__value)) ; (func_Clip3_variant_136__value = tmp1__func_Clip3_variant_136__value)
(assert (= func_Clip3_variant_137__value tmp1__func_Clip3_variant_137__value)) ; (func_Clip3_variant_137__value = tmp1__func_Clip3_variant_137__value)
(assert (= func_Clip3_variant_138__value tmp1__func_Clip3_variant_138__value)) ; (func_Clip3_variant_138__value = tmp1__func_Clip3_variant_138__value)
(assert (= func_Clip3_variant_139__value tmp1__func_Clip3_variant_139__value)) ; (func_Clip3_variant_139__value = tmp1__func_Clip3_variant_139__value)
(assert (= func_Clip3_variant_13__value tmp1__func_Clip3_variant_13__value)) ; (func_Clip3_variant_13__value = tmp1__func_Clip3_variant_13__value)
(assert (= func_Clip3_variant_140__value tmp1__func_Clip3_variant_140__value)) ; (func_Clip3_variant_140__value = tmp1__func_Clip3_variant_140__value)
(assert (= func_Clip3_variant_141__value tmp1__func_Clip3_variant_141__value)) ; (func_Clip3_variant_141__value = tmp1__func_Clip3_variant_141__value)
(assert (= func_Clip3_variant_142__value tmp1__func_Clip3_variant_142__value)) ; (func_Clip3_variant_142__value = tmp1__func_Clip3_variant_142__value)
(assert (= func_Clip3_variant_143__value tmp1__func_Clip3_variant_143__value)) ; (func_Clip3_variant_143__value = tmp1__func_Clip3_variant_143__value)
(assert (= func_Clip3_variant_144__value tmp1__func_Clip3_variant_144__value)) ; (func_Clip3_variant_144__value = tmp1__func_Clip3_variant_144__value)
(assert (= func_Clip3_variant_145__value tmp1__func_Clip3_variant_145__value)) ; (func_Clip3_variant_145__value = tmp1__func_Clip3_variant_145__value)
(assert (= func_Clip3_variant_146__value tmp1__func_Clip3_variant_146__value)) ; (func_Clip3_variant_146__value = tmp1__func_Clip3_variant_146__value)
(assert (= func_Clip3_variant_147__value tmp1__func_Clip3_variant_147__value)) ; (func_Clip3_variant_147__value = tmp1__func_Clip3_variant_147__value)
(assert (= func_Clip3_variant_148__value tmp1__func_Clip3_variant_148__value)) ; (func_Clip3_variant_148__value = tmp1__func_Clip3_variant_148__value)
(assert (= func_Clip3_variant_149__value tmp1__func_Clip3_variant_149__value)) ; (func_Clip3_variant_149__value = tmp1__func_Clip3_variant_149__value)
(assert (= func_Clip3_variant_14__value tmp1__func_Clip3_variant_14__value)) ; (func_Clip3_variant_14__value = tmp1__func_Clip3_variant_14__value)
(assert (= func_Clip3_variant_150__value tmp1__func_Clip3_variant_150__value)) ; (func_Clip3_variant_150__value = tmp1__func_Clip3_variant_150__value)
(assert (= func_Clip3_variant_151__value tmp1__func_Clip3_variant_151__value)) ; (func_Clip3_variant_151__value = tmp1__func_Clip3_variant_151__value)
(assert (= func_Clip3_variant_152__value tmp1__func_Clip3_variant_152__value)) ; (func_Clip3_variant_152__value = tmp1__func_Clip3_variant_152__value)
(assert (= func_Clip3_variant_153__value tmp1__func_Clip3_variant_153__value)) ; (func_Clip3_variant_153__value = tmp1__func_Clip3_variant_153__value)
(assert (= func_Clip3_variant_154__value tmp1__func_Clip3_variant_154__value)) ; (func_Clip3_variant_154__value = tmp1__func_Clip3_variant_154__value)
(assert (= func_Clip3_variant_155__value tmp1__func_Clip3_variant_155__value)) ; (func_Clip3_variant_155__value = tmp1__func_Clip3_variant_155__value)
(assert (= func_Clip3_variant_156__value tmp1__func_Clip3_variant_156__value)) ; (func_Clip3_variant_156__value = tmp1__func_Clip3_variant_156__value)
(assert (= func_Clip3_variant_157__value tmp1__func_Clip3_variant_157__value)) ; (func_Clip3_variant_157__value = tmp1__func_Clip3_variant_157__value)
(assert (= func_Clip3_variant_158__value tmp1__func_Clip3_variant_158__value)) ; (func_Clip3_variant_158__value = tmp1__func_Clip3_variant_158__value)
(assert (= func_Clip3_variant_159__value tmp1__func_Clip3_variant_159__value)) ; (func_Clip3_variant_159__value = tmp1__func_Clip3_variant_159__value)
(assert (= func_Clip3_variant_15__value tmp1__func_Clip3_variant_15__value)) ; (func_Clip3_variant_15__value = tmp1__func_Clip3_variant_15__value)
(assert (= func_Clip3_variant_160__value tmp1__func_Clip3_variant_160__value)) ; (func_Clip3_variant_160__value = tmp1__func_Clip3_variant_160__value)
(assert (= func_Clip3_variant_161__value tmp1__func_Clip3_variant_161__value)) ; (func_Clip3_variant_161__value = tmp1__func_Clip3_variant_161__value)
(assert (= func_Clip3_variant_162__value tmp1__func_Clip3_variant_162__value)) ; (func_Clip3_variant_162__value = tmp1__func_Clip3_variant_162__value)
(assert (= func_Clip3_variant_163__value tmp1__func_Clip3_variant_163__value)) ; (func_Clip3_variant_163__value = tmp1__func_Clip3_variant_163__value)
(assert (= func_Clip3_variant_164__value tmp1__func_Clip3_variant_164__value)) ; (func_Clip3_variant_164__value = tmp1__func_Clip3_variant_164__value)
(assert (= func_Clip3_variant_165__value tmp1__func_Clip3_variant_165__value)) ; (func_Clip3_variant_165__value = tmp1__func_Clip3_variant_165__value)
(assert (= func_Clip3_variant_166__value tmp1__func_Clip3_variant_166__value)) ; (func_Clip3_variant_166__value = tmp1__func_Clip3_variant_166__value)
(assert (= func_Clip3_variant_167__value tmp1__func_Clip3_variant_167__value)) ; (func_Clip3_variant_167__value = tmp1__func_Clip3_variant_167__value)
(assert (= func_Clip3_variant_168__value tmp1__func_Clip3_variant_168__value)) ; (func_Clip3_variant_168__value = tmp1__func_Clip3_variant_168__value)
(assert (= func_Clip3_variant_169__value tmp1__func_Clip3_variant_169__value)) ; (func_Clip3_variant_169__value = tmp1__func_Clip3_variant_169__value)
(assert (= func_Clip3_variant_16__value tmp1__func_Clip3_variant_16__value)) ; (func_Clip3_variant_16__value = tmp1__func_Clip3_variant_16__value)
(assert (= func_Clip3_variant_170__value tmp1__func_Clip3_variant_170__value)) ; (func_Clip3_variant_170__value = tmp1__func_Clip3_variant_170__value)
(assert (= func_Clip3_variant_171__value tmp1__func_Clip3_variant_171__value)) ; (func_Clip3_variant_171__value = tmp1__func_Clip3_variant_171__value)
(assert (= func_Clip3_variant_172__value tmp1__func_Clip3_variant_172__value)) ; (func_Clip3_variant_172__value = tmp1__func_Clip3_variant_172__value)
(assert (= func_Clip3_variant_173__value tmp1__func_Clip3_variant_173__value)) ; (func_Clip3_variant_173__value = tmp1__func_Clip3_variant_173__value)
(assert (= func_Clip3_variant_174__value tmp1__func_Clip3_variant_174__value)) ; (func_Clip3_variant_174__value = tmp1__func_Clip3_variant_174__value)
(assert (= func_Clip3_variant_175__value tmp1__func_Clip3_variant_175__value)) ; (func_Clip3_variant_175__value = tmp1__func_Clip3_variant_175__value)
(assert (= func_Clip3_variant_176__value tmp1__func_Clip3_variant_176__value)) ; (func_Clip3_variant_176__value = tmp1__func_Clip3_variant_176__value)
(assert (= func_Clip3_variant_177__value tmp1__func_Clip3_variant_177__value)) ; (func_Clip3_variant_177__value = tmp1__func_Clip3_variant_177__value)
(assert (= func_Clip3_variant_178__value tmp1__func_Clip3_variant_178__value)) ; (func_Clip3_variant_178__value = tmp1__func_Clip3_variant_178__value)
(assert (= func_Clip3_variant_179__value tmp1__func_Clip3_variant_179__value)) ; (func_Clip3_variant_179__value = tmp1__func_Clip3_variant_179__value)
(assert (= func_Clip3_variant_17__value tmp1__func_Clip3_variant_17__value)) ; (func_Clip3_variant_17__value = tmp1__func_Clip3_variant_17__value)
(assert (= func_Clip3_variant_180__value tmp1__func_Clip3_variant_180__value)) ; (func_Clip3_variant_180__value = tmp1__func_Clip3_variant_180__value)
(assert (= func_Clip3_variant_181__value tmp1__func_Clip3_variant_181__value)) ; (func_Clip3_variant_181__value = tmp1__func_Clip3_variant_181__value)
(assert (= func_Clip3_variant_182__value tmp1__func_Clip3_variant_182__value)) ; (func_Clip3_variant_182__value = tmp1__func_Clip3_variant_182__value)
(assert (= func_Clip3_variant_183__value tmp1__func_Clip3_variant_183__value)) ; (func_Clip3_variant_183__value = tmp1__func_Clip3_variant_183__value)
(assert (= func_Clip3_variant_184__value tmp1__func_Clip3_variant_184__value)) ; (func_Clip3_variant_184__value = tmp1__func_Clip3_variant_184__value)
(assert (= func_Clip3_variant_185__value tmp1__func_Clip3_variant_185__value)) ; (func_Clip3_variant_185__value = tmp1__func_Clip3_variant_185__value)
(assert (= func_Clip3_variant_186__value tmp1__func_Clip3_variant_186__value)) ; (func_Clip3_variant_186__value = tmp1__func_Clip3_variant_186__value)
(assert (= func_Clip3_variant_187__value tmp1__func_Clip3_variant_187__value)) ; (func_Clip3_variant_187__value = tmp1__func_Clip3_variant_187__value)
(assert (= func_Clip3_variant_188__value tmp1__func_Clip3_variant_188__value)) ; (func_Clip3_variant_188__value = tmp1__func_Clip3_variant_188__value)
(assert (= func_Clip3_variant_189__value tmp1__func_Clip3_variant_189__value)) ; (func_Clip3_variant_189__value = tmp1__func_Clip3_variant_189__value)
(assert (= func_Clip3_variant_18__value tmp1__func_Clip3_variant_18__value)) ; (func_Clip3_variant_18__value = tmp1__func_Clip3_variant_18__value)
(assert (= func_Clip3_variant_190__value tmp1__func_Clip3_variant_190__value)) ; (func_Clip3_variant_190__value = tmp1__func_Clip3_variant_190__value)
(assert (= func_Clip3_variant_191__value tmp1__func_Clip3_variant_191__value)) ; (func_Clip3_variant_191__value = tmp1__func_Clip3_variant_191__value)
(assert (= func_Clip3_variant_192__value tmp1__func_Clip3_variant_192__value)) ; (func_Clip3_variant_192__value = tmp1__func_Clip3_variant_192__value)
(assert (= func_Clip3_variant_193__value tmp1__func_Clip3_variant_193__value)) ; (func_Clip3_variant_193__value = tmp1__func_Clip3_variant_193__value)
(assert (= func_Clip3_variant_194__value tmp1__func_Clip3_variant_194__value)) ; (func_Clip3_variant_194__value = tmp1__func_Clip3_variant_194__value)
(assert (= func_Clip3_variant_195__value tmp1__func_Clip3_variant_195__value)) ; (func_Clip3_variant_195__value = tmp1__func_Clip3_variant_195__value)
(assert (= func_Clip3_variant_196__value tmp1__func_Clip3_variant_196__value)) ; (func_Clip3_variant_196__value = tmp1__func_Clip3_variant_196__value)
(assert (= func_Clip3_variant_197__value tmp1__func_Clip3_variant_197__value)) ; (func_Clip3_variant_197__value = tmp1__func_Clip3_variant_197__value)
(assert (= func_Clip3_variant_198__value tmp1__func_Clip3_variant_198__value)) ; (func_Clip3_variant_198__value = tmp1__func_Clip3_variant_198__value)
(assert (= func_Clip3_variant_199__value tmp1__func_Clip3_variant_199__value)) ; (func_Clip3_variant_199__value = tmp1__func_Clip3_variant_199__value)
(assert (= func_Clip3_variant_19__value tmp1__func_Clip3_variant_19__value)) ; (func_Clip3_variant_19__value = tmp1__func_Clip3_variant_19__value)
(assert (= func_Clip3_variant_1__value tmp1__func_Clip3_variant_1__value)) ; (func_Clip3_variant_1__value = tmp1__func_Clip3_variant_1__value)
(assert (= func_Clip3_variant_20__value tmp1__func_Clip3_variant_20__value)) ; (func_Clip3_variant_20__value = tmp1__func_Clip3_variant_20__value)
(assert (= func_Clip3_variant_21__value tmp1__func_Clip3_variant_21__value)) ; (func_Clip3_variant_21__value = tmp1__func_Clip3_variant_21__value)
(assert (= func_Clip3_variant_22__value tmp1__func_Clip3_variant_22__value)) ; (func_Clip3_variant_22__value = tmp1__func_Clip3_variant_22__value)
(assert (= func_Clip3_variant_23__value tmp1__func_Clip3_variant_23__value)) ; (func_Clip3_variant_23__value = tmp1__func_Clip3_variant_23__value)
(assert (= func_Clip3_variant_24__value tmp1__func_Clip3_variant_24__value)) ; (func_Clip3_variant_24__value = tmp1__func_Clip3_variant_24__value)
(assert (= func_Clip3_variant_25__value tmp1__func_Clip3_variant_25__value)) ; (func_Clip3_variant_25__value = tmp1__func_Clip3_variant_25__value)
(assert (= func_Clip3_variant_26__value tmp1__func_Clip3_variant_26__value)) ; (func_Clip3_variant_26__value = tmp1__func_Clip3_variant_26__value)
(assert (= func_Clip3_variant_27__value tmp1__func_Clip3_variant_27__value)) ; (func_Clip3_variant_27__value = tmp1__func_Clip3_variant_27__value)
(assert (= func_Clip3_variant_28__value tmp1__func_Clip3_variant_28__value)) ; (func_Clip3_variant_28__value = tmp1__func_Clip3_variant_28__value)
(assert (= func_Clip3_variant_29__value tmp1__func_Clip3_variant_29__value)) ; (func_Clip3_variant_29__value = tmp1__func_Clip3_variant_29__value)
(assert (= func_Clip3_variant_2__value tmp1__func_Clip3_variant_2__value)) ; (func_Clip3_variant_2__value = tmp1__func_Clip3_variant_2__value)
(assert (= func_Clip3_variant_30__value tmp1__func_Clip3_variant_30__value)) ; (func_Clip3_variant_30__value = tmp1__func_Clip3_variant_30__value)
(assert (= func_Clip3_variant_31__value tmp1__func_Clip3_variant_31__value)) ; (func_Clip3_variant_31__value = tmp1__func_Clip3_variant_31__value)
(assert (= func_Clip3_variant_32__value tmp1__func_Clip3_variant_32__value)) ; (func_Clip3_variant_32__value = tmp1__func_Clip3_variant_32__value)
(assert (= func_Clip3_variant_33__value tmp1__func_Clip3_variant_33__value)) ; (func_Clip3_variant_33__value = tmp1__func_Clip3_variant_33__value)
(assert (= func_Clip3_variant_34__value tmp1__func_Clip3_variant_34__value)) ; (func_Clip3_variant_34__value = tmp1__func_Clip3_variant_34__value)
(assert (= func_Clip3_variant_35__value tmp1__func_Clip3_variant_35__value)) ; (func_Clip3_variant_35__value = tmp1__func_Clip3_variant_35__value)
(assert (= func_Clip3_variant_36__value tmp1__func_Clip3_variant_36__value)) ; (func_Clip3_variant_36__value = tmp1__func_Clip3_variant_36__value)
(assert (= func_Clip3_variant_37__value tmp1__func_Clip3_variant_37__value)) ; (func_Clip3_variant_37__value = tmp1__func_Clip3_variant_37__value)
(assert (= func_Clip3_variant_38__value tmp1__func_Clip3_variant_38__value)) ; (func_Clip3_variant_38__value = tmp1__func_Clip3_variant_38__value)
(assert (= func_Clip3_variant_39__value tmp1__func_Clip3_variant_39__value)) ; (func_Clip3_variant_39__value = tmp1__func_Clip3_variant_39__value)
(assert (= func_Clip3_variant_3__value tmp1__func_Clip3_variant_3__value)) ; (func_Clip3_variant_3__value = tmp1__func_Clip3_variant_3__value)
(assert (= func_Clip3_variant_40__value tmp1__func_Clip3_variant_40__value)) ; (func_Clip3_variant_40__value = tmp1__func_Clip3_variant_40__value)
(assert (= func_Clip3_variant_41__value tmp1__func_Clip3_variant_41__value)) ; (func_Clip3_variant_41__value = tmp1__func_Clip3_variant_41__value)
(assert (= func_Clip3_variant_42__value tmp1__func_Clip3_variant_42__value)) ; (func_Clip3_variant_42__value = tmp1__func_Clip3_variant_42__value)
(assert (= func_Clip3_variant_43__value tmp1__func_Clip3_variant_43__value)) ; (func_Clip3_variant_43__value = tmp1__func_Clip3_variant_43__value)
(assert (= func_Clip3_variant_44__value tmp1__func_Clip3_variant_44__value)) ; (func_Clip3_variant_44__value = tmp1__func_Clip3_variant_44__value)
(assert (= func_Clip3_variant_45__value tmp1__func_Clip3_variant_45__value)) ; (func_Clip3_variant_45__value = tmp1__func_Clip3_variant_45__value)
(assert (= func_Clip3_variant_46__value tmp1__func_Clip3_variant_46__value)) ; (func_Clip3_variant_46__value = tmp1__func_Clip3_variant_46__value)
(assert (= func_Clip3_variant_47__value tmp1__func_Clip3_variant_47__value)) ; (func_Clip3_variant_47__value = tmp1__func_Clip3_variant_47__value)
(assert (= func_Clip3_variant_48__value tmp1__func_Clip3_variant_48__value)) ; (func_Clip3_variant_48__value = tmp1__func_Clip3_variant_48__value)
(assert (= func_Clip3_variant_49__value tmp1__func_Clip3_variant_49__value)) ; (func_Clip3_variant_49__value = tmp1__func_Clip3_variant_49__value)
(assert (= func_Clip3_variant_4__value tmp1__func_Clip3_variant_4__value)) ; (func_Clip3_variant_4__value = tmp1__func_Clip3_variant_4__value)
(assert (= func_Clip3_variant_50__value tmp1__func_Clip3_variant_50__value)) ; (func_Clip3_variant_50__value = tmp1__func_Clip3_variant_50__value)
(assert (= func_Clip3_variant_51__value tmp1__func_Clip3_variant_51__value)) ; (func_Clip3_variant_51__value = tmp1__func_Clip3_variant_51__value)
(assert (= func_Clip3_variant_52__value tmp1__func_Clip3_variant_52__value)) ; (func_Clip3_variant_52__value = tmp1__func_Clip3_variant_52__value)
(assert (= func_Clip3_variant_53__value tmp1__func_Clip3_variant_53__value)) ; (func_Clip3_variant_53__value = tmp1__func_Clip3_variant_53__value)
(assert (= func_Clip3_variant_54__value tmp1__func_Clip3_variant_54__value)) ; (func_Clip3_variant_54__value = tmp1__func_Clip3_variant_54__value)
(assert (= func_Clip3_variant_55__value tmp1__func_Clip3_variant_55__value)) ; (func_Clip3_variant_55__value = tmp1__func_Clip3_variant_55__value)
(assert (= func_Clip3_variant_56__value tmp1__func_Clip3_variant_56__value)) ; (func_Clip3_variant_56__value = tmp1__func_Clip3_variant_56__value)
(assert (= func_Clip3_variant_57__value tmp1__func_Clip3_variant_57__value)) ; (func_Clip3_variant_57__value = tmp1__func_Clip3_variant_57__value)
(assert (= func_Clip3_variant_58__value tmp1__func_Clip3_variant_58__value)) ; (func_Clip3_variant_58__value = tmp1__func_Clip3_variant_58__value)
(assert (= func_Clip3_variant_59__value tmp1__func_Clip3_variant_59__value)) ; (func_Clip3_variant_59__value = tmp1__func_Clip3_variant_59__value)
(assert (= func_Clip3_variant_5__value tmp1__func_Clip3_variant_5__value)) ; (func_Clip3_variant_5__value = tmp1__func_Clip3_variant_5__value)
(assert (= func_Clip3_variant_60__value tmp1__func_Clip3_variant_60__value)) ; (func_Clip3_variant_60__value = tmp1__func_Clip3_variant_60__value)
(assert (= func_Clip3_variant_61__value tmp1__func_Clip3_variant_61__value)) ; (func_Clip3_variant_61__value = tmp1__func_Clip3_variant_61__value)
(assert (= func_Clip3_variant_62__value tmp1__func_Clip3_variant_62__value)) ; (func_Clip3_variant_62__value = tmp1__func_Clip3_variant_62__value)
(assert (= func_Clip3_variant_63__value tmp1__func_Clip3_variant_63__value)) ; (func_Clip3_variant_63__value = tmp1__func_Clip3_variant_63__value)
(assert (= func_Clip3_variant_64__value tmp1__func_Clip3_variant_64__value)) ; (func_Clip3_variant_64__value = tmp1__func_Clip3_variant_64__value)
(assert (= func_Clip3_variant_65__value tmp1__func_Clip3_variant_65__value)) ; (func_Clip3_variant_65__value = tmp1__func_Clip3_variant_65__value)
(assert (= func_Clip3_variant_66__value tmp1__func_Clip3_variant_66__value)) ; (func_Clip3_variant_66__value = tmp1__func_Clip3_variant_66__value)
(assert (= func_Clip3_variant_67__value tmp1__func_Clip3_variant_67__value)) ; (func_Clip3_variant_67__value = tmp1__func_Clip3_variant_67__value)
(assert (= func_Clip3_variant_68__value tmp1__func_Clip3_variant_68__value)) ; (func_Clip3_variant_68__value = tmp1__func_Clip3_variant_68__value)
(assert (= func_Clip3_variant_69__value tmp1__func_Clip3_variant_69__value)) ; (func_Clip3_variant_69__value = tmp1__func_Clip3_variant_69__value)
(assert (= func_Clip3_variant_6__value tmp1__func_Clip3_variant_6__value)) ; (func_Clip3_variant_6__value = tmp1__func_Clip3_variant_6__value)
(assert (= func_Clip3_variant_70__value tmp1__func_Clip3_variant_70__value)) ; (func_Clip3_variant_70__value = tmp1__func_Clip3_variant_70__value)
(assert (= func_Clip3_variant_71__value tmp1__func_Clip3_variant_71__value)) ; (func_Clip3_variant_71__value = tmp1__func_Clip3_variant_71__value)
(assert (= func_Clip3_variant_72__value tmp1__func_Clip3_variant_72__value)) ; (func_Clip3_variant_72__value = tmp1__func_Clip3_variant_72__value)
(assert (= func_Clip3_variant_73__value tmp1__func_Clip3_variant_73__value)) ; (func_Clip3_variant_73__value = tmp1__func_Clip3_variant_73__value)
(assert (= func_Clip3_variant_74__value tmp1__func_Clip3_variant_74__value)) ; (func_Clip3_variant_74__value = tmp1__func_Clip3_variant_74__value)
(assert (= func_Clip3_variant_75__value tmp1__func_Clip3_variant_75__value)) ; (func_Clip3_variant_75__value = tmp1__func_Clip3_variant_75__value)
(assert (= func_Clip3_variant_76__value tmp1__func_Clip3_variant_76__value)) ; (func_Clip3_variant_76__value = tmp1__func_Clip3_variant_76__value)
(assert (= func_Clip3_variant_77__value tmp1__func_Clip3_variant_77__value)) ; (func_Clip3_variant_77__value = tmp1__func_Clip3_variant_77__value)
(assert (= func_Clip3_variant_78__value tmp1__func_Clip3_variant_78__value)) ; (func_Clip3_variant_78__value = tmp1__func_Clip3_variant_78__value)
(assert (= func_Clip3_variant_79__value tmp1__func_Clip3_variant_79__value)) ; (func_Clip3_variant_79__value = tmp1__func_Clip3_variant_79__value)
(assert (= func_Clip3_variant_7__value tmp1__func_Clip3_variant_7__value)) ; (func_Clip3_variant_7__value = tmp1__func_Clip3_variant_7__value)
(assert (= func_Clip3_variant_80__value tmp1__func_Clip3_variant_80__value)) ; (func_Clip3_variant_80__value = tmp1__func_Clip3_variant_80__value)
(assert (= func_Clip3_variant_81__value tmp1__func_Clip3_variant_81__value)) ; (func_Clip3_variant_81__value = tmp1__func_Clip3_variant_81__value)
(assert (= func_Clip3_variant_82__value tmp1__func_Clip3_variant_82__value)) ; (func_Clip3_variant_82__value = tmp1__func_Clip3_variant_82__value)
(assert (= func_Clip3_variant_83__value tmp1__func_Clip3_variant_83__value)) ; (func_Clip3_variant_83__value = tmp1__func_Clip3_variant_83__value)
(assert (= func_Clip3_variant_84__value tmp1__func_Clip3_variant_84__value)) ; (func_Clip3_variant_84__value = tmp1__func_Clip3_variant_84__value)
(assert (= func_Clip3_variant_85__value tmp1__func_Clip3_variant_85__value)) ; (func_Clip3_variant_85__value = tmp1__func_Clip3_variant_85__value)
(assert (= func_Clip3_variant_86__value tmp1__func_Clip3_variant_86__value)) ; (func_Clip3_variant_86__value = tmp1__func_Clip3_variant_86__value)
(assert (= func_Clip3_variant_87__value tmp1__func_Clip3_variant_87__value)) ; (func_Clip3_variant_87__value = tmp1__func_Clip3_variant_87__value)
(assert (= func_Clip3_variant_88__value tmp1__func_Clip3_variant_88__value)) ; (func_Clip3_variant_88__value = tmp1__func_Clip3_variant_88__value)
(assert (= func_Clip3_variant_89__value tmp1__func_Clip3_variant_89__value)) ; (func_Clip3_variant_89__value = tmp1__func_Clip3_variant_89__value)
(assert (= func_Clip3_variant_8__value tmp1__func_Clip3_variant_8__value)) ; (func_Clip3_variant_8__value = tmp1__func_Clip3_variant_8__value)
(assert (= func_Clip3_variant_90__value tmp1__func_Clip3_variant_90__value)) ; (func_Clip3_variant_90__value = tmp1__func_Clip3_variant_90__value)
(assert (= func_Clip3_variant_91__value tmp1__func_Clip3_variant_91__value)) ; (func_Clip3_variant_91__value = tmp1__func_Clip3_variant_91__value)
(assert (= func_Clip3_variant_92__value tmp1__func_Clip3_variant_92__value)) ; (func_Clip3_variant_92__value = tmp1__func_Clip3_variant_92__value)
(assert (= func_Clip3_variant_93__value tmp1__func_Clip3_variant_93__value)) ; (func_Clip3_variant_93__value = tmp1__func_Clip3_variant_93__value)
(assert (= func_Clip3_variant_94__value tmp1__func_Clip3_variant_94__value)) ; (func_Clip3_variant_94__value = tmp1__func_Clip3_variant_94__value)
(assert (= func_Clip3_variant_95__value tmp1__func_Clip3_variant_95__value)) ; (func_Clip3_variant_95__value = tmp1__func_Clip3_variant_95__value)
(assert (= func_Clip3_variant_96__value tmp1__func_Clip3_variant_96__value)) ; (func_Clip3_variant_96__value = tmp1__func_Clip3_variant_96__value)
(assert (= func_Clip3_variant_97__value tmp1__func_Clip3_variant_97__value)) ; (func_Clip3_variant_97__value = tmp1__func_Clip3_variant_97__value)
(assert (= func_Clip3_variant_98__value tmp1__func_Clip3_variant_98__value)) ; (func_Clip3_variant_98__value = tmp1__func_Clip3_variant_98__value)
(assert (= func_Clip3_variant_99__value tmp1__func_Clip3_variant_99__value)) ; (func_Clip3_variant_99__value = tmp1__func_Clip3_variant_99__value)
(assert (= func_Clip3_variant_9__value tmp1__func_Clip3_variant_9__value)) ; (func_Clip3_variant_9__value = tmp1__func_Clip3_variant_9__value)
(assert (= func__return__Clip3 tmp1__func__return__Clip3)) ; (func__return__Clip3 = tmp1__func__return__Clip3)
(assert (= func__return__Clip3_variant_1 tmp1__func__return__Clip3_variant_1)) ; (func__return__Clip3_variant_1 = tmp1__func__return__Clip3_variant_1)
(assert (= func__return__Clip3_variant_10 tmp1__func__return__Clip3_variant_10)) ; (func__return__Clip3_variant_10 = tmp1__func__return__Clip3_variant_10)
(assert (= func__return__Clip3_variant_100 tmp1__func__return__Clip3_variant_100)) ; (func__return__Clip3_variant_100 = tmp1__func__return__Clip3_variant_100)
(assert (= func__return__Clip3_variant_101 tmp1__func__return__Clip3_variant_101)) ; (func__return__Clip3_variant_101 = tmp1__func__return__Clip3_variant_101)
(assert (= func__return__Clip3_variant_102 tmp1__func__return__Clip3_variant_102)) ; (func__return__Clip3_variant_102 = tmp1__func__return__Clip3_variant_102)
(assert (= func__return__Clip3_variant_103 tmp1__func__return__Clip3_variant_103)) ; (func__return__Clip3_variant_103 = tmp1__func__return__Clip3_variant_103)
(assert (= func__return__Clip3_variant_104 tmp1__func__return__Clip3_variant_104)) ; (func__return__Clip3_variant_104 = tmp1__func__return__Clip3_variant_104)
(assert (= func__return__Clip3_variant_105 tmp1__func__return__Clip3_variant_105)) ; (func__return__Clip3_variant_105 = tmp1__func__return__Clip3_variant_105)
(assert (= func__return__Clip3_variant_106 tmp1__func__return__Clip3_variant_106)) ; (func__return__Clip3_variant_106 = tmp1__func__return__Clip3_variant_106)
(assert (= func__return__Clip3_variant_107 tmp1__func__return__Clip3_variant_107)) ; (func__return__Clip3_variant_107 = tmp1__func__return__Clip3_variant_107)
(assert (= func__return__Clip3_variant_108 tmp1__func__return__Clip3_variant_108)) ; (func__return__Clip3_variant_108 = tmp1__func__return__Clip3_variant_108)
(assert (= func__return__Clip3_variant_109 tmp1__func__return__Clip3_variant_109)) ; (func__return__Clip3_variant_109 = tmp1__func__return__Clip3_variant_109)
(assert (= func__return__Clip3_variant_11 tmp1__func__return__Clip3_variant_11)) ; (func__return__Clip3_variant_11 = tmp1__func__return__Clip3_variant_11)
(assert (= func__return__Clip3_variant_110 tmp1__func__return__Clip3_variant_110)) ; (func__return__Clip3_variant_110 = tmp1__func__return__Clip3_variant_110)
(assert (= func__return__Clip3_variant_111 tmp1__func__return__Clip3_variant_111)) ; (func__return__Clip3_variant_111 = tmp1__func__return__Clip3_variant_111)
(assert (= func__return__Clip3_variant_112 tmp1__func__return__Clip3_variant_112)) ; (func__return__Clip3_variant_112 = tmp1__func__return__Clip3_variant_112)
(assert (= func__return__Clip3_variant_113 tmp1__func__return__Clip3_variant_113)) ; (func__return__Clip3_variant_113 = tmp1__func__return__Clip3_variant_113)
(assert (= func__return__Clip3_variant_114 tmp1__func__return__Clip3_variant_114)) ; (func__return__Clip3_variant_114 = tmp1__func__return__Clip3_variant_114)
(assert (= func__return__Clip3_variant_115 tmp1__func__return__Clip3_variant_115)) ; (func__return__Clip3_variant_115 = tmp1__func__return__Clip3_variant_115)
(assert (= func__return__Clip3_variant_116 tmp1__func__return__Clip3_variant_116)) ; (func__return__Clip3_variant_116 = tmp1__func__return__Clip3_variant_116)
(assert (= func__return__Clip3_variant_117 tmp1__func__return__Clip3_variant_117)) ; (func__return__Clip3_variant_117 = tmp1__func__return__Clip3_variant_117)
(assert (= func__return__Clip3_variant_118 tmp1__func__return__Clip3_variant_118)) ; (func__return__Clip3_variant_118 = tmp1__func__return__Clip3_variant_118)
(assert (= func__return__Clip3_variant_119 tmp1__func__return__Clip3_variant_119)) ; (func__return__Clip3_variant_119 = tmp1__func__return__Clip3_variant_119)
(assert (= func__return__Clip3_variant_12 tmp1__func__return__Clip3_variant_12)) ; (func__return__Clip3_variant_12 = tmp1__func__return__Clip3_variant_12)
(assert (= func__return__Clip3_variant_120 tmp1__func__return__Clip3_variant_120)) ; (func__return__Clip3_variant_120 = tmp1__func__return__Clip3_variant_120)
(assert (= func__return__Clip3_variant_121 tmp1__func__return__Clip3_variant_121)) ; (func__return__Clip3_variant_121 = tmp1__func__return__Clip3_variant_121)
(assert (= func__return__Clip3_variant_122 tmp1__func__return__Clip3_variant_122)) ; (func__return__Clip3_variant_122 = tmp1__func__return__Clip3_variant_122)
(assert (= func__return__Clip3_variant_123 tmp1__func__return__Clip3_variant_123)) ; (func__return__Clip3_variant_123 = tmp1__func__return__Clip3_variant_123)
(assert (= func__return__Clip3_variant_124 tmp1__func__return__Clip3_variant_124)) ; (func__return__Clip3_variant_124 = tmp1__func__return__Clip3_variant_124)
(assert (= func__return__Clip3_variant_125 tmp1__func__return__Clip3_variant_125)) ; (func__return__Clip3_variant_125 = tmp1__func__return__Clip3_variant_125)
(assert (= func__return__Clip3_variant_126 tmp1__func__return__Clip3_variant_126)) ; (func__return__Clip3_variant_126 = tmp1__func__return__Clip3_variant_126)
(assert (= func__return__Clip3_variant_127 tmp1__func__return__Clip3_variant_127)) ; (func__return__Clip3_variant_127 = tmp1__func__return__Clip3_variant_127)
(assert (= func__return__Clip3_variant_128 tmp1__func__return__Clip3_variant_128)) ; (func__return__Clip3_variant_128 = tmp1__func__return__Clip3_variant_128)
(assert (= func__return__Clip3_variant_129 tmp1__func__return__Clip3_variant_129)) ; (func__return__Clip3_variant_129 = tmp1__func__return__Clip3_variant_129)
(assert (= func__return__Clip3_variant_13 tmp1__func__return__Clip3_variant_13)) ; (func__return__Clip3_variant_13 = tmp1__func__return__Clip3_variant_13)
(assert (= func__return__Clip3_variant_130 tmp1__func__return__Clip3_variant_130)) ; (func__return__Clip3_variant_130 = tmp1__func__return__Clip3_variant_130)
(assert (= func__return__Clip3_variant_131 tmp1__func__return__Clip3_variant_131)) ; (func__return__Clip3_variant_131 = tmp1__func__return__Clip3_variant_131)
(assert (= func__return__Clip3_variant_132 tmp1__func__return__Clip3_variant_132)) ; (func__return__Clip3_variant_132 = tmp1__func__return__Clip3_variant_132)
(assert (= func__return__Clip3_variant_133 tmp1__func__return__Clip3_variant_133)) ; (func__return__Clip3_variant_133 = tmp1__func__return__Clip3_variant_133)
(assert (= func__return__Clip3_variant_134 tmp1__func__return__Clip3_variant_134)) ; (func__return__Clip3_variant_134 = tmp1__func__return__Clip3_variant_134)
(assert (= func__return__Clip3_variant_135 tmp1__func__return__Clip3_variant_135)) ; (func__return__Clip3_variant_135 = tmp1__func__return__Clip3_variant_135)
(assert (= func__return__Clip3_variant_136 tmp1__func__return__Clip3_variant_136)) ; (func__return__Clip3_variant_136 = tmp1__func__return__Clip3_variant_136)
(assert (= func__return__Clip3_variant_137 tmp1__func__return__Clip3_variant_137)) ; (func__return__Clip3_variant_137 = tmp1__func__return__Clip3_variant_137)
(assert (= func__return__Clip3_variant_138 tmp1__func__return__Clip3_variant_138)) ; (func__return__Clip3_variant_138 = tmp1__func__return__Clip3_variant_138)
(assert (= func__return__Clip3_variant_139 tmp1__func__return__Clip3_variant_139)) ; (func__return__Clip3_variant_139 = tmp1__func__return__Clip3_variant_139)
(assert (= func__return__Clip3_variant_14 tmp1__func__return__Clip3_variant_14)) ; (func__return__Clip3_variant_14 = tmp1__func__return__Clip3_variant_14)
(assert (= func__return__Clip3_variant_140 tmp1__func__return__Clip3_variant_140)) ; (func__return__Clip3_variant_140 = tmp1__func__return__Clip3_variant_140)
(assert (= func__return__Clip3_variant_141 tmp1__func__return__Clip3_variant_141)) ; (func__return__Clip3_variant_141 = tmp1__func__return__Clip3_variant_141)
(assert (= func__return__Clip3_variant_142 tmp1__func__return__Clip3_variant_142)) ; (func__return__Clip3_variant_142 = tmp1__func__return__Clip3_variant_142)
(assert (= func__return__Clip3_variant_143 tmp1__func__return__Clip3_variant_143)) ; (func__return__Clip3_variant_143 = tmp1__func__return__Clip3_variant_143)
(assert (= func__return__Clip3_variant_144 tmp1__func__return__Clip3_variant_144)) ; (func__return__Clip3_variant_144 = tmp1__func__return__Clip3_variant_144)
(assert (= func__return__Clip3_variant_145 tmp1__func__return__Clip3_variant_145)) ; (func__return__Clip3_variant_145 = tmp1__func__return__Clip3_variant_145)
(assert (= func__return__Clip3_variant_146 tmp1__func__return__Clip3_variant_146)) ; (func__return__Clip3_variant_146 = tmp1__func__return__Clip3_variant_146)
(assert (= func__return__Clip3_variant_147 tmp1__func__return__Clip3_variant_147)) ; (func__return__Clip3_variant_147 = tmp1__func__return__Clip3_variant_147)
(assert (= func__return__Clip3_variant_148 tmp1__func__return__Clip3_variant_148)) ; (func__return__Clip3_variant_148 = tmp1__func__return__Clip3_variant_148)
(assert (= func__return__Clip3_variant_149 tmp1__func__return__Clip3_variant_149)) ; (func__return__Clip3_variant_149 = tmp1__func__return__Clip3_variant_149)
(assert (= func__return__Clip3_variant_15 tmp1__func__return__Clip3_variant_15)) ; (func__return__Clip3_variant_15 = tmp1__func__return__Clip3_variant_15)
(assert (= func__return__Clip3_variant_150 tmp1__func__return__Clip3_variant_150)) ; (func__return__Clip3_variant_150 = tmp1__func__return__Clip3_variant_150)
(assert (= func__return__Clip3_variant_151 tmp1__func__return__Clip3_variant_151)) ; (func__return__Clip3_variant_151 = tmp1__func__return__Clip3_variant_151)
(assert (= func__return__Clip3_variant_152 tmp1__func__return__Clip3_variant_152)) ; (func__return__Clip3_variant_152 = tmp1__func__return__Clip3_variant_152)
(assert (= func__return__Clip3_variant_153 tmp1__func__return__Clip3_variant_153)) ; (func__return__Clip3_variant_153 = tmp1__func__return__Clip3_variant_153)
(assert (= func__return__Clip3_variant_154 tmp1__func__return__Clip3_variant_154)) ; (func__return__Clip3_variant_154 = tmp1__func__return__Clip3_variant_154)
(assert (= func__return__Clip3_variant_155 tmp1__func__return__Clip3_variant_155)) ; (func__return__Clip3_variant_155 = tmp1__func__return__Clip3_variant_155)
(assert (= func__return__Clip3_variant_156 tmp1__func__return__Clip3_variant_156)) ; (func__return__Clip3_variant_156 = tmp1__func__return__Clip3_variant_156)
(assert (= func__return__Clip3_variant_157 tmp1__func__return__Clip3_variant_157)) ; (func__return__Clip3_variant_157 = tmp1__func__return__Clip3_variant_157)
(assert (= func__return__Clip3_variant_158 tmp1__func__return__Clip3_variant_158)) ; (func__return__Clip3_variant_158 = tmp1__func__return__Clip3_variant_158)
(assert (= func__return__Clip3_variant_159 tmp1__func__return__Clip3_variant_159)) ; (func__return__Clip3_variant_159 = tmp1__func__return__Clip3_variant_159)
(assert (= func__return__Clip3_variant_16 tmp1__func__return__Clip3_variant_16)) ; (func__return__Clip3_variant_16 = tmp1__func__return__Clip3_variant_16)
(assert (= func__return__Clip3_variant_160 tmp1__func__return__Clip3_variant_160)) ; (func__return__Clip3_variant_160 = tmp1__func__return__Clip3_variant_160)
(assert (= func__return__Clip3_variant_161 tmp1__func__return__Clip3_variant_161)) ; (func__return__Clip3_variant_161 = tmp1__func__return__Clip3_variant_161)
(assert (= func__return__Clip3_variant_162 tmp1__func__return__Clip3_variant_162)) ; (func__return__Clip3_variant_162 = tmp1__func__return__Clip3_variant_162)
(assert (= func__return__Clip3_variant_163 tmp1__func__return__Clip3_variant_163)) ; (func__return__Clip3_variant_163 = tmp1__func__return__Clip3_variant_163)
(assert (= func__return__Clip3_variant_164 tmp1__func__return__Clip3_variant_164)) ; (func__return__Clip3_variant_164 = tmp1__func__return__Clip3_variant_164)
(assert (= func__return__Clip3_variant_165 tmp1__func__return__Clip3_variant_165)) ; (func__return__Clip3_variant_165 = tmp1__func__return__Clip3_variant_165)
(assert (= func__return__Clip3_variant_166 tmp1__func__return__Clip3_variant_166)) ; (func__return__Clip3_variant_166 = tmp1__func__return__Clip3_variant_166)
(assert (= func__return__Clip3_variant_167 tmp1__func__return__Clip3_variant_167)) ; (func__return__Clip3_variant_167 = tmp1__func__return__Clip3_variant_167)
(assert (= func__return__Clip3_variant_168 tmp1__func__return__Clip3_variant_168)) ; (func__return__Clip3_variant_168 = tmp1__func__return__Clip3_variant_168)
(assert (= func__return__Clip3_variant_169 tmp1__func__return__Clip3_variant_169)) ; (func__return__Clip3_variant_169 = tmp1__func__return__Clip3_variant_169)
(assert (= func__return__Clip3_variant_17 tmp1__func__return__Clip3_variant_17)) ; (func__return__Clip3_variant_17 = tmp1__func__return__Clip3_variant_17)
(assert (= func__return__Clip3_variant_170 tmp1__func__return__Clip3_variant_170)) ; (func__return__Clip3_variant_170 = tmp1__func__return__Clip3_variant_170)
(assert (= func__return__Clip3_variant_171 tmp1__func__return__Clip3_variant_171)) ; (func__return__Clip3_variant_171 = tmp1__func__return__Clip3_variant_171)
(assert (= func__return__Clip3_variant_172 tmp1__func__return__Clip3_variant_172)) ; (func__return__Clip3_variant_172 = tmp1__func__return__Clip3_variant_172)
(assert (= func__return__Clip3_variant_173 tmp1__func__return__Clip3_variant_173)) ; (func__return__Clip3_variant_173 = tmp1__func__return__Clip3_variant_173)
(assert (= func__return__Clip3_variant_174 tmp1__func__return__Clip3_variant_174)) ; (func__return__Clip3_variant_174 = tmp1__func__return__Clip3_variant_174)
(assert (= func__return__Clip3_variant_175 tmp1__func__return__Clip3_variant_175)) ; (func__return__Clip3_variant_175 = tmp1__func__return__Clip3_variant_175)
(assert (= func__return__Clip3_variant_176 tmp1__func__return__Clip3_variant_176)) ; (func__return__Clip3_variant_176 = tmp1__func__return__Clip3_variant_176)
(assert (= func__return__Clip3_variant_177 tmp1__func__return__Clip3_variant_177)) ; (func__return__Clip3_variant_177 = tmp1__func__return__Clip3_variant_177)
(assert (= func__return__Clip3_variant_178 tmp1__func__return__Clip3_variant_178)) ; (func__return__Clip3_variant_178 = tmp1__func__return__Clip3_variant_178)
(assert (= func__return__Clip3_variant_179 tmp1__func__return__Clip3_variant_179)) ; (func__return__Clip3_variant_179 = tmp1__func__return__Clip3_variant_179)
(assert (= func__return__Clip3_variant_18 tmp1__func__return__Clip3_variant_18)) ; (func__return__Clip3_variant_18 = tmp1__func__return__Clip3_variant_18)
(assert (= func__return__Clip3_variant_180 tmp1__func__return__Clip3_variant_180)) ; (func__return__Clip3_variant_180 = tmp1__func__return__Clip3_variant_180)
(assert (= func__return__Clip3_variant_181 tmp1__func__return__Clip3_variant_181)) ; (func__return__Clip3_variant_181 = tmp1__func__return__Clip3_variant_181)
(assert (= func__return__Clip3_variant_182 tmp1__func__return__Clip3_variant_182)) ; (func__return__Clip3_variant_182 = tmp1__func__return__Clip3_variant_182)
(assert (= func__return__Clip3_variant_183 tmp1__func__return__Clip3_variant_183)) ; (func__return__Clip3_variant_183 = tmp1__func__return__Clip3_variant_183)
(assert (= func__return__Clip3_variant_184 tmp1__func__return__Clip3_variant_184)) ; (func__return__Clip3_variant_184 = tmp1__func__return__Clip3_variant_184)
(assert (= func__return__Clip3_variant_185 tmp1__func__return__Clip3_variant_185)) ; (func__return__Clip3_variant_185 = tmp1__func__return__Clip3_variant_185)
(assert (= func__return__Clip3_variant_186 tmp1__func__return__Clip3_variant_186)) ; (func__return__Clip3_variant_186 = tmp1__func__return__Clip3_variant_186)
(assert (= func__return__Clip3_variant_187 tmp1__func__return__Clip3_variant_187)) ; (func__return__Clip3_variant_187 = tmp1__func__return__Clip3_variant_187)
(assert (= func__return__Clip3_variant_188 tmp1__func__return__Clip3_variant_188)) ; (func__return__Clip3_variant_188 = tmp1__func__return__Clip3_variant_188)
(assert (= func__return__Clip3_variant_189 tmp1__func__return__Clip3_variant_189)) ; (func__return__Clip3_variant_189 = tmp1__func__return__Clip3_variant_189)
(assert (= func__return__Clip3_variant_19 tmp1__func__return__Clip3_variant_19)) ; (func__return__Clip3_variant_19 = tmp1__func__return__Clip3_variant_19)
(assert (= func__return__Clip3_variant_190 tmp1__func__return__Clip3_variant_190)) ; (func__return__Clip3_variant_190 = tmp1__func__return__Clip3_variant_190)
(assert (= func__return__Clip3_variant_191 tmp1__func__return__Clip3_variant_191)) ; (func__return__Clip3_variant_191 = tmp1__func__return__Clip3_variant_191)
(assert (= func__return__Clip3_variant_192 tmp1__func__return__Clip3_variant_192)) ; (func__return__Clip3_variant_192 = tmp1__func__return__Clip3_variant_192)
(assert (= func__return__Clip3_variant_193 tmp1__func__return__Clip3_variant_193)) ; (func__return__Clip3_variant_193 = tmp1__func__return__Clip3_variant_193)
(assert (= func__return__Clip3_variant_194 tmp1__func__return__Clip3_variant_194)) ; (func__return__Clip3_variant_194 = tmp1__func__return__Clip3_variant_194)
(assert (= func__return__Clip3_variant_195 tmp1__func__return__Clip3_variant_195)) ; (func__return__Clip3_variant_195 = tmp1__func__return__Clip3_variant_195)
(assert (= func__return__Clip3_variant_196 tmp1__func__return__Clip3_variant_196)) ; (func__return__Clip3_variant_196 = tmp1__func__return__Clip3_variant_196)
(assert (= func__return__Clip3_variant_197 tmp1__func__return__Clip3_variant_197)) ; (func__return__Clip3_variant_197 = tmp1__func__return__Clip3_variant_197)
(assert (= func__return__Clip3_variant_198 tmp1__func__return__Clip3_variant_198)) ; (func__return__Clip3_variant_198 = tmp1__func__return__Clip3_variant_198)
(assert (= func__return__Clip3_variant_199 tmp1__func__return__Clip3_variant_199)) ; (func__return__Clip3_variant_199 = tmp1__func__return__Clip3_variant_199)
(assert (= func__return__Clip3_variant_2 tmp1__func__return__Clip3_variant_2)) ; (func__return__Clip3_variant_2 = tmp1__func__return__Clip3_variant_2)
(assert (= func__return__Clip3_variant_20 tmp1__func__return__Clip3_variant_20)) ; (func__return__Clip3_variant_20 = tmp1__func__return__Clip3_variant_20)
(assert (= func__return__Clip3_variant_21 tmp1__func__return__Clip3_variant_21)) ; (func__return__Clip3_variant_21 = tmp1__func__return__Clip3_variant_21)
(assert (= func__return__Clip3_variant_22 tmp1__func__return__Clip3_variant_22)) ; (func__return__Clip3_variant_22 = tmp1__func__return__Clip3_variant_22)
(assert (= func__return__Clip3_variant_23 tmp1__func__return__Clip3_variant_23)) ; (func__return__Clip3_variant_23 = tmp1__func__return__Clip3_variant_23)
(assert (= func__return__Clip3_variant_24 tmp1__func__return__Clip3_variant_24)) ; (func__return__Clip3_variant_24 = tmp1__func__return__Clip3_variant_24)
(assert (= func__return__Clip3_variant_25 tmp1__func__return__Clip3_variant_25)) ; (func__return__Clip3_variant_25 = tmp1__func__return__Clip3_variant_25)
(assert (= func__return__Clip3_variant_26 tmp1__func__return__Clip3_variant_26)) ; (func__return__Clip3_variant_26 = tmp1__func__return__Clip3_variant_26)
(assert (= func__return__Clip3_variant_27 tmp1__func__return__Clip3_variant_27)) ; (func__return__Clip3_variant_27 = tmp1__func__return__Clip3_variant_27)
(assert (= func__return__Clip3_variant_28 tmp1__func__return__Clip3_variant_28)) ; (func__return__Clip3_variant_28 = tmp1__func__return__Clip3_variant_28)
(assert (= func__return__Clip3_variant_29 tmp1__func__return__Clip3_variant_29)) ; (func__return__Clip3_variant_29 = tmp1__func__return__Clip3_variant_29)
(assert (= func__return__Clip3_variant_3 tmp1__func__return__Clip3_variant_3)) ; (func__return__Clip3_variant_3 = tmp1__func__return__Clip3_variant_3)
(assert (= func__return__Clip3_variant_30 tmp1__func__return__Clip3_variant_30)) ; (func__return__Clip3_variant_30 = tmp1__func__return__Clip3_variant_30)
(assert (= func__return__Clip3_variant_31 tmp1__func__return__Clip3_variant_31)) ; (func__return__Clip3_variant_31 = tmp1__func__return__Clip3_variant_31)
(assert (= func__return__Clip3_variant_32 tmp1__func__return__Clip3_variant_32)) ; (func__return__Clip3_variant_32 = tmp1__func__return__Clip3_variant_32)
(assert (= func__return__Clip3_variant_33 tmp1__func__return__Clip3_variant_33)) ; (func__return__Clip3_variant_33 = tmp1__func__return__Clip3_variant_33)
(assert (= func__return__Clip3_variant_34 tmp1__func__return__Clip3_variant_34)) ; (func__return__Clip3_variant_34 = tmp1__func__return__Clip3_variant_34)
(assert (= func__return__Clip3_variant_35 tmp1__func__return__Clip3_variant_35)) ; (func__return__Clip3_variant_35 = tmp1__func__return__Clip3_variant_35)
(assert (= func__return__Clip3_variant_36 tmp1__func__return__Clip3_variant_36)) ; (func__return__Clip3_variant_36 = tmp1__func__return__Clip3_variant_36)
(assert (= func__return__Clip3_variant_37 tmp1__func__return__Clip3_variant_37)) ; (func__return__Clip3_variant_37 = tmp1__func__return__Clip3_variant_37)
(assert (= func__return__Clip3_variant_38 tmp1__func__return__Clip3_variant_38)) ; (func__return__Clip3_variant_38 = tmp1__func__return__Clip3_variant_38)
(assert (= func__return__Clip3_variant_39 tmp1__func__return__Clip3_variant_39)) ; (func__return__Clip3_variant_39 = tmp1__func__return__Clip3_variant_39)
(assert (= func__return__Clip3_variant_4 tmp1__func__return__Clip3_variant_4)) ; (func__return__Clip3_variant_4 = tmp1__func__return__Clip3_variant_4)
(assert (= func__return__Clip3_variant_40 tmp1__func__return__Clip3_variant_40)) ; (func__return__Clip3_variant_40 = tmp1__func__return__Clip3_variant_40)
(assert (= func__return__Clip3_variant_41 tmp1__func__return__Clip3_variant_41)) ; (func__return__Clip3_variant_41 = tmp1__func__return__Clip3_variant_41)
(assert (= func__return__Clip3_variant_42 tmp1__func__return__Clip3_variant_42)) ; (func__return__Clip3_variant_42 = tmp1__func__return__Clip3_variant_42)
(assert (= func__return__Clip3_variant_43 tmp1__func__return__Clip3_variant_43)) ; (func__return__Clip3_variant_43 = tmp1__func__return__Clip3_variant_43)
(assert (= func__return__Clip3_variant_44 tmp1__func__return__Clip3_variant_44)) ; (func__return__Clip3_variant_44 = tmp1__func__return__Clip3_variant_44)
(assert (= func__return__Clip3_variant_45 tmp1__func__return__Clip3_variant_45)) ; (func__return__Clip3_variant_45 = tmp1__func__return__Clip3_variant_45)
(assert (= func__return__Clip3_variant_46 tmp1__func__return__Clip3_variant_46)) ; (func__return__Clip3_variant_46 = tmp1__func__return__Clip3_variant_46)
(assert (= func__return__Clip3_variant_47 tmp1__func__return__Clip3_variant_47)) ; (func__return__Clip3_variant_47 = tmp1__func__return__Clip3_variant_47)
(assert (= func__return__Clip3_variant_48 tmp1__func__return__Clip3_variant_48)) ; (func__return__Clip3_variant_48 = tmp1__func__return__Clip3_variant_48)
(assert (= func__return__Clip3_variant_49 tmp1__func__return__Clip3_variant_49)) ; (func__return__Clip3_variant_49 = tmp1__func__return__Clip3_variant_49)
(assert (= func__return__Clip3_variant_5 tmp1__func__return__Clip3_variant_5)) ; (func__return__Clip3_variant_5 = tmp1__func__return__Clip3_variant_5)
(assert (= func__return__Clip3_variant_50 tmp1__func__return__Clip3_variant_50)) ; (func__return__Clip3_variant_50 = tmp1__func__return__Clip3_variant_50)
(assert (= func__return__Clip3_variant_51 tmp1__func__return__Clip3_variant_51)) ; (func__return__Clip3_variant_51 = tmp1__func__return__Clip3_variant_51)
(assert (= func__return__Clip3_variant_52 tmp1__func__return__Clip3_variant_52)) ; (func__return__Clip3_variant_52 = tmp1__func__return__Clip3_variant_52)
(assert (= func__return__Clip3_variant_53 tmp1__func__return__Clip3_variant_53)) ; (func__return__Clip3_variant_53 = tmp1__func__return__Clip3_variant_53)
(assert (= func__return__Clip3_variant_54 tmp1__func__return__Clip3_variant_54)) ; (func__return__Clip3_variant_54 = tmp1__func__return__Clip3_variant_54)
(assert (= func__return__Clip3_variant_55 tmp1__func__return__Clip3_variant_55)) ; (func__return__Clip3_variant_55 = tmp1__func__return__Clip3_variant_55)
(assert (= func__return__Clip3_variant_56 tmp1__func__return__Clip3_variant_56)) ; (func__return__Clip3_variant_56 = tmp1__func__return__Clip3_variant_56)
(assert (= func__return__Clip3_variant_57 tmp1__func__return__Clip3_variant_57)) ; (func__return__Clip3_variant_57 = tmp1__func__return__Clip3_variant_57)
(assert (= func__return__Clip3_variant_58 tmp1__func__return__Clip3_variant_58)) ; (func__return__Clip3_variant_58 = tmp1__func__return__Clip3_variant_58)
(assert (= func__return__Clip3_variant_59 tmp1__func__return__Clip3_variant_59)) ; (func__return__Clip3_variant_59 = tmp1__func__return__Clip3_variant_59)
(assert (= func__return__Clip3_variant_6 tmp1__func__return__Clip3_variant_6)) ; (func__return__Clip3_variant_6 = tmp1__func__return__Clip3_variant_6)
(assert (= func__return__Clip3_variant_60 tmp1__func__return__Clip3_variant_60)) ; (func__return__Clip3_variant_60 = tmp1__func__return__Clip3_variant_60)
(assert (= func__return__Clip3_variant_61 tmp1__func__return__Clip3_variant_61)) ; (func__return__Clip3_variant_61 = tmp1__func__return__Clip3_variant_61)
(assert (= func__return__Clip3_variant_62 tmp1__func__return__Clip3_variant_62)) ; (func__return__Clip3_variant_62 = tmp1__func__return__Clip3_variant_62)
(assert (= func__return__Clip3_variant_63 tmp1__func__return__Clip3_variant_63)) ; (func__return__Clip3_variant_63 = tmp1__func__return__Clip3_variant_63)
(assert (= func__return__Clip3_variant_64 tmp1__func__return__Clip3_variant_64)) ; (func__return__Clip3_variant_64 = tmp1__func__return__Clip3_variant_64)
(assert (= func__return__Clip3_variant_65 tmp1__func__return__Clip3_variant_65)) ; (func__return__Clip3_variant_65 = tmp1__func__return__Clip3_variant_65)
(assert (= func__return__Clip3_variant_66 tmp1__func__return__Clip3_variant_66)) ; (func__return__Clip3_variant_66 = tmp1__func__return__Clip3_variant_66)
(assert (= func__return__Clip3_variant_67 tmp1__func__return__Clip3_variant_67)) ; (func__return__Clip3_variant_67 = tmp1__func__return__Clip3_variant_67)
(assert (= func__return__Clip3_variant_68 tmp1__func__return__Clip3_variant_68)) ; (func__return__Clip3_variant_68 = tmp1__func__return__Clip3_variant_68)
(assert (= func__return__Clip3_variant_69 tmp1__func__return__Clip3_variant_69)) ; (func__return__Clip3_variant_69 = tmp1__func__return__Clip3_variant_69)
(assert (= func__return__Clip3_variant_7 tmp1__func__return__Clip3_variant_7)) ; (func__return__Clip3_variant_7 = tmp1__func__return__Clip3_variant_7)
(assert (= func__return__Clip3_variant_70 tmp1__func__return__Clip3_variant_70)) ; (func__return__Clip3_variant_70 = tmp1__func__return__Clip3_variant_70)
(assert (= func__return__Clip3_variant_71 tmp1__func__return__Clip3_variant_71)) ; (func__return__Clip3_variant_71 = tmp1__func__return__Clip3_variant_71)
(assert (= func__return__Clip3_variant_72 tmp1__func__return__Clip3_variant_72)) ; (func__return__Clip3_variant_72 = tmp1__func__return__Clip3_variant_72)
(assert (= func__return__Clip3_variant_73 tmp1__func__return__Clip3_variant_73)) ; (func__return__Clip3_variant_73 = tmp1__func__return__Clip3_variant_73)
(assert (= func__return__Clip3_variant_74 tmp1__func__return__Clip3_variant_74)) ; (func__return__Clip3_variant_74 = tmp1__func__return__Clip3_variant_74)
(assert (= func__return__Clip3_variant_75 tmp1__func__return__Clip3_variant_75)) ; (func__return__Clip3_variant_75 = tmp1__func__return__Clip3_variant_75)
(assert (= func__return__Clip3_variant_76 tmp1__func__return__Clip3_variant_76)) ; (func__return__Clip3_variant_76 = tmp1__func__return__Clip3_variant_76)
(assert (= func__return__Clip3_variant_77 tmp1__func__return__Clip3_variant_77)) ; (func__return__Clip3_variant_77 = tmp1__func__return__Clip3_variant_77)
(assert (= func__return__Clip3_variant_78 tmp1__func__return__Clip3_variant_78)) ; (func__return__Clip3_variant_78 = tmp1__func__return__Clip3_variant_78)
(assert (= func__return__Clip3_variant_79 tmp1__func__return__Clip3_variant_79)) ; (func__return__Clip3_variant_79 = tmp1__func__return__Clip3_variant_79)
(assert (= func__return__Clip3_variant_8 tmp1__func__return__Clip3_variant_8)) ; (func__return__Clip3_variant_8 = tmp1__func__return__Clip3_variant_8)
(assert (= func__return__Clip3_variant_80 tmp1__func__return__Clip3_variant_80)) ; (func__return__Clip3_variant_80 = tmp1__func__return__Clip3_variant_80)
(assert (= func__return__Clip3_variant_81 tmp1__func__return__Clip3_variant_81)) ; (func__return__Clip3_variant_81 = tmp1__func__return__Clip3_variant_81)
(assert (= func__return__Clip3_variant_82 tmp1__func__return__Clip3_variant_82)) ; (func__return__Clip3_variant_82 = tmp1__func__return__Clip3_variant_82)
(assert (= func__return__Clip3_variant_83 tmp1__func__return__Clip3_variant_83)) ; (func__return__Clip3_variant_83 = tmp1__func__return__Clip3_variant_83)
(assert (= func__return__Clip3_variant_84 tmp1__func__return__Clip3_variant_84)) ; (func__return__Clip3_variant_84 = tmp1__func__return__Clip3_variant_84)
(assert (= func__return__Clip3_variant_85 tmp1__func__return__Clip3_variant_85)) ; (func__return__Clip3_variant_85 = tmp1__func__return__Clip3_variant_85)
(assert (= func__return__Clip3_variant_86 tmp1__func__return__Clip3_variant_86)) ; (func__return__Clip3_variant_86 = tmp1__func__return__Clip3_variant_86)
(assert (= func__return__Clip3_variant_87 tmp1__func__return__Clip3_variant_87)) ; (func__return__Clip3_variant_87 = tmp1__func__return__Clip3_variant_87)
(assert (= func__return__Clip3_variant_88 tmp1__func__return__Clip3_variant_88)) ; (func__return__Clip3_variant_88 = tmp1__func__return__Clip3_variant_88)
(assert (= func__return__Clip3_variant_89 tmp1__func__return__Clip3_variant_89)) ; (func__return__Clip3_variant_89 = tmp1__func__return__Clip3_variant_89)
(assert (= func__return__Clip3_variant_9 tmp1__func__return__Clip3_variant_9)) ; (func__return__Clip3_variant_9 = tmp1__func__return__Clip3_variant_9)
(assert (= func__return__Clip3_variant_90 tmp1__func__return__Clip3_variant_90)) ; (func__return__Clip3_variant_90 = tmp1__func__return__Clip3_variant_90)
(assert (= func__return__Clip3_variant_91 tmp1__func__return__Clip3_variant_91)) ; (func__return__Clip3_variant_91 = tmp1__func__return__Clip3_variant_91)
(assert (= func__return__Clip3_variant_92 tmp1__func__return__Clip3_variant_92)) ; (func__return__Clip3_variant_92 = tmp1__func__return__Clip3_variant_92)
(assert (= func__return__Clip3_variant_93 tmp1__func__return__Clip3_variant_93)) ; (func__return__Clip3_variant_93 = tmp1__func__return__Clip3_variant_93)
(assert (= func__return__Clip3_variant_94 tmp1__func__return__Clip3_variant_94)) ; (func__return__Clip3_variant_94 = tmp1__func__return__Clip3_variant_94)
(assert (= func__return__Clip3_variant_95 tmp1__func__return__Clip3_variant_95)) ; (func__return__Clip3_variant_95 = tmp1__func__return__Clip3_variant_95)
(assert (= func__return__Clip3_variant_96 tmp1__func__return__Clip3_variant_96)) ; (func__return__Clip3_variant_96 = tmp1__func__return__Clip3_variant_96)
(assert (= func__return__Clip3_variant_97 tmp1__func__return__Clip3_variant_97)) ; (func__return__Clip3_variant_97 = tmp1__func__return__Clip3_variant_97)
(assert (= func__return__Clip3_variant_98 tmp1__func__return__Clip3_variant_98)) ; (func__return__Clip3_variant_98 = tmp1__func__return__Clip3_variant_98)
(assert (= func__return__Clip3_variant_99 tmp1__func__return__Clip3_variant_99)) ; (func__return__Clip3_variant_99 = tmp1__func__return__Clip3_variant_99)
(assert (= func_bio_opt__b tmp128__func_bio_opt__b)) ; (func_bio_opt__b = tmp128__func_bio_opt__b)
(assert (= func_bio_opt__t tmp64__func_bio_opt__t)) ; (func_bio_opt__t = tmp64__func_bio_opt__t)
(assert (= func_bio_opt__t1 tmp64__func_bio_opt__t1)) ; (func_bio_opt__t1 = tmp64__func_bio_opt__t1)
(assert (= func_bio_opt__t2 tmp64__func_bio_opt__t2)) ; (func_bio_opt__t2 = tmp64__func_bio_opt__t2)
(assert (= func_bio_opt__t3 tmp64__func_bio_opt__t3)) ; (func_bio_opt__t3 = tmp64__func_bio_opt__t3)
(assert (= func_bio_opt__t4 tmp64__func_bio_opt__t4)) ; (func_bio_opt__t4 = tmp64__func_bio_opt__t4)
(assert (= func_bio_opt__t5 tmp64__func_bio_opt__t5)) ; (func_bio_opt__t5 = tmp64__func_bio_opt__t5)
(assert (= func_bio_opt__tx tmp64__func_bio_opt__tx)) ; (func_bio_opt__tx = tmp64__func_bio_opt__tx)
(assert (= func_bio_opt__ty tmp64__func_bio_opt__ty)) ; (func_bio_opt__ty = tmp64__func_bio_opt__ty)
(assert (= func_bio_opt__vx tmp20__func_bio_opt__vx)) ; (func_bio_opt__vx = tmp20__func_bio_opt__vx)
(assert (= func_bio_opt__vy tmp20__func_bio_opt__vy)) ; (func_bio_opt__vy = tmp20__func_bio_opt__vy)
(assert (= func_com_grad_x_l_nn__val tmp184__func_com_grad_x_l_nn__val)) ; (func_com_grad_x_l_nn__val = tmp184__func_com_grad_x_l_nn__val)
(assert (= func_com_grad_x_l_nn_variant_1__val tmp184__func_com_grad_x_l_nn_variant_1__val)) ; (func_com_grad_x_l_nn_variant_1__val = tmp184__func_com_grad_x_l_nn_variant_1__val)
(assert (= func_com_grad_y_l_nn__val tmp184__func_com_grad_y_l_nn__val)) ; (func_com_grad_y_l_nn__val = tmp184__func_com_grad_y_l_nn__val)
(assert (= func_com_grad_y_l_nn_variant_1__val tmp184__func_com_grad_y_l_nn_variant_1__val)) ; (func_com_grad_y_l_nn_variant_1__val = tmp184__func_com_grad_y_l_nn_variant_1__val)
(assert (= func_com_mc_l_nn__val tmp184__func_com_mc_l_nn__val)) ; (func_com_mc_l_nn__val = tmp184__func_com_mc_l_nn__val)
(assert (= func_com_mc_l_nn_variant_1__val tmp184__func_com_mc_l_nn_variant_1__val)) ; (func_com_mc_l_nn_variant_1__val = tmp184__func_com_mc_l_nn_variant_1__val)
(assert (= global__0__instrumented__ tmp64__global__0__instrumented__)) ; (global__0__instrumented__ = tmp64__global__0__instrumented__)
(assert (= global__10__instrumented__ tmp64__global__10__instrumented__)) ; (global__10__instrumented__ = tmp64__global__10__instrumented__)
(assert (= global__11__instrumented__ tmp64__global__11__instrumented__)) ; (global__11__instrumented__ = tmp64__global__11__instrumented__)
(assert (= global__12__instrumented__ tmp64__global__12__instrumented__)) ; (global__12__instrumented__ = tmp64__global__12__instrumented__)
(assert (= global__13__instrumented__ tmp64__global__13__instrumented__)) ; (global__13__instrumented__ = tmp64__global__13__instrumented__)
(assert (= global__14__instrumented__ tmp64__global__14__instrumented__)) ; (global__14__instrumented__ = tmp64__global__14__instrumented__)
(assert (= global__15__instrumented__ tmp4__global__15__instrumented__)) ; (global__15__instrumented__ = tmp4__global__15__instrumented__)
(assert (= global__16__instrumented__ tmp7__global__16__instrumented__)) ; (global__16__instrumented__ = tmp7__global__16__instrumented__)
(assert (= global__17__instrumented__ tmp4__global__17__instrumented__)) ; (global__17__instrumented__ = tmp4__global__17__instrumented__)
(assert (= global__18__instrumented__ tmp7__global__18__instrumented__)) ; (global__18__instrumented__ = tmp7__global__18__instrumented__)
(assert (= global__19__instrumented__ tmp7__global__19__instrumented__)) ; (global__19__instrumented__ = tmp7__global__19__instrumented__)
(assert (= global__1__instrumented__ tmp64__global__1__instrumented__)) ; (global__1__instrumented__ = tmp64__global__1__instrumented__)
(assert (= global__20__instrumented__ tmp7__global__20__instrumented__)) ; (global__20__instrumented__ = tmp7__global__20__instrumented__)
(assert (= global__21__instrumented__ tmp64__global__21__instrumented__)) ; (global__21__instrumented__ = tmp64__global__21__instrumented__)
(assert (= global__22__instrumented__ tmp64__global__22__instrumented__)) ; (global__22__instrumented__ = tmp64__global__22__instrumented__)
(assert (= global__23__instrumented__ tmp64__global__23__instrumented__)) ; (global__23__instrumented__ = tmp64__global__23__instrumented__)
(assert (= global__24__instrumented__ tmp64__global__24__instrumented__)) ; (global__24__instrumented__ = tmp64__global__24__instrumented__)
(assert (= global__25__instrumented__ tmp64__global__25__instrumented__)) ; (global__25__instrumented__ = tmp64__global__25__instrumented__)
(assert (= global__26__instrumented__ tmp64__global__26__instrumented__)) ; (global__26__instrumented__ = tmp64__global__26__instrumented__)
(assert (= global__27__instrumented__ tmp64__global__27__instrumented__)) ; (global__27__instrumented__ = tmp64__global__27__instrumented__)
(assert (= global__28__instrumented__ tmp64__global__28__instrumented__)) ; (global__28__instrumented__ = tmp64__global__28__instrumented__)
(assert (= global__29__instrumented__ tmp64__global__29__instrumented__)) ; (global__29__instrumented__ = tmp64__global__29__instrumented__)
(assert (= global__2__instrumented__ tmp64__global__2__instrumented__)) ; (global__2__instrumented__ = tmp64__global__2__instrumented__)
(assert (= global__30__instrumented__ tmp64__global__30__instrumented__)) ; (global__30__instrumented__ = tmp64__global__30__instrumented__)
(assert (= global__31__instrumented__ tmp64__global__31__instrumented__)) ; (global__31__instrumented__ = tmp64__global__31__instrumented__)
(assert (= global__3__instrumented__ tmp64__global__3__instrumented__)) ; (global__3__instrumented__ = tmp64__global__3__instrumented__)
(assert (= global__4__instrumented__ tmp64__global__4__instrumented__)) ; (global__4__instrumented__ = tmp64__global__4__instrumented__)
(assert (= global__5__instrumented__ tmp64__global__5__instrumented__)) ; (global__5__instrumented__ = tmp64__global__5__instrumented__)
(assert (= global__6__instrumented__ tmp64__global__6__instrumented__)) ; (global__6__instrumented__ = tmp64__global__6__instrumented__)
(assert (= global__7__instrumented__ tmp64__global__7__instrumented__)) ; (global__7__instrumented__ = tmp64__global__7__instrumented__)
(assert (= global__8__instrumented__ tmp64__global__8__instrumented__)) ; (global__8__instrumented__ = tmp64__global__8__instrumented__)
(assert (= global__9__instrumented__ tmp64__global__9__instrumented__)) ; (global__9__instrumented__ = tmp64__global__9__instrumented__)
(assert (= global__buf_0 tmp7__global__buf_0)) ; (global__buf_0 = tmp7__global__buf_0)
(assert (= global__buf_1 tmp7__global__buf_1)) ; (global__buf_1 = tmp7__global__buf_1)
(assert (= global__buf_10 tmp7__global__buf_10)) ; (global__buf_10 = tmp7__global__buf_10)
(assert (= global__buf_100 tmp7__global__buf_100)) ; (global__buf_100 = tmp7__global__buf_100)
(assert (= global__buf_101 tmp7__global__buf_101)) ; (global__buf_101 = tmp7__global__buf_101)
(assert (= global__buf_102 tmp7__global__buf_102)) ; (global__buf_102 = tmp7__global__buf_102)
(assert (= global__buf_103 tmp7__global__buf_103)) ; (global__buf_103 = tmp7__global__buf_103)
(assert (= global__buf_104 tmp7__global__buf_104)) ; (global__buf_104 = tmp7__global__buf_104)
(assert (= global__buf_105 tmp7__global__buf_105)) ; (global__buf_105 = tmp7__global__buf_105)
(assert (= global__buf_106 tmp7__global__buf_106)) ; (global__buf_106 = tmp7__global__buf_106)
(assert (= global__buf_107 tmp7__global__buf_107)) ; (global__buf_107 = tmp7__global__buf_107)
(assert (= global__buf_108 tmp7__global__buf_108)) ; (global__buf_108 = tmp7__global__buf_108)
(assert (= global__buf_109 tmp7__global__buf_109)) ; (global__buf_109 = tmp7__global__buf_109)
(assert (= global__buf_11 tmp7__global__buf_11)) ; (global__buf_11 = tmp7__global__buf_11)
(assert (= global__buf_110 tmp7__global__buf_110)) ; (global__buf_110 = tmp7__global__buf_110)
(assert (= global__buf_111 tmp7__global__buf_111)) ; (global__buf_111 = tmp7__global__buf_111)
(assert (= global__buf_112 tmp7__global__buf_112)) ; (global__buf_112 = tmp7__global__buf_112)
(assert (= global__buf_113 tmp7__global__buf_113)) ; (global__buf_113 = tmp7__global__buf_113)
(assert (= global__buf_114 tmp7__global__buf_114)) ; (global__buf_114 = tmp7__global__buf_114)
(assert (= global__buf_115 tmp7__global__buf_115)) ; (global__buf_115 = tmp7__global__buf_115)
(assert (= global__buf_116 tmp7__global__buf_116)) ; (global__buf_116 = tmp7__global__buf_116)
(assert (= global__buf_117 tmp7__global__buf_117)) ; (global__buf_117 = tmp7__global__buf_117)
(assert (= global__buf_118 tmp7__global__buf_118)) ; (global__buf_118 = tmp7__global__buf_118)
(assert (= global__buf_119 tmp7__global__buf_119)) ; (global__buf_119 = tmp7__global__buf_119)
(assert (= global__buf_12 tmp7__global__buf_12)) ; (global__buf_12 = tmp7__global__buf_12)
(assert (= global__buf_13 tmp7__global__buf_13)) ; (global__buf_13 = tmp7__global__buf_13)
(assert (= global__buf_14 tmp7__global__buf_14)) ; (global__buf_14 = tmp7__global__buf_14)
(assert (= global__buf_15 tmp7__global__buf_15)) ; (global__buf_15 = tmp7__global__buf_15)
(assert (= global__buf_16 tmp7__global__buf_16)) ; (global__buf_16 = tmp7__global__buf_16)
(assert (= global__buf_17 tmp7__global__buf_17)) ; (global__buf_17 = tmp7__global__buf_17)
(assert (= global__buf_18 tmp7__global__buf_18)) ; (global__buf_18 = tmp7__global__buf_18)
(assert (= global__buf_19 tmp7__global__buf_19)) ; (global__buf_19 = tmp7__global__buf_19)
(assert (= global__buf_2 tmp7__global__buf_2)) ; (global__buf_2 = tmp7__global__buf_2)
(assert (= global__buf_20 tmp7__global__buf_20)) ; (global__buf_20 = tmp7__global__buf_20)
(assert (= global__buf_21 tmp7__global__buf_21)) ; (global__buf_21 = tmp7__global__buf_21)
(assert (= global__buf_22 tmp7__global__buf_22)) ; (global__buf_22 = tmp7__global__buf_22)
(assert (= global__buf_23 tmp7__global__buf_23)) ; (global__buf_23 = tmp7__global__buf_23)
(assert (= global__buf_24 tmp7__global__buf_24)) ; (global__buf_24 = tmp7__global__buf_24)
(assert (= global__buf_25 tmp7__global__buf_25)) ; (global__buf_25 = tmp7__global__buf_25)
(assert (= global__buf_26 tmp7__global__buf_26)) ; (global__buf_26 = tmp7__global__buf_26)
(assert (= global__buf_27 tmp7__global__buf_27)) ; (global__buf_27 = tmp7__global__buf_27)
(assert (= global__buf_28 tmp7__global__buf_28)) ; (global__buf_28 = tmp7__global__buf_28)
(assert (= global__buf_29 tmp7__global__buf_29)) ; (global__buf_29 = tmp7__global__buf_29)
(assert (= global__buf_3 tmp7__global__buf_3)) ; (global__buf_3 = tmp7__global__buf_3)
(assert (= global__buf_30 tmp7__global__buf_30)) ; (global__buf_30 = tmp7__global__buf_30)
(assert (= global__buf_31 tmp7__global__buf_31)) ; (global__buf_31 = tmp7__global__buf_31)
(assert (= global__buf_32 tmp7__global__buf_32)) ; (global__buf_32 = tmp7__global__buf_32)
(assert (= global__buf_33 tmp7__global__buf_33)) ; (global__buf_33 = tmp7__global__buf_33)
(assert (= global__buf_34 tmp7__global__buf_34)) ; (global__buf_34 = tmp7__global__buf_34)
(assert (= global__buf_35 tmp7__global__buf_35)) ; (global__buf_35 = tmp7__global__buf_35)
(assert (= global__buf_36 tmp7__global__buf_36)) ; (global__buf_36 = tmp7__global__buf_36)
(assert (= global__buf_37 tmp7__global__buf_37)) ; (global__buf_37 = tmp7__global__buf_37)
(assert (= global__buf_38 tmp7__global__buf_38)) ; (global__buf_38 = tmp7__global__buf_38)
(assert (= global__buf_39 tmp7__global__buf_39)) ; (global__buf_39 = tmp7__global__buf_39)
(assert (= global__buf_4 tmp7__global__buf_4)) ; (global__buf_4 = tmp7__global__buf_4)
(assert (= global__buf_40 tmp7__global__buf_40)) ; (global__buf_40 = tmp7__global__buf_40)
(assert (= global__buf_41 tmp7__global__buf_41)) ; (global__buf_41 = tmp7__global__buf_41)
(assert (= global__buf_42 tmp7__global__buf_42)) ; (global__buf_42 = tmp7__global__buf_42)
(assert (= global__buf_43 tmp7__global__buf_43)) ; (global__buf_43 = tmp7__global__buf_43)
(assert (= global__buf_44 tmp7__global__buf_44)) ; (global__buf_44 = tmp7__global__buf_44)
(assert (= global__buf_45 tmp7__global__buf_45)) ; (global__buf_45 = tmp7__global__buf_45)
(assert (= global__buf_46 tmp7__global__buf_46)) ; (global__buf_46 = tmp7__global__buf_46)
(assert (= global__buf_47 tmp7__global__buf_47)) ; (global__buf_47 = tmp7__global__buf_47)
(assert (= global__buf_48 tmp7__global__buf_48)) ; (global__buf_48 = tmp7__global__buf_48)
(assert (= global__buf_49 tmp7__global__buf_49)) ; (global__buf_49 = tmp7__global__buf_49)
(assert (= global__buf_5 tmp7__global__buf_5)) ; (global__buf_5 = tmp7__global__buf_5)
(assert (= global__buf_50 tmp7__global__buf_50)) ; (global__buf_50 = tmp7__global__buf_50)
(assert (= global__buf_51 tmp7__global__buf_51)) ; (global__buf_51 = tmp7__global__buf_51)
(assert (= global__buf_52 tmp7__global__buf_52)) ; (global__buf_52 = tmp7__global__buf_52)
(assert (= global__buf_53 tmp7__global__buf_53)) ; (global__buf_53 = tmp7__global__buf_53)
(assert (= global__buf_54 tmp7__global__buf_54)) ; (global__buf_54 = tmp7__global__buf_54)
(assert (= global__buf_55 tmp7__global__buf_55)) ; (global__buf_55 = tmp7__global__buf_55)
(assert (= global__buf_56 tmp7__global__buf_56)) ; (global__buf_56 = tmp7__global__buf_56)
(assert (= global__buf_57 tmp7__global__buf_57)) ; (global__buf_57 = tmp7__global__buf_57)
(assert (= global__buf_58 tmp7__global__buf_58)) ; (global__buf_58 = tmp7__global__buf_58)
(assert (= global__buf_59 tmp7__global__buf_59)) ; (global__buf_59 = tmp7__global__buf_59)
(assert (= global__buf_6 tmp7__global__buf_6)) ; (global__buf_6 = tmp7__global__buf_6)
(assert (= global__buf_60 tmp7__global__buf_60)) ; (global__buf_60 = tmp7__global__buf_60)
(assert (= global__buf_61 tmp7__global__buf_61)) ; (global__buf_61 = tmp7__global__buf_61)
(assert (= global__buf_62 tmp7__global__buf_62)) ; (global__buf_62 = tmp7__global__buf_62)
(assert (= global__buf_63 tmp7__global__buf_63)) ; (global__buf_63 = tmp7__global__buf_63)
(assert (= global__buf_64 tmp7__global__buf_64)) ; (global__buf_64 = tmp7__global__buf_64)
(assert (= global__buf_65 tmp7__global__buf_65)) ; (global__buf_65 = tmp7__global__buf_65)
(assert (= global__buf_66 tmp7__global__buf_66)) ; (global__buf_66 = tmp7__global__buf_66)
(assert (= global__buf_67 tmp7__global__buf_67)) ; (global__buf_67 = tmp7__global__buf_67)
(assert (= global__buf_68 tmp7__global__buf_68)) ; (global__buf_68 = tmp7__global__buf_68)
(assert (= global__buf_69 tmp7__global__buf_69)) ; (global__buf_69 = tmp7__global__buf_69)
(assert (= global__buf_7 tmp7__global__buf_7)) ; (global__buf_7 = tmp7__global__buf_7)
(assert (= global__buf_70 tmp7__global__buf_70)) ; (global__buf_70 = tmp7__global__buf_70)
(assert (= global__buf_71 tmp7__global__buf_71)) ; (global__buf_71 = tmp7__global__buf_71)
(assert (= global__buf_72 tmp7__global__buf_72)) ; (global__buf_72 = tmp7__global__buf_72)
(assert (= global__buf_73 tmp7__global__buf_73)) ; (global__buf_73 = tmp7__global__buf_73)
(assert (= global__buf_74 tmp7__global__buf_74)) ; (global__buf_74 = tmp7__global__buf_74)
(assert (= global__buf_75 tmp7__global__buf_75)) ; (global__buf_75 = tmp7__global__buf_75)
(assert (= global__buf_76 tmp7__global__buf_76)) ; (global__buf_76 = tmp7__global__buf_76)
(assert (= global__buf_77 tmp7__global__buf_77)) ; (global__buf_77 = tmp7__global__buf_77)
(assert (= global__buf_78 tmp7__global__buf_78)) ; (global__buf_78 = tmp7__global__buf_78)
(assert (= global__buf_79 tmp7__global__buf_79)) ; (global__buf_79 = tmp7__global__buf_79)
(assert (= global__buf_8 tmp7__global__buf_8)) ; (global__buf_8 = tmp7__global__buf_8)
(assert (= global__buf_80 tmp7__global__buf_80)) ; (global__buf_80 = tmp7__global__buf_80)
(assert (= global__buf_81 tmp7__global__buf_81)) ; (global__buf_81 = tmp7__global__buf_81)
(assert (= global__buf_82 tmp7__global__buf_82)) ; (global__buf_82 = tmp7__global__buf_82)
(assert (= global__buf_83 tmp7__global__buf_83)) ; (global__buf_83 = tmp7__global__buf_83)
(assert (= global__buf_84 tmp7__global__buf_84)) ; (global__buf_84 = tmp7__global__buf_84)
(assert (= global__buf_85 tmp7__global__buf_85)) ; (global__buf_85 = tmp7__global__buf_85)
(assert (= global__buf_86 tmp7__global__buf_86)) ; (global__buf_86 = tmp7__global__buf_86)
(assert (= global__buf_87 tmp7__global__buf_87)) ; (global__buf_87 = tmp7__global__buf_87)
(assert (= global__buf_88 tmp7__global__buf_88)) ; (global__buf_88 = tmp7__global__buf_88)
(assert (= global__buf_89 tmp7__global__buf_89)) ; (global__buf_89 = tmp7__global__buf_89)
(assert (= global__buf_9 tmp7__global__buf_9)) ; (global__buf_9 = tmp7__global__buf_9)
(assert (= global__buf_90 tmp7__global__buf_90)) ; (global__buf_90 = tmp7__global__buf_90)
(assert (= global__buf_91 tmp7__global__buf_91)) ; (global__buf_91 = tmp7__global__buf_91)
(assert (= global__buf_92 tmp7__global__buf_92)) ; (global__buf_92 = tmp7__global__buf_92)
(assert (= global__buf_93 tmp7__global__buf_93)) ; (global__buf_93 = tmp7__global__buf_93)
(assert (= global__buf_94 tmp7__global__buf_94)) ; (global__buf_94 = tmp7__global__buf_94)
(assert (= global__buf_95 tmp7__global__buf_95)) ; (global__buf_95 = tmp7__global__buf_95)
(assert (= global__buf_96 tmp7__global__buf_96)) ; (global__buf_96 = tmp7__global__buf_96)
(assert (= global__buf_97 tmp7__global__buf_97)) ; (global__buf_97 = tmp7__global__buf_97)
(assert (= global__buf_98 tmp7__global__buf_98)) ; (global__buf_98 = tmp7__global__buf_98)
(assert (= global__buf_99 tmp7__global__buf_99)) ; (global__buf_99 = tmp7__global__buf_99)
(assert (= global__gradXL0_0 tmp1__global__gradXL0_0)) ; (global__gradXL0_0 = tmp1__global__gradXL0_0)
(assert (= global__gradXL0_1 tmp1__global__gradXL0_1)) ; (global__gradXL0_1 = tmp1__global__gradXL0_1)
(assert (= global__gradXL0_10 tmp1__global__gradXL0_10)) ; (global__gradXL0_10 = tmp1__global__gradXL0_10)
(assert (= global__gradXL0_11 tmp1__global__gradXL0_11)) ; (global__gradXL0_11 = tmp1__global__gradXL0_11)
(assert (= global__gradXL0_12 tmp1__global__gradXL0_12)) ; (global__gradXL0_12 = tmp1__global__gradXL0_12)
(assert (= global__gradXL0_13 tmp1__global__gradXL0_13)) ; (global__gradXL0_13 = tmp1__global__gradXL0_13)
(assert (= global__gradXL0_14 tmp1__global__gradXL0_14)) ; (global__gradXL0_14 = tmp1__global__gradXL0_14)
(assert (= global__gradXL0_15 tmp1__global__gradXL0_15)) ; (global__gradXL0_15 = tmp1__global__gradXL0_15)
(assert (= global__gradXL0_16 tmp1__global__gradXL0_16)) ; (global__gradXL0_16 = tmp1__global__gradXL0_16)
(assert (= global__gradXL0_17 tmp1__global__gradXL0_17)) ; (global__gradXL0_17 = tmp1__global__gradXL0_17)
(assert (= global__gradXL0_18 tmp1__global__gradXL0_18)) ; (global__gradXL0_18 = tmp1__global__gradXL0_18)
(assert (= global__gradXL0_19 tmp1__global__gradXL0_19)) ; (global__gradXL0_19 = tmp1__global__gradXL0_19)
(assert (= global__gradXL0_2 tmp1__global__gradXL0_2)) ; (global__gradXL0_2 = tmp1__global__gradXL0_2)
(assert (= global__gradXL0_20 tmp1__global__gradXL0_20)) ; (global__gradXL0_20 = tmp1__global__gradXL0_20)
(assert (= global__gradXL0_21 tmp1__global__gradXL0_21)) ; (global__gradXL0_21 = tmp1__global__gradXL0_21)
(assert (= global__gradXL0_22 tmp1__global__gradXL0_22)) ; (global__gradXL0_22 = tmp1__global__gradXL0_22)
(assert (= global__gradXL0_23 tmp1__global__gradXL0_23)) ; (global__gradXL0_23 = tmp1__global__gradXL0_23)
(assert (= global__gradXL0_24 tmp1__global__gradXL0_24)) ; (global__gradXL0_24 = tmp1__global__gradXL0_24)
(assert (= global__gradXL0_25 tmp1__global__gradXL0_25)) ; (global__gradXL0_25 = tmp1__global__gradXL0_25)
(assert (= global__gradXL0_26 tmp1__global__gradXL0_26)) ; (global__gradXL0_26 = tmp1__global__gradXL0_26)
(assert (= global__gradXL0_27 tmp1__global__gradXL0_27)) ; (global__gradXL0_27 = tmp1__global__gradXL0_27)
(assert (= global__gradXL0_28 tmp1__global__gradXL0_28)) ; (global__gradXL0_28 = tmp1__global__gradXL0_28)
(assert (= global__gradXL0_29 tmp1__global__gradXL0_29)) ; (global__gradXL0_29 = tmp1__global__gradXL0_29)
(assert (= global__gradXL0_3 tmp1__global__gradXL0_3)) ; (global__gradXL0_3 = tmp1__global__gradXL0_3)
(assert (= global__gradXL0_30 tmp1__global__gradXL0_30)) ; (global__gradXL0_30 = tmp1__global__gradXL0_30)
(assert (= global__gradXL0_31 tmp1__global__gradXL0_31)) ; (global__gradXL0_31 = tmp1__global__gradXL0_31)
(assert (= global__gradXL0_32 tmp1__global__gradXL0_32)) ; (global__gradXL0_32 = tmp1__global__gradXL0_32)
(assert (= global__gradXL0_33 tmp1__global__gradXL0_33)) ; (global__gradXL0_33 = tmp1__global__gradXL0_33)
(assert (= global__gradXL0_34 tmp1__global__gradXL0_34)) ; (global__gradXL0_34 = tmp1__global__gradXL0_34)
(assert (= global__gradXL0_35 tmp1__global__gradXL0_35)) ; (global__gradXL0_35 = tmp1__global__gradXL0_35)
(assert (= global__gradXL0_36 tmp1__global__gradXL0_36)) ; (global__gradXL0_36 = tmp1__global__gradXL0_36)
(assert (= global__gradXL0_37 tmp1__global__gradXL0_37)) ; (global__gradXL0_37 = tmp1__global__gradXL0_37)
(assert (= global__gradXL0_38 tmp1__global__gradXL0_38)) ; (global__gradXL0_38 = tmp1__global__gradXL0_38)
(assert (= global__gradXL0_39 tmp1__global__gradXL0_39)) ; (global__gradXL0_39 = tmp1__global__gradXL0_39)
(assert (= global__gradXL0_4 tmp1__global__gradXL0_4)) ; (global__gradXL0_4 = tmp1__global__gradXL0_4)
(assert (= global__gradXL0_40 tmp1__global__gradXL0_40)) ; (global__gradXL0_40 = tmp1__global__gradXL0_40)
(assert (= global__gradXL0_41 tmp1__global__gradXL0_41)) ; (global__gradXL0_41 = tmp1__global__gradXL0_41)
(assert (= global__gradXL0_42 tmp1__global__gradXL0_42)) ; (global__gradXL0_42 = tmp1__global__gradXL0_42)
(assert (= global__gradXL0_43 tmp1__global__gradXL0_43)) ; (global__gradXL0_43 = tmp1__global__gradXL0_43)
(assert (= global__gradXL0_44 tmp1__global__gradXL0_44)) ; (global__gradXL0_44 = tmp1__global__gradXL0_44)
(assert (= global__gradXL0_45 tmp1__global__gradXL0_45)) ; (global__gradXL0_45 = tmp1__global__gradXL0_45)
(assert (= global__gradXL0_46 tmp1__global__gradXL0_46)) ; (global__gradXL0_46 = tmp1__global__gradXL0_46)
(assert (= global__gradXL0_47 tmp1__global__gradXL0_47)) ; (global__gradXL0_47 = tmp1__global__gradXL0_47)
(assert (= global__gradXL0_48 tmp1__global__gradXL0_48)) ; (global__gradXL0_48 = tmp1__global__gradXL0_48)
(assert (= global__gradXL0_49 tmp1__global__gradXL0_49)) ; (global__gradXL0_49 = tmp1__global__gradXL0_49)
(assert (= global__gradXL0_5 tmp1__global__gradXL0_5)) ; (global__gradXL0_5 = tmp1__global__gradXL0_5)
(assert (= global__gradXL0_50 tmp1__global__gradXL0_50)) ; (global__gradXL0_50 = tmp1__global__gradXL0_50)
(assert (= global__gradXL0_51 tmp1__global__gradXL0_51)) ; (global__gradXL0_51 = tmp1__global__gradXL0_51)
(assert (= global__gradXL0_52 tmp1__global__gradXL0_52)) ; (global__gradXL0_52 = tmp1__global__gradXL0_52)
(assert (= global__gradXL0_53 tmp1__global__gradXL0_53)) ; (global__gradXL0_53 = tmp1__global__gradXL0_53)
(assert (= global__gradXL0_54 tmp1__global__gradXL0_54)) ; (global__gradXL0_54 = tmp1__global__gradXL0_54)
(assert (= global__gradXL0_55 tmp1__global__gradXL0_55)) ; (global__gradXL0_55 = tmp1__global__gradXL0_55)
(assert (= global__gradXL0_56 tmp1__global__gradXL0_56)) ; (global__gradXL0_56 = tmp1__global__gradXL0_56)
(assert (= global__gradXL0_57 tmp1__global__gradXL0_57)) ; (global__gradXL0_57 = tmp1__global__gradXL0_57)
(assert (= global__gradXL0_58 tmp1__global__gradXL0_58)) ; (global__gradXL0_58 = tmp1__global__gradXL0_58)
(assert (= global__gradXL0_59 tmp1__global__gradXL0_59)) ; (global__gradXL0_59 = tmp1__global__gradXL0_59)
(assert (= global__gradXL0_6 tmp1__global__gradXL0_6)) ; (global__gradXL0_6 = tmp1__global__gradXL0_6)
(assert (= global__gradXL0_60 tmp1__global__gradXL0_60)) ; (global__gradXL0_60 = tmp1__global__gradXL0_60)
(assert (= global__gradXL0_61 tmp1__global__gradXL0_61)) ; (global__gradXL0_61 = tmp1__global__gradXL0_61)
(assert (= global__gradXL0_62 tmp1__global__gradXL0_62)) ; (global__gradXL0_62 = tmp1__global__gradXL0_62)
(assert (= global__gradXL0_63 tmp1__global__gradXL0_63)) ; (global__gradXL0_63 = tmp1__global__gradXL0_63)
(assert (= global__gradXL0_7 tmp1__global__gradXL0_7)) ; (global__gradXL0_7 = tmp1__global__gradXL0_7)
(assert (= global__gradXL0_8 tmp1__global__gradXL0_8)) ; (global__gradXL0_8 = tmp1__global__gradXL0_8)
(assert (= global__gradXL0_9 tmp1__global__gradXL0_9)) ; (global__gradXL0_9 = tmp1__global__gradXL0_9)
(assert (= global__gradXL1_0 tmp1__global__gradXL1_0)) ; (global__gradXL1_0 = tmp1__global__gradXL1_0)
(assert (= global__gradXL1_1 tmp1__global__gradXL1_1)) ; (global__gradXL1_1 = tmp1__global__gradXL1_1)
(assert (= global__gradXL1_10 tmp1__global__gradXL1_10)) ; (global__gradXL1_10 = tmp1__global__gradXL1_10)
(assert (= global__gradXL1_11 tmp1__global__gradXL1_11)) ; (global__gradXL1_11 = tmp1__global__gradXL1_11)
(assert (= global__gradXL1_12 tmp1__global__gradXL1_12)) ; (global__gradXL1_12 = tmp1__global__gradXL1_12)
(assert (= global__gradXL1_13 tmp1__global__gradXL1_13)) ; (global__gradXL1_13 = tmp1__global__gradXL1_13)
(assert (= global__gradXL1_14 tmp1__global__gradXL1_14)) ; (global__gradXL1_14 = tmp1__global__gradXL1_14)
(assert (= global__gradXL1_15 tmp1__global__gradXL1_15)) ; (global__gradXL1_15 = tmp1__global__gradXL1_15)
(assert (= global__gradXL1_16 tmp1__global__gradXL1_16)) ; (global__gradXL1_16 = tmp1__global__gradXL1_16)
(assert (= global__gradXL1_17 tmp1__global__gradXL1_17)) ; (global__gradXL1_17 = tmp1__global__gradXL1_17)
(assert (= global__gradXL1_18 tmp1__global__gradXL1_18)) ; (global__gradXL1_18 = tmp1__global__gradXL1_18)
(assert (= global__gradXL1_19 tmp1__global__gradXL1_19)) ; (global__gradXL1_19 = tmp1__global__gradXL1_19)
(assert (= global__gradXL1_2 tmp1__global__gradXL1_2)) ; (global__gradXL1_2 = tmp1__global__gradXL1_2)
(assert (= global__gradXL1_20 tmp1__global__gradXL1_20)) ; (global__gradXL1_20 = tmp1__global__gradXL1_20)
(assert (= global__gradXL1_21 tmp1__global__gradXL1_21)) ; (global__gradXL1_21 = tmp1__global__gradXL1_21)
(assert (= global__gradXL1_22 tmp1__global__gradXL1_22)) ; (global__gradXL1_22 = tmp1__global__gradXL1_22)
(assert (= global__gradXL1_23 tmp1__global__gradXL1_23)) ; (global__gradXL1_23 = tmp1__global__gradXL1_23)
(assert (= global__gradXL1_24 tmp1__global__gradXL1_24)) ; (global__gradXL1_24 = tmp1__global__gradXL1_24)
(assert (= global__gradXL1_25 tmp1__global__gradXL1_25)) ; (global__gradXL1_25 = tmp1__global__gradXL1_25)
(assert (= global__gradXL1_26 tmp1__global__gradXL1_26)) ; (global__gradXL1_26 = tmp1__global__gradXL1_26)
(assert (= global__gradXL1_27 tmp1__global__gradXL1_27)) ; (global__gradXL1_27 = tmp1__global__gradXL1_27)
(assert (= global__gradXL1_28 tmp1__global__gradXL1_28)) ; (global__gradXL1_28 = tmp1__global__gradXL1_28)
(assert (= global__gradXL1_29 tmp1__global__gradXL1_29)) ; (global__gradXL1_29 = tmp1__global__gradXL1_29)
(assert (= global__gradXL1_3 tmp1__global__gradXL1_3)) ; (global__gradXL1_3 = tmp1__global__gradXL1_3)
(assert (= global__gradXL1_30 tmp1__global__gradXL1_30)) ; (global__gradXL1_30 = tmp1__global__gradXL1_30)
(assert (= global__gradXL1_31 tmp1__global__gradXL1_31)) ; (global__gradXL1_31 = tmp1__global__gradXL1_31)
(assert (= global__gradXL1_32 tmp1__global__gradXL1_32)) ; (global__gradXL1_32 = tmp1__global__gradXL1_32)
(assert (= global__gradXL1_33 tmp1__global__gradXL1_33)) ; (global__gradXL1_33 = tmp1__global__gradXL1_33)
(assert (= global__gradXL1_34 tmp1__global__gradXL1_34)) ; (global__gradXL1_34 = tmp1__global__gradXL1_34)
(assert (= global__gradXL1_35 tmp1__global__gradXL1_35)) ; (global__gradXL1_35 = tmp1__global__gradXL1_35)
(assert (= global__gradXL1_36 tmp1__global__gradXL1_36)) ; (global__gradXL1_36 = tmp1__global__gradXL1_36)
(assert (= global__gradXL1_37 tmp1__global__gradXL1_37)) ; (global__gradXL1_37 = tmp1__global__gradXL1_37)
(assert (= global__gradXL1_38 tmp1__global__gradXL1_38)) ; (global__gradXL1_38 = tmp1__global__gradXL1_38)
(assert (= global__gradXL1_39 tmp1__global__gradXL1_39)) ; (global__gradXL1_39 = tmp1__global__gradXL1_39)
(assert (= global__gradXL1_4 tmp1__global__gradXL1_4)) ; (global__gradXL1_4 = tmp1__global__gradXL1_4)
(assert (= global__gradXL1_40 tmp1__global__gradXL1_40)) ; (global__gradXL1_40 = tmp1__global__gradXL1_40)
(assert (= global__gradXL1_41 tmp1__global__gradXL1_41)) ; (global__gradXL1_41 = tmp1__global__gradXL1_41)
(assert (= global__gradXL1_42 tmp1__global__gradXL1_42)) ; (global__gradXL1_42 = tmp1__global__gradXL1_42)
(assert (= global__gradXL1_43 tmp1__global__gradXL1_43)) ; (global__gradXL1_43 = tmp1__global__gradXL1_43)
(assert (= global__gradXL1_44 tmp1__global__gradXL1_44)) ; (global__gradXL1_44 = tmp1__global__gradXL1_44)
(assert (= global__gradXL1_45 tmp1__global__gradXL1_45)) ; (global__gradXL1_45 = tmp1__global__gradXL1_45)
(assert (= global__gradXL1_46 tmp1__global__gradXL1_46)) ; (global__gradXL1_46 = tmp1__global__gradXL1_46)
(assert (= global__gradXL1_47 tmp1__global__gradXL1_47)) ; (global__gradXL1_47 = tmp1__global__gradXL1_47)
(assert (= global__gradXL1_48 tmp1__global__gradXL1_48)) ; (global__gradXL1_48 = tmp1__global__gradXL1_48)
(assert (= global__gradXL1_49 tmp1__global__gradXL1_49)) ; (global__gradXL1_49 = tmp1__global__gradXL1_49)
(assert (= global__gradXL1_5 tmp1__global__gradXL1_5)) ; (global__gradXL1_5 = tmp1__global__gradXL1_5)
(assert (= global__gradXL1_50 tmp1__global__gradXL1_50)) ; (global__gradXL1_50 = tmp1__global__gradXL1_50)
(assert (= global__gradXL1_51 tmp1__global__gradXL1_51)) ; (global__gradXL1_51 = tmp1__global__gradXL1_51)
(assert (= global__gradXL1_52 tmp1__global__gradXL1_52)) ; (global__gradXL1_52 = tmp1__global__gradXL1_52)
(assert (= global__gradXL1_53 tmp1__global__gradXL1_53)) ; (global__gradXL1_53 = tmp1__global__gradXL1_53)
(assert (= global__gradXL1_54 tmp1__global__gradXL1_54)) ; (global__gradXL1_54 = tmp1__global__gradXL1_54)
(assert (= global__gradXL1_55 tmp1__global__gradXL1_55)) ; (global__gradXL1_55 = tmp1__global__gradXL1_55)
(assert (= global__gradXL1_56 tmp1__global__gradXL1_56)) ; (global__gradXL1_56 = tmp1__global__gradXL1_56)
(assert (= global__gradXL1_57 tmp1__global__gradXL1_57)) ; (global__gradXL1_57 = tmp1__global__gradXL1_57)
(assert (= global__gradXL1_58 tmp1__global__gradXL1_58)) ; (global__gradXL1_58 = tmp1__global__gradXL1_58)
(assert (= global__gradXL1_59 tmp1__global__gradXL1_59)) ; (global__gradXL1_59 = tmp1__global__gradXL1_59)
(assert (= global__gradXL1_6 tmp1__global__gradXL1_6)) ; (global__gradXL1_6 = tmp1__global__gradXL1_6)
(assert (= global__gradXL1_60 tmp1__global__gradXL1_60)) ; (global__gradXL1_60 = tmp1__global__gradXL1_60)
(assert (= global__gradXL1_61 tmp1__global__gradXL1_61)) ; (global__gradXL1_61 = tmp1__global__gradXL1_61)
(assert (= global__gradXL1_62 tmp1__global__gradXL1_62)) ; (global__gradXL1_62 = tmp1__global__gradXL1_62)
(assert (= global__gradXL1_63 tmp1__global__gradXL1_63)) ; (global__gradXL1_63 = tmp1__global__gradXL1_63)
(assert (= global__gradXL1_7 tmp1__global__gradXL1_7)) ; (global__gradXL1_7 = tmp1__global__gradXL1_7)
(assert (= global__gradXL1_8 tmp1__global__gradXL1_8)) ; (global__gradXL1_8 = tmp1__global__gradXL1_8)
(assert (= global__gradXL1_9 tmp1__global__gradXL1_9)) ; (global__gradXL1_9 = tmp1__global__gradXL1_9)
(assert (= global__gradYL0_0 tmp1__global__gradYL0_0)) ; (global__gradYL0_0 = tmp1__global__gradYL0_0)
(assert (= global__gradYL0_1 tmp1__global__gradYL0_1)) ; (global__gradYL0_1 = tmp1__global__gradYL0_1)
(assert (= global__gradYL0_10 tmp1__global__gradYL0_10)) ; (global__gradYL0_10 = tmp1__global__gradYL0_10)
(assert (= global__gradYL0_11 tmp1__global__gradYL0_11)) ; (global__gradYL0_11 = tmp1__global__gradYL0_11)
(assert (= global__gradYL0_12 tmp1__global__gradYL0_12)) ; (global__gradYL0_12 = tmp1__global__gradYL0_12)
(assert (= global__gradYL0_13 tmp1__global__gradYL0_13)) ; (global__gradYL0_13 = tmp1__global__gradYL0_13)
(assert (= global__gradYL0_14 tmp1__global__gradYL0_14)) ; (global__gradYL0_14 = tmp1__global__gradYL0_14)
(assert (= global__gradYL0_15 tmp1__global__gradYL0_15)) ; (global__gradYL0_15 = tmp1__global__gradYL0_15)
(assert (= global__gradYL0_16 tmp1__global__gradYL0_16)) ; (global__gradYL0_16 = tmp1__global__gradYL0_16)
(assert (= global__gradYL0_17 tmp1__global__gradYL0_17)) ; (global__gradYL0_17 = tmp1__global__gradYL0_17)
(assert (= global__gradYL0_18 tmp1__global__gradYL0_18)) ; (global__gradYL0_18 = tmp1__global__gradYL0_18)
(assert (= global__gradYL0_19 tmp1__global__gradYL0_19)) ; (global__gradYL0_19 = tmp1__global__gradYL0_19)
(assert (= global__gradYL0_2 tmp1__global__gradYL0_2)) ; (global__gradYL0_2 = tmp1__global__gradYL0_2)
(assert (= global__gradYL0_20 tmp1__global__gradYL0_20)) ; (global__gradYL0_20 = tmp1__global__gradYL0_20)
(assert (= global__gradYL0_21 tmp1__global__gradYL0_21)) ; (global__gradYL0_21 = tmp1__global__gradYL0_21)
(assert (= global__gradYL0_22 tmp1__global__gradYL0_22)) ; (global__gradYL0_22 = tmp1__global__gradYL0_22)
(assert (= global__gradYL0_23 tmp1__global__gradYL0_23)) ; (global__gradYL0_23 = tmp1__global__gradYL0_23)
(assert (= global__gradYL0_24 tmp1__global__gradYL0_24)) ; (global__gradYL0_24 = tmp1__global__gradYL0_24)
(assert (= global__gradYL0_25 tmp1__global__gradYL0_25)) ; (global__gradYL0_25 = tmp1__global__gradYL0_25)
(assert (= global__gradYL0_26 tmp1__global__gradYL0_26)) ; (global__gradYL0_26 = tmp1__global__gradYL0_26)
(assert (= global__gradYL0_27 tmp1__global__gradYL0_27)) ; (global__gradYL0_27 = tmp1__global__gradYL0_27)
(assert (= global__gradYL0_28 tmp1__global__gradYL0_28)) ; (global__gradYL0_28 = tmp1__global__gradYL0_28)
(assert (= global__gradYL0_29 tmp1__global__gradYL0_29)) ; (global__gradYL0_29 = tmp1__global__gradYL0_29)
(assert (= global__gradYL0_3 tmp1__global__gradYL0_3)) ; (global__gradYL0_3 = tmp1__global__gradYL0_3)
(assert (= global__gradYL0_30 tmp1__global__gradYL0_30)) ; (global__gradYL0_30 = tmp1__global__gradYL0_30)
(assert (= global__gradYL0_31 tmp1__global__gradYL0_31)) ; (global__gradYL0_31 = tmp1__global__gradYL0_31)
(assert (= global__gradYL0_32 tmp1__global__gradYL0_32)) ; (global__gradYL0_32 = tmp1__global__gradYL0_32)
(assert (= global__gradYL0_33 tmp1__global__gradYL0_33)) ; (global__gradYL0_33 = tmp1__global__gradYL0_33)
(assert (= global__gradYL0_34 tmp1__global__gradYL0_34)) ; (global__gradYL0_34 = tmp1__global__gradYL0_34)
(assert (= global__gradYL0_35 tmp1__global__gradYL0_35)) ; (global__gradYL0_35 = tmp1__global__gradYL0_35)
(assert (= global__gradYL0_36 tmp1__global__gradYL0_36)) ; (global__gradYL0_36 = tmp1__global__gradYL0_36)
(assert (= global__gradYL0_37 tmp1__global__gradYL0_37)) ; (global__gradYL0_37 = tmp1__global__gradYL0_37)
(assert (= global__gradYL0_38 tmp1__global__gradYL0_38)) ; (global__gradYL0_38 = tmp1__global__gradYL0_38)
(assert (= global__gradYL0_39 tmp1__global__gradYL0_39)) ; (global__gradYL0_39 = tmp1__global__gradYL0_39)
(assert (= global__gradYL0_4 tmp1__global__gradYL0_4)) ; (global__gradYL0_4 = tmp1__global__gradYL0_4)
(assert (= global__gradYL0_40 tmp1__global__gradYL0_40)) ; (global__gradYL0_40 = tmp1__global__gradYL0_40)
(assert (= global__gradYL0_41 tmp1__global__gradYL0_41)) ; (global__gradYL0_41 = tmp1__global__gradYL0_41)
(assert (= global__gradYL0_42 tmp1__global__gradYL0_42)) ; (global__gradYL0_42 = tmp1__global__gradYL0_42)
(assert (= global__gradYL0_43 tmp1__global__gradYL0_43)) ; (global__gradYL0_43 = tmp1__global__gradYL0_43)
(assert (= global__gradYL0_44 tmp1__global__gradYL0_44)) ; (global__gradYL0_44 = tmp1__global__gradYL0_44)
(assert (= global__gradYL0_45 tmp1__global__gradYL0_45)) ; (global__gradYL0_45 = tmp1__global__gradYL0_45)
(assert (= global__gradYL0_46 tmp1__global__gradYL0_46)) ; (global__gradYL0_46 = tmp1__global__gradYL0_46)
(assert (= global__gradYL0_47 tmp1__global__gradYL0_47)) ; (global__gradYL0_47 = tmp1__global__gradYL0_47)
(assert (= global__gradYL0_48 tmp1__global__gradYL0_48)) ; (global__gradYL0_48 = tmp1__global__gradYL0_48)
(assert (= global__gradYL0_49 tmp1__global__gradYL0_49)) ; (global__gradYL0_49 = tmp1__global__gradYL0_49)
(assert (= global__gradYL0_5 tmp1__global__gradYL0_5)) ; (global__gradYL0_5 = tmp1__global__gradYL0_5)
(assert (= global__gradYL0_50 tmp1__global__gradYL0_50)) ; (global__gradYL0_50 = tmp1__global__gradYL0_50)
(assert (= global__gradYL0_51 tmp1__global__gradYL0_51)) ; (global__gradYL0_51 = tmp1__global__gradYL0_51)
(assert (= global__gradYL0_52 tmp1__global__gradYL0_52)) ; (global__gradYL0_52 = tmp1__global__gradYL0_52)
(assert (= global__gradYL0_53 tmp1__global__gradYL0_53)) ; (global__gradYL0_53 = tmp1__global__gradYL0_53)
(assert (= global__gradYL0_54 tmp1__global__gradYL0_54)) ; (global__gradYL0_54 = tmp1__global__gradYL0_54)
(assert (= global__gradYL0_55 tmp1__global__gradYL0_55)) ; (global__gradYL0_55 = tmp1__global__gradYL0_55)
(assert (= global__gradYL0_56 tmp1__global__gradYL0_56)) ; (global__gradYL0_56 = tmp1__global__gradYL0_56)
(assert (= global__gradYL0_57 tmp1__global__gradYL0_57)) ; (global__gradYL0_57 = tmp1__global__gradYL0_57)
(assert (= global__gradYL0_58 tmp1__global__gradYL0_58)) ; (global__gradYL0_58 = tmp1__global__gradYL0_58)
(assert (= global__gradYL0_59 tmp1__global__gradYL0_59)) ; (global__gradYL0_59 = tmp1__global__gradYL0_59)
(assert (= global__gradYL0_6 tmp1__global__gradYL0_6)) ; (global__gradYL0_6 = tmp1__global__gradYL0_6)
(assert (= global__gradYL0_60 tmp1__global__gradYL0_60)) ; (global__gradYL0_60 = tmp1__global__gradYL0_60)
(assert (= global__gradYL0_61 tmp1__global__gradYL0_61)) ; (global__gradYL0_61 = tmp1__global__gradYL0_61)
(assert (= global__gradYL0_62 tmp1__global__gradYL0_62)) ; (global__gradYL0_62 = tmp1__global__gradYL0_62)
(assert (= global__gradYL0_63 tmp1__global__gradYL0_63)) ; (global__gradYL0_63 = tmp1__global__gradYL0_63)
(assert (= global__gradYL0_7 tmp1__global__gradYL0_7)) ; (global__gradYL0_7 = tmp1__global__gradYL0_7)
(assert (= global__gradYL0_8 tmp1__global__gradYL0_8)) ; (global__gradYL0_8 = tmp1__global__gradYL0_8)
(assert (= global__gradYL0_9 tmp1__global__gradYL0_9)) ; (global__gradYL0_9 = tmp1__global__gradYL0_9)
(assert (= global__gradYL1_0 tmp1__global__gradYL1_0)) ; (global__gradYL1_0 = tmp1__global__gradYL1_0)
(assert (= global__gradYL1_1 tmp1__global__gradYL1_1)) ; (global__gradYL1_1 = tmp1__global__gradYL1_1)
(assert (= global__gradYL1_10 tmp1__global__gradYL1_10)) ; (global__gradYL1_10 = tmp1__global__gradYL1_10)
(assert (= global__gradYL1_11 tmp1__global__gradYL1_11)) ; (global__gradYL1_11 = tmp1__global__gradYL1_11)
(assert (= global__gradYL1_12 tmp1__global__gradYL1_12)) ; (global__gradYL1_12 = tmp1__global__gradYL1_12)
(assert (= global__gradYL1_13 tmp1__global__gradYL1_13)) ; (global__gradYL1_13 = tmp1__global__gradYL1_13)
(assert (= global__gradYL1_14 tmp1__global__gradYL1_14)) ; (global__gradYL1_14 = tmp1__global__gradYL1_14)
(assert (= global__gradYL1_15 tmp1__global__gradYL1_15)) ; (global__gradYL1_15 = tmp1__global__gradYL1_15)
(assert (= global__gradYL1_16 tmp1__global__gradYL1_16)) ; (global__gradYL1_16 = tmp1__global__gradYL1_16)
(assert (= global__gradYL1_17 tmp1__global__gradYL1_17)) ; (global__gradYL1_17 = tmp1__global__gradYL1_17)
(assert (= global__gradYL1_18 tmp1__global__gradYL1_18)) ; (global__gradYL1_18 = tmp1__global__gradYL1_18)
(assert (= global__gradYL1_19 tmp1__global__gradYL1_19)) ; (global__gradYL1_19 = tmp1__global__gradYL1_19)
(assert (= global__gradYL1_2 tmp1__global__gradYL1_2)) ; (global__gradYL1_2 = tmp1__global__gradYL1_2)
(assert (= global__gradYL1_20 tmp1__global__gradYL1_20)) ; (global__gradYL1_20 = tmp1__global__gradYL1_20)
(assert (= global__gradYL1_21 tmp1__global__gradYL1_21)) ; (global__gradYL1_21 = tmp1__global__gradYL1_21)
(assert (= global__gradYL1_22 tmp1__global__gradYL1_22)) ; (global__gradYL1_22 = tmp1__global__gradYL1_22)
(assert (= global__gradYL1_23 tmp1__global__gradYL1_23)) ; (global__gradYL1_23 = tmp1__global__gradYL1_23)
(assert (= global__gradYL1_24 tmp1__global__gradYL1_24)) ; (global__gradYL1_24 = tmp1__global__gradYL1_24)
(assert (= global__gradYL1_25 tmp1__global__gradYL1_25)) ; (global__gradYL1_25 = tmp1__global__gradYL1_25)
(assert (= global__gradYL1_26 tmp1__global__gradYL1_26)) ; (global__gradYL1_26 = tmp1__global__gradYL1_26)
(assert (= global__gradYL1_27 tmp1__global__gradYL1_27)) ; (global__gradYL1_27 = tmp1__global__gradYL1_27)
(assert (= global__gradYL1_28 tmp1__global__gradYL1_28)) ; (global__gradYL1_28 = tmp1__global__gradYL1_28)
(assert (= global__gradYL1_29 tmp1__global__gradYL1_29)) ; (global__gradYL1_29 = tmp1__global__gradYL1_29)
(assert (= global__gradYL1_3 tmp1__global__gradYL1_3)) ; (global__gradYL1_3 = tmp1__global__gradYL1_3)
(assert (= global__gradYL1_30 tmp1__global__gradYL1_30)) ; (global__gradYL1_30 = tmp1__global__gradYL1_30)
(assert (= global__gradYL1_31 tmp1__global__gradYL1_31)) ; (global__gradYL1_31 = tmp1__global__gradYL1_31)
(assert (= global__gradYL1_32 tmp1__global__gradYL1_32)) ; (global__gradYL1_32 = tmp1__global__gradYL1_32)
(assert (= global__gradYL1_33 tmp1__global__gradYL1_33)) ; (global__gradYL1_33 = tmp1__global__gradYL1_33)
(assert (= global__gradYL1_34 tmp1__global__gradYL1_34)) ; (global__gradYL1_34 = tmp1__global__gradYL1_34)
(assert (= global__gradYL1_35 tmp1__global__gradYL1_35)) ; (global__gradYL1_35 = tmp1__global__gradYL1_35)
(assert (= global__gradYL1_36 tmp1__global__gradYL1_36)) ; (global__gradYL1_36 = tmp1__global__gradYL1_36)
(assert (= global__gradYL1_37 tmp1__global__gradYL1_37)) ; (global__gradYL1_37 = tmp1__global__gradYL1_37)
(assert (= global__gradYL1_38 tmp1__global__gradYL1_38)) ; (global__gradYL1_38 = tmp1__global__gradYL1_38)
(assert (= global__gradYL1_39 tmp1__global__gradYL1_39)) ; (global__gradYL1_39 = tmp1__global__gradYL1_39)
(assert (= global__gradYL1_4 tmp1__global__gradYL1_4)) ; (global__gradYL1_4 = tmp1__global__gradYL1_4)
(assert (= global__gradYL1_40 tmp1__global__gradYL1_40)) ; (global__gradYL1_40 = tmp1__global__gradYL1_40)
(assert (= global__gradYL1_41 tmp1__global__gradYL1_41)) ; (global__gradYL1_41 = tmp1__global__gradYL1_41)
(assert (= global__gradYL1_42 tmp1__global__gradYL1_42)) ; (global__gradYL1_42 = tmp1__global__gradYL1_42)
(assert (= global__gradYL1_43 tmp1__global__gradYL1_43)) ; (global__gradYL1_43 = tmp1__global__gradYL1_43)
(assert (= global__gradYL1_44 tmp1__global__gradYL1_44)) ; (global__gradYL1_44 = tmp1__global__gradYL1_44)
(assert (= global__gradYL1_45 tmp1__global__gradYL1_45)) ; (global__gradYL1_45 = tmp1__global__gradYL1_45)
(assert (= global__gradYL1_46 tmp1__global__gradYL1_46)) ; (global__gradYL1_46 = tmp1__global__gradYL1_46)
(assert (= global__gradYL1_47 tmp1__global__gradYL1_47)) ; (global__gradYL1_47 = tmp1__global__gradYL1_47)
(assert (= global__gradYL1_48 tmp1__global__gradYL1_48)) ; (global__gradYL1_48 = tmp1__global__gradYL1_48)
(assert (= global__gradYL1_49 tmp1__global__gradYL1_49)) ; (global__gradYL1_49 = tmp1__global__gradYL1_49)
(assert (= global__gradYL1_5 tmp1__global__gradYL1_5)) ; (global__gradYL1_5 = tmp1__global__gradYL1_5)
(assert (= global__gradYL1_50 tmp1__global__gradYL1_50)) ; (global__gradYL1_50 = tmp1__global__gradYL1_50)
(assert (= global__gradYL1_51 tmp1__global__gradYL1_51)) ; (global__gradYL1_51 = tmp1__global__gradYL1_51)
(assert (= global__gradYL1_52 tmp1__global__gradYL1_52)) ; (global__gradYL1_52 = tmp1__global__gradYL1_52)
(assert (= global__gradYL1_53 tmp1__global__gradYL1_53)) ; (global__gradYL1_53 = tmp1__global__gradYL1_53)
(assert (= global__gradYL1_54 tmp1__global__gradYL1_54)) ; (global__gradYL1_54 = tmp1__global__gradYL1_54)
(assert (= global__gradYL1_55 tmp1__global__gradYL1_55)) ; (global__gradYL1_55 = tmp1__global__gradYL1_55)
(assert (= global__gradYL1_56 tmp1__global__gradYL1_56)) ; (global__gradYL1_56 = tmp1__global__gradYL1_56)
(assert (= global__gradYL1_57 tmp1__global__gradYL1_57)) ; (global__gradYL1_57 = tmp1__global__gradYL1_57)
(assert (= global__gradYL1_58 tmp1__global__gradYL1_58)) ; (global__gradYL1_58 = tmp1__global__gradYL1_58)
(assert (= global__gradYL1_59 tmp1__global__gradYL1_59)) ; (global__gradYL1_59 = tmp1__global__gradYL1_59)
(assert (= global__gradYL1_6 tmp1__global__gradYL1_6)) ; (global__gradYL1_6 = tmp1__global__gradYL1_6)
(assert (= global__gradYL1_60 tmp1__global__gradYL1_60)) ; (global__gradYL1_60 = tmp1__global__gradYL1_60)
(assert (= global__gradYL1_61 tmp1__global__gradYL1_61)) ; (global__gradYL1_61 = tmp1__global__gradYL1_61)
(assert (= global__gradYL1_62 tmp1__global__gradYL1_62)) ; (global__gradYL1_62 = tmp1__global__gradYL1_62)
(assert (= global__gradYL1_63 tmp1__global__gradYL1_63)) ; (global__gradYL1_63 = tmp1__global__gradYL1_63)
(assert (= global__gradYL1_7 tmp1__global__gradYL1_7)) ; (global__gradYL1_7 = tmp1__global__gradYL1_7)
(assert (= global__gradYL1_8 tmp1__global__gradYL1_8)) ; (global__gradYL1_8 = tmp1__global__gradYL1_8)
(assert (= global__gradYL1_9 tmp1__global__gradYL1_9)) ; (global__gradYL1_9 = tmp1__global__gradYL1_9)
(assert (= global__input__val__0 tmp0__global__input__val__0)) ; (global__input__val__0 = tmp0__global__input__val__0)
(assert (= global__input__val__1 tmp0__global__input__val__1)) ; (global__input__val__1 = tmp0__global__input__val__1)
(assert (= global__input__val__10 tmp0__global__input__val__10)) ; (global__input__val__10 = tmp0__global__input__val__10)
(assert (= global__input__val__100 tmp0__global__input__val__100)) ; (global__input__val__100 = tmp0__global__input__val__100)
(assert (= global__input__val__101 tmp0__global__input__val__101)) ; (global__input__val__101 = tmp0__global__input__val__101)
(assert (= global__input__val__102 tmp0__global__input__val__102)) ; (global__input__val__102 = tmp0__global__input__val__102)
(assert (= global__input__val__103 tmp0__global__input__val__103)) ; (global__input__val__103 = tmp0__global__input__val__103)
(assert (= global__input__val__104 tmp0__global__input__val__104)) ; (global__input__val__104 = tmp0__global__input__val__104)
(assert (= global__input__val__105 tmp0__global__input__val__105)) ; (global__input__val__105 = tmp0__global__input__val__105)
(assert (= global__input__val__106 tmp0__global__input__val__106)) ; (global__input__val__106 = tmp0__global__input__val__106)
(assert (= global__input__val__107 tmp0__global__input__val__107)) ; (global__input__val__107 = tmp0__global__input__val__107)
(assert (= global__input__val__108 tmp0__global__input__val__108)) ; (global__input__val__108 = tmp0__global__input__val__108)
(assert (= global__input__val__109 tmp0__global__input__val__109)) ; (global__input__val__109 = tmp0__global__input__val__109)
(assert (= global__input__val__11 tmp0__global__input__val__11)) ; (global__input__val__11 = tmp0__global__input__val__11)
(assert (= global__input__val__110 tmp0__global__input__val__110)) ; (global__input__val__110 = tmp0__global__input__val__110)
(assert (= global__input__val__111 tmp0__global__input__val__111)) ; (global__input__val__111 = tmp0__global__input__val__111)
(assert (= global__input__val__112 tmp0__global__input__val__112)) ; (global__input__val__112 = tmp0__global__input__val__112)
(assert (= global__input__val__113 tmp0__global__input__val__113)) ; (global__input__val__113 = tmp0__global__input__val__113)
(assert (= global__input__val__114 tmp0__global__input__val__114)) ; (global__input__val__114 = tmp0__global__input__val__114)
(assert (= global__input__val__115 tmp0__global__input__val__115)) ; (global__input__val__115 = tmp0__global__input__val__115)
(assert (= global__input__val__116 tmp0__global__input__val__116)) ; (global__input__val__116 = tmp0__global__input__val__116)
(assert (= global__input__val__117 tmp0__global__input__val__117)) ; (global__input__val__117 = tmp0__global__input__val__117)
(assert (= global__input__val__118 tmp0__global__input__val__118)) ; (global__input__val__118 = tmp0__global__input__val__118)
(assert (= global__input__val__119 tmp0__global__input__val__119)) ; (global__input__val__119 = tmp0__global__input__val__119)
(assert (= global__input__val__12 tmp0__global__input__val__12)) ; (global__input__val__12 = tmp0__global__input__val__12)
(assert (= global__input__val__120 tmp0__global__input__val__120)) ; (global__input__val__120 = tmp0__global__input__val__120)
(assert (= global__input__val__121 tmp0__global__input__val__121)) ; (global__input__val__121 = tmp0__global__input__val__121)
(assert (= global__input__val__122 tmp0__global__input__val__122)) ; (global__input__val__122 = tmp0__global__input__val__122)
(assert (= global__input__val__123 tmp0__global__input__val__123)) ; (global__input__val__123 = tmp0__global__input__val__123)
(assert (= global__input__val__124 tmp0__global__input__val__124)) ; (global__input__val__124 = tmp0__global__input__val__124)
(assert (= global__input__val__125 tmp0__global__input__val__125)) ; (global__input__val__125 = tmp0__global__input__val__125)
(assert (= global__input__val__126 tmp0__global__input__val__126)) ; (global__input__val__126 = tmp0__global__input__val__126)
(assert (= global__input__val__127 tmp0__global__input__val__127)) ; (global__input__val__127 = tmp0__global__input__val__127)
(assert (= global__input__val__128 tmp0__global__input__val__128)) ; (global__input__val__128 = tmp0__global__input__val__128)
(assert (= global__input__val__129 tmp0__global__input__val__129)) ; (global__input__val__129 = tmp0__global__input__val__129)
(assert (= global__input__val__13 tmp0__global__input__val__13)) ; (global__input__val__13 = tmp0__global__input__val__13)
(assert (= global__input__val__130 tmp0__global__input__val__130)) ; (global__input__val__130 = tmp0__global__input__val__130)
(assert (= global__input__val__131 tmp0__global__input__val__131)) ; (global__input__val__131 = tmp0__global__input__val__131)
(assert (= global__input__val__132 tmp0__global__input__val__132)) ; (global__input__val__132 = tmp0__global__input__val__132)
(assert (= global__input__val__133 tmp0__global__input__val__133)) ; (global__input__val__133 = tmp0__global__input__val__133)
(assert (= global__input__val__134 tmp0__global__input__val__134)) ; (global__input__val__134 = tmp0__global__input__val__134)
(assert (= global__input__val__135 tmp0__global__input__val__135)) ; (global__input__val__135 = tmp0__global__input__val__135)
(assert (= global__input__val__136 tmp0__global__input__val__136)) ; (global__input__val__136 = tmp0__global__input__val__136)
(assert (= global__input__val__137 tmp0__global__input__val__137)) ; (global__input__val__137 = tmp0__global__input__val__137)
(assert (= global__input__val__138 tmp0__global__input__val__138)) ; (global__input__val__138 = tmp0__global__input__val__138)
(assert (= global__input__val__139 tmp0__global__input__val__139)) ; (global__input__val__139 = tmp0__global__input__val__139)
(assert (= global__input__val__14 tmp0__global__input__val__14)) ; (global__input__val__14 = tmp0__global__input__val__14)
(assert (= global__input__val__140 tmp0__global__input__val__140)) ; (global__input__val__140 = tmp0__global__input__val__140)
(assert (= global__input__val__141 tmp0__global__input__val__141)) ; (global__input__val__141 = tmp0__global__input__val__141)
(assert (= global__input__val__142 tmp0__global__input__val__142)) ; (global__input__val__142 = tmp0__global__input__val__142)
(assert (= global__input__val__143 tmp0__global__input__val__143)) ; (global__input__val__143 = tmp0__global__input__val__143)
(assert (= global__input__val__144 tmp0__global__input__val__144)) ; (global__input__val__144 = tmp0__global__input__val__144)
(assert (= global__input__val__145 tmp0__global__input__val__145)) ; (global__input__val__145 = tmp0__global__input__val__145)
(assert (= global__input__val__146 tmp0__global__input__val__146)) ; (global__input__val__146 = tmp0__global__input__val__146)
(assert (= global__input__val__147 tmp0__global__input__val__147)) ; (global__input__val__147 = tmp0__global__input__val__147)
(assert (= global__input__val__148 tmp0__global__input__val__148)) ; (global__input__val__148 = tmp0__global__input__val__148)
(assert (= global__input__val__149 tmp0__global__input__val__149)) ; (global__input__val__149 = tmp0__global__input__val__149)
(assert (= global__input__val__15 tmp0__global__input__val__15)) ; (global__input__val__15 = tmp0__global__input__val__15)
(assert (= global__input__val__150 tmp0__global__input__val__150)) ; (global__input__val__150 = tmp0__global__input__val__150)
(assert (= global__input__val__151 tmp0__global__input__val__151)) ; (global__input__val__151 = tmp0__global__input__val__151)
(assert (= global__input__val__152 tmp0__global__input__val__152)) ; (global__input__val__152 = tmp0__global__input__val__152)
(assert (= global__input__val__153 tmp0__global__input__val__153)) ; (global__input__val__153 = tmp0__global__input__val__153)
(assert (= global__input__val__154 tmp0__global__input__val__154)) ; (global__input__val__154 = tmp0__global__input__val__154)
(assert (= global__input__val__155 tmp0__global__input__val__155)) ; (global__input__val__155 = tmp0__global__input__val__155)
(assert (= global__input__val__156 tmp0__global__input__val__156)) ; (global__input__val__156 = tmp0__global__input__val__156)
(assert (= global__input__val__157 tmp0__global__input__val__157)) ; (global__input__val__157 = tmp0__global__input__val__157)
(assert (= global__input__val__158 tmp0__global__input__val__158)) ; (global__input__val__158 = tmp0__global__input__val__158)
(assert (= global__input__val__159 tmp0__global__input__val__159)) ; (global__input__val__159 = tmp0__global__input__val__159)
(assert (= global__input__val__16 tmp0__global__input__val__16)) ; (global__input__val__16 = tmp0__global__input__val__16)
(assert (= global__input__val__160 tmp0__global__input__val__160)) ; (global__input__val__160 = tmp0__global__input__val__160)
(assert (= global__input__val__161 tmp0__global__input__val__161)) ; (global__input__val__161 = tmp0__global__input__val__161)
(assert (= global__input__val__162 tmp0__global__input__val__162)) ; (global__input__val__162 = tmp0__global__input__val__162)
(assert (= global__input__val__163 tmp0__global__input__val__163)) ; (global__input__val__163 = tmp0__global__input__val__163)
(assert (= global__input__val__164 tmp0__global__input__val__164)) ; (global__input__val__164 = tmp0__global__input__val__164)
(assert (= global__input__val__165 tmp0__global__input__val__165)) ; (global__input__val__165 = tmp0__global__input__val__165)
(assert (= global__input__val__166 tmp0__global__input__val__166)) ; (global__input__val__166 = tmp0__global__input__val__166)
(assert (= global__input__val__167 tmp0__global__input__val__167)) ; (global__input__val__167 = tmp0__global__input__val__167)
(assert (= global__input__val__168 tmp0__global__input__val__168)) ; (global__input__val__168 = tmp0__global__input__val__168)
(assert (= global__input__val__169 tmp0__global__input__val__169)) ; (global__input__val__169 = tmp0__global__input__val__169)
(assert (= global__input__val__17 tmp0__global__input__val__17)) ; (global__input__val__17 = tmp0__global__input__val__17)
(assert (= global__input__val__170 tmp0__global__input__val__170)) ; (global__input__val__170 = tmp0__global__input__val__170)
(assert (= global__input__val__171 tmp0__global__input__val__171)) ; (global__input__val__171 = tmp0__global__input__val__171)
(assert (= global__input__val__172 tmp0__global__input__val__172)) ; (global__input__val__172 = tmp0__global__input__val__172)
(assert (= global__input__val__173 tmp0__global__input__val__173)) ; (global__input__val__173 = tmp0__global__input__val__173)
(assert (= global__input__val__174 tmp0__global__input__val__174)) ; (global__input__val__174 = tmp0__global__input__val__174)
(assert (= global__input__val__175 tmp0__global__input__val__175)) ; (global__input__val__175 = tmp0__global__input__val__175)
(assert (= global__input__val__176 tmp0__global__input__val__176)) ; (global__input__val__176 = tmp0__global__input__val__176)
(assert (= global__input__val__177 tmp0__global__input__val__177)) ; (global__input__val__177 = tmp0__global__input__val__177)
(assert (= global__input__val__178 tmp0__global__input__val__178)) ; (global__input__val__178 = tmp0__global__input__val__178)
(assert (= global__input__val__179 tmp0__global__input__val__179)) ; (global__input__val__179 = tmp0__global__input__val__179)
(assert (= global__input__val__18 tmp0__global__input__val__18)) ; (global__input__val__18 = tmp0__global__input__val__18)
(assert (= global__input__val__180 tmp0__global__input__val__180)) ; (global__input__val__180 = tmp0__global__input__val__180)
(assert (= global__input__val__181 tmp0__global__input__val__181)) ; (global__input__val__181 = tmp0__global__input__val__181)
(assert (= global__input__val__182 tmp0__global__input__val__182)) ; (global__input__val__182 = tmp0__global__input__val__182)
(assert (= global__input__val__183 tmp0__global__input__val__183)) ; (global__input__val__183 = tmp0__global__input__val__183)
(assert (= global__input__val__184 tmp0__global__input__val__184)) ; (global__input__val__184 = tmp0__global__input__val__184)
(assert (= global__input__val__185 tmp0__global__input__val__185)) ; (global__input__val__185 = tmp0__global__input__val__185)
(assert (= global__input__val__186 tmp0__global__input__val__186)) ; (global__input__val__186 = tmp0__global__input__val__186)
(assert (= global__input__val__187 tmp0__global__input__val__187)) ; (global__input__val__187 = tmp0__global__input__val__187)
(assert (= global__input__val__188 tmp0__global__input__val__188)) ; (global__input__val__188 = tmp0__global__input__val__188)
(assert (= global__input__val__189 tmp0__global__input__val__189)) ; (global__input__val__189 = tmp0__global__input__val__189)
(assert (= global__input__val__19 tmp0__global__input__val__19)) ; (global__input__val__19 = tmp0__global__input__val__19)
(assert (= global__input__val__190 tmp0__global__input__val__190)) ; (global__input__val__190 = tmp0__global__input__val__190)
(assert (= global__input__val__191 tmp0__global__input__val__191)) ; (global__input__val__191 = tmp0__global__input__val__191)
(assert (= global__input__val__192 tmp0__global__input__val__192)) ; (global__input__val__192 = tmp0__global__input__val__192)
(assert (= global__input__val__193 tmp0__global__input__val__193)) ; (global__input__val__193 = tmp0__global__input__val__193)
(assert (= global__input__val__194 tmp0__global__input__val__194)) ; (global__input__val__194 = tmp0__global__input__val__194)
(assert (= global__input__val__195 tmp0__global__input__val__195)) ; (global__input__val__195 = tmp0__global__input__val__195)
(assert (= global__input__val__196 tmp0__global__input__val__196)) ; (global__input__val__196 = tmp0__global__input__val__196)
(assert (= global__input__val__197 tmp0__global__input__val__197)) ; (global__input__val__197 = tmp0__global__input__val__197)
(assert (= global__input__val__198 tmp0__global__input__val__198)) ; (global__input__val__198 = tmp0__global__input__val__198)
(assert (= global__input__val__199 tmp0__global__input__val__199)) ; (global__input__val__199 = tmp0__global__input__val__199)
(assert (= global__input__val__2 tmp0__global__input__val__2)) ; (global__input__val__2 = tmp0__global__input__val__2)
(assert (= global__input__val__20 tmp0__global__input__val__20)) ; (global__input__val__20 = tmp0__global__input__val__20)
(assert (= global__input__val__200 tmp0__global__input__val__200)) ; (global__input__val__200 = tmp0__global__input__val__200)
(assert (= global__input__val__201 tmp0__global__input__val__201)) ; (global__input__val__201 = tmp0__global__input__val__201)
(assert (= global__input__val__202 tmp0__global__input__val__202)) ; (global__input__val__202 = tmp0__global__input__val__202)
(assert (= global__input__val__203 tmp0__global__input__val__203)) ; (global__input__val__203 = tmp0__global__input__val__203)
(assert (= global__input__val__204 tmp0__global__input__val__204)) ; (global__input__val__204 = tmp0__global__input__val__204)
(assert (= global__input__val__205 tmp0__global__input__val__205)) ; (global__input__val__205 = tmp0__global__input__val__205)
(assert (= global__input__val__206 tmp0__global__input__val__206)) ; (global__input__val__206 = tmp0__global__input__val__206)
(assert (= global__input__val__207 tmp0__global__input__val__207)) ; (global__input__val__207 = tmp0__global__input__val__207)
(assert (= global__input__val__208 tmp0__global__input__val__208)) ; (global__input__val__208 = tmp0__global__input__val__208)
(assert (= global__input__val__209 tmp0__global__input__val__209)) ; (global__input__val__209 = tmp0__global__input__val__209)
(assert (= global__input__val__21 tmp0__global__input__val__21)) ; (global__input__val__21 = tmp0__global__input__val__21)
(assert (= global__input__val__210 tmp0__global__input__val__210)) ; (global__input__val__210 = tmp0__global__input__val__210)
(assert (= global__input__val__211 tmp0__global__input__val__211)) ; (global__input__val__211 = tmp0__global__input__val__211)
(assert (= global__input__val__212 tmp0__global__input__val__212)) ; (global__input__val__212 = tmp0__global__input__val__212)
(assert (= global__input__val__213 tmp0__global__input__val__213)) ; (global__input__val__213 = tmp0__global__input__val__213)
(assert (= global__input__val__214 tmp0__global__input__val__214)) ; (global__input__val__214 = tmp0__global__input__val__214)
(assert (= global__input__val__215 tmp0__global__input__val__215)) ; (global__input__val__215 = tmp0__global__input__val__215)
(assert (= global__input__val__216 tmp0__global__input__val__216)) ; (global__input__val__216 = tmp0__global__input__val__216)
(assert (= global__input__val__217 tmp0__global__input__val__217)) ; (global__input__val__217 = tmp0__global__input__val__217)
(assert (= global__input__val__218 tmp0__global__input__val__218)) ; (global__input__val__218 = tmp0__global__input__val__218)
(assert (= global__input__val__219 tmp0__global__input__val__219)) ; (global__input__val__219 = tmp0__global__input__val__219)
(assert (= global__input__val__22 tmp0__global__input__val__22)) ; (global__input__val__22 = tmp0__global__input__val__22)
(assert (= global__input__val__220 tmp0__global__input__val__220)) ; (global__input__val__220 = tmp0__global__input__val__220)
(assert (= global__input__val__221 tmp0__global__input__val__221)) ; (global__input__val__221 = tmp0__global__input__val__221)
(assert (= global__input__val__222 tmp0__global__input__val__222)) ; (global__input__val__222 = tmp0__global__input__val__222)
(assert (= global__input__val__223 tmp0__global__input__val__223)) ; (global__input__val__223 = tmp0__global__input__val__223)
(assert (= global__input__val__224 tmp0__global__input__val__224)) ; (global__input__val__224 = tmp0__global__input__val__224)
(assert (= global__input__val__225 tmp0__global__input__val__225)) ; (global__input__val__225 = tmp0__global__input__val__225)
(assert (= global__input__val__226 tmp0__global__input__val__226)) ; (global__input__val__226 = tmp0__global__input__val__226)
(assert (= global__input__val__227 tmp0__global__input__val__227)) ; (global__input__val__227 = tmp0__global__input__val__227)
(assert (= global__input__val__228 tmp0__global__input__val__228)) ; (global__input__val__228 = tmp0__global__input__val__228)
(assert (= global__input__val__229 tmp0__global__input__val__229)) ; (global__input__val__229 = tmp0__global__input__val__229)
(assert (= global__input__val__23 tmp0__global__input__val__23)) ; (global__input__val__23 = tmp0__global__input__val__23)
(assert (= global__input__val__230 tmp0__global__input__val__230)) ; (global__input__val__230 = tmp0__global__input__val__230)
(assert (= global__input__val__231 tmp0__global__input__val__231)) ; (global__input__val__231 = tmp0__global__input__val__231)
(assert (= global__input__val__232 tmp0__global__input__val__232)) ; (global__input__val__232 = tmp0__global__input__val__232)
(assert (= global__input__val__233 tmp0__global__input__val__233)) ; (global__input__val__233 = tmp0__global__input__val__233)
(assert (= global__input__val__234 tmp0__global__input__val__234)) ; (global__input__val__234 = tmp0__global__input__val__234)
(assert (= global__input__val__235 tmp0__global__input__val__235)) ; (global__input__val__235 = tmp0__global__input__val__235)
(assert (= global__input__val__236 tmp0__global__input__val__236)) ; (global__input__val__236 = tmp0__global__input__val__236)
(assert (= global__input__val__237 tmp0__global__input__val__237)) ; (global__input__val__237 = tmp0__global__input__val__237)
(assert (= global__input__val__238 tmp0__global__input__val__238)) ; (global__input__val__238 = tmp0__global__input__val__238)
(assert (= global__input__val__239 tmp0__global__input__val__239)) ; (global__input__val__239 = tmp0__global__input__val__239)
(assert (= global__input__val__24 tmp0__global__input__val__24)) ; (global__input__val__24 = tmp0__global__input__val__24)
(assert (= global__input__val__240 tmp0__global__input__val__240)) ; (global__input__val__240 = tmp0__global__input__val__240)
(assert (= global__input__val__241 tmp0__global__input__val__241)) ; (global__input__val__241 = tmp0__global__input__val__241)
(assert (= global__input__val__242 tmp0__global__input__val__242)) ; (global__input__val__242 = tmp0__global__input__val__242)
(assert (= global__input__val__243 tmp0__global__input__val__243)) ; (global__input__val__243 = tmp0__global__input__val__243)
(assert (= global__input__val__244 tmp0__global__input__val__244)) ; (global__input__val__244 = tmp0__global__input__val__244)
(assert (= global__input__val__245 tmp0__global__input__val__245)) ; (global__input__val__245 = tmp0__global__input__val__245)
(assert (= global__input__val__246 tmp0__global__input__val__246)) ; (global__input__val__246 = tmp0__global__input__val__246)
(assert (= global__input__val__247 tmp0__global__input__val__247)) ; (global__input__val__247 = tmp0__global__input__val__247)
(assert (= global__input__val__248 tmp0__global__input__val__248)) ; (global__input__val__248 = tmp0__global__input__val__248)
(assert (= global__input__val__249 tmp0__global__input__val__249)) ; (global__input__val__249 = tmp0__global__input__val__249)
(assert (= global__input__val__25 tmp0__global__input__val__25)) ; (global__input__val__25 = tmp0__global__input__val__25)
(assert (= global__input__val__250 tmp0__global__input__val__250)) ; (global__input__val__250 = tmp0__global__input__val__250)
(assert (= global__input__val__251 tmp0__global__input__val__251)) ; (global__input__val__251 = tmp0__global__input__val__251)
(assert (= global__input__val__252 tmp0__global__input__val__252)) ; (global__input__val__252 = tmp0__global__input__val__252)
(assert (= global__input__val__253 tmp0__global__input__val__253)) ; (global__input__val__253 = tmp0__global__input__val__253)
(assert (= global__input__val__254 tmp0__global__input__val__254)) ; (global__input__val__254 = tmp0__global__input__val__254)
(assert (= global__input__val__255 tmp0__global__input__val__255)) ; (global__input__val__255 = tmp0__global__input__val__255)
(assert (= global__input__val__256 tmp0__global__input__val__256)) ; (global__input__val__256 = tmp0__global__input__val__256)
(assert (= global__input__val__257 tmp0__global__input__val__257)) ; (global__input__val__257 = tmp0__global__input__val__257)
(assert (= global__input__val__258 tmp0__global__input__val__258)) ; (global__input__val__258 = tmp0__global__input__val__258)
(assert (= global__input__val__259 tmp0__global__input__val__259)) ; (global__input__val__259 = tmp0__global__input__val__259)
(assert (= global__input__val__26 tmp0__global__input__val__26)) ; (global__input__val__26 = tmp0__global__input__val__26)
(assert (= global__input__val__260 tmp0__global__input__val__260)) ; (global__input__val__260 = tmp0__global__input__val__260)
(assert (= global__input__val__261 tmp0__global__input__val__261)) ; (global__input__val__261 = tmp0__global__input__val__261)
(assert (= global__input__val__262 tmp0__global__input__val__262)) ; (global__input__val__262 = tmp0__global__input__val__262)
(assert (= global__input__val__263 tmp0__global__input__val__263)) ; (global__input__val__263 = tmp0__global__input__val__263)
(assert (= global__input__val__264 tmp0__global__input__val__264)) ; (global__input__val__264 = tmp0__global__input__val__264)
(assert (= global__input__val__265 tmp0__global__input__val__265)) ; (global__input__val__265 = tmp0__global__input__val__265)
(assert (= global__input__val__266 tmp0__global__input__val__266)) ; (global__input__val__266 = tmp0__global__input__val__266)
(assert (= global__input__val__267 tmp0__global__input__val__267)) ; (global__input__val__267 = tmp0__global__input__val__267)
(assert (= global__input__val__268 tmp0__global__input__val__268)) ; (global__input__val__268 = tmp0__global__input__val__268)
(assert (= global__input__val__269 tmp0__global__input__val__269)) ; (global__input__val__269 = tmp0__global__input__val__269)
(assert (= global__input__val__27 tmp0__global__input__val__27)) ; (global__input__val__27 = tmp0__global__input__val__27)
(assert (= global__input__val__270 tmp0__global__input__val__270)) ; (global__input__val__270 = tmp0__global__input__val__270)
(assert (= global__input__val__271 tmp0__global__input__val__271)) ; (global__input__val__271 = tmp0__global__input__val__271)
(assert (= global__input__val__272 tmp0__global__input__val__272)) ; (global__input__val__272 = tmp0__global__input__val__272)
(assert (= global__input__val__273 tmp0__global__input__val__273)) ; (global__input__val__273 = tmp0__global__input__val__273)
(assert (= global__input__val__274 tmp0__global__input__val__274)) ; (global__input__val__274 = tmp0__global__input__val__274)
(assert (= global__input__val__275 tmp0__global__input__val__275)) ; (global__input__val__275 = tmp0__global__input__val__275)
(assert (= global__input__val__276 tmp0__global__input__val__276)) ; (global__input__val__276 = tmp0__global__input__val__276)
(assert (= global__input__val__277 tmp0__global__input__val__277)) ; (global__input__val__277 = tmp0__global__input__val__277)
(assert (= global__input__val__278 tmp0__global__input__val__278)) ; (global__input__val__278 = tmp0__global__input__val__278)
(assert (= global__input__val__279 tmp0__global__input__val__279)) ; (global__input__val__279 = tmp0__global__input__val__279)
(assert (= global__input__val__28 tmp0__global__input__val__28)) ; (global__input__val__28 = tmp0__global__input__val__28)
(assert (= global__input__val__280 tmp0__global__input__val__280)) ; (global__input__val__280 = tmp0__global__input__val__280)
(assert (= global__input__val__281 tmp0__global__input__val__281)) ; (global__input__val__281 = tmp0__global__input__val__281)
(assert (= global__input__val__282 tmp0__global__input__val__282)) ; (global__input__val__282 = tmp0__global__input__val__282)
(assert (= global__input__val__283 tmp0__global__input__val__283)) ; (global__input__val__283 = tmp0__global__input__val__283)
(assert (= global__input__val__284 tmp0__global__input__val__284)) ; (global__input__val__284 = tmp0__global__input__val__284)
(assert (= global__input__val__285 tmp0__global__input__val__285)) ; (global__input__val__285 = tmp0__global__input__val__285)
(assert (= global__input__val__286 tmp0__global__input__val__286)) ; (global__input__val__286 = tmp0__global__input__val__286)
(assert (= global__input__val__287 tmp0__global__input__val__287)) ; (global__input__val__287 = tmp0__global__input__val__287)
(assert (= global__input__val__288 tmp0__global__input__val__288)) ; (global__input__val__288 = tmp0__global__input__val__288)
(assert (= global__input__val__289 tmp0__global__input__val__289)) ; (global__input__val__289 = tmp0__global__input__val__289)
(assert (= global__input__val__29 tmp0__global__input__val__29)) ; (global__input__val__29 = tmp0__global__input__val__29)
(assert (= global__input__val__290 tmp0__global__input__val__290)) ; (global__input__val__290 = tmp0__global__input__val__290)
(assert (= global__input__val__291 tmp0__global__input__val__291)) ; (global__input__val__291 = tmp0__global__input__val__291)
(assert (= global__input__val__292 tmp0__global__input__val__292)) ; (global__input__val__292 = tmp0__global__input__val__292)
(assert (= global__input__val__293 tmp0__global__input__val__293)) ; (global__input__val__293 = tmp0__global__input__val__293)
(assert (= global__input__val__294 tmp0__global__input__val__294)) ; (global__input__val__294 = tmp0__global__input__val__294)
(assert (= global__input__val__295 tmp0__global__input__val__295)) ; (global__input__val__295 = tmp0__global__input__val__295)
(assert (= global__input__val__296 tmp0__global__input__val__296)) ; (global__input__val__296 = tmp0__global__input__val__296)
(assert (= global__input__val__297 tmp0__global__input__val__297)) ; (global__input__val__297 = tmp0__global__input__val__297)
(assert (= global__input__val__298 tmp0__global__input__val__298)) ; (global__input__val__298 = tmp0__global__input__val__298)
(assert (= global__input__val__299 tmp0__global__input__val__299)) ; (global__input__val__299 = tmp0__global__input__val__299)
(assert (= global__input__val__3 tmp0__global__input__val__3)) ; (global__input__val__3 = tmp0__global__input__val__3)
(assert (= global__input__val__30 tmp0__global__input__val__30)) ; (global__input__val__30 = tmp0__global__input__val__30)
(assert (= global__input__val__300 tmp0__global__input__val__300)) ; (global__input__val__300 = tmp0__global__input__val__300)
(assert (= global__input__val__301 tmp0__global__input__val__301)) ; (global__input__val__301 = tmp0__global__input__val__301)
(assert (= global__input__val__302 tmp0__global__input__val__302)) ; (global__input__val__302 = tmp0__global__input__val__302)
(assert (= global__input__val__303 tmp0__global__input__val__303)) ; (global__input__val__303 = tmp0__global__input__val__303)
(assert (= global__input__val__304 tmp0__global__input__val__304)) ; (global__input__val__304 = tmp0__global__input__val__304)
(assert (= global__input__val__305 tmp0__global__input__val__305)) ; (global__input__val__305 = tmp0__global__input__val__305)
(assert (= global__input__val__306 tmp0__global__input__val__306)) ; (global__input__val__306 = tmp0__global__input__val__306)
(assert (= global__input__val__307 tmp0__global__input__val__307)) ; (global__input__val__307 = tmp0__global__input__val__307)
(assert (= global__input__val__308 tmp0__global__input__val__308)) ; (global__input__val__308 = tmp0__global__input__val__308)
(assert (= global__input__val__309 tmp0__global__input__val__309)) ; (global__input__val__309 = tmp0__global__input__val__309)
(assert (= global__input__val__31 tmp0__global__input__val__31)) ; (global__input__val__31 = tmp0__global__input__val__31)
(assert (= global__input__val__310 tmp0__global__input__val__310)) ; (global__input__val__310 = tmp0__global__input__val__310)
(assert (= global__input__val__311 tmp0__global__input__val__311)) ; (global__input__val__311 = tmp0__global__input__val__311)
(assert (= global__input__val__312 tmp0__global__input__val__312)) ; (global__input__val__312 = tmp0__global__input__val__312)
(assert (= global__input__val__313 tmp0__global__input__val__313)) ; (global__input__val__313 = tmp0__global__input__val__313)
(assert (= global__input__val__314 tmp0__global__input__val__314)) ; (global__input__val__314 = tmp0__global__input__val__314)
(assert (= global__input__val__315 tmp0__global__input__val__315)) ; (global__input__val__315 = tmp0__global__input__val__315)
(assert (= global__input__val__316 tmp0__global__input__val__316)) ; (global__input__val__316 = tmp0__global__input__val__316)
(assert (= global__input__val__317 tmp0__global__input__val__317)) ; (global__input__val__317 = tmp0__global__input__val__317)
(assert (= global__input__val__318 tmp0__global__input__val__318)) ; (global__input__val__318 = tmp0__global__input__val__318)
(assert (= global__input__val__319 tmp0__global__input__val__319)) ; (global__input__val__319 = tmp0__global__input__val__319)
(assert (= global__input__val__32 tmp0__global__input__val__32)) ; (global__input__val__32 = tmp0__global__input__val__32)
(assert (= global__input__val__320 tmp0__global__input__val__320)) ; (global__input__val__320 = tmp0__global__input__val__320)
(assert (= global__input__val__321 tmp0__global__input__val__321)) ; (global__input__val__321 = tmp0__global__input__val__321)
(assert (= global__input__val__322 tmp0__global__input__val__322)) ; (global__input__val__322 = tmp0__global__input__val__322)
(assert (= global__input__val__323 tmp0__global__input__val__323)) ; (global__input__val__323 = tmp0__global__input__val__323)
(assert (= global__input__val__324 tmp0__global__input__val__324)) ; (global__input__val__324 = tmp0__global__input__val__324)
(assert (= global__input__val__325 tmp0__global__input__val__325)) ; (global__input__val__325 = tmp0__global__input__val__325)
(assert (= global__input__val__326 tmp0__global__input__val__326)) ; (global__input__val__326 = tmp0__global__input__val__326)
(assert (= global__input__val__327 tmp0__global__input__val__327)) ; (global__input__val__327 = tmp0__global__input__val__327)
(assert (= global__input__val__328 tmp0__global__input__val__328)) ; (global__input__val__328 = tmp0__global__input__val__328)
(assert (= global__input__val__329 tmp0__global__input__val__329)) ; (global__input__val__329 = tmp0__global__input__val__329)
(assert (= global__input__val__33 tmp0__global__input__val__33)) ; (global__input__val__33 = tmp0__global__input__val__33)
(assert (= global__input__val__330 tmp0__global__input__val__330)) ; (global__input__val__330 = tmp0__global__input__val__330)
(assert (= global__input__val__331 tmp0__global__input__val__331)) ; (global__input__val__331 = tmp0__global__input__val__331)
(assert (= global__input__val__332 tmp0__global__input__val__332)) ; (global__input__val__332 = tmp0__global__input__val__332)
(assert (= global__input__val__333 tmp0__global__input__val__333)) ; (global__input__val__333 = tmp0__global__input__val__333)
(assert (= global__input__val__334 tmp0__global__input__val__334)) ; (global__input__val__334 = tmp0__global__input__val__334)
(assert (= global__input__val__335 tmp0__global__input__val__335)) ; (global__input__val__335 = tmp0__global__input__val__335)
(assert (= global__input__val__336 tmp0__global__input__val__336)) ; (global__input__val__336 = tmp0__global__input__val__336)
(assert (= global__input__val__337 tmp0__global__input__val__337)) ; (global__input__val__337 = tmp0__global__input__val__337)
(assert (= global__input__val__338 tmp0__global__input__val__338)) ; (global__input__val__338 = tmp0__global__input__val__338)
(assert (= global__input__val__339 tmp0__global__input__val__339)) ; (global__input__val__339 = tmp0__global__input__val__339)
(assert (= global__input__val__34 tmp0__global__input__val__34)) ; (global__input__val__34 = tmp0__global__input__val__34)
(assert (= global__input__val__340 tmp0__global__input__val__340)) ; (global__input__val__340 = tmp0__global__input__val__340)
(assert (= global__input__val__341 tmp0__global__input__val__341)) ; (global__input__val__341 = tmp0__global__input__val__341)
(assert (= global__input__val__342 tmp0__global__input__val__342)) ; (global__input__val__342 = tmp0__global__input__val__342)
(assert (= global__input__val__343 tmp0__global__input__val__343)) ; (global__input__val__343 = tmp0__global__input__val__343)
(assert (= global__input__val__344 tmp0__global__input__val__344)) ; (global__input__val__344 = tmp0__global__input__val__344)
(assert (= global__input__val__345 tmp0__global__input__val__345)) ; (global__input__val__345 = tmp0__global__input__val__345)
(assert (= global__input__val__346 tmp0__global__input__val__346)) ; (global__input__val__346 = tmp0__global__input__val__346)
(assert (= global__input__val__347 tmp0__global__input__val__347)) ; (global__input__val__347 = tmp0__global__input__val__347)
(assert (= global__input__val__348 tmp0__global__input__val__348)) ; (global__input__val__348 = tmp0__global__input__val__348)
(assert (= global__input__val__349 tmp0__global__input__val__349)) ; (global__input__val__349 = tmp0__global__input__val__349)
(assert (= global__input__val__35 tmp0__global__input__val__35)) ; (global__input__val__35 = tmp0__global__input__val__35)
(assert (= global__input__val__350 tmp0__global__input__val__350)) ; (global__input__val__350 = tmp0__global__input__val__350)
(assert (= global__input__val__351 tmp0__global__input__val__351)) ; (global__input__val__351 = tmp0__global__input__val__351)
(assert (= global__input__val__352 tmp0__global__input__val__352)) ; (global__input__val__352 = tmp0__global__input__val__352)
(assert (= global__input__val__353 tmp0__global__input__val__353)) ; (global__input__val__353 = tmp0__global__input__val__353)
(assert (= global__input__val__354 tmp0__global__input__val__354)) ; (global__input__val__354 = tmp0__global__input__val__354)
(assert (= global__input__val__355 tmp0__global__input__val__355)) ; (global__input__val__355 = tmp0__global__input__val__355)
(assert (= global__input__val__356 tmp0__global__input__val__356)) ; (global__input__val__356 = tmp0__global__input__val__356)
(assert (= global__input__val__357 tmp0__global__input__val__357)) ; (global__input__val__357 = tmp0__global__input__val__357)
(assert (= global__input__val__358 tmp0__global__input__val__358)) ; (global__input__val__358 = tmp0__global__input__val__358)
(assert (= global__input__val__359 tmp0__global__input__val__359)) ; (global__input__val__359 = tmp0__global__input__val__359)
(assert (= global__input__val__36 tmp0__global__input__val__36)) ; (global__input__val__36 = tmp0__global__input__val__36)
(assert (= global__input__val__360 tmp0__global__input__val__360)) ; (global__input__val__360 = tmp0__global__input__val__360)
(assert (= global__input__val__361 tmp0__global__input__val__361)) ; (global__input__val__361 = tmp0__global__input__val__361)
(assert (= global__input__val__362 tmp0__global__input__val__362)) ; (global__input__val__362 = tmp0__global__input__val__362)
(assert (= global__input__val__363 tmp0__global__input__val__363)) ; (global__input__val__363 = tmp0__global__input__val__363)
(assert (= global__input__val__364 tmp0__global__input__val__364)) ; (global__input__val__364 = tmp0__global__input__val__364)
(assert (= global__input__val__365 tmp0__global__input__val__365)) ; (global__input__val__365 = tmp0__global__input__val__365)
(assert (= global__input__val__366 tmp0__global__input__val__366)) ; (global__input__val__366 = tmp0__global__input__val__366)
(assert (= global__input__val__367 tmp0__global__input__val__367)) ; (global__input__val__367 = tmp0__global__input__val__367)
(assert (= global__input__val__368 tmp0__global__input__val__368)) ; (global__input__val__368 = tmp0__global__input__val__368)
(assert (= global__input__val__369 tmp0__global__input__val__369)) ; (global__input__val__369 = tmp0__global__input__val__369)
(assert (= global__input__val__37 tmp0__global__input__val__37)) ; (global__input__val__37 = tmp0__global__input__val__37)
(assert (= global__input__val__370 tmp0__global__input__val__370)) ; (global__input__val__370 = tmp0__global__input__val__370)
(assert (= global__input__val__371 tmp0__global__input__val__371)) ; (global__input__val__371 = tmp0__global__input__val__371)
(assert (= global__input__val__372 tmp0__global__input__val__372)) ; (global__input__val__372 = tmp0__global__input__val__372)
(assert (= global__input__val__373 tmp0__global__input__val__373)) ; (global__input__val__373 = tmp0__global__input__val__373)
(assert (= global__input__val__374 tmp0__global__input__val__374)) ; (global__input__val__374 = tmp0__global__input__val__374)
(assert (= global__input__val__375 tmp0__global__input__val__375)) ; (global__input__val__375 = tmp0__global__input__val__375)
(assert (= global__input__val__376 tmp0__global__input__val__376)) ; (global__input__val__376 = tmp0__global__input__val__376)
(assert (= global__input__val__377 tmp0__global__input__val__377)) ; (global__input__val__377 = tmp0__global__input__val__377)
(assert (= global__input__val__378 tmp0__global__input__val__378)) ; (global__input__val__378 = tmp0__global__input__val__378)
(assert (= global__input__val__379 tmp0__global__input__val__379)) ; (global__input__val__379 = tmp0__global__input__val__379)
(assert (= global__input__val__38 tmp0__global__input__val__38)) ; (global__input__val__38 = tmp0__global__input__val__38)
(assert (= global__input__val__380 tmp0__global__input__val__380)) ; (global__input__val__380 = tmp0__global__input__val__380)
(assert (= global__input__val__381 tmp0__global__input__val__381)) ; (global__input__val__381 = tmp0__global__input__val__381)
(assert (= global__input__val__382 tmp0__global__input__val__382)) ; (global__input__val__382 = tmp0__global__input__val__382)
(assert (= global__input__val__383 tmp0__global__input__val__383)) ; (global__input__val__383 = tmp0__global__input__val__383)
(assert (= global__input__val__384 tmp0__global__input__val__384)) ; (global__input__val__384 = tmp0__global__input__val__384)
(assert (= global__input__val__385 tmp0__global__input__val__385)) ; (global__input__val__385 = tmp0__global__input__val__385)
(assert (= global__input__val__386 tmp0__global__input__val__386)) ; (global__input__val__386 = tmp0__global__input__val__386)
(assert (= global__input__val__387 tmp0__global__input__val__387)) ; (global__input__val__387 = tmp0__global__input__val__387)
(assert (= global__input__val__388 tmp0__global__input__val__388)) ; (global__input__val__388 = tmp0__global__input__val__388)
(assert (= global__input__val__389 tmp0__global__input__val__389)) ; (global__input__val__389 = tmp0__global__input__val__389)
(assert (= global__input__val__39 tmp0__global__input__val__39)) ; (global__input__val__39 = tmp0__global__input__val__39)
(assert (= global__input__val__390 tmp0__global__input__val__390)) ; (global__input__val__390 = tmp0__global__input__val__390)
(assert (= global__input__val__391 tmp0__global__input__val__391)) ; (global__input__val__391 = tmp0__global__input__val__391)
(assert (= global__input__val__392 tmp0__global__input__val__392)) ; (global__input__val__392 = tmp0__global__input__val__392)
(assert (= global__input__val__393 tmp0__global__input__val__393)) ; (global__input__val__393 = tmp0__global__input__val__393)
(assert (= global__input__val__394 tmp0__global__input__val__394)) ; (global__input__val__394 = tmp0__global__input__val__394)
(assert (= global__input__val__395 tmp0__global__input__val__395)) ; (global__input__val__395 = tmp0__global__input__val__395)
(assert (= global__input__val__396 tmp0__global__input__val__396)) ; (global__input__val__396 = tmp0__global__input__val__396)
(assert (= global__input__val__397 tmp0__global__input__val__397)) ; (global__input__val__397 = tmp0__global__input__val__397)
(assert (= global__input__val__398 tmp0__global__input__val__398)) ; (global__input__val__398 = tmp0__global__input__val__398)
(assert (= global__input__val__399 tmp0__global__input__val__399)) ; (global__input__val__399 = tmp0__global__input__val__399)
(assert (= global__input__val__4 tmp0__global__input__val__4)) ; (global__input__val__4 = tmp0__global__input__val__4)
(assert (= global__input__val__40 tmp0__global__input__val__40)) ; (global__input__val__40 = tmp0__global__input__val__40)
(assert (= global__input__val__400 tmp0__global__input__val__400)) ; (global__input__val__400 = tmp0__global__input__val__400)
(assert (= global__input__val__401 tmp0__global__input__val__401)) ; (global__input__val__401 = tmp0__global__input__val__401)
(assert (= global__input__val__402 tmp0__global__input__val__402)) ; (global__input__val__402 = tmp0__global__input__val__402)
(assert (= global__input__val__403 tmp0__global__input__val__403)) ; (global__input__val__403 = tmp0__global__input__val__403)
(assert (= global__input__val__404 tmp0__global__input__val__404)) ; (global__input__val__404 = tmp0__global__input__val__404)
(assert (= global__input__val__405 tmp0__global__input__val__405)) ; (global__input__val__405 = tmp0__global__input__val__405)
(assert (= global__input__val__406 tmp0__global__input__val__406)) ; (global__input__val__406 = tmp0__global__input__val__406)
(assert (= global__input__val__407 tmp0__global__input__val__407)) ; (global__input__val__407 = tmp0__global__input__val__407)
(assert (= global__input__val__408 tmp0__global__input__val__408)) ; (global__input__val__408 = tmp0__global__input__val__408)
(assert (= global__input__val__409 tmp0__global__input__val__409)) ; (global__input__val__409 = tmp0__global__input__val__409)
(assert (= global__input__val__41 tmp0__global__input__val__41)) ; (global__input__val__41 = tmp0__global__input__val__41)
(assert (= global__input__val__410 tmp0__global__input__val__410)) ; (global__input__val__410 = tmp0__global__input__val__410)
(assert (= global__input__val__411 tmp0__global__input__val__411)) ; (global__input__val__411 = tmp0__global__input__val__411)
(assert (= global__input__val__412 tmp0__global__input__val__412)) ; (global__input__val__412 = tmp0__global__input__val__412)
(assert (= global__input__val__413 tmp0__global__input__val__413)) ; (global__input__val__413 = tmp0__global__input__val__413)
(assert (= global__input__val__414 tmp0__global__input__val__414)) ; (global__input__val__414 = tmp0__global__input__val__414)
(assert (= global__input__val__415 tmp0__global__input__val__415)) ; (global__input__val__415 = tmp0__global__input__val__415)
(assert (= global__input__val__416 tmp0__global__input__val__416)) ; (global__input__val__416 = tmp0__global__input__val__416)
(assert (= global__input__val__417 tmp0__global__input__val__417)) ; (global__input__val__417 = tmp0__global__input__val__417)
(assert (= global__input__val__418 tmp0__global__input__val__418)) ; (global__input__val__418 = tmp0__global__input__val__418)
(assert (= global__input__val__419 tmp0__global__input__val__419)) ; (global__input__val__419 = tmp0__global__input__val__419)
(assert (= global__input__val__42 tmp0__global__input__val__42)) ; (global__input__val__42 = tmp0__global__input__val__42)
(assert (= global__input__val__420 tmp0__global__input__val__420)) ; (global__input__val__420 = tmp0__global__input__val__420)
(assert (= global__input__val__421 tmp0__global__input__val__421)) ; (global__input__val__421 = tmp0__global__input__val__421)
(assert (= global__input__val__422 tmp0__global__input__val__422)) ; (global__input__val__422 = tmp0__global__input__val__422)
(assert (= global__input__val__423 tmp0__global__input__val__423)) ; (global__input__val__423 = tmp0__global__input__val__423)
(assert (= global__input__val__424 tmp0__global__input__val__424)) ; (global__input__val__424 = tmp0__global__input__val__424)
(assert (= global__input__val__425 tmp0__global__input__val__425)) ; (global__input__val__425 = tmp0__global__input__val__425)
(assert (= global__input__val__426 tmp0__global__input__val__426)) ; (global__input__val__426 = tmp0__global__input__val__426)
(assert (= global__input__val__427 tmp0__global__input__val__427)) ; (global__input__val__427 = tmp0__global__input__val__427)
(assert (= global__input__val__428 tmp0__global__input__val__428)) ; (global__input__val__428 = tmp0__global__input__val__428)
(assert (= global__input__val__429 tmp0__global__input__val__429)) ; (global__input__val__429 = tmp0__global__input__val__429)
(assert (= global__input__val__43 tmp0__global__input__val__43)) ; (global__input__val__43 = tmp0__global__input__val__43)
(assert (= global__input__val__430 tmp0__global__input__val__430)) ; (global__input__val__430 = tmp0__global__input__val__430)
(assert (= global__input__val__431 tmp0__global__input__val__431)) ; (global__input__val__431 = tmp0__global__input__val__431)
(assert (= global__input__val__432 tmp0__global__input__val__432)) ; (global__input__val__432 = tmp0__global__input__val__432)
(assert (= global__input__val__433 tmp0__global__input__val__433)) ; (global__input__val__433 = tmp0__global__input__val__433)
(assert (= global__input__val__434 tmp0__global__input__val__434)) ; (global__input__val__434 = tmp0__global__input__val__434)
(assert (= global__input__val__435 tmp0__global__input__val__435)) ; (global__input__val__435 = tmp0__global__input__val__435)
(assert (= global__input__val__436 tmp0__global__input__val__436)) ; (global__input__val__436 = tmp0__global__input__val__436)
(assert (= global__input__val__437 tmp0__global__input__val__437)) ; (global__input__val__437 = tmp0__global__input__val__437)
(assert (= global__input__val__438 tmp0__global__input__val__438)) ; (global__input__val__438 = tmp0__global__input__val__438)
(assert (= global__input__val__439 tmp0__global__input__val__439)) ; (global__input__val__439 = tmp0__global__input__val__439)
(assert (= global__input__val__44 tmp0__global__input__val__44)) ; (global__input__val__44 = tmp0__global__input__val__44)
(assert (= global__input__val__440 tmp0__global__input__val__440)) ; (global__input__val__440 = tmp0__global__input__val__440)
(assert (= global__input__val__441 tmp0__global__input__val__441)) ; (global__input__val__441 = tmp0__global__input__val__441)
(assert (= global__input__val__442 tmp0__global__input__val__442)) ; (global__input__val__442 = tmp0__global__input__val__442)
(assert (= global__input__val__443 tmp0__global__input__val__443)) ; (global__input__val__443 = tmp0__global__input__val__443)
(assert (= global__input__val__444 tmp0__global__input__val__444)) ; (global__input__val__444 = tmp0__global__input__val__444)
(assert (= global__input__val__445 tmp0__global__input__val__445)) ; (global__input__val__445 = tmp0__global__input__val__445)
(assert (= global__input__val__446 tmp0__global__input__val__446)) ; (global__input__val__446 = tmp0__global__input__val__446)
(assert (= global__input__val__447 tmp0__global__input__val__447)) ; (global__input__val__447 = tmp0__global__input__val__447)
(assert (= global__input__val__448 tmp0__global__input__val__448)) ; (global__input__val__448 = tmp0__global__input__val__448)
(assert (= global__input__val__449 tmp0__global__input__val__449)) ; (global__input__val__449 = tmp0__global__input__val__449)
(assert (= global__input__val__45 tmp0__global__input__val__45)) ; (global__input__val__45 = tmp0__global__input__val__45)
(assert (= global__input__val__46 tmp0__global__input__val__46)) ; (global__input__val__46 = tmp0__global__input__val__46)
(assert (= global__input__val__47 tmp0__global__input__val__47)) ; (global__input__val__47 = tmp0__global__input__val__47)
(assert (= global__input__val__48 tmp0__global__input__val__48)) ; (global__input__val__48 = tmp0__global__input__val__48)
(assert (= global__input__val__49 tmp0__global__input__val__49)) ; (global__input__val__49 = tmp0__global__input__val__49)
(assert (= global__input__val__5 tmp0__global__input__val__5)) ; (global__input__val__5 = tmp0__global__input__val__5)
(assert (= global__input__val__50 tmp0__global__input__val__50)) ; (global__input__val__50 = tmp0__global__input__val__50)
(assert (= global__input__val__51 tmp0__global__input__val__51)) ; (global__input__val__51 = tmp0__global__input__val__51)
(assert (= global__input__val__52 tmp0__global__input__val__52)) ; (global__input__val__52 = tmp0__global__input__val__52)
(assert (= global__input__val__53 tmp0__global__input__val__53)) ; (global__input__val__53 = tmp0__global__input__val__53)
(assert (= global__input__val__54 tmp0__global__input__val__54)) ; (global__input__val__54 = tmp0__global__input__val__54)
(assert (= global__input__val__55 tmp0__global__input__val__55)) ; (global__input__val__55 = tmp0__global__input__val__55)
(assert (= global__input__val__56 tmp0__global__input__val__56)) ; (global__input__val__56 = tmp0__global__input__val__56)
(assert (= global__input__val__57 tmp0__global__input__val__57)) ; (global__input__val__57 = tmp0__global__input__val__57)
(assert (= global__input__val__58 tmp0__global__input__val__58)) ; (global__input__val__58 = tmp0__global__input__val__58)
(assert (= global__input__val__59 tmp0__global__input__val__59)) ; (global__input__val__59 = tmp0__global__input__val__59)
(assert (= global__input__val__6 tmp0__global__input__val__6)) ; (global__input__val__6 = tmp0__global__input__val__6)
(assert (= global__input__val__60 tmp0__global__input__val__60)) ; (global__input__val__60 = tmp0__global__input__val__60)
(assert (= global__input__val__61 tmp0__global__input__val__61)) ; (global__input__val__61 = tmp0__global__input__val__61)
(assert (= global__input__val__62 tmp0__global__input__val__62)) ; (global__input__val__62 = tmp0__global__input__val__62)
(assert (= global__input__val__63 tmp0__global__input__val__63)) ; (global__input__val__63 = tmp0__global__input__val__63)
(assert (= global__input__val__64 tmp0__global__input__val__64)) ; (global__input__val__64 = tmp0__global__input__val__64)
(assert (= global__input__val__65 tmp0__global__input__val__65)) ; (global__input__val__65 = tmp0__global__input__val__65)
(assert (= global__input__val__66 tmp0__global__input__val__66)) ; (global__input__val__66 = tmp0__global__input__val__66)
(assert (= global__input__val__67 tmp0__global__input__val__67)) ; (global__input__val__67 = tmp0__global__input__val__67)
(assert (= global__input__val__68 tmp0__global__input__val__68)) ; (global__input__val__68 = tmp0__global__input__val__68)
(assert (= global__input__val__69 tmp0__global__input__val__69)) ; (global__input__val__69 = tmp0__global__input__val__69)
(assert (= global__input__val__7 tmp0__global__input__val__7)) ; (global__input__val__7 = tmp0__global__input__val__7)
(assert (= global__input__val__70 tmp0__global__input__val__70)) ; (global__input__val__70 = tmp0__global__input__val__70)
(assert (= global__input__val__71 tmp0__global__input__val__71)) ; (global__input__val__71 = tmp0__global__input__val__71)
(assert (= global__input__val__72 tmp0__global__input__val__72)) ; (global__input__val__72 = tmp0__global__input__val__72)
(assert (= global__input__val__73 tmp0__global__input__val__73)) ; (global__input__val__73 = tmp0__global__input__val__73)
(assert (= global__input__val__74 tmp0__global__input__val__74)) ; (global__input__val__74 = tmp0__global__input__val__74)
(assert (= global__input__val__75 tmp0__global__input__val__75)) ; (global__input__val__75 = tmp0__global__input__val__75)
(assert (= global__input__val__76 tmp0__global__input__val__76)) ; (global__input__val__76 = tmp0__global__input__val__76)
(assert (= global__input__val__77 tmp0__global__input__val__77)) ; (global__input__val__77 = tmp0__global__input__val__77)
(assert (= global__input__val__78 tmp0__global__input__val__78)) ; (global__input__val__78 = tmp0__global__input__val__78)
(assert (= global__input__val__79 tmp0__global__input__val__79)) ; (global__input__val__79 = tmp0__global__input__val__79)
(assert (= global__input__val__8 tmp0__global__input__val__8)) ; (global__input__val__8 = tmp0__global__input__val__8)
(assert (= global__input__val__80 tmp0__global__input__val__80)) ; (global__input__val__80 = tmp0__global__input__val__80)
(assert (= global__input__val__81 tmp0__global__input__val__81)) ; (global__input__val__81 = tmp0__global__input__val__81)
(assert (= global__input__val__82 tmp0__global__input__val__82)) ; (global__input__val__82 = tmp0__global__input__val__82)
(assert (= global__input__val__83 tmp0__global__input__val__83)) ; (global__input__val__83 = tmp0__global__input__val__83)
(assert (= global__input__val__84 tmp0__global__input__val__84)) ; (global__input__val__84 = tmp0__global__input__val__84)
(assert (= global__input__val__85 tmp0__global__input__val__85)) ; (global__input__val__85 = tmp0__global__input__val__85)
(assert (= global__input__val__86 tmp0__global__input__val__86)) ; (global__input__val__86 = tmp0__global__input__val__86)
(assert (= global__input__val__87 tmp0__global__input__val__87)) ; (global__input__val__87 = tmp0__global__input__val__87)
(assert (= global__input__val__88 tmp0__global__input__val__88)) ; (global__input__val__88 = tmp0__global__input__val__88)
(assert (= global__input__val__89 tmp0__global__input__val__89)) ; (global__input__val__89 = tmp0__global__input__val__89)
(assert (= global__input__val__9 tmp0__global__input__val__9)) ; (global__input__val__9 = tmp0__global__input__val__9)
(assert (= global__input__val__90 tmp0__global__input__val__90)) ; (global__input__val__90 = tmp0__global__input__val__90)
(assert (= global__input__val__91 tmp0__global__input__val__91)) ; (global__input__val__91 = tmp0__global__input__val__91)
(assert (= global__input__val__92 tmp0__global__input__val__92)) ; (global__input__val__92 = tmp0__global__input__val__92)
(assert (= global__input__val__93 tmp0__global__input__val__93)) ; (global__input__val__93 = tmp0__global__input__val__93)
(assert (= global__input__val__94 tmp0__global__input__val__94)) ; (global__input__val__94 = tmp0__global__input__val__94)
(assert (= global__input__val__95 tmp0__global__input__val__95)) ; (global__input__val__95 = tmp0__global__input__val__95)
(assert (= global__input__val__96 tmp0__global__input__val__96)) ; (global__input__val__96 = tmp0__global__input__val__96)
(assert (= global__input__val__97 tmp0__global__input__val__97)) ; (global__input__val__97 = tmp0__global__input__val__97)
(assert (= global__input__val__98 tmp0__global__input__val__98)) ; (global__input__val__98 = tmp0__global__input__val__98)
(assert (= global__input__val__99 tmp0__global__input__val__99)) ; (global__input__val__99 = tmp0__global__input__val__99)
(assert (= global__outputVector_0 tmp1__global__outputVector_0)) ; (global__outputVector_0 = tmp1__global__outputVector_0)
(assert (= global__outputVector_1 tmp1__global__outputVector_1)) ; (global__outputVector_1 = tmp1__global__outputVector_1)
(assert (= global__outputVector_10 tmp1__global__outputVector_10)) ; (global__outputVector_10 = tmp1__global__outputVector_10)
(assert (= global__outputVector_11 tmp1__global__outputVector_11)) ; (global__outputVector_11 = tmp1__global__outputVector_11)
(assert (= global__outputVector_12 tmp1__global__outputVector_12)) ; (global__outputVector_12 = tmp1__global__outputVector_12)
(assert (= global__outputVector_13 tmp1__global__outputVector_13)) ; (global__outputVector_13 = tmp1__global__outputVector_13)
(assert (= global__outputVector_14 tmp1__global__outputVector_14)) ; (global__outputVector_14 = tmp1__global__outputVector_14)
(assert (= global__outputVector_15 tmp1__global__outputVector_15)) ; (global__outputVector_15 = tmp1__global__outputVector_15)
(assert (= global__outputVector_16 tmp1__global__outputVector_16)) ; (global__outputVector_16 = tmp1__global__outputVector_16)
(assert (= global__outputVector_17 tmp1__global__outputVector_17)) ; (global__outputVector_17 = tmp1__global__outputVector_17)
(assert (= global__outputVector_18 tmp1__global__outputVector_18)) ; (global__outputVector_18 = tmp1__global__outputVector_18)
(assert (= global__outputVector_19 tmp1__global__outputVector_19)) ; (global__outputVector_19 = tmp1__global__outputVector_19)
(assert (= global__outputVector_2 tmp1__global__outputVector_2)) ; (global__outputVector_2 = tmp1__global__outputVector_2)
(assert (= global__outputVector_20 tmp1__global__outputVector_20)) ; (global__outputVector_20 = tmp1__global__outputVector_20)
(assert (= global__outputVector_21 tmp1__global__outputVector_21)) ; (global__outputVector_21 = tmp1__global__outputVector_21)
(assert (= global__outputVector_22 tmp1__global__outputVector_22)) ; (global__outputVector_22 = tmp1__global__outputVector_22)
(assert (= global__outputVector_23 tmp1__global__outputVector_23)) ; (global__outputVector_23 = tmp1__global__outputVector_23)
(assert (= global__outputVector_24 tmp1__global__outputVector_24)) ; (global__outputVector_24 = tmp1__global__outputVector_24)
(assert (= global__outputVector_25 tmp1__global__outputVector_25)) ; (global__outputVector_25 = tmp1__global__outputVector_25)
(assert (= global__outputVector_26 tmp1__global__outputVector_26)) ; (global__outputVector_26 = tmp1__global__outputVector_26)
(assert (= global__outputVector_27 tmp1__global__outputVector_27)) ; (global__outputVector_27 = tmp1__global__outputVector_27)
(assert (= global__outputVector_28 tmp1__global__outputVector_28)) ; (global__outputVector_28 = tmp1__global__outputVector_28)
(assert (= global__outputVector_29 tmp1__global__outputVector_29)) ; (global__outputVector_29 = tmp1__global__outputVector_29)
(assert (= global__outputVector_3 tmp1__global__outputVector_3)) ; (global__outputVector_3 = tmp1__global__outputVector_3)
(assert (= global__outputVector_30 tmp1__global__outputVector_30)) ; (global__outputVector_30 = tmp1__global__outputVector_30)
(assert (= global__outputVector_31 tmp1__global__outputVector_31)) ; (global__outputVector_31 = tmp1__global__outputVector_31)
(assert (= global__outputVector_32 tmp1__global__outputVector_32)) ; (global__outputVector_32 = tmp1__global__outputVector_32)
(assert (= global__outputVector_33 tmp1__global__outputVector_33)) ; (global__outputVector_33 = tmp1__global__outputVector_33)
(assert (= global__outputVector_34 tmp1__global__outputVector_34)) ; (global__outputVector_34 = tmp1__global__outputVector_34)
(assert (= global__outputVector_35 tmp1__global__outputVector_35)) ; (global__outputVector_35 = tmp1__global__outputVector_35)
(assert (= global__outputVector_36 tmp1__global__outputVector_36)) ; (global__outputVector_36 = tmp1__global__outputVector_36)
(assert (= global__outputVector_37 tmp1__global__outputVector_37)) ; (global__outputVector_37 = tmp1__global__outputVector_37)
(assert (= global__outputVector_38 tmp1__global__outputVector_38)) ; (global__outputVector_38 = tmp1__global__outputVector_38)
(assert (= global__outputVector_39 tmp1__global__outputVector_39)) ; (global__outputVector_39 = tmp1__global__outputVector_39)
(assert (= global__outputVector_4 tmp1__global__outputVector_4)) ; (global__outputVector_4 = tmp1__global__outputVector_4)
(assert (= global__outputVector_40 tmp1__global__outputVector_40)) ; (global__outputVector_40 = tmp1__global__outputVector_40)
(assert (= global__outputVector_41 tmp1__global__outputVector_41)) ; (global__outputVector_41 = tmp1__global__outputVector_41)
(assert (= global__outputVector_42 tmp1__global__outputVector_42)) ; (global__outputVector_42 = tmp1__global__outputVector_42)
(assert (= global__outputVector_43 tmp1__global__outputVector_43)) ; (global__outputVector_43 = tmp1__global__outputVector_43)
(assert (= global__outputVector_44 tmp1__global__outputVector_44)) ; (global__outputVector_44 = tmp1__global__outputVector_44)
(assert (= global__outputVector_45 tmp1__global__outputVector_45)) ; (global__outputVector_45 = tmp1__global__outputVector_45)
(assert (= global__outputVector_46 tmp1__global__outputVector_46)) ; (global__outputVector_46 = tmp1__global__outputVector_46)
(assert (= global__outputVector_47 tmp1__global__outputVector_47)) ; (global__outputVector_47 = tmp1__global__outputVector_47)
(assert (= global__outputVector_48 tmp1__global__outputVector_48)) ; (global__outputVector_48 = tmp1__global__outputVector_48)
(assert (= global__outputVector_49 tmp1__global__outputVector_49)) ; (global__outputVector_49 = tmp1__global__outputVector_49)
(assert (= global__outputVector_5 tmp1__global__outputVector_5)) ; (global__outputVector_5 = tmp1__global__outputVector_5)
(assert (= global__outputVector_50 tmp1__global__outputVector_50)) ; (global__outputVector_50 = tmp1__global__outputVector_50)
(assert (= global__outputVector_51 tmp1__global__outputVector_51)) ; (global__outputVector_51 = tmp1__global__outputVector_51)
(assert (= global__outputVector_52 tmp1__global__outputVector_52)) ; (global__outputVector_52 = tmp1__global__outputVector_52)
(assert (= global__outputVector_53 tmp1__global__outputVector_53)) ; (global__outputVector_53 = tmp1__global__outputVector_53)
(assert (= global__outputVector_54 tmp1__global__outputVector_54)) ; (global__outputVector_54 = tmp1__global__outputVector_54)
(assert (= global__outputVector_55 tmp1__global__outputVector_55)) ; (global__outputVector_55 = tmp1__global__outputVector_55)
(assert (= global__outputVector_56 tmp1__global__outputVector_56)) ; (global__outputVector_56 = tmp1__global__outputVector_56)
(assert (= global__outputVector_57 tmp1__global__outputVector_57)) ; (global__outputVector_57 = tmp1__global__outputVector_57)
(assert (= global__outputVector_58 tmp1__global__outputVector_58)) ; (global__outputVector_58 = tmp1__global__outputVector_58)
(assert (= global__outputVector_59 tmp1__global__outputVector_59)) ; (global__outputVector_59 = tmp1__global__outputVector_59)
(assert (= global__outputVector_6 tmp1__global__outputVector_6)) ; (global__outputVector_6 = tmp1__global__outputVector_6)
(assert (= global__outputVector_60 tmp1__global__outputVector_60)) ; (global__outputVector_60 = tmp1__global__outputVector_60)
(assert (= global__outputVector_61 tmp1__global__outputVector_61)) ; (global__outputVector_61 = tmp1__global__outputVector_61)
(assert (= global__outputVector_62 tmp1__global__outputVector_62)) ; (global__outputVector_62 = tmp1__global__outputVector_62)
(assert (= global__outputVector_63 tmp1__global__outputVector_63)) ; (global__outputVector_63 = tmp1__global__outputVector_63)
(assert (= global__outputVector_7 tmp1__global__outputVector_7)) ; (global__outputVector_7 = tmp1__global__outputVector_7)
(assert (= global__outputVector_8 tmp1__global__outputVector_8)) ; (global__outputVector_8 = tmp1__global__outputVector_8)
(assert (= global__outputVector_9 tmp1__global__outputVector_9)) ; (global__outputVector_9 = tmp1__global__outputVector_9)
(assert (= global__predL0_0 tmp1__global__predL0_0)) ; (global__predL0_0 = tmp1__global__predL0_0)
(assert (= global__predL0_1 tmp1__global__predL0_1)) ; (global__predL0_1 = tmp1__global__predL0_1)
(assert (= global__predL0_10 tmp1__global__predL0_10)) ; (global__predL0_10 = tmp1__global__predL0_10)
(assert (= global__predL0_11 tmp1__global__predL0_11)) ; (global__predL0_11 = tmp1__global__predL0_11)
(assert (= global__predL0_12 tmp1__global__predL0_12)) ; (global__predL0_12 = tmp1__global__predL0_12)
(assert (= global__predL0_13 tmp1__global__predL0_13)) ; (global__predL0_13 = tmp1__global__predL0_13)
(assert (= global__predL0_14 tmp1__global__predL0_14)) ; (global__predL0_14 = tmp1__global__predL0_14)
(assert (= global__predL0_15 tmp1__global__predL0_15)) ; (global__predL0_15 = tmp1__global__predL0_15)
(assert (= global__predL0_16 tmp1__global__predL0_16)) ; (global__predL0_16 = tmp1__global__predL0_16)
(assert (= global__predL0_17 tmp1__global__predL0_17)) ; (global__predL0_17 = tmp1__global__predL0_17)
(assert (= global__predL0_18 tmp1__global__predL0_18)) ; (global__predL0_18 = tmp1__global__predL0_18)
(assert (= global__predL0_19 tmp1__global__predL0_19)) ; (global__predL0_19 = tmp1__global__predL0_19)
(assert (= global__predL0_2 tmp1__global__predL0_2)) ; (global__predL0_2 = tmp1__global__predL0_2)
(assert (= global__predL0_20 tmp1__global__predL0_20)) ; (global__predL0_20 = tmp1__global__predL0_20)
(assert (= global__predL0_21 tmp1__global__predL0_21)) ; (global__predL0_21 = tmp1__global__predL0_21)
(assert (= global__predL0_22 tmp1__global__predL0_22)) ; (global__predL0_22 = tmp1__global__predL0_22)
(assert (= global__predL0_23 tmp1__global__predL0_23)) ; (global__predL0_23 = tmp1__global__predL0_23)
(assert (= global__predL0_24 tmp1__global__predL0_24)) ; (global__predL0_24 = tmp1__global__predL0_24)
(assert (= global__predL0_25 tmp1__global__predL0_25)) ; (global__predL0_25 = tmp1__global__predL0_25)
(assert (= global__predL0_26 tmp1__global__predL0_26)) ; (global__predL0_26 = tmp1__global__predL0_26)
(assert (= global__predL0_27 tmp1__global__predL0_27)) ; (global__predL0_27 = tmp1__global__predL0_27)
(assert (= global__predL0_28 tmp1__global__predL0_28)) ; (global__predL0_28 = tmp1__global__predL0_28)
(assert (= global__predL0_29 tmp1__global__predL0_29)) ; (global__predL0_29 = tmp1__global__predL0_29)
(assert (= global__predL0_3 tmp1__global__predL0_3)) ; (global__predL0_3 = tmp1__global__predL0_3)
(assert (= global__predL0_30 tmp1__global__predL0_30)) ; (global__predL0_30 = tmp1__global__predL0_30)
(assert (= global__predL0_31 tmp1__global__predL0_31)) ; (global__predL0_31 = tmp1__global__predL0_31)
(assert (= global__predL0_32 tmp1__global__predL0_32)) ; (global__predL0_32 = tmp1__global__predL0_32)
(assert (= global__predL0_33 tmp1__global__predL0_33)) ; (global__predL0_33 = tmp1__global__predL0_33)
(assert (= global__predL0_34 tmp1__global__predL0_34)) ; (global__predL0_34 = tmp1__global__predL0_34)
(assert (= global__predL0_35 tmp1__global__predL0_35)) ; (global__predL0_35 = tmp1__global__predL0_35)
(assert (= global__predL0_36 tmp1__global__predL0_36)) ; (global__predL0_36 = tmp1__global__predL0_36)
(assert (= global__predL0_37 tmp1__global__predL0_37)) ; (global__predL0_37 = tmp1__global__predL0_37)
(assert (= global__predL0_38 tmp1__global__predL0_38)) ; (global__predL0_38 = tmp1__global__predL0_38)
(assert (= global__predL0_39 tmp1__global__predL0_39)) ; (global__predL0_39 = tmp1__global__predL0_39)
(assert (= global__predL0_4 tmp1__global__predL0_4)) ; (global__predL0_4 = tmp1__global__predL0_4)
(assert (= global__predL0_40 tmp1__global__predL0_40)) ; (global__predL0_40 = tmp1__global__predL0_40)
(assert (= global__predL0_41 tmp1__global__predL0_41)) ; (global__predL0_41 = tmp1__global__predL0_41)
(assert (= global__predL0_42 tmp1__global__predL0_42)) ; (global__predL0_42 = tmp1__global__predL0_42)
(assert (= global__predL0_43 tmp1__global__predL0_43)) ; (global__predL0_43 = tmp1__global__predL0_43)
(assert (= global__predL0_44 tmp1__global__predL0_44)) ; (global__predL0_44 = tmp1__global__predL0_44)
(assert (= global__predL0_45 tmp1__global__predL0_45)) ; (global__predL0_45 = tmp1__global__predL0_45)
(assert (= global__predL0_46 tmp1__global__predL0_46)) ; (global__predL0_46 = tmp1__global__predL0_46)
(assert (= global__predL0_47 tmp1__global__predL0_47)) ; (global__predL0_47 = tmp1__global__predL0_47)
(assert (= global__predL0_48 tmp1__global__predL0_48)) ; (global__predL0_48 = tmp1__global__predL0_48)
(assert (= global__predL0_49 tmp1__global__predL0_49)) ; (global__predL0_49 = tmp1__global__predL0_49)
(assert (= global__predL0_5 tmp1__global__predL0_5)) ; (global__predL0_5 = tmp1__global__predL0_5)
(assert (= global__predL0_50 tmp1__global__predL0_50)) ; (global__predL0_50 = tmp1__global__predL0_50)
(assert (= global__predL0_51 tmp1__global__predL0_51)) ; (global__predL0_51 = tmp1__global__predL0_51)
(assert (= global__predL0_52 tmp1__global__predL0_52)) ; (global__predL0_52 = tmp1__global__predL0_52)
(assert (= global__predL0_53 tmp1__global__predL0_53)) ; (global__predL0_53 = tmp1__global__predL0_53)
(assert (= global__predL0_54 tmp1__global__predL0_54)) ; (global__predL0_54 = tmp1__global__predL0_54)
(assert (= global__predL0_55 tmp1__global__predL0_55)) ; (global__predL0_55 = tmp1__global__predL0_55)
(assert (= global__predL0_56 tmp1__global__predL0_56)) ; (global__predL0_56 = tmp1__global__predL0_56)
(assert (= global__predL0_57 tmp1__global__predL0_57)) ; (global__predL0_57 = tmp1__global__predL0_57)
(assert (= global__predL0_58 tmp1__global__predL0_58)) ; (global__predL0_58 = tmp1__global__predL0_58)
(assert (= global__predL0_59 tmp1__global__predL0_59)) ; (global__predL0_59 = tmp1__global__predL0_59)
(assert (= global__predL0_6 tmp1__global__predL0_6)) ; (global__predL0_6 = tmp1__global__predL0_6)
(assert (= global__predL0_60 tmp1__global__predL0_60)) ; (global__predL0_60 = tmp1__global__predL0_60)
(assert (= global__predL0_61 tmp1__global__predL0_61)) ; (global__predL0_61 = tmp1__global__predL0_61)
(assert (= global__predL0_62 tmp1__global__predL0_62)) ; (global__predL0_62 = tmp1__global__predL0_62)
(assert (= global__predL0_63 tmp1__global__predL0_63)) ; (global__predL0_63 = tmp1__global__predL0_63)
(assert (= global__predL0_7 tmp1__global__predL0_7)) ; (global__predL0_7 = tmp1__global__predL0_7)
(assert (= global__predL0_8 tmp1__global__predL0_8)) ; (global__predL0_8 = tmp1__global__predL0_8)
(assert (= global__predL0_9 tmp1__global__predL0_9)) ; (global__predL0_9 = tmp1__global__predL0_9)
(assert (= global__predL1_0 tmp1__global__predL1_0)) ; (global__predL1_0 = tmp1__global__predL1_0)
(assert (= global__predL1_1 tmp1__global__predL1_1)) ; (global__predL1_1 = tmp1__global__predL1_1)
(assert (= global__predL1_10 tmp1__global__predL1_10)) ; (global__predL1_10 = tmp1__global__predL1_10)
(assert (= global__predL1_11 tmp1__global__predL1_11)) ; (global__predL1_11 = tmp1__global__predL1_11)
(assert (= global__predL1_12 tmp1__global__predL1_12)) ; (global__predL1_12 = tmp1__global__predL1_12)
(assert (= global__predL1_13 tmp1__global__predL1_13)) ; (global__predL1_13 = tmp1__global__predL1_13)
(assert (= global__predL1_14 tmp1__global__predL1_14)) ; (global__predL1_14 = tmp1__global__predL1_14)
(assert (= global__predL1_15 tmp1__global__predL1_15)) ; (global__predL1_15 = tmp1__global__predL1_15)
(assert (= global__predL1_16 tmp1__global__predL1_16)) ; (global__predL1_16 = tmp1__global__predL1_16)
(assert (= global__predL1_17 tmp1__global__predL1_17)) ; (global__predL1_17 = tmp1__global__predL1_17)
(assert (= global__predL1_18 tmp1__global__predL1_18)) ; (global__predL1_18 = tmp1__global__predL1_18)
(assert (= global__predL1_19 tmp1__global__predL1_19)) ; (global__predL1_19 = tmp1__global__predL1_19)
(assert (= global__predL1_2 tmp1__global__predL1_2)) ; (global__predL1_2 = tmp1__global__predL1_2)
(assert (= global__predL1_20 tmp1__global__predL1_20)) ; (global__predL1_20 = tmp1__global__predL1_20)
(assert (= global__predL1_21 tmp1__global__predL1_21)) ; (global__predL1_21 = tmp1__global__predL1_21)
(assert (= global__predL1_22 tmp1__global__predL1_22)) ; (global__predL1_22 = tmp1__global__predL1_22)
(assert (= global__predL1_23 tmp1__global__predL1_23)) ; (global__predL1_23 = tmp1__global__predL1_23)
(assert (= global__predL1_24 tmp1__global__predL1_24)) ; (global__predL1_24 = tmp1__global__predL1_24)
(assert (= global__predL1_25 tmp1__global__predL1_25)) ; (global__predL1_25 = tmp1__global__predL1_25)
(assert (= global__predL1_26 tmp1__global__predL1_26)) ; (global__predL1_26 = tmp1__global__predL1_26)
(assert (= global__predL1_27 tmp1__global__predL1_27)) ; (global__predL1_27 = tmp1__global__predL1_27)
(assert (= global__predL1_28 tmp1__global__predL1_28)) ; (global__predL1_28 = tmp1__global__predL1_28)
(assert (= global__predL1_29 tmp1__global__predL1_29)) ; (global__predL1_29 = tmp1__global__predL1_29)
(assert (= global__predL1_3 tmp1__global__predL1_3)) ; (global__predL1_3 = tmp1__global__predL1_3)
(assert (= global__predL1_30 tmp1__global__predL1_30)) ; (global__predL1_30 = tmp1__global__predL1_30)
(assert (= global__predL1_31 tmp1__global__predL1_31)) ; (global__predL1_31 = tmp1__global__predL1_31)
(assert (= global__predL1_32 tmp1__global__predL1_32)) ; (global__predL1_32 = tmp1__global__predL1_32)
(assert (= global__predL1_33 tmp1__global__predL1_33)) ; (global__predL1_33 = tmp1__global__predL1_33)
(assert (= global__predL1_34 tmp1__global__predL1_34)) ; (global__predL1_34 = tmp1__global__predL1_34)
(assert (= global__predL1_35 tmp1__global__predL1_35)) ; (global__predL1_35 = tmp1__global__predL1_35)
(assert (= global__predL1_36 tmp1__global__predL1_36)) ; (global__predL1_36 = tmp1__global__predL1_36)
(assert (= global__predL1_37 tmp1__global__predL1_37)) ; (global__predL1_37 = tmp1__global__predL1_37)
(assert (= global__predL1_38 tmp1__global__predL1_38)) ; (global__predL1_38 = tmp1__global__predL1_38)
(assert (= global__predL1_39 tmp1__global__predL1_39)) ; (global__predL1_39 = tmp1__global__predL1_39)
(assert (= global__predL1_4 tmp1__global__predL1_4)) ; (global__predL1_4 = tmp1__global__predL1_4)
(assert (= global__predL1_40 tmp1__global__predL1_40)) ; (global__predL1_40 = tmp1__global__predL1_40)
(assert (= global__predL1_41 tmp1__global__predL1_41)) ; (global__predL1_41 = tmp1__global__predL1_41)
(assert (= global__predL1_42 tmp1__global__predL1_42)) ; (global__predL1_42 = tmp1__global__predL1_42)
(assert (= global__predL1_43 tmp1__global__predL1_43)) ; (global__predL1_43 = tmp1__global__predL1_43)
(assert (= global__predL1_44 tmp1__global__predL1_44)) ; (global__predL1_44 = tmp1__global__predL1_44)
(assert (= global__predL1_45 tmp1__global__predL1_45)) ; (global__predL1_45 = tmp1__global__predL1_45)
(assert (= global__predL1_46 tmp1__global__predL1_46)) ; (global__predL1_46 = tmp1__global__predL1_46)
(assert (= global__predL1_47 tmp1__global__predL1_47)) ; (global__predL1_47 = tmp1__global__predL1_47)
(assert (= global__predL1_48 tmp1__global__predL1_48)) ; (global__predL1_48 = tmp1__global__predL1_48)
(assert (= global__predL1_49 tmp1__global__predL1_49)) ; (global__predL1_49 = tmp1__global__predL1_49)
(assert (= global__predL1_5 tmp1__global__predL1_5)) ; (global__predL1_5 = tmp1__global__predL1_5)
(assert (= global__predL1_50 tmp1__global__predL1_50)) ; (global__predL1_50 = tmp1__global__predL1_50)
(assert (= global__predL1_51 tmp1__global__predL1_51)) ; (global__predL1_51 = tmp1__global__predL1_51)
(assert (= global__predL1_52 tmp1__global__predL1_52)) ; (global__predL1_52 = tmp1__global__predL1_52)
(assert (= global__predL1_53 tmp1__global__predL1_53)) ; (global__predL1_53 = tmp1__global__predL1_53)
(assert (= global__predL1_54 tmp1__global__predL1_54)) ; (global__predL1_54 = tmp1__global__predL1_54)
(assert (= global__predL1_55 tmp1__global__predL1_55)) ; (global__predL1_55 = tmp1__global__predL1_55)
(assert (= global__predL1_56 tmp1__global__predL1_56)) ; (global__predL1_56 = tmp1__global__predL1_56)
(assert (= global__predL1_57 tmp1__global__predL1_57)) ; (global__predL1_57 = tmp1__global__predL1_57)
(assert (= global__predL1_58 tmp1__global__predL1_58)) ; (global__predL1_58 = tmp1__global__predL1_58)
(assert (= global__predL1_59 tmp1__global__predL1_59)) ; (global__predL1_59 = tmp1__global__predL1_59)
(assert (= global__predL1_6 tmp1__global__predL1_6)) ; (global__predL1_6 = tmp1__global__predL1_6)
(assert (= global__predL1_60 tmp1__global__predL1_60)) ; (global__predL1_60 = tmp1__global__predL1_60)
(assert (= global__predL1_61 tmp1__global__predL1_61)) ; (global__predL1_61 = tmp1__global__predL1_61)
(assert (= global__predL1_62 tmp1__global__predL1_62)) ; (global__predL1_62 = tmp1__global__predL1_62)
(assert (= global__predL1_63 tmp1__global__predL1_63)) ; (global__predL1_63 = tmp1__global__predL1_63)
(assert (= global__predL1_7 tmp1__global__predL1_7)) ; (global__predL1_7 = tmp1__global__predL1_7)
(assert (= global__predL1_8 tmp1__global__predL1_8)) ; (global__predL1_8 = tmp1__global__predL1_8)
(assert (= global__predL1_9 tmp1__global__predL1_9)) ; (global__predL1_9 = tmp1__global__predL1_9)
(assert (= global__ref0_0 tmp1__global__ref0_0)) ; (global__ref0_0 = tmp1__global__ref0_0)
(assert (= global__ref0_1 tmp1__global__ref0_1)) ; (global__ref0_1 = tmp1__global__ref0_1)
(assert (= global__ref0_10 tmp1__global__ref0_10)) ; (global__ref0_10 = tmp1__global__ref0_10)
(assert (= global__ref0_100 tmp1__global__ref0_100)) ; (global__ref0_100 = tmp1__global__ref0_100)
(assert (= global__ref0_101 tmp1__global__ref0_101)) ; (global__ref0_101 = tmp1__global__ref0_101)
(assert (= global__ref0_102 tmp1__global__ref0_102)) ; (global__ref0_102 = tmp1__global__ref0_102)
(assert (= global__ref0_103 tmp1__global__ref0_103)) ; (global__ref0_103 = tmp1__global__ref0_103)
(assert (= global__ref0_104 tmp1__global__ref0_104)) ; (global__ref0_104 = tmp1__global__ref0_104)
(assert (= global__ref0_105 tmp1__global__ref0_105)) ; (global__ref0_105 = tmp1__global__ref0_105)
(assert (= global__ref0_106 tmp1__global__ref0_106)) ; (global__ref0_106 = tmp1__global__ref0_106)
(assert (= global__ref0_107 tmp1__global__ref0_107)) ; (global__ref0_107 = tmp1__global__ref0_107)
(assert (= global__ref0_108 tmp1__global__ref0_108)) ; (global__ref0_108 = tmp1__global__ref0_108)
(assert (= global__ref0_109 tmp1__global__ref0_109)) ; (global__ref0_109 = tmp1__global__ref0_109)
(assert (= global__ref0_11 tmp1__global__ref0_11)) ; (global__ref0_11 = tmp1__global__ref0_11)
(assert (= global__ref0_110 tmp1__global__ref0_110)) ; (global__ref0_110 = tmp1__global__ref0_110)
(assert (= global__ref0_111 tmp1__global__ref0_111)) ; (global__ref0_111 = tmp1__global__ref0_111)
(assert (= global__ref0_112 tmp1__global__ref0_112)) ; (global__ref0_112 = tmp1__global__ref0_112)
(assert (= global__ref0_113 tmp1__global__ref0_113)) ; (global__ref0_113 = tmp1__global__ref0_113)
(assert (= global__ref0_114 tmp1__global__ref0_114)) ; (global__ref0_114 = tmp1__global__ref0_114)
(assert (= global__ref0_115 tmp1__global__ref0_115)) ; (global__ref0_115 = tmp1__global__ref0_115)
(assert (= global__ref0_116 tmp1__global__ref0_116)) ; (global__ref0_116 = tmp1__global__ref0_116)
(assert (= global__ref0_117 tmp1__global__ref0_117)) ; (global__ref0_117 = tmp1__global__ref0_117)
(assert (= global__ref0_118 tmp1__global__ref0_118)) ; (global__ref0_118 = tmp1__global__ref0_118)
(assert (= global__ref0_119 tmp1__global__ref0_119)) ; (global__ref0_119 = tmp1__global__ref0_119)
(assert (= global__ref0_12 tmp1__global__ref0_12)) ; (global__ref0_12 = tmp1__global__ref0_12)
(assert (= global__ref0_120 tmp1__global__ref0_120)) ; (global__ref0_120 = tmp1__global__ref0_120)
(assert (= global__ref0_121 tmp1__global__ref0_121)) ; (global__ref0_121 = tmp1__global__ref0_121)
(assert (= global__ref0_122 tmp1__global__ref0_122)) ; (global__ref0_122 = tmp1__global__ref0_122)
(assert (= global__ref0_123 tmp1__global__ref0_123)) ; (global__ref0_123 = tmp1__global__ref0_123)
(assert (= global__ref0_124 tmp1__global__ref0_124)) ; (global__ref0_124 = tmp1__global__ref0_124)
(assert (= global__ref0_125 tmp1__global__ref0_125)) ; (global__ref0_125 = tmp1__global__ref0_125)
(assert (= global__ref0_126 tmp1__global__ref0_126)) ; (global__ref0_126 = tmp1__global__ref0_126)
(assert (= global__ref0_127 tmp1__global__ref0_127)) ; (global__ref0_127 = tmp1__global__ref0_127)
(assert (= global__ref0_128 tmp1__global__ref0_128)) ; (global__ref0_128 = tmp1__global__ref0_128)
(assert (= global__ref0_129 tmp1__global__ref0_129)) ; (global__ref0_129 = tmp1__global__ref0_129)
(assert (= global__ref0_13 tmp1__global__ref0_13)) ; (global__ref0_13 = tmp1__global__ref0_13)
(assert (= global__ref0_130 tmp1__global__ref0_130)) ; (global__ref0_130 = tmp1__global__ref0_130)
(assert (= global__ref0_131 tmp1__global__ref0_131)) ; (global__ref0_131 = tmp1__global__ref0_131)
(assert (= global__ref0_132 tmp1__global__ref0_132)) ; (global__ref0_132 = tmp1__global__ref0_132)
(assert (= global__ref0_133 tmp1__global__ref0_133)) ; (global__ref0_133 = tmp1__global__ref0_133)
(assert (= global__ref0_134 tmp1__global__ref0_134)) ; (global__ref0_134 = tmp1__global__ref0_134)
(assert (= global__ref0_135 tmp1__global__ref0_135)) ; (global__ref0_135 = tmp1__global__ref0_135)
(assert (= global__ref0_136 tmp1__global__ref0_136)) ; (global__ref0_136 = tmp1__global__ref0_136)
(assert (= global__ref0_137 tmp1__global__ref0_137)) ; (global__ref0_137 = tmp1__global__ref0_137)
(assert (= global__ref0_138 tmp1__global__ref0_138)) ; (global__ref0_138 = tmp1__global__ref0_138)
(assert (= global__ref0_139 tmp1__global__ref0_139)) ; (global__ref0_139 = tmp1__global__ref0_139)
(assert (= global__ref0_14 tmp1__global__ref0_14)) ; (global__ref0_14 = tmp1__global__ref0_14)
(assert (= global__ref0_140 tmp1__global__ref0_140)) ; (global__ref0_140 = tmp1__global__ref0_140)
(assert (= global__ref0_141 tmp1__global__ref0_141)) ; (global__ref0_141 = tmp1__global__ref0_141)
(assert (= global__ref0_142 tmp1__global__ref0_142)) ; (global__ref0_142 = tmp1__global__ref0_142)
(assert (= global__ref0_143 tmp1__global__ref0_143)) ; (global__ref0_143 = tmp1__global__ref0_143)
(assert (= global__ref0_144 tmp1__global__ref0_144)) ; (global__ref0_144 = tmp1__global__ref0_144)
(assert (= global__ref0_145 tmp1__global__ref0_145)) ; (global__ref0_145 = tmp1__global__ref0_145)
(assert (= global__ref0_146 tmp1__global__ref0_146)) ; (global__ref0_146 = tmp1__global__ref0_146)
(assert (= global__ref0_147 tmp1__global__ref0_147)) ; (global__ref0_147 = tmp1__global__ref0_147)
(assert (= global__ref0_148 tmp1__global__ref0_148)) ; (global__ref0_148 = tmp1__global__ref0_148)
(assert (= global__ref0_149 tmp1__global__ref0_149)) ; (global__ref0_149 = tmp1__global__ref0_149)
(assert (= global__ref0_15 tmp1__global__ref0_15)) ; (global__ref0_15 = tmp1__global__ref0_15)
(assert (= global__ref0_150 tmp1__global__ref0_150)) ; (global__ref0_150 = tmp1__global__ref0_150)
(assert (= global__ref0_151 tmp1__global__ref0_151)) ; (global__ref0_151 = tmp1__global__ref0_151)
(assert (= global__ref0_152 tmp1__global__ref0_152)) ; (global__ref0_152 = tmp1__global__ref0_152)
(assert (= global__ref0_153 tmp1__global__ref0_153)) ; (global__ref0_153 = tmp1__global__ref0_153)
(assert (= global__ref0_154 tmp1__global__ref0_154)) ; (global__ref0_154 = tmp1__global__ref0_154)
(assert (= global__ref0_155 tmp1__global__ref0_155)) ; (global__ref0_155 = tmp1__global__ref0_155)
(assert (= global__ref0_156 tmp1__global__ref0_156)) ; (global__ref0_156 = tmp1__global__ref0_156)
(assert (= global__ref0_157 tmp1__global__ref0_157)) ; (global__ref0_157 = tmp1__global__ref0_157)
(assert (= global__ref0_158 tmp1__global__ref0_158)) ; (global__ref0_158 = tmp1__global__ref0_158)
(assert (= global__ref0_159 tmp1__global__ref0_159)) ; (global__ref0_159 = tmp1__global__ref0_159)
(assert (= global__ref0_16 tmp1__global__ref0_16)) ; (global__ref0_16 = tmp1__global__ref0_16)
(assert (= global__ref0_160 tmp1__global__ref0_160)) ; (global__ref0_160 = tmp1__global__ref0_160)
(assert (= global__ref0_161 tmp1__global__ref0_161)) ; (global__ref0_161 = tmp1__global__ref0_161)
(assert (= global__ref0_162 tmp1__global__ref0_162)) ; (global__ref0_162 = tmp1__global__ref0_162)
(assert (= global__ref0_163 tmp1__global__ref0_163)) ; (global__ref0_163 = tmp1__global__ref0_163)
(assert (= global__ref0_164 tmp1__global__ref0_164)) ; (global__ref0_164 = tmp1__global__ref0_164)
(assert (= global__ref0_165 tmp1__global__ref0_165)) ; (global__ref0_165 = tmp1__global__ref0_165)
(assert (= global__ref0_166 tmp1__global__ref0_166)) ; (global__ref0_166 = tmp1__global__ref0_166)
(assert (= global__ref0_167 tmp1__global__ref0_167)) ; (global__ref0_167 = tmp1__global__ref0_167)
(assert (= global__ref0_168 tmp1__global__ref0_168)) ; (global__ref0_168 = tmp1__global__ref0_168)
(assert (= global__ref0_169 tmp1__global__ref0_169)) ; (global__ref0_169 = tmp1__global__ref0_169)
(assert (= global__ref0_17 tmp1__global__ref0_17)) ; (global__ref0_17 = tmp1__global__ref0_17)
(assert (= global__ref0_170 tmp1__global__ref0_170)) ; (global__ref0_170 = tmp1__global__ref0_170)
(assert (= global__ref0_171 tmp1__global__ref0_171)) ; (global__ref0_171 = tmp1__global__ref0_171)
(assert (= global__ref0_172 tmp1__global__ref0_172)) ; (global__ref0_172 = tmp1__global__ref0_172)
(assert (= global__ref0_173 tmp1__global__ref0_173)) ; (global__ref0_173 = tmp1__global__ref0_173)
(assert (= global__ref0_174 tmp1__global__ref0_174)) ; (global__ref0_174 = tmp1__global__ref0_174)
(assert (= global__ref0_175 tmp1__global__ref0_175)) ; (global__ref0_175 = tmp1__global__ref0_175)
(assert (= global__ref0_176 tmp1__global__ref0_176)) ; (global__ref0_176 = tmp1__global__ref0_176)
(assert (= global__ref0_177 tmp1__global__ref0_177)) ; (global__ref0_177 = tmp1__global__ref0_177)
(assert (= global__ref0_178 tmp1__global__ref0_178)) ; (global__ref0_178 = tmp1__global__ref0_178)
(assert (= global__ref0_179 tmp1__global__ref0_179)) ; (global__ref0_179 = tmp1__global__ref0_179)
(assert (= global__ref0_18 tmp1__global__ref0_18)) ; (global__ref0_18 = tmp1__global__ref0_18)
(assert (= global__ref0_180 tmp1__global__ref0_180)) ; (global__ref0_180 = tmp1__global__ref0_180)
(assert (= global__ref0_181 tmp1__global__ref0_181)) ; (global__ref0_181 = tmp1__global__ref0_181)
(assert (= global__ref0_182 tmp1__global__ref0_182)) ; (global__ref0_182 = tmp1__global__ref0_182)
(assert (= global__ref0_183 tmp1__global__ref0_183)) ; (global__ref0_183 = tmp1__global__ref0_183)
(assert (= global__ref0_184 tmp1__global__ref0_184)) ; (global__ref0_184 = tmp1__global__ref0_184)
(assert (= global__ref0_185 tmp1__global__ref0_185)) ; (global__ref0_185 = tmp1__global__ref0_185)
(assert (= global__ref0_186 tmp1__global__ref0_186)) ; (global__ref0_186 = tmp1__global__ref0_186)
(assert (= global__ref0_187 tmp1__global__ref0_187)) ; (global__ref0_187 = tmp1__global__ref0_187)
(assert (= global__ref0_188 tmp1__global__ref0_188)) ; (global__ref0_188 = tmp1__global__ref0_188)
(assert (= global__ref0_189 tmp1__global__ref0_189)) ; (global__ref0_189 = tmp1__global__ref0_189)
(assert (= global__ref0_19 tmp1__global__ref0_19)) ; (global__ref0_19 = tmp1__global__ref0_19)
(assert (= global__ref0_190 tmp1__global__ref0_190)) ; (global__ref0_190 = tmp1__global__ref0_190)
(assert (= global__ref0_191 tmp1__global__ref0_191)) ; (global__ref0_191 = tmp1__global__ref0_191)
(assert (= global__ref0_192 tmp1__global__ref0_192)) ; (global__ref0_192 = tmp1__global__ref0_192)
(assert (= global__ref0_193 tmp1__global__ref0_193)) ; (global__ref0_193 = tmp1__global__ref0_193)
(assert (= global__ref0_194 tmp1__global__ref0_194)) ; (global__ref0_194 = tmp1__global__ref0_194)
(assert (= global__ref0_195 tmp1__global__ref0_195)) ; (global__ref0_195 = tmp1__global__ref0_195)
(assert (= global__ref0_196 tmp1__global__ref0_196)) ; (global__ref0_196 = tmp1__global__ref0_196)
(assert (= global__ref0_197 tmp1__global__ref0_197)) ; (global__ref0_197 = tmp1__global__ref0_197)
(assert (= global__ref0_198 tmp1__global__ref0_198)) ; (global__ref0_198 = tmp1__global__ref0_198)
(assert (= global__ref0_199 tmp1__global__ref0_199)) ; (global__ref0_199 = tmp1__global__ref0_199)
(assert (= global__ref0_2 tmp1__global__ref0_2)) ; (global__ref0_2 = tmp1__global__ref0_2)
(assert (= global__ref0_20 tmp1__global__ref0_20)) ; (global__ref0_20 = tmp1__global__ref0_20)
(assert (= global__ref0_200 tmp1__global__ref0_200)) ; (global__ref0_200 = tmp1__global__ref0_200)
(assert (= global__ref0_201 tmp1__global__ref0_201)) ; (global__ref0_201 = tmp1__global__ref0_201)
(assert (= global__ref0_202 tmp1__global__ref0_202)) ; (global__ref0_202 = tmp1__global__ref0_202)
(assert (= global__ref0_203 tmp1__global__ref0_203)) ; (global__ref0_203 = tmp1__global__ref0_203)
(assert (= global__ref0_204 tmp1__global__ref0_204)) ; (global__ref0_204 = tmp1__global__ref0_204)
(assert (= global__ref0_205 tmp1__global__ref0_205)) ; (global__ref0_205 = tmp1__global__ref0_205)
(assert (= global__ref0_206 tmp1__global__ref0_206)) ; (global__ref0_206 = tmp1__global__ref0_206)
(assert (= global__ref0_207 tmp1__global__ref0_207)) ; (global__ref0_207 = tmp1__global__ref0_207)
(assert (= global__ref0_208 tmp1__global__ref0_208)) ; (global__ref0_208 = tmp1__global__ref0_208)
(assert (= global__ref0_209 tmp1__global__ref0_209)) ; (global__ref0_209 = tmp1__global__ref0_209)
(assert (= global__ref0_21 tmp1__global__ref0_21)) ; (global__ref0_21 = tmp1__global__ref0_21)
(assert (= global__ref0_210 tmp1__global__ref0_210)) ; (global__ref0_210 = tmp1__global__ref0_210)
(assert (= global__ref0_211 tmp1__global__ref0_211)) ; (global__ref0_211 = tmp1__global__ref0_211)
(assert (= global__ref0_212 tmp1__global__ref0_212)) ; (global__ref0_212 = tmp1__global__ref0_212)
(assert (= global__ref0_213 tmp1__global__ref0_213)) ; (global__ref0_213 = tmp1__global__ref0_213)
(assert (= global__ref0_214 tmp1__global__ref0_214)) ; (global__ref0_214 = tmp1__global__ref0_214)
(assert (= global__ref0_215 tmp1__global__ref0_215)) ; (global__ref0_215 = tmp1__global__ref0_215)
(assert (= global__ref0_216 tmp1__global__ref0_216)) ; (global__ref0_216 = tmp1__global__ref0_216)
(assert (= global__ref0_217 tmp1__global__ref0_217)) ; (global__ref0_217 = tmp1__global__ref0_217)
(assert (= global__ref0_218 tmp1__global__ref0_218)) ; (global__ref0_218 = tmp1__global__ref0_218)
(assert (= global__ref0_219 tmp1__global__ref0_219)) ; (global__ref0_219 = tmp1__global__ref0_219)
(assert (= global__ref0_22 tmp1__global__ref0_22)) ; (global__ref0_22 = tmp1__global__ref0_22)
(assert (= global__ref0_220 tmp1__global__ref0_220)) ; (global__ref0_220 = tmp1__global__ref0_220)
(assert (= global__ref0_221 tmp1__global__ref0_221)) ; (global__ref0_221 = tmp1__global__ref0_221)
(assert (= global__ref0_222 tmp1__global__ref0_222)) ; (global__ref0_222 = tmp1__global__ref0_222)
(assert (= global__ref0_223 tmp1__global__ref0_223)) ; (global__ref0_223 = tmp1__global__ref0_223)
(assert (= global__ref0_224 tmp1__global__ref0_224)) ; (global__ref0_224 = tmp1__global__ref0_224)
(assert (= global__ref0_23 tmp1__global__ref0_23)) ; (global__ref0_23 = tmp1__global__ref0_23)
(assert (= global__ref0_24 tmp1__global__ref0_24)) ; (global__ref0_24 = tmp1__global__ref0_24)
(assert (= global__ref0_25 tmp1__global__ref0_25)) ; (global__ref0_25 = tmp1__global__ref0_25)
(assert (= global__ref0_26 tmp1__global__ref0_26)) ; (global__ref0_26 = tmp1__global__ref0_26)
(assert (= global__ref0_27 tmp1__global__ref0_27)) ; (global__ref0_27 = tmp1__global__ref0_27)
(assert (= global__ref0_28 tmp1__global__ref0_28)) ; (global__ref0_28 = tmp1__global__ref0_28)
(assert (= global__ref0_29 tmp1__global__ref0_29)) ; (global__ref0_29 = tmp1__global__ref0_29)
(assert (= global__ref0_3 tmp1__global__ref0_3)) ; (global__ref0_3 = tmp1__global__ref0_3)
(assert (= global__ref0_30 tmp1__global__ref0_30)) ; (global__ref0_30 = tmp1__global__ref0_30)
(assert (= global__ref0_31 tmp1__global__ref0_31)) ; (global__ref0_31 = tmp1__global__ref0_31)
(assert (= global__ref0_32 tmp1__global__ref0_32)) ; (global__ref0_32 = tmp1__global__ref0_32)
(assert (= global__ref0_33 tmp1__global__ref0_33)) ; (global__ref0_33 = tmp1__global__ref0_33)
(assert (= global__ref0_34 tmp1__global__ref0_34)) ; (global__ref0_34 = tmp1__global__ref0_34)
(assert (= global__ref0_35 tmp1__global__ref0_35)) ; (global__ref0_35 = tmp1__global__ref0_35)
(assert (= global__ref0_36 tmp1__global__ref0_36)) ; (global__ref0_36 = tmp1__global__ref0_36)
(assert (= global__ref0_37 tmp1__global__ref0_37)) ; (global__ref0_37 = tmp1__global__ref0_37)
(assert (= global__ref0_38 tmp1__global__ref0_38)) ; (global__ref0_38 = tmp1__global__ref0_38)
(assert (= global__ref0_39 tmp1__global__ref0_39)) ; (global__ref0_39 = tmp1__global__ref0_39)
(assert (= global__ref0_4 tmp1__global__ref0_4)) ; (global__ref0_4 = tmp1__global__ref0_4)
(assert (= global__ref0_40 tmp1__global__ref0_40)) ; (global__ref0_40 = tmp1__global__ref0_40)
(assert (= global__ref0_41 tmp1__global__ref0_41)) ; (global__ref0_41 = tmp1__global__ref0_41)
(assert (= global__ref0_42 tmp1__global__ref0_42)) ; (global__ref0_42 = tmp1__global__ref0_42)
(assert (= global__ref0_43 tmp1__global__ref0_43)) ; (global__ref0_43 = tmp1__global__ref0_43)
(assert (= global__ref0_44 tmp1__global__ref0_44)) ; (global__ref0_44 = tmp1__global__ref0_44)
(assert (= global__ref0_45 tmp1__global__ref0_45)) ; (global__ref0_45 = tmp1__global__ref0_45)
(assert (= global__ref0_46 tmp1__global__ref0_46)) ; (global__ref0_46 = tmp1__global__ref0_46)
(assert (= global__ref0_47 tmp1__global__ref0_47)) ; (global__ref0_47 = tmp1__global__ref0_47)
(assert (= global__ref0_48 tmp1__global__ref0_48)) ; (global__ref0_48 = tmp1__global__ref0_48)
(assert (= global__ref0_49 tmp1__global__ref0_49)) ; (global__ref0_49 = tmp1__global__ref0_49)
(assert (= global__ref0_5 tmp1__global__ref0_5)) ; (global__ref0_5 = tmp1__global__ref0_5)
(assert (= global__ref0_50 tmp1__global__ref0_50)) ; (global__ref0_50 = tmp1__global__ref0_50)
(assert (= global__ref0_51 tmp1__global__ref0_51)) ; (global__ref0_51 = tmp1__global__ref0_51)
(assert (= global__ref0_52 tmp1__global__ref0_52)) ; (global__ref0_52 = tmp1__global__ref0_52)
(assert (= global__ref0_53 tmp1__global__ref0_53)) ; (global__ref0_53 = tmp1__global__ref0_53)
(assert (= global__ref0_54 tmp1__global__ref0_54)) ; (global__ref0_54 = tmp1__global__ref0_54)
(assert (= global__ref0_55 tmp1__global__ref0_55)) ; (global__ref0_55 = tmp1__global__ref0_55)
(assert (= global__ref0_56 tmp1__global__ref0_56)) ; (global__ref0_56 = tmp1__global__ref0_56)
(assert (= global__ref0_57 tmp1__global__ref0_57)) ; (global__ref0_57 = tmp1__global__ref0_57)
(assert (= global__ref0_58 tmp1__global__ref0_58)) ; (global__ref0_58 = tmp1__global__ref0_58)
(assert (= global__ref0_59 tmp1__global__ref0_59)) ; (global__ref0_59 = tmp1__global__ref0_59)
(assert (= global__ref0_6 tmp1__global__ref0_6)) ; (global__ref0_6 = tmp1__global__ref0_6)
(assert (= global__ref0_60 tmp1__global__ref0_60)) ; (global__ref0_60 = tmp1__global__ref0_60)
(assert (= global__ref0_61 tmp1__global__ref0_61)) ; (global__ref0_61 = tmp1__global__ref0_61)
(assert (= global__ref0_62 tmp1__global__ref0_62)) ; (global__ref0_62 = tmp1__global__ref0_62)
(assert (= global__ref0_63 tmp1__global__ref0_63)) ; (global__ref0_63 = tmp1__global__ref0_63)
(assert (= global__ref0_64 tmp1__global__ref0_64)) ; (global__ref0_64 = tmp1__global__ref0_64)
(assert (= global__ref0_65 tmp1__global__ref0_65)) ; (global__ref0_65 = tmp1__global__ref0_65)
(assert (= global__ref0_66 tmp1__global__ref0_66)) ; (global__ref0_66 = tmp1__global__ref0_66)
(assert (= global__ref0_67 tmp1__global__ref0_67)) ; (global__ref0_67 = tmp1__global__ref0_67)
(assert (= global__ref0_68 tmp1__global__ref0_68)) ; (global__ref0_68 = tmp1__global__ref0_68)
(assert (= global__ref0_69 tmp1__global__ref0_69)) ; (global__ref0_69 = tmp1__global__ref0_69)
(assert (= global__ref0_7 tmp1__global__ref0_7)) ; (global__ref0_7 = tmp1__global__ref0_7)
(assert (= global__ref0_70 tmp1__global__ref0_70)) ; (global__ref0_70 = tmp1__global__ref0_70)
(assert (= global__ref0_71 tmp1__global__ref0_71)) ; (global__ref0_71 = tmp1__global__ref0_71)
(assert (= global__ref0_72 tmp1__global__ref0_72)) ; (global__ref0_72 = tmp1__global__ref0_72)
(assert (= global__ref0_73 tmp1__global__ref0_73)) ; (global__ref0_73 = tmp1__global__ref0_73)
(assert (= global__ref0_74 tmp1__global__ref0_74)) ; (global__ref0_74 = tmp1__global__ref0_74)
(assert (= global__ref0_75 tmp1__global__ref0_75)) ; (global__ref0_75 = tmp1__global__ref0_75)
(assert (= global__ref0_76 tmp1__global__ref0_76)) ; (global__ref0_76 = tmp1__global__ref0_76)
(assert (= global__ref0_77 tmp1__global__ref0_77)) ; (global__ref0_77 = tmp1__global__ref0_77)
(assert (= global__ref0_78 tmp1__global__ref0_78)) ; (global__ref0_78 = tmp1__global__ref0_78)
(assert (= global__ref0_79 tmp1__global__ref0_79)) ; (global__ref0_79 = tmp1__global__ref0_79)
(assert (= global__ref0_8 tmp1__global__ref0_8)) ; (global__ref0_8 = tmp1__global__ref0_8)
(assert (= global__ref0_80 tmp1__global__ref0_80)) ; (global__ref0_80 = tmp1__global__ref0_80)
(assert (= global__ref0_81 tmp1__global__ref0_81)) ; (global__ref0_81 = tmp1__global__ref0_81)
(assert (= global__ref0_82 tmp1__global__ref0_82)) ; (global__ref0_82 = tmp1__global__ref0_82)
(assert (= global__ref0_83 tmp1__global__ref0_83)) ; (global__ref0_83 = tmp1__global__ref0_83)
(assert (= global__ref0_84 tmp1__global__ref0_84)) ; (global__ref0_84 = tmp1__global__ref0_84)
(assert (= global__ref0_85 tmp1__global__ref0_85)) ; (global__ref0_85 = tmp1__global__ref0_85)
(assert (= global__ref0_86 tmp1__global__ref0_86)) ; (global__ref0_86 = tmp1__global__ref0_86)
(assert (= global__ref0_87 tmp1__global__ref0_87)) ; (global__ref0_87 = tmp1__global__ref0_87)
(assert (= global__ref0_88 tmp1__global__ref0_88)) ; (global__ref0_88 = tmp1__global__ref0_88)
(assert (= global__ref0_89 tmp1__global__ref0_89)) ; (global__ref0_89 = tmp1__global__ref0_89)
(assert (= global__ref0_9 tmp1__global__ref0_9)) ; (global__ref0_9 = tmp1__global__ref0_9)
(assert (= global__ref0_90 tmp1__global__ref0_90)) ; (global__ref0_90 = tmp1__global__ref0_90)
(assert (= global__ref0_91 tmp1__global__ref0_91)) ; (global__ref0_91 = tmp1__global__ref0_91)
(assert (= global__ref0_92 tmp1__global__ref0_92)) ; (global__ref0_92 = tmp1__global__ref0_92)
(assert (= global__ref0_93 tmp1__global__ref0_93)) ; (global__ref0_93 = tmp1__global__ref0_93)
(assert (= global__ref0_94 tmp1__global__ref0_94)) ; (global__ref0_94 = tmp1__global__ref0_94)
(assert (= global__ref0_95 tmp1__global__ref0_95)) ; (global__ref0_95 = tmp1__global__ref0_95)
(assert (= global__ref0_96 tmp1__global__ref0_96)) ; (global__ref0_96 = tmp1__global__ref0_96)
(assert (= global__ref0_97 tmp1__global__ref0_97)) ; (global__ref0_97 = tmp1__global__ref0_97)
(assert (= global__ref0_98 tmp1__global__ref0_98)) ; (global__ref0_98 = tmp1__global__ref0_98)
(assert (= global__ref0_99 tmp1__global__ref0_99)) ; (global__ref0_99 = tmp1__global__ref0_99)
(assert (= global__ref1_0 tmp1__global__ref1_0)) ; (global__ref1_0 = tmp1__global__ref1_0)
(assert (= global__ref1_1 tmp1__global__ref1_1)) ; (global__ref1_1 = tmp1__global__ref1_1)
(assert (= global__ref1_10 tmp1__global__ref1_10)) ; (global__ref1_10 = tmp1__global__ref1_10)
(assert (= global__ref1_100 tmp1__global__ref1_100)) ; (global__ref1_100 = tmp1__global__ref1_100)
(assert (= global__ref1_101 tmp1__global__ref1_101)) ; (global__ref1_101 = tmp1__global__ref1_101)
(assert (= global__ref1_102 tmp1__global__ref1_102)) ; (global__ref1_102 = tmp1__global__ref1_102)
(assert (= global__ref1_103 tmp1__global__ref1_103)) ; (global__ref1_103 = tmp1__global__ref1_103)
(assert (= global__ref1_104 tmp1__global__ref1_104)) ; (global__ref1_104 = tmp1__global__ref1_104)
(assert (= global__ref1_105 tmp1__global__ref1_105)) ; (global__ref1_105 = tmp1__global__ref1_105)
(assert (= global__ref1_106 tmp1__global__ref1_106)) ; (global__ref1_106 = tmp1__global__ref1_106)
(assert (= global__ref1_107 tmp1__global__ref1_107)) ; (global__ref1_107 = tmp1__global__ref1_107)
(assert (= global__ref1_108 tmp1__global__ref1_108)) ; (global__ref1_108 = tmp1__global__ref1_108)
(assert (= global__ref1_109 tmp1__global__ref1_109)) ; (global__ref1_109 = tmp1__global__ref1_109)
(assert (= global__ref1_11 tmp1__global__ref1_11)) ; (global__ref1_11 = tmp1__global__ref1_11)
(assert (= global__ref1_110 tmp1__global__ref1_110)) ; (global__ref1_110 = tmp1__global__ref1_110)
(assert (= global__ref1_111 tmp1__global__ref1_111)) ; (global__ref1_111 = tmp1__global__ref1_111)
(assert (= global__ref1_112 tmp1__global__ref1_112)) ; (global__ref1_112 = tmp1__global__ref1_112)
(assert (= global__ref1_113 tmp1__global__ref1_113)) ; (global__ref1_113 = tmp1__global__ref1_113)
(assert (= global__ref1_114 tmp1__global__ref1_114)) ; (global__ref1_114 = tmp1__global__ref1_114)
(assert (= global__ref1_115 tmp1__global__ref1_115)) ; (global__ref1_115 = tmp1__global__ref1_115)
(assert (= global__ref1_116 tmp1__global__ref1_116)) ; (global__ref1_116 = tmp1__global__ref1_116)
(assert (= global__ref1_117 tmp1__global__ref1_117)) ; (global__ref1_117 = tmp1__global__ref1_117)
(assert (= global__ref1_118 tmp1__global__ref1_118)) ; (global__ref1_118 = tmp1__global__ref1_118)
(assert (= global__ref1_119 tmp1__global__ref1_119)) ; (global__ref1_119 = tmp1__global__ref1_119)
(assert (= global__ref1_12 tmp1__global__ref1_12)) ; (global__ref1_12 = tmp1__global__ref1_12)
(assert (= global__ref1_120 tmp1__global__ref1_120)) ; (global__ref1_120 = tmp1__global__ref1_120)
(assert (= global__ref1_121 tmp1__global__ref1_121)) ; (global__ref1_121 = tmp1__global__ref1_121)
(assert (= global__ref1_122 tmp1__global__ref1_122)) ; (global__ref1_122 = tmp1__global__ref1_122)
(assert (= global__ref1_123 tmp1__global__ref1_123)) ; (global__ref1_123 = tmp1__global__ref1_123)
(assert (= global__ref1_124 tmp1__global__ref1_124)) ; (global__ref1_124 = tmp1__global__ref1_124)
(assert (= global__ref1_125 tmp1__global__ref1_125)) ; (global__ref1_125 = tmp1__global__ref1_125)
(assert (= global__ref1_126 tmp1__global__ref1_126)) ; (global__ref1_126 = tmp1__global__ref1_126)
(assert (= global__ref1_127 tmp1__global__ref1_127)) ; (global__ref1_127 = tmp1__global__ref1_127)
(assert (= global__ref1_128 tmp1__global__ref1_128)) ; (global__ref1_128 = tmp1__global__ref1_128)
(assert (= global__ref1_129 tmp1__global__ref1_129)) ; (global__ref1_129 = tmp1__global__ref1_129)
(assert (= global__ref1_13 tmp1__global__ref1_13)) ; (global__ref1_13 = tmp1__global__ref1_13)
(assert (= global__ref1_130 tmp1__global__ref1_130)) ; (global__ref1_130 = tmp1__global__ref1_130)
(assert (= global__ref1_131 tmp1__global__ref1_131)) ; (global__ref1_131 = tmp1__global__ref1_131)
(assert (= global__ref1_132 tmp1__global__ref1_132)) ; (global__ref1_132 = tmp1__global__ref1_132)
(assert (= global__ref1_133 tmp1__global__ref1_133)) ; (global__ref1_133 = tmp1__global__ref1_133)
(assert (= global__ref1_134 tmp1__global__ref1_134)) ; (global__ref1_134 = tmp1__global__ref1_134)
(assert (= global__ref1_135 tmp1__global__ref1_135)) ; (global__ref1_135 = tmp1__global__ref1_135)
(assert (= global__ref1_136 tmp1__global__ref1_136)) ; (global__ref1_136 = tmp1__global__ref1_136)
(assert (= global__ref1_137 tmp1__global__ref1_137)) ; (global__ref1_137 = tmp1__global__ref1_137)
(assert (= global__ref1_138 tmp1__global__ref1_138)) ; (global__ref1_138 = tmp1__global__ref1_138)
(assert (= global__ref1_139 tmp1__global__ref1_139)) ; (global__ref1_139 = tmp1__global__ref1_139)
(assert (= global__ref1_14 tmp1__global__ref1_14)) ; (global__ref1_14 = tmp1__global__ref1_14)
(assert (= global__ref1_140 tmp1__global__ref1_140)) ; (global__ref1_140 = tmp1__global__ref1_140)
(assert (= global__ref1_141 tmp1__global__ref1_141)) ; (global__ref1_141 = tmp1__global__ref1_141)
(assert (= global__ref1_142 tmp1__global__ref1_142)) ; (global__ref1_142 = tmp1__global__ref1_142)
(assert (= global__ref1_143 tmp1__global__ref1_143)) ; (global__ref1_143 = tmp1__global__ref1_143)
(assert (= global__ref1_144 tmp1__global__ref1_144)) ; (global__ref1_144 = tmp1__global__ref1_144)
(assert (= global__ref1_145 tmp1__global__ref1_145)) ; (global__ref1_145 = tmp1__global__ref1_145)
(assert (= global__ref1_146 tmp1__global__ref1_146)) ; (global__ref1_146 = tmp1__global__ref1_146)
(assert (= global__ref1_147 tmp1__global__ref1_147)) ; (global__ref1_147 = tmp1__global__ref1_147)
(assert (= global__ref1_148 tmp1__global__ref1_148)) ; (global__ref1_148 = tmp1__global__ref1_148)
(assert (= global__ref1_149 tmp1__global__ref1_149)) ; (global__ref1_149 = tmp1__global__ref1_149)
(assert (= global__ref1_15 tmp1__global__ref1_15)) ; (global__ref1_15 = tmp1__global__ref1_15)
(assert (= global__ref1_150 tmp1__global__ref1_150)) ; (global__ref1_150 = tmp1__global__ref1_150)
(assert (= global__ref1_151 tmp1__global__ref1_151)) ; (global__ref1_151 = tmp1__global__ref1_151)
(assert (= global__ref1_152 tmp1__global__ref1_152)) ; (global__ref1_152 = tmp1__global__ref1_152)
(assert (= global__ref1_153 tmp1__global__ref1_153)) ; (global__ref1_153 = tmp1__global__ref1_153)
(assert (= global__ref1_154 tmp1__global__ref1_154)) ; (global__ref1_154 = tmp1__global__ref1_154)
(assert (= global__ref1_155 tmp1__global__ref1_155)) ; (global__ref1_155 = tmp1__global__ref1_155)
(assert (= global__ref1_156 tmp1__global__ref1_156)) ; (global__ref1_156 = tmp1__global__ref1_156)
(assert (= global__ref1_157 tmp1__global__ref1_157)) ; (global__ref1_157 = tmp1__global__ref1_157)
(assert (= global__ref1_158 tmp1__global__ref1_158)) ; (global__ref1_158 = tmp1__global__ref1_158)
(assert (= global__ref1_159 tmp1__global__ref1_159)) ; (global__ref1_159 = tmp1__global__ref1_159)
(assert (= global__ref1_16 tmp1__global__ref1_16)) ; (global__ref1_16 = tmp1__global__ref1_16)
(assert (= global__ref1_160 tmp1__global__ref1_160)) ; (global__ref1_160 = tmp1__global__ref1_160)
(assert (= global__ref1_161 tmp1__global__ref1_161)) ; (global__ref1_161 = tmp1__global__ref1_161)
(assert (= global__ref1_162 tmp1__global__ref1_162)) ; (global__ref1_162 = tmp1__global__ref1_162)
(assert (= global__ref1_163 tmp1__global__ref1_163)) ; (global__ref1_163 = tmp1__global__ref1_163)
(assert (= global__ref1_164 tmp1__global__ref1_164)) ; (global__ref1_164 = tmp1__global__ref1_164)
(assert (= global__ref1_165 tmp1__global__ref1_165)) ; (global__ref1_165 = tmp1__global__ref1_165)
(assert (= global__ref1_166 tmp1__global__ref1_166)) ; (global__ref1_166 = tmp1__global__ref1_166)
(assert (= global__ref1_167 tmp1__global__ref1_167)) ; (global__ref1_167 = tmp1__global__ref1_167)
(assert (= global__ref1_168 tmp1__global__ref1_168)) ; (global__ref1_168 = tmp1__global__ref1_168)
(assert (= global__ref1_169 tmp1__global__ref1_169)) ; (global__ref1_169 = tmp1__global__ref1_169)
(assert (= global__ref1_17 tmp1__global__ref1_17)) ; (global__ref1_17 = tmp1__global__ref1_17)
(assert (= global__ref1_170 tmp1__global__ref1_170)) ; (global__ref1_170 = tmp1__global__ref1_170)
(assert (= global__ref1_171 tmp1__global__ref1_171)) ; (global__ref1_171 = tmp1__global__ref1_171)
(assert (= global__ref1_172 tmp1__global__ref1_172)) ; (global__ref1_172 = tmp1__global__ref1_172)
(assert (= global__ref1_173 tmp1__global__ref1_173)) ; (global__ref1_173 = tmp1__global__ref1_173)
(assert (= global__ref1_174 tmp1__global__ref1_174)) ; (global__ref1_174 = tmp1__global__ref1_174)
(assert (= global__ref1_175 tmp1__global__ref1_175)) ; (global__ref1_175 = tmp1__global__ref1_175)
(assert (= global__ref1_176 tmp1__global__ref1_176)) ; (global__ref1_176 = tmp1__global__ref1_176)
(assert (= global__ref1_177 tmp1__global__ref1_177)) ; (global__ref1_177 = tmp1__global__ref1_177)
(assert (= global__ref1_178 tmp1__global__ref1_178)) ; (global__ref1_178 = tmp1__global__ref1_178)
(assert (= global__ref1_179 tmp1__global__ref1_179)) ; (global__ref1_179 = tmp1__global__ref1_179)
(assert (= global__ref1_18 tmp1__global__ref1_18)) ; (global__ref1_18 = tmp1__global__ref1_18)
(assert (= global__ref1_180 tmp1__global__ref1_180)) ; (global__ref1_180 = tmp1__global__ref1_180)
(assert (= global__ref1_181 tmp1__global__ref1_181)) ; (global__ref1_181 = tmp1__global__ref1_181)
(assert (= global__ref1_182 tmp1__global__ref1_182)) ; (global__ref1_182 = tmp1__global__ref1_182)
(assert (= global__ref1_183 tmp1__global__ref1_183)) ; (global__ref1_183 = tmp1__global__ref1_183)
(assert (= global__ref1_184 tmp1__global__ref1_184)) ; (global__ref1_184 = tmp1__global__ref1_184)
(assert (= global__ref1_185 tmp1__global__ref1_185)) ; (global__ref1_185 = tmp1__global__ref1_185)
(assert (= global__ref1_186 tmp1__global__ref1_186)) ; (global__ref1_186 = tmp1__global__ref1_186)
(assert (= global__ref1_187 tmp1__global__ref1_187)) ; (global__ref1_187 = tmp1__global__ref1_187)
(assert (= global__ref1_188 tmp1__global__ref1_188)) ; (global__ref1_188 = tmp1__global__ref1_188)
(assert (= global__ref1_189 tmp1__global__ref1_189)) ; (global__ref1_189 = tmp1__global__ref1_189)
(assert (= global__ref1_19 tmp1__global__ref1_19)) ; (global__ref1_19 = tmp1__global__ref1_19)
(assert (= global__ref1_190 tmp1__global__ref1_190)) ; (global__ref1_190 = tmp1__global__ref1_190)
(assert (= global__ref1_191 tmp1__global__ref1_191)) ; (global__ref1_191 = tmp1__global__ref1_191)
(assert (= global__ref1_192 tmp1__global__ref1_192)) ; (global__ref1_192 = tmp1__global__ref1_192)
(assert (= global__ref1_193 tmp1__global__ref1_193)) ; (global__ref1_193 = tmp1__global__ref1_193)
(assert (= global__ref1_194 tmp1__global__ref1_194)) ; (global__ref1_194 = tmp1__global__ref1_194)
(assert (= global__ref1_195 tmp1__global__ref1_195)) ; (global__ref1_195 = tmp1__global__ref1_195)
(assert (= global__ref1_196 tmp1__global__ref1_196)) ; (global__ref1_196 = tmp1__global__ref1_196)
(assert (= global__ref1_197 tmp1__global__ref1_197)) ; (global__ref1_197 = tmp1__global__ref1_197)
(assert (= global__ref1_198 tmp1__global__ref1_198)) ; (global__ref1_198 = tmp1__global__ref1_198)
(assert (= global__ref1_199 tmp1__global__ref1_199)) ; (global__ref1_199 = tmp1__global__ref1_199)
(assert (= global__ref1_2 tmp1__global__ref1_2)) ; (global__ref1_2 = tmp1__global__ref1_2)
(assert (= global__ref1_20 tmp1__global__ref1_20)) ; (global__ref1_20 = tmp1__global__ref1_20)
(assert (= global__ref1_200 tmp1__global__ref1_200)) ; (global__ref1_200 = tmp1__global__ref1_200)
(assert (= global__ref1_201 tmp1__global__ref1_201)) ; (global__ref1_201 = tmp1__global__ref1_201)
(assert (= global__ref1_202 tmp1__global__ref1_202)) ; (global__ref1_202 = tmp1__global__ref1_202)
(assert (= global__ref1_203 tmp1__global__ref1_203)) ; (global__ref1_203 = tmp1__global__ref1_203)
(assert (= global__ref1_204 tmp1__global__ref1_204)) ; (global__ref1_204 = tmp1__global__ref1_204)
(assert (= global__ref1_205 tmp1__global__ref1_205)) ; (global__ref1_205 = tmp1__global__ref1_205)
(assert (= global__ref1_206 tmp1__global__ref1_206)) ; (global__ref1_206 = tmp1__global__ref1_206)
(assert (= global__ref1_207 tmp1__global__ref1_207)) ; (global__ref1_207 = tmp1__global__ref1_207)
(assert (= global__ref1_208 tmp1__global__ref1_208)) ; (global__ref1_208 = tmp1__global__ref1_208)
(assert (= global__ref1_209 tmp1__global__ref1_209)) ; (global__ref1_209 = tmp1__global__ref1_209)
(assert (= global__ref1_21 tmp1__global__ref1_21)) ; (global__ref1_21 = tmp1__global__ref1_21)
(assert (= global__ref1_210 tmp1__global__ref1_210)) ; (global__ref1_210 = tmp1__global__ref1_210)
(assert (= global__ref1_211 tmp1__global__ref1_211)) ; (global__ref1_211 = tmp1__global__ref1_211)
(assert (= global__ref1_212 tmp1__global__ref1_212)) ; (global__ref1_212 = tmp1__global__ref1_212)
(assert (= global__ref1_213 tmp1__global__ref1_213)) ; (global__ref1_213 = tmp1__global__ref1_213)
(assert (= global__ref1_214 tmp1__global__ref1_214)) ; (global__ref1_214 = tmp1__global__ref1_214)
(assert (= global__ref1_215 tmp1__global__ref1_215)) ; (global__ref1_215 = tmp1__global__ref1_215)
(assert (= global__ref1_216 tmp1__global__ref1_216)) ; (global__ref1_216 = tmp1__global__ref1_216)
(assert (= global__ref1_217 tmp1__global__ref1_217)) ; (global__ref1_217 = tmp1__global__ref1_217)
(assert (= global__ref1_218 tmp1__global__ref1_218)) ; (global__ref1_218 = tmp1__global__ref1_218)
(assert (= global__ref1_219 tmp1__global__ref1_219)) ; (global__ref1_219 = tmp1__global__ref1_219)
(assert (= global__ref1_22 tmp1__global__ref1_22)) ; (global__ref1_22 = tmp1__global__ref1_22)
(assert (= global__ref1_220 tmp1__global__ref1_220)) ; (global__ref1_220 = tmp1__global__ref1_220)
(assert (= global__ref1_221 tmp1__global__ref1_221)) ; (global__ref1_221 = tmp1__global__ref1_221)
(assert (= global__ref1_222 tmp1__global__ref1_222)) ; (global__ref1_222 = tmp1__global__ref1_222)
(assert (= global__ref1_223 tmp1__global__ref1_223)) ; (global__ref1_223 = tmp1__global__ref1_223)
(assert (= global__ref1_224 tmp1__global__ref1_224)) ; (global__ref1_224 = tmp1__global__ref1_224)
(assert (= global__ref1_23 tmp1__global__ref1_23)) ; (global__ref1_23 = tmp1__global__ref1_23)
(assert (= global__ref1_24 tmp1__global__ref1_24)) ; (global__ref1_24 = tmp1__global__ref1_24)
(assert (= global__ref1_25 tmp1__global__ref1_25)) ; (global__ref1_25 = tmp1__global__ref1_25)
(assert (= global__ref1_26 tmp1__global__ref1_26)) ; (global__ref1_26 = tmp1__global__ref1_26)
(assert (= global__ref1_27 tmp1__global__ref1_27)) ; (global__ref1_27 = tmp1__global__ref1_27)
(assert (= global__ref1_28 tmp1__global__ref1_28)) ; (global__ref1_28 = tmp1__global__ref1_28)
(assert (= global__ref1_29 tmp1__global__ref1_29)) ; (global__ref1_29 = tmp1__global__ref1_29)
(assert (= global__ref1_3 tmp1__global__ref1_3)) ; (global__ref1_3 = tmp1__global__ref1_3)
(assert (= global__ref1_30 tmp1__global__ref1_30)) ; (global__ref1_30 = tmp1__global__ref1_30)
(assert (= global__ref1_31 tmp1__global__ref1_31)) ; (global__ref1_31 = tmp1__global__ref1_31)
(assert (= global__ref1_32 tmp1__global__ref1_32)) ; (global__ref1_32 = tmp1__global__ref1_32)
(assert (= global__ref1_33 tmp1__global__ref1_33)) ; (global__ref1_33 = tmp1__global__ref1_33)
(assert (= global__ref1_34 tmp1__global__ref1_34)) ; (global__ref1_34 = tmp1__global__ref1_34)
(assert (= global__ref1_35 tmp1__global__ref1_35)) ; (global__ref1_35 = tmp1__global__ref1_35)
(assert (= global__ref1_36 tmp1__global__ref1_36)) ; (global__ref1_36 = tmp1__global__ref1_36)
(assert (= global__ref1_37 tmp1__global__ref1_37)) ; (global__ref1_37 = tmp1__global__ref1_37)
(assert (= global__ref1_38 tmp1__global__ref1_38)) ; (global__ref1_38 = tmp1__global__ref1_38)
(assert (= global__ref1_39 tmp1__global__ref1_39)) ; (global__ref1_39 = tmp1__global__ref1_39)
(assert (= global__ref1_4 tmp1__global__ref1_4)) ; (global__ref1_4 = tmp1__global__ref1_4)
(assert (= global__ref1_40 tmp1__global__ref1_40)) ; (global__ref1_40 = tmp1__global__ref1_40)
(assert (= global__ref1_41 tmp1__global__ref1_41)) ; (global__ref1_41 = tmp1__global__ref1_41)
(assert (= global__ref1_42 tmp1__global__ref1_42)) ; (global__ref1_42 = tmp1__global__ref1_42)
(assert (= global__ref1_43 tmp1__global__ref1_43)) ; (global__ref1_43 = tmp1__global__ref1_43)
(assert (= global__ref1_44 tmp1__global__ref1_44)) ; (global__ref1_44 = tmp1__global__ref1_44)
(assert (= global__ref1_45 tmp1__global__ref1_45)) ; (global__ref1_45 = tmp1__global__ref1_45)
(assert (= global__ref1_46 tmp1__global__ref1_46)) ; (global__ref1_46 = tmp1__global__ref1_46)
(assert (= global__ref1_47 tmp1__global__ref1_47)) ; (global__ref1_47 = tmp1__global__ref1_47)
(assert (= global__ref1_48 tmp1__global__ref1_48)) ; (global__ref1_48 = tmp1__global__ref1_48)
(assert (= global__ref1_49 tmp1__global__ref1_49)) ; (global__ref1_49 = tmp1__global__ref1_49)
(assert (= global__ref1_5 tmp1__global__ref1_5)) ; (global__ref1_5 = tmp1__global__ref1_5)
(assert (= global__ref1_50 tmp1__global__ref1_50)) ; (global__ref1_50 = tmp1__global__ref1_50)
(assert (= global__ref1_51 tmp1__global__ref1_51)) ; (global__ref1_51 = tmp1__global__ref1_51)
(assert (= global__ref1_52 tmp1__global__ref1_52)) ; (global__ref1_52 = tmp1__global__ref1_52)
(assert (= global__ref1_53 tmp1__global__ref1_53)) ; (global__ref1_53 = tmp1__global__ref1_53)
(assert (= global__ref1_54 tmp1__global__ref1_54)) ; (global__ref1_54 = tmp1__global__ref1_54)
(assert (= global__ref1_55 tmp1__global__ref1_55)) ; (global__ref1_55 = tmp1__global__ref1_55)
(assert (= global__ref1_56 tmp1__global__ref1_56)) ; (global__ref1_56 = tmp1__global__ref1_56)
(assert (= global__ref1_57 tmp1__global__ref1_57)) ; (global__ref1_57 = tmp1__global__ref1_57)
(assert (= global__ref1_58 tmp1__global__ref1_58)) ; (global__ref1_58 = tmp1__global__ref1_58)
(assert (= global__ref1_59 tmp1__global__ref1_59)) ; (global__ref1_59 = tmp1__global__ref1_59)
(assert (= global__ref1_6 tmp1__global__ref1_6)) ; (global__ref1_6 = tmp1__global__ref1_6)
(assert (= global__ref1_60 tmp1__global__ref1_60)) ; (global__ref1_60 = tmp1__global__ref1_60)
(assert (= global__ref1_61 tmp1__global__ref1_61)) ; (global__ref1_61 = tmp1__global__ref1_61)
(assert (= global__ref1_62 tmp1__global__ref1_62)) ; (global__ref1_62 = tmp1__global__ref1_62)
(assert (= global__ref1_63 tmp1__global__ref1_63)) ; (global__ref1_63 = tmp1__global__ref1_63)
(assert (= global__ref1_64 tmp1__global__ref1_64)) ; (global__ref1_64 = tmp1__global__ref1_64)
(assert (= global__ref1_65 tmp1__global__ref1_65)) ; (global__ref1_65 = tmp1__global__ref1_65)
(assert (= global__ref1_66 tmp1__global__ref1_66)) ; (global__ref1_66 = tmp1__global__ref1_66)
(assert (= global__ref1_67 tmp1__global__ref1_67)) ; (global__ref1_67 = tmp1__global__ref1_67)
(assert (= global__ref1_68 tmp1__global__ref1_68)) ; (global__ref1_68 = tmp1__global__ref1_68)
(assert (= global__ref1_69 tmp1__global__ref1_69)) ; (global__ref1_69 = tmp1__global__ref1_69)
(assert (= global__ref1_7 tmp1__global__ref1_7)) ; (global__ref1_7 = tmp1__global__ref1_7)
(assert (= global__ref1_70 tmp1__global__ref1_70)) ; (global__ref1_70 = tmp1__global__ref1_70)
(assert (= global__ref1_71 tmp1__global__ref1_71)) ; (global__ref1_71 = tmp1__global__ref1_71)
(assert (= global__ref1_72 tmp1__global__ref1_72)) ; (global__ref1_72 = tmp1__global__ref1_72)
(assert (= global__ref1_73 tmp1__global__ref1_73)) ; (global__ref1_73 = tmp1__global__ref1_73)
(assert (= global__ref1_74 tmp1__global__ref1_74)) ; (global__ref1_74 = tmp1__global__ref1_74)
(assert (= global__ref1_75 tmp1__global__ref1_75)) ; (global__ref1_75 = tmp1__global__ref1_75)
(assert (= global__ref1_76 tmp1__global__ref1_76)) ; (global__ref1_76 = tmp1__global__ref1_76)
(assert (= global__ref1_77 tmp1__global__ref1_77)) ; (global__ref1_77 = tmp1__global__ref1_77)
(assert (= global__ref1_78 tmp1__global__ref1_78)) ; (global__ref1_78 = tmp1__global__ref1_78)
(assert (= global__ref1_79 tmp1__global__ref1_79)) ; (global__ref1_79 = tmp1__global__ref1_79)
(assert (= global__ref1_8 tmp1__global__ref1_8)) ; (global__ref1_8 = tmp1__global__ref1_8)
(assert (= global__ref1_80 tmp1__global__ref1_80)) ; (global__ref1_80 = tmp1__global__ref1_80)
(assert (= global__ref1_81 tmp1__global__ref1_81)) ; (global__ref1_81 = tmp1__global__ref1_81)
(assert (= global__ref1_82 tmp1__global__ref1_82)) ; (global__ref1_82 = tmp1__global__ref1_82)
(assert (= global__ref1_83 tmp1__global__ref1_83)) ; (global__ref1_83 = tmp1__global__ref1_83)
(assert (= global__ref1_84 tmp1__global__ref1_84)) ; (global__ref1_84 = tmp1__global__ref1_84)
(assert (= global__ref1_85 tmp1__global__ref1_85)) ; (global__ref1_85 = tmp1__global__ref1_85)
(assert (= global__ref1_86 tmp1__global__ref1_86)) ; (global__ref1_86 = tmp1__global__ref1_86)
(assert (= global__ref1_87 tmp1__global__ref1_87)) ; (global__ref1_87 = tmp1__global__ref1_87)
(assert (= global__ref1_88 tmp1__global__ref1_88)) ; (global__ref1_88 = tmp1__global__ref1_88)
(assert (= global__ref1_89 tmp1__global__ref1_89)) ; (global__ref1_89 = tmp1__global__ref1_89)
(assert (= global__ref1_9 tmp1__global__ref1_9)) ; (global__ref1_9 = tmp1__global__ref1_9)
(assert (= global__ref1_90 tmp1__global__ref1_90)) ; (global__ref1_90 = tmp1__global__ref1_90)
(assert (= global__ref1_91 tmp1__global__ref1_91)) ; (global__ref1_91 = tmp1__global__ref1_91)
(assert (= global__ref1_92 tmp1__global__ref1_92)) ; (global__ref1_92 = tmp1__global__ref1_92)
(assert (= global__ref1_93 tmp1__global__ref1_93)) ; (global__ref1_93 = tmp1__global__ref1_93)
(assert (= global__ref1_94 tmp1__global__ref1_94)) ; (global__ref1_94 = tmp1__global__ref1_94)
(assert (= global__ref1_95 tmp1__global__ref1_95)) ; (global__ref1_95 = tmp1__global__ref1_95)
(assert (= global__ref1_96 tmp1__global__ref1_96)) ; (global__ref1_96 = tmp1__global__ref1_96)
(assert (= global__ref1_97 tmp1__global__ref1_97)) ; (global__ref1_97 = tmp1__global__ref1_97)
(assert (= global__ref1_98 tmp1__global__ref1_98)) ; (global__ref1_98 = tmp1__global__ref1_98)
(assert (= global__ref1_99 tmp1__global__ref1_99)) ; (global__ref1_99 = tmp1__global__ref1_99)
(assert (= global__s1_0 tmp2__global__s1_0)) ; (global__s1_0 = tmp2__global__s1_0)
(assert (= global__s1_1 tmp2__global__s1_1)) ; (global__s1_1 = tmp2__global__s1_1)
(assert (= global__s1_10 tmp2__global__s1_10)) ; (global__s1_10 = tmp2__global__s1_10)
(assert (= global__s1_11 tmp2__global__s1_11)) ; (global__s1_11 = tmp2__global__s1_11)
(assert (= global__s1_12 tmp2__global__s1_12)) ; (global__s1_12 = tmp2__global__s1_12)
(assert (= global__s1_13 tmp2__global__s1_13)) ; (global__s1_13 = tmp2__global__s1_13)
(assert (= global__s1_14 tmp2__global__s1_14)) ; (global__s1_14 = tmp2__global__s1_14)
(assert (= global__s1_15 tmp2__global__s1_15)) ; (global__s1_15 = tmp2__global__s1_15)
(assert (= global__s1_16 tmp2__global__s1_16)) ; (global__s1_16 = tmp2__global__s1_16)
(assert (= global__s1_17 tmp2__global__s1_17)) ; (global__s1_17 = tmp2__global__s1_17)
(assert (= global__s1_18 tmp2__global__s1_18)) ; (global__s1_18 = tmp2__global__s1_18)
(assert (= global__s1_19 tmp2__global__s1_19)) ; (global__s1_19 = tmp2__global__s1_19)
(assert (= global__s1_2 tmp2__global__s1_2)) ; (global__s1_2 = tmp2__global__s1_2)
(assert (= global__s1_20 tmp2__global__s1_20)) ; (global__s1_20 = tmp2__global__s1_20)
(assert (= global__s1_21 tmp2__global__s1_21)) ; (global__s1_21 = tmp2__global__s1_21)
(assert (= global__s1_22 tmp2__global__s1_22)) ; (global__s1_22 = tmp2__global__s1_22)
(assert (= global__s1_23 tmp2__global__s1_23)) ; (global__s1_23 = tmp2__global__s1_23)
(assert (= global__s1_24 tmp2__global__s1_24)) ; (global__s1_24 = tmp2__global__s1_24)
(assert (= global__s1_25 tmp2__global__s1_25)) ; (global__s1_25 = tmp2__global__s1_25)
(assert (= global__s1_26 tmp2__global__s1_26)) ; (global__s1_26 = tmp2__global__s1_26)
(assert (= global__s1_27 tmp2__global__s1_27)) ; (global__s1_27 = tmp2__global__s1_27)
(assert (= global__s1_28 tmp2__global__s1_28)) ; (global__s1_28 = tmp2__global__s1_28)
(assert (= global__s1_29 tmp2__global__s1_29)) ; (global__s1_29 = tmp2__global__s1_29)
(assert (= global__s1_3 tmp2__global__s1_3)) ; (global__s1_3 = tmp2__global__s1_3)
(assert (= global__s1_30 tmp2__global__s1_30)) ; (global__s1_30 = tmp2__global__s1_30)
(assert (= global__s1_31 tmp2__global__s1_31)) ; (global__s1_31 = tmp2__global__s1_31)
(assert (= global__s1_32 tmp2__global__s1_32)) ; (global__s1_32 = tmp2__global__s1_32)
(assert (= global__s1_33 tmp2__global__s1_33)) ; (global__s1_33 = tmp2__global__s1_33)
(assert (= global__s1_34 tmp2__global__s1_34)) ; (global__s1_34 = tmp2__global__s1_34)
(assert (= global__s1_35 tmp2__global__s1_35)) ; (global__s1_35 = tmp2__global__s1_35)
(assert (= global__s1_36 tmp2__global__s1_36)) ; (global__s1_36 = tmp2__global__s1_36)
(assert (= global__s1_37 tmp2__global__s1_37)) ; (global__s1_37 = tmp2__global__s1_37)
(assert (= global__s1_38 tmp2__global__s1_38)) ; (global__s1_38 = tmp2__global__s1_38)
(assert (= global__s1_39 tmp2__global__s1_39)) ; (global__s1_39 = tmp2__global__s1_39)
(assert (= global__s1_4 tmp2__global__s1_4)) ; (global__s1_4 = tmp2__global__s1_4)
(assert (= global__s1_40 tmp2__global__s1_40)) ; (global__s1_40 = tmp2__global__s1_40)
(assert (= global__s1_41 tmp2__global__s1_41)) ; (global__s1_41 = tmp2__global__s1_41)
(assert (= global__s1_42 tmp2__global__s1_42)) ; (global__s1_42 = tmp2__global__s1_42)
(assert (= global__s1_43 tmp2__global__s1_43)) ; (global__s1_43 = tmp2__global__s1_43)
(assert (= global__s1_44 tmp2__global__s1_44)) ; (global__s1_44 = tmp2__global__s1_44)
(assert (= global__s1_45 tmp2__global__s1_45)) ; (global__s1_45 = tmp2__global__s1_45)
(assert (= global__s1_46 tmp2__global__s1_46)) ; (global__s1_46 = tmp2__global__s1_46)
(assert (= global__s1_47 tmp2__global__s1_47)) ; (global__s1_47 = tmp2__global__s1_47)
(assert (= global__s1_48 tmp2__global__s1_48)) ; (global__s1_48 = tmp2__global__s1_48)
(assert (= global__s1_49 tmp2__global__s1_49)) ; (global__s1_49 = tmp2__global__s1_49)
(assert (= global__s1_5 tmp2__global__s1_5)) ; (global__s1_5 = tmp2__global__s1_5)
(assert (= global__s1_50 tmp2__global__s1_50)) ; (global__s1_50 = tmp2__global__s1_50)
(assert (= global__s1_51 tmp2__global__s1_51)) ; (global__s1_51 = tmp2__global__s1_51)
(assert (= global__s1_52 tmp2__global__s1_52)) ; (global__s1_52 = tmp2__global__s1_52)
(assert (= global__s1_53 tmp2__global__s1_53)) ; (global__s1_53 = tmp2__global__s1_53)
(assert (= global__s1_54 tmp2__global__s1_54)) ; (global__s1_54 = tmp2__global__s1_54)
(assert (= global__s1_55 tmp2__global__s1_55)) ; (global__s1_55 = tmp2__global__s1_55)
(assert (= global__s1_56 tmp2__global__s1_56)) ; (global__s1_56 = tmp2__global__s1_56)
(assert (= global__s1_57 tmp2__global__s1_57)) ; (global__s1_57 = tmp2__global__s1_57)
(assert (= global__s1_58 tmp2__global__s1_58)) ; (global__s1_58 = tmp2__global__s1_58)
(assert (= global__s1_59 tmp2__global__s1_59)) ; (global__s1_59 = tmp2__global__s1_59)
(assert (= global__s1_6 tmp2__global__s1_6)) ; (global__s1_6 = tmp2__global__s1_6)
(assert (= global__s1_60 tmp2__global__s1_60)) ; (global__s1_60 = tmp2__global__s1_60)
(assert (= global__s1_61 tmp2__global__s1_61)) ; (global__s1_61 = tmp2__global__s1_61)
(assert (= global__s1_62 tmp2__global__s1_62)) ; (global__s1_62 = tmp2__global__s1_62)
(assert (= global__s1_63 tmp2__global__s1_63)) ; (global__s1_63 = tmp2__global__s1_63)
(assert (= global__s1_7 tmp2__global__s1_7)) ; (global__s1_7 = tmp2__global__s1_7)
(assert (= global__s1_8 tmp2__global__s1_8)) ; (global__s1_8 = tmp2__global__s1_8)
(assert (= global__s1_9 tmp2__global__s1_9)) ; (global__s1_9 = tmp2__global__s1_9)
(assert (= global__s2_0 tmp2__global__s2_0)) ; (global__s2_0 = tmp2__global__s2_0)
(assert (= global__s2_1 tmp2__global__s2_1)) ; (global__s2_1 = tmp2__global__s2_1)
(assert (= global__s2_10 tmp2__global__s2_10)) ; (global__s2_10 = tmp2__global__s2_10)
(assert (= global__s2_11 tmp2__global__s2_11)) ; (global__s2_11 = tmp2__global__s2_11)
(assert (= global__s2_12 tmp2__global__s2_12)) ; (global__s2_12 = tmp2__global__s2_12)
(assert (= global__s2_13 tmp2__global__s2_13)) ; (global__s2_13 = tmp2__global__s2_13)
(assert (= global__s2_14 tmp2__global__s2_14)) ; (global__s2_14 = tmp2__global__s2_14)
(assert (= global__s2_15 tmp2__global__s2_15)) ; (global__s2_15 = tmp2__global__s2_15)
(assert (= global__s2_16 tmp2__global__s2_16)) ; (global__s2_16 = tmp2__global__s2_16)
(assert (= global__s2_17 tmp2__global__s2_17)) ; (global__s2_17 = tmp2__global__s2_17)
(assert (= global__s2_18 tmp2__global__s2_18)) ; (global__s2_18 = tmp2__global__s2_18)
(assert (= global__s2_19 tmp2__global__s2_19)) ; (global__s2_19 = tmp2__global__s2_19)
(assert (= global__s2_2 tmp2__global__s2_2)) ; (global__s2_2 = tmp2__global__s2_2)
(assert (= global__s2_20 tmp2__global__s2_20)) ; (global__s2_20 = tmp2__global__s2_20)
(assert (= global__s2_21 tmp2__global__s2_21)) ; (global__s2_21 = tmp2__global__s2_21)
(assert (= global__s2_22 tmp2__global__s2_22)) ; (global__s2_22 = tmp2__global__s2_22)
(assert (= global__s2_23 tmp2__global__s2_23)) ; (global__s2_23 = tmp2__global__s2_23)
(assert (= global__s2_24 tmp2__global__s2_24)) ; (global__s2_24 = tmp2__global__s2_24)
(assert (= global__s2_25 tmp2__global__s2_25)) ; (global__s2_25 = tmp2__global__s2_25)
(assert (= global__s2_26 tmp2__global__s2_26)) ; (global__s2_26 = tmp2__global__s2_26)
(assert (= global__s2_27 tmp2__global__s2_27)) ; (global__s2_27 = tmp2__global__s2_27)
(assert (= global__s2_28 tmp2__global__s2_28)) ; (global__s2_28 = tmp2__global__s2_28)
(assert (= global__s2_29 tmp2__global__s2_29)) ; (global__s2_29 = tmp2__global__s2_29)
(assert (= global__s2_3 tmp2__global__s2_3)) ; (global__s2_3 = tmp2__global__s2_3)
(assert (= global__s2_30 tmp2__global__s2_30)) ; (global__s2_30 = tmp2__global__s2_30)
(assert (= global__s2_31 tmp2__global__s2_31)) ; (global__s2_31 = tmp2__global__s2_31)
(assert (= global__s2_32 tmp2__global__s2_32)) ; (global__s2_32 = tmp2__global__s2_32)
(assert (= global__s2_33 tmp2__global__s2_33)) ; (global__s2_33 = tmp2__global__s2_33)
(assert (= global__s2_34 tmp2__global__s2_34)) ; (global__s2_34 = tmp2__global__s2_34)
(assert (= global__s2_35 tmp2__global__s2_35)) ; (global__s2_35 = tmp2__global__s2_35)
(assert (= global__s2_36 tmp2__global__s2_36)) ; (global__s2_36 = tmp2__global__s2_36)
(assert (= global__s2_37 tmp2__global__s2_37)) ; (global__s2_37 = tmp2__global__s2_37)
(assert (= global__s2_38 tmp2__global__s2_38)) ; (global__s2_38 = tmp2__global__s2_38)
(assert (= global__s2_39 tmp2__global__s2_39)) ; (global__s2_39 = tmp2__global__s2_39)
(assert (= global__s2_4 tmp2__global__s2_4)) ; (global__s2_4 = tmp2__global__s2_4)
(assert (= global__s2_40 tmp2__global__s2_40)) ; (global__s2_40 = tmp2__global__s2_40)
(assert (= global__s2_41 tmp2__global__s2_41)) ; (global__s2_41 = tmp2__global__s2_41)
(assert (= global__s2_42 tmp2__global__s2_42)) ; (global__s2_42 = tmp2__global__s2_42)
(assert (= global__s2_43 tmp2__global__s2_43)) ; (global__s2_43 = tmp2__global__s2_43)
(assert (= global__s2_44 tmp2__global__s2_44)) ; (global__s2_44 = tmp2__global__s2_44)
(assert (= global__s2_45 tmp2__global__s2_45)) ; (global__s2_45 = tmp2__global__s2_45)
(assert (= global__s2_46 tmp2__global__s2_46)) ; (global__s2_46 = tmp2__global__s2_46)
(assert (= global__s2_47 tmp2__global__s2_47)) ; (global__s2_47 = tmp2__global__s2_47)
(assert (= global__s2_48 tmp2__global__s2_48)) ; (global__s2_48 = tmp2__global__s2_48)
(assert (= global__s2_49 tmp2__global__s2_49)) ; (global__s2_49 = tmp2__global__s2_49)
(assert (= global__s2_5 tmp2__global__s2_5)) ; (global__s2_5 = tmp2__global__s2_5)
(assert (= global__s2_50 tmp2__global__s2_50)) ; (global__s2_50 = tmp2__global__s2_50)
(assert (= global__s2_51 tmp2__global__s2_51)) ; (global__s2_51 = tmp2__global__s2_51)
(assert (= global__s2_52 tmp2__global__s2_52)) ; (global__s2_52 = tmp2__global__s2_52)
(assert (= global__s2_53 tmp2__global__s2_53)) ; (global__s2_53 = tmp2__global__s2_53)
(assert (= global__s2_54 tmp2__global__s2_54)) ; (global__s2_54 = tmp2__global__s2_54)
(assert (= global__s2_55 tmp2__global__s2_55)) ; (global__s2_55 = tmp2__global__s2_55)
(assert (= global__s2_56 tmp2__global__s2_56)) ; (global__s2_56 = tmp2__global__s2_56)
(assert (= global__s2_57 tmp2__global__s2_57)) ; (global__s2_57 = tmp2__global__s2_57)
(assert (= global__s2_58 tmp2__global__s2_58)) ; (global__s2_58 = tmp2__global__s2_58)
(assert (= global__s2_59 tmp2__global__s2_59)) ; (global__s2_59 = tmp2__global__s2_59)
(assert (= global__s2_6 tmp2__global__s2_6)) ; (global__s2_6 = tmp2__global__s2_6)
(assert (= global__s2_60 tmp2__global__s2_60)) ; (global__s2_60 = tmp2__global__s2_60)
(assert (= global__s2_61 tmp2__global__s2_61)) ; (global__s2_61 = tmp2__global__s2_61)
(assert (= global__s2_62 tmp2__global__s2_62)) ; (global__s2_62 = tmp2__global__s2_62)
(assert (= global__s2_63 tmp2__global__s2_63)) ; (global__s2_63 = tmp2__global__s2_63)
(assert (= global__s2_7 tmp2__global__s2_7)) ; (global__s2_7 = tmp2__global__s2_7)
(assert (= global__s2_8 tmp2__global__s2_8)) ; (global__s2_8 = tmp2__global__s2_8)
(assert (= global__s2_9 tmp2__global__s2_9)) ; (global__s2_9 = tmp2__global__s2_9)
(assert (= global__s3_0 tmp2__global__s3_0)) ; (global__s3_0 = tmp2__global__s3_0)
(assert (= global__s3_1 tmp2__global__s3_1)) ; (global__s3_1 = tmp2__global__s3_1)
(assert (= global__s3_10 tmp2__global__s3_10)) ; (global__s3_10 = tmp2__global__s3_10)
(assert (= global__s3_11 tmp2__global__s3_11)) ; (global__s3_11 = tmp2__global__s3_11)
(assert (= global__s3_12 tmp2__global__s3_12)) ; (global__s3_12 = tmp2__global__s3_12)
(assert (= global__s3_13 tmp2__global__s3_13)) ; (global__s3_13 = tmp2__global__s3_13)
(assert (= global__s3_14 tmp2__global__s3_14)) ; (global__s3_14 = tmp2__global__s3_14)
(assert (= global__s3_15 tmp2__global__s3_15)) ; (global__s3_15 = tmp2__global__s3_15)
(assert (= global__s3_16 tmp2__global__s3_16)) ; (global__s3_16 = tmp2__global__s3_16)
(assert (= global__s3_17 tmp2__global__s3_17)) ; (global__s3_17 = tmp2__global__s3_17)
(assert (= global__s3_18 tmp2__global__s3_18)) ; (global__s3_18 = tmp2__global__s3_18)
(assert (= global__s3_19 tmp2__global__s3_19)) ; (global__s3_19 = tmp2__global__s3_19)
(assert (= global__s3_2 tmp2__global__s3_2)) ; (global__s3_2 = tmp2__global__s3_2)
(assert (= global__s3_20 tmp2__global__s3_20)) ; (global__s3_20 = tmp2__global__s3_20)
(assert (= global__s3_21 tmp2__global__s3_21)) ; (global__s3_21 = tmp2__global__s3_21)
(assert (= global__s3_22 tmp2__global__s3_22)) ; (global__s3_22 = tmp2__global__s3_22)
(assert (= global__s3_23 tmp2__global__s3_23)) ; (global__s3_23 = tmp2__global__s3_23)
(assert (= global__s3_24 tmp2__global__s3_24)) ; (global__s3_24 = tmp2__global__s3_24)
(assert (= global__s3_25 tmp2__global__s3_25)) ; (global__s3_25 = tmp2__global__s3_25)
(assert (= global__s3_26 tmp2__global__s3_26)) ; (global__s3_26 = tmp2__global__s3_26)
(assert (= global__s3_27 tmp2__global__s3_27)) ; (global__s3_27 = tmp2__global__s3_27)
(assert (= global__s3_28 tmp2__global__s3_28)) ; (global__s3_28 = tmp2__global__s3_28)
(assert (= global__s3_29 tmp2__global__s3_29)) ; (global__s3_29 = tmp2__global__s3_29)
(assert (= global__s3_3 tmp2__global__s3_3)) ; (global__s3_3 = tmp2__global__s3_3)
(assert (= global__s3_30 tmp2__global__s3_30)) ; (global__s3_30 = tmp2__global__s3_30)
(assert (= global__s3_31 tmp2__global__s3_31)) ; (global__s3_31 = tmp2__global__s3_31)
(assert (= global__s3_32 tmp2__global__s3_32)) ; (global__s3_32 = tmp2__global__s3_32)
(assert (= global__s3_33 tmp2__global__s3_33)) ; (global__s3_33 = tmp2__global__s3_33)
(assert (= global__s3_34 tmp2__global__s3_34)) ; (global__s3_34 = tmp2__global__s3_34)
(assert (= global__s3_35 tmp2__global__s3_35)) ; (global__s3_35 = tmp2__global__s3_35)
(assert (= global__s3_36 tmp2__global__s3_36)) ; (global__s3_36 = tmp2__global__s3_36)
(assert (= global__s3_37 tmp2__global__s3_37)) ; (global__s3_37 = tmp2__global__s3_37)
(assert (= global__s3_38 tmp2__global__s3_38)) ; (global__s3_38 = tmp2__global__s3_38)
(assert (= global__s3_39 tmp2__global__s3_39)) ; (global__s3_39 = tmp2__global__s3_39)
(assert (= global__s3_4 tmp2__global__s3_4)) ; (global__s3_4 = tmp2__global__s3_4)
(assert (= global__s3_40 tmp2__global__s3_40)) ; (global__s3_40 = tmp2__global__s3_40)
(assert (= global__s3_41 tmp2__global__s3_41)) ; (global__s3_41 = tmp2__global__s3_41)
(assert (= global__s3_42 tmp2__global__s3_42)) ; (global__s3_42 = tmp2__global__s3_42)
(assert (= global__s3_43 tmp2__global__s3_43)) ; (global__s3_43 = tmp2__global__s3_43)
(assert (= global__s3_44 tmp2__global__s3_44)) ; (global__s3_44 = tmp2__global__s3_44)
(assert (= global__s3_45 tmp2__global__s3_45)) ; (global__s3_45 = tmp2__global__s3_45)
(assert (= global__s3_46 tmp2__global__s3_46)) ; (global__s3_46 = tmp2__global__s3_46)
(assert (= global__s3_47 tmp2__global__s3_47)) ; (global__s3_47 = tmp2__global__s3_47)
(assert (= global__s3_48 tmp2__global__s3_48)) ; (global__s3_48 = tmp2__global__s3_48)
(assert (= global__s3_49 tmp2__global__s3_49)) ; (global__s3_49 = tmp2__global__s3_49)
(assert (= global__s3_5 tmp2__global__s3_5)) ; (global__s3_5 = tmp2__global__s3_5)
(assert (= global__s3_50 tmp2__global__s3_50)) ; (global__s3_50 = tmp2__global__s3_50)
(assert (= global__s3_51 tmp2__global__s3_51)) ; (global__s3_51 = tmp2__global__s3_51)
(assert (= global__s3_52 tmp2__global__s3_52)) ; (global__s3_52 = tmp2__global__s3_52)
(assert (= global__s3_53 tmp2__global__s3_53)) ; (global__s3_53 = tmp2__global__s3_53)
(assert (= global__s3_54 tmp2__global__s3_54)) ; (global__s3_54 = tmp2__global__s3_54)
(assert (= global__s3_55 tmp2__global__s3_55)) ; (global__s3_55 = tmp2__global__s3_55)
(assert (= global__s3_56 tmp2__global__s3_56)) ; (global__s3_56 = tmp2__global__s3_56)
(assert (= global__s3_57 tmp2__global__s3_57)) ; (global__s3_57 = tmp2__global__s3_57)
(assert (= global__s3_58 tmp2__global__s3_58)) ; (global__s3_58 = tmp2__global__s3_58)
(assert (= global__s3_59 tmp2__global__s3_59)) ; (global__s3_59 = tmp2__global__s3_59)
(assert (= global__s3_6 tmp2__global__s3_6)) ; (global__s3_6 = tmp2__global__s3_6)
(assert (= global__s3_60 tmp2__global__s3_60)) ; (global__s3_60 = tmp2__global__s3_60)
(assert (= global__s3_61 tmp2__global__s3_61)) ; (global__s3_61 = tmp2__global__s3_61)
(assert (= global__s3_62 tmp2__global__s3_62)) ; (global__s3_62 = tmp2__global__s3_62)
(assert (= global__s3_63 tmp2__global__s3_63)) ; (global__s3_63 = tmp2__global__s3_63)
(assert (= global__s3_7 tmp2__global__s3_7)) ; (global__s3_7 = tmp2__global__s3_7)
(assert (= global__s3_8 tmp2__global__s3_8)) ; (global__s3_8 = tmp2__global__s3_8)
(assert (= global__s3_9 tmp2__global__s3_9)) ; (global__s3_9 = tmp2__global__s3_9)
(assert (= global__s4_0 tmp2__global__s4_0)) ; (global__s4_0 = tmp2__global__s4_0)
(assert (= global__s4_1 tmp2__global__s4_1)) ; (global__s4_1 = tmp2__global__s4_1)
(assert (= global__s4_10 tmp2__global__s4_10)) ; (global__s4_10 = tmp2__global__s4_10)
(assert (= global__s4_11 tmp2__global__s4_11)) ; (global__s4_11 = tmp2__global__s4_11)
(assert (= global__s4_12 tmp2__global__s4_12)) ; (global__s4_12 = tmp2__global__s4_12)
(assert (= global__s4_13 tmp2__global__s4_13)) ; (global__s4_13 = tmp2__global__s4_13)
(assert (= global__s4_14 tmp2__global__s4_14)) ; (global__s4_14 = tmp2__global__s4_14)
(assert (= global__s4_15 tmp2__global__s4_15)) ; (global__s4_15 = tmp2__global__s4_15)
(assert (= global__s4_16 tmp2__global__s4_16)) ; (global__s4_16 = tmp2__global__s4_16)
(assert (= global__s4_17 tmp2__global__s4_17)) ; (global__s4_17 = tmp2__global__s4_17)
(assert (= global__s4_18 tmp2__global__s4_18)) ; (global__s4_18 = tmp2__global__s4_18)
(assert (= global__s4_19 tmp2__global__s4_19)) ; (global__s4_19 = tmp2__global__s4_19)
(assert (= global__s4_2 tmp2__global__s4_2)) ; (global__s4_2 = tmp2__global__s4_2)
(assert (= global__s4_20 tmp2__global__s4_20)) ; (global__s4_20 = tmp2__global__s4_20)
(assert (= global__s4_21 tmp2__global__s4_21)) ; (global__s4_21 = tmp2__global__s4_21)
(assert (= global__s4_22 tmp2__global__s4_22)) ; (global__s4_22 = tmp2__global__s4_22)
(assert (= global__s4_23 tmp2__global__s4_23)) ; (global__s4_23 = tmp2__global__s4_23)
(assert (= global__s4_24 tmp2__global__s4_24)) ; (global__s4_24 = tmp2__global__s4_24)
(assert (= global__s4_25 tmp2__global__s4_25)) ; (global__s4_25 = tmp2__global__s4_25)
(assert (= global__s4_26 tmp2__global__s4_26)) ; (global__s4_26 = tmp2__global__s4_26)
(assert (= global__s4_27 tmp2__global__s4_27)) ; (global__s4_27 = tmp2__global__s4_27)
(assert (= global__s4_28 tmp2__global__s4_28)) ; (global__s4_28 = tmp2__global__s4_28)
(assert (= global__s4_29 tmp2__global__s4_29)) ; (global__s4_29 = tmp2__global__s4_29)
(assert (= global__s4_3 tmp2__global__s4_3)) ; (global__s4_3 = tmp2__global__s4_3)
(assert (= global__s4_30 tmp2__global__s4_30)) ; (global__s4_30 = tmp2__global__s4_30)
(assert (= global__s4_31 tmp2__global__s4_31)) ; (global__s4_31 = tmp2__global__s4_31)
(assert (= global__s4_32 tmp2__global__s4_32)) ; (global__s4_32 = tmp2__global__s4_32)
(assert (= global__s4_33 tmp2__global__s4_33)) ; (global__s4_33 = tmp2__global__s4_33)
(assert (= global__s4_34 tmp2__global__s4_34)) ; (global__s4_34 = tmp2__global__s4_34)
(assert (= global__s4_35 tmp2__global__s4_35)) ; (global__s4_35 = tmp2__global__s4_35)
(assert (= global__s4_36 tmp2__global__s4_36)) ; (global__s4_36 = tmp2__global__s4_36)
(assert (= global__s4_37 tmp2__global__s4_37)) ; (global__s4_37 = tmp2__global__s4_37)
(assert (= global__s4_38 tmp2__global__s4_38)) ; (global__s4_38 = tmp2__global__s4_38)
(assert (= global__s4_39 tmp2__global__s4_39)) ; (global__s4_39 = tmp2__global__s4_39)
(assert (= global__s4_4 tmp2__global__s4_4)) ; (global__s4_4 = tmp2__global__s4_4)
(assert (= global__s4_40 tmp2__global__s4_40)) ; (global__s4_40 = tmp2__global__s4_40)
(assert (= global__s4_41 tmp2__global__s4_41)) ; (global__s4_41 = tmp2__global__s4_41)
(assert (= global__s4_42 tmp2__global__s4_42)) ; (global__s4_42 = tmp2__global__s4_42)
(assert (= global__s4_43 tmp2__global__s4_43)) ; (global__s4_43 = tmp2__global__s4_43)
(assert (= global__s4_44 tmp2__global__s4_44)) ; (global__s4_44 = tmp2__global__s4_44)
(assert (= global__s4_45 tmp2__global__s4_45)) ; (global__s4_45 = tmp2__global__s4_45)
(assert (= global__s4_46 tmp2__global__s4_46)) ; (global__s4_46 = tmp2__global__s4_46)
(assert (= global__s4_47 tmp2__global__s4_47)) ; (global__s4_47 = tmp2__global__s4_47)
(assert (= global__s4_48 tmp2__global__s4_48)) ; (global__s4_48 = tmp2__global__s4_48)
(assert (= global__s4_49 tmp2__global__s4_49)) ; (global__s4_49 = tmp2__global__s4_49)
(assert (= global__s4_5 tmp2__global__s4_5)) ; (global__s4_5 = tmp2__global__s4_5)
(assert (= global__s4_50 tmp2__global__s4_50)) ; (global__s4_50 = tmp2__global__s4_50)
(assert (= global__s4_51 tmp2__global__s4_51)) ; (global__s4_51 = tmp2__global__s4_51)
(assert (= global__s4_52 tmp2__global__s4_52)) ; (global__s4_52 = tmp2__global__s4_52)
(assert (= global__s4_53 tmp2__global__s4_53)) ; (global__s4_53 = tmp2__global__s4_53)
(assert (= global__s4_54 tmp2__global__s4_54)) ; (global__s4_54 = tmp2__global__s4_54)
(assert (= global__s4_55 tmp2__global__s4_55)) ; (global__s4_55 = tmp2__global__s4_55)
(assert (= global__s4_56 tmp2__global__s4_56)) ; (global__s4_56 = tmp2__global__s4_56)
(assert (= global__s4_57 tmp2__global__s4_57)) ; (global__s4_57 = tmp2__global__s4_57)
(assert (= global__s4_58 tmp2__global__s4_58)) ; (global__s4_58 = tmp2__global__s4_58)
(assert (= global__s4_59 tmp2__global__s4_59)) ; (global__s4_59 = tmp2__global__s4_59)
(assert (= global__s4_6 tmp2__global__s4_6)) ; (global__s4_6 = tmp2__global__s4_6)
(assert (= global__s4_60 tmp2__global__s4_60)) ; (global__s4_60 = tmp2__global__s4_60)
(assert (= global__s4_61 tmp2__global__s4_61)) ; (global__s4_61 = tmp2__global__s4_61)
(assert (= global__s4_62 tmp2__global__s4_62)) ; (global__s4_62 = tmp2__global__s4_62)
(assert (= global__s4_63 tmp2__global__s4_63)) ; (global__s4_63 = tmp2__global__s4_63)
(assert (= global__s4_7 tmp2__global__s4_7)) ; (global__s4_7 = tmp2__global__s4_7)
(assert (= global__s4_8 tmp2__global__s4_8)) ; (global__s4_8 = tmp2__global__s4_8)
(assert (= global__s4_9 tmp2__global__s4_9)) ; (global__s4_9 = tmp2__global__s4_9)
(assert (= global__s5_0 tmp2__global__s5_0)) ; (global__s5_0 = tmp2__global__s5_0)
(assert (= global__s5_1 tmp2__global__s5_1)) ; (global__s5_1 = tmp2__global__s5_1)
(assert (= global__s5_10 tmp2__global__s5_10)) ; (global__s5_10 = tmp2__global__s5_10)
(assert (= global__s5_11 tmp2__global__s5_11)) ; (global__s5_11 = tmp2__global__s5_11)
(assert (= global__s5_12 tmp2__global__s5_12)) ; (global__s5_12 = tmp2__global__s5_12)
(assert (= global__s5_13 tmp2__global__s5_13)) ; (global__s5_13 = tmp2__global__s5_13)
(assert (= global__s5_14 tmp2__global__s5_14)) ; (global__s5_14 = tmp2__global__s5_14)
(assert (= global__s5_15 tmp2__global__s5_15)) ; (global__s5_15 = tmp2__global__s5_15)
(assert (= global__s5_16 tmp2__global__s5_16)) ; (global__s5_16 = tmp2__global__s5_16)
(assert (= global__s5_17 tmp2__global__s5_17)) ; (global__s5_17 = tmp2__global__s5_17)
(assert (= global__s5_18 tmp2__global__s5_18)) ; (global__s5_18 = tmp2__global__s5_18)
(assert (= global__s5_19 tmp2__global__s5_19)) ; (global__s5_19 = tmp2__global__s5_19)
(assert (= global__s5_2 tmp2__global__s5_2)) ; (global__s5_2 = tmp2__global__s5_2)
(assert (= global__s5_20 tmp2__global__s5_20)) ; (global__s5_20 = tmp2__global__s5_20)
(assert (= global__s5_21 tmp2__global__s5_21)) ; (global__s5_21 = tmp2__global__s5_21)
(assert (= global__s5_22 tmp2__global__s5_22)) ; (global__s5_22 = tmp2__global__s5_22)
(assert (= global__s5_23 tmp2__global__s5_23)) ; (global__s5_23 = tmp2__global__s5_23)
(assert (= global__s5_24 tmp2__global__s5_24)) ; (global__s5_24 = tmp2__global__s5_24)
(assert (= global__s5_25 tmp2__global__s5_25)) ; (global__s5_25 = tmp2__global__s5_25)
(assert (= global__s5_26 tmp2__global__s5_26)) ; (global__s5_26 = tmp2__global__s5_26)
(assert (= global__s5_27 tmp2__global__s5_27)) ; (global__s5_27 = tmp2__global__s5_27)
(assert (= global__s5_28 tmp2__global__s5_28)) ; (global__s5_28 = tmp2__global__s5_28)
(assert (= global__s5_29 tmp2__global__s5_29)) ; (global__s5_29 = tmp2__global__s5_29)
(assert (= global__s5_3 tmp2__global__s5_3)) ; (global__s5_3 = tmp2__global__s5_3)
(assert (= global__s5_30 tmp2__global__s5_30)) ; (global__s5_30 = tmp2__global__s5_30)
(assert (= global__s5_31 tmp2__global__s5_31)) ; (global__s5_31 = tmp2__global__s5_31)
(assert (= global__s5_32 tmp2__global__s5_32)) ; (global__s5_32 = tmp2__global__s5_32)
(assert (= global__s5_33 tmp2__global__s5_33)) ; (global__s5_33 = tmp2__global__s5_33)
(assert (= global__s5_34 tmp2__global__s5_34)) ; (global__s5_34 = tmp2__global__s5_34)
(assert (= global__s5_35 tmp2__global__s5_35)) ; (global__s5_35 = tmp2__global__s5_35)
(assert (= global__s5_36 tmp2__global__s5_36)) ; (global__s5_36 = tmp2__global__s5_36)
(assert (= global__s5_37 tmp2__global__s5_37)) ; (global__s5_37 = tmp2__global__s5_37)
(assert (= global__s5_38 tmp2__global__s5_38)) ; (global__s5_38 = tmp2__global__s5_38)
(assert (= global__s5_39 tmp2__global__s5_39)) ; (global__s5_39 = tmp2__global__s5_39)
(assert (= global__s5_4 tmp2__global__s5_4)) ; (global__s5_4 = tmp2__global__s5_4)
(assert (= global__s5_40 tmp2__global__s5_40)) ; (global__s5_40 = tmp2__global__s5_40)
(assert (= global__s5_41 tmp2__global__s5_41)) ; (global__s5_41 = tmp2__global__s5_41)
(assert (= global__s5_42 tmp2__global__s5_42)) ; (global__s5_42 = tmp2__global__s5_42)
(assert (= global__s5_43 tmp2__global__s5_43)) ; (global__s5_43 = tmp2__global__s5_43)
(assert (= global__s5_44 tmp2__global__s5_44)) ; (global__s5_44 = tmp2__global__s5_44)
(assert (= global__s5_45 tmp2__global__s5_45)) ; (global__s5_45 = tmp2__global__s5_45)
(assert (= global__s5_46 tmp2__global__s5_46)) ; (global__s5_46 = tmp2__global__s5_46)
(assert (= global__s5_47 tmp2__global__s5_47)) ; (global__s5_47 = tmp2__global__s5_47)
(assert (= global__s5_48 tmp2__global__s5_48)) ; (global__s5_48 = tmp2__global__s5_48)
(assert (= global__s5_49 tmp2__global__s5_49)) ; (global__s5_49 = tmp2__global__s5_49)
(assert (= global__s5_5 tmp2__global__s5_5)) ; (global__s5_5 = tmp2__global__s5_5)
(assert (= global__s5_50 tmp2__global__s5_50)) ; (global__s5_50 = tmp2__global__s5_50)
(assert (= global__s5_51 tmp2__global__s5_51)) ; (global__s5_51 = tmp2__global__s5_51)
(assert (= global__s5_52 tmp2__global__s5_52)) ; (global__s5_52 = tmp2__global__s5_52)
(assert (= global__s5_53 tmp2__global__s5_53)) ; (global__s5_53 = tmp2__global__s5_53)
(assert (= global__s5_54 tmp2__global__s5_54)) ; (global__s5_54 = tmp2__global__s5_54)
(assert (= global__s5_55 tmp2__global__s5_55)) ; (global__s5_55 = tmp2__global__s5_55)
(assert (= global__s5_56 tmp2__global__s5_56)) ; (global__s5_56 = tmp2__global__s5_56)
(assert (= global__s5_57 tmp2__global__s5_57)) ; (global__s5_57 = tmp2__global__s5_57)
(assert (= global__s5_58 tmp2__global__s5_58)) ; (global__s5_58 = tmp2__global__s5_58)
(assert (= global__s5_59 tmp2__global__s5_59)) ; (global__s5_59 = tmp2__global__s5_59)
(assert (= global__s5_6 tmp2__global__s5_6)) ; (global__s5_6 = tmp2__global__s5_6)
(assert (= global__s5_60 tmp2__global__s5_60)) ; (global__s5_60 = tmp2__global__s5_60)
(assert (= global__s5_61 tmp2__global__s5_61)) ; (global__s5_61 = tmp2__global__s5_61)
(assert (= global__s5_62 tmp2__global__s5_62)) ; (global__s5_62 = tmp2__global__s5_62)
(assert (= global__s5_63 tmp2__global__s5_63)) ; (global__s5_63 = tmp2__global__s5_63)
(assert (= global__s5_7 tmp2__global__s5_7)) ; (global__s5_7 = tmp2__global__s5_7)
(assert (= global__s5_8 tmp2__global__s5_8)) ; (global__s5_8 = tmp2__global__s5_8)
(assert (= global__s5_9 tmp2__global__s5_9)) ; (global__s5_9 = tmp2__global__s5_9)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 100000000)) (<= tmp49__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 0) (<= tmp49__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 100000000)) (<= tmp21__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 0) (<= tmp21__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 100000000)) (<= tmp44__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 0) (<= tmp44__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 100000000)) (<= tmp60__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 0) (<= tmp60__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 100000000)) (<= tmp42__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 0) (<= tmp42__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 100000000)) (<= tmp29__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 0) (<= tmp29__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 100000000)) (<= tmp55__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 0) (<= tmp55__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 100000000)) (<= tmp33__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 0) (<= tmp33__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 100000000)) (<= tmp19__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 0) (<= tmp19__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 100000000)) (<= tmp48__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 0) (<= tmp48__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 100000000)) (<= tmp26__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 0) (<= tmp26__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 100000000)) (<= tmp7__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 0) (<= tmp7__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 100000000)) (<= tmp22__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 0) (<= tmp22__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 100000000)) (<= tmp32__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 0) (<= tmp32__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 100000000)) (<= tmp34__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 0) (<= tmp34__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 100000000)) (<= tmp39__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 0) (<= tmp39__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 100000000)) (<= tmp36__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 0) (<= tmp36__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 80000000) (<= tmp26__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 50000000) (<= tmp26__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 25000001)) (<= tmp26__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 35000000) (<= tmp26__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 12500000) (<= tmp26__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 43750001)) (<= tmp26__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 1250000) (<= tmp26__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 15625000)) (<= tmp26__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 7187500)) (<= tmp26__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 2968750)) (<= tmp26__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 859375)) (<= tmp26__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 195312) (<= tmp26__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 1370240)) (<= tmp26__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 587464)) (<= tmp26__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 196076)) (<= tmp26__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 382)) (<= tmp26__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 97465) (<= tmp26__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 49306)) (<= tmp26__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 24079) (<= tmp26__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 85959)) (<= tmp26__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 30940)) (<= tmp26__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 3431)) (<= tmp26__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 10324) (<= tmp26__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 10306)) (<= tmp26__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 9) (<= tmp26__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 5166) (<= tmp26__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 2570)) (<= tmp26__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 1298) (<= tmp26__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 4504)) (<= tmp26__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 1603)) (<= tmp26__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 153)) (<= tmp26__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 572) (<= tmp26__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 516)) (<= tmp26__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 28) (<= tmp26__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 300) (<= tmp26__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ (- 108)) (<= tmp26__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 96) (<= tmp26__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 198) (<= tmp26__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 249) (<= tmp26__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 274) (<= tmp26__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 235) (<= tmp26__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 254) (<= tmp26__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 264) (<= tmp26__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 249) (<= tmp26__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 256) (<= tmp26__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 245) (<= tmp26__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 250) (<= tmp26__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 253) (<= tmp26__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 254) (<= tmp26__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp26__global__0__instrumented__ 255) (<= tmp26__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 80000000) (<= tmp33__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 50000000) (<= tmp33__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 25000001)) (<= tmp33__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 35000000) (<= tmp33__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 12500000) (<= tmp33__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 43750001)) (<= tmp33__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 1250000) (<= tmp33__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 15625000)) (<= tmp33__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 7187500)) (<= tmp33__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 2968750)) (<= tmp33__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 859375)) (<= tmp33__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 195312) (<= tmp33__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 1370240)) (<= tmp33__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 587464)) (<= tmp33__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 196076)) (<= tmp33__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 382)) (<= tmp33__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 97465) (<= tmp33__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 49306)) (<= tmp33__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 24079) (<= tmp33__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 85959)) (<= tmp33__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 30940)) (<= tmp33__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 3431)) (<= tmp33__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 10324) (<= tmp33__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 10306)) (<= tmp33__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 9) (<= tmp33__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 5166) (<= tmp33__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 2570)) (<= tmp33__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 1298) (<= tmp33__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 4504)) (<= tmp33__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 1603)) (<= tmp33__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 153)) (<= tmp33__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 572) (<= tmp33__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 516)) (<= tmp33__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 28) (<= tmp33__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 300) (<= tmp33__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ (- 108)) (<= tmp33__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 96) (<= tmp33__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 198) (<= tmp33__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 249) (<= tmp33__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 274) (<= tmp33__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 235) (<= tmp33__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 254) (<= tmp33__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 264) (<= tmp33__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 249) (<= tmp33__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 256) (<= tmp33__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 245) (<= tmp33__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 250) (<= tmp33__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 253) (<= tmp33__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 254) (<= tmp33__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp33__global__0__instrumented__ 255) (<= tmp33__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 80000000) (<= tmp32__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 50000000) (<= tmp32__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 25000001)) (<= tmp32__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 35000000) (<= tmp32__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 12500000) (<= tmp32__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 43750001)) (<= tmp32__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 1250000) (<= tmp32__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 15625000)) (<= tmp32__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 7187500)) (<= tmp32__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 2968750)) (<= tmp32__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 859375)) (<= tmp32__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 195312) (<= tmp32__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 1370240)) (<= tmp32__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 587464)) (<= tmp32__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 196076)) (<= tmp32__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 382)) (<= tmp32__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 97465) (<= tmp32__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 49306)) (<= tmp32__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 24079) (<= tmp32__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 85959)) (<= tmp32__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 30940)) (<= tmp32__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 3431)) (<= tmp32__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 10324) (<= tmp32__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 10306)) (<= tmp32__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 9) (<= tmp32__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 5166) (<= tmp32__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 2570)) (<= tmp32__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 1298) (<= tmp32__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 4504)) (<= tmp32__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 1603)) (<= tmp32__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 153)) (<= tmp32__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 572) (<= tmp32__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 516)) (<= tmp32__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 28) (<= tmp32__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 300) (<= tmp32__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ (- 108)) (<= tmp32__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 96) (<= tmp32__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 198) (<= tmp32__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 249) (<= tmp32__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 274) (<= tmp32__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 235) (<= tmp32__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 254) (<= tmp32__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 264) (<= tmp32__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 249) (<= tmp32__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 256) (<= tmp32__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 245) (<= tmp32__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 250) (<= tmp32__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 253) (<= tmp32__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 254) (<= tmp32__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp32__global__0__instrumented__ 255) (<= tmp32__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 80000000) (<= tmp60__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 50000000) (<= tmp60__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 25000001)) (<= tmp60__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 35000000) (<= tmp60__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 12500000) (<= tmp60__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 43750001)) (<= tmp60__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 1250000) (<= tmp60__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 15625000)) (<= tmp60__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 7187500)) (<= tmp60__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 2968750)) (<= tmp60__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 859375)) (<= tmp60__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 195312) (<= tmp60__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 1370240)) (<= tmp60__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 587464)) (<= tmp60__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 196076)) (<= tmp60__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 382)) (<= tmp60__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 97465) (<= tmp60__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 49306)) (<= tmp60__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 24079) (<= tmp60__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 85959)) (<= tmp60__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 30940)) (<= tmp60__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 3431)) (<= tmp60__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 10324) (<= tmp60__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 10306)) (<= tmp60__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 9) (<= tmp60__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 5166) (<= tmp60__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 2570)) (<= tmp60__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 1298) (<= tmp60__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 4504)) (<= tmp60__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 1603)) (<= tmp60__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 153)) (<= tmp60__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 572) (<= tmp60__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 516)) (<= tmp60__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 28) (<= tmp60__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 300) (<= tmp60__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ (- 108)) (<= tmp60__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 96) (<= tmp60__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 198) (<= tmp60__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 249) (<= tmp60__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 274) (<= tmp60__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 235) (<= tmp60__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 254) (<= tmp60__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 264) (<= tmp60__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 249) (<= tmp60__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 256) (<= tmp60__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 245) (<= tmp60__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 250) (<= tmp60__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 253) (<= tmp60__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 254) (<= tmp60__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp60__global__0__instrumented__ 255) (<= tmp60__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 80000000) (<= tmp6__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 50000000) (<= tmp6__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 25000001)) (<= tmp6__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 35000000) (<= tmp6__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 12500000) (<= tmp6__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 43750001)) (<= tmp6__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 1250000) (<= tmp6__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 15625000)) (<= tmp6__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 7187500)) (<= tmp6__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 2968750)) (<= tmp6__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 859375)) (<= tmp6__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 195312) (<= tmp6__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 1370240)) (<= tmp6__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 587464)) (<= tmp6__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 196076)) (<= tmp6__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 382)) (<= tmp6__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 97465) (<= tmp6__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 49306)) (<= tmp6__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 24079) (<= tmp6__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 85959)) (<= tmp6__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 30940)) (<= tmp6__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 3431)) (<= tmp6__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 10324) (<= tmp6__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 10306)) (<= tmp6__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 9) (<= tmp6__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 5166) (<= tmp6__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 2570)) (<= tmp6__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 1298) (<= tmp6__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 4504)) (<= tmp6__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 1603)) (<= tmp6__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 153)) (<= tmp6__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 572) (<= tmp6__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 516)) (<= tmp6__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 28) (<= tmp6__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 300) (<= tmp6__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ (- 108)) (<= tmp6__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 96) (<= tmp6__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 198) (<= tmp6__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 249) (<= tmp6__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 274) (<= tmp6__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 235) (<= tmp6__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 254) (<= tmp6__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 264) (<= tmp6__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 249) (<= tmp6__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 256) (<= tmp6__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 245) (<= tmp6__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 250) (<= tmp6__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 253) (<= tmp6__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 254) (<= tmp6__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp6__global__0__instrumented__ 255) (<= tmp6__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 80000000) (<= tmp27__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 50000000) (<= tmp27__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 25000001)) (<= tmp27__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 35000000) (<= tmp27__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 12500000) (<= tmp27__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 43750001)) (<= tmp27__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 1250000) (<= tmp27__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 15625000)) (<= tmp27__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 7187500)) (<= tmp27__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 2968750)) (<= tmp27__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 859375)) (<= tmp27__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 195312) (<= tmp27__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 1370240)) (<= tmp27__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 587464)) (<= tmp27__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 196076)) (<= tmp27__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 382)) (<= tmp27__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 97465) (<= tmp27__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 49306)) (<= tmp27__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 24079) (<= tmp27__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 85959)) (<= tmp27__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 30940)) (<= tmp27__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 3431)) (<= tmp27__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 10324) (<= tmp27__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 10306)) (<= tmp27__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 9) (<= tmp27__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 5166) (<= tmp27__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 2570)) (<= tmp27__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 1298) (<= tmp27__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 4504)) (<= tmp27__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 1603)) (<= tmp27__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 153)) (<= tmp27__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 572) (<= tmp27__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 516)) (<= tmp27__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 28) (<= tmp27__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 300) (<= tmp27__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ (- 108)) (<= tmp27__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 96) (<= tmp27__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 198) (<= tmp27__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 249) (<= tmp27__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 274) (<= tmp27__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 235) (<= tmp27__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 254) (<= tmp27__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 264) (<= tmp27__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 249) (<= tmp27__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 256) (<= tmp27__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 245) (<= tmp27__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 250) (<= tmp27__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 253) (<= tmp27__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 254) (<= tmp27__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp27__global__0__instrumented__ 255) (<= tmp27__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 80000000) (<= tmp53__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 50000000) (<= tmp53__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 25000001)) (<= tmp53__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 35000000) (<= tmp53__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 12500000) (<= tmp53__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 43750001)) (<= tmp53__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 1250000) (<= tmp53__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 15625000)) (<= tmp53__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 7187500)) (<= tmp53__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 2968750)) (<= tmp53__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 859375)) (<= tmp53__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 195312) (<= tmp53__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 1370240)) (<= tmp53__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 587464)) (<= tmp53__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 196076)) (<= tmp53__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 382)) (<= tmp53__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 97465) (<= tmp53__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 49306)) (<= tmp53__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 24079) (<= tmp53__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 85959)) (<= tmp53__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 30940)) (<= tmp53__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 3431)) (<= tmp53__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 10324) (<= tmp53__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 10306)) (<= tmp53__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 9) (<= tmp53__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 5166) (<= tmp53__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 2570)) (<= tmp53__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 1298) (<= tmp53__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 4504)) (<= tmp53__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 1603)) (<= tmp53__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 153)) (<= tmp53__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 572) (<= tmp53__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 516)) (<= tmp53__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 28) (<= tmp53__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 300) (<= tmp53__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ (- 108)) (<= tmp53__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 96) (<= tmp53__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 198) (<= tmp53__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 249) (<= tmp53__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 274) (<= tmp53__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 235) (<= tmp53__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 254) (<= tmp53__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 264) (<= tmp53__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 249) (<= tmp53__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 256) (<= tmp53__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 245) (<= tmp53__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 250) (<= tmp53__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 253) (<= tmp53__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 254) (<= tmp53__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp53__global__0__instrumented__ 255) (<= tmp53__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 80000000) (<= tmp34__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 50000000) (<= tmp34__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 25000001)) (<= tmp34__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 35000000) (<= tmp34__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 12500000) (<= tmp34__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 43750001)) (<= tmp34__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 1250000) (<= tmp34__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 15625000)) (<= tmp34__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 7187500)) (<= tmp34__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 2968750)) (<= tmp34__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 859375)) (<= tmp34__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 195312) (<= tmp34__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 1370240)) (<= tmp34__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 587464)) (<= tmp34__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 196076)) (<= tmp34__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 382)) (<= tmp34__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 97465) (<= tmp34__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 49306)) (<= tmp34__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 24079) (<= tmp34__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 85959)) (<= tmp34__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 30940)) (<= tmp34__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 3431)) (<= tmp34__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 10324) (<= tmp34__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 10306)) (<= tmp34__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 9) (<= tmp34__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 5166) (<= tmp34__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 2570)) (<= tmp34__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 1298) (<= tmp34__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 4504)) (<= tmp34__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 1603)) (<= tmp34__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 153)) (<= tmp34__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 572) (<= tmp34__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 516)) (<= tmp34__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 28) (<= tmp34__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 300) (<= tmp34__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ (- 108)) (<= tmp34__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 96) (<= tmp34__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 198) (<= tmp34__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 249) (<= tmp34__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 274) (<= tmp34__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 235) (<= tmp34__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 254) (<= tmp34__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 264) (<= tmp34__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 249) (<= tmp34__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 256) (<= tmp34__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 245) (<= tmp34__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 250) (<= tmp34__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 253) (<= tmp34__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 254) (<= tmp34__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp34__global__0__instrumented__ 255) (<= tmp34__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 80000000) (<= tmp1__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 50000000) (<= tmp1__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 25000001)) (<= tmp1__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 35000000) (<= tmp1__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 12500000) (<= tmp1__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 43750001)) (<= tmp1__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 1250000) (<= tmp1__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 15625000)) (<= tmp1__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 7187500)) (<= tmp1__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 2968750)) (<= tmp1__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 859375)) (<= tmp1__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 195312) (<= tmp1__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 1370240)) (<= tmp1__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 587464)) (<= tmp1__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 196076)) (<= tmp1__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 382)) (<= tmp1__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 97465) (<= tmp1__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 49306)) (<= tmp1__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 24079) (<= tmp1__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 85959)) (<= tmp1__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 30940)) (<= tmp1__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 3431)) (<= tmp1__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 10324) (<= tmp1__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 10306)) (<= tmp1__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 9) (<= tmp1__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 5166) (<= tmp1__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 2570)) (<= tmp1__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 1298) (<= tmp1__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 4504)) (<= tmp1__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 1603)) (<= tmp1__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 153)) (<= tmp1__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 572) (<= tmp1__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 516)) (<= tmp1__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 28) (<= tmp1__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 300) (<= tmp1__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ (- 108)) (<= tmp1__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 96) (<= tmp1__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 198) (<= tmp1__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 249) (<= tmp1__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 274) (<= tmp1__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 235) (<= tmp1__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 254) (<= tmp1__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 264) (<= tmp1__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 249) (<= tmp1__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 256) (<= tmp1__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 245) (<= tmp1__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 250) (<= tmp1__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 253) (<= tmp1__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 254) (<= tmp1__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp1__global__0__instrumented__ 255) (<= tmp1__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 80000000) (<= tmp15__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 50000000) (<= tmp15__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 25000001)) (<= tmp15__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 35000000) (<= tmp15__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 12500000) (<= tmp15__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 43750001)) (<= tmp15__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 1250000) (<= tmp15__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 15625000)) (<= tmp15__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 7187500)) (<= tmp15__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 2968750)) (<= tmp15__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 859375)) (<= tmp15__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 195312) (<= tmp15__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 1370240)) (<= tmp15__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 587464)) (<= tmp15__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 196076)) (<= tmp15__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 382)) (<= tmp15__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 97465) (<= tmp15__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 49306)) (<= tmp15__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 24079) (<= tmp15__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 85959)) (<= tmp15__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 30940)) (<= tmp15__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 3431)) (<= tmp15__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 10324) (<= tmp15__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 10306)) (<= tmp15__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 9) (<= tmp15__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 5166) (<= tmp15__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 2570)) (<= tmp15__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 1298) (<= tmp15__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 4504)) (<= tmp15__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 1603)) (<= tmp15__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 153)) (<= tmp15__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 572) (<= tmp15__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 516)) (<= tmp15__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 28) (<= tmp15__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 300) (<= tmp15__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ (- 108)) (<= tmp15__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 96) (<= tmp15__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 198) (<= tmp15__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 249) (<= tmp15__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 274) (<= tmp15__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 235) (<= tmp15__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 254) (<= tmp15__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 264) (<= tmp15__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 249) (<= tmp15__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 256) (<= tmp15__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 245) (<= tmp15__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 250) (<= tmp15__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 253) (<= tmp15__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 254) (<= tmp15__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp15__global__0__instrumented__ 255) (<= tmp15__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 80000000) (<= tmp17__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 50000000) (<= tmp17__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 25000001)) (<= tmp17__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 35000000) (<= tmp17__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 12500000) (<= tmp17__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 43750001)) (<= tmp17__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 1250000) (<= tmp17__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 15625000)) (<= tmp17__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 7187500)) (<= tmp17__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 2968750)) (<= tmp17__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 859375)) (<= tmp17__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 195312) (<= tmp17__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 1370240)) (<= tmp17__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 587464)) (<= tmp17__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 196076)) (<= tmp17__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 382)) (<= tmp17__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 97465) (<= tmp17__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 49306)) (<= tmp17__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 24079) (<= tmp17__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 85959)) (<= tmp17__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 30940)) (<= tmp17__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 3431)) (<= tmp17__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 10324) (<= tmp17__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 10306)) (<= tmp17__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 9) (<= tmp17__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 5166) (<= tmp17__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 2570)) (<= tmp17__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 1298) (<= tmp17__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 4504)) (<= tmp17__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 1603)) (<= tmp17__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 153)) (<= tmp17__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 572) (<= tmp17__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 516)) (<= tmp17__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 28) (<= tmp17__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 300) (<= tmp17__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ (- 108)) (<= tmp17__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 96) (<= tmp17__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 198) (<= tmp17__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 249) (<= tmp17__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 274) (<= tmp17__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 235) (<= tmp17__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 254) (<= tmp17__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 264) (<= tmp17__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 249) (<= tmp17__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 256) (<= tmp17__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 245) (<= tmp17__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 250) (<= tmp17__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 253) (<= tmp17__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 254) (<= tmp17__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp17__global__0__instrumented__ 255) (<= tmp17__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 80000000) (<= tmp48__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 50000000) (<= tmp48__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 25000001)) (<= tmp48__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 35000000) (<= tmp48__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 12500000) (<= tmp48__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 43750001)) (<= tmp48__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 1250000) (<= tmp48__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 15625000)) (<= tmp48__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 7187500)) (<= tmp48__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 2968750)) (<= tmp48__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 859375)) (<= tmp48__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 195312) (<= tmp48__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 1370240)) (<= tmp48__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 587464)) (<= tmp48__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 196076)) (<= tmp48__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 382)) (<= tmp48__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 97465) (<= tmp48__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 49306)) (<= tmp48__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 24079) (<= tmp48__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 85959)) (<= tmp48__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 30940)) (<= tmp48__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 3431)) (<= tmp48__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 10324) (<= tmp48__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 10306)) (<= tmp48__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 9) (<= tmp48__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 5166) (<= tmp48__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 2570)) (<= tmp48__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 1298) (<= tmp48__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 4504)) (<= tmp48__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 1603)) (<= tmp48__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 153)) (<= tmp48__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 572) (<= tmp48__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 516)) (<= tmp48__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 28) (<= tmp48__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 300) (<= tmp48__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ (- 108)) (<= tmp48__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 96) (<= tmp48__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 198) (<= tmp48__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 249) (<= tmp48__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 274) (<= tmp48__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 235) (<= tmp48__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 254) (<= tmp48__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 264) (<= tmp48__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 249) (<= tmp48__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 256) (<= tmp48__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 245) (<= tmp48__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 250) (<= tmp48__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 253) (<= tmp48__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 254) (<= tmp48__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp48__global__0__instrumented__ 255) (<= tmp48__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 80000000) (<= tmp4__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 50000000) (<= tmp4__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 25000001)) (<= tmp4__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 35000000) (<= tmp4__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 12500000) (<= tmp4__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 43750001)) (<= tmp4__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 1250000) (<= tmp4__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 15625000)) (<= tmp4__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 7187500)) (<= tmp4__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 2968750)) (<= tmp4__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 859375)) (<= tmp4__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 195312) (<= tmp4__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 1370240)) (<= tmp4__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 587464)) (<= tmp4__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 196076)) (<= tmp4__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 382)) (<= tmp4__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 97465) (<= tmp4__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 49306)) (<= tmp4__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 24079) (<= tmp4__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 85959)) (<= tmp4__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 30940)) (<= tmp4__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 3431)) (<= tmp4__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 10324) (<= tmp4__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 10306)) (<= tmp4__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 9) (<= tmp4__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 5166) (<= tmp4__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 2570)) (<= tmp4__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 1298) (<= tmp4__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 4504)) (<= tmp4__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 1603)) (<= tmp4__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 153)) (<= tmp4__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 572) (<= tmp4__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 516)) (<= tmp4__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 28) (<= tmp4__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 300) (<= tmp4__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ (- 108)) (<= tmp4__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 96) (<= tmp4__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 198) (<= tmp4__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 249) (<= tmp4__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 274) (<= tmp4__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 235) (<= tmp4__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 254) (<= tmp4__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 264) (<= tmp4__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 249) (<= tmp4__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 256) (<= tmp4__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 245) (<= tmp4__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 250) (<= tmp4__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 253) (<= tmp4__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 254) (<= tmp4__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp4__global__0__instrumented__ 255) (<= tmp4__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 80000000) (<= tmp20__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 50000000) (<= tmp20__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 25000001)) (<= tmp20__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 35000000) (<= tmp20__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 12500000) (<= tmp20__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 43750001)) (<= tmp20__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 1250000) (<= tmp20__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 15625000)) (<= tmp20__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 7187500)) (<= tmp20__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 2968750)) (<= tmp20__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 859375)) (<= tmp20__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 195312) (<= tmp20__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 1370240)) (<= tmp20__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 587464)) (<= tmp20__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 196076)) (<= tmp20__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 382)) (<= tmp20__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 97465) (<= tmp20__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 49306)) (<= tmp20__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 24079) (<= tmp20__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 85959)) (<= tmp20__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 30940)) (<= tmp20__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 3431)) (<= tmp20__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 10324) (<= tmp20__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 10306)) (<= tmp20__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 9) (<= tmp20__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 5166) (<= tmp20__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 2570)) (<= tmp20__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 1298) (<= tmp20__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 4504)) (<= tmp20__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 1603)) (<= tmp20__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 153)) (<= tmp20__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 572) (<= tmp20__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 516)) (<= tmp20__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 28) (<= tmp20__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 300) (<= tmp20__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ (- 108)) (<= tmp20__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 96) (<= tmp20__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 198) (<= tmp20__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 249) (<= tmp20__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 274) (<= tmp20__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 235) (<= tmp20__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 254) (<= tmp20__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 264) (<= tmp20__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 249) (<= tmp20__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 256) (<= tmp20__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 245) (<= tmp20__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 250) (<= tmp20__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 253) (<= tmp20__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 254) (<= tmp20__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp20__global__0__instrumented__ 255) (<= tmp20__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 80000000) (<= tmp16__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 50000000) (<= tmp16__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 25000001)) (<= tmp16__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 35000000) (<= tmp16__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 12500000) (<= tmp16__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 43750001)) (<= tmp16__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 1250000) (<= tmp16__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 15625000)) (<= tmp16__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 7187500)) (<= tmp16__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 2968750)) (<= tmp16__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 859375)) (<= tmp16__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 195312) (<= tmp16__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 1370240)) (<= tmp16__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 587464)) (<= tmp16__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 196076)) (<= tmp16__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 382)) (<= tmp16__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 97465) (<= tmp16__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 49306)) (<= tmp16__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 24079) (<= tmp16__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 85959)) (<= tmp16__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 30940)) (<= tmp16__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 3431)) (<= tmp16__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 10324) (<= tmp16__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 10306)) (<= tmp16__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 9) (<= tmp16__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 5166) (<= tmp16__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 2570)) (<= tmp16__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 1298) (<= tmp16__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 4504)) (<= tmp16__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 1603)) (<= tmp16__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 153)) (<= tmp16__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 572) (<= tmp16__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 516)) (<= tmp16__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 28) (<= tmp16__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 300) (<= tmp16__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ (- 108)) (<= tmp16__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 96) (<= tmp16__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 198) (<= tmp16__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 249) (<= tmp16__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 274) (<= tmp16__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 235) (<= tmp16__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 254) (<= tmp16__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 264) (<= tmp16__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 249) (<= tmp16__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 256) (<= tmp16__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 245) (<= tmp16__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 250) (<= tmp16__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 253) (<= tmp16__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 254) (<= tmp16__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp16__global__0__instrumented__ 255) (<= tmp16__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 80000000) (<= tmp42__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 50000000) (<= tmp42__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 25000001)) (<= tmp42__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 35000000) (<= tmp42__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 12500000) (<= tmp42__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 43750001)) (<= tmp42__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 1250000) (<= tmp42__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 15625000)) (<= tmp42__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 7187500)) (<= tmp42__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 2968750)) (<= tmp42__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 859375)) (<= tmp42__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 195312) (<= tmp42__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 1370240)) (<= tmp42__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 587464)) (<= tmp42__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 196076)) (<= tmp42__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 382)) (<= tmp42__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 97465) (<= tmp42__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 49306)) (<= tmp42__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 24079) (<= tmp42__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 85959)) (<= tmp42__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 30940)) (<= tmp42__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 3431)) (<= tmp42__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 10324) (<= tmp42__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 10306)) (<= tmp42__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 9) (<= tmp42__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 5166) (<= tmp42__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 2570)) (<= tmp42__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 1298) (<= tmp42__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 4504)) (<= tmp42__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 1603)) (<= tmp42__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 153)) (<= tmp42__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 572) (<= tmp42__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 516)) (<= tmp42__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 28) (<= tmp42__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 300) (<= tmp42__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ (- 108)) (<= tmp42__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 96) (<= tmp42__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 198) (<= tmp42__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 249) (<= tmp42__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 274) (<= tmp42__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 235) (<= tmp42__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 254) (<= tmp42__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 264) (<= tmp42__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 249) (<= tmp42__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 256) (<= tmp42__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 245) (<= tmp42__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 250) (<= tmp42__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 253) (<= tmp42__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 254) (<= tmp42__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp42__global__0__instrumented__ 255) (<= tmp42__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 80000000) (<= tmp36__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 50000000) (<= tmp36__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 25000001)) (<= tmp36__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 35000000) (<= tmp36__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 12500000) (<= tmp36__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 43750001)) (<= tmp36__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 1250000) (<= tmp36__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 15625000)) (<= tmp36__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 7187500)) (<= tmp36__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 2968750)) (<= tmp36__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 859375)) (<= tmp36__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 195312) (<= tmp36__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 1370240)) (<= tmp36__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 587464)) (<= tmp36__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 196076)) (<= tmp36__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 382)) (<= tmp36__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 97465) (<= tmp36__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 49306)) (<= tmp36__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 24079) (<= tmp36__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 85959)) (<= tmp36__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 30940)) (<= tmp36__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 3431)) (<= tmp36__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 10324) (<= tmp36__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 10306)) (<= tmp36__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 9) (<= tmp36__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 5166) (<= tmp36__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 2570)) (<= tmp36__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 1298) (<= tmp36__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 4504)) (<= tmp36__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 1603)) (<= tmp36__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 153)) (<= tmp36__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 572) (<= tmp36__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 516)) (<= tmp36__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 28) (<= tmp36__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 300) (<= tmp36__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ (- 108)) (<= tmp36__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 96) (<= tmp36__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 198) (<= tmp36__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 249) (<= tmp36__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 274) (<= tmp36__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 235) (<= tmp36__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 254) (<= tmp36__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 264) (<= tmp36__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 249) (<= tmp36__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 256) (<= tmp36__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 245) (<= tmp36__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 250) (<= tmp36__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 253) (<= tmp36__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 254) (<= tmp36__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp36__global__0__instrumented__ 255) (<= tmp36__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 80000000) (<= tmp44__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 50000000) (<= tmp44__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 25000001)) (<= tmp44__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 35000000) (<= tmp44__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 12500000) (<= tmp44__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 43750001)) (<= tmp44__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 1250000) (<= tmp44__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 15625000)) (<= tmp44__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 7187500)) (<= tmp44__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 2968750)) (<= tmp44__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 859375)) (<= tmp44__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 195312) (<= tmp44__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 1370240)) (<= tmp44__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 587464)) (<= tmp44__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 196076)) (<= tmp44__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 382)) (<= tmp44__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 97465) (<= tmp44__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 49306)) (<= tmp44__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 24079) (<= tmp44__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 85959)) (<= tmp44__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 30940)) (<= tmp44__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 3431)) (<= tmp44__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 10324) (<= tmp44__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 10306)) (<= tmp44__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 9) (<= tmp44__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 5166) (<= tmp44__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 2570)) (<= tmp44__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 1298) (<= tmp44__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 4504)) (<= tmp44__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 1603)) (<= tmp44__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 153)) (<= tmp44__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 572) (<= tmp44__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 516)) (<= tmp44__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 28) (<= tmp44__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 300) (<= tmp44__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ (- 108)) (<= tmp44__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 96) (<= tmp44__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 198) (<= tmp44__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 249) (<= tmp44__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 274) (<= tmp44__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 235) (<= tmp44__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 254) (<= tmp44__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 264) (<= tmp44__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 249) (<= tmp44__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 256) (<= tmp44__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 245) (<= tmp44__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 250) (<= tmp44__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 253) (<= tmp44__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 254) (<= tmp44__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp44__global__0__instrumented__ 255) (<= tmp44__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 80000000) (<= tmp7__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 50000000) (<= tmp7__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 25000001)) (<= tmp7__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 35000000) (<= tmp7__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 12500000) (<= tmp7__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 43750001)) (<= tmp7__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 1250000) (<= tmp7__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 15625000)) (<= tmp7__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 7187500)) (<= tmp7__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 2968750)) (<= tmp7__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 859375)) (<= tmp7__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 195312) (<= tmp7__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 1370240)) (<= tmp7__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 587464)) (<= tmp7__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 196076)) (<= tmp7__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 382)) (<= tmp7__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 97465) (<= tmp7__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 49306)) (<= tmp7__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 24079) (<= tmp7__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 85959)) (<= tmp7__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 30940)) (<= tmp7__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 3431)) (<= tmp7__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 10324) (<= tmp7__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 10306)) (<= tmp7__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 9) (<= tmp7__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 5166) (<= tmp7__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 2570)) (<= tmp7__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 1298) (<= tmp7__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 4504)) (<= tmp7__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 1603)) (<= tmp7__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 153)) (<= tmp7__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 572) (<= tmp7__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 516)) (<= tmp7__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 28) (<= tmp7__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 300) (<= tmp7__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ (- 108)) (<= tmp7__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 96) (<= tmp7__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 198) (<= tmp7__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 249) (<= tmp7__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 274) (<= tmp7__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 235) (<= tmp7__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 254) (<= tmp7__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 264) (<= tmp7__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 249) (<= tmp7__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 256) (<= tmp7__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 245) (<= tmp7__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 250) (<= tmp7__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 253) (<= tmp7__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 254) (<= tmp7__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp7__global__0__instrumented__ 255) (<= tmp7__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 80000000) (<= tmp51__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 50000000) (<= tmp51__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 25000001)) (<= tmp51__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 35000000) (<= tmp51__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 12500000) (<= tmp51__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 43750001)) (<= tmp51__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 1250000) (<= tmp51__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 15625000)) (<= tmp51__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 7187500)) (<= tmp51__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 2968750)) (<= tmp51__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 859375)) (<= tmp51__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 195312) (<= tmp51__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 1370240)) (<= tmp51__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 587464)) (<= tmp51__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 196076)) (<= tmp51__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 382)) (<= tmp51__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 97465) (<= tmp51__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 49306)) (<= tmp51__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 24079) (<= tmp51__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 85959)) (<= tmp51__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 30940)) (<= tmp51__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 3431)) (<= tmp51__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 10324) (<= tmp51__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 10306)) (<= tmp51__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 9) (<= tmp51__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 5166) (<= tmp51__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 2570)) (<= tmp51__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 1298) (<= tmp51__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 4504)) (<= tmp51__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 1603)) (<= tmp51__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 153)) (<= tmp51__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 572) (<= tmp51__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 516)) (<= tmp51__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 28) (<= tmp51__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 300) (<= tmp51__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ (- 108)) (<= tmp51__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 96) (<= tmp51__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 198) (<= tmp51__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 249) (<= tmp51__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 274) (<= tmp51__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 235) (<= tmp51__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 254) (<= tmp51__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 264) (<= tmp51__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 249) (<= tmp51__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 256) (<= tmp51__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 245) (<= tmp51__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 250) (<= tmp51__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 253) (<= tmp51__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 254) (<= tmp51__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp51__global__0__instrumented__ 255) (<= tmp51__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 80000000) (<= tmp25__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 50000000) (<= tmp25__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 25000001)) (<= tmp25__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 35000000) (<= tmp25__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 12500000) (<= tmp25__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 43750001)) (<= tmp25__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 1250000) (<= tmp25__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 15625000)) (<= tmp25__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 7187500)) (<= tmp25__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 2968750)) (<= tmp25__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 859375)) (<= tmp25__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 195312) (<= tmp25__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 1370240)) (<= tmp25__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 587464)) (<= tmp25__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 196076)) (<= tmp25__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 382)) (<= tmp25__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 97465) (<= tmp25__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 49306)) (<= tmp25__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 24079) (<= tmp25__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 85959)) (<= tmp25__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 30940)) (<= tmp25__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 3431)) (<= tmp25__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 10324) (<= tmp25__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 10306)) (<= tmp25__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 9) (<= tmp25__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 5166) (<= tmp25__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 2570)) (<= tmp25__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 1298) (<= tmp25__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 4504)) (<= tmp25__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 1603)) (<= tmp25__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 153)) (<= tmp25__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 572) (<= tmp25__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 516)) (<= tmp25__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 28) (<= tmp25__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 300) (<= tmp25__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ (- 108)) (<= tmp25__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 96) (<= tmp25__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 198) (<= tmp25__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 249) (<= tmp25__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 274) (<= tmp25__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 235) (<= tmp25__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 254) (<= tmp25__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 264) (<= tmp25__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 249) (<= tmp25__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 256) (<= tmp25__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 245) (<= tmp25__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 250) (<= tmp25__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 253) (<= tmp25__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 254) (<= tmp25__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp25__global__0__instrumented__ 255) (<= tmp25__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 80000000) (<= tmp58__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 50000000) (<= tmp58__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 25000001)) (<= tmp58__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 35000000) (<= tmp58__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 12500000) (<= tmp58__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 43750001)) (<= tmp58__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 1250000) (<= tmp58__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 15625000)) (<= tmp58__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 7187500)) (<= tmp58__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 2968750)) (<= tmp58__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 859375)) (<= tmp58__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 195312) (<= tmp58__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 1370240)) (<= tmp58__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 587464)) (<= tmp58__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 196076)) (<= tmp58__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 382)) (<= tmp58__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 97465) (<= tmp58__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 49306)) (<= tmp58__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 24079) (<= tmp58__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 85959)) (<= tmp58__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 30940)) (<= tmp58__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 3431)) (<= tmp58__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 10324) (<= tmp58__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 10306)) (<= tmp58__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 9) (<= tmp58__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 5166) (<= tmp58__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 2570)) (<= tmp58__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 1298) (<= tmp58__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 4504)) (<= tmp58__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 1603)) (<= tmp58__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 153)) (<= tmp58__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 572) (<= tmp58__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 516)) (<= tmp58__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 28) (<= tmp58__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 300) (<= tmp58__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ (- 108)) (<= tmp58__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 96) (<= tmp58__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 198) (<= tmp58__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 249) (<= tmp58__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 274) (<= tmp58__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 235) (<= tmp58__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 254) (<= tmp58__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 264) (<= tmp58__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 249) (<= tmp58__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 256) (<= tmp58__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 245) (<= tmp58__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 250) (<= tmp58__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 253) (<= tmp58__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 254) (<= tmp58__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp58__global__0__instrumented__ 255) (<= tmp58__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 80000000) (<= tmp19__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 50000000) (<= tmp19__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 25000001)) (<= tmp19__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 35000000) (<= tmp19__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 12500000) (<= tmp19__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 43750001)) (<= tmp19__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 1250000) (<= tmp19__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 15625000)) (<= tmp19__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 7187500)) (<= tmp19__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 2968750)) (<= tmp19__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 859375)) (<= tmp19__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 195312) (<= tmp19__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 1370240)) (<= tmp19__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 587464)) (<= tmp19__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 196076)) (<= tmp19__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 382)) (<= tmp19__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 97465) (<= tmp19__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 49306)) (<= tmp19__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 24079) (<= tmp19__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 85959)) (<= tmp19__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 30940)) (<= tmp19__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 3431)) (<= tmp19__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 10324) (<= tmp19__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 10306)) (<= tmp19__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 9) (<= tmp19__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 5166) (<= tmp19__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 2570)) (<= tmp19__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 1298) (<= tmp19__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 4504)) (<= tmp19__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 1603)) (<= tmp19__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 153)) (<= tmp19__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 572) (<= tmp19__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 516)) (<= tmp19__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 28) (<= tmp19__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 300) (<= tmp19__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ (- 108)) (<= tmp19__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 96) (<= tmp19__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 198) (<= tmp19__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 249) (<= tmp19__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 274) (<= tmp19__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 235) (<= tmp19__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 254) (<= tmp19__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 264) (<= tmp19__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 249) (<= tmp19__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 256) (<= tmp19__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 245) (<= tmp19__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 250) (<= tmp19__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 253) (<= tmp19__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 254) (<= tmp19__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp19__global__0__instrumented__ 255) (<= tmp19__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 80000000) (<= tmp2__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 50000000) (<= tmp2__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 25000001)) (<= tmp2__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 35000000) (<= tmp2__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 12500000) (<= tmp2__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 43750001)) (<= tmp2__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 1250000) (<= tmp2__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 15625000)) (<= tmp2__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 7187500)) (<= tmp2__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 2968750)) (<= tmp2__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 859375)) (<= tmp2__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 195312) (<= tmp2__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 1370240)) (<= tmp2__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 587464)) (<= tmp2__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 196076)) (<= tmp2__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 382)) (<= tmp2__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 97465) (<= tmp2__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 49306)) (<= tmp2__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 24079) (<= tmp2__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 85959)) (<= tmp2__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 30940)) (<= tmp2__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 3431)) (<= tmp2__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 10324) (<= tmp2__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 10306)) (<= tmp2__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 9) (<= tmp2__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 5166) (<= tmp2__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 2570)) (<= tmp2__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 1298) (<= tmp2__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 4504)) (<= tmp2__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 1603)) (<= tmp2__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 153)) (<= tmp2__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 572) (<= tmp2__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 516)) (<= tmp2__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 28) (<= tmp2__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 300) (<= tmp2__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ (- 108)) (<= tmp2__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 96) (<= tmp2__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 198) (<= tmp2__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 249) (<= tmp2__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 274) (<= tmp2__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 235) (<= tmp2__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 254) (<= tmp2__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 264) (<= tmp2__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 249) (<= tmp2__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 256) (<= tmp2__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 245) (<= tmp2__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 250) (<= tmp2__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 253) (<= tmp2__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 254) (<= tmp2__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp2__global__0__instrumented__ 255) (<= tmp2__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 80000000) (<= tmp41__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 50000000) (<= tmp41__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 25000001)) (<= tmp41__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 35000000) (<= tmp41__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 12500000) (<= tmp41__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 43750001)) (<= tmp41__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 1250000) (<= tmp41__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 15625000)) (<= tmp41__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 7187500)) (<= tmp41__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 2968750)) (<= tmp41__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 859375)) (<= tmp41__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 195312) (<= tmp41__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 1370240)) (<= tmp41__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 587464)) (<= tmp41__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 196076)) (<= tmp41__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 382)) (<= tmp41__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 97465) (<= tmp41__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 49306)) (<= tmp41__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 24079) (<= tmp41__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 85959)) (<= tmp41__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 30940)) (<= tmp41__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 3431)) (<= tmp41__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 10324) (<= tmp41__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 10306)) (<= tmp41__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 9) (<= tmp41__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 5166) (<= tmp41__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 2570)) (<= tmp41__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 1298) (<= tmp41__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 4504)) (<= tmp41__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 1603)) (<= tmp41__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 153)) (<= tmp41__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 572) (<= tmp41__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 516)) (<= tmp41__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 28) (<= tmp41__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 300) (<= tmp41__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ (- 108)) (<= tmp41__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 96) (<= tmp41__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 198) (<= tmp41__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 249) (<= tmp41__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 274) (<= tmp41__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 235) (<= tmp41__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 254) (<= tmp41__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 264) (<= tmp41__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 249) (<= tmp41__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 256) (<= tmp41__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 245) (<= tmp41__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 250) (<= tmp41__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 253) (<= tmp41__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 254) (<= tmp41__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp41__global__0__instrumented__ 255) (<= tmp41__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 80000000) (<= tmp47__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 50000000) (<= tmp47__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 25000001)) (<= tmp47__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 35000000) (<= tmp47__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 12500000) (<= tmp47__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 43750001)) (<= tmp47__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 1250000) (<= tmp47__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 15625000)) (<= tmp47__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 7187500)) (<= tmp47__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 2968750)) (<= tmp47__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 859375)) (<= tmp47__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 195312) (<= tmp47__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 1370240)) (<= tmp47__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 587464)) (<= tmp47__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 196076)) (<= tmp47__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 382)) (<= tmp47__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 97465) (<= tmp47__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 49306)) (<= tmp47__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 24079) (<= tmp47__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 85959)) (<= tmp47__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 30940)) (<= tmp47__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 3431)) (<= tmp47__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 10324) (<= tmp47__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 10306)) (<= tmp47__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 9) (<= tmp47__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 5166) (<= tmp47__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 2570)) (<= tmp47__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 1298) (<= tmp47__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 4504)) (<= tmp47__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 1603)) (<= tmp47__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 153)) (<= tmp47__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 572) (<= tmp47__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 516)) (<= tmp47__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 28) (<= tmp47__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 300) (<= tmp47__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ (- 108)) (<= tmp47__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 96) (<= tmp47__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 198) (<= tmp47__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 249) (<= tmp47__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 274) (<= tmp47__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 235) (<= tmp47__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 254) (<= tmp47__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 264) (<= tmp47__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 249) (<= tmp47__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 256) (<= tmp47__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 245) (<= tmp47__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 250) (<= tmp47__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 253) (<= tmp47__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 254) (<= tmp47__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp47__global__0__instrumented__ 255) (<= tmp47__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 80000000) (<= tmp22__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 50000000) (<= tmp22__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 25000001)) (<= tmp22__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 35000000) (<= tmp22__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 12500000) (<= tmp22__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 43750001)) (<= tmp22__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 1250000) (<= tmp22__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 15625000)) (<= tmp22__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 7187500)) (<= tmp22__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 2968750)) (<= tmp22__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 859375)) (<= tmp22__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 195312) (<= tmp22__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 1370240)) (<= tmp22__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 587464)) (<= tmp22__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 196076)) (<= tmp22__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 382)) (<= tmp22__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 97465) (<= tmp22__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 49306)) (<= tmp22__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 24079) (<= tmp22__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 85959)) (<= tmp22__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 30940)) (<= tmp22__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 3431)) (<= tmp22__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 10324) (<= tmp22__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 10306)) (<= tmp22__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 9) (<= tmp22__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 5166) (<= tmp22__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 2570)) (<= tmp22__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 1298) (<= tmp22__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 4504)) (<= tmp22__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 1603)) (<= tmp22__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 153)) (<= tmp22__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 572) (<= tmp22__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 516)) (<= tmp22__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 28) (<= tmp22__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 300) (<= tmp22__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ (- 108)) (<= tmp22__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 96) (<= tmp22__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 198) (<= tmp22__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 249) (<= tmp22__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 274) (<= tmp22__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 235) (<= tmp22__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 254) (<= tmp22__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 264) (<= tmp22__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 249) (<= tmp22__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 256) (<= tmp22__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 245) (<= tmp22__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 250) (<= tmp22__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 253) (<= tmp22__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 254) (<= tmp22__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp22__global__0__instrumented__ 255) (<= tmp22__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 80000000) (<= tmp59__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 50000000) (<= tmp59__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 25000001)) (<= tmp59__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 35000000) (<= tmp59__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 12500000) (<= tmp59__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 43750001)) (<= tmp59__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 1250000) (<= tmp59__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 15625000)) (<= tmp59__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 7187500)) (<= tmp59__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 2968750)) (<= tmp59__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 859375)) (<= tmp59__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 195312) (<= tmp59__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 1370240)) (<= tmp59__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 587464)) (<= tmp59__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 196076)) (<= tmp59__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 382)) (<= tmp59__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 97465) (<= tmp59__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 49306)) (<= tmp59__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 24079) (<= tmp59__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 85959)) (<= tmp59__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 30940)) (<= tmp59__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 3431)) (<= tmp59__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 10324) (<= tmp59__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 10306)) (<= tmp59__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 9) (<= tmp59__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 5166) (<= tmp59__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 2570)) (<= tmp59__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 1298) (<= tmp59__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 4504)) (<= tmp59__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 1603)) (<= tmp59__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 153)) (<= tmp59__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 572) (<= tmp59__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 516)) (<= tmp59__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 28) (<= tmp59__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 300) (<= tmp59__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ (- 108)) (<= tmp59__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 96) (<= tmp59__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 198) (<= tmp59__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 249) (<= tmp59__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 274) (<= tmp59__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 235) (<= tmp59__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 254) (<= tmp59__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 264) (<= tmp59__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 249) (<= tmp59__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 256) (<= tmp59__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 245) (<= tmp59__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 250) (<= tmp59__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 253) (<= tmp59__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 254) (<= tmp59__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp59__global__0__instrumented__ 255) (<= tmp59__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 80000000) (<= tmp3__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 50000000) (<= tmp3__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 25000001)) (<= tmp3__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 35000000) (<= tmp3__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 12500000) (<= tmp3__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 43750001)) (<= tmp3__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 1250000) (<= tmp3__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 15625000)) (<= tmp3__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 7187500)) (<= tmp3__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 2968750)) (<= tmp3__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 859375)) (<= tmp3__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 195312) (<= tmp3__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 1370240)) (<= tmp3__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 587464)) (<= tmp3__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 196076)) (<= tmp3__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 382)) (<= tmp3__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 97465) (<= tmp3__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 49306)) (<= tmp3__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 24079) (<= tmp3__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 85959)) (<= tmp3__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 30940)) (<= tmp3__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 3431)) (<= tmp3__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 10324) (<= tmp3__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 10306)) (<= tmp3__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 9) (<= tmp3__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 5166) (<= tmp3__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 2570)) (<= tmp3__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 1298) (<= tmp3__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 4504)) (<= tmp3__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 1603)) (<= tmp3__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 153)) (<= tmp3__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 572) (<= tmp3__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 516)) (<= tmp3__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 28) (<= tmp3__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 300) (<= tmp3__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ (- 108)) (<= tmp3__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 96) (<= tmp3__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 198) (<= tmp3__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 249) (<= tmp3__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 274) (<= tmp3__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 235) (<= tmp3__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 254) (<= tmp3__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 264) (<= tmp3__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 249) (<= tmp3__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 256) (<= tmp3__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 245) (<= tmp3__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 250) (<= tmp3__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 253) (<= tmp3__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 254) (<= tmp3__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp3__global__0__instrumented__ 255) (<= tmp3__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 80000000) (<= tmp49__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 50000000) (<= tmp49__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 25000001)) (<= tmp49__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 35000000) (<= tmp49__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 12500000) (<= tmp49__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 43750001)) (<= tmp49__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 1250000) (<= tmp49__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 15625000)) (<= tmp49__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 7187500)) (<= tmp49__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 2968750)) (<= tmp49__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 859375)) (<= tmp49__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 195312) (<= tmp49__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 1370240)) (<= tmp49__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 587464)) (<= tmp49__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 196076)) (<= tmp49__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 382)) (<= tmp49__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 97465) (<= tmp49__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 49306)) (<= tmp49__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 24079) (<= tmp49__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 85959)) (<= tmp49__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 30940)) (<= tmp49__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 3431)) (<= tmp49__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 10324) (<= tmp49__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 10306)) (<= tmp49__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 9) (<= tmp49__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 5166) (<= tmp49__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 2570)) (<= tmp49__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 1298) (<= tmp49__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 4504)) (<= tmp49__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 1603)) (<= tmp49__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 153)) (<= tmp49__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 572) (<= tmp49__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 516)) (<= tmp49__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 28) (<= tmp49__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 300) (<= tmp49__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ (- 108)) (<= tmp49__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 96) (<= tmp49__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 198) (<= tmp49__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 249) (<= tmp49__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 274) (<= tmp49__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 235) (<= tmp49__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 254) (<= tmp49__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 264) (<= tmp49__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 249) (<= tmp49__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 256) (<= tmp49__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 245) (<= tmp49__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 250) (<= tmp49__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 253) (<= tmp49__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 254) (<= tmp49__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp49__global__0__instrumented__ 255) (<= tmp49__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 80000000) (<= tmp40__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 50000000) (<= tmp40__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 25000001)) (<= tmp40__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 35000000) (<= tmp40__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 12500000) (<= tmp40__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 43750001)) (<= tmp40__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 1250000) (<= tmp40__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 15625000)) (<= tmp40__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 7187500)) (<= tmp40__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 2968750)) (<= tmp40__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 859375)) (<= tmp40__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 195312) (<= tmp40__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 1370240)) (<= tmp40__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 587464)) (<= tmp40__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 196076)) (<= tmp40__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 382)) (<= tmp40__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 97465) (<= tmp40__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 49306)) (<= tmp40__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 24079) (<= tmp40__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 85959)) (<= tmp40__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 30940)) (<= tmp40__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 3431)) (<= tmp40__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 10324) (<= tmp40__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 10306)) (<= tmp40__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 9) (<= tmp40__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 5166) (<= tmp40__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 2570)) (<= tmp40__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 1298) (<= tmp40__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 4504)) (<= tmp40__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 1603)) (<= tmp40__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 153)) (<= tmp40__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 572) (<= tmp40__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 516)) (<= tmp40__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 28) (<= tmp40__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 300) (<= tmp40__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ (- 108)) (<= tmp40__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 96) (<= tmp40__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 198) (<= tmp40__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 249) (<= tmp40__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 274) (<= tmp40__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 235) (<= tmp40__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 254) (<= tmp40__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 264) (<= tmp40__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 249) (<= tmp40__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 256) (<= tmp40__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 245) (<= tmp40__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 250) (<= tmp40__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 253) (<= tmp40__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 254) (<= tmp40__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp40__global__0__instrumented__ 255) (<= tmp40__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 80000000) (<= tmp52__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 50000000) (<= tmp52__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 25000001)) (<= tmp52__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 35000000) (<= tmp52__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 12500000) (<= tmp52__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 43750001)) (<= tmp52__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 1250000) (<= tmp52__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 15625000)) (<= tmp52__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 7187500)) (<= tmp52__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 2968750)) (<= tmp52__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 859375)) (<= tmp52__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 195312) (<= tmp52__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 1370240)) (<= tmp52__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 587464)) (<= tmp52__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 196076)) (<= tmp52__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 382)) (<= tmp52__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 97465) (<= tmp52__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 49306)) (<= tmp52__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 24079) (<= tmp52__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 85959)) (<= tmp52__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 30940)) (<= tmp52__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 3431)) (<= tmp52__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 10324) (<= tmp52__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 10306)) (<= tmp52__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 9) (<= tmp52__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 5166) (<= tmp52__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 2570)) (<= tmp52__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 1298) (<= tmp52__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 4504)) (<= tmp52__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 1603)) (<= tmp52__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 153)) (<= tmp52__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 572) (<= tmp52__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 516)) (<= tmp52__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 28) (<= tmp52__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 300) (<= tmp52__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ (- 108)) (<= tmp52__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 96) (<= tmp52__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 198) (<= tmp52__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 249) (<= tmp52__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 274) (<= tmp52__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 235) (<= tmp52__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 254) (<= tmp52__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 264) (<= tmp52__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 249) (<= tmp52__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 256) (<= tmp52__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 245) (<= tmp52__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 250) (<= tmp52__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 253) (<= tmp52__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 254) (<= tmp52__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp52__global__0__instrumented__ 255) (<= tmp52__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 80000000) (<= tmp45__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 50000000) (<= tmp45__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 25000001)) (<= tmp45__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 35000000) (<= tmp45__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 12500000) (<= tmp45__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 43750001)) (<= tmp45__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 1250000) (<= tmp45__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 15625000)) (<= tmp45__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 7187500)) (<= tmp45__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 2968750)) (<= tmp45__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 859375)) (<= tmp45__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 195312) (<= tmp45__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 1370240)) (<= tmp45__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 587464)) (<= tmp45__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 196076)) (<= tmp45__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 382)) (<= tmp45__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 97465) (<= tmp45__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 49306)) (<= tmp45__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 24079) (<= tmp45__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 85959)) (<= tmp45__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 30940)) (<= tmp45__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 3431)) (<= tmp45__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 10324) (<= tmp45__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 10306)) (<= tmp45__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 9) (<= tmp45__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 5166) (<= tmp45__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 2570)) (<= tmp45__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 1298) (<= tmp45__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 4504)) (<= tmp45__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 1603)) (<= tmp45__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 153)) (<= tmp45__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 572) (<= tmp45__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 516)) (<= tmp45__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 28) (<= tmp45__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 300) (<= tmp45__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ (- 108)) (<= tmp45__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 96) (<= tmp45__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 198) (<= tmp45__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 249) (<= tmp45__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 274) (<= tmp45__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 235) (<= tmp45__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 254) (<= tmp45__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 264) (<= tmp45__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 249) (<= tmp45__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 256) (<= tmp45__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 245) (<= tmp45__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 250) (<= tmp45__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 253) (<= tmp45__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 254) (<= tmp45__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp45__global__0__instrumented__ 255) (<= tmp45__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 80000000) (<= tmp57__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 50000000) (<= tmp57__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 25000001)) (<= tmp57__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 35000000) (<= tmp57__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 12500000) (<= tmp57__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 43750001)) (<= tmp57__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 1250000) (<= tmp57__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 15625000)) (<= tmp57__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 7187500)) (<= tmp57__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 2968750)) (<= tmp57__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 859375)) (<= tmp57__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 195312) (<= tmp57__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 1370240)) (<= tmp57__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 587464)) (<= tmp57__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 196076)) (<= tmp57__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 382)) (<= tmp57__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 97465) (<= tmp57__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 49306)) (<= tmp57__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 24079) (<= tmp57__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 85959)) (<= tmp57__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 30940)) (<= tmp57__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 3431)) (<= tmp57__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 10324) (<= tmp57__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 10306)) (<= tmp57__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 9) (<= tmp57__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 5166) (<= tmp57__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 2570)) (<= tmp57__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 1298) (<= tmp57__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 4504)) (<= tmp57__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 1603)) (<= tmp57__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 153)) (<= tmp57__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 572) (<= tmp57__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 516)) (<= tmp57__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 28) (<= tmp57__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 300) (<= tmp57__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ (- 108)) (<= tmp57__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 96) (<= tmp57__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 198) (<= tmp57__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 249) (<= tmp57__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 274) (<= tmp57__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 235) (<= tmp57__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 254) (<= tmp57__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 264) (<= tmp57__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 249) (<= tmp57__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 256) (<= tmp57__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 245) (<= tmp57__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 250) (<= tmp57__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 253) (<= tmp57__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 254) (<= tmp57__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp57__global__0__instrumented__ 255) (<= tmp57__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 80000000) (<= tmp18__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 50000000) (<= tmp18__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 25000001)) (<= tmp18__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 35000000) (<= tmp18__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 12500000) (<= tmp18__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 43750001)) (<= tmp18__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 1250000) (<= tmp18__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 15625000)) (<= tmp18__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 7187500)) (<= tmp18__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 2968750)) (<= tmp18__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 859375)) (<= tmp18__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 195312) (<= tmp18__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 1370240)) (<= tmp18__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 587464)) (<= tmp18__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 196076)) (<= tmp18__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 382)) (<= tmp18__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 97465) (<= tmp18__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 49306)) (<= tmp18__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 24079) (<= tmp18__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 85959)) (<= tmp18__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 30940)) (<= tmp18__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 3431)) (<= tmp18__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 10324) (<= tmp18__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 10306)) (<= tmp18__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 9) (<= tmp18__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 5166) (<= tmp18__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 2570)) (<= tmp18__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 1298) (<= tmp18__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 4504)) (<= tmp18__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 1603)) (<= tmp18__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 153)) (<= tmp18__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 572) (<= tmp18__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 516)) (<= tmp18__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 28) (<= tmp18__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 300) (<= tmp18__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ (- 108)) (<= tmp18__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 96) (<= tmp18__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 198) (<= tmp18__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 249) (<= tmp18__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 274) (<= tmp18__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 235) (<= tmp18__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 254) (<= tmp18__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 264) (<= tmp18__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 249) (<= tmp18__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 256) (<= tmp18__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 245) (<= tmp18__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 250) (<= tmp18__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 253) (<= tmp18__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 254) (<= tmp18__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp18__global__0__instrumented__ 255) (<= tmp18__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 80000000) (<= tmp62__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 50000000) (<= tmp62__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 25000001)) (<= tmp62__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 35000000) (<= tmp62__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 12500000) (<= tmp62__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 43750001)) (<= tmp62__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 1250000) (<= tmp62__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 15625000)) (<= tmp62__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 7187500)) (<= tmp62__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 2968750)) (<= tmp62__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 859375)) (<= tmp62__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 195312) (<= tmp62__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 1370240)) (<= tmp62__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 587464)) (<= tmp62__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 196076)) (<= tmp62__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 382)) (<= tmp62__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 97465) (<= tmp62__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 49306)) (<= tmp62__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 24079) (<= tmp62__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 85959)) (<= tmp62__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 30940)) (<= tmp62__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 3431)) (<= tmp62__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 10324) (<= tmp62__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 10306)) (<= tmp62__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 9) (<= tmp62__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 5166) (<= tmp62__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 2570)) (<= tmp62__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 1298) (<= tmp62__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 4504)) (<= tmp62__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 1603)) (<= tmp62__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 153)) (<= tmp62__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 572) (<= tmp62__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 516)) (<= tmp62__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 28) (<= tmp62__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 300) (<= tmp62__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ (- 108)) (<= tmp62__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 96) (<= tmp62__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 198) (<= tmp62__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 249) (<= tmp62__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 274) (<= tmp62__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 235) (<= tmp62__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 254) (<= tmp62__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 264) (<= tmp62__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 249) (<= tmp62__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 256) (<= tmp62__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 245) (<= tmp62__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 250) (<= tmp62__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 253) (<= tmp62__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 254) (<= tmp62__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp62__global__0__instrumented__ 255) (<= tmp62__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 80000000) (<= tmp13__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 50000000) (<= tmp13__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 25000001)) (<= tmp13__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 35000000) (<= tmp13__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 12500000) (<= tmp13__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 43750001)) (<= tmp13__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 1250000) (<= tmp13__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 15625000)) (<= tmp13__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 7187500)) (<= tmp13__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 2968750)) (<= tmp13__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 859375)) (<= tmp13__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 195312) (<= tmp13__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 1370240)) (<= tmp13__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 587464)) (<= tmp13__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 196076)) (<= tmp13__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 382)) (<= tmp13__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 97465) (<= tmp13__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 49306)) (<= tmp13__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 24079) (<= tmp13__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 85959)) (<= tmp13__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 30940)) (<= tmp13__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 3431)) (<= tmp13__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 10324) (<= tmp13__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 10306)) (<= tmp13__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 9) (<= tmp13__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 5166) (<= tmp13__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 2570)) (<= tmp13__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 1298) (<= tmp13__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 4504)) (<= tmp13__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 1603)) (<= tmp13__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 153)) (<= tmp13__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 572) (<= tmp13__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 516)) (<= tmp13__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 28) (<= tmp13__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 300) (<= tmp13__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ (- 108)) (<= tmp13__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 96) (<= tmp13__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 198) (<= tmp13__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 249) (<= tmp13__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 274) (<= tmp13__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 235) (<= tmp13__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 254) (<= tmp13__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 264) (<= tmp13__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 249) (<= tmp13__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 256) (<= tmp13__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 245) (<= tmp13__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 250) (<= tmp13__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 253) (<= tmp13__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 254) (<= tmp13__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp13__global__0__instrumented__ 255) (<= tmp13__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 80000000) (<= tmp43__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 50000000) (<= tmp43__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 25000001)) (<= tmp43__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 35000000) (<= tmp43__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 12500000) (<= tmp43__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 43750001)) (<= tmp43__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 1250000) (<= tmp43__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 15625000)) (<= tmp43__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 7187500)) (<= tmp43__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 2968750)) (<= tmp43__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 859375)) (<= tmp43__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 195312) (<= tmp43__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 1370240)) (<= tmp43__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 587464)) (<= tmp43__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 196076)) (<= tmp43__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 382)) (<= tmp43__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 97465) (<= tmp43__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 49306)) (<= tmp43__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 24079) (<= tmp43__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 85959)) (<= tmp43__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 30940)) (<= tmp43__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 3431)) (<= tmp43__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 10324) (<= tmp43__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 10306)) (<= tmp43__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 9) (<= tmp43__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 5166) (<= tmp43__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 2570)) (<= tmp43__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 1298) (<= tmp43__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 4504)) (<= tmp43__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 1603)) (<= tmp43__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 153)) (<= tmp43__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 572) (<= tmp43__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 516)) (<= tmp43__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 28) (<= tmp43__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 300) (<= tmp43__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ (- 108)) (<= tmp43__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 96) (<= tmp43__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 198) (<= tmp43__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 249) (<= tmp43__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 274) (<= tmp43__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 235) (<= tmp43__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 254) (<= tmp43__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 264) (<= tmp43__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 249) (<= tmp43__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 256) (<= tmp43__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 245) (<= tmp43__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 250) (<= tmp43__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 253) (<= tmp43__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 254) (<= tmp43__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp43__global__0__instrumented__ 255) (<= tmp43__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 80000000) (<= tmp37__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 50000000) (<= tmp37__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 25000001)) (<= tmp37__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 35000000) (<= tmp37__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 12500000) (<= tmp37__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 43750001)) (<= tmp37__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 1250000) (<= tmp37__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 15625000)) (<= tmp37__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 7187500)) (<= tmp37__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 2968750)) (<= tmp37__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 859375)) (<= tmp37__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 195312) (<= tmp37__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 1370240)) (<= tmp37__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 587464)) (<= tmp37__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 196076)) (<= tmp37__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 382)) (<= tmp37__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 97465) (<= tmp37__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 49306)) (<= tmp37__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 24079) (<= tmp37__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 85959)) (<= tmp37__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 30940)) (<= tmp37__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 3431)) (<= tmp37__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 10324) (<= tmp37__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 10306)) (<= tmp37__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 9) (<= tmp37__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 5166) (<= tmp37__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 2570)) (<= tmp37__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 1298) (<= tmp37__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 4504)) (<= tmp37__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 1603)) (<= tmp37__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 153)) (<= tmp37__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 572) (<= tmp37__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 516)) (<= tmp37__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 28) (<= tmp37__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 300) (<= tmp37__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ (- 108)) (<= tmp37__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 96) (<= tmp37__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 198) (<= tmp37__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 249) (<= tmp37__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 274) (<= tmp37__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 235) (<= tmp37__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 254) (<= tmp37__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 264) (<= tmp37__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 249) (<= tmp37__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 256) (<= tmp37__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 245) (<= tmp37__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 250) (<= tmp37__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 253) (<= tmp37__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 254) (<= tmp37__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp37__global__0__instrumented__ 255) (<= tmp37__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 80000000) (<= tmp38__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 50000000) (<= tmp38__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 25000001)) (<= tmp38__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 35000000) (<= tmp38__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 12500000) (<= tmp38__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 43750001)) (<= tmp38__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 1250000) (<= tmp38__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 15625000)) (<= tmp38__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 7187500)) (<= tmp38__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 2968750)) (<= tmp38__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 859375)) (<= tmp38__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 195312) (<= tmp38__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 1370240)) (<= tmp38__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 587464)) (<= tmp38__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 196076)) (<= tmp38__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 382)) (<= tmp38__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 97465) (<= tmp38__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 49306)) (<= tmp38__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 24079) (<= tmp38__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 85959)) (<= tmp38__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 30940)) (<= tmp38__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 3431)) (<= tmp38__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 10324) (<= tmp38__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 10306)) (<= tmp38__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 9) (<= tmp38__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 5166) (<= tmp38__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 2570)) (<= tmp38__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 1298) (<= tmp38__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 4504)) (<= tmp38__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 1603)) (<= tmp38__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 153)) (<= tmp38__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 572) (<= tmp38__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 516)) (<= tmp38__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 28) (<= tmp38__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 300) (<= tmp38__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ (- 108)) (<= tmp38__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 96) (<= tmp38__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 198) (<= tmp38__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 249) (<= tmp38__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 274) (<= tmp38__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 235) (<= tmp38__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 254) (<= tmp38__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 264) (<= tmp38__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 249) (<= tmp38__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 256) (<= tmp38__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 245) (<= tmp38__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 250) (<= tmp38__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 253) (<= tmp38__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 254) (<= tmp38__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp38__global__0__instrumented__ 255) (<= tmp38__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 80000000) (<= tmp64__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 50000000) (<= tmp64__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 25000001)) (<= tmp64__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 35000000) (<= tmp64__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 12500000) (<= tmp64__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 43750001)) (<= tmp64__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 1250000) (<= tmp64__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 15625000)) (<= tmp64__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 7187500)) (<= tmp64__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 2968750)) (<= tmp64__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 859375)) (<= tmp64__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 195312) (<= tmp64__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 1370240)) (<= tmp64__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 587464)) (<= tmp64__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 196076)) (<= tmp64__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 382)) (<= tmp64__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 97465) (<= tmp64__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 49306)) (<= tmp64__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 24079) (<= tmp64__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 85959)) (<= tmp64__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 30940)) (<= tmp64__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 3431)) (<= tmp64__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 10324) (<= tmp64__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 10306)) (<= tmp64__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 9) (<= tmp64__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 5166) (<= tmp64__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 2570)) (<= tmp64__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 1298) (<= tmp64__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 4504)) (<= tmp64__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 1603)) (<= tmp64__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 153)) (<= tmp64__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 572) (<= tmp64__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 516)) (<= tmp64__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 28) (<= tmp64__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 300) (<= tmp64__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ (- 108)) (<= tmp64__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 96) (<= tmp64__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 198) (<= tmp64__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 249) (<= tmp64__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 274) (<= tmp64__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 235) (<= tmp64__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 254) (<= tmp64__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 264) (<= tmp64__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 249) (<= tmp64__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 256) (<= tmp64__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 245) (<= tmp64__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 250) (<= tmp64__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 253) (<= tmp64__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 254) (<= tmp64__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp64__global__0__instrumented__ 255) (<= tmp64__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 80000000) (<= tmp14__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 50000000) (<= tmp14__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 25000001)) (<= tmp14__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 35000000) (<= tmp14__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 12500000) (<= tmp14__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 43750001)) (<= tmp14__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 1250000) (<= tmp14__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 15625000)) (<= tmp14__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 7187500)) (<= tmp14__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 2968750)) (<= tmp14__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 859375)) (<= tmp14__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 195312) (<= tmp14__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 1370240)) (<= tmp14__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 587464)) (<= tmp14__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 196076)) (<= tmp14__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 382)) (<= tmp14__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 97465) (<= tmp14__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 49306)) (<= tmp14__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 24079) (<= tmp14__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 85959)) (<= tmp14__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 30940)) (<= tmp14__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 3431)) (<= tmp14__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 10324) (<= tmp14__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 10306)) (<= tmp14__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 9) (<= tmp14__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 5166) (<= tmp14__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 2570)) (<= tmp14__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 1298) (<= tmp14__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 4504)) (<= tmp14__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 1603)) (<= tmp14__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 153)) (<= tmp14__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 572) (<= tmp14__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 516)) (<= tmp14__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 28) (<= tmp14__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 300) (<= tmp14__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ (- 108)) (<= tmp14__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 96) (<= tmp14__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 198) (<= tmp14__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 249) (<= tmp14__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 274) (<= tmp14__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 235) (<= tmp14__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 254) (<= tmp14__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 264) (<= tmp14__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 249) (<= tmp14__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 256) (<= tmp14__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 245) (<= tmp14__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 250) (<= tmp14__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 253) (<= tmp14__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 254) (<= tmp14__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp14__global__0__instrumented__ 255) (<= tmp14__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 80000000) (<= tmp10__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 50000000) (<= tmp10__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 25000001)) (<= tmp10__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 35000000) (<= tmp10__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 12500000) (<= tmp10__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 43750001)) (<= tmp10__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 1250000) (<= tmp10__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 15625000)) (<= tmp10__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 7187500)) (<= tmp10__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 2968750)) (<= tmp10__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 859375)) (<= tmp10__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 195312) (<= tmp10__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 1370240)) (<= tmp10__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 587464)) (<= tmp10__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 196076)) (<= tmp10__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 382)) (<= tmp10__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 97465) (<= tmp10__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 49306)) (<= tmp10__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 24079) (<= tmp10__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 85959)) (<= tmp10__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 30940)) (<= tmp10__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 3431)) (<= tmp10__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 10324) (<= tmp10__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 10306)) (<= tmp10__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 9) (<= tmp10__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 5166) (<= tmp10__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 2570)) (<= tmp10__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 1298) (<= tmp10__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 4504)) (<= tmp10__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 1603)) (<= tmp10__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 153)) (<= tmp10__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 572) (<= tmp10__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 516)) (<= tmp10__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 28) (<= tmp10__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 300) (<= tmp10__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ (- 108)) (<= tmp10__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 96) (<= tmp10__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 198) (<= tmp10__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 249) (<= tmp10__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 274) (<= tmp10__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 235) (<= tmp10__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 254) (<= tmp10__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 264) (<= tmp10__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 249) (<= tmp10__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 256) (<= tmp10__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 245) (<= tmp10__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 250) (<= tmp10__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 253) (<= tmp10__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 254) (<= tmp10__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp10__global__0__instrumented__ 255) (<= tmp10__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 80000000) (<= tmp56__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 50000000) (<= tmp56__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 25000001)) (<= tmp56__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 35000000) (<= tmp56__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 12500000) (<= tmp56__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 43750001)) (<= tmp56__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 1250000) (<= tmp56__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 15625000)) (<= tmp56__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 7187500)) (<= tmp56__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 2968750)) (<= tmp56__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 859375)) (<= tmp56__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 195312) (<= tmp56__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 1370240)) (<= tmp56__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 587464)) (<= tmp56__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 196076)) (<= tmp56__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 382)) (<= tmp56__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 97465) (<= tmp56__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 49306)) (<= tmp56__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 24079) (<= tmp56__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 85959)) (<= tmp56__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 30940)) (<= tmp56__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 3431)) (<= tmp56__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 10324) (<= tmp56__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 10306)) (<= tmp56__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 9) (<= tmp56__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 5166) (<= tmp56__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 2570)) (<= tmp56__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 1298) (<= tmp56__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 4504)) (<= tmp56__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 1603)) (<= tmp56__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 153)) (<= tmp56__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 572) (<= tmp56__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 516)) (<= tmp56__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 28) (<= tmp56__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 300) (<= tmp56__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ (- 108)) (<= tmp56__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 96) (<= tmp56__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 198) (<= tmp56__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 249) (<= tmp56__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 274) (<= tmp56__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 235) (<= tmp56__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 254) (<= tmp56__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 264) (<= tmp56__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 249) (<= tmp56__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 256) (<= tmp56__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 245) (<= tmp56__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 250) (<= tmp56__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 253) (<= tmp56__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 254) (<= tmp56__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp56__global__0__instrumented__ 255) (<= tmp56__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 80000000) (<= tmp61__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 50000000) (<= tmp61__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 25000001)) (<= tmp61__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 35000000) (<= tmp61__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 12500000) (<= tmp61__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 43750001)) (<= tmp61__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 1250000) (<= tmp61__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 15625000)) (<= tmp61__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 7187500)) (<= tmp61__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 2968750)) (<= tmp61__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 859375)) (<= tmp61__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 195312) (<= tmp61__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 1370240)) (<= tmp61__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 587464)) (<= tmp61__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 196076)) (<= tmp61__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 382)) (<= tmp61__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 97465) (<= tmp61__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 49306)) (<= tmp61__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 24079) (<= tmp61__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 85959)) (<= tmp61__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 30940)) (<= tmp61__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 3431)) (<= tmp61__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 10324) (<= tmp61__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 10306)) (<= tmp61__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 9) (<= tmp61__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 5166) (<= tmp61__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 2570)) (<= tmp61__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 1298) (<= tmp61__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 4504)) (<= tmp61__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 1603)) (<= tmp61__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 153)) (<= tmp61__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 572) (<= tmp61__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 516)) (<= tmp61__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 28) (<= tmp61__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 300) (<= tmp61__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ (- 108)) (<= tmp61__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 96) (<= tmp61__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 198) (<= tmp61__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 249) (<= tmp61__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 274) (<= tmp61__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 235) (<= tmp61__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 254) (<= tmp61__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 264) (<= tmp61__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 249) (<= tmp61__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 256) (<= tmp61__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 245) (<= tmp61__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 250) (<= tmp61__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 253) (<= tmp61__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 254) (<= tmp61__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp61__global__0__instrumented__ 255) (<= tmp61__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 80000000) (<= tmp24__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 50000000) (<= tmp24__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 25000001)) (<= tmp24__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 35000000) (<= tmp24__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 12500000) (<= tmp24__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 43750001)) (<= tmp24__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 1250000) (<= tmp24__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 15625000)) (<= tmp24__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 7187500)) (<= tmp24__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 2968750)) (<= tmp24__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 859375)) (<= tmp24__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 195312) (<= tmp24__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 1370240)) (<= tmp24__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 587464)) (<= tmp24__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 196076)) (<= tmp24__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 382)) (<= tmp24__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 97465) (<= tmp24__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 49306)) (<= tmp24__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 24079) (<= tmp24__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 85959)) (<= tmp24__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 30940)) (<= tmp24__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 3431)) (<= tmp24__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 10324) (<= tmp24__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 10306)) (<= tmp24__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 9) (<= tmp24__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 5166) (<= tmp24__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 2570)) (<= tmp24__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 1298) (<= tmp24__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 4504)) (<= tmp24__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 1603)) (<= tmp24__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 153)) (<= tmp24__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 572) (<= tmp24__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 516)) (<= tmp24__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 28) (<= tmp24__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 300) (<= tmp24__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ (- 108)) (<= tmp24__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 96) (<= tmp24__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 198) (<= tmp24__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 249) (<= tmp24__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 274) (<= tmp24__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 235) (<= tmp24__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 254) (<= tmp24__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 264) (<= tmp24__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 249) (<= tmp24__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 256) (<= tmp24__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 245) (<= tmp24__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 250) (<= tmp24__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 253) (<= tmp24__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 254) (<= tmp24__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp24__global__0__instrumented__ 255) (<= tmp24__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 80000000) (<= tmp55__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 50000000) (<= tmp55__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 25000001)) (<= tmp55__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 35000000) (<= tmp55__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 12500000) (<= tmp55__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 43750001)) (<= tmp55__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 1250000) (<= tmp55__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 15625000)) (<= tmp55__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 7187500)) (<= tmp55__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 2968750)) (<= tmp55__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 859375)) (<= tmp55__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 195312) (<= tmp55__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 1370240)) (<= tmp55__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 587464)) (<= tmp55__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 196076)) (<= tmp55__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 382)) (<= tmp55__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 97465) (<= tmp55__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 49306)) (<= tmp55__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 24079) (<= tmp55__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 85959)) (<= tmp55__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 30940)) (<= tmp55__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 3431)) (<= tmp55__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 10324) (<= tmp55__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 10306)) (<= tmp55__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 9) (<= tmp55__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 5166) (<= tmp55__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 2570)) (<= tmp55__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 1298) (<= tmp55__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 4504)) (<= tmp55__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 1603)) (<= tmp55__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 153)) (<= tmp55__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 572) (<= tmp55__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 516)) (<= tmp55__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 28) (<= tmp55__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 300) (<= tmp55__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ (- 108)) (<= tmp55__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 96) (<= tmp55__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 198) (<= tmp55__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 249) (<= tmp55__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 274) (<= tmp55__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 235) (<= tmp55__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 254) (<= tmp55__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 264) (<= tmp55__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 249) (<= tmp55__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 256) (<= tmp55__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 245) (<= tmp55__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 250) (<= tmp55__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 253) (<= tmp55__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 254) (<= tmp55__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp55__global__0__instrumented__ 255) (<= tmp55__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 80000000) (<= tmp30__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 50000000) (<= tmp30__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 25000001)) (<= tmp30__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 35000000) (<= tmp30__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 12500000) (<= tmp30__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 43750001)) (<= tmp30__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 1250000) (<= tmp30__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 15625000)) (<= tmp30__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 7187500)) (<= tmp30__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 2968750)) (<= tmp30__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 859375)) (<= tmp30__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 195312) (<= tmp30__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 1370240)) (<= tmp30__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 587464)) (<= tmp30__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 196076)) (<= tmp30__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 382)) (<= tmp30__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 97465) (<= tmp30__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 49306)) (<= tmp30__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 24079) (<= tmp30__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 85959)) (<= tmp30__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 30940)) (<= tmp30__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 3431)) (<= tmp30__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 10324) (<= tmp30__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 10306)) (<= tmp30__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 9) (<= tmp30__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 5166) (<= tmp30__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 2570)) (<= tmp30__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 1298) (<= tmp30__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 4504)) (<= tmp30__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 1603)) (<= tmp30__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 153)) (<= tmp30__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 572) (<= tmp30__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 516)) (<= tmp30__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 28) (<= tmp30__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 300) (<= tmp30__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ (- 108)) (<= tmp30__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 96) (<= tmp30__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 198) (<= tmp30__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 249) (<= tmp30__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 274) (<= tmp30__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 235) (<= tmp30__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 254) (<= tmp30__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 264) (<= tmp30__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 249) (<= tmp30__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 256) (<= tmp30__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 245) (<= tmp30__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 250) (<= tmp30__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 253) (<= tmp30__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 254) (<= tmp30__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp30__global__0__instrumented__ 255) (<= tmp30__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 80000000) (<= tmp11__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 50000000) (<= tmp11__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 25000001)) (<= tmp11__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 35000000) (<= tmp11__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 12500000) (<= tmp11__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 43750001)) (<= tmp11__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 1250000) (<= tmp11__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 15625000)) (<= tmp11__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 7187500)) (<= tmp11__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 2968750)) (<= tmp11__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 859375)) (<= tmp11__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 195312) (<= tmp11__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 1370240)) (<= tmp11__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 587464)) (<= tmp11__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 196076)) (<= tmp11__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 382)) (<= tmp11__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 97465) (<= tmp11__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 49306)) (<= tmp11__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 24079) (<= tmp11__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 85959)) (<= tmp11__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 30940)) (<= tmp11__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 3431)) (<= tmp11__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 10324) (<= tmp11__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 10306)) (<= tmp11__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 9) (<= tmp11__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 5166) (<= tmp11__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 2570)) (<= tmp11__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 1298) (<= tmp11__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 4504)) (<= tmp11__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 1603)) (<= tmp11__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 153)) (<= tmp11__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 572) (<= tmp11__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 516)) (<= tmp11__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 28) (<= tmp11__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 300) (<= tmp11__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ (- 108)) (<= tmp11__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 96) (<= tmp11__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 198) (<= tmp11__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 249) (<= tmp11__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 274) (<= tmp11__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 235) (<= tmp11__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 254) (<= tmp11__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 264) (<= tmp11__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 249) (<= tmp11__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 256) (<= tmp11__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 245) (<= tmp11__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 250) (<= tmp11__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 253) (<= tmp11__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 254) (<= tmp11__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp11__global__0__instrumented__ 255) (<= tmp11__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 80000000) (<= tmp5__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 50000000) (<= tmp5__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 25000001)) (<= tmp5__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 35000000) (<= tmp5__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 12500000) (<= tmp5__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 43750001)) (<= tmp5__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 1250000) (<= tmp5__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 15625000)) (<= tmp5__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 7187500)) (<= tmp5__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 2968750)) (<= tmp5__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 859375)) (<= tmp5__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 195312) (<= tmp5__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 1370240)) (<= tmp5__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 587464)) (<= tmp5__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 196076)) (<= tmp5__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 382)) (<= tmp5__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 97465) (<= tmp5__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 49306)) (<= tmp5__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 24079) (<= tmp5__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 85959)) (<= tmp5__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 30940)) (<= tmp5__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 3431)) (<= tmp5__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 10324) (<= tmp5__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 10306)) (<= tmp5__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 9) (<= tmp5__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 5166) (<= tmp5__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 2570)) (<= tmp5__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 1298) (<= tmp5__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 4504)) (<= tmp5__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 1603)) (<= tmp5__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 153)) (<= tmp5__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 572) (<= tmp5__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 516)) (<= tmp5__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 28) (<= tmp5__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 300) (<= tmp5__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ (- 108)) (<= tmp5__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 96) (<= tmp5__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 198) (<= tmp5__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 249) (<= tmp5__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 274) (<= tmp5__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 235) (<= tmp5__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 254) (<= tmp5__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 264) (<= tmp5__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 249) (<= tmp5__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 256) (<= tmp5__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 245) (<= tmp5__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 250) (<= tmp5__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 253) (<= tmp5__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 254) (<= tmp5__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp5__global__0__instrumented__ 255) (<= tmp5__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 80000000) (<= tmp46__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 50000000) (<= tmp46__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 25000001)) (<= tmp46__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 35000000) (<= tmp46__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 12500000) (<= tmp46__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 43750001)) (<= tmp46__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 1250000) (<= tmp46__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 15625000)) (<= tmp46__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 7187500)) (<= tmp46__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 2968750)) (<= tmp46__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 859375)) (<= tmp46__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 195312) (<= tmp46__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 1370240)) (<= tmp46__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 587464)) (<= tmp46__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 196076)) (<= tmp46__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 382)) (<= tmp46__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 97465) (<= tmp46__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 49306)) (<= tmp46__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 24079) (<= tmp46__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 85959)) (<= tmp46__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 30940)) (<= tmp46__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 3431)) (<= tmp46__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 10324) (<= tmp46__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 10306)) (<= tmp46__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 9) (<= tmp46__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 5166) (<= tmp46__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 2570)) (<= tmp46__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 1298) (<= tmp46__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 4504)) (<= tmp46__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 1603)) (<= tmp46__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 153)) (<= tmp46__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 572) (<= tmp46__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 516)) (<= tmp46__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 28) (<= tmp46__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 300) (<= tmp46__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ (- 108)) (<= tmp46__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 96) (<= tmp46__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 198) (<= tmp46__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 249) (<= tmp46__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 274) (<= tmp46__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 235) (<= tmp46__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 254) (<= tmp46__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 264) (<= tmp46__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 249) (<= tmp46__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 256) (<= tmp46__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 245) (<= tmp46__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 250) (<= tmp46__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 253) (<= tmp46__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 254) (<= tmp46__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp46__global__0__instrumented__ 255) (<= tmp46__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 80000000) (<= tmp23__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 50000000) (<= tmp23__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 25000001)) (<= tmp23__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 35000000) (<= tmp23__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 12500000) (<= tmp23__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 43750001)) (<= tmp23__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 1250000) (<= tmp23__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 15625000)) (<= tmp23__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 7187500)) (<= tmp23__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 2968750)) (<= tmp23__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 859375)) (<= tmp23__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 195312) (<= tmp23__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 1370240)) (<= tmp23__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 587464)) (<= tmp23__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 196076)) (<= tmp23__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 382)) (<= tmp23__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 97465) (<= tmp23__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 49306)) (<= tmp23__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 24079) (<= tmp23__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 85959)) (<= tmp23__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 30940)) (<= tmp23__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 3431)) (<= tmp23__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 10324) (<= tmp23__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 10306)) (<= tmp23__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 9) (<= tmp23__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 5166) (<= tmp23__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 2570)) (<= tmp23__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 1298) (<= tmp23__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 4504)) (<= tmp23__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 1603)) (<= tmp23__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 153)) (<= tmp23__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 572) (<= tmp23__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 516)) (<= tmp23__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 28) (<= tmp23__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 300) (<= tmp23__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ (- 108)) (<= tmp23__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 96) (<= tmp23__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 198) (<= tmp23__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 249) (<= tmp23__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 274) (<= tmp23__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 235) (<= tmp23__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 254) (<= tmp23__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 264) (<= tmp23__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 249) (<= tmp23__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 256) (<= tmp23__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 245) (<= tmp23__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 250) (<= tmp23__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 253) (<= tmp23__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 254) (<= tmp23__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp23__global__0__instrumented__ 255) (<= tmp23__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 80000000) (<= tmp31__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 50000000) (<= tmp31__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 25000001)) (<= tmp31__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 35000000) (<= tmp31__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 12500000) (<= tmp31__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 43750001)) (<= tmp31__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 1250000) (<= tmp31__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 15625000)) (<= tmp31__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 7187500)) (<= tmp31__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 2968750)) (<= tmp31__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 859375)) (<= tmp31__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 195312) (<= tmp31__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 1370240)) (<= tmp31__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 587464)) (<= tmp31__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 196076)) (<= tmp31__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 382)) (<= tmp31__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 97465) (<= tmp31__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 49306)) (<= tmp31__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 24079) (<= tmp31__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 85959)) (<= tmp31__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 30940)) (<= tmp31__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 3431)) (<= tmp31__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 10324) (<= tmp31__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 10306)) (<= tmp31__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 9) (<= tmp31__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 5166) (<= tmp31__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 2570)) (<= tmp31__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 1298) (<= tmp31__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 4504)) (<= tmp31__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 1603)) (<= tmp31__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 153)) (<= tmp31__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 572) (<= tmp31__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 516)) (<= tmp31__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 28) (<= tmp31__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 300) (<= tmp31__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ (- 108)) (<= tmp31__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 96) (<= tmp31__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 198) (<= tmp31__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 249) (<= tmp31__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 274) (<= tmp31__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 235) (<= tmp31__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 254) (<= tmp31__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 264) (<= tmp31__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 249) (<= tmp31__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 256) (<= tmp31__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 245) (<= tmp31__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 250) (<= tmp31__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 253) (<= tmp31__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 254) (<= tmp31__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp31__global__0__instrumented__ 255) (<= tmp31__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 80000000) (<= tmp39__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 50000000) (<= tmp39__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 25000001)) (<= tmp39__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 35000000) (<= tmp39__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 12500000) (<= tmp39__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 43750001)) (<= tmp39__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 1250000) (<= tmp39__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 15625000)) (<= tmp39__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 7187500)) (<= tmp39__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 2968750)) (<= tmp39__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 859375)) (<= tmp39__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 195312) (<= tmp39__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 1370240)) (<= tmp39__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 587464)) (<= tmp39__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 196076)) (<= tmp39__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 382)) (<= tmp39__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 97465) (<= tmp39__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 49306)) (<= tmp39__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 24079) (<= tmp39__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 85959)) (<= tmp39__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 30940)) (<= tmp39__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 3431)) (<= tmp39__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 10324) (<= tmp39__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 10306)) (<= tmp39__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 9) (<= tmp39__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 5166) (<= tmp39__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 2570)) (<= tmp39__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 1298) (<= tmp39__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 4504)) (<= tmp39__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 1603)) (<= tmp39__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 153)) (<= tmp39__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 572) (<= tmp39__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 516)) (<= tmp39__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 28) (<= tmp39__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 300) (<= tmp39__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ (- 108)) (<= tmp39__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 96) (<= tmp39__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 198) (<= tmp39__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 249) (<= tmp39__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 274) (<= tmp39__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 235) (<= tmp39__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 254) (<= tmp39__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 264) (<= tmp39__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 249) (<= tmp39__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 256) (<= tmp39__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 245) (<= tmp39__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 250) (<= tmp39__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 253) (<= tmp39__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 254) (<= tmp39__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp39__global__0__instrumented__ 255) (<= tmp39__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 80000000) (<= tmp12__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 50000000) (<= tmp12__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 25000001)) (<= tmp12__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 35000000) (<= tmp12__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 12500000) (<= tmp12__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 43750001)) (<= tmp12__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 1250000) (<= tmp12__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 15625000)) (<= tmp12__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 7187500)) (<= tmp12__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 2968750)) (<= tmp12__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 859375)) (<= tmp12__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 195312) (<= tmp12__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 1370240)) (<= tmp12__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 587464)) (<= tmp12__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 196076)) (<= tmp12__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 382)) (<= tmp12__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 97465) (<= tmp12__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 49306)) (<= tmp12__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 24079) (<= tmp12__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 85959)) (<= tmp12__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 30940)) (<= tmp12__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 3431)) (<= tmp12__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 10324) (<= tmp12__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 10306)) (<= tmp12__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 9) (<= tmp12__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 5166) (<= tmp12__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 2570)) (<= tmp12__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 1298) (<= tmp12__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 4504)) (<= tmp12__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 1603)) (<= tmp12__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 153)) (<= tmp12__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 572) (<= tmp12__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 516)) (<= tmp12__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 28) (<= tmp12__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 300) (<= tmp12__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ (- 108)) (<= tmp12__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 96) (<= tmp12__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 198) (<= tmp12__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 249) (<= tmp12__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 274) (<= tmp12__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 235) (<= tmp12__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 254) (<= tmp12__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 264) (<= tmp12__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 249) (<= tmp12__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 256) (<= tmp12__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 245) (<= tmp12__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 250) (<= tmp12__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 253) (<= tmp12__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 254) (<= tmp12__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp12__global__0__instrumented__ 255) (<= tmp12__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 80000000) (<= tmp28__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 50000000) (<= tmp28__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 25000001)) (<= tmp28__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 35000000) (<= tmp28__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 12500000) (<= tmp28__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 43750001)) (<= tmp28__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 1250000) (<= tmp28__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 15625000)) (<= tmp28__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 7187500)) (<= tmp28__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 2968750)) (<= tmp28__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 859375)) (<= tmp28__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 195312) (<= tmp28__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 1370240)) (<= tmp28__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 587464)) (<= tmp28__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 196076)) (<= tmp28__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 382)) (<= tmp28__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 97465) (<= tmp28__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 49306)) (<= tmp28__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 24079) (<= tmp28__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 85959)) (<= tmp28__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 30940)) (<= tmp28__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 3431)) (<= tmp28__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 10324) (<= tmp28__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 10306)) (<= tmp28__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 9) (<= tmp28__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 5166) (<= tmp28__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 2570)) (<= tmp28__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 1298) (<= tmp28__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 4504)) (<= tmp28__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 1603)) (<= tmp28__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 153)) (<= tmp28__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 572) (<= tmp28__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 516)) (<= tmp28__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 28) (<= tmp28__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 300) (<= tmp28__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ (- 108)) (<= tmp28__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 96) (<= tmp28__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 198) (<= tmp28__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 249) (<= tmp28__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 274) (<= tmp28__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 235) (<= tmp28__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 254) (<= tmp28__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 264) (<= tmp28__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 249) (<= tmp28__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 256) (<= tmp28__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 245) (<= tmp28__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 250) (<= tmp28__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 253) (<= tmp28__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 254) (<= tmp28__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp28__global__0__instrumented__ 255) (<= tmp28__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 80000000) (<= tmp54__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 50000000) (<= tmp54__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 25000001)) (<= tmp54__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 35000000) (<= tmp54__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 12500000) (<= tmp54__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 43750001)) (<= tmp54__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 1250000) (<= tmp54__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 15625000)) (<= tmp54__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 7187500)) (<= tmp54__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 2968750)) (<= tmp54__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 859375)) (<= tmp54__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 195312) (<= tmp54__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 1370240)) (<= tmp54__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 587464)) (<= tmp54__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 196076)) (<= tmp54__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 382)) (<= tmp54__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 97465) (<= tmp54__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 49306)) (<= tmp54__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 24079) (<= tmp54__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 85959)) (<= tmp54__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 30940)) (<= tmp54__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 3431)) (<= tmp54__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 10324) (<= tmp54__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 10306)) (<= tmp54__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 9) (<= tmp54__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 5166) (<= tmp54__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 2570)) (<= tmp54__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 1298) (<= tmp54__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 4504)) (<= tmp54__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 1603)) (<= tmp54__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 153)) (<= tmp54__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 572) (<= tmp54__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 516)) (<= tmp54__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 28) (<= tmp54__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 300) (<= tmp54__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ (- 108)) (<= tmp54__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 96) (<= tmp54__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 198) (<= tmp54__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 249) (<= tmp54__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 274) (<= tmp54__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 235) (<= tmp54__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 254) (<= tmp54__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 264) (<= tmp54__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 249) (<= tmp54__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 256) (<= tmp54__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 245) (<= tmp54__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 250) (<= tmp54__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 253) (<= tmp54__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 254) (<= tmp54__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp54__global__0__instrumented__ 255) (<= tmp54__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 80000000) (<= tmp9__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 50000000) (<= tmp9__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 25000001)) (<= tmp9__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 35000000) (<= tmp9__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 12500000) (<= tmp9__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 43750001)) (<= tmp9__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 1250000) (<= tmp9__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 15625000)) (<= tmp9__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 7187500)) (<= tmp9__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 2968750)) (<= tmp9__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 859375)) (<= tmp9__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 195312) (<= tmp9__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 1370240)) (<= tmp9__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 587464)) (<= tmp9__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 196076)) (<= tmp9__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 382)) (<= tmp9__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 97465) (<= tmp9__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 49306)) (<= tmp9__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 24079) (<= tmp9__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 85959)) (<= tmp9__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 30940)) (<= tmp9__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 3431)) (<= tmp9__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 10324) (<= tmp9__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 10306)) (<= tmp9__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 9) (<= tmp9__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 5166) (<= tmp9__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 2570)) (<= tmp9__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 1298) (<= tmp9__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 4504)) (<= tmp9__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 1603)) (<= tmp9__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 153)) (<= tmp9__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 572) (<= tmp9__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 516)) (<= tmp9__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 28) (<= tmp9__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 300) (<= tmp9__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ (- 108)) (<= tmp9__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 96) (<= tmp9__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 198) (<= tmp9__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 249) (<= tmp9__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 274) (<= tmp9__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 235) (<= tmp9__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 254) (<= tmp9__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 264) (<= tmp9__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 249) (<= tmp9__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 256) (<= tmp9__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 245) (<= tmp9__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 250) (<= tmp9__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 253) (<= tmp9__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 254) (<= tmp9__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp9__global__0__instrumented__ 255) (<= tmp9__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 80000000) (<= tmp21__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 50000000) (<= tmp21__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 25000001)) (<= tmp21__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 35000000) (<= tmp21__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 12500000) (<= tmp21__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 43750001)) (<= tmp21__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 1250000) (<= tmp21__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 15625000)) (<= tmp21__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 7187500)) (<= tmp21__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 2968750)) (<= tmp21__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 859375)) (<= tmp21__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 195312) (<= tmp21__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 1370240)) (<= tmp21__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 587464)) (<= tmp21__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 196076)) (<= tmp21__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 382)) (<= tmp21__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 97465) (<= tmp21__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 49306)) (<= tmp21__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 24079) (<= tmp21__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 85959)) (<= tmp21__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 30940)) (<= tmp21__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 3431)) (<= tmp21__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 10324) (<= tmp21__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 10306)) (<= tmp21__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 9) (<= tmp21__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 5166) (<= tmp21__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 2570)) (<= tmp21__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 1298) (<= tmp21__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 4504)) (<= tmp21__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 1603)) (<= tmp21__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 153)) (<= tmp21__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 572) (<= tmp21__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 516)) (<= tmp21__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 28) (<= tmp21__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 300) (<= tmp21__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ (- 108)) (<= tmp21__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 96) (<= tmp21__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 198) (<= tmp21__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 249) (<= tmp21__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 274) (<= tmp21__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 235) (<= tmp21__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 254) (<= tmp21__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 264) (<= tmp21__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 249) (<= tmp21__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 256) (<= tmp21__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 245) (<= tmp21__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 250) (<= tmp21__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 253) (<= tmp21__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 254) (<= tmp21__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp21__global__0__instrumented__ 255) (<= tmp21__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 80000000) (<= tmp35__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 50000000) (<= tmp35__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 25000001)) (<= tmp35__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 35000000) (<= tmp35__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 12500000) (<= tmp35__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 43750001)) (<= tmp35__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 1250000) (<= tmp35__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 15625000)) (<= tmp35__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 7187500)) (<= tmp35__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 2968750)) (<= tmp35__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 859375)) (<= tmp35__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 195312) (<= tmp35__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 1370240)) (<= tmp35__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 587464)) (<= tmp35__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 196076)) (<= tmp35__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 382)) (<= tmp35__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 97465) (<= tmp35__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 49306)) (<= tmp35__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 24079) (<= tmp35__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 85959)) (<= tmp35__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 30940)) (<= tmp35__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 3431)) (<= tmp35__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 10324) (<= tmp35__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 10306)) (<= tmp35__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 9) (<= tmp35__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 5166) (<= tmp35__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 2570)) (<= tmp35__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 1298) (<= tmp35__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 4504)) (<= tmp35__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 1603)) (<= tmp35__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 153)) (<= tmp35__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 572) (<= tmp35__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 516)) (<= tmp35__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 28) (<= tmp35__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 300) (<= tmp35__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ (- 108)) (<= tmp35__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 96) (<= tmp35__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 198) (<= tmp35__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 249) (<= tmp35__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 274) (<= tmp35__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 235) (<= tmp35__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 254) (<= tmp35__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 264) (<= tmp35__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 249) (<= tmp35__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 256) (<= tmp35__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 245) (<= tmp35__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 250) (<= tmp35__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 253) (<= tmp35__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 254) (<= tmp35__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp35__global__0__instrumented__ 255) (<= tmp35__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 80000000) (<= tmp50__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 50000000) (<= tmp50__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 25000001)) (<= tmp50__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 35000000) (<= tmp50__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 12500000) (<= tmp50__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 43750001)) (<= tmp50__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 1250000) (<= tmp50__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 15625000)) (<= tmp50__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 7187500)) (<= tmp50__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 2968750)) (<= tmp50__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 859375)) (<= tmp50__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 195312) (<= tmp50__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 1370240)) (<= tmp50__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 587464)) (<= tmp50__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 196076)) (<= tmp50__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 382)) (<= tmp50__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 97465) (<= tmp50__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 49306)) (<= tmp50__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 24079) (<= tmp50__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 85959)) (<= tmp50__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 30940)) (<= tmp50__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 3431)) (<= tmp50__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 10324) (<= tmp50__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 10306)) (<= tmp50__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 9) (<= tmp50__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 5166) (<= tmp50__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 2570)) (<= tmp50__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 1298) (<= tmp50__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 4504)) (<= tmp50__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 1603)) (<= tmp50__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 153)) (<= tmp50__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 572) (<= tmp50__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 516)) (<= tmp50__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 28) (<= tmp50__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 300) (<= tmp50__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ (- 108)) (<= tmp50__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 96) (<= tmp50__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 198) (<= tmp50__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 249) (<= tmp50__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 274) (<= tmp50__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 235) (<= tmp50__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 254) (<= tmp50__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 264) (<= tmp50__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 249) (<= tmp50__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 256) (<= tmp50__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 245) (<= tmp50__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 250) (<= tmp50__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 253) (<= tmp50__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 254) (<= tmp50__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp50__global__0__instrumented__ 255) (<= tmp50__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 80000000) (<= tmp29__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 50000000) (<= tmp29__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 25000001)) (<= tmp29__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 35000000) (<= tmp29__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 12500000) (<= tmp29__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 43750001)) (<= tmp29__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 1250000) (<= tmp29__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 15625000)) (<= tmp29__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 7187500)) (<= tmp29__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 2968750)) (<= tmp29__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 859375)) (<= tmp29__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 195312) (<= tmp29__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 1370240)) (<= tmp29__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 587464)) (<= tmp29__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 196076)) (<= tmp29__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 382)) (<= tmp29__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 97465) (<= tmp29__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 49306)) (<= tmp29__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 24079) (<= tmp29__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 85959)) (<= tmp29__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 30940)) (<= tmp29__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 3431)) (<= tmp29__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 10324) (<= tmp29__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 10306)) (<= tmp29__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 9) (<= tmp29__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 5166) (<= tmp29__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 2570)) (<= tmp29__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 1298) (<= tmp29__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 4504)) (<= tmp29__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 1603)) (<= tmp29__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 153)) (<= tmp29__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 572) (<= tmp29__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 516)) (<= tmp29__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 28) (<= tmp29__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 300) (<= tmp29__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ (- 108)) (<= tmp29__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 96) (<= tmp29__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 198) (<= tmp29__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 249) (<= tmp29__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 274) (<= tmp29__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 235) (<= tmp29__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 254) (<= tmp29__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 264) (<= tmp29__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 249) (<= tmp29__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 256) (<= tmp29__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 245) (<= tmp29__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 250) (<= tmp29__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 253) (<= tmp29__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 254) (<= tmp29__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp29__global__0__instrumented__ 255) (<= tmp29__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 80000000) (<= tmp63__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 50000000) (<= tmp63__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 25000001)) (<= tmp63__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 35000000) (<= tmp63__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 12500000) (<= tmp63__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 43750001)) (<= tmp63__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 1250000) (<= tmp63__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 15625000)) (<= tmp63__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 7187500)) (<= tmp63__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 2968750)) (<= tmp63__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 859375)) (<= tmp63__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 195312) (<= tmp63__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 1370240)) (<= tmp63__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 587464)) (<= tmp63__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 196076)) (<= tmp63__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 382)) (<= tmp63__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 97465) (<= tmp63__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 49306)) (<= tmp63__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 24079) (<= tmp63__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 85959)) (<= tmp63__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 30940)) (<= tmp63__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 3431)) (<= tmp63__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 10324) (<= tmp63__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 10306)) (<= tmp63__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 9) (<= tmp63__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 5166) (<= tmp63__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 2570)) (<= tmp63__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 1298) (<= tmp63__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 4504)) (<= tmp63__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 1603)) (<= tmp63__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 153)) (<= tmp63__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 572) (<= tmp63__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 516)) (<= tmp63__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 28) (<= tmp63__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 300) (<= tmp63__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ (- 108)) (<= tmp63__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 96) (<= tmp63__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 198) (<= tmp63__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 249) (<= tmp63__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 274) (<= tmp63__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 235) (<= tmp63__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 254) (<= tmp63__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 264) (<= tmp63__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 249) (<= tmp63__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 256) (<= tmp63__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 245) (<= tmp63__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 250) (<= tmp63__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 253) (<= tmp63__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 254) (<= tmp63__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp63__global__0__instrumented__ 255) (<= tmp63__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 80000000) (<= tmp8__global__0__instrumented__ 100000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 50000000) (<= tmp8__global__0__instrumented__ 79999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 25000001)) (<= tmp8__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 35000000) (<= tmp8__global__0__instrumented__ 49999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 12500000) (<= tmp8__global__0__instrumented__ 34999999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 43750001)) (<= tmp8__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 1250000) (<= tmp8__global__0__instrumented__ 12499999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 15625000)) (<= tmp8__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 7187500)) (<= tmp8__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 2968750)) (<= tmp8__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 859375)) (<= tmp8__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 195312) (<= tmp8__global__0__instrumented__ 1249999)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 1370240)) (<= tmp8__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 587464)) (<= tmp8__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 196076)) (<= tmp8__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 382)) (<= tmp8__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 97465) (<= tmp8__global__0__instrumented__ 195311)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 49306)) (<= tmp8__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 24079) (<= tmp8__global__0__instrumented__ 97464)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 85959)) (<= tmp8__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 30940)) (<= tmp8__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 3431)) (<= tmp8__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 10324) (<= tmp8__global__0__instrumented__ 24078)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 10306)) (<= tmp8__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 9) (<= tmp8__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 5166) (<= tmp8__global__0__instrumented__ 10323)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 2570)) (<= tmp8__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 1298) (<= tmp8__global__0__instrumented__ 5165)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 4504)) (<= tmp8__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 1603)) (<= tmp8__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 153)) (<= tmp8__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 572) (<= tmp8__global__0__instrumented__ 1297)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 516)) (<= tmp8__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 28) (<= tmp8__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 300) (<= tmp8__global__0__instrumented__ 571)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ (- 108)) (<= tmp8__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 96) (<= tmp8__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 198) (<= tmp8__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 249) (<= tmp8__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 274) (<= tmp8__global__0__instrumented__ 299)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 235) (<= tmp8__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 254) (<= tmp8__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 264) (<= tmp8__global__0__instrumented__ 273)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 249) (<= tmp8__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 256) (<= tmp8__global__0__instrumented__ 263)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 245) (<= tmp8__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 250) (<= tmp8__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 253) (<= tmp8__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 254) (<= tmp8__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (>= tmp8__global__0__instrumented__ 255) (<= tmp8__global__0__instrumented__ 255)))
(set-info :status unknown)
(check-sat)
(pop 1)
(exit)
